MSDN Online Web Workshop - DHTML, HTML & CSS Home

Click to return to the DHTML, HTML & CSS home page

DHTML, HTML & CSS

For navigation tips, please see using this site Internet Link.

Looking for technical information on using DHTML, HTML, CSS, and associated technologies? In this area of the MSDN Online Web Workshop you'll find articles, white papers, and lessons that will help guide you through the thickets of web page design.

HTML

For information on HTML, the best starting place is our html beginner's guide Internet Link. Here you'll find information on tags, elements, setting font sizes, and the mysteries of markup code. Next, have a look at authoring basics Internet Link, where you'll find answers to "Seven Questions You Should Never Fear to Ask" and other information resources for beginners. Seasoned pros who want to finesse their code can turn to authoring effective pages Internet Link and designing efficient pages Internet Link for advanced tips on layout, design, and form.

DHTML

If you're looking to enhance your pages with DHTML, you'll find a general introduction in our dynamic html overview Internet Link and faqs Internet Link articles. These articles will show you how to use DHTML to bring movement and interactivity to your web pages. Web page designers who want to hot-rod their pages should turn to boosting performance Internet Link and building high performance html pages Internet Link for pointers on how to make web pages more immediate and responsive. MSDN's DHTML Dude answers questions on such subjects as positioning, mouseover support, and baffling modal dialogues in his dhtml dude questions and answers Internet Link.

CSS

Working with Cascading Style Sheets? The css overview Internet Link provides an introductory look at DHTML, CSS, CSS positioning, and font embedding. For a more complete analysis of CSS, try out user's guide to style sheets Internet Link.

HTML Help

Developers who create content for software programs, multimedia titles, intranets, extranets, or for the Internet often need to write HTML Help programs to go with their products. The introducing html help Internet Link guide provides samples, software, and a helpful user's guide.

Finally, if you've been working with an HTML-related technology and can't unravel a difficult problem in your script, look to MSDN's knowledge base Internet Link articles for detailed answers to specific HTML, DHTML, and scripting issues.

Back to top Back to top

© 1999 microsoft corporation. all rights reserved. terms of use Internet Link.


HTML Elements

The following topics list the set of elements defined by HTML. The links take you to the element definitions, which contain the set of members for the element.

!DOCTYPE | A | ACRONYM | ADDRESS | APPLET | AREA
B | BASE | BASEFONT | BDO | BGSOUND | BIG
BLOCKQUOTE | BODY | BR | BUTTON | CAPTION | CENTER
CITE | CODE | COL | COLGROUP | COMMENT | custom
DD | DEL | DFN | DIR | DIV | DL
DT | EM | EMBED | FIELDSET | FONT | FORM
FRAME | FRAMESET | HEAD | Hn | HR | HTML
HTML Comment | I | IFRAME | IMG | INPUT | INPUT type=button
INPUT type=checkbox | INPUT type=file | INPUT type=hidden | INPUT type=image | INPUT type=password | INPUT type=radio
INPUT type=reset | INPUT type=submit | INPUT type=text | INS | ISINDEX | KBD
LABEL | LEGEND | LI | LINK | LISTING | MAP
MARQUEE | MENU | META | NOBR | NOFRAMES | NOSCRIPT
OBJECT | OL | OPTION | P | PARAM | PLAINTEXT
PRE | Q | RT | RUBY | S | SAMP
SCRIPT | SELECT | SMALL | SPAN | STRIKE | STRONG
STYLE | SUB | SUP | TABLE | TBODY | TD
TEXTAREA | TFOOT | TH | THEAD | TITLE | TR
TT | U | UL | VAR | WBR | XML
XMP |  |  |  |  |

Back to top Back to top

Did you find this topic useful? Suggestions for other topics? write us! Internet Link


HTML Character Sets

Character sets determine how the bytes that represent the text of your HTML document are translated to readable characters. Microsoft® Internet Explorer interprets the bytes in your document according to the applied character set translations. It interprets numeric or hex character references ("&#12345;" or "&#x1234;") as ISO10646 code points, consistent with the Unicode Standard, version 2.0, and independent of the chosen character set. Named entities ("&") are displayed independently of the chosen character set as well. The display of an arbitrary numeric character reference requires the existence of a font that is able to display that particular character on the user's system. Accordingly, the content in the first column of the following tables may not render as expected on all systems.

  • ISO Latin-1 Character Set
  • Additional Named Entities for HTML
  • Character Entities for Special Symbols and BIDI Text
  • Character Set Recognition


HTML Applications Reference

Microsoft® Internet Explorer version 5 is the platform for developing html applications Internet Link (HTA). A number of object model extensions (HTA) enable the developer to customize an application's user interface.

The following links provide access to HTA-specific functionality.

Elements | HTA:APPLICATION
Properties | applicationName
 | border
 | borderStyle
 | caption
 | commandLine
 | icon
 | maximizeButton
 | minimizeButton
 | showInTaskBar
 | singleInstance
 | sysMenu
 | version
 | windowState
Attributes | APPLICATION


DHTML Objects

The following is a list of the objects defined by Dynamic HTML. The links take you to the object definitions, which contain the set of members for the object.

!DOCTYPE | A | ACRONYM | ADDRESS
APPLET | AREA | Attribute | B
BASE | BASEFONT | BDO | BGSOUND
BIG | BLOCKQUOTE | BODY | BR
BUTTON | CAPTION | CENTER | CITE
clientInformation | clipboardData | CODE | COL
COLGROUP | COMMENT | currentStyle | custom
dataTransfer | DD | DEL | DFN
DIR | DIV | DL | document
DT | EM | EMBED | event
external | FIELDSET | FONT | FORM
FRAME | FRAMESET | HEAD | history
Hn | HR | HTML | I
IFRAME | IMG | INPUT | INS
ISINDEX | KBD | LABEL | LEGEND
LI | LINK | LISTING | location
MAP | MARQUEE | MENU | META
navigator | NEXTID | NOBR | NOFRAMES
NOSCRIPT | OBJECT | OL | OPTION
P | PARAM | PLAINTEXT | PRE
Q | RT | RUBY | rule
runtimeStyle | S | SAMP | screen
SCRIPT | SELECT | selection | SMALL
SPAN | STRIKE | STRONG | style
STYLE | styleSheet | SUB | SUP
TABLE | TBODY | TD | TEXTAREA
TextNode | TextRange | TextRectangle | TFOOT
TH | THEAD | TITLE | TR
TT | U | UL | userProfile
VAR | WBR | window | XML
XMP |  |  |

Input Types
button | checkbox | file
hidden | image | password
radio | reset | submit | text


DHTML Properties

The following table lists the properties in the Dynamic HTML Object Model. For properties that appear in multiple table cells, roll the mouse over the text to view a ToolTip indicating the objects to which the property applies. Click the text to jump to a full description of that property.

!important | @charset | @font-face
@import | @media | accessKey
action | activeElement | align
align | align | align
aLink | aLinkColor | alt
altHTML | altKey | appCodeName
appMinorVersion | appName | appVersion
autocomplete | availHeight | availWidth
background | background | background
backgroundAttachment | backgroundColor | backgroundImage
backgroundPosition | backgroundPositionX | backgroundPositionY
backgroundRepeat | balance | behavior
behavior | bgColor | bgProperties
border | border | border
borderBottom | borderBottomColor | borderBottomStyle
borderBottomWidth | borderCollapse | borderColor
borderColor | borderColorDark | borderColorLight
borderLeft | borderLeftColor | borderLeftStyle
borderLeftWidth | borderRight | borderRightColor
borderRightStyle | borderRightWidth | borderStyle
borderTop | borderTopColor | borderTopStyle
borderTopWidth | borderWidth | bottom
bottom | bottomMargin | boundingHeight
boundingLeft | boundingTop | boundingWidth
browserLanguage | bufferDepth | button
cancelBubble | canHaveChildren | caption
cellIndex | cellPadding | cellSpacing
checked | classid | className
clear | clear | clientHeight
clientLeft | clientTop | clientWidth
clientX | clientY | clip
clipBottom | clipLeft | clipRight
clipTop | closed | code
codeBase | codeType | color
color | colorDepth | cols
cols | cols | colSpan
compact | complete | content
cookie | cookieEnabled | coords
cpuClass | cssText | ctrlKey
cursor | data | data
dataFld | dataFld | dataFormatAs
dataPageSize | dataSrc | defaultCharset
defaultChecked | defaultSelected | defaultStatus
defaultValue | defer | designMode
dialogArguments | dialogHeight | dialogLeft
dialogTop | dialogWidth | dir
direction | direction | disabled
disabled | display | documentElement
domain | dropEffect | dynsrc
effectAllowed | encoding | event
expando | face | fgColor
fileCreatedDate | fileModifiedDate | fileSize
fileUpdatedDate | filter | firstChild
font | fontFamily | fontSize
fontSmoothingEnabled | fontStyle | fontVariant
fontWeight | form | frame
frameBorder | frameSpacing | fromElement
hash | height | height
height | hidden | host
hostname | href | href
href | href | hspace
htmlFor | htmlFor | htmlText
httpEquiv | id | imeMode
indeterminate | index | innerHTML
innerText | isMap | isTextEdit
keyCode | lang | language
lastChild | lastModified | layoutGrid
layoutGridChar | layoutGridCharSpacing | layoutGridLine
layoutGridMode | layoutGridType | left
left | leftMargin | length
length | letterSpacing | lineBreak
lineHeight | link | linkColor
listStyle | listStyleImage | listStylePosition
listStyleType | loop | loop
lowsrc | margin | marginBottom
marginHeight | marginLeft | marginRight
marginTop | marginWidth | maxLength
media | menuArguments | method
Methods | multiple | name
name | name | nameProp
nextSibling | nodeName | nodeType
nodeValue | noHref | noResize
noShade | noWrap | object
offscreenBuffering | offsetHeight | offsetLeft
offsetParent | offsetTop | offsetWidth
offsetX | offsetY | onLine
opener | outerHTML | outerText
overflow | overflowX | overflowY
owningElement | padding | paddingBottom
paddingLeft | paddingRight | paddingTop
pageBreakAfter | pageBreakBefore | palette
parent | parentElement | parentNode
parentStyleSheet | parentTextEdit | parentWindow
pathname | pixelBottom | pixelHeight
pixelLeft | pixelRight | pixelTop
pixelWidth | platform | pluginspage
port | posBottom | posHeight
position | posLeft | posRight
posTop | posWidth | previousSibling
propertyName | protocol | qualifier
readOnly | readOnly | readyState
reason | recordNumber | recordset
referrer | rel | repeat
returnValue | returnValue | rev
right | right | rightMargin
rowIndex | rows | rows
rowSpan | rubyAlign | rubyOverhang
rubyPosition | rules | scopeName
screenLeft | screenTop | screenX
screenY | scroll | scrollAmount
scrollDelay | scrollHeight | scrolling
scrollLeft | scrollTop | scrollWidth
search | sectionRowIndex | selected
selectedIndex | selectorText | self
shape | shiftKey | size
size | size | sourceIndex
span | specified | src
src | src | srcElement
srcFilter | srcUrn | start
start | status | status
styleFloat | systemLanguage | tabIndex
tableLayout | tagName | tagUrn
target | text | text
text | text | textAlign
textAutospace | textDecoration | textDecorationLineThrough
textDecorationNone | textDecorationOverline | textDecorationUnderline
textIndent | textJustify | textTransform
tFoot | tHead | title
title | toElement | top
top | top | topMargin
trueSpeed | type | type
type | type | type
type | type | type
type | unicodeBidi | uniqueID
units | updateInterval | URL
urn | useMap | userAgent
userLanguage | vAlign | vAlign
value | value | value
vcard_name | verticalAlign | visibility
vLink | vlinkColor | volume
vspace | whiteSpace | width
width | width | wordBreak
wordSpacing | wrap | x
XMLDocument | y | zIndex


Internet Explorer 5.5 Properties

The following DHTML properties from the latest release of Microsoft® Internet Explorer 5.5 are fully documented in the MSDN® Online Web Workshop.

Property | Description
contentEditable Internet Link | Sets or retrieves a string that indicates whether the user can edit the content of the object.
scrollbar3dLightColor Internet Link | Sets or retrieves the color of the top and left edges of the scroll box and scroll arrows of a scroll bar.
scrollbarArrowColor Internet Link | Sets or retrieves the color of the arrow element in a scroll arrow.
scrollbarBaseColor Internet Link | Sets or retrieves the color for elements of a scroll bar. If no other properties are set, this property sets the color for all elements of the scroll bar. If a specific scrollbar element property is set, it overrides the scrollbarBaseColor setting for that element.
scrollbarDarkShadowColor Internet Link | Sets or retrieves the color of the gutter of a scroll bar. This color occurs immediately outside the scrollBarShadowColor and affects the bottom and right edges of the scroll box and scroll arrows.
scrollbarFaceColor Internet Link | Sets or retrieves the color of the scroll box and scroll arrows of a scroll bar.
scrollbarHighlightColor Internet Link | Sets or retrieves the color for highlight areas in a scroll bar. This affects the arrow element in the scroll arrow, and the top and left edges of the scroll box and scroll arrows. If the scrollbarTrackColor property is not set, highlight areas in the track are affected.
scrollbarShadowColor Internet Link | Sets or retrieves the color of the bottom and right edges of the scroll box and scroll arrows of a scroll bar.
scrollbarTrackColor Internet Link | Sets or retrieves the color of the track element of a scroll bar.
writingMode Internet Link | Sets or retrieves the direction and flow of the content in the object.
zoom Internet Link | Sets or retrieves the magnification scale of the object.

Back to top Back to top

Did you find this topic useful? Suggestions for other topics? Write us! Internet Link

© 2000 Microsoft Corporation. All rights reserved. Terms of use Internet Link.


DHTML Methods

The following is a list of the methods exposed by the Dynamic HTML Object Model.

add | addBehavior | AddChannel
AddDesktopComponent | AddFavorite | addImport
addReadRequest | addRule | alert
appendChild | applyElement | assign
attachEvent | AutoCompleteSaveForm | AutoScan
back | blur | clear
clear | clearAttributes | clearData
clearInterval | clearRequest | clearTimeout
click | cloneNode | close
close | collapse | compareEndPoints
componentFromPoint | confirm | contains
createCaption | createControlRange | createElement
createRange | createStyleSheet | createTextNode
createTextRange | createTFoot | createTHead
deleteCaption | deleteCell | deleteRow
deleteTFoot | deleteTHead | detachEvent
doReadRequest | doScroll | duplicate
elementFromPoint | empty | execCommand
execScript | expand | findText
firstPage | focus | forward
getAdjacentText | getAttribute | getAttribute
getBookmark | getBoundingClientRect | getClientRects
getData | getElementById | getElementsByName
getElementsByTagName | getExpression | go
hasChildNodes | ImportExportFavorites | inRange
insertAdjacentElement | insertAdjacentHTML | insertAdjacentText
insertBefore | insertCell | insertRow
isEqual | IsSubscribed | item
javaEnabled | lastPage | mergeAttributes
move | moveBy | moveEnd
moveRow | moveStart | moveTo
moveToBookmark | moveToElementText | moveToPoint
namedRecordset | navigate | NavigateAndFind
nextPage | open | open
parentElement | pasteHTML | previousPage
print | prompt | queryCommandEnabled
queryCommandIndeterm | queryCommandState | queryCommandSupported
queryCommandValue | recalc | refresh
releaseCapture | reload | remove
removeAttribute | removeBehavior | removeChild
removeExpression | removeNode | removeRule
replace | replaceAdjacentText | replaceChild
replaceNode | reset | resizeBy
resizeTo | scroll | scrollBy
scrollIntoView | scrollTo | select
select | setAttribute | setCapture
setData | setEndPoint | setExpression
setInterval | setTimeout | ShowBrowserUI
showHelp | showModalDialog | showModelessDialog
splitText | start | stop
submit | swapNode | tags
taintEnabled | urns | write
writeln |  |


DHTML Events

The following events are exposed by the Dynamic HTML Object Model.

onabort | onafterprint | onafterupdate
onbeforecopy | onbeforecut | onbeforeeditfocus
onbeforepaste | onbeforeprint | onbeforeunload
onbeforeupdate | onblur | onbounce
oncellchange | onchange | onclick
oncontextmenu | oncopy | oncut
ondataavailable | ondatasetchanged | ondatasetcomplete
ondblclick | ondrag | ondragend
ondragenter | ondragleave | ondragover
ondragstart | ondrop | onerror
onerrorupdate | onfilterchange | onfinish
onfocus | onhelp | onkeydown
onkeypress | onkeyup | onload
onlosecapture | onmousedown | onmousemove
onmouseout | onmouseover | onmouseup
onpaste | onpropertychange | onreadystatechange
onreset | onresize | onrowenter
onrowexit | onrowsdelete | onrowsinserted
onscroll | onselect | onselectstart
onstart | onstop | onsubmit
onunload |  |


DHTML Collections

The following is a list of the collections exposed by the Dynamic HTML Object Model.

all | anchors | applets
areas | attributes | behaviorUrns
bookmarks | boundElements | cells
childNodes | children | controlRange
elements | embeds | filters
forms | frames | images
imports | links | mimeTypes
options | plugins | rows
rules | scripts | styleSheets
tBodies | TextRectangle |

The following is a list the methods that return collections.

getClientRects | getElementsByName | getElementsByTagName
tags | urns |


Color Table

Colors can be specified in HTML pages in two ways—by using a color name, or by using numbers to denote a red-green-blue (RGB) color value. An RGB color value consists of three two-digit hexadecimal numbers specifying the intensity of the corresponding color.

For example, the color value #FF0000 is rendered red because the red number is set to its highest value, FF (or 255 in decimal form).

Note While these color names might not be recognized by other browsers, the RGB color values should display accurately across browsers. When specifying color values for Web pages targeted to work across different browsers, use the RGB color values.

The following table lists the colors supported as of Microsoft® Internet Explorer 4.0.

aliceblue (#F0F8FF) | antiquewhite (#FAEBD7) | aqua (#00FFFF) | aquamarine (#7FFFD4)
azure (#F0FFFF) | beige (#F5F5DC) | bisque (#FFE4C4) | black (#000000)
blanchedalmond (#FFEBCD) | blue (#0000FF) | blueviolet (#8A2BE2) | brown (#A52A2A)
burlywood (#DEB887) | cadetblue (#5F9EA0) | chartreuse (#7FFF00) | chocolate (#D2691E)
coral (#FF7F50) | cornflower (#6495ED) | cornsilk (#FFF8DC) | crimson (#DC143C)
cyan (#00FFFF) | darkblue (#00008B) | darkcyan (#008B8B) | darkgoldenrod (#B8860B)
darkgray (#A9A9A9) | darkgreen (#006400) | darkkhaki (#BDB76B) | darkmagenta (#8B008B)
darkolivegreen (#556B2F) | darkorange (#FF8C00) | darkorchid (#9932CC) | darkred (#8B0000)
darksalmon (#E9967A) | darkseagreen (#8FBC8B) | darkslateblue (#483D8B) | darkslategray (#2F4F4F)
darkturquoise (#00CED1) | darkviolet (#9400D3) | deeppink (#FF1493) | deepskyblue (#00BFFF)
dimgray (#696969) | dodgerblue (#1E90FF) | firebrick (#B22222) | floralwhite (#FFFAF0)
forestgreen (#228B22) | fuchsia (#FF00FF) | gainsboro (#DCDCDC) | ghostwhite (#F8F8FF)
gold (#FFD700) | goldenrod (#DAA520) | gray (#808080) | green (#008000)
greenyellow (#ADFF2F) | honeydew (#F0FFF0) | hotpink (#FF69B4) | indianred (#CD5C5C)
indigo (#4B0082) | ivory (#FFFFF0) | khaki (#F0E68C) | lavender (#E6E6FA)
lavenderblush (#FFF0F5) | lawngreen (#7CFC00) | lemonchiffon (#FFFACD) | lightblue (#ADD8E6)
lightcoral (#F08080) | lightcyan (#E0FFFF) | lightgoldenrodyellow (#FAFAD2) | lightgreen (#90EE90)
lightgray (#D3D3D3) | lightpink (#FFB6C1) | lightsalmon (#FFA07A) | lightseagreen (#20B2AA)
lightskyblue (#87CEFA) | lightslategray (#778899) | lightsteelblue (#B0C4DE) | lightyellow (#FFFFE0)
lime (#00FF00) | limegreen (#32CD32) | linen (#FAF0E6) | magenta (#FF00FF)
maroon (#800000) | mediumaquamarine (#66CDAA) | mediumblue (#0000CD) | mediumorchid (#BA55D3)
mediumpurple (#9370DB) | mediumseagreen (#3CB371) | mediumslateblue (#7B68EE) | mediumspringgreen (#00FA9A)
mediumturquoise (#48D1CC) | mediumvioletred (#C71585) | midnightblue (#191970) | mintcream (#F5FFFA)
mistyrose (#FFE4E1) | moccasin (#FFE4B5) | navajowhite (#FFDEAD) | navy (#000080)
oldlace (#FDF5E6) | olive (#808000) | olivedrab (#6B8E23) | orange (#FFA500)
orangered (#FF4500) | orchid (#DA70D6) | palegoldenrod (#EEE8AA) | palegreen (#98FB98)
paleturquoise (#AFEEEE) | palevioletred (#DB7093) | papayawhip (#FFEFD5) | peachpuff (#FFDAB9)
peru (#CD853F) | pink (#FFC0CB) | plum (#DDA0DD) | powderblue (#B0E0E6)
purple (#800080) | red (#FF0000) | rosybrown (#BC8F8F) | royalblue (#4169E1)
saddlebrown (#8B4513) | salmon (#FA8072) | sandybrown (#F4A460) | seagreen (#2E8B57)
seashell (#FFF5EE) | sienna (#A0522D) | silver (#C0C0C0) | skyblue (#87CEEB)
slateblue (#6A5ACD) | slategray (#708090) | snow (#FFFAFA) | springgreen (#00FF7F)
steelblue (#4682B4) | tan (#D2B48C) | teal (#008080) | thistle (#D8BFD8)
tomato (#FF6347) | turquoise (#40E0D0) | violet (#EE82EE) | wheat (#F5DEB3)
white (#FFFFFF) | whitesmoke (#F5F5F5) | yellow (#FFFF00) | yellowgreen (#9ACD32)

User-Defined System Colors

Microsoft® Windows® maintains a set of system colors for painting various parts of the display. In addition to the colors defined in the color table, as of Internet Explorer 4.0 these system colors may also be specified as color values in Web pages.

Users can set system colors for future Windows sessions using the Windows Control Panel. The following table illustrates the correspondence of these color names with the colors defined in the Control Panel.

Note The colors that do not correspond to any Control Panel colors can only be set programmatically using Windows APIs and cannot be defined by the user.

activeborder | activecaption | appworkspace | background
buttonface | buttonhighlight | buttonshadow | buttontext
captiontext | graytext | highlight | highlighttext
inactiveborder | inactivecaption | inactivecaptiontext | infobackground
infotext | menu | menutext | scrollbar
threeddarkshadow | threedface | threedhighlight | threedlightshadow
threedshadow | window | windowframe | windowtext


Command Identifiers

Command identifiers specify an action to take on the given object. Use them with the following methods:

  • execCommand
  • queryCommandEnabled
  • queryCommandIndeterm
  • queryCommandState
  • queryCommandSupported
  • queryCommandValue

The following command identifiers are currently available:

BackColor | Sets or retrieves the background color of the current selection.
Bold | Toggles the current selection between bold and nonbold.
ClearAutocompleteForForms | Clears saved forms data.
Copy | Copies the current selection to the clipboard.
CreateBookmark | Retrieves the name of a bookmark anchor or creates a bookmark anchor for the current selection or insertion point.
CreateLink | Retrieves the URL of a hyperlink or creates a hyperlink on the current selection.
Cut | Copies the current selection to the clipboard and then deletes it.
Delete | Deletes the current selection.
Find | Finds and selects text in the current document.
FontName | Sets or retrieves the font for the current selection.
FontSize | Sets or retrieves the font size for the current selection.
ForeColor | Sets or retrieves the foreground (text) color of the current selection.
FormatBlock | Sets or retrieves the current block format tag.
Indent | Increases the indent of the selected text by one indentation increment.
InsertButton | Overwrites a button control on the current selection.
InsertFieldset | Overwrites a box on the current selection.
InsertHorizontalRule | Overwrites a horizontal line on the current selection.
InsertIFrame | Overwrites an inline frame on the current selection.
InsertImage | Overwrites an image on the current selection.
InsertInputButton | Overwrites a button control on the current selection.
InsertInputCheckbox | Overwrites a check box control on the current selection.
InsertInputFileUpload | Overwrites a file upload control on the current selection.
InsertInputHidden | Inserts a hidden control on the current selection.
InsertInputImage | Overwrites an image control on the current selection.
InsertInputPassword | Overwrites a password control on the current selection.
InsertInputRadio | Overwrites a radio control on the current selection.
InsertInputReset | Overwrites a reset control on the current selection.
InsertInputSubmit | Overwrites a submit control on the current selection.
InsertInputText | Overwrites a text control on the current selection.
InsertMarquee | Overwrites an empty marquee on the current selection.
InsertOrderedList | Toggles the current selection between an ordered list and a normal format block.
InsertParagraph | Overwrites a line break on the current selection.
InsertSelectDropdown | Overwrites a drop-down selection control on the current selection.
InsertSelectListbox | Overwrites a list box selection control on the current selection.
InsertTextArea | Overwrites a multiline text input control on the current selection.
InsertUnorderedList | Toggles the current selection between an ordered list and a normal format block.
Italic | Toggles the current selection between italic and nonitalic.
JustifyCenter | Centers the format block in which the current selection is located.
JustifyLeft | Left-justifies the format block in which the current selection is located.
JustifyRight | Right-justifies the format block in which the current selection is located.
Outdent | Decreases by one increment the indentation of the format block in which the current selection is located.
OverWrite | Toggles the text-entry mode between insert and overwrite.
Paste | Overwrites the contents of the clipboard on the current selection.
Refresh | Refreshes the current document.
RemoveFormat | Removes the formatting tags from the current selection.
SelectAll | Selects the entire document.
UnBookmark | Removes any bookmark from the current selection.
Underline | Toggles the current selection between underlined and not underlined.
Unlink | Removes any hyperlink from the current selection.
Unselect | Clears the current selection.


Default Behaviors Reference

dhtml behaviors Internet Link provide a means for Web developers to extend the Microsoft® Internet Explorer current object model. A number of behaviors have been implemented as part of Internet Explorer 5 and are referred to as default behaviors.

The following links provide access to the object model exposed by these default behaviors.

Behaviors

anchor anim animation audio
clientCaps download homePage httpFolder
img media par saveFavorite
saveHistory saveSnapshot seq time
userData video

Properties

accelerate autoReverse availHeight availWidth
begin beginAfter beginEvent beginWith
bufferDepth clipBegin clipEnd clockSource
colorDepth connectionType cookieEnabled cpuClass
currTime decelerate dur end
endEvent endHold eventRestart expires
folder height image img
javaEnabled localTime onOffBehavior platform
player playerObject progressBehavior repeat
repeatDur sound src statics
syncBehavior syncTolerance systemLanguage target
timeAction timeline timelineBehavior timeStartRule
type userLanguage width XMLDocument

Methods

addComponentRequest addDABehavior beginElement clearComponentRequest
compareVersions doComponentRequest endElement getAttribute
getComponentVersion isComponentInstalled isHomePage load
navigate navigateFrame navigateHomePage pause
removeAttribute removeDABehavior resume save
setAttribute setHomePage startDownload

Events

onbegin onend onload onmediacomplete
onmedialoadfailed onmediaslip onpause onrepeat
onresume onresync onreverse onsave
onscriptcommand


Language Codes

The following table lists all the possible language codes used to specify various system settings.

af Afrikaans | sq Albanian
ar-sa Arabic (Saudi Arabia) | ar-iq Arabic (Iraq)
ar-eg Arabic (Egypt) | ar-ly Arabic (Libya)
ar-dz Arabic (Algeria) | ar-ma Arabic (Morocco)
ar-tn Arabic (Tunisia) | ar-om Arabic (Oman)
ar-ye Arabic (Yemen) | ar-sy Arabic (Syria)
ar-jo Arabic (Jordan) | ar-lb Arabic (Lebanon)
ar-kw Arabic (Kuwait) | ar-ae Arabic (U.A.E.)
ar-bh Arabic (Bahrain) | ar-qa Arabic (Qatar)
eu Basque | bg Bulgarian
be Belarusian | ca Catalan
zh-tw Chinese (Taiwan) | zh-cn Chinese (PRC)
zh-hk Chinese (Hong Kong, S.A.R. China) | zh-sg Chinese (Singapore)
hr Croatian | cs Czech
da Danish | nl Dutch (Standard)
nl-be Dutch (Belgium) | en English
en-us English (United States) | en-gb English (Great Britain)
en-au English (Australia) | en-ca English (Canada)
en-nz English (New Zealand) | en-ie English (Ireland)
en-za English (South Africa) | en-jm English (Jamaica)
en English (Caribbean) | en-bz English (Belize)
en-tt English (Trinidad) | et Estonian
fo Faeroese | fa Farsi
fi Finnish | fr French (Standard)
fr-be French (Belgium) | fr-ca French (Canada)
fr-ch French (Switzerland) | fr-lu French (Luxembourg)
gd Gaelic (Scotland) | gd-ie Gaelic (Ireland)
de German (Standard) | de-ch German (Switzerland)
de-at German (Austria) | de-lu German (Luxembourg)
de-li German (Liechtenstein) | el Greek
he Hebrew | hi Hindi
hu Hungarian | is Icelandic
in Indonesian | it Italian (Standard)
it-ch Italian (Switzerland) | ja Japanese
ko Korean | ko Korean (Johab)
lv Latvian | lt Lithuanian
mk Macedonian (FYROM) | ms Malaysian
mt Maltese | no Norwegian (Bokmal)
no Norwegian (Nynorsk) | pl Polish
pt-br Portuguese (Brazil) | pt Portuguese (Portugal)
rm Rhaeto-Romanic | ro Romanian
ro-mo Romanian (Moldavia) | ru Russian
ru-mo Russian (Moldavia) | sz Sami (Lappish)
sr Serbian (Cyrillic) | sr Serbian (Latin)
sk Slovak | sl Slovenian
sb Sorbian | es Spanish (Spain – Traditional)
es-mx Spanish (Mexico) | es Spanish (Spain – Modern)
es-gt Spanish (Guatemala) | es-cr Spanish (Costa Rica)
es-pa Spanish (Panama) | es-do Spanish (Dominican Republic)
es-ve Spanish (Venezuela) | es-co Spanish (Colombia)
es-pe Spanish (Peru) | es-ar Spanish (Argentina)
es-ec Spanish (Ecuador) | es-cl Spanish (Chile)
es-uy Spanish (Uruguay) | es-py Spanish (Paraguay)
es-bo Spanish (Bolivia) | es-sv Spanish (El Salvador)
es-hn Spanish (Honduras) | es-ni Spanish (Nicaragua)
es-pr Spanish (Puerto Rico) | sx Sutu
sv Swedish | sv-fi Swedish (Finland)
th Thai | ts Tsonga
tn Tswana | tr Turkish
uk Ukrainian | ur Urdu
ve Venda | vi Vietnamese
xh Xhosa | ji Yiddish
zu Zulu


Visual Filters and Transitions Reference

With the introduction of Microsoft® Internet Explorer 4.0, Web page authors can now apply multimedia-style effects to their content through the use of visual filters and transitions. These effects are implemented in Web pages using a cascading style sheet (CSS) attribute. Visual filters and transitions can be applied to standard HTML controls, such as text containers, images, and any other windowless object. Transitions are time-varying filters that can create a transition from one visual state to another. By combining filters and transitions with basic scripting, authors have a powerful tool for creating visually engaging and interactive documents.

The following links provide access to the object model exposed by these Visual Filters and Transitions.

Filters

alpha blendTrans blur chroma
dropShadow flipH flipV glow
gray invert light mask
redirect revealTrans shadow wave
xray

Properties

add color direction duration
enabled finishOpacity finishX finishY
freq lightStrength offX offY
opacity phase positive startX
startY status strength style
transition

Methods

addAmbient addCone addPoint apply
changeColor changeStrength clear elementImage
moveLight play stop


Web Workshop - DHTML scriptlets

Click to return to the Component Development home page

Dynamic HTML Scriptlets

November 4, 1998

Editor's note: With the release of Internet Explorer 5, Microsoft now recommends DHTML behaviors -- instead of the DHTML scriptlets supported in Internet Explorer 4.0 -- for adding componentized functionality to Web pages. DHTML behaviors provide similar functionality, but with greater speed, power, and flexibility. Please note that DHTML behaviors are not supported in Internet Explorer 4.0 or earlier versions.

For more information, see dhtml behaviors Internet Link and the introductory article dhtml behaviors in internet explorer 5 Internet Link.


Scriptlets Overview

A scriptlet is a Web page based on Dynamic HTML (DHTML) that you can use as a control in any application that supports controls. The scriptlet is a complete Web-ready .htm file, but it includes information that allows you to work with it as a control—you can get and set its properties, call its methods, and so on.

Scriptlets:

  • Allow Web page authors to create reusable user interface components without having to harness the full power of C, C++, or other control-building environments.
  • Allow developers using Microsoft Visual Basic®, Microsoft Visual InterDev®, and other development environments that support controls to make use of features built into Web pages.
  • Are easy to create and maintain.
  • Are small and efficient.

For example, with scriptlets you can:

  • Use the graphical and hypertext capabilities of Web pages as visually rich interfaces for your application.
  • Change the appearance and behavior of Web pages from within the host environment. For example, you can use a Visual Basic application to read information from files and then write it into the scriptlet.
  • Prototype controls that you intend to write in other environments. Because you can put scriptlets together quickly and easily, you can test ideas. When you have completed your design, you can reimplement the control in another environment—such as C++, Visual Basic, or J++—if you want greater performance or a different means of packaging your control.

How Scriptlets Work

You use a scriptlet like a standard control. In the scriptlet, you create any properties, methods, or events that you want by simply creating scripts in common active scripting languages such as JScript® (compatible with ECMA 262 language specification), Visual Basic Scripting Edition (VBScript), or another language. The scripts rely on the scripting capabilities of DHTML, which gives you a complete object model for elements on the scriptlet.

For example, a scriptlet might be a Web page that contains animation based on DHTML that moves and resizes text on the page. You can write scripts to expose properties that allow another application to set the text, speed, and direction of the animation text, as well as methods that allow another application to start, stop, and pause the animation.

Note To learn more about using Dynamic HTML in your Web pages, you can view the documentation for the Internet Client SDK located at http://msdn.microsoft.com/workshop/author/default.asp.

Support for scriptlets is built into Internet Explorer 4.0. You can use the standard OBJECT tag to insert and work with scriptlets as you do any other object on a Web page.

To use the scriptlet in applications that support ActiveX® controls, you use a control called the scriptlet container object, which hosts the scriptlet. The host application, such as Visual Basic, uses the scriptlet container object to create a window for the scriptlet and provide a way for the host application to specify which scriptlet to use, where it displays, at what size, and so on. The scriptlet container object also provides the interface for you to set and get the scriptlet's properties, call its methods, and respond to its events.

Scriptlet Security

In a security-aware host application such as Internet Explorer, the scriptlet and any controls contained within it are subject to Internet Explorer 4.0 security. For information about security settings in Internet Explorer 4.0, see Internet Explorer Help.

Typically, the security settings for the zone containing the scriptlet's server must be Medium or Low. If the setting is High, the scriptlet will not download to your computer. If you usually set custom security settings for a zone, set both "Script ActiveX controls marked safe for scripting" and "Initialize and script ActiveX controls not marked as safe" to either Prompt or Enable.

The same applies to any controls that the scriptlet contains, including other scriptlets, especially if the scriptlet contains controls that reside on a server in a different zone.

When you distribute an application that uses a scriptlet, make sure that users set the security settings in their copy of Internet Explorer to the correct level to allow them to use your scriptlets.


Designing and Using Scriptlets

You can easily create scriptlets and add them to your applications.

To | See
Choose a method for creating a scriptlet from your Web page | Designing a Scriptlet
Use your scriptlet as a control | Adding Scriptlets to Your Application
React to events in your applications | Defining Event Handlers


Scriptlet Container Object Reference

When you work with scriptlets in your application, you can use the following properties and events of the scriptlet container object:

Properties
event
readyState
scrollbar
url
Events
onclick
ondblclick
onkeydown
onkeypress
onkeyup
onmousedown
onmousemove
onmouseup
onreadystatechange
onscriptletevent


Scriptlet Model Extensions

When creating the scripts in the scriptlet, you can use the following specific extensions to the Dynamic HTML Object Model. All extensions are available in the DHTML window.external object.

Properties
frozen
selectableContent
version

Methods
bubbleEvent
raiseEvent
setContextMenu


HTC Reference

Introduced in Microsoft® Internet Explorer 5, HTML Components (HTC) provide a mechanism to implement components in script as DHTML behaviors. Saved with an .htc extension, an HTC is an HTML file that contains script and a set of HTC-specific elements that define the component. The following table lists these elements and the members they support.

Elements | ATTACH
 | COMPONENT
 | EVENT
 | METHOD
 | PROPERTY
Objects | element
Methods | createEventObject
 | fire
Events | oncontentready
 | ondetach
 | ondocumentready

Related Topics

The following list contains links to topics related to implementing HTML Components.

  • addBehavior Method
  • attachEvent Method
  • behavior Attribute
  • behaviorUrns Collection
  • detachEvent Method
  • removeBehavior Method
  • scopeName Property
  • srcUrn Property
  • tagUrn Property
  • uniqueID Property
  • urns Method
  • dhtml behaviors Internet Link
  • implementing dhtml behaviors in script Internet Link


CSS Attributes Reference

This section defines the supported cascading style sheets (CSS) attributes. An asterisk (*) indicates the attribute is available as of Microsoft® Internet Explorer 5 or later. If an attribute or property has been proposed to the World Wide Web Consortium (W3C) but not yet made standard, it is marked as "proposed."

Behavior properties | behavior (proposed)*
Font and text properties | direction *
 | font
 | @font-face
 | font-family
 | font-size
 | font-style
 | font-variant
 | font-weight
 | ime-mode (proposed)*
 | layout-grid (proposed)
 | layout-grid-char (proposed)
 | layout-grid-char-spacing (proposed)
 | layout-grid-line (proposed)
 | layout-grid-mode (proposed)
 | layout-grid-type (proposed)
 | line-break (proposed)*
 | line-height
 | letter-spacing
 | ruby-align (proposed)*
 | ruby-overhang (proposed)*
 | ruby-position (proposed)*
 | text-align
 | text-decoration
 | text-justify (proposed)*
 | text-indent
 | text-transform
 | unicode-bidi
 | vertical-align
 | word-break (proposed)*
 | word-spacing (Macintosh only)
Color and background properties | background
 | background-attachment
 | background-color
 | background-image
 | background-position
 | background-repeat
 | color
Layout properties | border
 | border-bottom
 | border-bottom-color
 | border-bottom-style
 | border-bottom-width
 | border-collapse *
 | border-color
 | border-left
 | border-left-color
 | border-left-style
 | border-left-width
 | border-right
 | border-right-color
 | border-right-style
 | border-right-width
 | border-style
 | border-top
 | border-top-color
 | border-top-style
 | border-top-width
 | border-width
 | clear
 | float
 | margin
 | margin-bottom
 | margin-left
 | margin-right
 | margin-top
 | padding
 | padding-bottom
 | padding-left
 | padding-right
 | padding-top
 | table-layout *
Classification properties | display
 | list-style
 | list-style-image
 | list-style-position
 | list-style-type
Positioning properties | bottom
 | clip
 | height
 | left
 | overflow
 | overflow-x (proposed)
 | overflow-y (proposed)
 | position
 | right
 | top
 | visibility
 | width
 | z-index
Printing properties | page-break-after
 | page-break-before
Filter properties | filter (proposed)
Pseudo-classes and other properties | active
 | cursor
 | hover
 | @import
 | !important
 | link
 | visited
Unsupported CSS attributes | first-letter pseudo
 | first-line pseudo
 | white-space


CSS Length Units Reference

Click to return to the DHTML, HTML & CSS home page

CSS Length Units

This section defines the supported length units for CSS attributes. Unless otherwise specified, the length units are supported as of Microsoft® Internet Explorer 3.0 or later. An asterisk (*) indicates the length unit is available as of Internet Explorer 4.0 or later.

Relative length units
em * | The height of the element's font.
ex * | The height of the letter "x".
px | Pixels.
% | Percentage.
Absolute length units
in | Inches (1 inch = 2.54 centimeters).
cm | Centimeters.
mm | Millimeters.
pt | Points (1 point = 1/72 inches).
pc | Picas (1 pica = 12 points).

Measurements and positions in cascading style sheets (CSS) properties are indicated in length units. Internet Explorer supports two types of length units: relative and absolute.

A relative length unit specifies a length in relation to another length property. Relative length units scale better from one output device to another, such as from a monitor to a printer.

An absolute length unit specifies an absolute measurement, such as inches or centimeters. Absolute length units are useful when the physical properties of the output device are known.

See Also

CSS Attributes Reference


MSDN Online Web Workshop

The Web Workshop is only available from the live MSDN Online Web site.

This page will automatically take you the Web Workshop on the MSDN Online Web site, or click here Internet Link to immediately jump to the page.


Further Reading

The descriptions for the following items are contained in the Microsoft® platform software development kit Internet Link (SDK). Non-MSDN link

ACCELERATEABSDI
AccessibleObjectFromEvent
AddRef
BindMoniker
BORDERWIDTHS
BSTR
CB_DELETESTRING
CB_FINDSTRINGEXACT
CB_GETCOUNT
CB_GETCURSEL
CB_GETDROPPEDCONTROLRECT
CB_GETDROPPEDSTATE
CB_GETEXTENDEDUI
CB_GETITEMDATA
CB_GETITEMHEIGHT
CB_GETLBTEXT
CB_GETLBTEXTLEN
CB_LIMITTEXT
CB_RESETCONTENT
CB_SELECTSTRING
CB_SETCURSEL
CB_SETDROPPEDWIDTH
CB_SETEXTENDEDUI
CB_SETITEMDATA
CB_SETITEMHEIGHT
CB_SHOWDROPDOWN
CloseHandle
CLSCTX
CLSIDFromProgID
CoCreateInstance
CoInitialize
COLORREF
CoTaskMemAlloc
CoTaskMemFree
CoUninitialize
CreateDialogIndirect
CreateFile
CreateIcon
CreateProcess
CreateWindow
CreateWindowEx
DefDlgProc
DefWindowProc
DeleteMenu
DeleteObject
DestroyIcon
DestroyWindow
DEVMODE
DISMISSMODELESS
DispatchMessage
DLGITEMTEMPLATE
DLGTEMPLATE
DllCanUnloadNow
DllEntryPoint
DllGetClassObject
DllRegisterServer
DM_SETDEFID
DoDragDrop
DrawFrameControl
DRAWITEMSTRUCT
DrawText
DVTARGETDEVICE
EM_LIMITTEXT
EM_SETLIMITTEXT
EN_CHANGE
EN_KILLFOCUS
EN_UPDATE
EnableScrollBar
EndDialog
ERROR_INSUFFICIENT_BUFFER
EVENT_OBJECT_CREATE
EVENT_OBJECT_DESTROY
EVENT_OBJECT_FOCUS
EVENT_OBJECT_STATECHANGE
EXCEPINFO
ExitWindowsEx
ExtractAssociatedIcon
ExtractIcon
ExtractIconEx
FAILED
FD_FLAGS
FILETIME
FindFirstChangeNotification
FindFirstFile
FindResource
FindWindow
FlashWindow
FORMATETC
FormatMessage
FreeLibrary
GetClassFile
GetCurrentDirectory
GetCurrentTime
GetCursorPos
GetDCEx
GetFileAttributes
GetLastError
GetMessage
GetModuleHandle
GetParent
GetProcAddress
GetScrollInfo
GetScrollPos
GetScrollRange
GetSubMenu
GetSysColor
GetSystemMetrics
GetThreadPriority
GetWindowLong
GlobalAlloc
HPALETTE
HRESULT
IAccessible
IActiveDesktop
IAddrBook
IAdviseSink
IAdviseSink::OnViewChange
IBindCtx
IBindCtx::RegisterObjectBound
ICatRegister::RegisterClassImplCategories
IClassFactory
IClassFactory::CreateInstance
IClassFactory::LockServer
IClassFactory2
IConnectionPoint
IConnectionPoint::Unadvise
IConnectionPointContainer
IDataObject
IDataObject::EnumFormatEtc
IDataObject::GetData
IDataObject::GetDataHere
IDataObject::QueryGetData
IDataObject::SetData
IDispatch
IDispatch::GetIDsOfNames
IDispatch::GetTypeInfo
IDispatch::GetTypeInfoCount
IDispatch::Invoke
IDispatchEx
IDispatchEx::GetDispID
IDispatchEx::InvokeEx
IDropSource
IDropSource::GiveFeedback
IDropSource::QueryContinueDrag
IDropTarget
IDropTarget::DragEnter
IDropTarget::DragLeave
IDropTarget::DragOver
IDropTarget::Drop
IEnumFORMATETC
IEnumString
IEnumUnknown
IEnumVARIANT
IEnumXXXX
IErrorInfo
IMalloc
IMalloc::Free
IMAPIFolder
IMAPIProp
IMAPITable
IMessage
IMoniker
IMoniker::BindToObject
IMoniker::BindToStorage
IMoniker::GetDisplayName
IMoniker::ParseDisplayName
InsertMenu
IObjectWithSite
IObjectWithSite::SetSite
IOleCache2
IOleClientSite
IOleClientSite::GetContainer
IOleCommandTarget
IOleCommandTarget::Exec
IOleCommandTarget::QueryStatus
IOleContainer
IOleControl
IOleControlFreezeEvents
IOleControlSite
IOleControlSite::TranslateAccelerator
IOleInPlaceActiveObject
IOleInPlaceActiveObject::EnableModeless
IOleInPlaceActiveObject::OnDocWindowActivate
IOleInPlaceActiveObject::OnFrameWindowActivate
IOleInPlaceActiveObject::ResizeBorder
IOleInPlaceActiveObject::TranslateAccelerator
IOleInPlaceFrame
IOleInPlaceFrame::EnableModeless
IOleInPlaceFrame::InsertMenus
IOleInPlaceFrame::RemoveMenus
IOleInPlaceFrame::SetMenu
IOleInPlaceFrame::SetStatusText
IOleInPlaceObject
IOleInPlaceObject::InPlaceDeactivate
IOleInPlaceSite
IOleInPlaceSite::GetWindowContext
IOleInPlaceSite::OnInPlaceActivate
IOleInPlaceSite::OnUIActivate
IOleInPlaceSite::OnUIDeactivate
IOleInPlaceUIWindow
IOleItemContainer
IOleObject
IOleObject::Advise
IOleObject::DoVerb
IOleObject::GetUserClassID
IOleObject::GetUserType
IOleObject::SetClientSite
IOleWindow
IOleWindow::GetWindow
IParseDisplayName
IParseDisplayName::ParseDisplayName
IPerPropertyBrowsing
IPersist
IPersist::GetClassID
IPersist*
IPersist*::InitNew
IPersist*::Load
IPersist*::Save
IPersistFile
IPersistFile::GetCurFile
IPersistFile::IsDirty
IPersistFile::Load
IPersistFile::Save
IPersistFile::SaveCompleted
IPersistMoniker::Load
IPersistStorage
IPersistStorage::InitNew
IPersistStorage::Load
IPersistStream
IPersistStreamInit
IPersistStreamInit::InitNew
IPropertyNotifySink
IPropertyNotifySink::OnChanged
IProvideClassInfo
IProvideClassInfo2
IsDialogMessage
IServiceProvider
IServiceProvider::QueryService
IShellBrowser
ISimpleFrameSite
ISpecifyPropertyPages
IStorage
IStorage::CreateStorage
IStorage::CreateStream
IStorage::Stat
IStream
IStream::Read
ITypeInfo
IUnknown
IUnknown::AddRef
IUnknown::QueryInterface
IUnknown::Release
IViewObject::GetColorSet
IViewObject2
LBItemFromPoint
LoadIcon
LoadImage
LoadLibrary
LoadResource
LocalAlloc
LocalFree
LOGBRUSH
LOGFONT
LOGPEN
MAKEINTRESOURCE
MAPI
MAPIAllocateBuffer
MAPIAllocateMore
MAPIFreeBuffer
MAPINAMEID
MapWindowPoints
MessageBox
MkParseDisplayName
MoveWindow
MSG
NETRESOURCE
OLECMDF
OLECMDID
OLECMDEXECOPT
OleCreateFromData
OleCreateFromFile
OLEExec
OLEGETMONIKER
OleInitialize
OleLoad
OleLoadFromStream
OleRun
OleSave
OleUninitialize
OLEWHICHMK
PeekMessage
POINT
POINTL
POINTS
PostMessage
PostQuitMessage
QueryInterface
QueryService
QueryStatus
ReadFile
RECT
RegEnumValue
RegisterClipboardFormat
RegisterDragDrop
RegisterHotKey
RegisterWindowMessage
Release
ResultFromScode
RevokeDragDrop
SAFEARRAY
SCROLLINFO
SECURITY_ATTRIBUTES
SendMessage
SetBkColor
SetCurrentDirectory
SetFocus
SetMenu
SetParent
SetScrollInfo
SetScrollPos
SetScrollRange
SetTextColor
SetThreadPriority
SetWindowLong
SetWindowPos
SetWindowRgn
SetWindowText
ShowCursor
ShowScrollBar
ShowWindow
SIZE
SOANGLE
SOCOLORREF
SOMAXPOINTS
SOPALETTE
SOPutText
STARTUPINFO
STGM
STGMEDIUM
StgOpenStorage
SysFreeString
SystemParametersInfo
SYSTEMTIME
TerminateProcess
TrackPopupMenu
TrackPopupMenuEx
TranslateMessage
UpdateWindow
UrlCanonicalize
VARIANT
VARIANTARG
VariantClear
VariantInit
VwStreamDynamicName
VwStreamDynamicType
VwStreamIdCount
VwStreamIdName
VwStreamSaveName
VwStreamSectionName
VwStreamUserSaveType
WIN32_FIND_DATA
WINDOWPOS
WinMain
WM_ACTIVATE
WM_ACTIVATEAPP
WM_CANCELMODE
WM_CHARTOITEM
WM_CLOSE
WM_COMMAND
WM_CONTEXTMENU
WM_CREATE
WM_DESTROY
WM_DRAWITEM
WM_ENABLE
WM_ERASEBKGND
WM_GETDLGCODE
WM_GETFONT
WM_GETHOTKEY
WM_HOTKEY
WM_HSCROLL
WM_INITDIALOG
WM_INITMENUPOPUP
WM_KEYDOWN
WM_KEYUP
WM_KILLFOCUS
WM_LBUTTONDBLCLK
WM_LBUTTONDOWN
WM_LBUTTONUP
WM_MBUTTONDOWN
WM_MEASUREITEM
WM_MENUCHAR
WM_MENUSELECT
WM_MOUSEMOVE
WM_NCACTIVATE
WM_NCCREATE
WM_NCHITTEST
WM_NCPAINT
WM_PAINT
WM_RBUTTONDOWN
WM_RBUTTONUP
WM_SETCURSOR
WM_SETFOCUS
WM_SETFONT
WM_SETHOTKEY
WM_SETREDRAW
WM_SIZE
WM_STYLECHANGED
WM_SYSCOLORCHANGE
WM_SYSCOMMAND
WM_TIMER
WM_VKEYTOITEM
WM_VSCROLL
WM_WINDOWPOSCHANGED
WM_WININICHANGE
WritePrivateProfileString


anchor Behavior

Enables the browser to navigate to a folder view.

Syntax

XML | N/A
HTML | <A STYLE="behavior:url('#default#AnchorClick')" ID=sID>
Scripting | object.style.behavior = "url('#default#AnchorClick')"
object.addBehavior("#default#AnchorClick")

Possible Values

sID String that specifies a unique identifier for the object.

Members

anchor Members

Remarks

You can use the anchor behavior and the exposed folder property to display the files and folders on a Web server in a Web folder view, similar to the Microsoft® Windows® folder view. The folder property must be present for the folder navigation to occur. If the folder property is not included, the href on the A object is used as normal.

For this behavior to work, the Web Folders component of Microsoft® Internet Explorer must be installed. If the component is not installed and the behavior is invoked, Internet Explorer prompts the user to download the component. To open a Web address in folder view, the Web server must include a WebDAV server, available as of Microsoft® Internet Information Server 5, or support WEC extensions, available as of Microsoft® FrontPage® 2000.

Using the folder property with the anchor behavior to navigate to a folder view is the same as invoking the navigate or navigateFrame method from the httpFolder Behavior.

Internet Explorer 5 displays the value of the folder property when the mouse moves over the A object. Earlier browser versions can display the value of the href property in the status bar or as a title, so the file name and content of the earlier file version are important to keep in mind.

You can use the TARGET attribute to specify the window or frame that loads the specified location in the FOLDER attribute.

The anchor behavior is available as of Internet Explorer 5, only in the Microsoft® Win32® platform.

Example

This example uses the anchor behavior to navigate to a folder view.

Sample Code

<STYLE>
A {behavior:url(#default#AnchorClick);}
</STYLE>

<!--
     The href points to folder.htm for earlier browser versions;
     the FOLDER attribute points to the local root.
 -->

<A HREF = "folder.htm" FOLDER = "/" >
Open Folder
</A>

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A

See Also

web folder behaviors Internet Link


anim:DA Element | anim Behavior

This document describes technologies available as an experimental implementation of HTML+TIME within Internet Explorer 5. While we encourage you to evaluate these features and to send us your feedback Internet Link, please note that these features are subject to change.

Defines an instance of the Microsoft® DirectAnimation® viewer in an HTML document to render DirectAnimation objects and play DirectAnimation sounds.

Syntax

XML | <anim:DA ID="sID" STYLE="height:sHeight; width:sWidth;" />
HTML | N/A
Scripting | N/A

Possible Values

sID | String that specifies a unique identifier for the object.
sHeight | String that specifies the height of the DirectAnimation viewer.
sWidth | String that specifies the width of the DirectAnimation viewer.

Members

anim Members

Remarks

The prefix anim is used to associate this attribute with an XML namespace. You must include this prefix when using the anim:DA element. To define this namespace prefix, include the following line of code in the HEAD section of your HTML document.

<XML:NAMESPACE PREFIX="anim"/>

You also must define the custom DA element and associate it with the default anim behavior. You can do this by adding the following line of code to the STYLE block of your document.

<STYLE>
    anim\:DA	{ behavior: url(#default#anim); }
</STYLE>

You also must use the height and width properties, as shown in the following line of code, to make the DirectAnimation viewer display properly.

<anim:DA STYLE="width:400; height:200;" />

Other inline style properties can be used to control the DirectAnimation viewer's position and z-index.

The anim:DA element is available as of Microsoft® Internet Explorer 5, only in the Microsoft® Win32® platform.

See Also

html+time Internet Link, multimedia extensions to html+time Internet Link


ANIMATION Element | animation Behavior

This document describes technologies available as an experimental implementation of HTML+TIME within Internet Explorer 5. While we encourage you to evaluate these features and to send us your feedback Internet Link, please note that these features are subject to change.

Defines a timed animation element in an HTML document.

Syntax

XML | <t:ANIMATION ID="sID" STYLE="behavior:url(#default#time)" />
HTML | N/A
Scripting | N/A

Possible Values

sID String that specifies a unique identifier for the object.

Members

animation Members

Remarks

The members listed in the preceding table might not be accessible through scripting until the window.onload event fires. Waiting for this event to fire ensures that the page is completely loaded, that all behaviors have been applied to corresponding elements on the page, and that all the behavior's properties, methods, and events are available for scripting. Using any of the behavior-defined members before the window.onload event fires could cause a scripting error, indicating that the object does not support a particular member.

Although different media-based elements exist, there is no functional difference in their current implementation. However, you are encouraged to use elements such as ANIMATION, AUDIO, IMG, MEDIA, and VIDEO for improved document readability and enhanced future support.

The prefix t is used to associate this element with an XML namespace. You must include the following line of code in the HEAD section of your HTML document when using this element.

<XML:NAMESPACE PREFIX="t"/>

The ANIMATION element is available as of Microsoft® Internet Explorer 5, only in the Microsoft® Win32® platform.

See Also

dhtml behaviors Internet Link, html+time Internet Link, using dhtml behaviors Internet Link


AUDIO Element | audio Behavior

This document describes technologies available as an experimental implementation of HTML+TIME within Internet Explorer 5. While we encourage you to evaluate these features and to send us your feedback Internet Link, please note that these features are subject to change.

Defines a timed audio element in an HTML document.

Syntax

XML | <t:AUDIO ID="sID" STYLE="behavior:url(#default#time)" />
HTML | N/A
Scripting | N/A

Possible Values

sID String that specifies a unique identifier for the object.

Members

audio Members

Remarks

The members listed in the preceding table might not be accessible through scripting until the window.onload event fires. Waiting for this event to fire ensures that the page is completely loaded, that all behaviors have been applied to corresponding elements on the page, and that all the behavior's properties, methods, and events are available for scripting. Using any of the behavior-defined members before the window.onload event fires could result in a scripting error, indicating that the object does not support that particular member.

Although different media-based elements exist, there is no functional difference in their current implementation. However, you are encouraged to use elements such as ANIMATION, AUDIO, IMG, MEDIA, and VIDEO for improved document readability and enhanced future support.

The prefix t is used to associate this element with an XML namespace. You must include the following line of code in the HEAD section of your HTML document when using this element.

<XML:NAMESPACE PREFIX="t"/>

The AUDIO element is available as of Microsoft® Internet Explorer 5, only in the Microsoft® Win32® platform.

See Also

dhtml behaviors Internet Link, html+time Internet Link, using dhtml behaviors Internet Link


clientCaps Behavior

Provides information about features supported by Microsoft® Internet Explorer, as well as a way for installing browser components on demand.

Syntax

XML | <Prefix:CustomTag ID=sID STYLE="behavior:url('#default#clientCaps')" />
HTML | <ELEMENT STYLE="behavior:url('#default#clientCaps')" ID=sID>
Scripting | object.style.behavior = "url('#default#clientCaps')"
object.addBehavior ("#default#clientCaps")

Possible Values

Prefix | Prefix that associates the CustomTag with an XML namespace. This prefix is set using the XMLNS attribute of the HTML tag.
CustomTag | User-defined tag.
sID | String that specifies a unique identifier for the object.

Members

clientCaps Members

Remarks

The members listed in the preceding table might not be accessible through scripting until the window.onload event fires. Waiting for this event to fire ensures that the page is completely loaded, that all behaviors have been applied to corresponding elements on the page, and that all the behavior's properties, methods, and events are available for scripting. To prevent a scripting error—which would indicate that the object does not support a particular member—do not use any of the behavior-defined members before the window.onload event fires.

The clientCaps behavior is available as of Internet Explorer 5, in the Microsoft® Win32® and Unix platforms.

Example

This example retrieves all the properties exposed by the clientCaps behavior.

Sample Code

<HTML XMLNS:IE>
<HEAD>
<STYLE>
@media all {
   IE\:clientCaps {behavior:url(#default#clientCaps)}
}
</STYLE>
</HEAD>

<BODY>
<IE:clientCaps ID="oClientCaps" />

<PRE id=oPre></PRE>

<SCRIPT>
<!--
function window.onload()
{
   sTempStr = "availHeight    = " + oClientCaps.availHeight    + "\n" +
              "availWidth     = " + oClientCaps.availWidth     + "\n" +
              "bufferDepth    = " + oClientCaps.bufferDepth    + "\n" +
              "colorDepth     = " + oClientCaps.colorDepth     + "\n" +
              "connectionType = " + oClientCaps.connectionType + "\n" +
              "cookieEnabled  = " + oClientCaps.cookieEnabled  + "\n" +
              "cpuClass       = " + oClientCaps.cpuClass       + "\n" +
              "height         = " + oClientCaps.height         + "\n" +
              "javaEnabled    = " + oClientCaps.javaEnabled    + "\n" +
              "platform       = " + oClientCaps.platform       + "\n" +
              "systemLanguage = " + oClientCaps.systemLanguage + "\n" +
              "userLanguage   = " + oClientCaps.userLanguage   + "\n" +
              "width          = " + oClientCaps.width          + "\n" ;

   oPre.innerText = sTempStr;
}
-->
</SCRIPT>
</BODY>
</HTML>
This feature requires Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

This example uses the getComponentVersion method of the clientCaps behavior to determine the browser version.

Sample Code

<SCRIPT>
function window.onload()
{
    var sVersion = oClientCaps.getComponentVersion ("{89820200-ECBD-11CF-8B85-00AA005B4383}","componentid");
    myText.innerHTML = "<FONT SIZE=4>You are running Internet Explorer " + sVersion + ".</FONT>";
}
</SCRIPT>

<BODY BGCOLOR="#FFFFFF" STYLE="behavior:url(#default#clientCaps)" ID="oClientCaps">
   :
<DIV ID="myText"></DIV>
This feature requires Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

This example shows how to install the Internet Explorer Data Binding component, if the component does not already exist in the user's system.

Sample Code

<HEAD>
<SCRIPT>
function window.onload()
{
   // dynamically set the behavior through script
   oClientCaps.style.behavior = "url(#default#clientCaps)";

   var bDBAvailable  = false;
   var sDBVersion = '';
   var sDBID = "{9381D8F2-0288-11D0-9501-00AA00B911A5}";

   bDBAvailable = oClientCaps.isComponentInstalled(sDBID,"componentid");

   // if data binding is unavailable, install it
   if (!bDBAvailable)
   {
      oClientCaps.addComponentRequest (sDBID, "componentid");
      bDBAvailable = oClientCaps.doComponentRequest();
   }
   :
}
</SCRIPT>
</HEAD>

<BODY BGCOLOR="#FFFFFF" ID="oClientCaps">
  :
<PRE ID="preText"></PRE>
This feature requires Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ACRONYM, ADDRESS, APPLET, AREA, B, BASE, BASEFONT, BDO, BGSOUND, BIG, BLOCKQUOTE, BODY, BR, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, COMMENT, DD, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, HEAD, Hn, HR, HTML, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, ISINDEX, KBD, LABEL, LEGEND, LI, LINK, LISTING, MAP, MARQUEE, MENU, NEXTID, NOBR, NOFRAMES, NOSCRIPT, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, RT, RUBY, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TITLE, TR, TT, U, UL, VAR, WBR, XML, XMP

See Also

client capabilities Internet Link, dhtml behaviors Internet Link, using dhtml behaviors Internet Link


download Behavior

Downloads a file and notifies a specified callback function when the download is complete.

Syntax

XML | <Prefix:CustomTag ID=sID STYLE="behavior:url('#default#download')" />
HTML | <ELEMENT STYLE="behavior:url('#default#download')" ID=sID>
Scripting | object.style.behavior = "url('#default#download')"
object.addBehavior ("#default#download")

Possible Values

Prefix | Prefix that associates the CustomTag with an XML namespace. This prefix is set using the XMLNS attribute of the HTML tag.
CustomTag | User-defined tag.
sID | String that specifies a unique identifier for the object.

Members

download Members

Remarks

The members listed in the preceding table might not be accessible through scripting until the window.onload event fires. Waiting for this event to fire ensures that the page is completely loaded, that all behaviors have been applied to corresponding elements on the page, and that all the behavior's properties, methods, and events are available for scripting. To prevent a scripting error—which would indicate that the object does not support a particular member—do not use any of the behavior-defined members before the window.onload event fires.

The download behavior and the file specified in the startDownload method must exist on the same domain.

The download behavior is available as of Microsoft® Internet Explorer 5, in the Microsoft® Win32® and Unix platforms.

Example

This example uses the download behavior to download a page.

Sample Code

<HTML XMLNS:IE>

<SCRIPT>
    function onDownloadDone(s) { alert (s); }
</SCRIPT>

<IE:Download ID="oDownload" STYLE="behavior:url(#default#download)" />
<P>Click <A HREF="javascript:oDownload.startDownload('download.htm',
onDownloadDone)">here</A> to download this page.
This feature requires Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ACRONYM, ADDRESS, APPLET, AREA, B, BASE, BASEFONT, BDO, BGSOUND, BIG, BLOCKQUOTE, BODY, BR, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, COMMENT, DD, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, HEAD, Hn, HR, HTML, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, ISINDEX, KBD, LABEL, LEGEND, LI, LINK, LISTING, MAP, MARQUEE, MENU, NEXTID, NOBR, NOFRAMES, NOSCRIPT, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, RT, RUBY, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TITLE, TR, TT, U, UL, VAR, WBR, XML, XMP


homePage Behavior

Contains information about a user's homepage.

Syntax

XML | <Prefix:CustomTag ID=sID STYLE="behavior:url('#default#homepage')" />
HTML | <ELEMENT STYLE="behavior:url('#default#homepage')" ID=sID>
Scripting | object.style.behavior = "url('#default#homepage')"
object.addBehavior ("#default#homepage")

Possible Values

Prefix | Prefix that associates the CustomTag with an XML namespace. This prefix is set using the XMLNS attribute of the HTML tag.
CustomTag | User-defined tag.
sID | String that specifies a unique identifier for the object.

Members

homePage Members

Remarks

The members listed in the preceding table might not be accessible through scripting until the window.onload event fires. Waiting for this event to fire ensures that the page is completely loaded, that all behaviors have been applied to corresponding elements on the page, and that all the behavior's properties, methods, and events are available for scripting. To prevent a scripting error—which would indicate that the object does not support a particular member—do not use any of the behavior-defined members before the window.onload event fires.

The homePage behavior is available as of Microsoft® Internet Explorer 5, in the Microsoft® Win32® and Unix platforms.

Example

This example uses the homePage behavior to set the user's home page to the specified URL.

Sample Code

<HTML XMLNS:IE>
<HEAD>
<STYLE>
@media all {
   IE\:homePage {behavior:url(#default#homepage)}
}
</STYLE>

<SCRIPT>
function fnVerify(){
    sQueryHome = oHomePage.isHomePage(oHomeHref.value);
    alert(sQueryHome);
    event.returnValue = false;
}
function fnGo(){
    oHomePage.navigateHomePage();
    event.returnValue=false;
}
function fnSet(){
    oHomePage.setHomePage(oHomeHref.value);
    event.returnValue = false;
}
</SCRIPT>
</HEAD>
<BODY>
<IE:homePage ID="oHomePage" />
<INPUT TYPE=text ID=oHomeHref VALUE="http://www.microsoft.com">
<INPUT TYPE=button VALUE="Verify" onclick="fnVerify()">
<INPUT TYPE=button VALUE="Set" onclick="fnSet()">
<INPUT TYPE=button VALUE="Navigate" onclick="fnGo()">
</BODY>
</HTML>
This feature requires Microsoft® Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ACRONYM, ADDRESS, APPLET, AREA, B, BASE, BASEFONT, BDO, BGSOUND, BIG, BLOCKQUOTE, BODY, BR, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, COMMENT, DD, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, HEAD, Hn, HR, HTML, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, ISINDEX, KBD, LABEL, LEGEND, LI, LINK, LISTING, MAP, MARQUEE, MENU, NEXTID, NOBR, NOFRAMES, NOSCRIPT, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, RT, RUBY, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TITLE, TR, TT, U, UL, VAR, WBR, XML, XMP

See Also

dhtml behaviors Internet Link


httpFolder Behavior

Contains scripting features that enable browser navigation to a folder view.

Syntax

XML | N/A
HTML | <ELEMENT STYLE="behavior:url('#default#httpFolder')" ID=sID>
Scripting | object.style.behavior = "url('#default#httpFolder')"
object.addBehavior ("#default#httpFolder")

Possible Values

sID String that specifies a unique identifier for the object.

Members

httpFolder Members

Remarks

The httpFolder behavior can be defined in a STYLE block, or inline with the element.

The httpFolder behavior is available as of Microsoft® Internet Explorer 5, only in the Microsoft® Win32® platform.

Example

This example uses the httpFolder behavior to navigate to a folder view.

Sample Code

<STYLE>
.httpFolder{behavior:url(#default#httpFolder);}
</STYLE>

<SCRIPT>
function fnNavigate(){
   var sFolder=location.href.substring(0,location.href.lastIndexOf("/"));
   oViewFolder.navigate(sFolder);
}
</SCRIPT>

<SPAN ID=oViewFolder
      CLASS = "httpFolder"
      onclick = "fnNavigate()"
>
Display this page in folder view.
</SPAN>

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ACRONYM, ADDRESS, AREA, B, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, DD, DEL, DFN, DIR, DIV, DL, DT, EM, FONT, FORM, Hn, HR, I, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, KBD, LABEL, LI, LISTING, MAP, MARQUEE, MENU, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TEXTAREA, TT, U, UL, VAR, XMP

See Also

web folder behaviors Internet Link


IMG Element | img Behavior

This document describes technologies available as an experimental implementation of HTML+TIME within Internet Explorer 5. While we encourage you to evaluate these features and to send us your feedback Internet Link, please note that these features are subject to change.

Defines a timed image element in an HTML document.

Syntax

XML | <t:IMG ID="sID" STYLE="behavior:url(#default#time)" />
HTML | N/A
Scripting | N/A

Possible Values

sID String that specifies a unique identifier for the object.

Members

img Members

Remarks

The members listed in the preceding table might not be accessible through scripting until the window.onload event fires. Waiting for this event to fire ensures that the page is completely loaded, that all behaviors have been applied to corresponding elements on the page, and that all the behavior's properties, methods, and events are available for scripting. Using any of the behavior-defined members before the window.onload event fires could result in a scripting error, indicating that the object does not support that particular member.

Although different media-based elements exist, there is no functional difference in their current implementation. However, you are encouraged to use elements such as ANIMATION, AUDIO, IMG, MEDIA, and VIDEO for improved document readability and enhanced future support.

This element duplicates the HTML IMG element and provides control over media loading. Use this element instead of the HTML IMG element for timing images in Microsoft® Internet Explorer 5.

The prefix t is used to associate this element with an XML namespace. You must include the following line of code in the HEAD section of your HTML document when using this element.

<XML:NAMESPACE PREFIX="t"/>

The IMG element is available as of Internet Explorer 5, only in the Microsoft® Win32® platform.

See Also

dhtml behaviors Internet Link, html+time Internet Link, using dhtml behaviors Internet Link


MEDIA Element | media Behavior

This document describes technologies available as an experimental implementation of HTML+TIME within Internet Explorer 5. While we encourage you to evaluate these features and to send us your feedback Internet Link, please note that these features are subject to change.

Defines a generic, timed media element in an HTML document.

Syntax

XML | <t:MEDIA ID="sID" STYLE="behavior:url(#default#time)" />
HTML | N/A
Scripting | N/A

Possible Values

sID String that specifies a unique identifier for the object.

Members

media Members

Remarks

The members listed in the preceding table might not be accessible through scripting until the window.onload event fires. Waiting for this event to fire ensures that the page is completely loaded, that all behaviors have been applied to corresponding elements on the page, and that all the behavior's properties, methods, and events are available for scripting. Using any of the behavior-defined members before the window.onload event fires could result in a scripting error, indicating that the object does not support that particular member.

Although different media-based elements exist, there is no functional difference in their current implementation. However, you are encouraged to use elements such as ANIMATION, AUDIO, IMG, MEDIA, and VIDEO for improved document readability and enhanced future support.

The prefix t is used to associate this element with an XML namespace. You must include the following line of code in the HEAD section of your HTML document when using this element.

<XML:NAMESPACE PREFIX="t"/>

The MEDIA element is available as of Microsoft® Internet Explorer 5, only in the Microsoft® Win32® platform.

See Also

dhtml behaviors Internet Link, html+time Internet Link, using dhtml behaviors Internet Link


PAR Element | par Behavior

This document describes technologies available as an experimental implementation of HTML+TIME within Internet Explorer 5. While we encourage you to evaluate these features and to send us your feedback Internet Link, please note that these features are subject to change.

Defines a new timeline container in an HTML document for independently timed elements.

Syntax

XML | <t:PAR ID="sID" STYLE="behavior:url(#default#time)" />
HTML | N/A
Scripting | N/A

Possible Values

sID String that specifies a unique identifier for the object.

Members

par Members

Remarks

All HTML descendants of this element have independent, or parallel, timing.

Use this element instead of the TIMELINE attribute to create a time container without using an HTML element. All descendant elements, or time children, of this new time container inherit the time properties of their container. Unlike the time children of the SEQ element, the PAR descendants have no implicit timing relationships with each other, and their timelines might overlap. The PAR element effectively groups elements together so they can be easily modified as a single unit.

The prefix t is used to associate this element with an XML namespace. You must include the following line of code in the HEAD section of your HTML document when using this element.

<XML:NAMESPACE PREFIX="t"/>

The PAR element is available as of Internet Explorer 5, only in the Microsoft® Win32® platform.

Example

This example uses the PAR element to apply a timeline to a group of HTML elements.

Sample Code

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML>
<HEAD>
<XML:NAMESPACE PREFIX="t"/>

<STYLE>
.time        	{ behavior: url(#default#time);}
</STYLE>
</HEAD>

<BODY BGCOLOR="white">
<FONT FACE="Verdana">
<t:PAR CLASS=time t:BEGIN="0" t:DUR="10" t:TIMEACTION="display">
    <H3>Paragraph 1</H3>
    <P>This is paragraph number one. It appears for ten seconds
    immediately after the page is loaded.</P>
    <SPAN CLASS=time t:BEGIN="5">
        <H3>Paragraph 2</H3>
        <P>This is paragraph number two. It appears five seconds
        after the page is loaded, and remains displayed until its
        parent element's timeline ends at ten seconds.</P>
    </SPAN>
</t:PAR>
</FONT>
</BODY>
</HTML>
This feature requires Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

See Also

html+time Internet Link, SEQ, TIMELINE


saveFavorite Behavior

Enables the object to persist data in a Favorite.

Syntax

XML | N/A
HTML | <ELEMENT STYLE="behavior:url('#default#saveFavorite')" ID=sID>
Scripting | object.style.behavior = "url('#default#saveFavorite')"
object.addBehavior ("#default#saveFavorite")

Possible Values

sID String that specifies a unique identifier for the object.

Members

saveFavorite Members

Remarks

The saveFavorite behavior allows the current state of a page to be saved when the user adds the page to Favorites. When the user returns to the page through a shortcut or the Favorites menu, the state of the page is restored.

The saveFavorite behavior persists data across sessions, using one UserData store for each object. If two objects try to use the same attribute, both are persisted in the UserData store for each element. The saveFavorite UserData store is persisted in the Favorites INI file, which includes the URL of the page as well as the UserData store. When the page is loaded through a shortcut or Favorites, the data from the UserData store is loaded from the INI file, even if the user closes and reopens Microsoft® Internet Explorer.

For example, a page with several dynamically updated styles can save these updates using the onload and onsave events. The style values can be saved as attributes when onsave fires, and restored when onload fires.

To use the saveFavorite behavior, use a META tag that identifies the type of persistence.

   <META NAME="save" CONTENT="favorite">

The required STYLE can be set inline or in the document header, as follows:

   <STYLE>
      .saveFavorite {behavior:url(#default#savefavorite);}
   </STYLE>

An ID is optional for saveFavorite, but including one improves performance.

The saveFavorite behavior is available as of Microsoft® Internet Explorer 5, in the Microsoft® Win32® and Unix platforms.

Example

This example uses the saveFavorite behavior to persist information after the user saves the page as a favorite.

Sample Code

<HTML>
<HEAD>
<META NAME="save" CONTENT="favorite">
<STYLE>
   .saveFavorite {behavior:url(#default#savefavorite);}
</STYLE>
<SCRIPT>
   function fnSaveInput(){
      oPersistInput.setAttribute("sPersistValue",oPersistInput.value);
   }
   function fnLoadInput(){
      oPersistInput.value=oPersistInput.getAttribute("sPersistValue");
   }
</SCRIPT>
</HEAD>
<BODY>
<INPUT class=saveFavorite onsave="fnSaveInput()" onload="fnLoadInput()" type=text id=oPersistInput>
</BODY>
</HTML>
This feature requires Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ACRONYM, ADDRESS, AREA, B, BIG, BLOCKQUOTE, BUTTON, CAPTION, CENTER, CITE, CODE, DD, DEL, DFN, DIR, DIV, DL, DT, EM, FONT, FORM, Hn, HR, I, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, KBD, LABEL, LI, LISTING, MAP, MARQUEE, MENU, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TEXTAREA, TT, U, UL, VAR, XMP

See Also

dhtml behaviors Internet Link, persistence overview Internet Link


saveHistory Behavior

Enables the object to persist data in the browser history.

Syntax

XML | N/A
HTML | <ELEMENT STYLE="behavior:url('#default#saveHistory')" ID=sID>
Scripting | object.style.behavior = "url('#default#saveHistory')"
object.addBehavior ("#default#saveHistory")

Possible Values

sID String that specifies a unique identifier for the object.

Members

saveHistory Members

Remarks

The saveHistory behavior saves the current state of the page when the user navigates away from the page. When the user returns to the page by pressing the back or forward button, the values are restored.

The saveHistory behavior persists only for the current session. When the user navigates away from the page containing the saveHistory behavior, the data is persisted in a UserData store. The saveHistory behavior uses one UserData store for the entire document. Thus, if two elements write the same attribute, the first is overwritten by the second. The UserData store is saved in an in-memory stream and is not saved to disk. Therefore, it is not available after the user closes Microsoft® Internet Explorer.

For example, a page with several dynamically updated styles might save these updates using the onload and onsave event handlers. The style values can be saved as attributes when onsave fires, and restored when onload fires.

To use the saveHistory behavior, use a META tag that identifies the type of persistence.

   <META NAME="save" CONTENT="history">

The required STYLE can be set inline or in the document header, as follows:

   <STYLE>
      .saveHistory {behavior:url(#default#savehistory);}
   </STYLE>

An ID is optional for saveHistory, but including one improves performance.

The saveHistory behavior is available as of Microsoft® Internet Explorer 5, in the Microsoft® Win32® and Unix platforms.

Example

This example uses the saveHistory behavior to persist information after the user leaves and subsequently returns to the page.

Sample Code

<HTML>
<HEAD>
<META NAME="save" CONTENT="history">
<STYLE>
   .saveHistory {behavior:url(#default#savehistory);}
</STYLE>
</HEAD>
<BODY>
<INPUT class=saveHistory type=text id=oPersistInput>
</BODY>
</HTML>
This feature requires Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ACRONYM, ADDRESS, AREA, B, BIG, BLOCKQUOTE, BUTTON, CAPTION, CENTER, CITE, CODE, DD, DEL, DFN, DIR, DIV, DL, DT, EM, FONT, FORM, Hn, HR, I, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, KBD, LABEL, LI, LISTING, MAP, MARQUEE, MENU, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TEXTAREA, TT, U, UL, VAR, XMP

See Also

dhtml behaviors Internet Link, persistence overview Internet Link


saveSnapshot Behavior

Enables the object to persist data when a Web page is saved.

Syntax

XML | N/A
HTML | <ELEMENT STYLE="behavior:url('#default#saveSnapshot')" ID=sID>
Scripting | object.style.behavior="url('#default#saveSnapshot')"
object.addBehavior ("#default#saveSnapshot")

Possible Values

sID String that specifies a unique identifier for the object.

Members

saveSnapshot Members

Remarks

The saveSnapshot behavior can persist form values, styles, dynamically updated content, and scripting variables when the user saves a Web page locally as Web Page, HTML Only.

The saveSnapshot behavior cannot persist the BODY element and individual table elements, such as rows and cells.

The saveSnapshot behavior can persist the content of the SCRIPT element if the element is assigned an ID and a CLASS. The saveSnapshot behavior can persist only string, Boolean, and integer variants. Comments, functions, and scripting objects, such as arrays, are stripped out. Persistent SCRIPT elements with an external source write the variables into the persistent page from the source.

To use the saveSnapshot behavior, use a META tag that identifies the type of persistence.

   <META NAME="save" CONTENT="snapshot">

The required STYLE may be set inline or in the document header, as follows:

   <STYLE>
      .saveSnapshot {behavior:url(#default#savesnapshot);}
   </STYLE>

An ID is required for the object to persist correctly.

The saveSnapshot behavior is available as of Microsoft® Internet Explorer 5, in the Microsoft® Win32® and Unix platforms.

Example

The following examples show how to use the saveSnapshot behavior.

Sample Code

This example uses the saveSnapshot behavior to persist form data.

<HTML>
<HEAD>
<META NAME="save" CONTENT="history">
<STYLE>
   .saveSnapshot {behavior:url(#default#savesnapshot);}
</STYLE>
</HEAD>
<BODY>
<INPUT class=saveSnapshot type=text id=oPersistInput>
</BODY>
</HTML>
This feature requires Microsoft® Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

This example uses the saveSnapshot behavior to persist an entire form in two ways: by setting the CLASS attribute of the input fields to "saveSnapshot", and by packaging the data into a string variable, sData, when the user clicks the Save From Data button.

<HTML>
<HEAD>
<META NAME="save" CONTENT="snapshot">
<STYLE>
   .saveSnapshot {behavior:url(#default#savesnapshot);}
</STYLE>
<SCRIPT CLASS="saveSnapshot" id=oPersistScript>
   var sData="";
</SCRIPT>
<SCRIPT>
function PersistArray(){
   var sData="";
   for(var i=0;i<oPersistForm.elements.length;i++){
      if(oPersistForm.elements[i].type == "text"){
         sData+=oPersistForm.elements[i].value + "|";
         oPersistForm.elements[i].value="";
      }
      if(oPersistForm.elements[i].tagName == "SELECT"){
         sData+="spamtype=" + oPersistForm.elements[i].selectedIndex;
         oPersistForm.oSelSpam.selected=-1;
      }
   }
   sPersistData=sData;
}
function RestoreArray(){
   if(sPersistData!="~Empty~"){
      collData=sPersistData.split("|");
      for(var i=0;i<collData.length;i++){
         if(collData[i].indexOf("spamtype=")==-1){
            oPersistForm.elements[i].value=collData[i];
         }
         if(collData[i].indexOf("spamtype=")>=0){
            oPersistForm.oSelSpam.selectedIndex=
               collData[i].substring(
                  collData[i].indexOf("=")+1,collData[i].length
               );
         }
      }
   }
}
</SCRIPT>
</HEAD>
<BODY>
<FORM ID="oPersistForm">
<TABLE CLASS="oSampleStyle">
<TR><TD><LABEL FOR="oFirstName">First Name:</LABEL></TD>
<TD><INPUT CLASS="saveSnapshot" TYPE="text" ID="oFirstName" SIZE=15></TD></TR>
<TR><TD><LABEL FOR="oSelSpam">Select Method of Spam:</LABEL></TD>
<TD>
<SELECT ID="oSelSpam">
<OPTION>E-mail<OPTION>Postal Mail<OPTION>Telemarketing
</SELECT></TD></TR>
:
</TABLE>
<INPUT TYPE="button"
   VALUE="Save form data in script"
   onclick="PersistArray()"
>
<INPUT TYPE="button"
   VALUE="Restore data from script"
   onclick="RestoreArray()"
>
</FORM>
</BODY>
</HTML>
This feature requires Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ACRONYM, ADDRESS, AREA, B, BIG, BLOCKQUOTE, BUTTON, CENTER, CITE, CODE, DD, DEL, DFN, DIR, DIV, DL, DT, EM, FONT, FORM, Hn, HR, I, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, KBD, LABEL, LI, LISTING, MAP, MARQUEE, MENU, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TEXTAREA, TT, U, UL, VAR, XMP

See Also

dhtml behaviors Internet Link, persistence overview Internet Link


SEQ Element | seq Behavior

This document describes technologies available as an experimental implementation of HTML+TIME within Internet Explorer 5. While we encourage you to evaluate these features and to send us your feedback Internet Link, please note that these features are subject to change.

Defines a new timeline container in an HTML document for sequentially timed elements.

Syntax

XML | <t:SEQ ID="sID" STYLE="behavior:url(#default#time)" />
HTML | N/A
Scripting | N/A

Possible Values

sID String that specifies a unique identifier for the object.

Members

seq Members

Remarks

All timed HTML descendants of this XML element have sequential timing. These sequential elements are timed as though each one has the BEGINAFTER attribute set to the previous timed element. As with beginAfter timing, a duration value (dur property) must be specified or the next element in the sequence might never be displayed. Elements without timing attributes are ignored by the timing mechanism and are statically rendered. A timed element is an HTML element with an associated time behavior.

The prefix t is used to associate this element with an XML namespace. You must include the following line of code in the HEAD section of your HTML document when using this element.

<XML:NAMESPACE PREFIX="t"/>

The SEQ element is available as of Microsoft® Internet Explorer 5, only in the Microsoft® Win32® platform.

Example

This example uses the SEQ element to display a sequence of text lines without specifying begin times for each timed element in the sequence.

Sample Code

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML>
<HEAD>
<XML:NAMESPACE PREFIX="t"/>
<STYLE>
.time        	{ behavior: url(#default#time);       	}
</STYLE>
</HEAD>
<BODY BGCOLOR="white">
<FONT FACE="Verdana" COLOR="Blue">
<t:SEQ ID="parent" CLASS="time" t:BEGIN="0" t:DUR="indefinite">
    <DIV ID="div1" CLASS="time" t:DUR="2">First line of text.</DIV>
    <DIV ID="div1" CLASS="time" t:DUR="2">Second line of text.</DIV>
    <DIV ID="div1" CLASS="time" t:DUR="2">Third line of text.</DIV>
    <DIV ID="div1" CLASS="time" t:DUR="2">Fourth line of text.</DIV>
    <SPAN STYLE="color:black" ID="span1" CLASS="time"
    t:DUR="indefinite"><B>End of sequence.</B></SPAN>
</t:SEQ>
</FONT>
</BODY>
</HTML>
This feature requires Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

See Also

html+time Internet Link, PAR, TIMELINE


time Behavior

This document describes technologies available as an experimental implementation of HTML+TIME within Internet Explorer 5. While we encourage you to evaluate these features and to send us your feedback Internet Link, please note that these features are subject to change.

Provides an active timeline for an HTML element.

Syntax

XML | N/A
HTML | <ELEMENT STYLE="behavior:url('#default#time')" ID=sID>
Scripting | object.style.behavior = "url('#default#time')"
object.addBehavior ("#default#time")

Possible Values

sID String that specifies a unique identifier for the object.

Members

time Members

Remarks

This default behavior adds timing to HTML pages. Using the HTML+TIME extensions, any HTML element can be set to appear at a given time, last for a specified duration, and repeat the behavior if desired. The time behavior supports all time-related attributes, properties, methods, and events. The XML elements associated with this behavior are ANIMATION, AUDIO, IMG, MEDIA, PAR, SEQ, and VIDEO.

The members listed in the preceding table might not be accessible through scripting until the window.onload event fires. Waiting for this event to fire ensures that the page is completely loaded, that all behaviors have been applied to corresponding elements on the page, and that all the behavior's properties, methods, and events are available for scripting. Using any of the behavior-defined members before the window.onload event fires could result in a scripting error, indicating that the object does not support that particular member.

The time behavior is available as of Microsoft® Internet Explorer 5, only in the Microsoft® Win32® platform.

Example

This example uses the time behavior to make text appear for specified intervals of time.

Sample Code

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML>
<HEAD>
<TITLE>Time Behavior</TITLE>
<XML:NAMESPACE PREFIX="t"/>
<STYLE>
.time            { behavior: url(#default#time);}
</STYLE>
</HEAD>
<BODY TOPMARGIN=0 LEFTMARGIN=0 BGPROPERTIES="FIXED" BGCOLOR="#FFFFFF"
LINK="#000000" VLINK="#808080" ALINK="#000000">
<BLOCKQUOTE>
<P>Images and lines of text should start appearing 2 seconds
after the page is loaded.</P>
<t:IMG CLASS=time t:BEGIN="2" t:DUR="7" t:TIMEACTION="display"
    t:SRC="/workshop/graphics/icons/author.gif" />
<t:IMG CLASS=time t:BEGIN="11" t:DUR="indefinite" t:TIMEACTION="display"
    t:SRC="/workshop/graphics/icons/messaging.gif" />
<UL STYLE="COLOR:Green;">
    <LI CLASS=time t:BEGIN="2" t:DUR="7" t:TIMEACTION="display">
        This line appears with the image.
    </LI>
    <LI CLASS=time t:BEGIN="4" t:DUR="5" t:TIMEACTION="display">
        This line appears two seconds after the image.
    </LI>
    <LI CLASS=time t:BEGIN="6" t:DUR="3" t:TIMEACTION="display">
        This line appears four seconds after the image.
    </LI>
</UL>
<UL STYLE="COLOR:Red;">
    <LI CLASS=time t:BEGIN="11" t:DUR="indefinite"
    t:TIMEACTION="display">
        This line appears with the image.
    </LI>
    <LI CLASS=time t:BEGIN="13" t:DUR="indefinite"
    t:TIMEACTION="display">
        This line appears two seconds after the image.
    </LI>
    <LI CLASS=time t:BEGIN="15" t:DUR="indefinite"
    t:TIMEACTION="display">
        This line appears four seconds after the image.
    </LI>
</UL>
<P CLASS=time t:BEGIN="16" t:DUR="indefinite">The page is now
finished.</P>
</BLOCKQUOTE>
</BODY>
</HTML>
This feature requires Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ACRONYM, ADDRESS, AREA, B, BIG, BLOCKQUOTE, BUTTON, CAPTION, CENTER, CITE, CODE, DD, DEL, DIR, DIV, DL, DT, EM, FIELDSET, FONT, FORM, Hn, HR, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LEGEND, LI, LISTING, MARQUEE, MENU, OL, OPTION, P, PLAINTEXT, PRE, Q, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP

See Also

dhtml behaviors Internet Link, html+time Internet Link, using dhtml behaviors Internet Link


userData Behavior

Enables the object to persist data in user data.

Syntax

XML | N/A
HTML | <ELEMENT STYLE="behavior:url('#default#userData')" ID=sID>
Scripting | object.style.behavior = "url('#default#userData')"
object.addBehavior ("#default#userData")

Possible Values

sID String that specifies a unique identifier for the object.

Members

userData Members

Remarks

The userData behavior persists information across sessions by writing to a UserData store. This provides a data structure that is more dynamic and has a greater capacity than cookies. The capacity of the UserData store is 64K per page, with a limit of 640K per domain.

The userData behavior persists data across sessions, using one UserData store for each object. The UserData store is persisted in the cache using the save and load methods. Once the UserData store has been saved, it can be reloaded even if Microsoft® Internet Explorer has been closed and reopened.

For security reasons, a UserData store is available only in the same directory and with the same protocol used to persist the store.

Setting the userData behavior (proposed) class on the HTML, HEAD, TITLE, or STYLE object causes an error when the save or load method is called.

The required STYLE can be set inline or in the document header, as follows:

   <STYLE>
      .userData {behavior:url(#default#userdata);}
   </STYLE>

An ID is optional for userData, but including one improves performance.

The userData behavior is available as of Microsoft® Internet Explorer 5, in the Microsoft® Win32® and Unix platforms.

Example

This example uses the userData behavior to preserve information in a UserData Store.

Sample Code

<HTML>
<HEAD>
<STYLE>
   .userData {behavior:url(#default#userdata);}
</STYLE>
<SCRIPT>
function fnSaveInput(){
   var oPersist=oPersistForm.oPersistInput;
   oPersist.setAttribute("sPersist",oPersist.value);
   oPersist.save("oXMLBranch");
}
function fnLoadInput(){
   var oPersist=oPersistForm.oPersistInput;
   oPersist.load("oXMLBranch");
   oPersist.value=oPersist.getAttribute("sPersist");
}
</SCRIPT>
</HEAD>
<BODY>
<FORM ID="oPersistForm">
<INPUT CLASS="userData" TYPE="text" ID="oPersistInput">
<INPUT TYPE="button" VALUE="Load" onclick="fnLoadInput()">
<INPUT TYPE="button" VALUE="Save" onclick="fnSaveInput()">
</FORM>
</BODY>
</HTML>
This feature requires Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ACRONYM, ADDRESS, AREA, B, BIG, BLOCKQUOTE, BUTTON, CAPTION, CENTER, CITE, CODE, DD, DEL, DFN, DIR, DIV, DL, DT, EM, FONT, FORM, Hn, HR, I, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, KBD, LABEL, LI, LISTING, MAP, MARQUEE, MENU, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TEXTAREA, TT, U, UL, VAR, XMP

See Also

dhtml behaviors Internet Link, persistence overview Internet Link


VIDEO Element | video Behavior

This document describes technologies available as an experimental implementation of HTML+TIME within Internet Explorer 5. While we encourage you to evaluate these features and to send us your feedback Internet Link, please note that these features are subject to change.

Defines a timed video element in an HTML document.

Syntax

XML | <t:VIDEO ID="sID" STYLE="behavior:url(#default#time)" />
HTML | N/A
Scripting | N/A

Possible Values

sID String that specifies a unique identifier for the object.

Members

video Members

Remarks

The members listed in the preceding table might not be accessible through scripting until the window.onload event fires. Waiting for this event to fire ensures that the page is completely loaded, that all behaviors have been applied to corresponding elements on the page, and that all the behavior's properties, methods, and events are available for scripting. Using any of the behavior-defined members before the window.onload event fires could result in a scripting error, indicating that the object does not support that particular member.

Although different media-based elements exist, there is no functional difference in their current implementation. However, you are encouraged to use elements such as ANIMATION, AUDIO, IMG, MEDIA, and VIDEO for improved document readability and enhanced future support.

The prefix t is used to associate this element with an XML namespace. You must include the following line of code in the HEAD section of your HTML document when using this element.

<XML:NAMESPACE PREFIX="t"/>

The VIDEO element is available as of Microsoft® Internet Explorer 5, only in the Microsoft® Win32® platform.

See Also

dhtml behaviors Internet Link, html+time Internet Link, using dhtml behaviors Internet Link


anchor Behavior Members

Enables the browser to navigate to a folder view.

Properties

folder , target


anim:DA Element | anim Behavior Members

Defines an instance of the Microsoft® DirectAnimation® viewer in an HTML document to render DirectAnimation objects and play DirectAnimation sounds.

Properties

image , sound , statics

Methods

addDABehavior , removeDABehavior


ANIMATION Element | animation Behavior Members

Defines a timed animation element in an HTML document.

Properties

accelerate , autoReverse , begin , beginAfter , beginEvent , beginWith , clipBegin , clipEnd , clockSource , decelerate , dur , end , endEvent , endHold , eventRestart , img , player , playerObject , repeat , repeatDur , src , syncBehavior , syncTolerance , timeAction , type

Methods

beginElement , endElement

Events

onbegin , onend , onmediacomplete , onmedialoadfailed , onmediaslip , onpause , onrepeat , onresume , onresync , onreverse , onscriptcommand


AUDIO Element | audio Behavior Members

Defines a timed audio element in an HTML document.

Properties

accelerate , autoReverse , begin , beginAfter , beginEvent , beginWith , clipBegin , clipEnd , clockSource , decelerate , dur , end , endEvent , endHold , eventRestart , player , playerObject , repeat , repeatDur , src , syncBehavior , syncTolerance , timeAction , type

Methods

beginElement , endElement

Events

onbegin , onend , onmediacomplete , onmedialoadfailed , onmediaslip , onpause , onrepeat , onresume , onresync , onreverse , onscriptcommand


clientCaps Behavior Members

Provides information about features supported by Microsoft® Internet Explorer, as well as a way for installing browser components on demand.

Properties

availHeight , availWidth , bufferDepth , colorDepth , connectionType , cookieEnabled , cpuClass , height , javaEnabled , platform , systemLanguage , userLanguage , width

Methods

addComponentRequest , clearComponentRequest , compareVersions , doComponentRequest , getComponentVersion , isComponentInstalled


download Behavior Members

Downloads a file and notifies a specified callback function when the download is complete.

Methods

startDownload


homePage Behavior Members

Contains information about a user's homepage.

Methods

isHomePage , navigateHomePage , setHomePage


httpFolder Behavior Members

Contains scripting features that enable browser navigation to a folder view.

Methods

navigate , navigateFrame


IMG Element | img Behavior Members

Defines a timed image element in an HTML document.

Properties

accelerate , autoReverse , begin , beginAfter , beginEvent , beginWith , clipBegin , clipEnd , clockSource , decelerate , dur , end , endEvent , endHold , eventRestart , player , playerObject , repeat , repeatDur , src , syncBehavior , syncTolerance , timeAction , type

Methods

beginElement , endElement

Events

onbegin , onend , onmediacomplete , onmedialoadfailed , onmediaslip , onpause , onrepeat , onresume , onresync , onreverse , onscriptcommand


MEDIA Element | media Behavior Members

Defines a generic, timed media element in an HTML document.

Properties

accelerate , autoReverse , begin , beginAfter , beginEvent , beginWith , clipBegin , clipEnd , clockSource , decelerate , dur , end , endEvent , endHold , eventRestart , img , player , playerObject , repeat , repeatDur , src , syncBehavior , syncTolerance , timeAction , type

Methods

beginElement , endElement

Events

onbegin , onend , onmediacomplete , onmedialoadfailed , onmediaslip , onpause , onrepeat , onresume , onresync , onreverse , onscriptcommand


PAR Element | par Behavior Members

Defines a new timeline container in an HTML document for independently timed elements.

Properties

accelerate , autoReverse , begin , beginAfter , beginEvent , beginWith , decelerate , dur , end , endEvent , endHold , eventRestart , repeat , repeatDur , syncBehavior , syncTolerance , timeAction

Methods

beginElement , endElement

Events

onbegin , onend , onmediacomplete , onmedialoadfailed , onmediaslip , onpause , onrepeat , onresume , onresync , onreverse


saveFavorite Behavior Members

Enables the object to persist data in a Favorite.

Properties

XMLDocument

Methods

getAttribute , removeAttribute , setAttribute

Events

onload , onsave


saveHistory Behavior Members

Enables the object to persist data in the browser history.

Properties

XMLDocument

Methods

getAttribute , removeAttribute , setAttribute

Events

onload , onsave


saveSnapshot Behavior Members

Enables the object to persist data when a Web page is saved.

Events

onsave


SEQ Element | seq Behavior Members

Defines a new timeline container in an HTML document for sequentially timed elements.

Properties

accelerate , autoReverse , begin , beginAfter , beginEvent , beginWith , decelerate , dur , end , endEvent , endHold , eventRestart , repeat , repeatDur , syncBehavior , syncTolerance , timeAction

Methods

beginElement , endElement

Events

onbegin , onend , onmediacomplete , onmedialoadfailed , onmediaslip , onpause , onrepeat , onresume , onresync , onreverse


time Behavior Members

Provides an active timeline for an HTML element.

Properties

accelerate , autoReverse , begin , beginAfter , beginEvent , beginWith , currTime , decelerate , dur , end , endEvent , endHold , eventRestart , localTime , onOffBehavior , progressBehavior , repeat , repeatDur , syncBehavior , syncTolerance , timeAction , timeline , timelineBehavior , timeStartRule

Methods

beginElement , endElement , pause , resume

Events

onbegin , onend , onpause , onrepeat , onresume , onreverse


userData Behavior Members

Enables the object to persist data in user data.

Properties

expires , XMLDocument

Methods

getAttribute , load , removeAttribute , save , setAttribute


VIDEO Element | video Behavior Members

Defines a timed video element in an HTML document.

Properties

accelerate , autoReverse , begin , beginAfter , beginEvent , beginWith , clipBegin , clipEnd , clockSource , decelerate , dur , end , endEvent , endHold , eventRestart , img , player , playerObject , repeat , repeatDur , src , syncBehavior , syncTolerance , timeAction , type

Methods

beginElement , endElement

Events

onbegin , onend , onmediacomplete , onmedialoadfailed , onmediaslip , onpause , onrepeat , onresume , onresync , onreverse , onscriptcommand


onbegin Event

This document describes technologies available as an experimental implementation of HTML+TIME within Internet Explorer 5. While we encourage you to evaluate these features and to send us your feedback Internet Link, please note that these features are subject to change.

Fires when the timeline starts on an element.

Syntax

Inline HTML | <ELEMENT onbegin = "handler" ... > | All platforms
Event property | object.onbegin = handler | JScript (compatible with ECMA 262 language specification) only
Named script | <SCRIPT FOR = object EVENT = onbegin > | Internet Explorer only

Remarks

Bubbles | No
Cancels | No
To invoke | Set the element's begin time. The value of the element's begin time, which can depend on other elements, determines when the event actually fires.
Default action | Calls the associated event handler.

This event also fires for the element when the beginElement method is invoked on it, or in response to other dependencies created by the BEGINWITH or BEGINEVENT attribute. This event does not fire when the timeline on the element is set to repeat. However, it fires if the parent element's timeline is set to repeat.

Event Object Properties

Although event handlers in the Dynamic HTML (DHTML) Object Model do not directly receive parameters, the handler can query the event object for data. For a list of properties of the event object relevant to an onbegin event handler, click the following link.

Event Object Properties

srcElement | Retrieves the object that fired the event.
type | Retrieves the event name from the event object.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
animation, audio, img, media, par, seq, time, video

See Also

onend


onend Event

This document describes technologies available as an experimental implementation of HTML+TIME within Internet Explorer 5. While we encourage you to evaluate these features and to send us your feedback Internet Link, please note that these features are subject to change.

Fires when the timeline stops on an element.

Syntax

Inline HTML | <ELEMENT onend = "handler" ... > | All platforms
Event property | object.onend = handler | JScript (compatible with ECMA 262 language specification) only
Named script | <SCRIPT FOR = object EVENT = onend > | Internet Explorer only

Remarks

Bubbles | No
Cancels | No
To invoke | Set the element's end time. The value of the element's end time, which can depend on other elements, determines when the event actually fires.
Default action | Calls the associated event handler.

This event also fires for the element when the endElement method is invoked on it, or in response to other dependencies created by the ENDEVENT attribute. If the element timeline is set to repeat, this event fires only once after all repetitions are complete. The timing of this event is not affected by the ENDHOLD attribute. If the ENDHOLD attribute is set to true for the element, this event fires when the parent element's timeline completes.

Event Object Properties

Although event handlers in the Dynamic HTML (DHTML) Object Model do not directly receive parameters, the handler can query the event object for data. For a list of properties of the event object relevant to an onend event handler, click the following link.

Event Object Properties

srcElement | Retrieves the object that fired the event.
type | Retrieves the event name from the event object.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
animation, audio, img, media, par, seq, time, video

See Also

onbegin


onload Event

Fires from a persistent element when the page reloads.

Syntax

Inline HTML | <ELEMENT onload = "handler" ... > | All platforms
Event property | object.onload = handler | JScript (compatible with ECMA 262 language specification) only
Named script | <SCRIPT FOR = object EVENT = onload> | Internet Explorer only

Remarks

Bubbles | No
Cancels | Yes
To invoke | Load the persistent Web page from a favorite or shortcut or through an Internet address.
Default action | Initiates any action associated with this script. The onload event for behaviors overrides the onload event for DHTML objects.

Event Object Properties

Although event handlers in the document object model do not directly receive parameters, the handler can query the event object for data. For a list of properties of the event object relevant to an onload event handler, click the following link.

Event Object Properties

srcElement Retrieves the object that fired the event.

Example

This example shows how to use the onload event for a persistence behavior.

Sample Code

<HTML>
<HEAD>
<META NAME="save" CONTENT="favorite">
<STYLE>
   .saveFavorite {behavior:url(#default#savefavorite);}
</STYLE>
<SCRIPT>
   function fnSaveInput(){
      oPersistInput.setAttribute("sPersistValue",oPersistInput.value);
   }
   function fnLoadInput(){
      alert("The onload event fired.");
      oPersistInput.value=oPersistInput.getAttribute("sPersistValue");
   }
</SCRIPT>
</HEAD>
<BODY>
<INPUT class=saveFavorite onsave="fnSaveInput()" onload="fnLoadInput()"
    type=text id=oPersistInput>
</BODY>
</HTML>
This feature requires Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
saveFavorite, saveHistory


onmediacomplete Event

This document describes technologies available as an experimental implementation of HTML+TIME within Internet Explorer 5. While we encourage you to evaluate these features and to send us your feedback Internet Link, please note that these features are subject to change.

Fires when the element's associated media finish loading.

Syntax

Inline HTML | <ELEMENT onmediacomplete = "handler" ... > | All platforms
Event property | object.onmediacomplete = handler | JScript (compatible with ECMA 262 language specification) only
Named script | <SCRIPT FOR = object EVENT = onmediacomplete> | Internet Explorer only

Remarks

Bubbles | No
Cancels | No
To invoke | Open a page in the browser that contains a media file affected by HTML+TIME.
Default action | Calls the associated event handler.

When a streaming media file is used, this event could fire before the file starts playing.

Event Object Properties

Although event handlers in the Dynamic HTML (DHTML) Object Model do not directly receive parameters, the handler can query the event object for data. For a list of properties of the event object relevant to an onmediacomplete event handler, click the following link.

Event Object Properties

srcElement | Retrieves the object that fired the event.
type | Retrieves the event name from the event object.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
animation, audio, img, media, par, seq, video


onmedialoadfailed Event

This document describes technologies available as an experimental implementation of HTML+TIME within Internet Explorer 5. While we encourage you to evaluate these features and to send us your feedback Internet Link, please note that these features are subject to change.

Fires when an element's media file fails to load for any reason.

Syntax

Inline HTML | <ELEMENT onmedialoadfailed = "handler" ... > | All platforms
Event property | object.onmedialoadfailed = handler | JScript (compatible with ECMA 262 language specification) only
Named script | <SCRIPT FOR = object EVENT = onmedialoadfailed> | Internet Explorer only

Remarks

Bubbles | No
Cancels | No
To invoke | Open a page in the browser that contains a media file affected by HTML+TIME. The event will fire only if the media file fails to load.
Default action | Calls the associated event handler.

Event Object Properties

Although event handlers in the Dynamic HTML (DHTML) Object Model do not directly receive parameters, the handler can query the event object for data. For a list of properties of the event object relevant to an onmedialoadfailed event handler, click the following link.

Event Object Properties

srcElement | Retrieves the object that fired the event.
type | Retrieves the event name from the event object.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
animation, audio, img, media, par, seq, video


onmediaslip Event

This document describes technologies available as an experimental implementation of HTML+TIME within Internet Explorer 5. While we encourage you to evaluate these features and to send us your feedback Internet Link, please note that these features are subject to change.

Fires when an element's media file fails to keep up with the defined timeline.

Syntax

Inline HTML | <ELEMENT onmediaslip = "handler" ... > | All platforms
Event property | object.onmediaslip = handler | JScript (compatible with ECMA 262 language specification) only
Named script | <SCRIPT FOR = object EVENT = onmediaslip> | Internet Explorer only

Remarks

Bubbles | No
Cancels | No
To invoke | Open a page in the browser that contains a media file affected by HTML+TIME. This event fires only if the media file fails to keep up with the defined timeline. This event could fire as a result of network problems.
Default action | Calls the associated event handler.

Event Object Properties

Although event handlers in the Dynamic HTML (DHTML) Object Model do not directly receive parameters, the handler can query the event object for data. For a list of properties of the event object relevant to an onmediaslip event handler, click the following link.

Event Object Properties

srcElement | Retrieves the object that fired the event.
type | Retrieves the event name from the event object.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
animation, audio, img, media, par, seq, video


onpause Event

This document describes technologies available as an experimental implementation of HTML+TIME within Internet Explorer 5. While we encourage you to evaluate these features and to send us your feedback Internet Link, please note that these features are subject to change.

Fires when the timeline on an element pauses.

Syntax

Inline HTML | <ELEMENT onpause = "handler" ... > | All platforms
Event property | object.onpause = handler | JScript (compatible with ECMA 262 language specification) only
Named script | <SCRIPT FOR = object EVENT = onpause> | Internet Explorer only

Remarks

Bubbles | No
Cancels | No
To invoke | Call the pause method.
Default action | Calls the associated event handler.

The onpause event fires on every element that is active when the timeline pauses, including the BODY element.

Event Object Properties

Although event handlers in the Dynamic HTML (DHTML) Object Model do not directly receive parameters, the handler can query the event object for data. For a list of properties of the event object relevant to an onpause event handler, click the following link.

Event Object Properties

srcElement | Retrieves the object that fired the event.
type | Retrieves the event name from the event object.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
animation, audio, img, media, par, seq, time, video

See Also

onresume


onrepeat Event

This document describes technologies available as an experimental implementation of HTML+TIME within Internet Explorer 5. While we encourage you to evaluate these features and to send us your feedback Internet Link, please note that these features are subject to change.

Fires when the timeline repeats on an element, beginning with the second iteration.

Syntax

Inline HTML | <ELEMENT onrepeat = "handler" ... > | All platforms
Event property | object.onrepeat = handler | JScript (compatible with ECMA 262 language specification) only
Named script | <SCRIPT FOR = object EVENT = onrepeat> | Internet Explorer only

Remarks

Bubbles | No
Cancels | No
To invoke | Set the repeat property to a value greater than 1.
Default action | Calls the associated event handler.

The event fires once for each repetition of the timeline, excluding the first full cycle. Therefore, the onrepeat event fires repeat–1 times unless it is stopped by other dependencies before completion. This event fires only if the repeat or repeatDur property is set directly on the element. This event does not fire on child elements that have the repeat or repeatDur property set only on their parent elements.

Event Object Properties

Although event handlers in the Dynamic HTML (DHTML) Object Model do not directly receive parameters, the handler can query the event object for data. For a list of properties of the event object relevant to an onrepeat event handler, click the following link.

Event Object Properties

iteration | Retrieves the current iteration of the timeline's repeat cycle.
srcElement | Retrieves the object that fired the event.
type | Retrieves the event name from the event object.

To access the iteration value, use the getAttribute method on the window.event object.

Example

This example displays a message box that indicates the current repeat iteration every time the onrepeat event fires on a timeline.

Sample Code

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML>
<HEAD>
<STYLE>
.time        	{ behavior: url(#default#time);}
</STYLE>

</HEAD>

<BODY BGCOLOR="white">
<SPAN ID="parent" CLASS=time t:BEGIN="0" t:DUR="6" t:REPEAT="4"
        t:TIMELINE="par"
    t:TIMEACTION="display" onrepeat="alert('Current iteration: ' +
        window.event.getAttribute('iteration'));">
    <SPAN CLASS=time t:BEGIN="0" t:DUR="2">This text will be
        displayed for two seconds.</SPAN><BR>
    <SPAN CLASS=time t:BEGIN="3" t:DUR="4">This text will be
        displayed for four seconds.</SPAN>
</SPAN>
</BODY>
</HTML>
This feature requires Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
animation, audio, img, media, par, seq, time, video


onresume Event

This document describes technologies available as an experimental implementation of HTML+TIME within Internet Explorer 5. While we encourage you to evaluate these features and to send us your feedback Internet Link, please note that these features are subject to change.

Fires when an element's timeline resumes from a paused state.

Syntax

Inline HTML | <ELEMENT onresume = "handler" ... > | All platforms
Event property | object.onresume = handler | JScript (compatible with ECMA 262 language specification) only
Named script | <SCRIPT FOR = object EVENT = onresume> | Internet Explorer only

Remarks

Bubbles | No
Cancels | No
To invoke | Call the resume method.
Default action | Calls the associated event handler.

The onresume event fires on every element that becomes active when the timeline resumes, including the BODY element.

Event Object Properties

Although event handlers in the Dynamic HTML (DHTML) Object Model do not directly receive parameters, the handler can query the event object for data. For a list of properties of the event object relevant to an onresume event handler, click the following link.

Event Object Properties

srcElement | Retrieves the object that fired the event.
type | Retrieves the event name from the event object.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
animation, audio, img, media, par, seq, time, video

See Also

onpause


onresync Event

This document describes technologies available as an experimental implementation of HTML+TIME within Internet Explorer 5. While we encourage you to evaluate these features and to send us your feedback Internet Link, please note that these features are subject to change.

Fires when the element's associated media synchronization is interrupted.

Syntax

Inline HTML | <ELEMENT onresync = "handler" ... > | All platforms
Event property | object.onresync = handler | JScript (compatible with ECMA 262 language specification) only
Named script | <SCRIPT FOR = object EVENT = onresync> | Internet Explorer only

Remarks

Bubbles | No
Cancels | No
To invoke | Interrupt the element's ability to play its media as defined by the timeline. Using timelines with locked SYNCBEHAVIOR increases the chances that the element needs to be resynchronized somewhere along the timeline.
Default action | Calls the associated event handler and re-establishes media synchronization.

Event Object Properties

Although event handlers in the Dynamic HTML (DHTML) Object Model do not directly receive parameters, the handler can query the event object for data. For a list of properties of the event object relevant to an onresync event handler, click the following link.

Event Object Properties

srcElement | Retrieves the object that fired the event.
type | Retrieves the event name from the event object.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
animation, audio, img, media, par, seq, video


onreverse Event

This document describes technologies available as an experimental implementation of HTML+TIME within Internet Explorer 5. While we encourage you to evaluate these features and to send us your feedback Internet Link, please note that these features are subject to change.

Fires when the timeline on an element begins to play backward.

Syntax

Inline HTML | <ELEMENT onreverse = "handler" ... > | All platforms
Event property | object.onreverse = handler | JScript (compatible with ECMA 262 language specification) only
Named script | <SCRIPT FOR = object EVENT = onreverse> | Internet Explorer only

Remarks

Bubbles | No
Cancels | No
To invoke | Set the AUTOREVERSE attribute on the element to true.
Default action | Calls the associated event handler.

If the element is also set to repeat, this event fires every time the timeline begins to play backward.

Event Object Properties

Although event handlers in the Dynamic HTML (DHTML) Object Model do not directly receive parameters, the handler can query the event object for data. For a list of properties of the event object relevant to an onreverse event handler, click the following link.

Event Object Properties

srcElement | Retrieves the object that fired the event.
type | Retrieves the event name from the event object.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
animation, audio, img, media, par, seq, time, video


onsave Event

Fires from a persisted element when the Web page is saved or bookmarked, or when the user navigates away from the page.

Syntax

Inline HTML | <ELEMENT onsave = "handler" ... > | All platforms
Event property | object.onsave = handler | JScript (compatible with ECMA 262 language specification) only
Named script | <SCRIPT FOR = object EVENT = onsave> | Internet Explorer only

Remarks

Bubbles | No
Cancels | Yes
To invoke
  • Save the Web page.
  • Bookmark the Web page.
  • Navigate to another page.
Default action | Initiates any action associated with this script.

Event Object Properties

Although event handlers in the Dynamic HTML (DHTML) Object Model do not directly receive parameters, the handler can query the event object for data. For a list of properties of the event object relevant to an onsave event handler, click the following link.

Event Object Properties

srcElement Retrieves the object that fired the event.

Example

This example shows how to use the onsave event for a persistence behavior.

Sample Code

<HTML>
<HEAD>
<META NAME="save" CONTENT="favorite">
<STYLE>
   .saveFavorite {behavior:url(#default#savefavorite);}
</STYLE>
<SCRIPT>
   function fnSaveInput(){
      alert("The onsave event fired.");
      oPersistInput.setAttribute("sPersistValue",oPersistInput.value);
   }
   function fnLoadInput(){
      oPersistInput.value=oPersistInput.getAttribute("sPersistValue");
   }
</SCRIPT>
</HEAD>
<BODY>
<INPUT class=saveFavorite onsave="fnSaveInput()" onload="fnLoadInput()"
    type=text id=oPersistInput>
</BODY>
</HTML>
This feature requires Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
saveFavorite, saveHistory, saveSnapshot


onscriptcommand Event

This document describes technologies available as an experimental implementation of HTML+TIME within Internet Explorer 5. While we encourage you to evaluate these features and to send us your feedback Internet Link, please note that these features are subject to change.

Fires when the Microsoft® Windows® Media Player control receives a synchronized command or URL.

Syntax

Inline HTML | <ELEMENT onscriptcommand = "handler" ... > | All platforms
Event property | object.onscriptcommand = handler | JScript (compatible with ECMA 262 language specification) only
Named script | <SCRIPT FOR = object EVENT = onscriptcommand> | Internet Explorer only

Remarks

Bubbles | No
Cancels | No
To invoke | Open a document in the browser that plays a streaming media file affected by HTML+TIME. The streaming media file (.asf) must contain embedded commands, or triggers, in the stream.
Default action | Calls the associated event handler.

This event fires when the Windows Media Player is used with one of the HTML+TIME media elements, including ANIMATION, AUDIO, IMG, MEDIA, and VIDEO.

Commands can be embedded among the sounds and images of an .asf file. A command consists of a pair of Unicode strings associated with a designated time in the stream. When the stream reaches the time associated with the command, the Windows Media Player control fires this event and sets two properties on the event object, the scType property and the Param property. The scType property specifies the type of command, and the Param property specifies the command value. The scType property determines how the Windows Media Player control processes the command parameter.

Any type of command can be embedded in an ASF stream to be handled by this event. For example, if the Windows Media Player encounters a URL trigger in the .asf file, the scType property is set to URL and the Param property is set to URL (http://...). For more information about how this event works with the Media Player, see the windows media player Internet Link Non-MSDN link.

In addition to the onscriptcommand event, a second event is fired in response to the .asf trigger. The event prefix on is added to the front of the string specified in the scType property, and that event is fired. For example, suppose a stream defines a trigger with the scType property set to the string mytype. In this case, the custom onmytype event fires at that point in the stream with the onscriptcommand.

Event Object Properties

Although event handlers in the Dynamic HTML (DHTML) Object Model do not directly receive parameters, the handler can query the event object for data. For a list of properties of the event object relevant to an onscriptcommand event handler, click the following link.

Event Object Properties

Param | Retrieves a string representing the value of the trigger encountered in the streaming media file.
scType | Retrieves a string representing the type of trigger encountered in the streaming media file.
srcElement | Retrieves the object that fired the event.
type | Retrieves the event name from the event object.

To access the Param and scType values, use the getAttribute method on the window.event object.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
animation, audio, img, media, video


addComponentRequest Method

Adds the specified component to the queue of components to be installed.

Syntax

oClientCaps.addComponentRequest(sID, sIDType [, sMinVer])

Parameters

sID | Required. String that specifies any of the component identifiers listed in the Installable Components in Internet Explorer document.
sIDType Required. String that specifies the case-insensitive type of the identifier specified in sID, or the following value:
componentid Active Setup identifier of the component.
sMinVer | Optional. String that specifies the minimum version number of the component to install.

Return Value

No return value.

Remarks

Only Microsoft® Internet Explorer components are specified by this method. Components not supported by Internet Explorer are ignored.

The addComponentRequest method queues a download request for the specified component. Actual download of the component does not occur until a call is made to the doComponentRequest method.

Example

This example uses the addComponentRequest and doComponentRequest methods to install the Internet Explorer Data Binding component, if the component does not already exist in the user's system.

Sample Code

<HTML xmlns:IE>
<HEAD>
<STYLE>
@media all {
      IE\:clientCaps {behavior:url(#default#clientCaps)}
}
</STYLE>

<SCRIPT>
function window.onload()
{
   var bDBAvailable  = false;
   var sDBVersion = '';
   var sDBID = "{9381D8F2-0288-11D0-9501-00AA00B911A5}";

   bDBAvailable = oClientCaps.isComponentInstalled(sDBID,"componentid");

   // if data binding is unavailable, install it
   if (!bDBAvailable)
   {
      oClientCaps.addComponentRequest(sDBID, "componentid");
      bDBAvailable = oClientCaps.doComponentRequest();
   }
   :
}
</SCRIPT>
</HEAD>

<BODY BGCOLOR="#FFFFFF">
   :
   <IE:clientCaps ID="oClientCaps" />

   :
</BODY>
This feature requires Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
clientCaps

See Also

clientcaps Internet Link, using dhtml behaviors Internet Link, compareVersions, doComponentRequest, isComponentInstalled


addDABehavior Method

Adds a Microsoft® DirectAnimation® behavior (dabehavior Internet Link Non-MSDN link) to the run list when the behavior is not part of the animation model.

Syntax

object.addDABehavior(oBehavior, iID)

Parameters

oBehavior | Required. Object that specifies the DABehavior to add.
iID | Required. Integer that specifies the identifier of the DABehavior to add. This value is used in a subsequent call to the removeDABehavior method to remove the DABehavior.

Return Value

No return value.

Remarks

When the system starts the animation, additional behaviors are run with the same start time as the behaviors included in the original animation.

For more information about DirectAnimation, see the microsoft directanimation software development kit (sdk) Internet Link Non-MSDN link.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
anim

See Also

multimedia extensions to html+time Internet Link


beginElement Method

This document describes technologies available as an experimental implementation of HTML+TIME within Internet Explorer 5. While we encourage you to evaluate these features and to send us your feedback Internet Link, please note that these features are subject to change.

Starts the element on the timeline.

Syntax

object.beginElement()

Return Value

No return value.

Remarks

This method applies the same action as if the element's begin time is reached on the local timeline. When the beginElement method is called, the element begins. All time children elements are notified and aligned correctly to the local timeline.

Example

This example displays an image when the countdown reaches 0. Click the Restart Timeline button to restart the timeline with the beginElement method.

Sample Code

<!DOCTYPE HTML PUBLIC "-//W3C//DTD W3 HTML//EN">
<HTML>
<HEAD>
<XML:NAMESPACE PREFIX="t"/>
<STYLE>
.time        { behavior: url(#default#time);}
</STYLE>
</HEAD>
<BODY BGCOLOR="white">
<SPAN ID="sequence" CLASS="time" t:TIMELINE="seq">
    <SPAN CLASS="time" STYLE="Color:Red; font-size:20pt;"
        t:TIMEACTION="display" t:DUR="1">5...
    </SPAN>
    <SPAN CLASS="time" STYLE="Color:Green; font-size:20pt;"
        t:TIMEACTION="display" t:DUR="1">4...
    </SPAN>
    <SPAN CLASS="time" STYLE="Color:Blue; font-size:20pt;"
        t:TIMEACTION="display" t:DUR="1">3...
    </SPAN>
    <SPAN CLASS="time" STYLE="Color:Orange; font-size:20pt;"
        t:TIMEACTION="display" t:DUR="1">2...
    </SPAN>
    <SPAN CLASS="time" STYLE="Color:Purple; font-size:20pt;"
        t:TIMEACTION="display" t:DUR="1">1...
    </SPAN><BR>
    <t:IMG CLASS="time" t:DUR="indefinite"
    t:SRC="/workshop/graphics/sun.gif" />
</SPAN><BR>
<BUTTON ID="btn" onclick="sequence.beginElement();">
    Restart Timeline
</BUTTON>
<BR><BR>
</BODY>
</HTML>
This feature requires Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
animation, audio, img, media, par, seq, time, video

See Also

endElement


clearComponentRequest Method

Clears the queue of all component download requests.

Syntax

oClientCaps.clearComponentRequest()

Return Value

No return value.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
clientCaps

See Also

clientcaps Internet Link, using dhtml behaviors Internet Link, addComponentRequest, doComponentRequest, isComponentInstalled


compareVersions Method

Compares two version numbers.

Syntax

iResult = oClientCaps.compareVersions(sVersionNumber1, sVersionNumber2)

Parameters

sVersionNumber1 | Required. String that specifies the first of two version numbers to compare.
sVersionNumber2 | Required. String that specifies the second of two version numbers to compare.

Return Value

Returns one of the following values:

-1 | sVersionNumber1 is less than sVersionNumber2
0 | sVersionNumber1 is equal to sVersionNumber2
1 | sVersionNumber1 is greater than sVersionNumber2

Example

This example uses the compareVersions method to compare the version of the installed Microsoft virtual machine component with a specified version.

<HTML xmlns:IE >
<HEAD>
<STYLE>
@media all {
      IE\:clientCaps {behavior:url(#default#clientcaps)}
}
</STYLE>
</HEAD>

<BODY >
<IE:clientCaps ID="oClientCaps" />
:
<SCRIPT>
    sMSvmVersion = oClientCaps.getComponentVersion
        ("{08B0E5C0-4FCB-11CF-AAA5-00401C608500}","ComponentID");
    if (0 == oClientCaps.compareVersions(sMSvmVersion, "5,0,18,1024"))
        window.alert ("Versions matched!");
</SCRIPT>
 :
</BODY>

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
clientCaps

See Also

clientcaps Internet Link, using dhtml behaviors Internet Link, getComponentVersion, isComponentInstalled


Detectable Components in Internet Explorer

The following table lists the component identifiers that can be detected with Microsoft® Internet Explorer 5. These identifiers are used with the following methods:

  • getComponentVersion
  • isComponentInstalled
Component | Component ID
Address Book | {7790769C-0471-11D2-AF11-00C04FA35D02}
Windows Desktop Update NT | {89820200-ECBD-11CF-8B85-00AA005B4340}
DirectAnimation | {283807B5-2C60-11D0-A31D-00AA00B92C03}
DirectAnimation Java Classes | {4F216970-C90C-11D1-B5C7-0000F8051515}
DirectShow™ | {44BBA848-CC51-11CF-AAFA-00AA00B6015C}
Dynamic HTML Data Binding | {9381D8F2-0288-11D0-9501-00AA00B911A5}
Dynamic HTML Data Binding for Java | {4F216970-C90C-11D1-B5C7-0000F8051515}
Internet Connection Wizard | {5A8D6EE0-3E18-11D0-821E-444553540000}
Internet Explorer 5 Web Browser | {89820200-ECBD-11CF-8B85-00AA005B4383}
Internet Explorer Classes for Java | {08B0E5C0-4FCB-11CF-AAA5-00401C608555}
Internet Explorer Help | {45EA75A0-A269-11D1-B5BF-0000F8051515}
Internet Explorer Help Engine | {DE5AED00-A4BF-11D1-9948-00C04F98BBC9}
Windows Media Player | {22D6F312-B0F6-11D0-94AB-0080C74C7E95}
NetMeeting NT | {44BBA842-CC51-11CF-AAFA-00AA00B6015B}
Offline Browsing Pack | {3AF36230-A269-11D1-B5BF-0000F8051515}
Outlook Express | {44BBA840-CC51-11CF-AAFA-00AA00B6015C}
Task Scheduler | {CC2A9BA0-3BDD-11D0-821E-444553540000}
Microsoft virtual machine | {08B0E5C0-4FCB-11CF-AAA5-00401C608500}
VRML 2.0 Viewer | {90A7533D-88FE-11D0-9DBE-0000C0411FC3}
Wallet | {1CDEE860-E95B-11CF-B1B0-00AA00BBAD66}


doComponentRequest Method

Downloads all the components that have been queued using addComponentRequest.

Syntax

bSuccess = oClientCaps.doComponentRequest()

Return Value

Boolean. Returns true if the specified component(s) downloaded successfully, or false otherwise.

Example

This example uses the doComponentRequest and addComponentRequest methods to install the Microsoft® Internet Explorer Data Binding component, if the component does not already exist in the user's system.

Sample Code

<HTML xmlns:IE>
<HEAD>
<STYLE>
@media all {
      IE\:clientCaps {behavior:url(#default#clientcaps);}
}
</STYLE>

<SCRIPT>
function window.onload()
{
   var bDBAvailable  = false;
   var sDBVersion = '';
   var sDBID = "{9381D8F2-0288-11D0-9501-00AA00B911A5}";

   bDBAvailable = oClientCaps.isComponentInstalled(sDBID,"componentid");

   // if data binding is unavailable, install it
   if (!bDBAvailable)
   {
      oClientCaps.addComponentRequest

This feature requires Internet Explorer 5 or later. Click the icon below to install the latest version.
Then reload this page to view the sample.

  Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
clientCaps

See Also

clientcaps Internet Link, using dhtml behaviors Internet Link, getComponentVersion, isComponentInstalled


endElement Method

This document describes technologies available as an experimental implementation of HTML+TIME within Internet Explorer 5. While we encourage you to evaluate these features and to send us your feedback Internet Link, please note that these features are subject to change.

Stops the element on the timeline.

Syntax

object.endElement()

Return Value

No return value.

Remarks

This method applies the same action as if the element's end time is reached on the local timeline, or the element's duration (dur) has expired. All time children elements are notified and aligned correctly to the local timeline. In addition, the endElement method fires the onend event.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
animation, audio, img, media, par, seq, time, video

See Also

beginElement


getAttribute Method

Retrieves the value of the specified attribute.

Syntax

vAttribute = oPersistObject.getAttribute(sAttrName)

Parameters

sAttrName Required. String that specifies the name of the persistent attribute.

Return Value

Variant. Returns a string, number, or Boolean, defined by sAttrName. If an explicit attribute doesn't exist, an empty string is returned. If a custom attribute doesn't exist, null is returned.

Remarks

The sAttrName value is not case sensitive.

This method requires an object participating in persistence, where that object has a class name equal to the desired persistence behavior. An ID is required for the userData and saveSnapshot behaviors, and is recommended for the saveHistory and saveFavorite behaviors.

This method overrides the DHTML getAttribute method.

Example

This example uses the getAttribute method to retrieve an attribute on an object participating in userData persistence.

Sample Code

<HEAD>

<STYLE>
   .userData {behavior:url(#default#userdata);}
</STYLE>

<SCRIPT>
   function fnGet(){
      oPersistInput.load("oDataStore");
      oPersistInput.value=oPersistInput.getAttribute("sPersistAttr");
   }
   function fnSet(){
      oPersistInput.setAttribute("sPersistAttr",oPersistInput.value);
      oPersistInput.save("oDataStore");
   }
   function fnRem(){
      oPersistInput.removeAttribute("sPersistAttr");
      oPersistInput.save("oDataStore");
   }
</SCRIPT>
</HEAD>

<BODY >
<INPUT type=text class=userData id=oPersistInput>
<INPUT type=button value="Get Attribute" onclick="fnGet()">
<INPUT type=button value="Set Attribute" onclick="fnSet()">
<INPUT type=button value="Remove Attribute" onclick="fnRem()">
</BODY>
This feature requires Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
saveFavorite, saveHistory, userData

See Also

dhtml behaviors Internet Link, persistence overview Internet Link, removeAttribute, setAttribute


getComponentVersion Method

Retrieves the version of the specified component.

Syntax

sVersion = oClientCaps.getComponentVersion(sID, sIDType)

Parameters

sID Required. String that specifies any of the component identifiers listed in the Detectable Components in Internet Explorer document.
sIDType Required. String that specifies the case-insensitive type of the identifier specified in sID, or the following value:
componentid Active Setup identifier of the component.

Return Value

String. Returns the version number of the component, if it is installed, or null otherwise.

Remarks

Only Microsoft® Internet Explorer components are detected by this method. If a component identifier of a third-party component is specified, the method returns null.

Example

This example detects whether Microsoft virtual machine is installed and, if it is, uses the getComponentVersion method to indicate the version of the component currently installed.

Sample Code

<HTML xmlns:IE>
<HEAD>
<STYLE>
@media all {
      IE\:clientCaps {behavior:url(#default#clientcaps)}
}
</STYLE>
</HEAD>

<BODY>
<IE:clientCaps ID="oClientCaps" />

<SCRIPT>
    sMSvmVersion = oClientCaps.getComponentVersion("{08B0E5C0-4FCB-11CF-AAA5-00401C608500}",
    "ComponentID");
</SCRIPT>

 :
</BODY>
This feature requires Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
clientCaps

See Also

client capabilities Internet Link, using dhtml behaviors Internet Link, compareVersions, isComponentInstalled


Installable Components in IE

Click to return to the DHTML, HTML & CSS home page

Installable Components in Internet Explorer

The following table lists the component identifiers that can be installed with Microsoft® Internet Explorer 5. These identifiers are used with the addComponentRequest method.

Note The following components do not install on demand in Microsoft® Windows® 2000.

Component | Component ID
Address Book | {7790769C-0471-11D2-AF11-00C04FA35D02}
AOL ART Image Format Support | {47F67D00-9E55-11D1-BAEF-00C04FC2D130}
Arabic Text Display Support | {76C19B38-F0C8-11CF-87CC-0020AFEECF20}
Chinese (Simplified) Text Display Support | {76C19B34-F0C8-11CF-87CC-0020AFEECF20}
Chinese (Traditional) Text Display Support | {76C19B33-F0C8-11CF-87CC-0020AFEECF20}
Dynamic HTML Data Binding | {9381D8F2-0288-11D0-9501-00AA00B911A5}
DirectAnimation | {283807B5-2C60-11D0-A31D-00AA00B92C03}
Hebrew Text Display Support | {76C19B36-F0C8-11CF-87CC-0020AFEECF20}
Internet Connection Wizard | {5A8D6EE0-3E18-11D0-821E-444553540000}
Internet Explorer Browsing Enhancements* | {630B1DA0-B465-11D1-9948-00C04F98BBC9}
Internet Explorer Help | {45EA75A0-A269-11D1-B5BF-0000F8051515}
Japanese Text Display Support | {76C19B30-F0C8-11CF-87CC-0020AFEECF20}
Korean Text Display Support | {76C19B31-F0C8-11CF-87CC-0020AFEECF20}
Language Auto-Selection | {76C19B50-F0C8-11CF-87CC-0020AFEECF20}
Macromedia Flash | {D27CDB6E-AE6D-11CF-96B8-444553540000}
Macromedia Shockwave Director | {2A202491-F00D-11CF-87CC-0020AFEECF20}
Windows Media Player | {22D6F312-B0F6-11D0-94AB-0080C74C7E95}
Windows Media Player RealNetwork Support | {23064720-C4F8-11D1-994D-00C04F98BBC9}
Offline Browsing Pack | {3AF36230-A269-11D1-B5BF-0000F8051515}
Pan-European Text Display Support | {76C19B32-F0C8-11CF-87CC-0020AFEECF20}
Thai Text Display Support | {76C19B35-F0C8-11CF-87CC-0020AFEECF20}
Uniscribe | {3BF42070-B3B1-11D1-B5C5-0000F8051515}
Vector Graphics Rendering (VML) | {10072CEC-8CC1-11D1-986E-00A0C955B42F}
Vietnamese Text Display Support | {76C19B37-F0C8-11CF-87CC-0020AFEECF20}
Microsoft Virtual Machine | {08B0E5C0-4FCB-11CF-AAA5-00401C608500}
Visual Basic Scripting Support | {4F645220-306D-11D2-995D-00C04F98BBC9}
VRML 2.0 Viewer | {90A7533D-88FE-11D0-9DBE-0000C0411FC3}
Wallet | {1CDEE860-E95B-11CF-B1B0-00AA00BBAD66}
Web Folders | {73FA19D0-2D75-11D2-995D-00C04F98BBC9}

*Includes FTP Folders and Font Embedding


isComponentInstalled Method

Retrieves whether the specified component is available.

Syntax

bInstalled = oClientCaps.isComponentInstalled(sID, sIDType [, sMinVersion])

Parameters

sID | Required. String that specifies any of the component identifiers listed in the Detectable Components in Internet Explorer document.
sIDType Required. String that specifies the case-insensitive type of the identifier specified in sID, or the following value:
componentid Active Setup identifier of the component.
sMinVersion | Optional. String that specifies the version number of the component.

Return Value

Boolean. Returns true if the component is installed and its version number is greater than or equal to the specified sMinVersion, or false otherwise.

Remarks

Only Microsoft® Internet Explorer components are detected by this method. If a component identifier of a third-party component is specified, the method returns false.

Example

This example uses the isComponentInstalled method to determine whether the Microsoft virtual machine is installed.

Sample Code

<HTML xmlns:IE>
<HEAD>
<STYLE>
@media all {
      IE\:clientCaps {behavior:url(#default#clientcaps)}
}
</STYLE>
</HEAD>

<BODY>
<IE:clientCaps ID="oClientCaps" />

<SCRIPT>
    bMSvmAvailable = oClientCaps.isComponentInstalled("{08B0E5C0-4FCB-11CF-AAA5-00401C608500}",
    "ComponentID");
</SCRIPT>

 :
</BODY>
This feature requires Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
clientCaps

See Also

client capabilities Internet Link, using dhtml behaviors Internet Link, compareVersions, getComponentVersion


isHomePage Method

Determines whether the specified URL refers to the client's home page.

Syntax

bQueryHome = oHomePage.isHomePage(sPageURL)

Parameters

sPageURL Required. String that specifies the path and/or file name to compare against a client's specified home page.

Return Value

Boolean. Returns true if the client's Web page is the same as the provided argument, or false otherwise.

Remarks

The isHomePage method returns false if the argument and a user's home page are the same, but the document calling the method is on a different domain than the user's home page.

Example

This example uses the isHomePage method to determine whether a user's home page is the same as the specified URL.

Sample Code

<HTML XMLNS:IE>
<HEAD>
<STYLE>
@media all {
   IE\:HOMEPAGE {behavior:url(#default#homepage)}
}
</STYLE>

<SCRIPT>
function fnVerify(){
   sQueryHome = oHomePage.isHomePage(oHomeHref.value);
   alert(sQueryHome);
   event.returnValue = false;
}
</SCRIPT>
</HEAD>
<BODY>
<IE:HOMEPAGE ID="oHomePage" />
<INPUT TYPE=text ID=oHomeHref VALUE="http://www.microsoft.com">
<INPUT TYPE=button VALUE="Verify" onclick="fnVerify()">
</BODY>
</HTML>
This feature requires Microsoft® Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
homePage

See Also

dhtml behaviors Internet Link


load Method

Loads an object participating in userData persistence from a UserData store.

Syntax

oPersistObject.load(sStoreName)

Parameters

sStoreName Required. String that specifies the arbitrary name assigned to a persistent object within a UserData store.

Return Value

No return value.

Remarks

The load method reads information from a UserData store. You can determine access to a UserData store by specifying a path within the immediate directory tree between the Web root and the current folder. For example, if you save the UserData store in the /private/ folder, a Web page located in the /public/ folder cannot access that UserData store.

This method requires an object participating in userData persistence, where the object has an ID and a class name equal to the persistence behavior.

Example

This example uses the load method to read information about an object participating in userData persistence saved in a UserData store.

Sample Code

<HEAD>

<STYLE>
   .userData {behavior:url(#default#userdata);}
</STYLE>

<SCRIPT>
   function fnLoad(){
      oPersistInput.load("oDataStore");
      oPersistInput.value=oPersistInput.getAttribute("sPersistAttr");
   }
   function fnSave(){
      oPersistInput.setAttribute("sPersistAttr",oPersistInput.value);
      oPersistInput.save("oDataStore");
   }
</SCRIPT>
</HEAD>

<BODY >
<INPUT type=text class=userData id=oPersistInput>
<INPUT type=button value="Load Attribute" onclick="fnLoad()">
<INPUT type=button value="Save Attribute" onclick="fnSave()">
</BODY>
This feature requires Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
userData

See Also

dhtml behaviors Internet Link, persistence overview Internet Link


navigate Method

Navigates the window to the specified location and displays the contents in folder view.

Syntax

oDAVObject.navigate(sHTTP)

Parameters

sHTTP Required. String that specifies any valid HTTP address.

Return Value

No return value.

Remarks

The navigate method is a shortcut whose function is identical to that of the navigateFrame method with the _self for the target.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
httpFolder


navigateFrame Method

Navigates the window or frame to the specified location and displays the contents in folder view.

Syntax

oDAVObject.navigateFrame(sHTTP, sTarget)

Parameters

sHTTP | Required. String that specifies any valid HTTP address.
sTarget | Required. String that specifies the name of a frame. You can use _self for the current window, or _top for a new window.

Return Value

No return value.

Remarks

This method requires an object with the httpFolder behavior.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
httpFolder


navigateHomePage Method

Navigates the browser to a user's home page.

Syntax

oHomePage.navigateHomePage()

Return Value

No return value.

Example

This example uses the navigateHomePage method to load a user's home page.

Sample Code

<HTML XMLNS:IE>
<HEAD>
<STYLE>
@media all {
   IE\:HOMEPAGE {behavior:url(#default#homepage)}
}
</STYLE>
<SCRIPT>
function fnGo(){
   oHomePage.navigateHomePage();
   event.returnValue=false;
}
</SCRIPT>
</HEAD>
<BODY>
<IE:HOMEPAGE ID="oHomePage" />
<INPUT TYPE=button VALUE="Navigate" onclick="fnGo()">
</BODY>
</HTML>
This feature requires Microsoft® Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
homePage

See Also

dhtml behaviors Internet Link


pause Method

This document describes technologies available as an experimental implementation of HTML+TIME within Internet Explorer 5. While we encourage you to evaluate these features and to send us your feedback Internet Link, please note that these features are subject to change.

Pauses the timeline on the HTML document.

Syntax

body.pause()

Return Value

No return value.

Remarks

Only the BODY element supports the pause method. When this method is invoked, the onpause event occurs.

Example

This example uses the pause method to control the highlight sequence for rows in a table.

Sample Code

<!DOCTYPE HTML PUBLIC "-//W3C//DTD W3 HTML//EN">
<HTML>
<HEAD>
<STYLE>
.time        { behavior: url(#default#time);}
</STYLE>
</HEAD>
<BODY BGCOLOR="white" ID="docbody">
<H1>Pause and Resume</H1>
<P>The following table highlights the text in each row by
changing the text color and font weight. Use the buttons below the table
to pause and resume the highlighting sequence.
</P>
<TABLE ID="parent" BORDER="1" CLASS="time" t:DUR="8"
t:REPEAT="indefinite" t:TIMELINE="SEQ" t:TIMEACTION="none">
<TBODY>
    <TR>
        <TH WIDTH="120">Item</TH>
        <TH WIDTH="50">Code</TH>
        <TH WIDTH="40">Qty.</TH>
    </TR>
    <TR STYLE="color:#483D8B; font-weight:bold;" CLASS="time"
    t:TIMEACTION="style" t:DUR="2">
        <TD>Apples</TD>
        <TD>A1</TD>
        <TD>7</TD>
    </TR>
    <TR STYLE="color:#483D8B; font-weight:bold;" CLASS="time"
    t:TIMEACTION="style" t:DUR="2">
        <TD>Bananas</TD>
        <TD>B2</TD>
        <TD>23</TD>
    </TR>
    <TR STYLE="color:#483D8B; font-weight:bold;" CLASS="time"
    t:TIMEACTION="style" t:DUR="2">
        <TD>Oranges</TD>
        <TD>O3</TD>
        <TD>12</TD>
    </TR>
    <TR STYLE="color:#483D8B; font-weight:bold;" CLASS="time"
    t:TIMEACTION="style" t:DUR="2">
        <TD>Strawberries</TD>
        <TD>S4</TD>
        <TD>31</TD>
    </TR>
</TBODY>
</TABLE>
<BR>
<BUTTON ID="pauseBtn" onclick="docbody.pause();
pauseBtn.disabled = true; resumeBtn.disabled = false;">
    Pause
</BUTTON>
<BUTTON ID="resumeBtn" DISABLED="true" onclick="docbody.resume();
pauseBtn.disabled = false; resumeBtn.disabled = true;">
    Resume
</BUTTON>
</BODY>
</HTML>
This feature requires Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
time

See Also

resume


removeAttribute Method

Removes the specified attribute from the object.

Syntax

oPersistObject.removeAttribute(sAttrName)

Parameters

sAttrName Required. String that specifies the name of the persistent attribute.

Return Value

No return value.

Remarks

The sAttrName value is not case sensitive.

This method requires an object participating in persistence, where that object has a class name equal to the desired persistence behavior. An ID is required for the userData and saveSnapshot behaviors, and recommended for the saveHistory and saveFavorite behaviors.

This method overrides the DHTML removeAttribute method.

Example

This example uses the removeAttribute method to remove an attribute on an object participating in userData persistence.

Sample Code

<HEAD>

<STYLE>
   .userData {behavior:url(#default#userdata);}
</STYLE>

<SCRIPT>
   function fnGet(){
      oPersistInput.load("oDataStore");
      oPersistInput.value=oPersistInput.getAttribute("sPersistAttr");
   }
   function fnSet(){
      oPersistInput.setAttribute("sPersistAttr",oPersistInput.value);
      oPersistInput.save("oDataStore");
   }
   function fnRem(){
      oPersistInput.removeAttribute("sPersistAttr");
      oPersistInput.save("oDataStore");
   }
</SCRIPT>
</HEAD>

<BODY >
<INPUT type=text class=userData id=oPersistInput>
<INPUT type=button value="Get Attribute" onclick="fnGet()">
<INPUT type=button value="Set Attribute" onclick="fnSet()">
<INPUT type=button value="Remove Attribute" onclick="fnRem()">
</BODY>
This feature requires Microsoft® Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
saveFavorite, saveHistory, userData

See Also

dhtml behaviors Internet Link, persistence overview Internet Link, getAttribute, setAttribute


removeDABehavior Method

Removes a Microsoft® DirectAnimation® behavior (dabehavior Internet Link Non-MSDN link) added by the addDABehavior method.

Syntax

object.removeDABehavior(iID)

Parameters

iID Required. Integer that specifies the identifier of the DABehavior to remove. This value is obtained from a previous call made to the addDABehavior method.

Return Value

No return value.

Remarks

For more information about DirectAnimation, see the microsoft directanimation software development kit (sdk) Internet Link Non-MSDN link.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
anim

See Also

multimedia extensions to html+time Internet Link


resume Method

This document describes technologies available as an experimental implementation of HTML+TIME within Internet Explorer 5. While we encourage you to evaluate these features and to send us your feedback Internet Link, please note that these features are subject to change.

Resumes a paused timeline on the HTML document.

Syntax

body.resume()

Return Value

No return value.

Remarks

Only the BODY element supports the resume method. When this method is invoked, the onresume event occurs.

Example

This example uses the resume method to control the highlight sequence for rows in a table.

Sample Code

<!DOCTYPE HTML PUBLIC "-//W3C//DTD W3 HTML//EN">
<HTML>
<HEAD>
<STYLE>
.time        { behavior: url(#default#time);}
</STYLE>
</HEAD>
<BODY BGCOLOR="white" ID="docbody">
<H1>Pause and Resume</H1>
<P>The following table highlights the text in each row by
changing the text color and font weight. Use the buttons below the table
to pause and resume the highlighting sequence.
</P>
<TABLE ID="parent" BORDER="1" CLASS="time" t:DUR="8"
t:REPEAT="indefinite" t:TIMELINE="SEQ" t:TIMEACTION="none">
<TBODY>
    <TR>
        <TH WIDTH="120">Item</TH>
        <TH WIDTH="50">Code</TH>
        <TH WIDTH="40">Qty.</TH>
    </TR>
    <TR STYLE="color:#483D8B; font-weight:bold;" CLASS="time"
    t:TIMEACTION="style" t:DUR="2">
        <TD>Apples</TD>
        <TD>A1</TD>
        <TD>7</TD>
    </TR>
    <TR STYLE="color:#483D8B; font-weight:bold;" CLASS="time"
    t:TIMEACTION="style" t:DUR="2">
        <TD>Bananas</TD>
        <TD>B2</TD>
        <TD>23</TD>
    </TR>
    <TR STYLE="color:#483D8B; font-weight:bold;" CLASS="time"
    t:TIMEACTION="style" t:DUR="2">
        <TD>Oranges</TD>
        <TD>O3</TD>
        <TD>12</TD>
    </TR>
    <TR STYLE="color:#483D8B; font-weight:bold;" CLASS="time"
    t:TIMEACTION="style" t:DUR="2">
        <TD>Strawberries</TD>
        <TD>S4</TD>
        <TD>31</TD>
    </TR>
</TBODY>
</TABLE>
<BR>
<BUTTON ID="pauseBtn" onclick="docbody.pause();
pauseBtn.disabled = true; resumeBtn.disabled = false;">
    Pause
</BUTTON>
<BUTTON ID="resumeBtn" DISABLED="true" onclick="docbody.resume();
pauseBtn.disabled = false; resumeBtn.disabled = true;">
    Resume
</BUTTON>
</BODY>
</HTML>
This feature requires Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
time

See Also

pause


save Method

Saves an object participating in userData persistence to a UserData store.

Syntax

oPersistObject.save(sStoreName)

Parameters

sStoreName Required. String that specifies the arbitrary name assigned to a persistent object within a UserData store.

Return Value

No return value.

Remarks

The save method writes information into a UserData store. You can determine access to a UserData store by specifying a path within the immediate directory tree between the Web root and the current folder. For example, if you save the UserData store in the /private/ folder, a Web page located in the /public/ folder cannot access the UserData store.

This method requires an object participating in userData persistence, where that object has an ID and a class name equal to the desired persistence behavior.

Example

This example uses the save method to save an object participating in userData persistence to a UserData store.

Sample Code

<HEAD>

<STYLE>
   .userData {behavior:url(#default#userdata);}
</STYLE>

<SCRIPT>
   function fnLoad(){
      oPersistInput.load("oDataStore");
      oPersistInput.value=oPersistInput.getAttribute("sPersistAttr");
   }
   function fnSave(){
      oPersistInput.setAttribute("sPersistAttr",oPersistInput.value);
      oPersistInput.save("oDataStore");
   }
</SCRIPT>
</HEAD>

<BODY >
<INPUT type=text class=userData id=oPersistInput>
<INPUT type=button value="Load Attribute" onclick="fnLoad()">
<INPUT type=button value="Save Attribute" onclick="fnSave()">
</BODY>
This feature requires Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
userData

See Also

dhtml behaviors Internet Link, persistence overview Internet Link


setAttribute Method

Sets the value of the specified attribute.

Syntax

oPersistObject.setAttribute(sAttrName, vAttrValue)

Parameters

sAttrName | Required. String that specifies the name of the persistent attribute.
vAttrValue | Required. Variant that specifies the value of the persistent attribute.

Return Value

No return value.

Remarks

If the specified attribute is not already present, the setAttribute method adds the attribute to the object and sets the value.

The sAttrName value is not case sensitive.

This method requires an object participating in persistence, where that object has a class name equal to the desired persistence behavior. An ID is required for the userData and saveSnapshot behaviors, and recommended for the saveHistory and saveFavorite behaviors.

This method overrides the DHTML setAttribute method.

Example

This example uses the setAttribute method to set an attribute on an object participating in userData persistence.

Sample Code

<HEAD>

<STYLE>
   .userData {behavior:url(#default#userdata);}
</STYLE>

<SCRIPT>
   function fnGet(){
      oPersistInput.load("oDataStore");
      oPersistInput.value=oPersistInput.getAttribute("sPersistAttr");
   }
   function fnSet(){
      oPersistInput.setAttribute("sPersistAttr",oPersistInput.value);
      oPersistInput.save("oDataStore");
   }
   function fnRem(){
      oPersistInput.removeAttribute("sPersistAttr");
      oPersistInput.save("oDataStore");
   }
</SCRIPT>
</HEAD>

<BODY >
<INPUT type=text class=userData id=oPersistInput>
<INPUT type=button value="Get Attribute" onclick="fnGet()">
<INPUT type=button value="Set Attribute" onclick="fnSet()">
<INPUT type=button value="Remove Attribute" onclick="fnRem()">
</BODY>
This feature requires Microsoft® Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
saveFavorite, saveHistory, userData

See Also

dhtml behaviors Internet Link, persistence overview Internet Link, getAttribute, removeAttribute


setHomePage Method

Sets a user's home page to the specified value.

Syntax

oHomePage.setHomePage(sPageURL)

Parameters

sPageURL Required. String that specifies the path and/or file name of the user's home page.

Return Value

No return value.

Remarks

The setHomePage method prompts the user to confirm the new home page value before setting it on the browser.

Example

This example uses the setHomePage method to set a user's home page.

Sample Code

<HTML XMLNS:IE>
<HEAD>
<STYLE>
@media all {
   IE\:HOMEPAGE {behavior:url(#default#homepage)}
}
</STYLE>

<SCRIPT>
function fnSet(){
    oHomePage.setHomePage(oHomeHref.value);
    event.returnValue = false;
}
</SCRIPT>
</HEAD>
<BODY>
<IE:HOMEPAGE ID="oHomePage" />
<INPUT TYPE=text ID=oHomeHref VALUE="http://www.microsoft.com">
<INPUT TYPE=button VALUE="Set" onclick="fnSet()">
</BODY>
</HTML>
This feature requires Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
homePage

See Also

dhtml behaviors Internet Link


startDownload Method

Downloads the specified file.

Syntax

oDownload.startDownload (sUrl, fpCallback)

Parameters

sUrl | Required. String that specifies the location of the file to download.
fpCallback | Required. Function pointer that specifies the code to execute after the download is complete.

Return Value

No return value.

Remarks

The callback function pointer takes a single parameter. When a file downloads successfully, the file contents are passed as the parameter and are accessible in script.

The startDownload method returns only the content of text documents. If a different document format is downloaded, the format is returned, but the file content is not.

The following sample code shows a callback function.

// The callback function accepts one parameter.
function fnCallBack(vData){
   /* vData stores the downloaded file content.
      The content can be split into an array,
      written to another file, or processed in a form.
   */
   var aData=vData.split("\n");
}

Example

This example uses the startDownload method to begin downloading a file when the user clicks the link, and to notify the specified callback function, onDownloadDone, when the download is complete.

Sample Code

<HTML XMLNS:MSIE >

<MSIE:DOWNLOAD ID="oDownload" STYLE="behavior:url(#default#download)" />

<SCRIPT>
    function onDownloadDone(s) { alert (s); }
</SCRIPT>

<P>Click <A HREF="javascript:oDownload.startDownload('download.htm',
onDownloadDone)">here</A> to download this page.
This feature requires Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
download


ACCELERATE Attribute | accelerate Property

This document describes technologies available as an experimental implementation of HTML+TIME within Internet Explorer 5. While we encourage you to evaluate these features and to send us your feedback Internet Link, please note that these features are subject to change.

Sets or retrieves a value that applies an acceleration to the element's local timeline.

Syntax

HTML | <ELEMENT STYLE="behavior:url(#default#time);" t:ACCELERATE = iPercent... >
Scripting | object.accelerate [ = iPercent ]

Possible Values

iPercent Integer that specifies a value between 0 and 100, and represents the percentage of the local timeline over which the acceleration is applied. The local timeline refers to the timeline associated with a particular HTML element (such as a DIV or SPAN), rather than the global timeline associated with the entire document.

The property is read/write with a default value of 0. This property cannot be modified in script after the onload event fires on the document body.

Remarks

If the REPEAT or REPEATDUR attribute is set on an element, the acceleration occurs each time the element repeats.

The ACCELERATE attribute is especially well suited to animation content and behaviors. Setting this attribute to a nonzero value does not affect the duration of the timeline, but it could change the effective play speed of the local timeline. The sum of the values for the ACCELERATE and DECELERATE attributes must not exceed 100. This property is also commonly known as "ease-in" in some systems.

The prefix t is used to associate this attribute with an XML namespace.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
animation, audio, img, media, par, seq, time, video

See Also

html+time Internet Link


AUTOREVERSE Attribute | autoReverse Property

This document describes technologies available as an experimental implementation of HTML+TIME within Internet Explorer 5. While we encourage you to evaluate these features and to send us your feedback Internet Link, please note that these features are subject to change.

Sets or retrieves whether the timeline on an element immediately begins playing in reverse after completing in the forward direction.

Syntax

HTML | <ELEMENT STYLE="behavior:url(#default#time);" t:AUTOREVERSE = bReverse... >
Scripting | object.autoReverse [ = bReverse ]

Possible Values

bReverse Boolean that specifies one of the following values:
true | Timeline plays in the forward direction until it completes, then it immediately plays in the reverse direction.
false | Timeline does not play in the reverse direction after it finishes playing in the forward direction.

The property is read/write with a default value of false. This property cannot be modified in script after the onload event fires on the document body.

Remarks

On some systems, this attribute is referred to as "Play forward, then backward."

The prefix t is used to associate this attribute with an XML namespace.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
animation, audio, img, media, par, seq, time, video

See Also

html+time Internet Link


availHeight Property

Retrieves the height of the working area of the system's screen, excluding the Microsoft® Windows® taskbar.

Syntax

HTML | N/A
Scripting | [ iHeight = ] oClientCaps.availHeight

Possible Values

iHeight Integer that specifies the available screen height, in pixels.

The property is read-only with no default value.

Example

This example displays all the properties available through the clientCaps behavior.

Sample Code

<HTML xmlns:IE>
<HEAD>
<STYLE>
@media all {
   IE\:CLIENTCAPS {behavior:url(#default#clientCaps)}
}
</STYLE>

<SCRIPT>
function window.onload()
{
  sTempStr = "availHeight    = " + oClientCaps.availHeight    + "\n" +
             "availWidth     = " + oClientCaps.availWidth     + "\n" +
             "bufferDepth    = " + oClientCaps.bufferDepth    + "\n" +
             "colorDepth     = " + oClientCaps.colorDepth     + "\n" +
             "connectionType = " + oClientCaps.connectionType + "\n" +
             "cookieEnabled  = " + oClientCaps.cookieEnabled  + "\n" +
             "cpuClass       = " + oClientCaps.cpuClass       + "\n" +
             "height         = " + oClientCaps.height         + "\n" +
             "javaEnabled    = " + oClientCaps.javaEnabled    + "\n" +
             "platform       = " + oClientCaps.platform       + "\n" +
             "systemLanguage = " + oClientCaps.systemLanguage + "\n" +
             "userLanguage   = " + oClientCaps.userLanguage   + "\n" +
             "width          = " + oClientCaps.width          + "\n" ;

  oPre.innerText = sTempStr;
}
</SCRIPT>

</HEAD>
<BODY>
<H1>clientCaps Behavior Sample</H1>

<P>This example shows how to use the new <B>clientCaps</B>
behavior, introduced in Microsoft Internet Explorer 5, to obtain
client capabilities information. The following is a sampling of the
information that can be obtained:</P>

<IE:CLIENTCAPS ID="oClientCaps" />

<PRE id="oPre"></PRE>
</BODY>
</HTML>
This feature requires Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
clientCaps

See Also

client capabilities Internet Link, height


availWidth Property

Retrieves the width of the working area of the system's screen, excluding the Microsoft® Windows® taskbar.

Syntax

HTML | N/A
Scripting | [ iWidth = ] oClientCaps.availWidth

Possible Values

iWidth Integer that specifies the available screen width, in pixels.

The property is read-only with no default value.

Example

This example displays all the properties available through the clientCaps behavior.

Sample Code

<HTML xmlns:IE>
<HEAD>
<STYLE>
@media all {
   IE\:CLIENTCAPS {behavior:url(#default#clientCaps)}
}
</STYLE>

<SCRIPT>
function window.onload()
{
  sTempStr = "availHeight    = " + oClientCaps.availHeight    + "\n" +
             "availWidth     = " + oClientCaps.availWidth     + "\n" +
             "bufferDepth    = " + oClientCaps.bufferDepth    + "\n" +
             "colorDepth     = " + oClientCaps.colorDepth     + "\n" +
             "connectionType = " + oClientCaps.connectionType + "\n" +
             "cookieEnabled  = " + oClientCaps.cookieEnabled  + "\n" +
             "cpuClass       = " + oClientCaps.cpuClass       + "\n" +
             "height         = " + oClientCaps.height         + "\n" +
             "javaEnabled    = " + oClientCaps.javaEnabled    + "\n" +
             "platform       = " + oClientCaps.platform       + "\n" +
             "systemLanguage = " + oClientCaps.systemLanguage + "\n" +
             "userLanguage   = " + oClientCaps.userLanguage   + "\n" +
             "width          = " + oClientCaps.width          + "\n" ;

  oPre.innerText = sTempStr;
}
</SCRIPT>

</HEAD>
<BODY>
<H1>clientCaps Behavior Sample</H1>

<P>This example shows how to use the new <B>clientCaps</B>
behavior, introduced in Microsoft Internet Explorer 5, to obtain
client capabilities information. The following is a sampling of the
information that can be obtained:</P>

<IE:CLIENTCAPS ID="oClientCaps" />

<PRE id="oPre"></PRE>
</BODY>
</HTML>
This feature requires Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
clientCaps

See Also

client capabilities Internet Link, width


BEGIN Attribute | begin Property

This document describes technologies available as an experimental implementation of HTML+TIME within Internet Explorer 5. While we encourage you to evaluate these features and to send us your feedback Internet Link, please note that these features are subject to change.

Sets or retrieves the delay time before the timeline begins playing on the element.

Syntax

HTML | <ELEMENT STYLE="behavior:url(#default#time);" t:BEGIN = sTime... >
Scripting | object.begin [ = sTime ]

Possible Values

sTime String that specifies the time delay before the element becomes active on the timeline. This is an offset from the time the page is loaded. The time must be specified as described in Time Formats.

The property is read/write with a default value of 0. This property cannot be modified in script after the onload event fires on the document body.

Remarks

The prefix t is used to associate this attribute with an XML namespace.

Example

This example uses the BEGIN attribute to make text appear and disappear over time.

Sample Code

<!DOCTYPE HTML PUBLIC "-//W3C//DTD W3 HTML//EN">
<HTML>
<HEAD>
<STYLE>
.time        { behavior: url(#default#time);}
</STYLE>
</HEAD>
<BODY BGCOLOR="white">
<SPAN CLASS=time STYLE="COLOR:Red;" t:BEGIN="0" t:DUR="3"
    t:TIMEACTION="display">
    <H3>Paragraph #1</H3>
    <P>This is paragraph number one. It appears for three seconds immediately
    after the page is loaded.</P>
</SPAN>
<SPAN CLASS=time STYLE="COLOR:Blue;" t:BEGIN="4" t:DUR="4"
    t:TIMEACTION="display">
    <H3>Paragraph 2</H3>
    <P>This is paragraph number two. It appears one second after the first
    paragraph disappears, and remains displayed for four seconds.</P>
</SPAN>
<H1 CLASS=time t:BEGIN="8" t:DUR="indefinite" t:TIMEACTION="display">
    The End.
</H1>
</BODY>
</HTML>
This feature requires Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
animation, audio, img, media, par, seq, time, video

See Also

html+time Internet Link, BEGINAFTER, BEGINEVENT, BEGINWITH


BEGINAFTER Attribute | beginAfter Property

This document describes technologies available as an experimental implementation of HTML+TIME within Internet Explorer 5. While we encourage you to evaluate these features and to send us your feedback Internet Link, please note that these features are subject to change.

Sets or retrieves a value indicating that the timeline of an element starts when the referenced element ends.

Syntax

HTML | <ELEMENT STYLE="behavior:url(#default#time);" t:BEGINAFTER = sID... >
Scripting | object.beginAfter [ = sID ]

Possible Values

sID String that specifies the unique identifier of another timed element within the current time scope. The timeline begins on the current element when the referenced element ends. For more information about time scope, see the Remarks section.

The property is read/write with no default value. This property cannot be modified in script after the onload event fires on the document body.

Remarks

This property supports relative sequential timing. You can offset the start time by specifying a nonzero value for the BEGIN attribute on the element. This indicates that the timeline should start a specified amount of time after the timeline on the referenced element ends. If the referenced element has an indefinite duration, the timeline on the current element does not start. This property cannot be used on the same element as the BEGINEVENT or BEGINWITH attribute.

The current time scope is defined by the closest parent time container created with the TIMELINE attribute or the PAR or SEQ element. All timed elements within the same parent time container (time siblings) share the current time scope. If no time containers are explicitly declared, the document root is defined as the parent time container. In this case, all timed elements in the document would share the current time scope. To create timing dependencies between elements in different time scopes, use the BEGINEVENT attribute instead of the BEGINAFTER attribute.

The prefix t is used to associate this attribute with an XML namespace.

Example

This example uses the BEGINAFTER and BEGIN properties to make a paragraph appear one second after the first paragraph appears.

Sample Code

<!DOCTYPE HTML PUBLIC "-//W3C//DTD W3 HTML//EN">
<HTML>
<HEAD>
<STYLE>
.time        	{ behavior: url(#default#time);}
</STYLE>
</HEAD>
<BODY BGCOLOR="white">
<SPAN ID="span1" CLASS=time STYLE="COLOR:Red;" t:BEGIN="2" t:DUR="5"
    t:TIMEACTION="display">
    <H3>Paragraph 1</H3>
    <P>This is paragraph number one. It appears 2 seconds after the
    page is loaded and remains displayed for 5 seconds.</P>
</SPAN>
<SPAN CLASS=time STYLE="COLOR:Blue;" t:BEGIN="1" t:BEGINAFTER="span1"
    t:TIMEACTION="display">
    <H3>Paragraph 2</H3>
    <P>This is paragraph number two. It appears one second after the
    first paragraph disappears, and remains displayed indefinitely.</P>
</SPAN>
</BODY>
</HTML>
This feature requires Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
animation, audio, img, media, par, seq, time, video

See Also

html+time Internet Link, BEGIN, BEGINEVENT, BEGINWITH


BEGINEVENT Attribute | beginEvent Property

This document describes technologies available as an experimental implementation of HTML+TIME within Internet Explorer 5. While we encourage you to evaluate these features and to send us your feedback Internet Link, please note that these features are subject to change.

Sets or retrieves a value that starts the timeline of an element when the referenced event occurs.

Syntax

HTML | <ELEMENT STYLE="behavior:url(#default#time);" t:BEGINEVENT = sEventName... >
Scripting | object.beginEvent [ = sEventName ]

Possible Values

sEventName String that specifies a timing event or an event supported by the Dynamic HTML (DHTML) Object Model. Valid values include object.EventName or the string "none". Examples of event names include span1.onBegin and document.onLoad.

The property is read/write with no default value. This property cannot be modified in script after the onload event fires on the document body.

Remarks

This property supports interactive timing, where element timelines can begin in response to events from users, media players, or the presentation. You can offset the start time by specifying a nonzero value for the BEGIN attribute on the element. This indicates that the timeline should start a specified amount of time after the referenced event occurs. If the referenced event doesn't occur, the timeline on the current element does not start. This property cannot be used on the same element as the BEGINAFTER or BEGINWITH attribute.

To start the timeline on the current element, you can specify more than one event setting the BEGINEVENT attribute to a string containing a list of semicolon-separated events. For example, you would use the following code to cause the timeline to begin on the heading when either button is pressed:

<BUTTON ID="btn1">Button #1</BUTTON>
<BUTTON ID="btn2">Button #2</BUTTON>
.
.
.
<H1 CLASS="time" t:BEGINEVENT="btn1.onclick;btn2.onclick" t:DUR="5">
     My Heading
</H1>

The prefix t is used to associate this attribute with an XML namespace.

Example

This example uses the BEGINEVENT attribute to make a paragraph appear one second after the user clicks the button.

Sample Code

<!DOCTYPE HTML PUBLIC "-//W3C//DTD W3 HTML//EN">
<HTML>
<HEAD>
<STYLE>
.time        	{ behavior: url(#default#time);}
</STYLE>
</HEAD>
<BODY BGCOLOR="white">
<P>Click the following button to display a paragraph one second later.
The paragraph displays for five seconds.</P><BR><BR>
<BUTTON ID="button1">Show Paragraph</BUTTON><BR><BR>
<SPAN ID="span1" CLASS=time STYLE="COLOR:Red;"
    t:BEGINEVENT="button1.onclick" t:BEGIN="1" t:DUR="5"
    t:TIMEACTION="display">
    <H3>Paragraph 1</H3>
    <P>This is paragraph number one. It appears one second after
    the button is clicked.</P>
</SPAN>
</BODY>
</HTML>
This feature requires Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
animation, audio, img, media, par, seq, time, video

See Also

BEGIN, BEGINAFTER, BEGINWITH, html+time Internet Link


BEGINWITH Attribute | beginWith Property

This document describes technologies available as an experimental implementation of HTML+TIME within Internet Explorer 5. While we encourage you to evaluate these features and to send us your feedback Internet Link, please note that these features are subject to change.

Sets or retrieves a value that starts an element's timeline at the same time as the referenced element.

Syntax

HTML | <ELEMENT STYLE="behavior:url(#default#time);" t:BEGINWITH = sID... >
Scripting | object.beginWith [ = sID ]

Possible Values

sID String that specifies the unique identifier of another element within the current time scope. The timeline on the current element starts when this referenced element starts. For more information about time scope, see the Remarks section.

The property is read/write with no default value. This property cannot be modified in script after the onload event fires on the document body.

Remarks

This property supports relative timing between elements. You can offset the start time by specifying a nonzero value for the BEGIN attribute on the element. This indicates that the timeline should start a specified amount of time after the referenced element starts. This property cannot be used on the same element as the BEGINAFTER or BEGINEVENT property.

The current time scope is defined by the closest parent time container created with the TIMELINE attribute or the PAR or SEQ element. All timed elements within the same parent time container (time siblings) share the current time scope. If no time containers are explicitly declared, the document root is defined as the parent time container. In this case, all timed elements in the document would share the current time scope. If you need to create begin dependencies between elements in different time scopes, use the BEGINEVENT attribute instead.

The prefix t is used to associate this attribute with an XML namespace.

Example

This example uses the the BEGINWITH and BEGIN attributes to make a paragraph appear two seconds after the first one appears.

Sample Code

<!DOCTYPE HTML PUBLIC "-//W3C//DTD W3 HTML//EN">
<HTML>
<HEAD>
<STYLE>
.time        	{ behavior: url(#default#time);}
</STYLE>
</HEAD>
<BODY BGCOLOR="white">
<SPAN ID="span1" CLASS=time STYLE="COLOR:Red;" t:BEGIN="2" t:DUR="5"
    t:TIMEACTION="visibility">
    <H3>Paragraph 1</H3>
    <P>This is paragraph number one. It appears two seconds after
    the page loads, and displays for five seconds.</P>
</SPAN>
<SPAN ID="span2" CLASS=time STYLE="COLOR:Blue;" t:BEGINWITH="span1"
    t:BEGIN="2" t:TIMEACTION="display">
    <H3>Paragraph 2</H3>
    <P>This is paragraph number two. It appears two seconds after
    the first paragraph appears, and displays indefinitely.</P>
</SPAN>
</BODY>
</HTML>
This feature requires Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
animation, audio, img, media, par, seq, time, video

See Also

html+time Internet Link


bufferDepth Property

Retrieves the number of bits per pixel used for colors on the off-screen bitmap buffer.

Syntax

HTML | N/A
Scripting | [ iBitsPerPixel = ] oClientCaps.bufferDepth

Possible Values

iBitsPerPixel Integer that specifies one of the following values:
0 | No explicit buffering occurs. The colorDepth property is set to the screen depth.
-1 | Buffering occurs at the screen depth. The colorDepth property is set to the screen depth.
1, 4, 8, 15, 16, 24, 32 | Off-screen buffering occurs based on the specified number of bits per pixel. The colorDepth property is also set to this value. The value 15 specifies 16 bits per pixel, in which only 15 bits are used in a 5-5-5 layout of red-green-blue (RGB) values.

The property is read-only with a default value of 0.

Remarks

Nonsupported values cause bufferDepth to be set to -1.

When bufferDepth is -1 and the user changes system settings that affect the screen depth, the buffer depth automatically updates to the new depth. This does not occur if bufferDepth is set to a specific value.

Example

This example displays all the properties available through the clientCaps behavior.

Sample Code

<HTML xmlns:IE>
<HEAD>
<STYLE>
@media all {
   IE\:CLIENTCAPS {behavior:url(#default#clientCaps)}
}
</STYLE>

<SCRIPT>
function window.onload()
{
  sTempStr = "availHeight    = " + oClientCaps.availHeight    + "\n" +
             "availWidth     = " + oClientCaps.availWidth     + "\n" +
             "bufferDepth    = " + oClientCaps.bufferDepth    + "\n" +
             "colorDepth     = " + oClientCaps.colorDepth     + "\n" +
             "connectionType = " + oClientCaps.connectionType + "\n" +
             "cookieEnabled  = " + oClientCaps.cookieEnabled  + "\n" +
             "cpuClass       = " + oClientCaps.cpuClass       + "\n" +
             "height         = " + oClientCaps.height         + "\n" +
             "javaEnabled    = " + oClientCaps.javaEnabled    + "\n" +
             "platform       = " + oClientCaps.platform       + "\n" +
             "systemLanguage = " + oClientCaps.systemLanguage + "\n" +
             "userLanguage   = " + oClientCaps.userLanguage   + "\n" +
             "width          = " + oClientCaps.width          + "\n" ;

  oPre.innerText = sTempStr;
}
</SCRIPT>

</HEAD>
<BODY>
<H1>clientCaps Behavior Sample</H1>

<P>This example shows how to use the new <B>clientCaps</B>
behavior, introduced in Microsoft Internet Explorer 5, to obtain
client capabilities information. The following is a sampling of the
information that can be obtained:</P>

<IE:CLIENTCAPS ID="oClientCaps" />

<PRE id="oPre"></PRE>
</BODY>
</HTML>
This feature requires Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
clientCaps

See Also

client capabilities Internet Link


CLIPBEGIN Attribute | clipBegin Property

This document describes technologies available as an experimental implementation of HTML+TIME within Internet Explorer 5. While we encourage you to evaluate these features and to send us your feedback Internet Link, please note that these features are subject to change.

Sets or retrieves the beginning point of a sub-clip of a continuous media object.

Syntax

HTML | <ELEMENT STYLE="behavior:url(#default#time);" t:CLIPBEGIN = sTime... >
Scripting | object.clipBegin [ = sTime ]

Possible Values

sTime String that specifies the beginning point of a media object as an offset from the start time. The time must be specified as described in Time Formats.

The property is read/write with no default value. This property cannot be modified in script after the onload event fires on the document body.

Remarks

The prefix t is used to associate this attribute with an XML namespace.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
animation, audio, img, media, video

See Also

html+time Internet Link, CLIPEND


CLIPEND Attribute | clipEnd Property

This document describes technologies available as an experimental implementation of HTML+TIME within Internet Explorer 5. While we encourage you to evaluate these features and to send us your feedback Internet Link, please note that these features are subject to change.

Sets or retrieves the end point of a sub-clip of a continuous media object.

Syntax

HTML | <ELEMENT STYLE="behavior:url(#default#time);" t:CLIPEND = sTime... >
Scripting | object.clipEnd [ = sTime ]

Possible Values

sTime String that specifies the end point of a media object as an offset from the start time. The time must be specified as described in Time Formats.

The property is read/write with no default value. This property cannot be modified in script after the onload event fires on the document body.

Remarks

If the CLIPEND attribute exceeds the duration of the media object, the value is ignored and CLIPEND is set equal to the end of the media object.

The prefix t is used to associate this attribute with an XML namespace.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
animation, audio, img, media, video

See Also

html+time Internet Link, CLIPBEGIN


CLOCKSOURCE Attribute | clockSource Property

This document describes technologies available as an experimental implementation of HTML+TIME within Internet Explorer 5. While we encourage you to evaluate these features and to send us your feedback Internet Link, please note that these features are subject to change.

Sets or retrieves whether all the elements within the local time scope are synchronized with this element's timeline.

Syntax

HTML | <ELEMENT STYLE="behavior:url(#default#time);" t:CLOCKSOURCE = bSyncLocal... >
Scripting | object.clockSource [ = bSyncLocal ]

Possible Values

bSyncLocal Boolean that specifies one of the following values:
true | Elements within the local time scope are synchronized with the timeline on this element. The local time scope is determined by the SYNCBEHAVIOR attribute on the parent element.
false | Elements within the local time scope are not synchronized with the timeline on this element.

The property is read/write with a default value of false. This property cannot be modified in script after the onload event fires on the document body.

Remarks

This property must be used with the SYNCBEHAVIOR attribute to ensure synchronization between a designated media object, such as a video file, and other timed elements in the document.

The prefix t is used to associate this attribute with an XML namespace.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
animation, audio, img, media, video

See Also

html+time Internet Link, syncTolerance


colorDepth Property

Retrieves the number of bits per pixel used for colors on the destination device or buffer.

Syntax

HTML | N/A
Scripting | [ iBitsPerPixel =] oClientCaps.colorDepth

Possible Values

iBitsPerPixel Integer that specifies one of the following values:
1, 4, 8, 15, 16, 24, 32 Off-screen buffering occurs based on the specified number of bits per pixel. The value 15 specifies 16 bits per pixel, in which only 15 bits are used in a 5-5-5 layout of red-green-blue (RGB) values.

The property is read-only with no default value.

Remarks

To select an appropriate color to return to the browser, retrieve the property's value through script.

If bufferDepth is 0 or -1, colorDepth is equal to the bits-per-pixel value for the screen or printer. If bufferDepth is nonzero, colorDepth is equal to bufferDepth.

Example

This example displays all the properties available through the clientCaps behavior.

Sample Code

<HTML xmlns:IE>
<HEAD>
<STYLE>
@media all {
   IE\:CLIENTCAPS {behavior:url(#default#clientCaps)}
}
</STYLE>

<SCRIPT>
function window.onload()
{
  sTempStr = "availHeight    = " + oClientCaps.availHeight    + "\n" +
             "availWidth     = " + oClientCaps.availWidth     + "\n" +
             "bufferDepth    = " + oClientCaps.bufferDepth    + "\n" +
             "colorDepth     = " + oClientCaps.colorDepth     + "\n" +
             "connectionType = " + oClientCaps.connectionType + "\n" +
             "cookieEnabled  = " + oClientCaps.cookieEnabled  + "\n" +
             "cpuClass       = " + oClientCaps.cpuClass       + "\n" +
             "height         = " + oClientCaps.height         + "\n" +
             "javaEnabled    = " + oClientCaps.javaEnabled    + "\n" +
             "platform       = " + oClientCaps.platform       + "\n" +
             "systemLanguage = " + oClientCaps.systemLanguage + "\n" +
             "userLanguage   = " + oClientCaps.userLanguage   + "\n" +
             "width          = " + oClientCaps.width          + "\n" ;

  oPre.innerText = sTempStr;
}
</SCRIPT>

</HEAD>
<BODY>
<H1>clientCaps Behavior Sample</H1>

<P>This example shows how to use the new <B>clientCaps</B>
behavior, introduced in Microsoft Internet Explorer 5, to obtain
client capabilities information. The following is a sampling of the
information that can be obtained:</P>

<IE:CLIENTCAPS ID="oClientCaps" />

<PRE id="oPre"></PRE>
</BODY>
</HTML>
This feature requires Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
clientCaps

See Also

client capabilities Internet Link


connectionType Property

Retrieves the type of connection in use.

Syntax

HTML | N/A
Scripting | [ sConnectionType = ] oClientCaps.connectionType

Possible Values

sConnectionType String that specifies one of the following values:
lan | User is connected through a network.
modem | User is connected through a modem.
offline | User is working offline.

The property is read-only with no default value.

Example

This example displays all the properties available through the clientCaps behavior.

Sample Code

<HTML xmlns:IE>
<HEAD>
<STYLE>
@media all {
   IE\:CLIENTCAPS {behavior:url(#default#clientCaps)}
}
</STYLE>

<SCRIPT>
function window.onload()
{
  sTempStr = "availHeight    = " + oClientCaps.availHeight    + "\n" +
             "availWidth     = " + oClientCaps.availWidth     + "\n" +
             "bufferDepth    = " + oClientCaps.bufferDepth    + "\n" +
             "colorDepth     = " + oClientCaps.colorDepth     + "\n" +
             "connectionType = " + oClientCaps.connectionType + "\n" +
             "cookieEnabled  = " + oClientCaps.cookieEnabled  + "\n" +
             "cpuClass       = " + oClientCaps.cpuClass       + "\n" +
             "height         = " + oClientCaps.height         + "\n" +
             "javaEnabled    = " + oClientCaps.javaEnabled    + "\n" +
             "platform       = " + oClientCaps.platform       + "\n" +
             "systemLanguage = " + oClientCaps.systemLanguage + "\n" +
             "userLanguage   = " + oClientCaps.userLanguage   + "\n" +
             "width          = " + oClientCaps.width          + "\n" ;

  oPre.innerText = sTempStr;
}
</SCRIPT>

</HEAD>
<BODY>
<H1>clientCaps Behavior Sample</H1>

<P>This example shows how to use the new <B>clientCaps</B>
behavior, introduced in Microsoft Internet Explorer 5, to obtain
client capabilities information. The following is a sampling of the
information that can be obtained:</P>

<IE:CLIENTCAPS ID="oClientCaps" />

<PRE id="oPre"></PRE>
</BODY>
</HTML>
This feature requires Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
clientCaps

See Also

client capabilities Internet Link


cookieEnabled Property

Retrieves whether client-side cookies are enabled in the browser.

Syntax

HTML | N/A
Scripting | [ bEnabled = ] oClientCaps.cookieEnabled

Possible Values

bEnabled Boolean that specifies one of the following values:
false | Browser does not support cookies.
true | Browser supports cookies.

The property is read-only with no default value.

Example

This example displays all the properties available through the clientCaps behavior.

Sample Code

<HTML xmlns:IE>
<HEAD>
<STYLE>
@media all {
   IE\:CLIENTCAPS {behavior:url(#default#clientCaps)}
}
</STYLE>

<SCRIPT>
function window.onload()
{
  sTempStr = "availHeight    = " + oClientCaps.availHeight    + "\n" +
             "availWidth     = " + oClientCaps.availWidth     + "\n" +
             "bufferDepth    = " + oClientCaps.bufferDepth    + "\n" +
             "colorDepth     = " + oClientCaps.colorDepth     + "\n" +
             "connectionType = " + oClientCaps.connectionType + "\n" +
             "cookieEnabled  = " + oClientCaps.cookieEnabled  + "\n" +
             "cpuClass       = " + oClientCaps.cpuClass       + "\n" +
             "height         = " + oClientCaps.height         + "\n" +
             "javaEnabled    = " + oClientCaps.javaEnabled    + "\n" +
             "platform       = " + oClientCaps.platform       + "\n" +
             "systemLanguage = " + oClientCaps.systemLanguage + "\n" +
             "userLanguage   = " + oClientCaps.userLanguage   + "\n" +
             "width          = " + oClientCaps.width          + "\n" ;

  oPre.innerText = sTempStr;
}
</SCRIPT>

</HEAD>
<BODY>
<H1>clientCaps Behavior Sample</H1>

<P>This example shows how to use the new <B>clientCaps</B>
behavior, introduced in Microsoft Internet Explorer 5, to obtain
client capabilities information. The following is a sampling of the
information that can be obtained:</P>

<IE:CLIENTCAPS ID="oClientCaps" />

<PRE id="oPre"></PRE>
</BODY>
</HTML>
This feature requires Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
clientCaps

See Also

client capabilities Internet Link


cpuClass Property

Retrieves a string representing the CPU class.

Syntax

HTML | N/A
Scripting | [ sCPU = ] oClientCaps.cpuClass

Possible Values

sCPU String that specifies one of the following values:
x86 | CPU is an x86 processor.
Alpha | CPU is an Alpha processor.

The property is read-only with no default value.

Example

This example displays all the properties available through the clientCaps behavior.

Sample Code

<HTML xmlns:IE>
<HEAD>
<STYLE>
@media all {
   IE\:CLIENTCAPS {behavior:url(#default#clientCaps)}
}
</STYLE>

<SCRIPT>
function window.onload()
{
  sTempStr = "availHeight    = " + oClientCaps.availHeight    + "\n" +
             "availWidth     = " + oClientCaps.availWidth     + "\n" +
             "bufferDepth    = " + oClientCaps.bufferDepth    + "\n" +
             "colorDepth     = " + oClientCaps.colorDepth     + "\n" +
             "connectionType = " + oClientCaps.connectionType + "\n" +
             "cookieEnabled  = " + oClientCaps.cookieEnabled  + "\n" +
             "cpuClass       = " + oClientCaps.cpuClass       + "\n" +
             "height         = " + oClientCaps.height         + "\n" +
             "javaEnabled    = " + oClientCaps.javaEnabled    + "\n" +
             "platform       = " + oClientCaps.platform       + "\n" +
             "systemLanguage = " + oClientCaps.systemLanguage + "\n" +
             "userLanguage   = " + oClientCaps.userLanguage   + "\n" +
             "width          = " + oClientCaps.width          + "\n" ;

  oPre.innerText = sTempStr;
}
</SCRIPT>

</HEAD>
<BODY>
<H1>clientCaps Behavior Sample</H1>

<P>This example shows how to use the new <B>clientCaps</B>
behavior, introduced in Microsoft Internet Explorer 5, to obtain
client capabilities information. The following is a sampling of the
information that can be obtained:</P>

<IE:CLIENTCAPS ID="oClientCaps" />

<PRE id="oPre"></PRE>
</BODY>
</HTML>
This feature requires Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
clientCaps

See Also

client capabilities Internet Link


currTime Property

This document describes technologies available as an experimental implementation of HTML+TIME within Internet Explorer 5. While we encourage you to evaluate these features and to send us your feedback Internet Link, please note that these features are subject to change.

Retrieves a value indicating the current time along the simple duration, as defined by the element's DUR or END attribute.

Syntax

HTML | N/A
Scripting | [ sTime = ] object.currTime

Possible Values

sTime String that specifies the current time on the element's simple duration.

The property is read-only with no default value.

Remarks

The simple duration is the segment of time from when the element begins playing until it completes one forward cycle of its behavior, excluding repetitions.

If the REPEAT or REPEATDUR attribute is set on an element, the value of the currTime property resets each time the element repeats.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
time

See Also

html+time Internet Link, localTime


DECELERATE Attribute | decelerate Property

This document describes technologies available as an experimental implementation of HTML+TIME within Internet Explorer 5. While we encourage you to evaluate these features and to send us your feedback Internet Link, please note that these features are subject to change.

Sets or retrieves a value that applies a deceleration to the end of a simple duration.

Syntax

HTML | <ELEMENT STYLE="behavior:url(#default#time);" t:DECELERATE = iPercent... >
Scripting | object.decelerate [ = iPercent ]

Possible Values

iPercent Integer that specifies a value between 0 and 100, and represents the percentage of the local timeline over which the deceleration is applied. The local timeline refers to the timeline associated with a particular HTML element (such as a DIV or SPAN), rather than the global timeline associated with the entire document.

The property is read/write with a default value of 0. This property cannot be modified in script after the onload event fires on the document body.

Remarks

The simple duration is the segment of time from when the element begins playing until it completes one forward cycle of its behavior, excluding repetitions.

If the REPEAT or REPEATDUR attribute is set on an element, the deceleration occurs each time the element repeats.

The DECELERATE attribute is especially well suited to animation content and behaviors. Setting this attribute to a nonzero value does not affect the duration of the timeline in any way, but it might change the effective play speed of the local timeline.

The sum of the values for the ACCELERATE and DECELERATE attributes must not exceed 100. This property is also commonly known as "ease-out" in some systems.

The prefix t is used to associate this attribute with an XML namespace.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
animation, audio, img, media, par, seq, time, video

See Also

html+time Internet Link


DUR Attribute | dur Property

This document describes technologies available as an experimental implementation of HTML+TIME within Internet Explorer 5. While we encourage you to evaluate these features and to send us your feedback Internet Link, please note that these features are subject to change.

Sets or retrieves a value indicating the amount of time the element remains active or displayed.

Syntax

HTML | <ELEMENT STYLE="behavior:url(#default#time);" t:DUR = sTime... >
Scripting | object.dur [ = sTime ]

Possible Values

sTime String that specifies one of the following values:
indefinite | Element remains active on the timeline for an indefinite amount of time.
duration | Amount of time the element remains active or displayed. The time must be specified as described in Time Formats.

The property is read/write with a default value of indefinite. This property cannot be modified in script after the onload event fires on the document body.

Remarks

The DUR attribute is a value relative to the value of the element's BEGIN attribute. By contrast, the END attribute represents an absolute value along the parent element's timeline starting at 0 seconds. Do not use the DUR attribute on the same element as the END attribute.

The prefix t is used to associate this attribute with an XML namespace.

Example

This example uses the DUR attribute to display lines of text for different amounts of time.

Sample Code

<!DOCTYPE HTML PUBLIC "-//W3C//DTD W3 HTML//EN">
<HTML>
<HEAD>
<STYLE>
.time        	{ behavior: url(#default#time);}
</STYLE>
</HEAD>
<BODY BGCOLOR="white">
<SPAN CLASS=time STYLE="COLOR:Red;" t:BEGIN="0" t:DUR="5"
    t:TIMEACTION="visibility">
    <H3>Paragraph 1</H3>
    <P>This is paragraph number one. It displays for five
    seconds.</P>
</SPAN>
<SPAN CLASS=time STYLE="COLOR:Blue;" t:BEGIN="0" t:DUR="10"
    t:TIMEACTION="visibility">
    <H3>Paragraph 2</H3>
    <P>This is paragraph number two. It displays for ten
    seconds.</P>
</SPAN>
<SPAN CLASS=time STYLE="COLOR:Green;" t:BEGIN="0" t:DUR="indefinite"
    t:TIMEACTION="visibility">
    <H3>Paragraph 3</H3>
    <P>This is paragraph number three. It displays
    indefinitely.</P>
</SPAN>
</BODY>
</HTML>
This feature requires Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
animation, audio, img, media, par, seq, time, video

See Also

html+time Internet Link


END Attribute | end Property

This document describes technologies available as an experimental implementation of HTML+TIME within Internet Explorer 5. While we encourage you to evaluate these features and to send us your feedback Internet Link, please note that these features are subject to change.

Sets or retrieves a value indicating the end time for the element, or the end of the simple duration when the element is set to repeat.

Syntax

HTML | <ELEMENT STYLE="behavior:url(#default#time);" t:END = sTime... >
Scripting | object.end [ = sTime ]

Possible Values

sTime String that specifies one of the following values:
indefinite | Element remains active on the timeline for an indefinite amount of time.
end | Number of seconds along the timeline at which the element will become inactive. The time must be specified as described in Time Formats.

The property is read/write with a default value of indefinite. This property cannot be modified in script after the onload event fires on the document body.

Remarks

The END attribute represents an absolute value along the parent element's timeline starting at 0 seconds. By contrast, the DUR attribute represents a value relative to the value of the element's BEGIN attribute. Do not use the END attribute on the same element as the DUR attribute.

The prefix t is used to associate this attribute with an XML namespace.

Example

This example uses the END attribute to display three lines of text, each with its own start time, but all with the same end time.

Sample Code

<!DOCTYPE HTML PUBLIC "-//W3C//DTD W3 HTML//EN">
<HTML>
<HEAD>
<STYLE>
.time        	{ behavior: url(#default#time);}
</STYLE>
</HEAD>
<BODY BGCOLOR="white">
<SPAN CLASS=time STYLE="COLOR:Red;" t:BEGIN="0" t:END="10"
    t:TIMEACTION="visibility">
    <H3>Paragraph 1</H3>
    <P>This is paragraph number one. It is displayed as soon as
    the page is loaded.</P>
</SPAN>
<SPAN CLASS=time STYLE="COLOR:Blue;" t:BEGIN="3" t:END="10"
    t:TIMEACTION="visibility">
    <H3>Paragraph 2</H3>
    <P>This is paragraph number two. It is displayed three seconds
    after the page is loaded.</P>
</SPAN>
<SPAN CLASS=time STYLE="COLOR:Green;" t:BEGIN="6" t:END="10"
    t:TIMEACTION="visibility">
    <H3>Paragraph 3</H3>
    <P>This is paragraph number three. It is displayed six seconds
    after the page is loaded.</P>
</SPAN>
<P>The preceding paragraphs have different start times, but they
all have an end value of ten. Therefore, all three paragraphs will
disappear when the timeline reaches ten seconds.</P>
</BODY>
</HTML>
This feature requires Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
animation, audio, img, media, par, seq, time, video

See Also

html+time Internet Link, ENDEVENT, ENDHOLD


ENDEVENT Attribute | endEvent Property

This document describes technologies available as an experimental implementation of HTML+TIME within Internet Explorer 5. While we encourage you to evaluate these features and to send us your feedback Internet Link, please note that these features are subject to change.

Sets or retrieves a value indicating that the timeline of an element ends immediately when the referenced event occurs, regardless of the element's repeat count or repeatDur property.

Syntax

HTML | <ELEMENT STYLE="behavior:url(#default#time);" t:ENDEVENT = sEventName... >
Scripting | object.endEvent [ = sEventName ]

Possible Values

sEventName String that specifies a timing event or an event supported by the DHTML Object Model. Valid values use the format object.EventName, or the string "none". Examples of event names include span1.onBegin and document.onLoad.

The property is read/write with no default value. This property cannot be modified in script after the onload event fires on the document body.

Remarks

This property supports interactive timing, where element timelines can end in response to events from users, media players, or the presentation. If the referenced event does not occur, the timeline on the current element does not start. To override this behavior, you can specify a maximum duration for the timeline using either the DUR or END attribute on the same element. This behavior is sometimes referred to as "lazy interactive."

The prefix t is used to associate this attribute with an XML namespace.

Example

This example uses the ENDEVENT attribute to make a paragraph disappear when the user clicks the button.

Sample Code

<!DOCTYPE HTML PUBLIC "-//W3C//DTD W3 HTML//EN">
<HTML>
<HEAD>
<STYLE>
.time        	{ behavior: url(#default#time);}
</STYLE>
</HEAD>
<BODY BGCOLOR="white">
<BUTTON ID="button1">Hide Paragraph</BUTTON><BR><BR>
<SPAN ID="span1" CLASS=time STYLE="COLOR:Red;"
    t:ENDEVENT="button1.onclick" t:TIMEACTION="display">
    <H3>Paragraph 1</H3>
    <P>This is paragraph number one. It disappears when the button
    is clicked.</P>
</SPAN>
</BODY>
</HTML>
This feature requires Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
animation, audio, img, media, par, seq, time, video

See Also

html+time Internet Link, ENDHOLD


ENDHOLD Attribute | endHold Property

This document describes technologies available as an experimental implementation of HTML+TIME within Internet Explorer 5. While we encourage you to evaluate these features and to send us your feedback Internet Link, please note that these features are subject to change.

Sets or retrieves whether an element remains active if its timeline ends before the timeline on its parent element ends.

Syntax

HTML | <ELEMENT STYLE="behavior:url(#default#time);" t:ENDHOLD = bHold... >
Scripting | object.endHold [ = bHold ]

Possible Values

bHold Boolean that specifies one of the following values:
true | Element is frozen at the end of its local timeline. This last snapshot of the element displays until the end of the element's parent timeline is reached.
false | Element is not held until the end of the parent timeline is reached.

The property is read/write with a default value of false. This property cannot be modified in script after the onload event fires on the document body.

Remarks

This property does not affect the defined duration (DUR) of the timeline, nor the timeline's defined END time. However, the ENDHOLD attribute does affect the display of the element between the end of the element's timeline and the end of the parent element's timeline. For example, suppose an element has an end value of 10 seconds and its parent element has an end value of 15 seconds. In this case, the ENDHOLD attribute defines whether the element displays during the five-second interval (seconds 11 through 15) after the timeline ends.

The prefix t is used to associate this attribute with an XML namespace.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
animation, audio, img, media, par, seq, time, video

See Also

html+time Internet Link, ENDEVENT


EVENTRESTART Attribute | eventRestart Property

This document describes technologies available as an experimental implementation of HTML+TIME within Internet Explorer 5. While we encourage you to evaluate these features and to send us your feedback Internet Link, please note that these features are subject to change.

Sets or retrieves whether the element should restart if a beginEvent call occurs while the local timeline is already running.

Syntax

HTML | <ELEMENT STYLE="behavior:url(#default#time);" t:EVENTRESTART = bRestart... >
Scripting | object.eventRestart [ = bRestart ]

Possible Values

bRestart Boolean that specifies one of the following values:
true | Timeline immediately restarts every time the referenced event happens.
false | Timeline can't restart until after it plays through once.

The property is read/write with a default value of true. This property cannot be modified in script after the onload event fires on the document body.

Remarks

The prefix t is used to associate this attribute with an XML namespace.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
animation, audio, img, media, par, seq, time, video

See Also

html+time Internet Link


expires Property

Sets or retrieves the expiration date of data persisted with the userData behavior.

Syntax

HTML | N/A
Scripting | oPersistObject.expires [ = sUTCString ]

Possible Values

sUTCString String that specifies the expiration date in UTC (Universal Time Coordinate) format.

The property is read/write with no default value.

Remarks

The expires property designates the amount of time that persisted information is available. Microsoft® Internet Explorer removes the persisted information when the browser checks the date and the designated time has expired.

Example

This example uses the expires property to set the expiration date of persisted data to one minute after the information is persisted.

Sample Code

<STYLE>
.userData { behavior: url(#default#userdata)}
</STYLE>

<SCRIPT>
function fnSave(){
   var oTimeNow = new Date(); // Start Time
   oTimeNow.setMinutes(oTimeNow.getMinutes() + 1);
   var sExpirationDate = oTimeNow.toUTCString();

   oPersistDiv.expires = sExpirationDate;
   oPersistDiv.setAttribute("sData",oPersistText.value);
   // Save the persistence data as "sTimeout".
   oPersistDiv.save("sTimeout");
}
</SCRIPT>

:

<DIV CLASS = "userData" ID=oPersistDiv onsave = "fnSave()" >
<INPUT TYPE=text ID=oPersistText>

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
userData

See Also

persistence overview Internet Link


FOLDER Attribute | folder Property

Sets or retrieves a namespace extension, address, or path.

Syntax

HTML | <A FOLDER = sFolder ... >
Scripting | oAnchor.folder [ = sFolder ]

Possible Values

sFolder String that specifies a valid namespace extension, address, or path.

The property is read/write with no default value.

Remarks

Browsers that do not support the FOLDER attribute will navigate to the location specified in the HREF attribute. Microsoft® Internet Explorer 5 displays the value of the FOLDER attribute in the browser screen instead of the value of the HREF attribute.

Example

This example uses the FOLDER attribute to specify a location to open in folder view.

Sample Code

<STYLE>
   A {behavior:url(#default#AnchorClick);}
</STYLE>

<!--
     The href points to folder.htm for browsers not supported;
     the FOLDER attribute points to the local root.
 -->

<A HREF = "folder.htm" FOLDER = "/" >
Open Folder
</A>

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
anchor


height Property

Retrieves the vertical resolution of the screen.

Syntax

HTML | N/A
Scripting | [ iHeight = ] oClientCaps.height

Possible Values

iHeight Integer that specifies the screen height, in pixels.

The property is read-only with no default value.

Example

This example displays all the properties available through the clientCaps behavior.

Sample Code

<HTML xmlns:IE>
<HEAD>
<STYLE>
@media all {
   IE\:CLIENTCAPS {behavior:url(#default#clientCaps)}
}
</STYLE>

<SCRIPT>
function window.onload()
{
  sTempStr = "availHeight    = " + oClientCaps.availHeight    + "\n" +
             "availWidth     = " + oClientCaps.availWidth     + "\n" +
             "bufferDepth    = " + oClientCaps.bufferDepth    + "\n" +
             "colorDepth     = " + oClientCaps.colorDepth     + "\n" +
             "connectionType = " + oClientCaps.connectionType + "\n" +
             "cookieEnabled  = " + oClientCaps.cookieEnabled  + "\n" +
             "cpuClass       = " + oClientCaps.cpuClass       + "\n" +
             "height         = " + oClientCaps.height         + "\n" +
             "javaEnabled    = " + oClientCaps.javaEnabled    + "\n" +
             "platform       = " + oClientCaps.platform       + "\n" +
             "systemLanguage = " + oClientCaps.systemLanguage + "\n" +
             "userLanguage   = " + oClientCaps.userLanguage   + "\n" +
             "width          = " + oClientCaps.width          + "\n" ;

  oPre.innerText = sTempStr;
}
</SCRIPT>

</HEAD>
<BODY>
<H1>clientCaps Behavior Sample</H1>

<P>This example shows how to use the new <B>clientCaps</B>
behavior, introduced in Microsoft Internet Explorer 5, to obtain
client capabilities information. The following is a sampling of the
information that can be obtained:</P>

<IE:CLIENTCAPS ID="oClientCaps" />

<PRE id="oPre"></PRE>
</BODY>
</HTML>
This feature requires Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
clientCaps

See Also

client capabilities Internet Link


image Property

Sets or retrieves the Microsoft® DirectAnimation® Image (daimage Internet Link Non-MSDN link) displayed by the anim:DA element.

Syntax

Scripting object.image [ = oImage ]

Possible Values

oImage DAImage object that specifies the image displayed by the anim:DA element.

The property is read/write with no default value.

Example

This example uses the image property to display a static DAImage.

Sample Code

<HTML>
<HEAD>
<TITLE>image</TITLE>
<XML:NAMESPACE PREFIX="anim"/>
<STYLE>
.time       { behavior: url(#time); }
anim\:DA    { behavior: url(#default#anim); }
</STYLE>
<OBJECT ID="time" CLASSID="CLSID:476C391C-3E0D-11D2-B948-00C04FA32195">
</OBJECT>
</HEAD>

<BODY>
<P>The image below is specified using the image property.</P>
<SPAN ID="spanImg" CLASS="time" t:TIMEACTION="visibility" t:BEGIN="3"
t:DUR="5">
</SPAN>
<DIV ALIGN="center">
    <anim:DA ID="da1" STYLE="width:200; height:200; z-index: -1;" />
</DIV>
<BR>

<SCRIPT LANGUAGE="JScript">
<!--
   // Assign a variable to the DA statics library
   m = da1.statics;
   // Create the DAImage
   img1 = m.ImportImage("/workshop/graphics/sun.gif");
   // Specify the DAImage to be displayed by the ANIM:DA tag
   da1.image = img1;
//-->
</SCRIPT>
</BODY>
</HTML>
This feature requires Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
anim

See Also

multimedia extensions to html+time Internet Link, sound, statics


IMG Attribute | img Property

This document describes technologies available as an experimental implementation of HTML+TIME within Internet Explorer 5. While we encourage you to evaluate these features and to send us your feedback Internet Link, please note that these features are subject to change.

Sets or retrieves the URL of an alternate image to display if the MIME type is not supported on the user's computer.

Syntax

HTML | <ELEMENT STYLE="behavior:url(#default#time);" t:IMG = sURL... >
Scripting | object.img [ = sURL ]

Possible Values

sURL String that specifies the URL of an alternate image to display for this element if the MIME type is not supported on the user's computer.

The property is read/write with no default value. This property cannot be modified in script after the onload event fires on the document body.

Remarks

The prefix t is used to associate this attribute with an XML namespace.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
animation, media, video

See Also

html+time Internet Link


javaEnabled Property

Retrieves whether the Microsoft virtual machine is enabled.

Syntax

HTML | N/A
Scripting | [ bEnabled = ] oClientCaps.javaEnabled

Possible Values

bEnabled Boolean that specifies one of the following values:
false | Microsoft virtual machine is not enabled.
true | Microsoft virtual machine is enabled.

The property is read-only with no default value.

Example

This example displays all the properties available through the clientCaps behavior.

Sample Code

<HTML xmlns:IE>
<HEAD>
<STYLE>
@media all {
   IE\:CLIENTCAPS {behavior:url(#default#clientCaps)}
}
</STYLE>

<SCRIPT>
function window.onload()
{
  sTempStr = "availHeight    = " + oClientCaps.availHeight    + "\n" +
             "availWidth     = " + oClientCaps.availWidth     + "\n" +
             "bufferDepth    = " + oClientCaps.bufferDepth    + "\n" +
             "colorDepth     = " + oClientCaps.colorDepth     + "\n" +
             "connectionType = " + oClientCaps.connectionType + "\n" +
             "cookieEnabled  = " + oClientCaps.cookieEnabled  + "\n" +
             "cpuClass       = " + oClientCaps.cpuClass       + "\n" +
             "height         = " + oClientCaps.height         + "\n" +
             "javaEnabled    = " + oClientCaps.javaEnabled    + "\n" +
             "platform       = " + oClientCaps.platform       + "\n" +
             "systemLanguage = " + oClientCaps.systemLanguage + "\n" +
             "userLanguage   = " + oClientCaps.userLanguage   + "\n" +
             "width          = " + oClientCaps.width          + "\n" ;

  oPre.innerText = sTempStr;
}
</SCRIPT>

</HEAD>
<BODY>
<H1>clientCaps Behavior Sample</H1>

<P>This example shows how to use the new <B>clientCaps</B>
behavior, introduced in Microsoft Internet Explorer 5, to obtain
client capabilities information. The following is a sampling of the
information that can be obtained:</P>

<IE:CLIENTCAPS ID="oClientCaps" />

<PRE id="oPre"></PRE>
</BODY>
</HTML>
This feature requires Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
clientCaps

See Also

client capabilities Internet Link


localTime Property

This document describes technologies available as an experimental implementation of HTML+TIME within Internet Explorer 5. While we encourage you to evaluate these features and to send us your feedback Internet Link, please note that these features are subject to change.

Retrieves a value indicating the current time along the local duration, as defined by the element's REPEAT or REPEATDUR attribute.

Syntax

HTML | N/A
Scripting | [ sTime = ] object.localTime

Possible Values

sTime String that specifies the current time on the element's local duration. The local duration is the amount of time from when the element begins until it stops, including playing in reverse and all repetitions.

The property is read-only with no default value.

Remarks

If the AUTOREVERSE attribute is set to true on an element, the localTime is effectively doubled. The localTime property also includes the value of the element's REPEAT or REPEATDUR attribute.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
time

See Also

html+time Internet Link, currTime


onOffBehavior Property

Retrieves an object indicating whether the specified Microsoft® DirectAnimation® behavior is running.

Syntax

Scripting [ oOn = ] object.onOffBehavior

Possible Values

oOn DirectAnimation Boolean (daboolean Internet Link Non-MSDN link) object that specifies one of the following values:
true | Behavior is running.
false | Behavior is not running.

The property is read-only with no default value.

Remarks

This property allows you to incorporate multimedia elements, such as 2-D and 3-D animated images and sounds, into an HTML page using the anim:DA element. The object this property is applied to must be an HTML object with a valid HTML+TIME timeline. Use this property with HTML+TIME timelines to control DirectAnimation content. This property is not part of the HTML+TIME specification.

Important To ensure that pages using this property display properly in future versions of Internet Explorer, complete the following steps:

  • Use "#time" instead of "#default#time" for the behavior declaration.
  • Include the time object in your page. The class identifier used to specify this object is 476C391C-3E0D-11D2-B948-00C04FA32195.
These actions are necessary only for pages that use HTML+TIME timelines to control DirectAnimation content.

Example

This example attaches a timeline specified with HTML+TIME to an image animated with DirectAnimation. The onOffBehavior property is used to display one image while the animation is running, and to display a different image while the animation is stopped.

Sample Code

<HTML>
<HEAD>
<TITLE>progressBehavior</TITLE>
<XML:NAMESPACE PREFIX="anim"/>
<STYLE>
.time       { behavior: url(#time); }
anim\:DA    { behavior: url(#default#anim); }
</STYLE>
<OBJECT ID="time" CLASSID="CLSID:476C391C-3E0D-11D2-B948-00C04FA32195">
</OBJECT>
</HEAD>

<BODY>
<P>Initially, an image of the sun is displayed before the DirectAnimation
behavior starts. Five seconds later a new image replaces the image of the sun.
The new image fades until it disappears after five seconds of animation. When
the animation stops, the original image of the sun reappears.</P>
<SPAN ID="spanImg" CLASS="time" t:TIMEACTION="visibility" t:BEGIN="5"
t:DUR="5">
</SPAN>
<DIV ALIGN="center">
    <anim:DA ID="da1" STYLE="width:504; height:126; z-index: -1;" />
</DIV>
<BR>
<BUTTON onclick="spanImg.beginElement();">Restart</BUTTON>

<SCRIPT LANGUAGE="JScript">
<!--
   // Assign a variable to the DA statics library
   m = da1.statics;
   // Create the DAImages
   img1 = m.ImportImage("/workshop/graphics/solarsys.gif");
   img2 = m.ImportImage("/workshop/graphics/sun.gif");
   // Display image 1 while the behavior is running, and
   // image 2 while it is stopped.
   img3 = m.Cond(spanImg.onOffBehavior, img1, img2)
   // Animate the opacity of the image from 100% to 0%, based on the
   // progress of the time behavior. Use (1 - progress) to get the
   // proper opacity.
   img4 = img3.OpacityAnim(m.Sub(m.DANumber(1),spanImg.progressBehavior));
   // Set the image of the DA Object to be the final image behavior
   da1.image = img4;
//-->
</SCRIPT>
</BODY>
</HTML>
This feature requires Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
time

See Also

multimedia extensions to html+time Internet Link, progressBehavior, timelineBehavior


platform Property

Retrieves the platform on which the browser is running.

Syntax

HTML | N/A
Scripting | [ sPlatform = ] oClientCaps.platform

Possible Values

sPlatform String that specifies one of the following values:
Win32 | Browser is running on Windows 32-bit platform.
Win16 | Browser is running on Windows 16-bit platform.
WinCE | Browser is running on Windows CE platform.

The property is read-only with no default value.

Example

This example displays all the properties available through the clientCaps behavior.

Sample Code

<HTML xmlns:IE>
<HEAD>
<STYLE>
@media all {
   IE\:CLIENTCAPS {behavior:url(#default#clientCaps)}
}
</STYLE>

<SCRIPT>
function window.onload()
{
  sTempStr = "availHeight    = " + oClientCaps.availHeight    + "\n" +
             "availWidth     = " + oClientCaps.availWidth     + "\n" +
             "bufferDepth    = " + oClientCaps.bufferDepth    + "\n" +
             "colorDepth     = " + oClientCaps.colorDepth     + "\n" +
             "connectionType = " + oClientCaps.connectionType + "\n" +
             "cookieEnabled  = " + oClientCaps.cookieEnabled  + "\n" +
             "cpuClass       = " + oClientCaps.cpuClass       + "\n" +
             "height         = " + oClientCaps.height         + "\n" +
             "javaEnabled    = " + oClientCaps.javaEnabled    + "\n" +
             "platform       = " + oClientCaps.platform       + "\n" +
             "systemLanguage = " + oClientCaps.systemLanguage + "\n" +
             "userLanguage   = " + oClientCaps.userLanguage   + "\n" +
             "width          = " + oClientCaps.width          + "\n" ;

  oPre.innerText = sTempStr;
}
</SCRIPT>

</HEAD>
<BODY>
<H1>clientCaps Behavior Sample</H1>

<P>This example shows how to use the new <B>clientCaps</B>
behavior, introduced in Microsoft Internet Explorer 5, to obtain
client capabilities information. The following is a sampling of the
information that can be obtained:</P>

<IE:CLIENTCAPS ID="oClientCaps" />

<PRE id="oPre"></PRE>
</BODY>
</HTML>
This feature requires Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
clientCaps

See Also

client capabilities Internet Link


PLAYER Attribute | player Property

This document describes technologies available as an experimental implementation of HTML+TIME within Internet Explorer 5. While we encourage you to evaluate these features and to send us your feedback Internet Link, please note that these features are subject to change.

Sets or retrieves the object used to render the media associated with this element.

Syntax

HTML | <ELEMENT STYLE="behavior:url(#default#time);" t:PLAYER = sID... >
Scripting | object.player [ = sID ]

Possible Values

sID String that specifies the class identifier of the object used to render the element's media. The format is "{XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX}" for registered Microsoft ActiveX controls.

The property is read/write with no default value. This property cannot be modified in script after the onload event fires on the document body.

Remarks

Only media playing objects that support HTML+TIME work with this property. To support HTML+TIME, a player must implement the itimemediaplayer Internet Link interface.

The prefix t is used to associate this attribute with an XML namespace.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
animation, audio, img, media, video

See Also

multimedia extensions to html+time Internet Link, playerObject


playerObject Property

This document describes technologies available as an experimental implementation of HTML+TIME within Internet Explorer 5. While we encourage you to evaluate these features and to send us your feedback Internet Link, please note that these features are subject to change.

Retrieves the object that plays media files.

Syntax

HTML | N/A
Scripting | [ oPlayer = ] object.playerObject

Possible Values

oPlayer Player object used for rendering the element's media.

The property is read-only with no default value.

Remarks

The PLAYER attribute specifies the object that plays media files.

This property provides access to all the properties, methods, and events available on the player object.

Example

This example plays a video clip with the Microsoft® Windows® Media Player control. The video clip begins playing five seconds after the page loads, and continues playing for 20 seconds. The playerObject is used to access the mute Internet Link Non-MSDN link property and aboutbox Internet Link Non-MSDN link method available on the Windows Media Player control.

Sample Code

<HTML>
<HEAD>
<TITLE>playerObject</TITLE>
<XML:NAMESPACE PREFIX="t"/>
<STYLE>
.time            { behavior: url(#default#time);}
</STYLE>
<SCRIPT>
function toggleVol() {
    if (cBox.checked == true) {
        mp.playerObject.mute = false;
    }
    else {
        mp.playerObject.mute = true;
    }
}
</SCRIPT>
</HEAD>
<BODY>
<SPAN STYLE="width:175; position:absolute; left:20; top:50;
    padding:5; z-index:-1; border:1pt solid red;">
    A video clip is played here 5 seconds after the page is loaded.
</SPAN>

<!-- Add clip with HTML+TIME video element and specify the GUID for
Windows Media Player control with the PLAYER attribute -->
<t:VIDEO ID="mp" CLASS="time" STYLE="width:200; height:200"
t:PLAYER="{22d6f312-b0f6-11d0-94ab-0080c74c7e95}"
t:SRC="/workshop/samples/author/behaviors/media/movie.avi" t:BEGIN="5"
t:DUR="20" />

<BR><BR>
<INPUT TYPE="BUTTON" VALUE="About Player"
    onclick="mp.playerObject.AboutBox();" >
<INPUT ID="cBox" TYPE=Checkbox CHECKED
    onpropertychange="toggleVol();">
      Volume On
</BODY>
</HTML>
This feature requires Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
animation, audio, img, media, video

See Also

multimedia extensions to html+time Internet Link, PLAYER


progressBehavior Property

Retrieves an object indicating the progress of the specified Microsoft® DirectAnimation® behavior.

Syntax

Scripting [ oProgress = ] object.progressBehavior

Possible Values

oProgress Object that specifies the DirectAnimation number (danumber Internet Link Non-MSDN link) used to indicate the progress of the behavior. The DANumber object contains a floating-point number, with a value between 0.0 and 1.0, that indicates how much of the behavior is complete.

The property is read-only with no default value.

Remarks

This property allows you to incorporate multimedia elements, such as 2-D and 3-D animated images and sounds, into an HTML page with the anim:DA element. The object this property is applied to must be an HTML object with a valid HTML+TIME timeline. Use this property with HTML+TIME timelines to control DirectAnimation content. This property is not part of the HTML+TIME specification.

Important To ensure that pages using this property display properly in future versions of Internet Explorer, complete the following steps:

  • Use "#time" instead of "#default#time" for the behavior declaration.
  • Include the time object in your page. The class identifier used to specify this object is 476C391C-3E0D-11D2-B948-00C04FA32195.
These actions are necessary only for pages that use HTML+TIME timelines to control DirectAnimation content.

Example

This example attaches a timeline specified with HTML+TIME to an image animated with DirectAnimation. The progressBehavior property is used to animate the opacity of the image.

Sample Code

<HTML>
<HEAD>
<TITLE>progressBehavior</TITLE>
<XML:NAMESPACE PREFIX="anim"/>
<STYLE>
.time       { behavior: url(#time); }
anim\:DA    { behavior: url(#default#anim); }
</STYLE>
<OBJECT ID="time" CLASSID="CLSID:476C391C-3E0D-11D2-B948-00C04FA32195">
</OBJECT>
</HEAD>

<BODY>
<P>In two seconds, the image will fades until it disappears after five
seconds of animation. This process repeats itself three times.</P>
<SPAN ID="spanImg" CLASS="time" t:TIMEACTION="visibility" t:BEGIN="2"
t:DUR="5" t:REPEAT="3">
</SPAN>
<DIV ALIGN="center">
    <anim:DA ID="da1" STYLE="width:504; height:126; z-index: -1;" />
</DIV>
<BR>
<BUTTON onclick="spanImg.beginElement();">Restart</BUTTON>

<SCRIPT LANGUAGE="JScript">
<!--
   // Assign a variable to the DA statics library
   m = da1.statics;
   // Create a DAImage
   img1 = m.ImportImage("/workshop/graphics/solarsys.gif");
   // Animate the opacity of the image from 100% to 0%, based
   // on the progress of the time behavior. Use (1 - progress)
   // to get the proper opacity.
   img2 = img1.OpacityAnim(m.Sub(m.DANumber(1),spanImg.progressBehavior));
   // Set the image do be displayed
   da1.image = img2;
//-->
</SCRIPT>
</BODY>
</HTML>
This feature requires Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
time

See Also

multimedia extensions to html+time Internet Link, onOffBehavior, timelineBehavior


REPEAT Attribute | repeat Property

This document describes technologies available as an experimental implementation of HTML+TIME within Internet Explorer 5. While we encourage you to evaluate these features and to send us your feedback Internet Link, please note that these features are subject to change.

Sets or retrieves the number of times an element's timeline repeats.

Syntax

HTML | <ELEMENT STYLE="behavior:url(#default#time);" t:REPEAT = vRepetitions... >
Scripting | object.repeat [ = vRepetitions ]

Possible Values

vRepetitions Variant that specifies one of the following values:
indefinite | Timeline repeats indefinitely.
repetitions | Floating-point number greater than 0 that specifies how many times the timeline repeats.

The property is read/write with a default value of 1. This property cannot be modified in script after the onload event fires on the document body.

Remarks

Use the DUR or END attribute to define each repeat iteration. The REPEAT attribute has no effect if the duration is not defined or is indefinite.

Do not use this property on the same element as the REPEATDUR attribute. Typically, REPEAT is set on elements that are time containers, such as the PAR or SEQ element. Elements containing the TIMELINE attribute are also time containers. If you set the REPEAT attribute on an element that is not a time container, it increases the element's duration by multiplying the duration by the repeat count. This causes the element to remain active on the timeline for the increased duration, but it doesn't change the element's appearance as it repeats the local timeline.

The prefix t is used to associate this attribute with an XML namespace.

Example

This example uses the REPEAT attribute to display a series of three different paragraphs over time.

Sample Code

<!DOCTYPE HTML PUBLIC "-//W3C//DTD W3 HTML//EN">
<HTML>
<HEAD>
<STYLE>
.time        	{ behavior: url(#default#time);}
</STYLE>
</HEAD>
<BODY BGCOLOR="white">
<P>Three paragraphs will appear for three seconds each, on
three-second intervals, and the entire process repeats
three times.<P>
<SPAN ID="parent" CLASS=time t:BEGIN="0" t:DUR="9" t:TIMELINE="par"
t:REPEAT="3" t:TIMEACTION="display">
    <SPAN ID="span1" CLASS=time STYLE="COLOR:Red;" t:BEGIN="0"
    t:DUR="3" t:TIMEACTION="visibility">
        <H3>Paragraph 1</H3>
        <P>This is paragraph number one.</P>
    </SPAN>
    <SPAN ID="span2" CLASS=time STYLE="COLOR:Blue;" t:BEGIN="3"
    t:DUR="3" t:TIMEACTION="visibility">
        <H3>Paragraph 2</H3>
        <P>This is paragraph number two.</P>
    </SPAN>
    <SPAN ID="span3" CLASS=time STYLE="COLOR:Green;" t:BEGIN="6"
    t:DUR="3" t:TIMEACTION="visibility">
        <H3>Paragraph 3</H3>
        <P>This is paragraph number three.</P>
    </SPAN>
</SPAN>
</BODY>
</HTML>
This feature requires Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
animation, audio, img, media, par, seq, time, video

See Also

html+time Internet Link


REPEATDUR Attribute | repeatDur Property

This document describes technologies available as an experimental implementation of HTML+TIME within Internet Explorer 5. While we encourage you to evaluate these features and to send us your feedback Internet Link, please note that these features are subject to change.

Sets or retrieves the number of seconds an element's timeline repeats.

Syntax

HTML | <ELEMENT STYLE="behavior:url(#default#time);" t:REPEATDUR = sTime... >
Scripting | object.repeatDur [ = sTime ]

Possible Values

sTime String that specifies one of the following values:
indefinite | Timeline repeats indefinitely.
totaldur | Total amount of time to repeat the element's timeline. The time must be specified as described in Time Formats.

The property is read/write with no default value. This property cannot be modified in script after the onload event fires on the document body.

Remarks

Use the DUR or END property to define each repeat iteration. The REPEATDUR property has no effect if the duration is not defined or is indefinite.

Do not use this property on the same element as the REPEAT attribute. Typically, REPEATDUR is set on elements that are time containers, such as the PAR or SEQ element. Elements containing the TIMELINE attribute are also time containers. If you set the REPEATDUR attribute on an element that is not a time container, it sets the element's duration to the REPEATDUR value. This property is useful for coordinating the timing of an element with a media element that has a fractional duration, such as an audio file that is 3.45 seconds.

The prefix t is used to associate this attribute with an XML namespace.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
animation, audio, img, media, par, seq, time, video

See Also

html+time Internet Link


sound Property

Sets or retrieves the Microsoft® DirectAnimation® sound (dasound Internet Link Non-MSDN link) played by the anim:DA element.

Syntax

Scripting object.sound [ = oSound ]

Possible Values

oSound DASound object that specifies the sound played by the anim:DA element.

The property is read/write with no default value.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
anim

See Also

multimedia extensions to html+time Internet Link, image, statics


SRC Attribute | src Property

This document describes technologies available as an experimental implementation of HTML+TIME within Internet Explorer 5. While we encourage you to evaluate these features and to send us your feedback Internet Link, please note that these features are subject to change.

Sets or retrieves the source URL of the media.

Syntax

HTML | <ELEMENT STYLE="behavior:url(#default#time);" t:SRC = sURL... >
Scripting | object.src [ = sURL ]

Possible Values

sURL String that specifies the URL of the media.

The property is read/write with no default value. This property cannot be modified in script after the onload event fires on the document body.

Remarks

The prefix t is used to associate this attribute with an XML namespace.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
animation, audio, img, media, video

See Also

html+time Internet Link


statics Property

Retrieves an object containing the dastatics Internet Link Non-MSDN link class library used with Microsoft® DirectAnimation®.

Syntax

Scripting [ oLibrary = ] object.statics

Possible Values

oLibrary Object that contains the DAStatics functions and properties available through DirectAnimation.

The property is read-only with no default value.

Remarks

The DAStatics library is associated with meter construction mode. For more information, see the meterlibrary Internet Link Non-MSDN link documentation.

You must assign a scripting variable to the value of this property to allow access to all DirectAnimation functions and properties, as shown in the following example:

<anim:DA ID="da1"/>
.
.
.
<SCRIPT>
m = da1.statics;
var x = m.property
</SCRIPT>

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
anim

See Also

multimedia extensions to html+time Internet Link, image, sound


SYNCBEHAVIOR Attribute | syncBehavior Property

This document describes technologies available as an experimental implementation of HTML+TIME within Internet Explorer 5. While we encourage you to evaluate these features and to send us your feedback Internet Link, please note that these features are subject to change.

Sets or retrieves the synchronization rules for the element's timeline.

Syntax

HTML | <ELEMENT STYLE="behavior:url(#default#time);" t:SYNCBEHAVIOR = sRule... >
Scripting | object.syncBehavior [ = sRule ]

Possible Values

sRule String that specifies one of the following values:
canSlip | Element does not have to be synchronized with the parent element's timeline. This allows an HTML page to have enough flexibility to handle network problems.
locked | Element must be synchronized with the parent element's timeline. For example, a parent element's timeline does not progress until the child element's media is ready to be played.

The property is read/write with a default value of canSlip. This property cannot be modified in script after the onload event fires on the document body.

Remarks

You must use this property with the CLOCKSOURCE attribute to determine the scope of which elements to synchronize. If a media file isn't ready when the timeline begins, the canSlip value enables the parent timeline to continue without interruption. The timeline on the element associated with the media begins as soon as the file loads.

If you set the SYNCBEHAVIOR attribute to locked, the parent timeline must pause and wait for the element to catch up. If the parent element's timeline is also locked, the scope of the synchronization behavior is extended to include all the time children of the parent's parent element. If all timelines are locked, the entire document pauses when an element cannot maintain its synchronization.

The prefix t is used to associate this attribute with an XML namespace.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
animation, audio, img, media, par, seq, time, video

See Also

html+time Internet Link, syncTolerance


syncTolerance Property

This document describes technologies available as an experimental implementation of HTML+TIME within Internet Explorer 5. While we encourage you to evaluate these features and to send us your feedback Internet Link, please note that these features are subject to change.

Retrieves the time variance allowed on a timeline with locked synchronization.

Syntax

HTML | N/A
Scripting | [ sTime= ] object.syncTolerance

Possible Values

sTime String that specifies the amount of time variance, in seconds, allowed between synchronized elements.

The property is read-only with a default value of .2 seconds.

Remarks

This property is valid only for time containers with locked timelines, as defined using the SYNCBEHAVIOR and CLOCKSOURCE attributes. Once the synchronization of locked elements is off by more than the syncTolerance value, the elements resynchronize and the onresync event fires.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
animation, audio, img, media, par, seq, time, video

See Also

html+time Internet Link


systemLanguage Property

Retrieves the default language that the system is running.

Syntax

HTML | N/A
Scripting | [ sLanguage = ] oClientCaps.systemLanguage

Possible Values

sLanguage String that specifies any of the values described in Language Codes.

The property is read-only with a system-specific default value.

Example

This example displays all the properties available through the clientCaps behavior.

Sample Code

<HTML xmlns:IE>
<HEAD>
<STYLE>
@media all {
   IE\:CLIENTCAPS {behavior:url(#default#clientCaps)}
}
</STYLE>

<SCRIPT>
function window.onload()
{
  sTempStr = "availHeight    = " + oClientCaps.availHeight    + "\n" +
             "availWidth     = " + oClientCaps.availWidth     + "\n" +
             "bufferDepth    = " + oClientCaps.bufferDepth    + "\n" +
             "colorDepth     = " + oClientCaps.colorDepth     + "\n" +
             "connectionType = " + oClientCaps.connectionType + "\n" +
             "cookieEnabled  = " + oClientCaps.cookieEnabled  + "\n" +
             "cpuClass       = " + oClientCaps.cpuClass       + "\n" +
             "height         = " + oClientCaps.height         + "\n" +
             "javaEnabled    = " + oClientCaps.javaEnabled    + "\n" +
             "platform       = " + oClientCaps.platform       + "\n" +
             "systemLanguage = " + oClientCaps.systemLanguage + "\n" +
             "userLanguage   = " + oClientCaps.userLanguage   + "\n" +
             "width          = " + oClientCaps.width          + "\n" ;

  oPre.innerText = sTempStr;
}
</SCRIPT>

</HEAD>
<BODY>
<H1>clientCaps Behavior Sample</H1>

<P>This example shows how to use the new <B>clientCaps</B>
behavior, introduced in Microsoft Internet Explorer 5, to obtain
client capabilities information. The following is a sampling of the
information that can be obtained:</P>

<IE:CLIENTCAPS ID="oClientCaps" />

<PRE id="oPre"></PRE>
</BODY>
</HTML>
This feature requires Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
clientCaps

See Also

client capabilities Internet Link


TARGET Attribute | target Property

Sets or retrieves the name of a window or frame that is the target for navigation.

Syntax

HTML | <A TARGET = [ sTarget ]... >
Scripting | object.target [ = sTarget ]

Possible Values

sTarget String that specifies one or more of the following values:
name | Name of the frame or window.
_self | Linked document loads into the same window as the link.
_top | Linked document loads into the topmost window.

The property is read/write, has no default value, and is case insensitive.

Remarks

The TARGET attribute is exposed to objects participating in the anchor behavior.

Example

This example uses the TARGET attribute and the anchor behavior to specify the name of a window or frame.

Sample Code

<STYLE>
   SPAN {behavior:url(#default#AnchorClick);}
</STYLE>

<!--
     The href points to folder.htm for earlier browser versions,
     the FOLDER attribute points to the local root.
 -->

<SPAN TARGET="_top" "FOLDER = "/" >
Open Folder
</SPAN>

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
anchor


Time Formats

The following table lists the possible formats for expressing time values.

Format Description Examples Supported by
h:min:s.f h = hours
min = minutes
s = seconds
f = fraction of a second 		"03:45:10" = 3 hours, 45 minutes, 10 seconds
"10:35" = 10 minutes, 35 seconds
"10.5" = 10 and a half seconds
"1:00.375" = 1 minute, 0.375 seconds
begin, clipBegin, clipEnd, dur, end, repeatDur, syncTolerance
number[h | min | s | ms] h = hours
min = minutes
s = seconds (default)
ms = milliseconds 		"3h" = 3 hours
"20min" = 20 minutes
"3.5s" or "3.5" = 3 and a half seconds
"25ms" = 25 milliseconds 		begin, dur, end, repeatDur, syncTolerance

Note that signed clock values (+ or -) are also legal. All clock values are assumed to be positive (+) by default.


TIMEACTION Attribute | timeAction Property

This document describes technologies available as an experimental implementation of HTML+TIME within Internet Explorer 5. While we encourage you to evaluate these features and to send us your feedback Internet Link, please note that these features are subject to change.

Sets or retrieves what action is taken on the element while the timeline is active.

Syntax

HTML | <ELEMENT STYLE="behavior:url(#default#time);" t:TIMEACTION = sAction... >
Scripting | object.timeAction [ = sAction ]

Possible Values

sAction String that specifies one of the following values:
display | Element displays when the timeline is active, and disappears when the timeline is inactive. As the element changes between active and inactive states, the surrounding HTML elements dynamically reflow within the page.
none | Element takes no action. This is useful for time grouping, when the parent element should not do anything in response to timing.
onOff | Element's on property toggles between true and false over time. If no on property exists for the element, nothing happens.
style | Element displays with the inline style when the timeline is active, and displays without the inline style when the timeline is inactive. If no inline style is defined for this element, nothing happens.
visibility | Element's style.visibility property displays the element when the timeline is active, and makes the element disappear when the timeline is inactive. The surrounding HTML elements do not reflow as a result of the local element changing between active and inactive states.

The property is read/write with a default value of visibility. This property cannot be modified in script after the onload event fires on the document body.

Remarks

When this property is used on the HTML BODY element, the default value is none.

The prefix t is used to associate this attribute with an XML namespace.

Example

This example shows text with different timeAction values.

Sample Code

<!DOCTYPE HTML PUBLIC "-//W3C//DTD W3 HTML//EN">
<HTML>
<HEAD>
<STYLE>
.time        	{ behavior: url(#default#time);}
</STYLE>
</HEAD>
<BODY BGCOLOR="white">
<SPAN CLASS=time STYLE="Color:Red; Font-Weight:bold;" t:BEGIN="0"
t:DUR="5" t:TIMEACTION="style">
    <H3>Paragraph 1</H3>
    <P>This is paragraph number one. It is displayed in red, bold
    typeface for five seconds. After five seconds, the inline style
    is no longer applied. The timeAction property is set to
    "style."</P>
</SPAN>
<SPAN CLASS=time STYLE="COLOR:Blue;" t:BEGIN="0" t:DUR="10"
t:TIMEACTION="display">
    <H3>Paragraph 2</H3>
    <P>This is paragraph number two. It displays for ten
    seconds. The timeAction property is set to "display."</P>
</SPAN>
<SPAN>
    <H3>Paragraph 3</H3>
    <P>This is paragraph number three. When the second
    paragraph disappears, this paragraph moves into its place because
    the document reflows.</P>
</SPAN>
</BODY>
</HTML>
This feature requires Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
animation, audio, img, media, par, seq, time, video

See Also

html+time Internet Link


TIMELINE Attribute | timeline Property

This document describes technologies available as an experimental implementation of HTML+TIME within Internet Explorer 5. While we encourage you to evaluate these features and to send us your feedback Internet Link, please note that these features are subject to change.

Sets or retrieves the type of timeline associated with an HTML element.

Syntax

HTML | <ELEMENT STYLE="behavior:url(#default#time);" t:TIMELINE = sType... >
Scripting | object.timeline [ = sType ]

Possible Values

sType String that specifies one of the following values:
none | Current element does not define a local timeline and has no affect on its contained time descendants.
par | New timeline container element in a document. All HTML descendants of this element have independent, or parallel, timing.
seq | Sequence timeline container element in a document. All HTML descendants of this element are timed as though they have a BEGINAFTER attribute set to the previous element.

The property is read/write with a default value of none. This property cannot be modified in script after the onload event fires on the document body.

Remarks

The prefix t is used to associate this attribute with an XML namespace.

Example

This example uses the TIMELINE attribute to create a parallel time container.

Sample Code

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML>
<HEAD>
<STYLE>
.time        	{ behavior: url(#default#time);}
</STYLE>
</HEAD>
<BODY BGCOLOR="white">
<SPAN ID="parent" CLASS="time" t:TIMELINE="par" t:BEGIN="0"
    t:DUR="10">
    <P>This paragraph inherits the "parallel" timeline set on its
    parent <SPAN> element. It will be displayed for ten
    seconds. <BR><BR>
    </P>
    <P CLASS="time" t:BEGIN="5">This paragraph also inherits the
    "parallel" timeline set on its parent <SPAN> element, but it
    can have independent timing attributes as well.<BR><BR>
    </P>
</SPAN>
<P>This paragraph is not a child of the <SPAN> element
containing a timeline.</P>
</BODY>
</HTML>
This feature requires Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
time

See Also

html+time Internet Link, PAR, SEQ


timelineBehavior Property

Retrieves a Microsoft® DirectAnimation® number (danumber Internet Link Non-MSDN link) object containing the timeline behavior associated with the specified object.

Syntax

Scripting [ oBehavior = ] object.timelineBehavior

Possible Values

oBehavior Object that specifies the DANumber containing the behavior associated with the specified object.

The property is read-only with no default value.

Remarks

Typically, this property is used with the substitutetime Internet Link Non-MSDN link function to replace the timeline of the DirectAnimation behavior with the specified HTML+TIME timeline.

This property allows you to incorporate multimedia elements, such as 2-D and 3-D animated images and sounds, into an HTML page with the anim:DA element. Use this property with HTML+TIME timelines to control DirectAnimation content. This property is not part of the HTML+TIME specification.

Important To ensure that pages using this property display properly in future versions of Internet Explorer, complete the following steps:

  • Use "#time" instead of "#default#time" for the behavior declaration.
  • Include the time object in your page. The class identifier used to specify this object is 476C391C-3E0D-11D2-B948-00C04FA32195.
These actions are necessary only for pages that use HTML+TIME timelines to control DirectAnimation content.

Example

This example uses the timelineBehavior property to apply a timeline, created with HTML+TIME, to a simple animation that rotates an image.

Sample Code

<HTML>
<HEAD>
<TITLE>progressBehavior</TITLE>
<XML:NAMESPACE PREFIX="anim"/>
<STYLE>
.time       { behavior: url(#time); }
anim\:DA    { behavior: url(#default#anim); }
</STYLE>
<OBJECT ID="time" CLASSID="CLSID:476C391C-3E0D-11D2-B948-00C04FA32195">
</OBJECT>
</HEAD>

<BODY>
<P>The image begins rotating three seconds after the page loads, and
continues rotating for five seconds.</P>
<SPAN ID="spanImg" CLASS="time" t:TIMEACTION="visibility" t:BEGIN="3"
t:DUR="5">
</SPAN>
<DIV ALIGN="center">
    <anim:DA ID="da1" STYLE="width:200; height:200; z-index: -1;" />
</DIV>
<BR>
<SCRIPT LANGUAGE="JScript">
<!--
   // Assign a variable to the DA statics library
   m = da1.statics;
   // Create the DAImage
   img1 = m.ImportImage("/workshop/graphics/sun.gif");
   // Rotate the image at a rate of 60 degrees/second
   img2 = img1.Transform(m.Rotate2RateDegrees(60));
   // Apply the HTML+TIME timeline to the DAImage
   img3 = img2.SubstituteTime(spanImg.timelineBehavior);
   da1.image = img3;
//-->
</SCRIPT>
</BODY>
</HTML>
This feature requires Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
time

See Also

multimedia extensions to html+time Internet Link, onOffBehavior, progressBehavior


TIMESTARTRULE Attribute | timeStartRule Property

This document describes technologies available as an experimental implementation of HTML+TIME within Internet Explorer 5. While we encourage you to evaluate these features and to send us your feedback Internet Link, please note that these features are subject to change.

Sets or retrieves the point at which the document's timeline begins.

Syntax

HTML | <BODY STYLE="behavior:url(#default#time);" t:TIMESTARTRULE = sAction... >
Scripting | body.timeStartRule [ = sAction ]

Possible Values

sAction String that specifies the following value:
onDocLoad Starts the document timeline after the document is fully loaded, but without waiting for any document-associated media. This value ties the start of the document timeline to the window.onload event.

The property is read/write with a default value of onDocLoad. This property cannot be modified in script after the onload event fires on the document body.

Remarks

Only the HTML BODY element supports this property.

Values other than onDocLoad might be available in future versions of Internet Explorer.

The prefix t is used to associate this attribute with an XML namespace.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
time

See Also

html+time Internet Link


TYPE Attribute | type Property

This document describes technologies available as an experimental implementation of HTML+TIME within Internet Explorer 5. While we encourage you to evaluate these features and to send us your feedback Internet Link, please note that these features are subject to change.

Sets or retrieves the MIME type of the media object referenced by the SRC attribute.

Syntax

HTML | <ELEMENT STYLE="behavior:url(#default#time);" t:TYPE = sType... >
Scripting | object.type [ = sType ]

Possible Values

sType String that specifies the MIME type of the media associated with the element.

The property is read/write with no default value. This property cannot be modified in script after the onload event fires on the document body.

Remarks

By default, the server should send the MIME type to the user agent. If that mechanism fails, the MIME type is obtained from this property.

The prefix t is used to associate this attribute with an XML namespace.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
animation, audio, img, media, video

See Also

html+time Internet Link


userLanguage Property

Retrieves the current user language.

Syntax

HTML | N/A
Scripting | [ sLanguage = ] oClientCaps.userLanguage

Possible Values

sLanguage String that specifies any of the possible return values listed in Language Codes.

The property is read-only with a browser-specific default value.

Example

This example displays all the properties available through the clientCaps behavior.

Sample Code

<HTML xmlns:IE>
<HTML xmlns:IE>
<HEAD>
<STYLE>
@media all {
   IE\:CLIENTCAPS {behavior:url(#default#clientCaps)}
}
</STYLE>

<SCRIPT>
function window.onload()
{
  sTempStr = "availHeight    = " + oClientCaps.availHeight    + "\n" +
             "availWidth     = " + oClientCaps.availWidth     + "\n" +
             "bufferDepth    = " + oClientCaps.bufferDepth    + "\n" +
             "colorDepth     = " + oClientCaps.colorDepth     + "\n" +
             "connectionType = " + oClientCaps.connectionType + "\n" +
             "cookieEnabled  = " + oClientCaps.cookieEnabled  + "\n" +
             "cpuClass       = " + oClientCaps.cpuClass       + "\n" +
             "height         = " + oClientCaps.height         + "\n" +
             "javaEnabled    = " + oClientCaps.javaEnabled    + "\n" +
             "platform       = " + oClientCaps.platform       + "\n" +
             "systemLanguage = " + oClientCaps.systemLanguage + "\n" +
             "userLanguage   = " + oClientCaps.userLanguage   + "\n" +
             "width          = " + oClientCaps.width          + "\n" ;

  oPre.innerText = sTempStr;
}
</SCRIPT>

</HEAD>
<BODY>
<H1>clientCaps Behavior Sample</H1>

<P>This example shows how to use the new <B>clientCaps</B>
behavior, introduced in Microsoft Internet Explorer 5, to obtain
client capabilities information. The following is a sampling of the
information that can be obtained:</P>

<IE:CLIENTCAPS ID="oClientCaps" />

<PRE id="oPre"></PRE>
</BODY>
</HTML>
This feature requires Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
clientCaps

See Also

client capabilities Internet Link


width Property

Retrieves the horizontal resolution of the screen.

Syntax

HTML | N/A
Scripting | [ iWidth = ] oClientCaps.width

Possible Values

iWidth Integer that specifies the width of the screen, in pixels.

The property is read-only with no default value.

Example

This example displays all the properties available through the clientCaps behavior.

Sample Code

<HTML xmlns:IE>
<HEAD>
<STYLE>
@media all {
   IE\:CLIENTCAPS {behavior:url(#default#clientCaps)}
}
</STYLE>

<SCRIPT>
function window.onload()
{
  sTempStr = "availHeight    = " + oClientCaps.availHeight    + "\n" +
             "availWidth     = " + oClientCaps.availWidth     + "\n" +
             "bufferDepth    = " + oClientCaps.bufferDepth    + "\n" +
             "colorDepth     = " + oClientCaps.colorDepth     + "\n" +
             "connectionType = " + oClientCaps.connectionType + "\n" +
             "cookieEnabled  = " + oClientCaps.cookieEnabled  + "\n" +
             "cpuClass       = " + oClientCaps.cpuClass       + "\n" +
             "height         = " + oClientCaps.height         + "\n" +
             "javaEnabled    = " + oClientCaps.javaEnabled    + "\n" +
             "platform       = " + oClientCaps.platform       + "\n" +
             "systemLanguage = " + oClientCaps.systemLanguage + "\n" +
             "userLanguage   = " + oClientCaps.userLanguage   + "\n" +
             "width          = " + oClientCaps.width          + "\n" ;

  oPre.innerText = sTempStr;
}
</SCRIPT>

</HEAD>
<BODY>
<H1>clientCaps Behavior Sample</H1>

<P>This example shows how to use the new <B>clientCaps</B>
behavior, introduced in Microsoft Internet Explorer 5, to obtain
client capabilities information. The following is a sampling of the
information that can be obtained:</P>

<IE:CLIENTCAPS ID="oClientCaps" />

<PRE id="oPre"></PRE>
</BODY>
</HTML>
This feature requires Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
clientCaps

See Also

client capabilities Internet Link


XMLDocument Property

Retrieves a reference to the XML Document Object Model (DOM) exposed by the object.

Syntax

HTML | N/A
Scripting | [ oXMLObject = ] oObject.XMLDocument

Possible Values

oXMLObject Object that specifies the XML DOM exposed by the object.

The property is read-only with no default value.

Remarks

For a complete description of the XML DOM exposed by the XMLDocument property, see the xml dom reference Internet Link.

When persistence is applied to an element, a root node is automatically created within the exposed XML document. This node is accessed through the documentelement Internet Link property. You can use setattribute Internet Link to add attributes to the root node, and you can use appendchild Internet Link to add child nodes to the root node.

The XMLDocument property is available to the saveFavorite and saveHistory behaviors only when the onload and onsave events are fired.

Example

This example shows how a persistent object can access the XML DOM through the XMLDocument property. The setAttribute method is exposed through the XML DOM. The setAttribute method is not the same as the DHTML and persistence methods of the same name.

Sample Code

The setAttribute method is exposed through the XML DOM. It is a different method than the DHTML and persistence methods of the same name.

<HTML>
<HEAD>
<META NAME="save" CONTENT="history">
<STYLE>
   .saveHistory {behavior:url(#default#savehistory);}
</STYLE>
<SCRIPT>
function fnSave(){
   var oXMLDoc=oPersistObject.XMLDocument;
   var oNode=oXMLDoc.createNode(1,"Trunk", "");
   oNode.text="A tree trunk.";
   oNode.setAttribute("desc",oPersistObject.innerHTML);
   oXMLDoc.documentElement.insertBefore(oNode, null);
}
function fnLoad(){
   var oXMLDoc=oPersistObject.XMLDocument;
   var oItem=oXMLDoc.documentElement.childNodes.item(1);
   oPersistObject.innerHTML=oItem.getAttribute("desc");
}
function fnInsTxt(){
   oPersistObject.innerHTML="I am an Ash.  I am an Ash sapling."
      + "Well, I am the trunk of an Ash sapling.";
}
</SCRIPT>
</HEAD>
<BODY>
<INPUT TYPE="button" VALUE="Insert Text" ONCLICK="fnInsTxt()">
<A HREF="/workshop/samples/author/persistence/saveTarget_1.htm">
   Leave The Page
</A>
<DIV
   ID="oPersistObject"
   CLASS="saveHistory"
   ONSAVE="fnSave()"
   ONLOAD="fnLoad()">
</DIV>
</BODY>
</HTML>
This feature requires Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
saveFavorite, saveHistory, userData

See Also

persistence overview Internet Link


DHTML References

The reference material accessed through the following links will help you to create compelling Web pages.

Dynamic HTML Object Model References

  • Objects
  • Properties
  • Methods
  • Events
  • Collections

HTML References

  • Elements
  • Character Sets

CSS References

  • CSS Attributes
  • CSS Length Units

Additional References

  • Color Table
  • Command Identifiers
  • Default Behaviors Reference
  • Language Codes
  • Tips and Tricks
  • Visual Filters and Transitions Reference


ISO Latin-1 Character Set

The following table contains the complete ISO Latin-1 character set, corresponding to the first 256 entries of the Unicode character repertoire in Microsoft® Internet Explorer version 4.0 and later. The table provides each character, its decimal code, its named entity reference for HTML, and also a brief description.

Character | Decimal code | Named entity | Description
--- | &#00; | --- | Unused
--- | &#01; | --- | Unused
--- | &#02; | --- | Unused
--- | &#03; | --- | Unused
--- | &#04; | --- | Unused
--- | &#05; | --- | Unused
--- | &#06; | --- | Unused
--- | &#07; | --- | Unused
--- | &#08; | --- | Unused
--- | &#09; | --- | Horizontal tab
--- | &#10; | --- | Line feed
--- | &#11; | --- | Unused
--- | &#12; | --- | Unused
--- | &#13; | --- | Carriage Return
--- | &#14; | --- | Unused
--- | &#15; | --- | Unused
--- | &#16; | --- | Unused
--- | &#17; | --- | Unused
--- | &#18; | --- | Unused
--- | &#19; | --- | Unused
--- | &#20; | --- | Unused
--- | &#21; | --- | Unused
--- | &#22; | --- | Unused
--- | &#23; | --- | Unused
--- | &#24; | --- | Unused
--- | &#25; | --- | Unused
--- | &#26; | --- | Unused
--- | &#27; | --- | Unused
--- | &#28; | --- | Unused
--- | &#29; | --- | Unused
--- | &#30; | --- | Unused
--- | &#31; | --- | Unused
 | &#32; | --- | Space
! | &#33; | --- | Exclamation mark
" | &#34; | &quot; | Quotation mark
# | &#35; | --- | Number sign
$ | &#36; | --- | Dollar sign
% | &#37; | --- | Percent sign
& | &#38; | &amp; | Ampersand
' | &#39; | --- | Apostrophe
( | &#40; | --- | Left parenthesis
) | &#41; | --- | Right parenthesis
* | &#42; | --- | Asterisk
+ | &#43; | --- | Plus sign
, | &#44; | --- | Comma
- | &#45; | --- | Hyphen
. | &#46; | --- | Period (fullstop)
/ | &#47; | --- | Solidus (slash)
0 | &#48; | --- | Digit 0
1 | &#49; | --- | Digit 1
2 | &#50; | --- | Digit 2
3 | &#51; | --- | Digit 3
4 | &#52; | --- | Digit 4
5 | &#53; | --- | Digit 5
6 | &#54; | --- | Digit 6
7 | &#55; | --- | Digit 7
8 | &#56; | --- | Digit 8
9 | &#57; | --- | Digit 9
: | &#58; | --- | Colon
; | &#59; | --- | Semicolon
< | &#60; | &lt; | Less than
= | &#61; | --- | Equals sign
> | &#62; | &gt; | Greater than
? | &#63; | --- | Question mark
@ | &#64; | --- | Commercial at
A | &#65; | --- | Capital A
B | &#66; | --- | Capital B
C | &#67; | --- | Capital C
D | &#68; | --- | Capital D
E | &#69; | --- | Capital E
F | &#70; | --- | Capital F
G | &#71; | --- | Capital G
H | &#72; | --- | Capital H
I | &#73; | --- | Capital I
J | &#74; | --- | Capital J
K | &#75; | --- | Capital K
L | &#76; | --- | Capital L
M | &#77; | --- | Capital M
N | &#78; | --- | Capital N
O | &#79; | --- | Capital O
P | &#80; | --- | Capital P
Q | &#81; | --- | Capital Q
R | &#82; | --- | Capital R
S | &#83; | --- | Capital S
T | &#84; | --- | Capital T
U | &#85; | --- | Capital U
V | &#86; | --- | Capital V
W | &#87; | --- | Capital W
X | &#88; | --- | Capital X
Y | &#89; | --- | Capital Y
Z | &#90; | --- | Capital Z
[ | &#91; | --- | Left square bracket
\ | &#92; | --- | Reverse solidus (backslash)
] | &#93; | --- | Right square bracket
^ | &#94; | --- | Caret
_ | &#95; | --- | Horizontal bar (underscore)
` | &#96; | --- | Acute accent
a | &#97; | --- | Small a
b | &#98; | --- | Small b
c | &#99; | --- | Small c
d | &#100; | --- | Small d
e | &#101; | --- | Small e
f | &#102; | --- | Small f
g | &#103; | --- | Small g
h | &#104; | --- | Small h
i | &#105; | --- | Small i
j | &#106; | --- | Small j
k | &#107; | --- | Small k
l | &#108; | --- | Small l
m | &#109; | --- | Small m
n | &#110; | --- | Small n
o | &#111; | --- | Small o
p | &#112; | --- | Small p
q | &#113; | --- | Small q
r | &#114; | --- | Small r
s | &#115; | --- | Small s
t | &#116; | --- | Small t
u | &#117; | --- | Small u
v | &#118; | --- | Small v
w | &#119; | --- | Small w
x | &#120; | --- | Small x
y | &#121; | --- | Small y
z | &#122; | --- | Small z
{ | &#123; | --- | Left curly brace
| | &#124; | --- | Vertical bar
} | &#125; | --- | Right curly brace
~ | &#126; | --- | Tilde
--- | &#127; | --- | Unused
 | &#160; | &nbsp; | Nonbreaking space
¡ | &#161; | &iexcl; | Inverted exclamation
¢ | &#162; | &cent; | Cent sign
£ | &#163; | &pound; | Pound sterling
¤ | &#164; | &curren; | General currency sign
¥ | &#165; | &yen; | Yen sign
¦ | &#166; | &brvbar; or &brkbar; | Broken vertical bar
§ | &#167; | &sect; | Section sign
¨ | &#168; | &uml; or &die; | Diæresis / Umlaut
© | &#169; | &copy; | Copyright
ª | &#170; | &ordf; | Feminine ordinal
« | &#171; | &laquo; | Left angle quote, guillemot left
¬ | &#172; | &not | Not sign
 | &#173; | &shy; | Soft hyphen
® | &#174; | &reg; | Registered trademark
¯ | &#175; | &macr; or &hibar; | Macron accent
° | &#176; | &deg; | Degree sign
± | &#177; | &plusmn; | Plus or minus
² | &#178; | &sup2; | Superscript two
³ | &#179; | &sup3; | Superscript three
´ | &#180; | &acute; | Acute accent
µ | &#181; | &micro; | Micro sign
¶ | &#182; | &para; | Paragraph sign
· | &#183; | &middot; | Middle dot
¸ | &#184; | &cedil; | Cedilla
¹ | &#185; | &sup1; | Superscript one
º | &#186; | &ordm; | Masculine ordinal
» | &#187; | &raquo; | Right angle quote, guillemot right
¼ | &#188; | &frac14; | Fraction one-fourth
½ | &#189; | &frac12; | Fraction one-half
¾ | &#190; | &frac34; | Fraction three-fourths
¿ | &#191; | &iquest; | Inverted question mark
À | &#192; | &Agrave; | Capital A, grave accent
Á | &#193; | &Aacute; | Capital A, acute accent
Â | &#194; | &Acirc; | Capital A, circumflex
Ã | &#195; | &Atilde; | Capital A, tilde
Ä | &#196; | &Auml; | Capital A, diæresis / umlaut
Å | &#197; | &Aring; | Capital A, ring
Æ | &#198; | &AElig; | Capital AE ligature
Ç | &#199; | &Ccedil; | Capital C, cedilla
È | &#200; | &Egrave; | Capital E, grave accent
É | &#201; | &Eacute; | Capital E, acute accent
Ê | &#202; | &Ecirc; | Capital E, circumflex
Ë | &#203; | &Euml; | Capital E, diæresis / umlaut
Ì | &#204; | &Igrave; | Capital I, grave accent
Í | &#205; | &Iacute; | Capital I, acute accent
Î | &#206; | &Icirc; | Capital I, circumflex
Ï | &#207; | &Iuml; | Capital I, diæresis / umlaut
Ð | &#208; | &ETH; | Capital Eth, Icelandic
Ñ | &#209; | &Ntilde; | Capital N, tilde
Ò | &#210; | &Ograve; | Capital O, grave accent
Ó | &#211; | &Oacute; | Capital O, acute accent
Ô | &#212; | &Ocirc; | Capital O, circumflex
Õ | &#213; | &Otilde; | Capital O, tilde
Ö | &#214; | &Ouml; | Capital O, diæresis / umlaut
× | &#215; | &times; | Multiply sign
Ø | &#216; | &Oslash; | Capital O, slash
Ù | &#217; | &Ugrave; | Capital U, grave accent
Ú | &#218; | &Uacute; | Capital U, acute accent
Û | &#219; | &Ucirc; | Capital U, circumflex
Ü | &#220; | &Uuml; | Capital U, diæresis / umlaut
Ý | &#221; | &Yacute; | Capital Y, acute accent
Þ | &#222; | &THORN; | Capital Thorn, Icelandic
ß | &#223; | &szlig; | Small sharp s, German sz
à | &#224; | &agrave; | Small a, grave accent
á | &#225; | &aacute; | Small a, acute accent
â | &#226; | &acirc; | Small a, circumflex
ã | &#227; | &atilde; | Small a, tilde
ä | &#228; | &auml; | Small a, diæresis / umlaut
å | &#229; | &aring; | Small a, ring
æ | &#230; | &aelig; | Small ae ligature
ç | &#231; | &ccedil; | Small c, cedilla
è | &#232; | &egrave; | Small e, grave accent
é | &#233; | &eacute; | Small e, acute accent
ê | &#234; | &ecirc; | Small e, circumflex
ë | &#235; | &euml; | Small e, diæresis / umlaut
ì | &#236; | &igrave; | Small i, grave accent
í | &#237; | &iacute; | Small i, acute accent
î | &#238; | &icirc; | Small i, circumflex
ï | &#239; | &iuml; | Small i, diæresis / umlaut
ð | &#240; | &eth; | Small eth, Icelandic
ñ | &#241; | &ntilde; | Small n, tilde
ò | &#242; | &ograve; | Small o, grave accent
ó | &#243; | &oacute; | Small o, acute accent
ô | &#244; | &ocirc; | Small o, circumflex
õ | &#245; | &otilde; | Small o, tilde
ö | &#246; | &ouml; | Small o, diæresis / umlaut
÷ | &#247; | &divide; | Division sign
ø | &#248; | &oslash; | Small o, slash
ù | &#249; | &ugrave; | Small u, grave accent
ú | &#250; | &uacute; | Small u, acute accent
û | &#251; | &ucirc; | Small u, circumflex
ü | &#252; | &uuml; | Small u, diæresis / umlaut
ý | &#253; | &yacute; | Small y, acute accent
þ | &#254; | &thorn; | Small thorn, Icelandic
ÿ | &#255; | &yuml; | Small y, diæresis / umlaut


Additional Named Entities for HTML

The following table contains additional named entities, their numeric character references, and a description of each. With the exception of the left and right-pointing brackets (&#9001; and &#9002;), the entities on this page are rendered using Lucida sans Unicode.

Character | Named entity | Numeric character reference | Description
Latin Extended-B
ƒ | &fnof; | &#402; | Latin small f with hook, =function, =florin, U0192 ISOtech
Greek
Α | &Alpha; | &#913; | Greek capital letter alpha, U0391
Β | &Beta; | &#914; | Greek capital letter beta, U0392
Γ | &Gamma; | &#915; | Greek capital letter gamma, U0393 ISOgrk3
Δ | &Delta; | &#916; | Greek capital letter delta, U0394 ISOgrk3
Ε | &Epsilon; | &#917; | Greek capital letter epsilon, U0395
Ζ | &Zeta; | &#918; | Greek capital letter zeta, U0396
Η | &Eta; | &#919; | Greek capital letter eta, U0397
Θ | &Theta; | &#920; | Greek capital letter theta, U0398 ISOgrk3
Ι | &Iota; | &#921; | Greek capital letter iota, U0399
Κ | &Kappa; | &#922; | Greek capital letter kappa, U039A
Λ | &Lambda; | &#923; | Greek capital letter lambda, U039B ISOgrk3
Μ | &Mu; | &#924; | Greek capital letter mu, U039C
Ν | &Nu; | &#925; | Greek capital letter nu, U039D
Ξ | &Xi; | &#926; | Greek capital letter xi, U039E ISOgrk3
Ο | &Omicron; | &#927; | Greek capital letter omicron, U039F
Π | &Pi; | &#928; | Greek capital letter pi, U03A0 ISOgrk3
Ρ | &Rho; | &#929; | Greek capital letter rho, U03A1
Σ | &Sigma; | &#931; | Greek capital letter sigma, U03A3 ISOgrk3
Τ | &Tau; | &#932; | Greek capital letter tau, U03A4
Υ | &Upsilon; | &#933; | Greek capital letter upsilon, U03A5 ISOgrk3
Φ | &Phi; | &#934; | Greek capital letter phi, U03A6 ISOgrk3
Χ | &Chi; | &#935; | Greek capital letter chi, U03A7
Ψ | &Psi; | &#936; | Greek capital letter psi, U03A8 ISOgrk3
Ω | &Omega; | &#937; | Greek capital letter omega, U03A9 ISOgrk3
α | &alpha; | &#945; | Greek small letter alpha, U03B1 ISOgrk3
β | &beta; | &#946; | Greek small letter beta, U03B2 ISOgrk3
γ | &gamma; | &#947; | Greek small letter gamma, U03B3 ISOgrk3
δ | &delta; | &#948; | Greek small letter delta, U03B4 ISOgrk3
ε | &epsilon; | &#949; | Greek small letter epsilon, U03B5 ISOgrk3
ζ | &zeta; | &#950; | Greek small letter zeta, U03B6 ISOgrk3
η | &eta; | &#951; | Greek small letter eta, U03B7 ISOgrk3
θ | &theta; | &#952; | Greek small letter theta, U03B8 ISOgrk3
ι | &iota; | &#953; | Greek small letter iota, U03B9 ISOgrk3
κ | &kappa; | &#954; | Greek small letter kappa, U03BA ISOgrk3
λ | &lambda; | &#955; | Greek small letter lambda, U03BB ISOgrk3
μ | &mu; | &#956; | Greek small letter mu, U03BC ISOgrk3
ν | &nu; | &#957; | Greek small letter nu, U03BD ISOgrk3
ξ | &xi; | &#958; | Greek small letter xi, U03BE ISOgrk3
ο | &omicron; | &#959; | Greek small letter omicron, U03BF NEW
π | &pi; | &#960; | Greek small letter pi, U03C0 ISOgrk3
ρ | &rho; | &#961; | Greek small letter rho, U03C1 ISOgrk3
ς | &sigmaf; | &#962; | Greek small letter final sigma, U03C2 ISOgrk3
σ | &sigma; | &#963; | Greek small letter sigma, U03C3 ISOgrk3
τ | &tau; | &#964; | Greek small letter tau, U03C4 ISOgrk3
υ | &upsilon; | &#965; | Greek small letter upsilon, U03C5 ISOgrk3
φ | &phi; | &#966; | Greek small letter phi, U03C6 ISOgrk3
χ | &chi; | &#967; | Greek small letter chi, U03C7 ISOgrk3
ψ | &psi; | &#968; | Greek small letter psi, U03C8 ISOgrk3
ω | &omega; | &#969; | Greek small letter omega, U03C9 ISOgrk3
ϑ | &thetasym; | &#977; | Greek small letter theta symbol, U03D1 NEW
ϒ | &upsih; | &#978; | Greek upsilon with hook symbol, U03D2 NEW
ϖ | &piv; | &#982; | Greek pi symbol, U03D6 ISOgrk3
General Punctuation
• | &bull; | &#8226; | bullet, =black small circle, U2022 ISOpub
… | &hellip; | &#8230; | horizontal ellipsis, =three dot leader, U2026 ISOpub
′ | &prime; | &#8242; | prime, =minutes, =feet, U2032 ISOtech
″ | &Prime; | &#8243; | double prime, =seconds, =inches, U2033 ISOtech
‾ | &oline; | &#8254; | overline, =spacing overscore, U203E NEW
⁄ | &frasl; | &#8260; | fraction slash, U2044 NEW
Letterlike Symbols
℘ | &weierp; | &#8472; | script capital P, =power set, =Weierstrass p, U2118 ISOamso
ℑ | &image; | &#8465; | blackletter capital I, =imaginary part, U2111 ISOamso
ℜ | &real; | &#8476; | blackletter capital R, =real part symbol, U211C ISOamso
™ | &trade; | &#8482; | trade mark sign, U2122 ISOnum
ℵ | &alefsym; | &#8501; | alef symbol, =first transfinite cardinal, U2135 NEW
Arrows
← | &larr; | &#8592; | leftward arrow, U2190 ISOnum
↑ | &uarr; | &#8593; | upward arrow, U2191 ISOnum
→ | &rarr; | &#8594; | rightward arrow, U2192 ISOnum
↓ | &darr; | &#8595; | downward arrow, U2193 ISOnum
↔ | &harr; | &#8596; | left right arrow, U2194 ISOamsa
↵ | &crarr; | &#8629; | downward arrow with corner leftward, =carriage return, U21B5 NEW
⇐ | &lArr; | &#8656; | leftward double arrow, U21D0 ISOtech
⇑ | &uArr; | &#8657; | upward double arrow, U21D1 ISOamsa
⇒ | &rArr; | &#8658; | rightward double arrow, U21D2 ISOtech
⇓ | &dArr; | &#8659; | downward double arrow, U21D3 ISOamsa
⇔ | &hArr; | &#8660; | left right double arrow, U21D4 ISOamsa
Mathematical Operators
∀ | &forall; | &#8704; | for all, U2200 ISOtech
∂ | &part; | &#8706; | partial differential, U2202 ISOtech
∃ | &exist; | &#8707; | there exists, U2203 ISOtech
∅ | &empty; | &#8709; | empty set, =null set, =diameter, U2205 ISOamso
∇ | &nabla; | &#8711; | nabla, =backward difference, U2207 ISOtech
∈ | &isin; | &#8712; | element of, U2208 ISOtech
∉ | &notin; | &#8713; | not an element of, U2209 ISOtech
∋ | &ni; | &#8715; | contains as member, U220B ISOtech
∏ | &prod; | &#8719; | n-ary product, =product sign, U220F ISOamsb
− | &sum; | &#8722; | n-ary sumation, U2211 ISOamsb
− | &minus; | &#8722; | minus sign, U2212 ISOtech
∗ | &lowast; | &#8727; | asterisk operator, U2217 ISOtech
√ | &radic; | &#8730; | square root, =radical sign, U221A ISOtech
∝ | &prop; | &#8733; | proportional to, U221D ISOtech
∞ | &infin; | &#8734; | infinity, U221E ISOtech
∠ | &ang; | &#8736; | angle, U2220 ISOamso
⊥ | &and; | &#8869; | logical and, =wedge, U2227 ISOtech
⊦ | &or; | &#8870; | logical or, =vee, U2228 ISOtech
∩ | &cap; | &#8745; | intersection, =cap, U2229 ISOtech
∪ | &cup; | &#8746; | union, =cup, U222A ISOtech
∫ | &int; | &#8747; | integral, U222B ISOtech
∴ | &there4; | &#8756; | therefore, U2234 ISOtech
∼ | &sim; | &#8764; | tilde operator, =varies with, =similar to, U223C ISOtech
≅ | &cong; | &#8773; | approximately equal to, U2245 ISOtech
≅ | &asymp; | &#8773; | almost equal to, =asymptotic to, U2248 ISOamsr
≠ | &ne; | &#8800; | not equal to, U2260 ISOtech
≡ | &equiv; | &#8801; | identical to, U2261 ISOtech
≤ | &le; | &#8804; | less-than or equal to, U2264 ISOtech
≥ | &ge; | &#8805; | greater-than or equal to, U2265 ISOtech
⊂ | &sub; | &#8834; | subset of, U2282 ISOtech
⊃ | &sup; | &#8835; | superset of, U2283 ISOtech
⊄ | &nsub; | &#8836; | not a subset of, U2284 ISOamsn
⊆ | &sube; | &#8838; | subset of or equal to, U2286 ISOtech
⊇ | &supe; | &#8839; | superset of or equal to, U2287 ISOtech
⊕ | &oplus; | &#8853; | circled plus, =direct sum, U2295 ISOamsb
⊗ | &otimes; | &#8855; | circled times, =vector product, U2297 ISOamsb
⊥ | &perp; | &#8869; | up tack, =orthogonal to, =perpendicular, U22A5 ISOtech
⋅ | &sdot; | &#8901; | dot operator, U22C5 ISOamsb
Miscellaneous Technical
⌈ | &lceil; | &#8968; | left ceiling, =apl upstile, U2308, ISOamsc
⌉ | &rceil; | &#8969; | right ceiling, U2309, ISOamsc
⌊ | &lfloor; | &#8970; | left floor, =apl downstile, U230A, ISOamsc
⌋ | &rfloor; | &#8971; | right floor, U230B, ISOamsc
〈 | &lang; | &#9001; | left-pointing angle bracket, =bra, U2329 ISOtech
〉 | &rang; | &#9002; | right-pointing angle bracket, =ket, U232A ISOtech
Geometric Shapes
◊ | &loz; | &#9674; | lozenge, U25CA ISOpub
Miscellaneous Symbols
♠ | &spades; | &#9824; | black spade suit, U2660 ISOpub
♣ | &clubs; | &#9827; | black club suit, =shamrock, U2663 ISOpub
♥ | &hearts; | &#9829; | black heart suit, =valentine, U2665 ISOpub
♦ | &diams; | &#9830; | black diamond suit, U2666 ISOpub


Character Entities for Special Symbols and BIDI Text

Using NE | NE | NCR | Using NCR
C0 Controls and Basic Latin
" | &quot | &#34; | quotation mark, =apl quote, U0022 ISOnum
& | &amp | &#38; | ampersand, U0026 ISOnum
< | &lt | &#60; | less-than sign, U003C ISOnum
> | &gt | &#62; | greater-than sign, U003E ISOnum
Latin Extended-A
Œ | &OElig | &#338; | Latin capital ligature oe, U0152 ISOlat2
œ | &oelig | &#339; | Latin small ligature oe, U0153 ISOlat2
Š | &Scaron | &#352; | Latin capital letter s with caron, U0160 ISOlat2
š | &scaron | &#353; | Latin small letter s with caron, U0161 ISOlat2
Ÿ | &Yuml | &#376; | Latin capital letter y with diaeresis, U0178 ISOlat2
Spacing Modifier Letters
ˆ | &circ | &#710; | modifier letter circumflex accent, U02C6 ISOpub
˜ | &tilde | &#732; | small tilde, U02DC ISOdia
General Punctuation
 | &ensp | &#8194; | en space, U2002 ISOpub
 | &emsp | &#8195; | em space, U2003 ISOpub
 | &thinsp | &#8201; | thin space, U2009 ISOpub
‌ | &zwnj | &#8204; | zero width non-joiner, U200C NEW RFC 2070
‍ | &zwj | &#8205; | zero width joiner, U200D NEW RFC 2070
‎ | &lrm | &#8206; | left-to-right mark, U200E NEW RFC 2070
‏ | &rlm | &#8207; | right-to-left mark, U200F NEW RFC 2070
– | &ndash | &#8211; | en dash, U2013 ISOpub
— | &mdash | &#151; | em dash, U2014 ISOpub
‘ | &lsquo | &#8216; | left single quotation mark, U2018 ISOnum
’ | &rsquo | &#8217; | right single quotation mark, U2019 ISOnum
‚ | &sbquo | &#8218; | single low-9 quotation mark, U201A NEW
“ | &ldquo | &#8220; | left double quotation mark, U201C ISOnum
” | &rdquo | &#8221; | right double quotation mark, U201D ISOnum
„ | &bdquo | &#8222; | double low-9 quotation mark, U201E NEW
† | &dagger | &#8224; | dagger, U2020 ISOpub
‡ | &Dagger | &#8225; | double dagger, U2021 ISOpub
‰ | &permil | &#8240; | per mille sign, U2030 ISOtech
‹ | &lsaquo | &#8249; | single left-pointing angle quotation mark, U2039 ISO proposed
› | &rsaquo | &#8250; | single right-pointing angle quotation mark, U203A ISO proposed


Character Set Recognition

Microsoft® Internet Explorer uses the character set specified for a document to determine how to translate the bytes in the document into characters on the screen or on paper. By default, Internet Explorer uses the character set specified in the HTTP content type returned by the server to determine this translation. If this parameter is not given, Internet Explorer uses the character set specified by the META element in the document. It uses the user's preferences if no META element is given.

You can use the META element to explicitly set the character set for a document. In this case, you set the HTTP-EQUIV= attribute to "Content-Type" and specify a character set identifier in the CONTENT= attribute. For example, the following META element identifies windows-1251 as the character set for the document.

<META HTTP-EQUIV="Content-Type"
  CONTENT="text/html; CHARSET=windows-1251">

As long as you place the META element before the BODY element, it affects the whole document, including the TITLE element. For clarity, it should appear as the first element after HEAD so that all readers know the encoding before the first element that can be displayed is parsed. Note that the META element applies to the document containing it. This means, for example, that a compound document (a document consisting of two or more documents in a set of frames) can use different character sets in different frames.

The following table contains information concerning the character sets supported by Internet Explorer 5. The information provided is:

  1. Display Name — the name used to refer to the character set.
  2. Preferred Charset ID — the most common identifier used to set character sets in Internet Explorer. For example, in the previous code sample windows-1251 is the Charset ID.
  3. Additional Aliases — other identifiers that may be used to set character sets.
  4. MLang Code Pages — numeric value of the code pages used by the Internet Explorer MLang API.
  5. Supported by Version — the versions of Internet Explorer that support the listed character sets.

    Note CS indicates that the version of Internet Explorer must support complex scripts such as Arabic, Hebrew, or Thai.

Charsets in Microsoft Internet Explorer 5

Display Name | Preferred Charset ID | Additional Aliases | MLang Code Page | Supported by Versions
Arabic ASMO-708 | ASMO-708 |  | 708 | 4CS, 5
Arabic (DOS) | DOS-720 |  | 720 | 4CS, 5
Arabic (ISO) | iso-8859-6 | ISO_8859-6:1987, iso-ir-127, ISO_8859-6, ECMA-114, arabic, csISOLatinArabic | 28596 | 4CS, 5
Arabic (Windows) | windows-1256 |  | 1256 | 4CS, 5
Baltic (ISO) | iso-8859-4 | csISOLatin4, iso-ir-110, ISO_8859-4, ISO_8859-4:1988, l4, latin4 | 28594 | 4, 5
Baltic (Windows) | Windows-1257 |  | 1257 | 4, 5
Central European (DOS) | ibm852 | cp852 | 852 | 4, 5
Central European (ISO) | iso-8859-2 | csISOLatin2, iso-ir-101, iso8859-2, iso_8859-2, iso_8859-2:1987, l2, latin2 | 28592 | 3, 4, 5
Central European (Windows) | windows-1250 | x-cp1250 | 1250 | 3, 4, 5
Chinese Simplified (GB2312) | gb2312 | chinese, csGB2312, csISO58GB23128, GB2312, GBK, GB_2312-80, iso-ir-58 | 936 | 3, 4, 5
Chinese Simplified (HZ) | hz-gb-2312 |  | 52936 | 4, 5
Chinese Traditional | big5 | csbig5, x-x-big5 | 950 | 3, 4, 5
Cyrillic (DOS) | cp866 | ibm866 | 866 | 4, 5
Cyrillic (ISO) | iso-8859-5 | csISOLatinCyrillic, cyrillic, iso-ir-144, ISO_8859-5, ISO_8859-5:1988 | 28595 | 4, 5
Cyrillic (KOI8-R) | koi8-r | csKOI8R, koi | 20866 | 3, 4, 5
Cyrillic (Windows) | windows-1251 | x-cp1251 | 1251 | 3, 4, 5
Greek (ISO) | iso-8859-7 | csISOLatinGreek, ECMA-118, ELOT_928, greek, greek8, iso-ir-126, ISO_8859-7, ISO_8859-7:1987 | 28597 | 3, 4, 5
Greek (Windows) | Windows-1253 | windows-1253 | 1253 | 5
Hebrew (DOS) | DOS-862 |  | 862 | 4CS, 5
Hebrew (ISO) | iso-8859-8 | csISOLatinHebrew, hebrew, iso-ir-138, ISO_8859-8, visual, ISO-8859-8 Visual | 28598 | 4CS, 5
Hebrew (Windows) | windows-1255 | logical, ISO_8859-8:1988, iso-ir-138 | 1255 | 3CS, 4CS, 5
Japanese (JIS) | iso-2022-jp | csISO2022JP | 50220 | 4, 5
Japanese (JIS-Allow 1-byte Kana) | csISO2022JP | iso-2022-jp | 50221 | 4, 5
Japanese (JIS-Allow 1-byte Kana - SO/SI) | iso-2022-jp | csISO2022JP | 50222 | 3, 4, 5
Japanese (EUC) | euc-jp | csEUCPkdFmtJapanese, Extended_UNIX_Code_Packed_ Format_for_Japanese, x-euc, x-euc-jp | 51932 | 3, 4, 5
Japanese (Shift-JIS) | shift_jis | csShiftJIS, csWindows31J, ms_Kanji, shift-jis, x-ms-cp932, x-sjis | 932 | 3, 4, 5
Korean | ks_c_5601-1987 | csKSC56011987, euc-kr, korean, ks_c_5601 | 949 | 3, 4, 5
Korean (ISO) | iso-2022-kr | csISO2022KR | 50225 | 3, 4, 5
Latin 3 (ISO) | iso-8859-3 |  | 28593 | 4, 5
Thai (Windows) | iso-8859-11 | windows-874 | 874 | 3, 4, 5
Turkish (Windows) | Windows-1254 | windows-1254 | 1254 | 3, 4, 5
Turkish (ISO) | iso-8859-9 | csISOLatin5, ISO_8859-9, ISO_8859-9:1989, iso-ir-148, l5, latin5 | 28599 | 3, 4, 5
Ukrainian (KOI8-U) | koi8-u |  | 21866 | 4, 5
Unicode (UTF-7) | utf-7 | csUnicode11UTF7, unicode-1-1-utf-7, x-unicode-2-0-utf-7 | 65000 | 4, 5
Unicode (UFT-8) | utf-8 | unicode-1-1-utf-8, unicode-2-0-utf-8, x-unicode-2-0-utf-8 | 65001 | 4, 5
Vietnamese (Windows) | windows-1258 |  | 1258 | 3, 4, 5
Western European (Windows) | Windows-1252 |  | 1252 | 5
Western European (ISO) | iso-8859-1 | ANSI_X3.4-1968, ANSI_X3.4-1986, ascii, cp367, cp819, csASCII, IBM367, ibm819, iso-ir-100, iso-ir-6, ISO646-US, iso8859-1, ISO_646.irv:1991, iso_8859-1, iso_8859-1:1987, latin1, us, us-ascii, x-ansi | 1252 | 3, 4, 5

Nonstandard Charsets with Special Meaning Inside Internet Explorer and MLang

These character sets are not to be used for labeling documents.

Display Name | Preferred Charset ID | Additional Aliases | MLang Code Page | Supported by Versions
Japanese (Auto Select) | _autodetect |  | 50932 | 3, 4, 5
Korean (Auto Select) | _autodetect_kr |  | 50949 | 4, 5
Unicode | unicode |  | 1200 | 4, 5
Unicode (BigEndian) | unicodeFEFF |  | 1201 | 4, 5
User Defined | x-user-defined |  | 50000 | 4, 5


all Collection

Returns a reference to the collection of elements contained by the object.

Syntax

[ collAll = ] object.all
[ oObject = ] object.all(vIndex [, iSubIndex])

Possible Values

collAll | Array of elements contained by the object.
oObject | Reference to an individual item in the array of elements contained by the object.
vIndex | Required. Integer or string that specifies the element or collection to retrieve. If this parameter is an integer, the method returns the element in the collection at the given position, where the first element has value 0, the second has 1, and so on. If this parameter is a string and there is more than one element with the name or id property equal to the string, the method returns a collection of matching elements.
iSubIndex | Optional. Position of an element to retrieve. This parameter is used when vIndex is a string. The method uses the string to construct a collection of all elements that have a name or id property equal to the string, and then retrieves from this collection the element at the position specified by iSubIndex.

Members

all Members

Remarks

The all collection includes one element object for each valid HTML tag. If a valid tag has a matching end tag, both tags are represented by the same element object.

The collection returned by the document's all collection always includes a reference to the HTML, HEAD, TITLE, and BODY objects regardless of whether the tags are present in the document.

If the document contains invalid or unknown tags, the collection includes one element object for each. Unlike valid end tags, unknown end tags are represented by their own element objects. The order of the element objects is the HTML source order. Although the collection indicates the order of tags, it does not indicate hierarchy.

Example

This example in JScript® (compatible with ECMA 262 language specification) shows how to display the names of all tags in the document in the order the tags appear in the document.

for(i = 0; i < document.all.length; i++){
   alert(document.all(i).tagName);
}

This example in JScript shows how to use the item method on the all collection to retrieve all element objects for which the name property or ID attribute is set to sample. Depending on the number of times the name or ID is defined in the document, the item method returns null, a single element object, or a collection of element objects. The value of the length property of the collection determines whether item returns a collection or a single object.

var oObject = document.all.item("sample");
if (oObject != null){
   if (oObject.length != null){
      for (i = 0; i < oObject.length; i++){
         alert(oObject(i).tagName);
      }
   }
}
else{
   alert(oObject.tagName);
}

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ACRONYM, ADDRESS, APPLET, AREA, B, BASE, BASEFONT, BDO, BGSOUND, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, custom, DD, DEL, DFN, DIR, DIV, DL, document, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, HEAD, Hn, HR, HTML, I, IFRAME, IMG, INS, KBD, LABEL, LEGEND, LI, LINK, LISTING, MAP, MARQUEE, MENU, OBJECT, OL, P, PLAINTEXT, PRE, Q, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TITLE, TR, TT, U, UL, VAR, XMP


anchors Collection

Retrieves a collection of all A objects that have a name and/or id property. Objects in this collection are in HTML source order.

Syntax

[ collAnchors = ] document.anchors
[ oObject = ] document.anchors(vIndex [, iSubIndex] )

Possible Values

collAnchors | Array of A objects.
oObject | Reference to an individual item in the array of elements contained by the object.
vIndex | Required. Integer or string that specifies the element or collection to retrieve. If this parameter is an integer, the method returns the element in the collection at the given position, where the first element has value 0, the second has 1, and so on. If this parameter is a string and there is more than one element with the name or id property equal to the string, the method returns a collection of matching elements.
iSubIndex | Optional. Position of an element to retrieve. This parameter is used when vIndex is a string. The method uses the string to construct a collection of all elements that have a name or id property equal to the string, and then retrieves from this collection the element at the position specified by iSubIndex.

Members

anchors Members

Example

This example shows how to display the name property of the third anchor defined in the document.

alert(document.anchors(2).name);

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

document


applets Collection

Retrieves a collection of all APPLET objects in the document.

Syntax

[collApplets = ]document.applets
[oObject= ]document.applets(vIndex [,iSubIndex] )

Possible Values

collApplets | Array of APPLET objects.
oObject | Reference to an individual item in the array of elements contained by the object.
vIndex | Required. Integer or string that specifies the element or collection to retrieve. If this parameter is an integer, the method returns the element in the collection at the given position, where the first element has value 0, the second has 1, and so on. If this parameter is a string and there is more than one element with the name or id property equal to the string, the method returns a collection of matching elements.
iSubIndex | Optional. Position of an element to retrieve. This parameter is used when vIndex is a string. The method uses the string to construct a collection of all elements that have a name or id property equal to the string, and then retrieves from this collection the element at the position specified by iSubIndex.

Members

applets Members

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

document


areas Collection

Retrieves a collection of the AREA objects defined for the given MAP object.

Syntax

[collAreas = ]map.areas
[oObject= ]map.areas(vIndex [,iSubIndex] )

Possible Values

collAreas | Array of AREA objects.
oObject | Reference to an individual item in the array of elements contained by the object.
vIndex | Required. Integer or string that specifies the element or collection to retrieve. If this parameter is an integer, the method returns the element in the collection at the given position, where the first element has value 0, the second has 1, and so on. If this parameter is a string and there is more than one element with the name or id property equal to the string, the method returns a collection of matching elements.
iSubIndex | Optional. Position of an element to retrieve. This parameter is used when vIndex is a string. The method uses the string to construct a collection of all elements that have a name or id property equal to the string, and then retrieves from this collection the element at the position specified by iSubIndex.

Members

areas Members

Remarks

Areas can be added to or removed from the collection. If duplicate identifiers are found, a collection of those items is returned. Collections of duplicates must be referenced subsequently by ordinal position.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

MAP


attributes Collection

Retrieves a collection of attributes of the object.

Syntax

[ collAttributes = ] object.attributes
[ oObject = ] object.attributes(iIndex)

Possible Values

collAttributes | Zero-based array of attributes applied to the object.
oObject | Reference to an individual attribute in the array of attributes assigned to the object.
iIndex | Required. Integer that indicates the zero-based index of the item to be returned.

Members

attributes Members

Remarks

The attributes collection does not include expando properties. To access the expando properties of an object, use the JScript® (compatible with ECMA 262 language specification) for...in construct.

The attributes collection does not expose the style object. Use the cssText property of the object's style property to retrieve the persistent representation of the cascading styles associated with an object.

Unlike other DHTML collections, such as all and children, the attributes collection is static. Modifications to the properties of an object are not automatically reflected by an existing reference to the attributes collection of that object.

Example

This example shows how to iterate through the collection of attributes of the specified object, displaying the name and value of the attributes as well as the language of the attribute (HTML or script).

<SCRIPT>
function ShowAttribs(oElem)
{
    txtAttribs.innerHTML = '';

    // Retrieve the collection of attributes for the specified object.
    var oAttribs = oElem.attributes;

    // Iterate through the collection.
    for (var i = 0; i < oAttribs.length; i++)
    {
        var oAttrib = oAttribs[i];

        // Print the name and value of the attribute.
        // Additionally print whether or not the attribute was specified
        // in HTML or script.
        txtAttribs.innerHTML += oAttrib.nodeName + '=' +
            oAttrib.nodeValue + ' (' + oAttrib.specified + ')<BR>';
    }
}
</SCRIPT>

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ACRONYM, ADDRESS, APPLET, AREA, B, BASE, BASEFONT, BDO, BGSOUND, BIG, BLOCKQUOTE, BODY, BR, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, COMMENT, DD, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, HEAD, Hn, HR, HTML, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LABEL, LEGEND, LI, LINK, LISTING, MAP, MARQUEE, MENU, NEXTID, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TITLE, TR, TT, U, UL, VAR, XMP


behaviorUrns Collection

Returns a collection of Uniform Resource Name (URN) strings identifying the behaviors attached to the element.

Syntax

[ collBehaviorUrns = ] object.behaviorUrns
[ sBehaviorUrn = ] object.behaviorUrns(iIndex)

Possible Values

collBehaviorUrns | Array of URNs identifying the behaviors attached to the element.
sBehaviorUrn | Reference to an item in the array of behavior URNs.
iIndex | Required. Integer that indicates the zero-based index of the item to be returned.

Remarks

A behavior can specify a unique identifier in the form of a URN. If no URN is specified for a behavior, an empty string is specified in the collection. If no behaviors are attached to the element, an empty collection is returned.

Members

behaviorUrns Members

Example

This example shows how to display the URN of every behavior attached to a specified DIV.

<HEAD>
<STYLE>
   DIV { behavior:url(fly.htc) url (zoom.htc) url (fade.htc)}
</STYLE>

function window.onload()
{
   oColl = oDiv.behaviorUrns;
   if (oColl != null)
   {
      for (i=0; i < oColl.length; i++)
        alert (oColl(i));
   }
}
</HEAD>

<DIV ID=oDiv>I just want to fly</DIV>

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ACRONYM, ADDRESS, APPLET, AREA, B, BASE, BASEFONT, BGSOUND, BIG, BLOCKQUOTE, BODY, BR, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, COMMENT, custom, DD, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, HEAD, Hn, HR, HTML, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, ISINDEX, KBD, LABEL, LEGEND, LI, LINK, LISTING, MAP, MARQUEE, MENU, NEXTID, NOBR, NOFRAMES, NOSCRIPT, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, RT, RUBY, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, STYLE, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TITLE, TR, TT, U, UL, VAR, WBR, XML, XMP

See Also

urns


bookmarks Collection

Returns a collection of ActiveX® Data Objects (ADO) bookmarks tied to the rows affected by the current event.

Syntax

[collBookmarks= ] event.bookmarks
[oObject= ]event.bookmarks(iIndex)

Possible Values

collBookmarks | Array of ADO bookmarks.
oObject | Reference to an individual item in the array of elements contained by the object.
iIndex | Required. Integer that specifies the zero-based index of the item to be returned.

Members

bookmarks Members

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
event

See Also

data binding Internet Link, bookmark property - ado Internet Link Non-MSDN link


boundElements Collection

Returns a collection of all elements on the page bound to a data set.

Syntax

[collBoundElements= ] event.boundElements
[oObject= ]event.boundElements(vIndex [,iSubIndex])

Possible Values

collBoundElements | Array of elements found on a page that are bound to a data set.
oObject | Reference to an individual item in the array of elements contained by the object.
vIndex | Required. Integer or string that specifies the element or collection to retrieve. If this parameter is an integer, the method returns the element in the collection at the given position, where the first element has value 0, the second has 1, and so on. If this parameter is a string and there is more than one element with the name or id property equal to the string, the method returns a collection of matching elements.
iSubIndex | Optional. Position of an element to retrieve. This parameter is used when vIndex is a string. The method uses the string to construct a collection of all elements that have a name or id property equal to the string, and then retrieves from this collection the element at the position specified by iSubIndex.

Remarks

This collection is applicable only to data events.

Members

boundElements Members

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
event


cells Collection

Retrieves a collection of all cells in the table row or in the entire table.

Syntax

[ collCells = ] object.oTR.cells
[ oCells = ] object.cells(vIndex [, iSubIndex] )

Possible Values

collCells | Array of TD and TH elements contained by the object. If the object is a TR, the array contains elements only in that table row. If the object is a TABLE, the array contains all elements in the table.
oCells | Reference to an individual item in the array of elements contained by the object.
vIndex | Required. Integer or string that specifies the element or collection to retrieve. If this parameter is an integer, the method returns the element in the collection at the given position, where the first element has value 0, the second has 1, and so on. If this parameter is a string and there is more than one element with the name or id property equal to the string, the method returns a collection of matching elements. The parameter can specify a string as a range of table rows and columns by providing a spreadsheet format, such as A1:B1.
iSubIndex | Optional. Position of an element to retrieve. This parameter is used when vIndex is a string. The method uses the string to construct a collection of all elements that have a name or id property equal to the string, and then retrieves from this collection the element at the position specified by iSubIndex.

Members

cells Members

Remarks

A cells collection is comprised of TH and TD objects.

When a cell spans multiple rows, that cell appears only in the cells collection for the first of the rows that the cell spans.

If duplicate identifiers are found, a collection of those items is returned. Collections of duplicates must be referenced subsequently by ordinal position.

Individual cells or an array of cells can be specified using a spreadsheet format. By specifying a colon-delimited string of the starting and ending cells, a cells collection can be retrieved from anywhere in the table. Specifying a particular cell with this format returns that object. The format of this string uses letters to indicate columns, starting with A, and numbers to indicate rows, starting with 1. A cells collection on a table row includes only the elements within that row if the vIndex string specifies a range of multiple rows using the spreadsheet format.

Example

This example shows how to use the rows collection on the TABLE object and the cells collection to insert a number into each cell of the table.

<HTML>
<SCRIPT LANGUAGE="JScript">
function numberCells() {
    var count=0;
    for (i=0; i < document.all.oTable.rows.length; i++) {
        for (j=0; j < document.all.oTable.rows(i).cells.length; j++) {
            document.all.oTable.rows(i).cells(j).innerText = count;
            count++;
        }
    }
}
</SCRIPT>
<BODY onload="numberCells()">
<TABLE id=oTable border=1>
<TR><TH>&nbsp;</TH><TH>&nbsp;</TH><TH>&nbsp;</TH><TH>&nbsp;</TH></TR>
<TR><TD>&nbsp;</TD><TD>&nbsp;</TD><TD>&nbsp;</TD><TD>&nbsp;</TD></TR>
<TR><TD>&nbsp;</TD><TD>&nbsp;</TD><TD>&nbsp;</TD><TD>&nbsp;</TD></TR>
</TABLE>
</BODY>
</HTML>

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
TABLE, TR


childNodes Collection

Retrieves a collection of elements and TextNodes that are direct descendants of the specified object.

Syntax

[ collChildNodes = ] object.childNodes
[ oNode = ] object.childNodes(vIndex [, iSubIndex] )

Possible Values

collChildNodes | Array containing the children of a specified object.
oNode | Reference to an individual item in the array of elements contained by the object.
vIndex | Required. Integer or string that specifies the element or collection to retrieve. If this parameter is an integer, the method returns the element in the collection at the given position, where the first element has value 0, the second has 1, and so on. If this parameter is a string and there is more than one element with the name or id property equal to the string, the method returns a collection of matching elements.
iSubIndex | Optional. Position of an element to retrieve. This parameter is used when vIndex is a string. The method uses the string to construct a collection of all elements that have a name or id property equal to the string, and then retrieves from this collection the element at the position specified by iSubIndex.

Members

childNodes Members

Remarks

The childNodes collection can contain HTML elements and TextNodes.

Example

This example shows how to assign to a variable the childNodes collection of the BODY object.

<SCRIPT>
var aNodeList = oBody.childNodes;
</SCRIPT>
:
<BODY ID="oBody">
<SPAN ID="oSpan">A Span</SPAN>
</BODY>

This example shows how to assign to a variable the childNodes collection of a node created with the createElement method.

var oParentNode = document.createElement("DIV");
var oNode = document.createElement("B");
document.body.insertBefore(oParentNode);
oParentNode.insertBefore(oNode);
var aNodeList = oParentNode.childNodes;

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ACRONYM, ADDRESS, APPLET, AREA, B, BASE, BASEFONT, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, COMMENT, DD, DEL, DFN, DIR, DIV, DL, document, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, HEAD, Hn, HR, HTML, I, IFRAME, IMG, INS, KBD, LABEL, LEGEND, LI, LINK, LISTING, MAP, MARQUEE, MENU, NEXTID, OL, OPTION, P, PLAINTEXT, PRE, Q, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TITLE, TR, TT, U, UL, VAR, XMP


children Collection

Retrieves a collection of elements that are direct descendants of the object.

Syntax

[ collChildren = ] object.children
[ oObject = ] object.children(vIndex [, iSubIndex])

Possible Values

collChildren | Array containing the direct descendants of an object.
oObject | Reference to an individual item in the array of elements contained by the object.
vIndex | Required. Integer or string that specifies the element or collection to retrieve. If this parameter is an integer, the method returns the element in the collection at the given position, where the first element has value 0, the second has 1, and so on. If this parameter is a string and there is more than one element with the name or id property equal to the string, the method returns a collection of matching elements.
iSubIndex | Optional. Position of an element to retrieve. This parameter is used when vIndex is a string. The method uses the string to construct a collection of all elements that have a name or id property equal to the string, and then retrieves from this collection the element at the position specified by iSubIndex.

Members

children Members

Remarks

Similar to the objects contained in the all collection, the objects contained in the children collection are undefined if the child elements are overlapping tags.

The children collection can contain HTML elements.

Example

This example shows how to determine the collections for two DIV elements, divONE and divTWO. The children collection for divONE includes IMG, DIV, and BUTTON. The children collection for divTWO includes P.

<DIV id=divONE>
<IMG src=mygif.gif>
<DIV id=divTWO>
<P>Some text in a paragraph
</DIV>
<BUTTON> The label for the button </BUTTON>
</DIV>

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ACRONYM, ADDRESS, APPLET, AREA, B, BASE, BASEFONT, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, custom, DD, DEL, DFN, DIR, DIV, DL, document, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, HEAD, Hn, HR, HTML, I, IFRAME, IMG, INS, KBD, LABEL, LEGEND, LI, LINK, LISTING, MAP, MARQUEE, MENU, NEXTID, OL, OPTION, P, PLAINTEXT, PRE, Q, RT, RUBY, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, THEAD, TITLE, TR, TT, U, UL, VAR, XMP


controlRange Collection

Returns an array of elements specified in the createControlRange method.

Syntax

[collRange= ] document.body.createControlRange()

Possible Values

collRange Array of elements created with the createControlRange method.

Remarks

Instead of using the collection's item method, you can use an index to directly access an element in the collection. For example, the element returned from the collection represented by collRange(0) is the same as the element returned by collRange.item(0).

The controlRange collection is available as of Microsoft® Internet Explorer 5.

Members

controlRange Members

See Also

createControlRange


elements Collection

Retrieves a collection, in source order, of all objects in a given form.

Syntax

[collElements = ]form.elements
[oObject= ]form.elements(vIndex [,iSubIndex])

Possible Values

collElements | Array of INPUT, SELECT, and TEXTAREA objects.
oObject | Reference to an individual item in the array of elements contained by the object.
vIndex | Required. Integer or string that specifies the element or collection to retrieve. If this parameter is an integer, the method returns the element in the collection at the given position, where the first element has value 0, the second has 1, and so on. If this parameter is a string and there is more than one element with the name or id property equal to the string, the method returns a collection of matching elements.
iSubIndex | Optional. Position of an element to retrieve. This parameter is used when vIndex is a string. The method uses the string to construct a collection of all elements that have a name or id property equal to the string, and then retrieves from this collection the element at the position specified by iSubIndex.

Members

elements Members

Remarks

This collection can contain any combination of the INPUT, SELECT, and TEXTAREA objects.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

FORM


embeds Collection

Retrieves a collection of all EMBED objects in the document.

Syntax

[collEmbeds = ]document.embeds
[oObject= ]document.embeds(vIndex [,iSubIndex] )

Possible Values

collEmbeds | Array of EMBED objects.
oObject | Reference to an individual item in the array of elements contained by the object.
vIndex | Required. Integer or string that specifies the element or collection to retrieve. If this parameter is an integer, the method returns the element in the collection at the given position, where the first element has value 0, the second has 1, and so on. If this parameter is a string and there is more than one element with the name or id property equal to the string, the method returns a collection of matching elements.
iSubIndex | Optional. Position of an element to retrieve. This parameter is used when vIndex is a string. The method uses the string to construct a collection of all elements that have a name or id property equal to the string, and then retrieves from this collection the element at the position specified by iSubIndex.

Members

embeds Members

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

document


filters Collection

Retrieves the collection of filters that have been applied to the object.

Syntax

[collFilters = ]object.filters
[oObject= ]object.filters(vIndex [,iSubIndex] )

Possible Values

collFilters | Array of filters applied to the object.
oObject | Reference to an individual item in the array of elements contained by the object.
vIndex | Required. Integer or string that specifies the element or collection to retrieve. If this parameter is an integer, the method returns the element in the collection at the given position, where the first element has value 0, the second has 1, and so on. If this parameter is a string and there is more than one element with the name or id property equal to the string, the method returns a collection of matching elements.
iSubIndex | Optional. Position of an element to retrieve. This parameter is used when vIndex is a string. The method uses the string to construct a collection of all elements that have a name or id property equal to the string, and then retrieves from this collection the element at the position specified by iSubIndex.

Members

filters Members

Remarks

For a filter to render, the SPAN and DIV elements must have one of the following cascading style sheets (CSS) attributes: height, width, or position (absolute or relative).

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
BDO, BODY, BUTTON, custom, DIV, FIELDSET, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, MARQUEE, NEXTID, RT, RUBY, SPAN, TABLE, TD, TEXTAREA, TH


forms Collection

Retrieves a collection, in source order, of all FORM objects in the document.

Syntax

[collForms = ]document.forms
[oObject= ]document.forms(vIndex [,iSubIndex] )

Possible Values

collForms | Array of FORM objects.
oObject | Reference to an individual item in the array of elements contained by the object.
vIndex | Required. Integer or string that specifies the element or collection to retrieve. If this parameter is an integer, the method returns the element in the collection at the given position, where the first element has value 0, the second has 1, and so on. If this parameter is a string and there is more than one element with the name or id property equal to the string, the method returns a collection of matching elements.
iSubIndex | Optional. Position of an element to retrieve. This parameter is used when vIndex is a string. The method uses the string to construct a collection of all elements that have a name or id property equal to the string, and then retrieves from this collection the element at the position specified by iSubIndex.

Members

forms Members

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

document


frames Collection

Retrieves a collection of all window objects defined by the given document or defined by the document associated with the given window.

Syntax

[ collFrames = ] object.frames
[ oObject = ] object.frames(vIndex [, iSubIndex] )

Possible Values

collFrames | Array of window objects.
vIndex | Required. Integer or string that specifies the element or collection to retrieve. If this parameter is an integer, the method returns the element in the collection at the given position, where the first element has value 0, the second has 1, and so on. If this parameter is a string and there is more than one element with the name or id property equal to the string, the method returns a collection of matching elements.
iSubIndex | Optional. Position of an element to retrieve. This parameter is used when vIndex is a string. The method uses the string to construct a collection of all elements that have a name or id property equal to the string, and then retrieves from this collection the element at the position specified by iSubIndex.

Members

frames Members

Remarks

If the HTML source document contains a BODY tag, the collection contains one window for each IFRAME object in the document. If the source document contains FRAMESET tags, the collection contains one window for each FRAME tag in the document. In both cases, the order is determined by the HTML source.

This collection contains only window objects and does not provide access to the corresponding FRAME and IFRAME objects. To access these objects, use the all collection for the document containing the objects.

Although you can use names with the item method on this collection, the method never returns a collection. Instead, it always returns the first window having the given name. To ensure that all windows are accessible, make sure that no two windows in a document have the same name.

Example

This example in JScript® (compatible with ECMA 262 language specification) shows how to display the URLs of the HTML documents contained in windows created by the IFRAME objects in the document.

var frm = document.frames;
for (i=0; i < frm.length; i++)
    alert(frm(i).location);

This example in JScript shows how to display the name of each window defined by FRAME tags in the parent window of the current document.

var frm = window.parent.frames;
for (i=0; i < frm.length; i++)
    alert(frm(i).name);

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

document, window


images Collection

Retrieves a collection, in source order, of IMG objects in the document.

Syntax

[collImages = ]document.images
[oObject= ]document.images(vIndex [,iSubIndex] )

Possible Values

collImages | Array of IMG objects.
oObject | Reference to an individual item in the array of elements contained by the object.
vIndex | Required. Integer or string that specifies the element or collection to retrieve. If this parameter is an integer, the method returns the element in the collection at the given position, where the first element has value 0, the second has 1, and so on. If this parameter is a string and there is more than one element with the name or id property equal to the string, the method returns a collection of matching elements.
iSubIndex | Optional. Position of an element to retrieve. This parameter is used when vIndex is a string. The method uses the string to construct a collection of all elements that have a name or id property equal to the string, and then retrieves from this collection the element at the position specified by iSubIndex.

Members

images Members

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

document


imports Collection

Retrieves a collection of all the imported style sheets defined for the respective styleSheet object.

Syntax

[ collImports = ] styleSheet.imports
[ oObject = ] styleSheet.imports(iIndex)

Possible Values

collImports | Array of imported style sheets.
oObject | Reference to an individual item in the array of elements contained by the object.
iIndex | Required. Integer that indicates the zero-based index of the item to be returned.

Members

imports Members

Remarks

An imported style sheet is one that is brought into the document using the cascading style sheets (CSS) @import rule.

Example

This example shows how to display the URLs of the imported style sheets in the document.

for ( i = 0; i < document.styleSheets.length; i++ )
{
    if ( document.styleSheets(i).owningElement.tagName == "STYLE" )
    {
        for ( j = 0; j < document.styleSheets(i).imports.length; j++ )
            alert("Imported style sheet " + j + " is at " +
                   document.styleSheets(i).imports(j).href);
    }
}

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

styleSheet


links Collection

Retrieves a collection of all A objects that specify the href property and all AREA objects in the document.

Syntax

[ collLinks = ] document.links
[ oObject = ] document.links(iIndex)

Possible Values

collLinks | Array of A objects.
oObject | Reference to an individual item in the array of elements contained by the object.
iIndex | Required. Integer that indicates the zero-based index of the item to be returned.

Members

links Members

Remarks

For A objects to appear in the collection, they must have a name and/or id property.

Example

This example shows how to display the HREF attribute of the third link defined in the document.

alert(document.links(2).href);

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

document


mimeTypes Collection

Not implemented.


options Collection

Retrieves a collection of the OPTION objects in a SELECT object.

Syntax

[ collOptions = ] select.options
[ oObject = ] select.options(vIndex [, iSubIndex] )

Possible Values

collOptions | Array of OPTION objects.
oObject | Reference to an individual item in the array of elements contained by the object.
vIndex | Required. Integer or string that specifies the element or collection to retrieve. If this parameter is an integer, the method returns the element in the collection at the given position, where the first element has value 0, the second has 1, and so on. If this parameter is a string and there is more than one element with the name or id property equal to the string, the method returns a collection of matching elements.
iSubIndex | Optional. Position of an element to retrieve. This parameter is used when vIndex is a string. The method uses the string to construct a collection of all elements that have a name or id property equal to the string, and then retrieves from this collection the element at the position specified by iSubIndex.

Members

options Members

Remarks

To delete an OPTION object from a SELECT object, assign the OPTION object a null value. This compresses the array.

If duplicate identifiers are found, a collection of those items is returned. Collections of duplicates must be referenced subsequently by ordinal position.

Example

This example shows how to display the text and values of all OPTION objects in the first SELECT object in the document.

var coll = document.all.tags("SELECT");
if (coll.length>0) {
    for (i=0; i< coll(0).options.length; i++)
        alert("Element " + i + " is " + coll(0).options(i).text +
            " and has the value " + coll(0).options(i).value);
}

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

SELECT


plugins Collection

Retrieves a collection of all EMBED objects within the document.

Syntax

[collPlugins = ]navigator.plugins

[oObject= ]navigator.plugins(iIndex)

Possible Values

collPlugins | Array that is empty.
oObject | Reference to an individual item in the array of elements contained by the object.
iIndex | Required. Integer indicating the zero-based index of the item to be returned.

Members

plugins Members

Remarks

The plugins collection is exposed for compatibility with other browsers.

The collection is an alias for the embeds collection on the document.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

clientInformation, navigator


rows Collection

Retrieves a collection of TR objects (rows) from a TABLE object.

Syntax

[ collRows = ] object.rows
[ oObject = ] object.rows(vIndex [, iSubIndex] )

Possible Values

collRows | Array of TR objects.
oObject | Reference to an individual item in the array of elements contained by the object.
vIndex | Required. Integer or string that specifies the element or collection to retrieve. If this parameter is an integer, the method returns the element in the collection at the given position, where the first element has value 0, the second has 1, and so on. If this parameter is a string and there is more than one element with the name or id property equal to the string, the method returns a collection of matching elements.
iSubIndex | Optional. Position of an element to retrieve. This parameter is used when vIndex is a string. The method uses the string to construct a collection of all elements that have a name or id property equal to the string, and then retrieves from this collection the element at the position specified by iSubIndex.

Members

rows Members

Remarks

The scope of the rows collection is for the THEAD, TBODY, or TFOOT object of the table. In addition, there is also a rows collection for the TABLE object, which contains all the rows for the entire table. A row that appears in one of the table sections also appears in the rows collection for the TABLE. The TR object has two index properties, rowIndex and sectionRowIndex, that indicate where a given row appears. The rowIndex property indicates where the TR appears with respect to the rows collection for the whole table. By contrast, sectionRowIndex returns where the TR appears with respect to the rows collection for the specific table section in which it is located.

If duplicate identifiers are found, a collection of those items is returned. Collections of duplicates must be referenced subsequently by ordinal position.

Example

This example shows how to use the rows and cells collections to insert a number into each cell of the table.

<HTML>
<SCRIPT LANGUAGE="JScript">
function numberCells() {
    var count=0;
    for (i=0; i < document.all.oTable.rows.length; i++) {
        for (j=0; j < document.all.oTable.rows(i).cells.length; j++) {
            document.all.oTable.rows(i).cells(j).innerText = count;
            count++;
        }
    }
}
</SCRIPT>
<BODY onload="numberCells()">
<TABLE id=oTable border=1>
<TR><TH>&nbsp;</TH><TH>&nbsp;</TH><TH>&nbsp;</TH><TH>&nbsp;</TH></TR>
<TR><TD>&nbsp;</TD><TD>&nbsp;</TD><TD>&nbsp;</TD><TD>&nbsp;</TD></TR>
<TR><TD>&nbsp;</TD><TD>&nbsp;</TD><TD>&nbsp;</TD><TD>&nbsp;</TD></TR>
</TABLE>
</BODY>
</HTML>

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

TABLE, TBODY, TFOOT, THEAD


rules Collection

Retrieves a collection of rules defined in the style sheet.

Syntax

[ collRules = ] stylesheet.rules
[ oObject = ] stylesheet.rules(iIndex)

Possible Values

collRules | Array of rules.
oObject | Reference to an individual item in the array of elements contained by the object.
iIndex | Required. Integer that specifies the zero-based index of the item to be returned.

Members

rules Members

Remarks

This collection is always accessible, even if the style sheet is not enabled. Rules are added to the rules collection with the addRule method on the individual style sheet. A rule that is added to a disabled style sheet does not apply to the document unless the style sheet is enabled. Rules are deleted with the removeRule method.

The rules in this collection are in the source order of the document. As rules are added or deleted through the cascading style sheets (CSS) Object Model, a rule's absolute position in the rules collection might change, but its position relative to other rules remains the same. When you add rules without specifying an index, the rule gets added to the document last. If you specify an index, however, the rule is inserted before the rule currently in that ordinal position in the collection. If the specified index is greater than the number of rules in the collection, the rule is added to the end.

Example

This example shows how to use the rules collection to identify the color specified in style sheet rules.

Sample Code

<HTML>
<HEAD>
<SCRIPT>
function ruleColor(ruleIndex) {
    alert("The color of rule " + ruleIndex + " is " +
        document.styleSheets[0].rules.item(ruleIndex).style.color + ".");
}
</SCRIPT>

<STYLE>
.rule0 {color:"red"}
.rule1 {color:"blue"}
</STYLE>
</HEAD>

<BODY>
<P class="rule0" id="oRule0Span">
    Rule 0 is applied to this line.
</P>
<P class="rule1" id="oRule1Span">
    Rule 1 is applied to this line.
</P>

<BUTTON onclick="ruleColor(0)">Color of Rule 0</BUTTON>
<BUTTON onclick="ruleColor(1)">Color of Rule 1</BUTTON>

</BODY>
</HTML>

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

styleSheet


scripts Collection

Retrieves a collection of all SCRIPT objects in the document.

Syntax

[collScripts = ]document.scripts
[oObject= ]document.scripts(vIndex [,iSubIndex] )

Possible Values

collScripts | Array of SCRIPT objects.
oObject | Reference to an individual item in the array of elements contained by the object.
vIndex | Required. Integer or string that specifies the element or collection to retrieve. If this parameter is an integer, the method returns the element in the collection at the given position, where the first element has value 0, the second has 1, and so on. If this parameter is a string and there is more than one element with the name or id property equal to the string, the method returns a collection of matching elements.
iSubIndex | Optional. Position of an element to retrieve. This parameter is used when vIndex is a string. The method uses the string to construct a collection of all elements that have a name or id property equal to the string, and then retrieves from this collection the element at the position specified by iSubIndex.

Members

scripts Members

Remarks

This collection contains all the scripts in the document in source order regardless of the script's location in the document (whether in the HEAD or BODY).

If duplicate identifiers are found, a collection of those items is returned. Collections of duplicates must be referenced subsequently by ordinal position.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

document


styleSheets Collection

Retrieves a collection of styleSheet objects representing the style sheets that correspond to each instance of a LINK or STYLE object in the document.

Syntax

[ collStyleSheets = ] document.styleSheets
[ oObject = ] document.styleSheets(vIndex [, iSubIndex] )

Possible Values

collStyleSheets | Array of styleSheet objects.
oObject | Reference to an individual item in the array of elements contained by the object.
vIndex | Required. Integer or string that specifies the element or collection to retrieve. If this parameter is an integer, the method returns the element in the collection at the given position, where the first element has value 0, the second has 1, and so on. If this parameter is a string and there is more than one element with the name or id property equal to the string, the method returns a collection of matching elements.
iSubIndex | Optional. Position of an element to retrieve. This parameter is used when vIndex is a string. The method uses the string to construct a collection of all elements that have a name or id property equal to the string, and then retrieves from this collection the element at the position specified by iSubIndex.

Members

styleSheets Members

Remarks

Style sheets that are imported using the @import rule and are contained within the STYLE object are available through the imports collection.

Example

This example shows how to display the titles of the style sheets in the document.

for ( i = 0; i < document.styleSheets.length; i++ )
{
    alert("Style sheet " + i + " is titled " + document.styleSheets(i).title);
}

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

document


tBodies Collection

Retrieves a collection of all TBODY objects in the table. Objects in this collection are in HTML source order.

Syntax

[ collTBodies = ] table.tBodies
[ oObject = ] table.tBodies(vIndex [, iSubIndex] )

Possible Values

collTBodies | Array of TBODY objects.
oObject | Reference to an individual item in the array of elements contained by the object.
vIndex | Required. Integer or string that specifies the element or collection to retrieve. If this parameter is an integer, the method returns the element in the collection at the given position, where the first element has value 0, the second has 1, and so on. If this parameter is a string and there is more than one element with the name or id property equal to the string, the method returns a collection of matching elements.
iSubIndex | Optional. Position of an element to retrieve. This parameter is used when vIndex is a string. The method uses the string to construct a collection of all elements that have a name or id property equal to the string, and then retrieves from this collection the element at the position specified by iSubIndex.

Members

tBodies Members

Remarks

This collection can be indexed by name (ID). If duplicate names are found, a collection of those named items is returned. Collections of duplicate names must be referenced subsequently by ordinal position.

Example

This example shows how to put text in the first cell in the first row of the first TBODY object in the TABLE. For each TABLE, an initial TBODY object is synthesized in the HTML tree even if a TBODY element does not exist in the HTML source.

document.all.oTable.tBodies[0].rows[0].cells[0].innerText =
   "Text for the first table cell";

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

TABLE


TextRectangle Collection

Returns a collection of TextRectangle objects.

Members

TextRectangle Members

Remarks

The collection returns an empty collection for objects that do not have text.

If the window is resized, the collection is not updated. Because the collection is a snapshot of the layout, always update the collection following the onresize event.

The TextRectangle collection is available as of Microsoft® Internet Explorer 5.

Example

This example shows how to use the getClientRects method and the TextRectangle collection to iterate through the lines of text in an object.

<SCRIPT>
function newHighlite(obj) {
  oRcts = obj.getClientRects();
  iLength = oRcts.length
  for (i = 0;i < iLength; i++)
  {
    alert("Line number " + (i + 1) + " is " +
         (oRcts(i).right - oRcts(i).left) + " pixels wide.")
  }
}
</SCRIPT>

See Also

TextRectangle


BackColor Command | IDM_BACKCOLOR Command ID

Sets or retrieves the background color of the current selection.

Scripting Information

Command | BackColor
execCommand vValue | Required. String that specifies one of the color names or red-green-blue (RGB) values in the Color Table.
Applies to | execCommand, queryCommandEnabled, queryCommandIndeterm, queryCommandState, queryCommandSupported, queryCommandValue

C++ Information

Command group | CGID_MSHTML
Symbolic constant | IDM_BACKCOLOR
User interface | None
IOleCommandTarget::Exec parameters
pvaIn | Required. VT_14 or VT_BSTR. Numeric red-green-blue (RGB) color value or color name (such as white or black) taken from the Color Table.
pvaOut | VT_14 or VT_BSTR. Numeric RGB color value or color name (such as white or black) taken from the Color Table.
Header file | Mshtmcid.h
Applies to | IOleCommandTarget::Exec, IOleCommandTarget::QueryStatus

Minimum Availability

Internet Explorer 4.0 and later


BlockDirLTR Command | IDM_BLOCKDIRLTR Command ID

Not supported.


BlockDirRTL Command | IDM_BLOCKDIRRTL Command ID

Not supported.


Bold Command | IDM_BOLD Command ID

Toggles the current selection between bold and nonbold.

Scripting Information

Command | Bold
execCommand vValue | Not applicable.
Applies to | execCommand, queryCommandEnabled, queryCommandIndeterm, queryCommandState, queryCommandSupported, queryCommandValue

C++ Information

Command group | CGID_MSHTML
Symbolic constant | IDM_BOLD
User interface | None
IOleCommandTarget::Exec parameters
pvaIn | Not applicable.
pvaOut | Not applicable.
Header file | Mshtmcid.h
Applies to | IOleCommandTarget::Exec, IOleCommandTarget::QueryStatus

Minimum Availability

Internet Explorer 4.0 and later


BrowseMode Command | IDM_BROWSEMODE Command ID

Not supported.


IECMDID_CLEAR_AUTOCOMPLETE_FOR_FORMS Command ID

Clears saved forms data.

C++ Information

Command group | CGID_InternetExplorer
Symbolic constant | IECMDID_CLEAR_AUTOCOMPLETE_FOR_FORMS
User interface | None
IOleCommandTarget::Exec parameters
pvaIn Required. One of the following values:
  • IECMDID_ARG_CLEAR_FORMS_ALL=0
  • IECMDID_ARG_CLEAR_FORMS_ALL_BUT_PASSWORDS=1
  • IECMDID_ARG_CLEAR_FORMS_PASSWORDS_ONLY=2
    • pvaOut Not applicable.
    Header file | Msiehost.h
    Applies to | IOleCommandTarget::Exec, IOleCommandTarget::QueryStatus

    Minimum Availability

    Internet Explorer 5 and later


Copy Command | IDM_COPY Command ID

Copies the current selection to the clipboard.

Scripting Information

Command | Copy
execCommand vValue | Not applicable.
Applies to | execCommand, queryCommandEnabled, queryCommandIndeterm, queryCommandState, queryCommandSupported, queryCommandValue

C++ Information

Command group | CGID_MSHTML
Symbolic constant | IDM_COPY
User interface | None
IOleCommandTarget::Exec parameters
pvaIn | Not applicable.
pvaOut | Not applicable.
Header file | Mshtmcid.h
Applies to | IOleCommandTarget::Exec, IOleCommandTarget::QueryStatus

Minimum Availability

Internet Explorer 4.0 and later


CreateBookmark Command | IDM_BOOKMARK Command ID

Retrieves the name of a bookmark anchor or creates a bookmark anchor for the current selection or insertion point.

Scripting Information

Command | CreateBookmark
execCommand vValue | Required. String that specifies a valid anchor name. Providing an empty string will create the tag but will leave the anchor name blank.
Applies to | execCommand, queryCommandEnabled, queryCommandIndeterm, queryCommandState, queryCommandSupported, queryCommandValue

C++ Information

Command group | CGID_MSHTML
Symbolic constant | IDM_BOOKMARK
User interface | Yes
IOleCommandTarget::Exec parameters
pvaIn | Required. VT_BSTR that specifies a valid anchor name. Providing an empty string will create the tag but will leave the anchor name blank.
pvaOut | VT_BSTR representing the anchor name of the bookmark.
Header file | Mshtmcid.h
Applies to | IOleCommandTarget::Exec, IOleCommandTarget::QueryStatus

Minimum Availability

Internet Explorer 4.0 and later


CreateLink Command | IDM_HYPERLINK Command ID

Inserts a hyperlink on the current selection.

Scripting Information

Command | CreateLink
execCommand vValue | Required. String that specifies a URL. Providing an empty string will leave the URL blank.
Applies to | execCommand, queryCommandEnabled, queryCommandIndeterm, queryCommandState, queryCommandSupported,

C++ Information

Command group | CGID_MSHTML
Symbolic constant | IDM_HYPERLINK
User interface | Yes.
IOleCommandTarget::Exec parameters
pvaIn | Required. VT_BSTR specifying a URL. Providing an empty string will leave the URL blank.
pvaOut | Not Applicable.
Header file | Mshtmcid.h
Applies to | IOleCommandTarget::Exec, IOleCommandTarget::QueryStatus

Minimum Availability

Internet Explorer 4.0 and later


Cut Command | IDM_CUT Command ID

Copies the current selection to the clipboard and then deletes it.

Scripting Information

Command | Cut
execCommand vValue | Not applicable.
Applies to | execCommand, queryCommandEnabled, queryCommandIndeterm, queryCommandState, queryCommandSupported, queryCommandValue

C++ Information

Command group | CGID_MSHTML
Symbolic constant | IDM_CUT
User interface | None
IOleCommandTarget::Exec parameters
pvaIn | Not applicable.
pvaOut | Not applicable.
Header file | Mshtmcid.h
Applies to | IOleCommandTarget::Exec, IOleCommandTarget::QueryStatus

Minimum Availability

Internet Explorer 4.0 and later


Delete Command | IDM_DELETE Command ID

Deletes the current selection.

Scripting Information

Command | Delete
execCommand vValue | Not applicable.
Applies to | execCommand, queryCommandEnabled, queryCommandIndeterm, queryCommandState, queryCommandSupported, queryCommandValue

C++ Information

Command group | CGID_MSHTML
Symbolic constant | IDM_DELETE
User interface | None
IOleCommandTarget::Exec parameters
pvaIn | Not applicable.
pvaOut | Not applicable.
Header file | Mshtmcid.h
Applies to | IOleCommandTarget::Exec, IOleCommandTarget::QueryStatus

Minimum Availability

Internet Explorer 4.0 and later


DirLTR Command | IDM_DIRLTR Command ID

Not supported.


DirRTL Command | IDM_DIRRTL Command ID

Not supported.


EditMode Command | IDM_EDITMODE Command ID

Not supported.


Find Command | IDM_FIND Command ID

Finds and selects text in the current document.

Scripting Information

Command | Find
execCommand vValue | Required. String that specifies the text to be found.
Applies to | execCommand, queryCommandEnabled, queryCommandIndeterm, queryCommandState, queryCommandSupported, queryCommandValue

C++ Information

Command group | CGID_MSHTML
Symbolic constant | IDM_FIND
User interface | None
IOleCommandTarget::Exec parameters
pvaIn | Required. BSTR specifying the text to be found.
pvaOut | Not applicable.
Header file | Mshtmcid.h
Applies to | IOleCommandTarget::Exec, IOleCommandTarget::QueryStatus

Minimum Availability

Internet Explorer 5 and later


FontName Command | IDM_FONTNAME Command ID

Sets or retrieves the font for the current selection.

Scripting Information

Command | FontName
execCommand vValue | Required. String that specifies a legal font name, as described by the FONT attribute.
Applies to | execCommand, queryCommandEnabled, queryCommandIndeterm, queryCommandState, queryCommandSupported, queryCommandValue

C++ Information

Command group | CGID_MSHTML
Symbolic constant | IDM_FONTNAME
User interface | None
IOleCommandTarget::Exec parameters
pvaIn | Required. VT_BSTR specifying a legal font name, as described by the FONT attribute.
pvaOut | VT_BSTR representing a legal font name, as described by the FONT attribute.
Header file | Mshtmcid.h
Applies to | IOleCommandTarget::Exec, IOleCommandTarget::QueryStatus

Minimum Availability

Internet Explorer 4.0 and later


FontSize Command | IDM_FONTSIZE Command ID

Sets or retrieves the font size for the current selection.

Scripting Information

Command | FontSize
execCommand vValue | Required. String that specifies the font size, as described by the size attribute. This must be a value between 0 and 7, inclusive.
Applies to | execCommand, queryCommandEnabled, queryCommandIndeterm, queryCommandState, queryCommandSupported, queryCommandValue

C++ Information

Command group | CGID_MSHTML
Symbolic constant | IDM_FONTSIZE
User interface | None
IOleCommandTarget::Exec parameters
pvaIn | Required. VT_I4 specifying the font size, as described by the size attribute. This must be a value between 0 and 7, inclusive.
pvaOut | VT_I4 specifying the font size, as described by the size attribute. This will be a value between 0 and 7, inclusive.
Header file | Mshtmcid.h
Applies to | IOleCommandTarget::Exec, IOleCommandTarget::QueryStatus

Minimum Availability

Internet Explorer 4.0 and later


ForeColor Command | IDM_FORECOLOR Command ID

Sets or retrieves the foreground (text) color of the current selection.

Scripting Information

Command | ForeColor
execCommand vValue | Required. String that specifies one of the color names or red-green-blue (RGB) values in the Color Table.
Applies to | execCommand, queryCommandEnabled, queryCommandIndeterm, queryCommandState, queryCommandSupported, queryCommandValue

C++ Information

Command group | CGID_MSHTML
Symbolic constant | IDM_FORECOLOR
User interface | None
IOleCommandTarget::Exec parameters
pvaIn | Required. VT_I4 or VT_BSTR specifying a color. This can be any one of the color names or values given in the Color Table.
pvaOut | VT_I4 or VT_BSTR specifying a color. This will be one of the color names or values given in the Color Table.
Header file | Mshtmcid.h
Applies to | IOleCommandTarget::Exec, IOleCommandTarget::QueryStatus

Minimum Availability

Internet Explorer 4.0 and later


FormatBlock Command | IDM_BLOCKFMT Command ID

Sets or retrieves the current block format tag.

Scripting Information

Command | FormatBlock
execCommand vValue | Optional. String that specifies a valid block formatting tag.
Applies to | execCommand, queryCommandEnabled, queryCommandIndeterm, queryCommandState, queryCommandSupported, queryCommandValue

C++ Information

Command group | CGID_MSHTML
Symbolic constant | IDM_BLOCKFMT
User interface | None
IOleCommandTarget::Exec parameters
pvaIn | Optional. BSTR specifying a valid block format tag.
pvaOut | Optional. BSTR representing a valid block format tag.
Header file | Mshtmcid.h
Applies to | IOleCommandTarget::Exec, IOleCommandTarget::QueryStatus

Remarks

The available block formatting strings may change in subsequent releases of the MSHTML component. Call IOleCommandTarget::Exec with the IDM_GETBLOCKFMTS Command ID to obtain the current list of available block formatting commands that can be passed with the IDM_BLOCKFMT Command ID.

Minimum Availability

Internet Explorer 4 and later


IDM_GETBLOCKFMTS Command ID

Retrieves the strings corresponding to the available block format tags.

C++ Information

Command group | CGID_MSHTML
Symbolic constant | IDM_GETBLOCKFMTS
User interface | None
IOleCommandTarget::Exec parameters
pvaIn | Required. The caller must pass NULL.
pvaOut | Required. The caller must pass a pointer to a SAFEARRAY. Upon successful return, pvaOut points to a SAFEARRAY of BSTR objects. The caller is responsible for releasing the contents of the SAFEARRAY using the SafeArrayDestroyData and SafeArrayDestroy APIs.
Header file | Mshtmcid.h
Applies to | IOleCommandTarget::Exec

Remarks

Use the values returned from this Command ID when calling IOleCommandTarget::Exec with the IDM_BLOCKFMT Command ID.

This Command ID is not available through script.

Minimum Availability

Internet Explorer 4.0 and later.


IDM_FONT Command ID

Changes the text color, font, and font size of the current selection based on entries to the font dialog box.

C++ Information

Command group | CGID_MSHTML
Symbolic constant | IDM_FONT
User interface | Yes.
IOleCommandTarget::Exec parameters
pvaIn | Not applicable.
pvaOut | Not applicable.
Header file | Mshtmcid.h
Applies to | IOleCommandTarget::Exec, IOleCommandTarget::QueryStatus

Minimum Availability

Internet Explorer 4.0 and later


Indent Command | IDM_INDENT Command ID

Increases the indent of the selected text by one indentation increment.

Scripting Information

Command | Indent
execCommand vValue | Not applicable.
Applies to | execCommand, queryCommandEnabled, queryCommandIndeterm, queryCommandState, queryCommandSupported, queryCommandValue

C++ Information

Command group | CGID_MSHTML
Symbolic constant | IDM_INDENT
User interface | None
IOleCommandTarget::Exec parameters
pvaIn | Not applicable.
pvaOut | Not applicable.
Header file | Mshtmcid.h
Applies to | IOleCommandTarget::Exec, IOleCommandTarget::QueryStatus

Minimum Availability

Internet Explorer 4.0 and later


InlineDirLTR Command | IDM_INLINEDIRLTR Command ID

Not supported.


InlineDirRTL Command | IDM_INLINEDIRRTL Command ID

Not supported.


InsertButton Command | IDM_BUTTON Command ID

Overwrites a button control on the current selection.

Scripting Information

Command | InsertButton
execCommand vValue | Optional. String that specifies an identifier for the button control.
Applies to | execCommand, queryCommandEnabled, queryCommandIndeterm, queryCommandState, queryCommandSupported, queryCommandValue

C++ Information

Command group | CGID_MSHTML
Symbolic constant | IDM_BUTTON
User interface | None
IOleCommandTarget::Exec parameters
pvaIn | Optional. String that specifies an identifier for the button control.
pvaOut | Not applicable.
Header file | Mshtmcid.h
Applies to | IOleCommandTarget::Exec, IOleCommandTarget::QueryStatus

Minimum Availability

Internet Explorer 4.0 and later


InsertFieldset Command | IDM_INSFIELDSET Command ID

Overwrites a box on the current selection.

Scripting Information

Command | InsertFieldset
execCommand vValue | Optional. String that specifies an identifier for the box.
Applies to | execCommand, queryCommandEnabled, queryCommandIndeterm, queryCommandState, queryCommandSupported, queryCommandValue

C++ Information

Command group | CGID_MSHTML
Symbolic constant | IDM_INSFIELDSET
User interface | None
IOleCommandTarget::Exec parameters
pvaIn | Optional. String that specifies an identifier for the box.
pvaOut | Not applicable.
Header file | Mshtmcid.h
Applies to | IOleCommandTarget::Exec, IOleCommandTarget::QueryStatus

Minimum Availability

Internet Explorer 4.0 and later


InsertHorizontalRule Command | IDM_HORIZONTALLINE Command ID

Overwrites a horizontal line on the current selection.

Scripting Information

Command | InsertHorizontalRule
execCommand vValue | Not applicable.
Applies to | execCommand, queryCommandEnabled, queryCommandIndeterm, queryCommandState, queryCommandSupported, queryCommandValue

C++ Information

Command group | CGID_MSHTML
Symbolic constant | IDM_HORIZONTALLINE
User interface | None
IOleCommandTarget::Exec parameters
pvaIn | Optional. String that specifies an identifier for the horizontal line.
pvaOut | Not applicable.
Header file | Mshtmcid.h
Applies to | IOleCommandTarget::Exec, IOleCommandTarget::QueryStatus

Minimum Availability

Internet Explorer 4.0 and later


InsertIFrame Command | IDM_IFRAME Command ID

Overwrites an inline frame on the current selection.

Scripting Information

Command | InsertIFrame
execCommand vValue | Optional. String that specifies an identifier for the inline frame.
Applies to | execCommand, queryCommandEnabled, queryCommandIndeterm, queryCommandState, queryCommandSupported, queryCommandValue

C++ Information

Command group | CGID_MSHTML
Symbolic constant | IDM_IFRAME
User interface | None
IOleCommandTarget::Exec parameters
pvaIn | Optional. String that specifies an identifier for the inline frame.
pvaOut | Not applicable.
Header file | Mshtmcid.h
Applies to | IOleCommandTarget::Exec, IOleCommandTarget::QueryStatus

Minimum Availability

Internet Explorer 4.0 and later


InsertImage Command | IDM_IMAGE Command ID

Overwrites an image on the current selection.

Scripting Information

Command | InsertImage
execCommand vValue | Optional. String that specifies the path and name of the image file to be inserted.
Applies to | execCommand, queryCommandEnabled, queryCommandIndeterm, queryCommandState, queryCommandSupported, queryCommandValue

C++ Information

Command group | CGID_MSHTML
Symbolic constant | IDM_IMAGE
User interface | Yes
IOleCommandTarget::Exec parameters
pvaIn | Optional. VT_BSTR that specifies the path and file name of the image to be inserted. If the default UI is toggled on, this parameter is ignored.
pvaOut | Not applicable.
Header file | Mshtmcid.h
Applies to | IOleCommandTarget::Exec, IOleCommandTarget::QueryStatus

Remarks

If no path is provided for the image file, the path will default to the location of the current document.

Minimum Availability

Internet Explorer 5 and later


InsertInputButton Command | IDM_INSINPUTBUTTON Command ID

Overwrites a button control on the current selection.

Scripting Information

Command | InsertInputButton
execCommand vValue | Optional. String that specifies an identifier for the button control.
Applies to | execCommand, queryCommandEnabled, queryCommandIndeterm, queryCommandState, queryCommandSupported, queryCommandValue

C++ Information

Command group | CGID_MSHTML
Symbolic constant | IDM_INSINPUTBUTTON
User interface | None
IOleCommandTarget::Exec parameters
pvaIn | Optional. String that specifies an identifier for the button control.
pvaOut | Not applicable.
Header file | Mshtmcid.h
Applies to | IOleCommandTarget::Exec, IOleCommandTarget::QueryStatus

Minimum Availability

Internet Explorer 4.0 and later


InsertInputCheckbox Command | IDM_CHECKBOX Command ID

Overwrites a check box control on the current selection.

Scripting Information

Command | InsertInputCheckbox
execCommand vValue | Optional. String that specifies an identifier for the check box control.
Applies to | execCommand, queryCommandEnabled, queryCommandIndeterm, queryCommandState, queryCommandSupported, queryCommandValue

C++ Information

Command group | CGID_MSHTML
Symbolic constant | IDM_CHECKBOX
User interface | None
IOleCommandTarget::Exec parameters
pvaIn | Optional. String that specifies an identifier for the check box control.
pvaOut | Not applicable.
Header file | Mshtmcid.h
Applies to | IOleCommandTarget::Exec, IOleCommandTarget::QueryStatus

Minimum Availability

Internet Explorer 4.0 and later


InsertInputFileUpload Command | IDM_INSINPUTUPLOAD Command ID

Overwrites a file upload control on the current selection.

Scripting Information

Command | InsertInputFileUpload
execCommand vValue | Optional. String that specifies an identifier for the file upload control.
Applies to | execCommand, queryCommandEnabled, queryCommandIndeterm, queryCommandState, queryCommandSupported, queryCommandValue

C++ Information

Command group | CGID_MSHTML
Symbolic constant | IDM_INSINPUTUPLOAD
User interface | None
IOleCommandTarget::Exec parameters
pvaIn | Optional. String that specifies an identifier for the file upload control.
pvaOut | Not applicable.
Header file | Mshtmcid.h
Applies to | IOleCommandTarget::Exec, IOleCommandTarget::QueryStatus

Minimum Availability

Internet Explorer 4.0 and later


InsertInputHidden Command | IDM_INSINPUTHIDDEN Command ID

Inserts a hidden control on the current selection.

Scripting Information

Command | InsertInputHidden
execCommand vValue | Not applicable.
Applies to | execCommand, queryCommandEnabled, queryCommandIndeterm, queryCommandState, queryCommandSupported, queryCommandValue

C++ Information

Command group | CGID_MSHTML
Symbolic constant | IDM_INSINPUTHIDDEN
User interface | None
IOleCommandTarget::Exec parameters
pvaIn | Optional. String that specifies an identifier for the hidden control.
pvaOut | Not applicable.
Header file | Mshtmcid.h
Applies to | IOleCommandTarget::Exec, IOleCommandTarget::QueryStatus

Minimum Availability

Internet Explorer 4.0 and later


InsertInputImage Command | IDM_INSINPUTIMAGE Command ID

Overwrites an image control on the current selection.

Scripting Information

Command | InsertInputImage
execCommand vValue | Optional. String that specifies an identifier for the image control.
Applies to | execCommand, queryCommandEnabled, queryCommandIndeterm, queryCommandState, queryCommandSupported, queryCommandValue

C++ Information

Command group | CGID_MSHTML
Symbolic constant | IDM_INSINPUTIMAGE
User interface | None
IOleCommandTarget::Exec parameters
pvaIn | Optional. String that specifies an identifier for the image control.
pvaOut | Not applicable.
Header file | Mshtmcid.h
Applies to | IOleCommandTarget::Exec, IOleCommandTarget::QueryStatus

Minimum Availability

Internet Explorer 4.0 and later


InsertInputPassword Command | IDM_INSINPUTPASSWORD Command ID

Overwrites a password control on the current selection.

Scripting Information

Command | InsertInputPassword
execCommand vValue | Not applicable.
Applies to | execCommand, queryCommandEnabled, queryCommandIndeterm, queryCommandState, queryCommandSupported, queryCommandValue

C++ Information

Command group | CGID_MSHTML
Symbolic constant | IDM_INSINPUTPASSWORD
User interface | None
IOleCommandTarget::Exec parameters
pvaIn | Optional. String that specifies an identifier for the password control.
pvaOut | Not applicable.
Header file | Mshtmcid.h
Applies to | IOleCommandTarget::Exec, IOleCommandTarget::QueryStatus

Minimum Availability

Internet Explorer 4.0 and later


InsertInputRadio Command | IDM_RADIOBUTTON Command ID

Overwrites a radio control on the current selection.

Scripting Information

Command | InsertInputRadio
execCommand vValue | Optional. String that specifies an identifier for the radio control.
Applies to | execCommand, queryCommandEnabled, queryCommandIndeterm, queryCommandState, queryCommandSupported, queryCommandValue

C++ Information

Command group | CGID_MSHTML
Symbolic constant | IDM_RADIOBUTTON
User interface | None
IOleCommandTarget::Exec parameters
pvaIn | Optional. String that specifies an identifier for the radio control.
pvaOut | Not applicable.
Header file | Mshtmcid.h
Applies to | IOleCommandTarget::Exec, IOleCommandTarget::QueryStatus

Minimum Availability

Internet Explorer 4.0 and later


InsertInputReset Command | IDM_INSINPUTRESET Command ID

Overwrites a reset control on the current selection.

Scripting Information

Command | InsertInputReset
execCommand vValue | Optional. String that specifies an identifier for the reset control.
Applies to | execCommand, queryCommandEnabled, queryCommandIndeterm, queryCommandState, queryCommandSupported, queryCommandValue

C++ Information

Command group | CGID_MSHTML
Symbolic constant | IDM_INSINPUTRESET
User interface | None
IOleCommandTarget::Exec parameters
pvaIn | Optional. String that specifies an identifier for the reset control.
pvaOut | Not applicable.
Header file | Mshtmcid.h
Applies to | IOleCommandTarget::Exec, IOleCommandTarget::QueryStatus

Minimum Availability

Internet Explorer 4.0 and later


InsertInputSubmit Command | IDM_INSINPUTSUBMIT Command ID

Overwrites a submit control on the current selection.

Scripting Information

Command | InsertInputSubmit
execCommand vValue | Optional. String that specifies an identifier for the submit control.
Applies to | execCommand, queryCommandEnabled, queryCommandIndeterm, queryCommandState, queryCommandSupported, queryCommandValue

C++ Information

Command group | CGID_MSHTML
Symbolic constant | IDM_INSINPUTSUBMIT
User interface | None
IOleCommandTarget::Exec parameters
pvaIn | Optional. String that specifies an identifier for the submit control.
pvaOut | Not applicable.
Header file | Mshtmcid.h
Applies to | IOleCommandTarget::Exec, IOleCommandTarget::QueryStatus

Minimum Availability

Internet Explorer 4.0 and later


InsertInputText Command | IDM_TEXTBOX Command ID

Overwrites a text control on the current selection.

Scripting Information

Command | InsertInputText
execCommand vValue | Optional. String that specifies an identifier for the text control.
Applies to | execCommand, queryCommandEnabled, queryCommandIndeterm, queryCommandState, queryCommandSupported, queryCommandValue

C++ Information

Command group | CGID_MSHTML
Symbolic constant | IDM_TEXTBOX
User interface | None
IOleCommandTarget::Exec parameters
pvaIn | Optional. String that specifies an identifier for the text control.
pvaOut | Not applicable.
Header file | Mshtmcid.h
Applies to | IOleCommandTarget::Exec, IOleCommandTarget::QueryStatus

Minimum Availability

Internet Explorer 4.0 and later


InsertMarquee Command | IDM_MARQUEE Command ID

Overwrites an empty marquee on the current selection.

Scripting Information

Command | InsertMarquee
execCommand vValue | Optional. String that specifies an identifier for the marquee.
Applies to | execCommand, queryCommandEnabled, queryCommandIndeterm, queryCommandState, queryCommandSupported, queryCommandValue

C++ Information

Command group | CGID_MSHTML
Symbolic constant | IDM_MARQUEE
User interface | None
IOleCommandTarget::Exec parameters
pvaIn | Optional. String that specifies an identifier for the marquee.
pvaOut | Not applicable.
Header file | Mshtmcid.h
Applies to | IOleCommandTarget::Exec, IOleCommandTarget::QueryStatus

Minimum Availability

Internet Explorer 4.0 and later


InsertOrderedList Command | IDM_ORDERLIST Command ID

Toggles the current selection between an ordered list and a normal format block.

Scripting Information

Command | InsertOrderedList
execCommand vValue | Optional. String that specifies an identifier for the ordered list.
Applies to | execCommand, queryCommandEnabled, queryCommandIndeterm, queryCommandState, queryCommandSupported, queryCommandValue

C++ Information

Command group | CGID_MSHTML
Symbolic constant | IDM_ORDERLIST
User interface | None
IOleCommandTarget::Exec parameters
pvaIn | Optional. String that specifies an identifier for the ordered list.
pvaOut | Not applicable.
Header file | Mshtmcid.h
Applies to | IOleCommandTarget::Exec, IOleCommandTarget::QueryStatus

Minimum Availability

Internet Explorer 4.0 and later

Remarks

If the previous format block is already an ordered list, this command identifier will append the current format block to that previous ordered list.


InsertParagraph Command | IDM_PARAGRAPH Command ID

Overwrites a line break on the current selection.

Scripting Information

Command | InsertParagraph
execCommand vValue | Optional. String that specifies an identifier for the paragraph.
Applies to | execCommand, queryCommandEnabled, queryCommandIndeterm, queryCommandState, queryCommandSupported, queryCommandValue

C++ Information

Command group | CGID_MSHTML
Symbolic constant | IDM_PARAGRAPH
User interface | None
IOleCommandTarget::Exec parameters
pvaIn | Optional. String that specifies an identifier for the paragraph.
pvaOut | Not applicable.
Header file | Mshtmcid.h
Applies to | IOleCommandTarget::Exec, IOleCommandTarget::QueryStatus

Minimum Availability

Internet Explorer 4.0 and later


InsertSelectDropdown Command | IDM_DROPDOWNBOX Command ID

Overwrites a drop-down selection control on the current selection.

Scripting Information

Command | InsertSelectDropdown
execCommand vValue | Optional. String that specifies an identifier for the drop-down selection control.
Applies to | execCommand, queryCommandEnabled, queryCommandIndeterm, queryCommandState, queryCommandSupported, queryCommandValue

C++ Information

Command group | CGID_MSHTML
Symbolic constant | IDM_DROPDOWNBOX
User interface | None
IOleCommandTarget::Exec parameters
pvaIn | Optional. String that specifies an identifier for the drop-down selection control.
pvaOut | Not applicable.
Header file | Mshtmcid.h
Applies to | IOleCommandTarget::Exec, IOleCommandTarget::QueryStatus

Minimum Availability

Internet Explorer 4.0 and later


InsertSelectListbox Command | IDM_LISTBOX Command ID

Overwrites a list box selection control on the current selection.

Scripting Information

Command | InsertSelectListbox
execCommand vValue | Optional. String that specifies an identifier for the list box selection control.
Applies to | execCommand, queryCommandEnabled, queryCommandIndeterm, queryCommandState, queryCommandSupported, queryCommandValue

C++ Information

Command group | CGID_MSHTML
Symbolic constant | IDM_LISTBOX
User interface | None
IOleCommandTarget::Exec parameters
pvaIn | Optional. String that specifies an identifier for the list box selection control.
pvaOut | Not applicable.
Header file | Mshtmcid.h
Applies to | IOleCommandTarget::Exec, IOleCommandTarget::QueryStatus

Minimum Availability

Internet Explorer 4.0 and later


InsertTextArea Command | IDM_TEXTAREA Command ID

Overwrites a multiline text input control on the current selection.

Scripting Information

Command | InsertTextArea
execCommand vValue | Optional. String that specifies an identifier for the text input control.
Applies to | execCommand, queryCommandEnabled, queryCommandIndeterm, queryCommandState, queryCommandSupported, queryCommandValue

C++ Information

Command group | CGID_MSHTML
Symbolic constant | IDM_TEXTAREA
User interface | None
IOleCommandTarget::Exec parameters
pvaIn | Optional. String that specifies an identifier for the text input control.
pvaOut | Not applicable.
Header file | Mshtmcid.h
Applies to | IOleCommandTarget::Exec, IOleCommandTarget::QueryStatus

Minimum Availability

Internet Explorer 4.0 and later


InsertUnorderedList Command | IDM_UNORDERLIST Command ID

Toggles the current selection between an ordered list and a normal format block.

Scripting Information

Command | InsertUnorderedList
execCommand vValue | Optional. String that specifies an identifier for the unordered list.
Applies to | execCommand, queryCommandEnabled, queryCommandIndeterm, queryCommandState, queryCommandSupported, queryCommandValue

C++ Information

Command group | CGID_MSHTML
Symbolic constant | IDM_UNORDERLIST
User interface | None
IOleCommandTarget::Exec parameters
pvaIn | Optional. String that specifies an identifier for the unordered list.
pvaOut | Not applicable.
Header file | Mshtmcid.h
Applies to | IOleCommandTarget::Exec, IOleCommandTarget::QueryStatus

Minimum Availability

Internet Explorer 4.0 and later

Remarks

If the previous format block is already an ordered list, this command identifier will append the current format block to that previous ordered list.


Italic Command | IDM_ITALIC Command ID

Toggles the current selection between italic and nonitalic.

Scripting Information

Command | Italic
execCommand vValue | Not applicable.
Applies to | execCommand, queryCommandEnabled, queryCommandIndeterm, queryCommandState, queryCommandSupported, queryCommandValue

C++ Information

Command group | CGID_MSHTML
Symbolic constant | IDM_ITALIC
User interface | None
IOleCommandTarget::Exec parameters
pvaIn | Not applicable.
pvaOut | Not applicable.
Header file | Mshtmcid.h
Applies to | IOleCommandTarget::Exec, IOleCommandTarget::QueryStatus

Minimum Availability

Internet Explorer 4.0 and later


JustifyCenter Command | IDM_JUSTIFYCENTER Command ID

Centers the format block in which the current selection is located.

Scripting Information

Command | JustifyCenter
execCommand vValue | Not applicable.
Applies to | execCommand, queryCommandEnabled, queryCommandIndeterm, queryCommandState, queryCommandSupported, queryCommandValue

C++ Information

Command group | CGID_MSHTML
Symbolic constant | IDM_JUSTIFYCENTER
User interface | None
IOleCommandTarget::Exec parameters
pvaIn | Not applicable.
pvaOut | Not applicable.
Header file | Mshtmcid.h
Applies to | IOleCommandTarget::Exec, IOleCommandTarget::QueryStatus

Minimum Availability

Internet Explorer 4.0 and later


JustifyFull Command | IDM_JUSTIFYFULL Command ID

Not supported.


JustifyLeft Command | IDM_JUSTIFYLEFT Command ID

Left-justifies the format block in which the current selection is located.

Scripting Information

Command | JustifyLeft
execCommand vValue | Not applicable.
Applies to | execCommand, queryCommandEnabled, queryCommandIndeterm, queryCommandState, queryCommandSupported, queryCommandValue

C++ Information

Command group | CGID_MSHTML
Symbolic constant | IDM_JUSTIFYLEFT
User interface | None
IOleCommandTarget::Exec parameters
pvaIn | Not applicable.
pvaOut | Not applicable.
Header file | Mshtmcid.h
Applies to | IOleCommandTarget::Exec, IOleCommandTarget::QueryStatus

Minimum Availability

Internet Explorer 4.0 and later


JustifyNone Command | IDM_JUSTIFYNONE Command ID

Not supported.


JustifyRight Command | IDM_JUSTIFYRIGHT Command ID

Right-justifies the format block in which the current selection is located.

Scripting Information

Command | JustifyRight
execCommand vValue | Not applicable.
Applies to | execCommand, queryCommandEnabled, queryCommandIndeterm, queryCommandState, queryCommandSupported, queryCommandValue

C++ Information

Command group | CGID_MSHTML
Symbolic constant | IDM_JUSTIFYRIGHT
User interface | None
IOleCommandTarget::Exec parameters
pvaIn | Not applicable.
pvaOut | Not applicable.
Header file | Mshtmcid.h
Applies to | IOleCommandTarget::Exec, IOleCommandTarget::QueryStatus

Minimum Availability

Internet Explorer 4.0 and later


Open Command | IDM_OPEN Command ID

Not supported.


Outdent Command | IDM_OUTDENT Command ID

Decreases by one increment the indentation of the format block in which the current selection is located.

Scripting Information

Command | Outdent
execCommand vValue | Not applicable.
Applies to | execCommand, queryCommandEnabled, queryCommandIndeterm, queryCommandState, queryCommandSupported, queryCommandValue

C++ Information

Command group | CGID_MSHTML
Symbolic constant | IDM_OUTDENT
User interface | None
IOleCommandTarget::Exec parameters
pvaIn | Not applicable.
pvaOut | Not applicable.
Header file | Mshtmcid.h
Applies to | IOleCommandTarget::Exec, IOleCommandTarget::QueryStatus

Minimum Availability

Internet Explorer 4.0 and later


OverWrite Command | IDM_OVERWRITE Command ID

Toggles the text-entry mode between insert and overwrite.

Scripting Information

Command | OverWrite
execCommand vValue | Optional. Boolean that specifies the text-entry mode. If the value is set to true (the default), the text-entry mode is overwrite. If set to false, it is insert.
Applies to | execCommand, queryCommandEnabled, queryCommandIndeterm, queryCommandState, queryCommandSupported, queryCommandValue

C++ Information

Command group | CGID_MSHTML
Symbolic constant | IDM_OVERWRITE
User interface | None
IOleCommandTarget::Exec parameters
pvaIn | Optional. VT_BOOL. If this value is set to true (the default), the text-entry mode is overwrite. If this value is set to false, the text-entry mode is insert.
pvaOut | Not applicable.
Header file | Mshtmcid.h
Applies to | IOleCommandTarget::Exec, IOleCommandTarget::QueryStatus

Minimum Availability

Internet Explorer 4.0 and later


Paste Command | IDM_PASTE Command ID

Overwrites the contents of the clipboard on the current selection.

Scripting Information

Command | Paste
execCommand vValue | Not applicable.
Applies to | execCommand, queryCommandEnabled, queryCommandIndeterm, queryCommandState, queryCommandSupported, queryCommandValue

C++ Information

Command group | CGID_MSHTML
Symbolic constant | IDM_PASTE
User interface | None
IOleCommandTarget::Exec parameters
pvaIn | Not applicable.
pvaOut | Not applicable.
Header file | Mshtmcid.h
Applies to | IOleCommandTarget::Exec, IOleCommandTarget::QueryStatus

Minimum Availability

Internet Explorer 4.0 and later


PlayImage Command | IDM_DYNSRCPLAY Command ID

Not supported.


Print Command | IDM_PRINT Command ID

Not supported.


Redo Command | IDM_REDO Command ID

Not supported.


Refresh Command | IDM_REFRESH Command ID

Refreshes the current document.

Scripting Information

Command | Refresh
execCommand vValue | Not applicable.
Applies to | execCommand, queryCommandEnabled, queryCommandIndeterm, queryCommandState, queryCommandSupported, queryCommandValue

C++ Information

Command group | CGID_MSHTML
Symbolic constant | IDM_REFRESH
User interface | None
IOleCommandTarget::Exec parameters
pvaIn | Not applicable.
pvaOut | Not applicable.
Header file | Mshtmcid.h
Applies to | IOleCommandTarget::Exec, IOleCommandTarget::QueryStatus

Minimum Availability

Internet Explorer 4.0 and later


RemoveFormat Command | IDM_REMOVEFORMAT Command ID

Removes the formatting tags from the current selection.

Scripting Information

Command | RemoveFormat
execCommand vValue | Not applicable.
Applies to | execCommand, queryCommandEnabled, queryCommandIndeterm, queryCommandState, queryCommandSupported, queryCommandValue

C++ Information

Command group | CGID_MSHTML
Symbolic constant | IDM_REMOVEFORMAT
User interface | None
IOleCommandTarget::Exec parameters
pvaIn | Not applicable.
pvaOut | Not applicable.
Header file | Mshtmcid.h
Applies to | IOleCommandTarget::Exec, IOleCommandTarget::QueryStatus

Minimum Availability

Internet Explorer 4.0 and later


RemoveParaFormat Command | IDM_REMOVEPARAFORMAT Command ID

Not supported.


SaveAs Command | IDM_SAVEAS Command ID

Not supported.


SelectAll Command | IDM_SELECTALL Command ID

Selects the entire document.

Scripting Information

Command | SelectAll
execCommand vValue | Not applicable.
Applies to | execCommand, queryCommandEnabled, queryCommandIndeterm, queryCommandState, queryCommandSupported, queryCommandValue

C++ Information

Command group | CGID_MSHTML
Symbolic constant | IDM_SELECTALL
User interface | None
IOleCommandTarget::Exec parameters
pvaIn | Not applicable.
pvaOut | Not applicable.
Header file | Mshtmcid.h
Applies to | IOleCommandTarget::Exec, IOleCommandTarget::QueryStatus

Minimum Availability

Internet Explorer 4.0 and later


SizeToControl Command | IDM_SIZETOCONTROL Command ID

Not supported.


SizeToControlHeight Command | IDM_SIZETOCONTROLHEIGHT Command ID

Not supported.


SizeToControlWidth Command | IDM_SIZETOCONTROLWIDTH Command ID

Not supported.


Stop Command | IDM_STOP Command ID

Not supported.


StopImage Command | IDM_DYNSRCSTOP Command ID

Not supported.


StrikeThrough Command | IDM_STRIKETHROUGH Command ID

Not supported.


SuperScript Command | IDM_SUPERSCRIPT Command ID

Not supported.


UnBookmark Command | IDM_UNBOOKMARK Command ID

Removes any bookmark from the current selection.

Scripting Information

Command | UnBookmark
execCommand vValue | Not applicable.
Applies to | execCommand, queryCommandEnabled, queryCommandIndeterm, queryCommandState, queryCommandSupported, queryCommandValue

C++ Information

Command group | CGID_MSHTML
Symbolic constant | IDM_UNBOOKMARK
User interface | None
IOleCommandTarget::Exec parameters
pvaIn | Not applicable.
pvaOut | Not applicable.
Header file | Mshtmcid.h
Applies to | IOleCommandTarget::Exec, IOleCommandTarget::QueryStatus

Minimum Availability

Internet Explorer 4.0 and later


Underline Command | IDM_UNDERLINE Command ID

Toggles the current selection between underlined and not underlined.

Scripting Information

Command | Underline
execCommand vValue | Not applicable.
Applies to | execCommand, queryCommandEnabled, queryCommandIndeterm, queryCommandState, queryCommandSupported, queryCommandValue

C++ Information

Command group | CGID_MSHTML
Symbolic constant | IDM_UNDERLINE
User interface | None
IOleCommandTarget::Exec parameters
pvaIn | Not applicable.
pvaOut | Not applicable.
Header file | Mshtmcid.h
Applies to | IOleCommandTarget::Exec, IOleCommandTarget::QueryStatus

Minimum Availability

Internet Explorer 4.0 and later


Undo Command | UNDO Command ID

Not supported.


Unlink Command | IDM_UNLINK Command ID

Removes any hyperlink from the current selection.

Scripting Information

Command | Unlink
execCommand vValue | Not applicable.
Applies to | execCommand, queryCommandEnabled, queryCommandIndeterm, queryCommandState, queryCommandSupported, queryCommandValue

C++ Information

Command group | CGID_MSHTML
Symbolic constant | IDM_UNLINK
User interface | None
IOleCommandTarget::Exec parameters
pvaIn | Not applicable.
pvaOut | Not applicable.
Header file | Mshtmcid.h
Applies to | IOleCommandTarget::Exec, IOleCommandTarget::QueryStatus

Minimum Availability

Internet Explorer 4.0 and later


Unselect Command | IDM_CLEARSELECTION Command ID

Clears the current selection.

Scripting Information

Command | Unselect
execCommand vValue | Not applicable.
Applies to | execCommand, queryCommandEnabled, queryCommandIndeterm, queryCommandState, queryCommandSupported, queryCommandValue

C++ Information

Command group | CGID_MSHTML
Symbolic constant | IDM_CLEARSELECTION
User interface | None
IOleCommandTarget::Exec parameters
pvaIn | Not applicable.
pvaOut | Not applicable.
Header file | Mshtmcid.h
Applies to | IOleCommandTarget::Exec, IOleCommandTarget::QueryStatus

Minimum Availability

Internet Explorer 4.0 and later


A Element | A Object Members

Designates the start or destination of a hypertext link.

Properties

accessKey , canHaveChildren , className , clientHeight , clientLeft , clientTop , clientWidth , currentStyle , dataFld , dataSrc , dir , firstChild , hash , host , hostname , href , id , innerHTML , innerText , isTextEdit , lang , language , lastChild , Methods , name , nameProp , nextSibling , nodeName , nodeType , nodeValue , offsetHeight , offsetLeft , offsetParent , offsetTop , offsetWidth , outerHTML , outerText , parentElement , parentNode , parentTextEdit , pathname , port , previousSibling , protocol , readyState , recordNumber , rel , rev , runtimeStyle , scopeName , scrollHeight , scrollLeft , scrollTop , scrollWidth , search , sourceIndex , style , tabIndex , tagName , tagUrn , target , title , uniqueID , urn

Methods

addBehavior , appendChild , applyElement , attachEvent , blur , clearAttributes , click , cloneNode , componentFromPoint , contains , detachEvent , focus , getAdjacentText , getAttribute , getBoundingClientRect , getClientRects , getElementsByTagName , getExpression , hasChildNodes , insertAdjacentElement , insertAdjacentHTML , insertAdjacentText , insertBefore , mergeAttributes , releaseCapture , removeAttribute , removeBehavior , removeChild , removeExpression , removeNode , replaceAdjacentText , replaceChild , replaceNode , scrollIntoView , setAttribute , setCapture , setExpression , swapNode

Events

onbeforecopy , onbeforecut , onbeforeeditfocus , onbeforepaste , onblur , onclick , oncontextmenu , oncopy , oncut , ondblclick , ondrag , ondragend , ondragenter , ondragleave , ondragover , ondragstart , ondrop , onfocus , onhelp , onkeydown , onkeypress , onkeyup , onlosecapture , onmousedown , onmousemove , onmouseout , onmouseover , onmouseup , onpaste , onpropertychange , onreadystatechange , onresize , onselectstart

Collections

all , attributes , behaviorUrns , childNodes , children

Behaviors

anchor , clientCaps , download , homePage , httpFolder , saveFavorite , saveHistory , saveSnapshot , time , userData

Styles

width padding-right padding cursor visibility font-style text-autospace left overflow-x font-variant overflow-y link background direction position background-position clear visited word-spacing top padding-left hover layout-grid-mode padding-bottom right font-size overflow letter-spacing display float font-family active behavior background-repeat text-transform background-image bottom clip text-decoration color z-index font font-weight background-color unicode-bidi line-height layout-grid padding-top


ACRONYM Element | ACRONYM Object Members

Indicates an acronym abbreviation.

Properties

accessKey , canHaveChildren , className , currentStyle , dir , firstChild , id , innerHTML , innerText , isTextEdit , lang , language , lastChild , nextSibling , nodeName , nodeType , nodeValue , offsetHeight , offsetLeft , offsetParent , offsetTop , offsetWidth , outerHTML , outerText , parentElement , parentNode , parentTextEdit , previousSibling , readyState , recordNumber , runtimeStyle , scopeName , sourceIndex , style , tabIndex , tagName , tagUrn , title , uniqueID

Methods

addBehavior , appendChild , applyElement , attachEvent , blur , clearAttributes , cloneNode , componentFromPoint , detachEvent , focus , getAdjacentText , getBoundingClientRect , getClientRects , getElementsByTagName , getExpression , hasChildNodes , insertAdjacentElement , insertBefore , mergeAttributes , removeBehavior , removeChild , removeExpression , removeNode , replaceAdjacentText , replaceChild , replaceNode , setExpression , swapNode

Events

onblur , ondrag , ondragend , ondragenter , ondragleave , ondragover , ondragstart , ondrop , onfocus , onkeydown , onkeypress , onkeyup , onreadystatechange , onselectstart

Collections

all , attributes , behaviorUrns , childNodes , children

Behaviors

clientCaps , download , homePage , httpFolder , saveFavorite , saveHistory , saveSnapshot , time , userData

Styles

width direction overflow padding-right display padding unicode-bidi behavior padding-left layout-grid layout-grid-mode text-autospace padding-top overflow-x padding-bottom overflow-y


ADDRESS Element | ADDRESS Object Members

Specifies information, such as address, signature, and authorship, of the current document.

Properties

accessKey , canHaveChildren , className , clientHeight , clientLeft , clientTop , clientWidth , currentStyle , dir , firstChild , id , innerHTML , innerText , isTextEdit , lang , language , lastChild , nextSibling , nodeName , nodeType , nodeValue , offsetHeight , offsetLeft , offsetParent , offsetTop , offsetWidth , outerHTML , outerText , parentElement , parentNode , parentTextEdit , previousSibling , readyState , recordNumber , runtimeStyle , scopeName , scrollHeight , scrollLeft , scrollTop , scrollWidth , sourceIndex , style , tabIndex , tagName , tagUrn , title , uniqueID

Methods

addBehavior , appendChild , applyElement , attachEvent , blur , clearAttributes , click , cloneNode , componentFromPoint , contains , detachEvent , focus , getAdjacentText , getAttribute , getBoundingClientRect , getClientRects , getElementsByTagName , getExpression , hasChildNodes , insertAdjacentElement , insertAdjacentHTML , insertAdjacentText , insertBefore , mergeAttributes , releaseCapture , removeAttribute , removeBehavior , removeChild , removeExpression , removeNode , replaceAdjacentText , replaceChild , replaceNode , scrollIntoView , setAttribute , setCapture , setExpression , swapNode

Events

onbeforecopy , onbeforecut , onbeforepaste , onblur , onclick , oncontextmenu , oncopy , oncut , ondblclick , ondrag , ondragend , ondragenter , ondragleave , ondragover , ondragstart , ondrop , onfocus , onhelp , onkeydown , onkeypress , onkeyup , onlosecapture , onmousedown , onmousemove , onmouseout , onmouseover , onmouseup , onpaste , onpropertychange , onreadystatechange , onresize , onselectstart

Collections

all , attributes , behaviorUrns , childNodes , children

Behaviors

clientCaps , download , homePage , httpFolder , saveFavorite , saveHistory , saveSnapshot , time , userData

Styles

width font-size overflow padding-right letter-spacing float display padding font-family cursor behavior word-break text-transform background-repeat background-image bottom visibility font-style clip text-autospace left overflow-x font-variant text-decoration overflow-y line-break background color direction z-index text-justify position background-position clear font unicode-bidi background-color font-weight word-spacing line-height top padding-left layout-grid layout-grid-mode padding-top padding-bottom right


all Collection Members

Returns a reference to the collection of elements contained by the object.

Properties

length

Methods

item , tags , urns


anchors Collection Members

Retrieves a collection of all A objects that have a name and/or id property. Objects in this collection are in HTML source order.

Properties

length

Methods

item , tags , urns


APPLET Element | APPLET Object Members

Places executable content on the page.

Properties

accessKey , align , altHTML , className , clientHeight , clientLeft , clientTop , clientWidth , codeBase , currentStyle , dataFld , dataSrc , disabled , firstChild , hspace , id , isTextEdit , lang , language , lastChild , name , nextSibling , nodeName , nodeType , nodeValue , offsetHeight , offsetLeft , offsetParent , offsetTop , offsetWidth , outerHTML , outerText , parentElement , parentNode , parentTextEdit , previousSibling , readyState , recordNumber , runtimeStyle , scopeName , scrollHeight , scrollLeft , scrollTop , scrollWidth , sourceIndex , src , style , tabIndex , tagName , tagUrn , title , uniqueID , vspace

Methods

addBehavior , applyElement , attachEvent , blur , clearAttributes , click , cloneNode , componentFromPoint , contains , detachEvent , focus , getAdjacentText , getAttribute , getBoundingClientRect , getClientRects , getElementsByTagName , hasChildNodes , insertAdjacentElement , mergeAttributes , namedRecordset , releaseCapture , removeAttribute , removeBehavior , removeExpression , replaceAdjacentText , scrollIntoView , setAttribute , setCapture , setExpression , swapNode

Events

onbeforecut , onbeforeeditfocus , onbeforepaste , onblur , oncellchange , onclick , oncontextmenu , oncut , ondataavailable , ondatasetchanged , ondatasetcomplete , ondblclick , onfocus , onhelp , onkeydown , onkeypress , onkeyup , onload , onlosecapture , onmousedown , onmousemove , onmouseout , onmouseover , onmouseup , onpaste , onpropertychange , onreadystatechange , onresize , onrowenter , onrowexit , onrowsdelete , onrowsinserted , onscroll

Collections

all , attributes , behaviorUrns , childNodes , children

Behaviors

clientCaps , download , homePage

Styles

width font-size overflow padding-right float display padding cursor behavior bottom visibility clip text-autospace left overflow-x overflow-y color z-index position clear top padding-left layout-grid layout-grid-mode height padding-top padding-bottom right


applets Collection Members

Retrieves a collection of all APPLET objects in the document.

Properties

length

Methods

item , tags , urns


AREA Element | AREA Object Members

Defines the shape, coordinates, and associated URL of one hyperlink region within a client-side image MAP.

Properties

accessKey , alt , className , coords , currentStyle , dir , firstChild , hash , host , hostname , href , id , isTextEdit , lang , language , lastChild , nextSibling , nodeName , nodeType , nodeValue , noHref , offsetHeight , offsetLeft , offsetParent , offsetTop , offsetWidth , outerHTML , outerText , parentElement , parentNode , parentTextEdit , pathname , port , previousSibling , protocol , readyState , recordNumber , runtimeStyle , scopeName , search , shape , sourceIndex , style , tabIndex , tagName , tagUrn , target , title , uniqueID

Methods

addBehavior , applyElement , attachEvent , blur , clearAttributes , click , cloneNode , componentFromPoint , contains , detachEvent , focus , getAdjacentText , getAttribute , getBoundingClientRect , getClientRects , getElementsByTagName , getExpression , hasChildNodes , insertAdjacentElement , insertAdjacentHTML , insertAdjacentText , mergeAttributes , releaseCapture , removeAttribute , removeBehavior , removeExpression , replaceAdjacentText , scrollIntoView , setAttribute , setCapture , setExpression , swapNode

Events

onbeforecopy , onbeforecut , onbeforeeditfocus , onbeforepaste , onblur , onclick , oncontextmenu , oncopy , oncut , ondblclick , ondrag , ondragend , ondragenter , ondragleave , ondragover , ondragstart , ondrop , onfocus , onhelp , onkeydown , onkeypress , onkeyup , onlosecapture , onmousedown , onmousemove , onmouseout , onmouseover , onmouseup , onpaste , onpropertychange , onreadystatechange , onselectstart

Collections

all , attributes , behaviorUrns , childNodes , children

Behaviors

clientCaps , download , homePage , httpFolder , saveFavorite , saveHistory , saveSnapshot , time , userData

Styles

width direction unicode-bidi behavior layout-grid layout-grid-mode text-autospace


areas Collection Members

Retrieves a collection of the AREA objects defined for the given MAP object.

Properties

length

Methods

add , item , remove , tags , urns


Attribute Object Members

Represents an attribute or property of an HTML element as an object.

Properties

nodeName , nodeType , nodeValue , specified


attributes Collection Members

Retrieves a collection of attributes of the object.

Properties

length

Methods

item


B Element | B Object Members

Specifies that the text should be rendered in bold.

Properties

accessKey , canHaveChildren , className , clientHeight , clientLeft , clientTop , clientWidth , currentStyle , dir , firstChild , id , innerHTML , innerText , isTextEdit , lang , language , lastChild , nextSibling , nodeName , nodeType , nodeValue , offsetHeight , offsetLeft , offsetParent , offsetTop , offsetWidth , outerHTML , outerText , parentElement , parentNode , parentTextEdit , previousSibling , readyState , recordNumber , runtimeStyle , scopeName , scrollHeight , scrollLeft , scrollTop , scrollWidth , sourceIndex , style , tabIndex , tagName , tagUrn , title , uniqueID

Methods

addBehavior , appendChild , applyElement , attachEvent , blur , clearAttributes , click , cloneNode , componentFromPoint , contains , detachEvent , focus , getAdjacentText , getAttribute , getBoundingClientRect , getClientRects , getElementsByTagName , getExpression , hasChildNodes , insertAdjacentElement , insertAdjacentHTML , insertAdjacentText , insertBefore , mergeAttributes , releaseCapture , removeAttribute , removeBehavior , removeChild , removeExpression , removeNode , replaceAdjacentText , replaceChild , replaceNode , scrollIntoView , setAttribute , setCapture , setExpression , swapNode

Events

onbeforecopy , onbeforecut , onbeforepaste , onblur , onclick , oncontextmenu , oncopy , oncut , ondblclick , ondrag , ondragend , ondragenter , ondragleave , ondragover , ondragstart , ondrop , onfocus , onhelp , onkeydown , onkeypress , onkeyup , onlosecapture , onmousedown , onmousemove , onmouseout , onmouseover , onmouseup , onpaste , onpropertychange , onreadystatechange , onresize , onselectstart

Collections

all , attributes , behaviorUrns , childNodes , children

Behaviors

clientCaps , download , homePage , httpFolder , saveFavorite , saveHistory , saveSnapshot , time , userData

Styles

width font-size overflow padding-right letter-spacing float display padding font-family cursor behavior text-transform background-repeat background-image bottom visibility font-style clip text-autospace left overflow-x font-variant text-decoration overflow-y background color direction z-index position background-position clear font unicode-bidi background-color font-weight word-spacing line-height top padding-left layout-grid layout-grid-mode padding-top padding-bottom right


BASE Element | BASE Object Members

Specifies an explicit URL used to resolve links and references to external sources such as images and style sheets.

Properties

currentStyle , firstChild , href , id , isTextEdit , lastChild , nextSibling , nodeName , nodeType , nodeValue , parentElement , parentNode , parentTextEdit , previousSibling , readyState , runtimeStyle , scopeName , sourceIndex , style , tagName , tagUrn , target , uniqueID

Methods

addBehavior , applyElement , attachEvent , clearAttributes , cloneNode , componentFromPoint , contains , detachEvent , getAdjacentText , getAttribute , getBoundingClientRect , getClientRects , getElementsByTagName , hasChildNodes , insertAdjacentElement , mergeAttributes , removeAttribute , removeBehavior , replaceAdjacentText , setAttribute , swapNode

Events

onreadystatechange

Collections

all , attributes , behaviorUrns , childNodes , children

Behaviors

clientCaps , download , homePage

Styles

width behavior layout-grid layout-grid-mode text-autospace


BASEFONT Element | BASEFONT Object Members

Sets a base font value to be used as the default font when rendering text.

Properties

color , currentStyle , face , firstChild , id , isTextEdit , lastChild , nextSibling , nodeName , nodeType , nodeValue , parentElement , parentNode , parentTextEdit , previousSibling , readyState , runtimeStyle , scopeName , size , sourceIndex , style , tagName , tagUrn , uniqueID

Methods

addBehavior , applyElement , attachEvent , clearAttributes , cloneNode , componentFromPoint , contains , detachEvent , getAdjacentText , getAttribute , getBoundingClientRect , getClientRects , getElementsByTagName , hasChildNodes , insertAdjacentElement , insertAdjacentHTML , insertAdjacentText , mergeAttributes , removeAttribute , removeBehavior , replaceAdjacentText , setAttribute , swapNode

Events

onreadystatechange

Collections

all , attributes , behaviorUrns , childNodes , children

Behaviors

clientCaps , download , homePage

Styles

width font-family behavior layout-grid layout-grid-mode text-autospace


BDO Element | BDO Object Members

Allows authors to disable the bidirectional algorithm for selected fragments of text.

Properties

accessKey , canHaveChildren , className , clientHeight , clientLeft , clientTop , clientWidth , currentStyle , dir , firstChild , id , innerHTML , innerText , isTextEdit , lang , language , lastChild , nextSibling , nodeName , nodeType , nodeValue , offsetHeight , offsetLeft , offsetParent , offsetTop , offsetWidth , outerHTML , outerText , parentElement , parentNode , parentTextEdit , previousSibling , readyState , scopeName , scrollHeight , scrollLeft , scrollTop , scrollWidth , sourceIndex , tabIndex , tagName , tagUrn , title

Methods

appendChild , applyElement , blur , clearAttributes , cloneNode , componentFromPoint , focus , getAdjacentText , getElementsByTagName , getExpression , hasChildNodes , insertAdjacentElement , insertBefore , mergeAttributes , removeChild , removeExpression , removeNode , replaceAdjacentText , replaceChild , replaceNode , setExpression , swapNode

Events

onafterupdate , onbeforecopy , onbeforecut , onbeforepaste , onbeforeupdate , onblur , oncellchange , onclick , oncontextmenu , oncopy , oncut , ondblclick , ondrag , ondragend , ondragenter , ondragleave , ondragover , ondragstart , ondrop , onerrorupdate , onfilterchange , onfocus , onhelp , onkeydown , onkeypress , onkeyup , onlosecapture , onmousedown , onmousemove , onmouseout , onmouseover , onmouseup , onpaste , onpropertychange , onreadystatechange , onscroll , onselectstart

Collections

all , attributes , childNodes , children , filters

Behaviors

clientCaps , download , homePage

Styles

direction overflow position padding-right display padding unicode-bidi padding-left layout-grid clip layout-grid-mode padding-top text-autospace overflow-x padding-bottom overflow-y


behaviorUrns Collection Members

Returns a collection of Uniform Resource Name (URN) strings identifying the behaviors attached to the element.

Properties

length

Methods

item


BGSOUND Element | BGSOUND Object Members

Enables pages with background sounds or soundtracks to be created.

Properties

balance , currentStyle , id , loop , nextSibling , nodeName , nodeType , nodeValue , outerHTML , outerText , parentElement , parentNode , parentTextEdit , previousSibling , readyState , runtimeStyle , scopeName , sourceIndex , src , style , tagName , tagUrn , uniqueID , volume

Methods

addBehavior , applyElement , attachEvent , clearAttributes , cloneNode , componentFromPoint , detachEvent , getAttribute , getElementsByTagName , insertAdjacentElement , mergeAttributes , removeAttribute , removeBehavior , setAttribute , swapNode

Events

onreadystatechange

Collections

all , attributes , behaviorUrns

Behaviors

clientCaps , download , homePage

Styles

behavior text-autospace


BIG Element | BIG Object Members

Specifies that the enclosed text should be displayed in a larger font than the current font.

Properties

accessKey , canHaveChildren , className , clientHeight , clientLeft , clientTop , clientWidth , currentStyle , dir , firstChild , id , innerHTML , innerText , isTextEdit , lang , language , lastChild , nextSibling , nodeName , nodeType , nodeValue , offsetHeight , offsetLeft , offsetParent , offsetTop , offsetWidth , outerHTML , outerText , parentElement , parentNode , parentTextEdit , previousSibling , readyState , recordNumber , runtimeStyle , scopeName , scrollHeight , scrollLeft , scrollTop , scrollWidth , sourceIndex , style , tabIndex , tagName , tagUrn , title , uniqueID

Methods

addBehavior , appendChild , applyElement , attachEvent , blur , clearAttributes , click , cloneNode , componentFromPoint , contains , detachEvent , focus , getAdjacentText , getAttribute , getBoundingClientRect , getClientRects , getElementsByTagName , getExpression , hasChildNodes , insertAdjacentElement , insertAdjacentHTML , insertAdjacentText , insertBefore , mergeAttributes , releaseCapture , removeAttribute , removeBehavior , removeChild , removeExpression , removeNode , replaceAdjacentText , replaceChild , replaceNode , scrollIntoView , setAttribute , setCapture , setExpression , swapNode

Events

onbeforecopy , onbeforecut , onbeforepaste , onblur , onclick , oncontextmenu , oncopy , oncut , ondblclick , ondrag , ondragend , ondragenter , ondragleave , ondragover , ondragstart , ondrop , onfocus , onhelp , onkeydown , onkeypress , onkeyup , onlosecapture , onmousedown , onmousemove , onmouseout , onmouseover , onmouseup , onpaste , onpropertychange , onreadystatechange , onresize , onselectstart

Collections

all , attributes , behaviorUrns , childNodes , children

Behaviors

clientCaps , download , homePage , httpFolder , saveFavorite , saveHistory , saveSnapshot , time , userData

Styles

width font-size overflow padding-right letter-spacing float display padding font-family cursor behavior text-transform background-repeat background-image bottom visibility font-style clip text-autospace left overflow-x font-variant text-decoration overflow-y background color direction z-index position background-position clear font unicode-bidi background-color font-weight word-spacing line-height top padding-left layout-grid layout-grid-mode padding-top padding-bottom right


BLOCKQUOTE Element | BLOCKQUOTE Object Members

Sets apart a quotation in text.

Properties

accessKey , canHaveChildren , className , clientHeight , clientLeft , clientTop , clientWidth , currentStyle , dir , firstChild , id , innerHTML , innerText , isTextEdit , lang , language , lastChild , nextSibling , nodeName , nodeType , nodeValue , offsetHeight , offsetLeft , offsetParent , offsetTop , offsetWidth , outerHTML , outerText , parentElement , parentNode , parentTextEdit , previousSibling , readyState , recordNumber , runtimeStyle , scopeName , scrollHeight , scrollLeft , scrollTop , scrollWidth , sourceIndex , style , tabIndex , tagName , tagUrn , title , uniqueID

Methods

addBehavior , appendChild , applyElement , attachEvent , blur , clearAttributes , click , cloneNode , componentFromPoint , contains , detachEvent , focus , getAdjacentText , getAttribute , getBoundingClientRect , getClientRects , getElementsByTagName , getExpression , hasChildNodes , insertAdjacentElement , insertAdjacentHTML , insertAdjacentText , insertBefore , mergeAttributes , releaseCapture , removeAttribute , removeBehavior , removeChild , removeExpression , removeNode , replaceAdjacentText , replaceChild , replaceNode , scrollIntoView , setAttribute , setCapture , setExpression , swapNode

Events

onbeforecopy , onbeforecut , onbeforepaste , onblur , onclick , oncontextmenu , oncopy , oncut , ondblclick , ondrag , ondragend , ondragenter , ondragleave , ondragover , ondragstart , ondrop , onfocus , onhelp , onkeydown , onkeypress , onkeyup , onlosecapture , onmousedown , onmousemove , onmouseout , onmouseover , onmouseup , onpaste , onpropertychange , onreadystatechange , onresize , onselectstart

Collections

all , attributes , behaviorUrns , childNodes , children

Behaviors

clientCaps , download , homePage , httpFolder , saveFavorite , saveHistory , saveSnapshot , time , userData

Styles

border-top-color width margin-top border-bottom-width page-break-before padding-right padding border-right-width cursor text-indent visibility font-style border-left-color margin-left text-autospace left overflow-x layout-grid-line font-variant overflow-y line-break background text-align direction border-bottom-color text-justify position background-position clear border-right-color border-right word-spacing top padding-left layout-grid-mode padding-bottom right font-size border-bottom overflow letter-spacing display float font-family margin-right behavior word-break text-transform background-repeat border-top-style layout-grid-char background-image bottom clip text-decoration color border-style border-top-width border-top z-index margin-bottom page-break-after font border-left-style border-width margin unicode-bidi background-color font-weight line-height border-bottom-style layout-grid layout-grid-type layout-grid-char-spacing border-left-width border-left padding-top border-color border-right-style border


BODY Element | body Object Members

Specifies the beginning and end of the document body.

Properties

accessKey , aLink , background , bgColor , bgProperties , bottomMargin , canHaveChildren , className , clientHeight , clientLeft , clientTop , clientWidth , currentStyle , dataFld , dataFormatAs , dataSrc , dir , firstChild , id , innerHTML , innerText , isTextEdit , lang , language , lastChild , leftMargin , link , nextSibling , nodeName , nodeType , nodeValue , noWrap , offsetHeight , offsetLeft , offsetParent , offsetTop , offsetWidth , parentElement , parentNode , parentTextEdit , previousSibling , readyState , rightMargin , runtimeStyle , scopeName , scroll , scrollHeight , scrollLeft , scrollTop , scrollWidth , sourceIndex , style , tabIndex , tagName , tagUrn , text , title , topMargin , uniqueID , vLink

Methods

addBehavior , appendChild , applyElement , attachEvent , blur , clearAttributes , click , cloneNode , componentFromPoint , contains , createControlRange , createTextRange , detachEvent , doScroll , focus , getAdjacentText , getAttribute , getBoundingClientRect , getClientRects , getElementsByTagName , getExpression , hasChildNodes , insertAdjacentElement , insertAdjacentHTML , insertAdjacentText , insertBefore , mergeAttributes , releaseCapture , removeAttribute , removeBehavior , removeChild , removeExpression , removeNode , replaceAdjacentText , replaceChild , replaceNode , setAttribute , setCapture , setExpression , swapNode

Events

onafterprint , onbeforecut , onbeforepaste , onbeforeprint , onclick , oncontextmenu , oncut , ondblclick , ondrag , ondragend , ondragenter , ondragleave , ondragover , ondragstart , ondrop , onfilterchange , onkeydown , onkeypress , onkeyup , onlosecapture , onmousedown , onmousemove , onmouseout , onmouseover , onmouseup , onpaste , onpropertychange , onreadystatechange , onscroll , onselectstart

Collections

all , attributes , behaviorUrns , childNodes , children , filters

Behaviors

clientCaps , download , homePage , httpFolder

Styles

border-top-color width margin-top border-bottom-width page-break-before padding-right padding border-right-width cursor filter text-indent visibility font-style border-left-color margin-left text-autospace overflow-x layout-grid-line font-variant overflow-y line-break background text-align direction border-bottom-color text-justify background-position border-right-color border-right word-spacing padding-left layout-grid-mode padding-bottom font-size border-bottom overflow letter-spacing display font-family margin-right behavior word-break text-transform background-repeat border-top-style layout-grid-char background-image text-decoration color border-style border-top-width border-top z-index margin-bottom page-break-after font border-left-style border-width margin unicode-bidi background-color font-weight line-height border-bottom-style layout-grid layout-grid-type layout-grid-char-spacing border-left-width background-attachment border-left padding-top border-color border-right-style border


bookmarks Collection Members

Returns a collection of ActiveX® Data Objects (ADO) bookmarks tied to the rows affected by the current event.

Properties

length

Methods

item


boundElements Collection Members

Returns a collection of all elements on the page bound to a data set.

Properties

length

Methods

item , tags , urns


BR Element | BR Object Members

Inserts a line break.

Properties

className , clear , currentStyle , id , isTextEdit , nextSibling , nodeName , nodeType , nodeValue , offsetHeight , offsetLeft , offsetParent , offsetTop , offsetWidth , outerHTML , outerText , parentElement , parentNode , parentTextEdit , previousSibling , readyState , recordNumber , runtimeStyle , scopeName , sourceIndex , style , tagName , tagUrn , uniqueID

Methods

addBehavior , applyElement , attachEvent , clearAttributes , cloneNode , componentFromPoint , detachEvent , getAdjacentText , getAttribute , getElementsByTagName , getExpression , hasChildNodes , insertAdjacentElement , mergeAttributes , releaseCapture , removeAttribute , removeBehavior , removeExpression , replaceAdjacentText , scrollIntoView , setAttribute , setCapture , setExpression , swapNode

Events

onlosecapture , onreadystatechange

Collections

attributes , behaviorUrns

Behaviors

clientCaps , download , homePage

Styles

width behavior layout-grid layout-grid-mode text-autospace


BUTTON Element | BUTTON Object Members

Specifies a container for rich HTML that is rendered as a button.

Properties

accessKey , canHaveChildren , className , clientHeight , clientLeft , clientTop , clientWidth , currentStyle , dataFld , dataFormatAs , dataSrc , dir , disabled , firstChild , form , id , innerHTML , innerText , isTextEdit , lang , language , lastChild , name , nextSibling , nodeName , nodeType , nodeValue , offsetHeight , offsetLeft , offsetParent , offsetTop , offsetWidth , outerHTML , outerText , parentElement , parentNode , parentTextEdit , previousSibling , readyState , recordNumber , runtimeStyle , scopeName , scrollHeight , scrollLeft , scrollTop , scrollWidth , sourceIndex , style , tabIndex , tagName , tagUrn , title , type , uniqueID , value

Methods

addBehavior , appendChild , applyElement , attachEvent , blur , clearAttributes , click , cloneNode , componentFromPoint , contains , createTextRange , detachEvent , focus , getAdjacentText , getAttribute , getBoundingClientRect , getClientRects , getElementsByTagName , getExpression , hasChildNodes , insertAdjacentElement , insertAdjacentHTML , insertAdjacentText , insertBefore , mergeAttributes , releaseCapture , removeAttribute , removeBehavior , removeChild , removeExpression , removeNode , replaceAdjacentText , replaceChild , replaceNode , scrollIntoView , setAttribute , setCapture , setExpression , swapNode

Events

onbeforecut , onbeforeeditfocus , onbeforepaste , onblur , onclick , oncontextmenu , oncut , ondblclick , ondragenter , ondragleave , ondragover , ondrop , onfilterchange , onfocus , onhelp , onkeydown , onkeypress , onkeyup , onlosecapture , onmousedown , onmousemove , onmouseout , onmouseover , onmouseup , onpaste , onpropertychange , onreadystatechange , onresize , onselectstart

Collections

all , attributes , behaviorUrns , childNodes , children , filters

Behaviors

clientCaps , download , homePage , httpFolder , saveFavorite , saveHistory , saveSnapshot , time , userData

Styles

border-top-color width margin-top border-bottom-width page-break-before padding-right padding border-right-width filter text-indent visibility font-style border-left-color margin-left text-autospace left font-variant background direction border-bottom-color position background-position clear border-right-color border-right word-spacing top padding-left layout-grid-mode height padding-bottom right font-size border-bottom letter-spacing display float font-family margin-right behavior text-transform background-repeat border-top-style background-image bottom clip text-decoration color border-style border-top-width border-top z-index margin-bottom page-break-after font border-left-style border-width margin unicode-bidi background-color font-weight line-height border-bottom-style layout-grid border-left-width border-left padding-top border-color border-right-style border


CAPTION Element | CAPTION Object Members

Specifies a brief description for a TABLE.

Properties

accessKey , align , canHaveChildren , className , clientHeight , clientLeft , clientTop , clientWidth , currentStyle , dir , firstChild , id , innerHTML , innerText , isTextEdit , lang , language , lastChild , nextSibling , nodeName , nodeType , nodeValue , offsetHeight , offsetLeft , offsetParent , offsetTop , offsetWidth , parentElement , parentNode , parentTextEdit , previousSibling , readyState , recordNumber , runtimeStyle , scopeName , scrollHeight , scrollLeft , scrollTop , scrollWidth , sourceIndex , style , tabIndex , tagName , tagUrn , title , uniqueID , vAlign

Methods

addBehavior , appendChild , applyElement , attachEvent , blur , clearAttributes , click , cloneNode , componentFromPoint , contains , detachEvent , focus , getAdjacentText , getAttribute , getBoundingClientRect , getClientRects , getElementsByTagName , getExpression , hasChildNodes , insertAdjacentElement , insertAdjacentHTML , insertAdjacentText , insertBefore , mergeAttributes , releaseCapture , removeAttribute , removeBehavior , removeChild , removeExpression , removeNode , replaceAdjacentText , replaceChild , replaceNode , scrollIntoView , setAttribute , setCapture , setExpression , swapNode

Events

onbeforecopy , onbeforecut , onbeforepaste , onblur , onclick , oncontextmenu , oncopy , oncut , ondblclick , ondrag , ondragend , ondragenter , ondragleave , ondragover , ondragstart , ondrop , onfocus , onhelp , onkeydown , onkeypress , onkeyup , onlosecapture , onmousedown , onmousemove , onmouseout , onmouseover , onmouseup , onpaste , onpropertychange , onreadystatechange , onselectstart

Collections

all , attributes , behaviorUrns , childNodes , children

Behaviors

clientCaps , download , homePage , httpFolder , saveFavorite , saveHistory , time , userData

Styles

border-top-color width margin-top border-bottom-width padding-right padding border-right-width cursor visibility font-style border-left-color margin-left text-autospace font-variant background direction border-bottom-color background-position clear border-right-color border-right word-spacing padding-left layout-grid-mode padding-bottom font-size border-bottom letter-spacing display font-family margin-right behavior text-transform background-repeat border-top-style background-image text-decoration color border-style border-top-width border-top z-index margin-bottom font border-left-style border-width margin unicode-bidi background-color font-weight line-height border-bottom-style layout-grid border-left-width border-left padding-top border-color border-right-style border


cells Collection Members

Retrieves a collection of all cells in the table row or in the entire table.

Properties

length

Methods

item , tags , urns


CENTER Element | CENTER Object Members

Centers subsequent text and images.

Properties

accessKey , canHaveChildren , className , clientHeight , clientLeft , clientTop , clientWidth , currentStyle , dir , firstChild , id , innerHTML , innerText , isTextEdit , lang , language , lastChild , nextSibling , nodeName , nodeType , nodeValue , offsetHeight , offsetLeft , offsetParent , offsetTop , offsetWidth , outerHTML , outerText , parentElement , parentNode , parentTextEdit , previousSibling , readyState , recordNumber , runtimeStyle , scopeName , scrollHeight , scrollLeft , scrollTop , scrollWidth , sourceIndex , style , tabIndex , tagName , tagUrn , uniqueID

Methods

addBehavior , appendChild , applyElement , attachEvent , blur , clearAttributes , click , cloneNode , componentFromPoint , contains , detachEvent , focus , getAdjacentText , getAttribute , getBoundingClientRect , getClientRects , getElementsByTagName , getExpression , hasChildNodes , insertAdjacentElement , insertAdjacentHTML , insertAdjacentText , insertBefore , mergeAttributes , releaseCapture , removeAttribute , removeBehavior , removeChild , removeExpression , removeNode , replaceAdjacentText , replaceChild , replaceNode , scrollIntoView , setAttribute , setCapture , setExpression , swapNode

Events

onbeforecopy , onbeforecut , onbeforepaste , onblur , onclick , oncontextmenu , oncopy , oncut , ondblclick , ondrag , ondragend , ondragenter , ondragleave , ondragover , ondragstart , ondrop , onfocus , onhelp , onkeydown , onkeypress , onkeyup , onlosecapture , onmousedown , onmousemove , onmouseout , onmouseover , onmouseup , onpaste , onpropertychange , onreadystatechange , onresize , onselectstart

Collections

all , attributes , behaviorUrns , childNodes , children

Behaviors

clientCaps , download , homePage , httpFolder , saveFavorite , saveHistory , saveSnapshot , time , userData

Styles

border-top-color width margin-top border-bottom-width page-break-before padding-right padding border-right-width cursor text-indent visibility font-style border-left-color margin-left text-autospace left overflow-x layout-grid-line font-variant overflow-y line-break background text-align direction border-bottom-color text-justify position background-position clear border-right-color border-right word-spacing top padding-left layout-grid-mode padding-bottom right font-size border-bottom overflow letter-spacing display float font-family margin-right behavior word-break text-transform background-repeat border-top-style layout-grid-char background-image bottom clip text-decoration color border-style border-top-width border-top z-index margin-bottom page-break-after font border-left-style border-width margin unicode-bidi background-color font-weight line-height border-bottom-style layout-grid layout-grid-type layout-grid-char-spacing border-left-width border-left padding-top border-color border-right-style border


childNodes Collection Members

Retrieves a collection of elements and TextNodes that are direct descendants of the specified object.

Properties

length

Methods

item , urns


children Collection Members

Retrieves a collection of elements that are direct descendants of the object.

Properties

length

Methods

item , tags , urns


CITE Element | CITE Object Members

Indicates a citation by rendering text in italic.

Properties

accessKey , canHaveChildren , className , clientHeight , clientLeft , clientTop , clientWidth , currentStyle , dir , firstChild , id , innerHTML , innerText , isTextEdit , lang , language , lastChild , nextSibling , nodeName , nodeType , nodeValue , offsetHeight , offsetLeft , offsetParent , offsetTop , offsetWidth , outerHTML , outerText , parentElement , parentNode , parentTextEdit , previousSibling , readyState , recordNumber , runtimeStyle , scopeName , scrollHeight , scrollLeft , scrollTop , scrollWidth , sourceIndex , style , tabIndex , tagName , tagUrn , title , uniqueID

Methods

addBehavior , appendChild , applyElement , attachEvent , blur , clearAttributes , click , cloneNode , componentFromPoint , contains , detachEvent , focus , getAdjacentText , getAttribute , getBoundingClientRect , getClientRects , getElementsByTagName , getExpression , hasChildNodes , insertAdjacentElement , insertAdjacentHTML , insertAdjacentText , insertBefore , mergeAttributes , releaseCapture , removeAttribute , removeBehavior , removeChild , removeExpression , removeNode , replaceAdjacentText , replaceChild , replaceNode , scrollIntoView , setAttribute , setCapture , setExpression , swapNode

Events

onbeforecopy , onbeforecut , onbeforepaste , onblur , onclick , oncontextmenu , oncopy , oncut , ondblclick , ondrag , ondragend , ondragenter , ondragleave , ondragover , ondragstart , ondrop , onfocus , onhelp , onkeydown , onkeypress , onkeyup , onlosecapture , onmousedown , onmousemove , onmouseout , onmouseover , onmouseup , onpaste , onpropertychange , onreadystatechange , onresize , onselectstart

Collections

all , attributes , behaviorUrns , childNodes , children

Behaviors

clientCaps , download , homePage , httpFolder , saveFavorite , saveHistory , saveSnapshot , time , userData

Styles

width font-size overflow padding-right letter-spacing float display padding font-family cursor behavior text-transform background-repeat background-image bottom visibility font-style clip text-autospace left overflow-x font-variant text-decoration overflow-y background color direction z-index position background-position clear font unicode-bidi background-color font-weight word-spacing line-height top padding-left layout-grid layout-grid-mode padding-top padding-bottom right


clipboardData Object Members

Provides access to predefined clipboard formats for use in editing operations.

Methods

clearData , getData , setData


CODE Element | CODE Object Members

Specifies a code sample.

Properties

canHaveChildren , className , clientHeight , clientLeft , clientTop , clientWidth , currentStyle , dir , firstChild , id , innerHTML , innerText , isTextEdit , lang , language , lastChild , nextSibling , nodeName , nodeType , nodeValue , offsetHeight , offsetLeft , offsetParent , offsetTop , offsetWidth , outerHTML , outerText , parentElement , parentNode , parentTextEdit , previousSibling , readyState , recordNumber , runtimeStyle , scopeName , scrollHeight , scrollLeft , scrollTop , scrollWidth , sourceIndex , style , tagName , tagUrn , title , uniqueID

Methods

addBehavior , appendChild , applyElement , attachEvent , clearAttributes , click , cloneNode , componentFromPoint , contains , detachEvent , getAdjacentText , getAttribute , getBoundingClientRect , getClientRects , getElementsByTagName , getExpression , hasChildNodes , insertAdjacentElement , insertAdjacentHTML , insertAdjacentText , insertBefore , mergeAttributes , releaseCapture , removeAttribute , removeBehavior , removeChild , removeExpression , removeNode , replaceAdjacentText , replaceChild , replaceNode , scrollIntoView , setAttribute , setCapture , setExpression , swapNode

Events

onbeforecopy , onbeforecut , onbeforepaste , onclick , oncontextmenu , oncopy , oncut , ondblclick , ondrag , ondragend , ondragenter , ondragleave , ondragover , ondragstart , ondrop , onhelp , onkeydown , onkeypress , onkeyup , onlosecapture , onmousedown , onmousemove , onmouseout , onmouseover , onmouseup , onpaste , onpropertychange , onreadystatechange , onresize , onselectstart

Collections

all , attributes , behaviorUrns , childNodes , children

Behaviors

clientCaps , download , homePage , httpFolder , saveFavorite , saveHistory , saveSnapshot , time , userData

Styles

width font-size overflow padding-right letter-spacing float display padding font-family cursor behavior text-transform background-repeat background-image bottom visibility font-style clip text-autospace left overflow-x font-variant text-decoration overflow-y background color direction z-index position background-position clear font unicode-bidi background-color font-weight word-spacing line-height top padding-left layout-grid layout-grid-mode padding-top padding-bottom right


COL Element | COL Object Members

Specifies column-based defaults for the table properties.

Properties

align , canHaveChildren , className , clientHeight , clientLeft , clientTop , clientWidth , currentStyle , dir , firstChild , id , isTextEdit , lang , lastChild , nextSibling , nodeName , nodeType , nodeValue , offsetHeight , offsetLeft , offsetParent , offsetTop , offsetWidth , parentElement , parentNode , parentTextEdit , previousSibling , readyState , recordNumber , runtimeStyle , scopeName , scrollHeight , scrollLeft , scrollTop , scrollWidth , sourceIndex , span , style , tagName , tagUrn , uniqueID , vAlign , width

Methods

addBehavior , appendChild , applyElement , attachEvent , clearAttributes , cloneNode , componentFromPoint , contains , detachEvent , getAdjacentText , getAttribute , getBoundingClientRect , getClientRects , getElementsByTagName , getExpression , hasChildNodes , insertAdjacentElement , insertBefore , mergeAttributes , removeAttribute , removeBehavior , removeChild , removeExpression , removeNode , replaceAdjacentText , replaceChild , replaceNode , scrollIntoView , setAttribute , setExpression , swapNode

Events

onreadystatechange

Collections

all , attributes , behaviorUrns , childNodes , children

Behaviors

clientCaps , download , homePage

Styles

width font-size padding-right letter-spacing display padding font-family cursor behavior text-transform background-repeat background-image vertical-align visibility font-style text-autospace font-variant text-decoration background color direction z-index background-position clear font unicode-bidi background-color font-weight word-spacing line-height padding-left layout-grid layout-grid-mode padding-top padding-bottom


COLGROUP Element | COLGROUP Object Members

Contains a group of columns.

Properties

align , canHaveChildren , className , clientHeight , clientLeft , clientTop , clientWidth , currentStyle , dir , firstChild , id , isTextEdit , lang , lastChild , nextSibling , nodeName , nodeType , nodeValue , offsetHeight , offsetLeft , offsetParent , offsetTop , offsetWidth , parentElement , parentNode , parentTextEdit , previousSibling , readyState , recordNumber , runtimeStyle , scopeName , scrollHeight , scrollLeft , scrollTop , scrollWidth , sourceIndex , span , style , tagName , tagUrn , title , uniqueID , vAlign , width

Methods

addBehavior , appendChild , applyElement , attachEvent , clearAttributes , cloneNode , componentFromPoint , contains , detachEvent , getAdjacentText , getAttribute , getBoundingClientRect , getClientRects , getElementsByTagName , getExpression , hasChildNodes , insertAdjacentElement , insertBefore , mergeAttributes , removeAttribute , removeBehavior , removeChild , removeExpression , removeNode , replaceAdjacentText , replaceChild , replaceNode , scrollIntoView , setAttribute , setExpression , swapNode

Events

onreadystatechange

Collections

all , attributes , behaviorUrns , childNodes , children

Behaviors

clientCaps , download , homePage

Styles

width font-size padding-right letter-spacing display padding font-family cursor behavior text-transform background-repeat background-image visibility font-style text-autospace font-variant text-decoration background color direction z-index background-position clear font unicode-bidi background-color font-weight word-spacing line-height padding-left layout-grid layout-grid-mode padding-top padding-bottom


COMMENT Element | COMMENT Object Members

Indicates a comment that is not displayed.

Properties

canHaveChildren , currentStyle , firstChild , id , isTextEdit , lang , lastChild , nextSibling , nodeName , nodeType , nodeValue , offsetParent , outerHTML , outerText , parentElement , parentNode , parentTextEdit , previousSibling , readyState , recordNumber , runtimeStyle , scopeName , sourceIndex , style , tagName , tagUrn , uniqueID

Methods

addBehavior , appendChild , applyElement , attachEvent , clearAttributes , cloneNode , componentFromPoint , detachEvent , getAdjacentText , getAttribute , getBoundingClientRect , getClientRects , hasChildNodes , insertAdjacentElement , insertAdjacentHTML , insertAdjacentText , insertBefore , mergeAttributes , removeAttribute , removeBehavior , removeChild , removeNode , replaceAdjacentText , replaceChild , replaceNode , scrollIntoView , setAttribute , swapNode

Events

onpropertychange , onreadystatechange

Collections

attributes , behaviorUrns , childNodes

Behaviors

clientCaps , download , homePage

Styles

width behavior text-autospace


controlRange Collection Members

Returns an array of elements specified in the createControlRange method.

Properties

length

Methods

add , execCommand , item , queryCommandEnabled , queryCommandIndeterm , queryCommandState , queryCommandSupported , queryCommandValue , remove , scrollIntoView , select


currentStyle Object Members

Represents the cascaded format and style of the object as specified by global style sheets, inline styles, and HTML attributes.

Properties

backgroundAttachment , backgroundColor , backgroundImage , backgroundPositionX , backgroundPositionY , backgroundRepeat , borderBottomColor , borderBottomStyle , borderBottomWidth , borderColor , borderLeftColor , borderLeftStyle , borderLeftWidth , borderRightColor , borderRightStyle , borderRightWidth , borderStyle , borderTopColor , borderTopStyle , borderTopWidth , borderWidth , bottom , clear , clipBottom , clipLeft , clipRight , clipTop , color , cursor , direction , fontFamily , fontSize , fontStyle , fontVariant , fontWeight , height , layoutGridChar , layoutGridCharSpacing , layoutGridLine , layoutGridMode , layoutGridType , left , letterSpacing , lineHeight , listStyleImage , listStylePosition , listStyleType , margin , marginBottom , marginLeft , marginRight , marginTop , overflow , overflowX , overflowY , pageBreakAfter , pageBreakBefore , right , styleFloat , tableLayout , textAlign , textDecoration , textIndent , textTransform , top , unicodeBidi , verticalAlign , visibility , width , zIndex


custom Element | custom Object Members

Represents a user-defined element.

Properties

accessKey , canHaveChildren , className , clientHeight , clientLeft , clientTop , clientWidth , currentStyle , dir , document , id , innerHTML , innerText , isTextEdit , lang , language , offsetHeight , offsetLeft , offsetParent , offsetTop , offsetWidth , outerHTML , outerText , parentElement , parentTextEdit , readyState , recordNumber , runtimeStyle , scopeName , scrollHeight , scrollLeft , scrollTop , scrollWidth , sourceIndex , style , tabIndex , tagName , tagUrn , title

Methods

addBehavior , applyElement , attachEvent , blur , clearAttributes , click , componentFromPoint , contains , detachEvent , doScroll , focus , getAdjacentText , getAttribute , getBoundingClientRect , getClientRects , getElementsByTagName , getExpression , insertAdjacentHTML , insertAdjacentText , mergeAttributes , releaseCapture , removeAttribute , removeBehavior , removeExpression , replaceAdjacentText , scrollIntoView , setAttribute , setCapture , setExpression

Events

onafterupdate , onbeforecopy , onbeforecut , onbeforeeditfocus , onbeforepaste , onbeforeupdate , onblur , onclick , oncontextmenu , oncopy , oncut , ondblclick , ondrag , ondragend , ondragenter , ondragleave , ondragover , ondragstart , ondrop , onerrorupdate , onfilterchange , onfocus , onhelp , onkeydown , onkeypress , onkeyup , onlosecapture , onmousedown , onmousemove , onmouseout , onmouseover , onmouseup , onpaste , onpropertychange , onreadystatechange , onresize , onscroll , onselectstart

Collections

all , behaviorUrns , children , filters

Styles

border-top-color width margin-top border-bottom-width padding-right padding border-right-width cursor vertical-align filter visibility font-style border-left-color margin-left text-autospace left overflow-x font-variant overflow-y background direction border-bottom-color position background-position clear border-right-color border-right word-spacing top padding-left layout-grid-mode height padding-bottom font-size border-bottom overflow letter-spacing display float font-family margin-right behavior text-transform background-repeat border-top-style background-image bottom clip text-decoration color border-style border-top-width border-top z-index margin-bottom font border-left-style border-width margin unicode-bidi background-color font-weight line-height border-bottom-style layout-grid border-left-width border-left padding-top border-color border-right-style border


DD Element | DD Object Members

Indicates the definition in a definition list. The definition is usually indented in the definition list.

Properties

accessKey , canHaveChildren , className , clientHeight , clientLeft , clientTop , clientWidth , currentStyle , dir , firstChild , id , innerHTML , innerText , isTextEdit , lang , language , lastChild , nextSibling , nodeName , nodeType , nodeValue , noWrap , offsetHeight , offsetLeft , offsetParent , offsetTop , offsetWidth , outerHTML , outerText , parentElement , parentNode , parentTextEdit , previousSibling , readyState , recordNumber , runtimeStyle , scopeName , scrollHeight , scrollLeft , scrollTop , scrollWidth , sourceIndex , style , tabIndex , tagName , tagUrn , title , uniqueID

Methods

addBehavior , appendChild , applyElement , attachEvent , blur , clearAttributes , click , cloneNode , componentFromPoint , contains , detachEvent , focus , getAdjacentText , getAttribute , getBoundingClientRect , getClientRects , getElementsByTagName , getExpression , hasChildNodes , insertAdjacentElement , insertAdjacentHTML , insertAdjacentText , insertBefore , mergeAttributes , releaseCapture , removeAttribute , removeBehavior , removeChild , removeExpression , removeNode , replaceAdjacentText , replaceChild , replaceNode , scrollIntoView , setAttribute , setCapture , setExpression , swapNode

Events

onbeforecopy , onbeforecut , onbeforepaste , onblur , onclick , oncontextmenu , oncopy , oncut , ondblclick , ondrag , ondragend , ondragenter , ondragleave , ondragover , ondragstart , ondrop , onfocus , onhelp , onkeydown , onkeypress , onkeyup , onlosecapture , onmousedown , onmousemove , onmouseout , onmouseover , onmouseup , onpaste , onpropertychange , onreadystatechange , onresize , onselectstart

Collections

all , attributes , behaviorUrns , childNodes , children

Behaviors

clientCaps , download , homePage , httpFolder , saveFavorite , saveHistory , saveSnapshot , time , userData

Styles

border-top-color width margin-top border-bottom-width page-break-before padding-right padding border-right-width cursor text-indent visibility font-style border-left-color margin-left text-autospace left overflow-x layout-grid-line font-variant overflow-y line-break background text-align direction border-bottom-color text-justify position background-position clear border-right-color border-right word-spacing top padding-left layout-grid-mode padding-bottom right font-size border-bottom overflow letter-spacing display float font-family margin-right behavior word-break text-transform background-repeat border-top-style layout-grid-char background-image bottom clip text-decoration color border-style border-top-width border-top z-index margin-bottom page-break-after font border-left-style border-width margin unicode-bidi background-color font-weight line-height border-bottom-style layout-grid layout-grid-type layout-grid-char-spacing border-left-width border-left padding-top border-color border-right-style border


DEL Element | DEL Object Members

Indicates text that has been deleted from the document.

Properties

accessKey , canHaveChildren , className , currentStyle , dir , firstChild , id , innerHTML , innerText , isTextEdit , lang , language , lastChild , nextSibling , nodeName , nodeType , nodeValue , offsetHeight , offsetLeft , offsetParent , offsetTop , offsetWidth , outerHTML , outerText , parentElement , parentNode , parentTextEdit , previousSibling , readyState , recordNumber , runtimeStyle , scopeName , sourceIndex , style , tabIndex , tagName , tagUrn , title , uniqueID

Methods

addBehavior , appendChild , applyElement , attachEvent , blur , clearAttributes , cloneNode , componentFromPoint , detachEvent , focus , getAdjacentText , getBoundingClientRect , getClientRects , getElementsByTagName , getExpression , hasChildNodes , insertAdjacentElement , insertBefore , mergeAttributes , removeBehavior , removeChild , removeExpression , removeNode , replaceAdjacentText , replaceChild , replaceNode , setExpression , swapNode

Events

onblur , ondrag , ondragend , ondragenter , ondragleave , ondragover , ondragstart , ondrop , onfocus , onkeydown , onkeypress , onkeyup , onreadystatechange , onselectstart

Collections

all , attributes , behaviorUrns , childNodes , children

Behaviors

clientCaps , download , homePage , httpFolder , saveFavorite , saveHistory , saveSnapshot , time , userData

Styles

width direction overflow padding-right display padding unicode-bidi behavior padding-left layout-grid layout-grid-mode text-autospace padding-top overflow-x padding-bottom overflow-y


DFN Element | DFN Object Members

Indicates the defining instance of a term.

Properties

accessKey , canHaveChildren , className , clientHeight , clientLeft , clientTop , clientWidth , currentStyle , dir , firstChild , id , innerHTML , innerText , isTextEdit , lang , language , lastChild , nextSibling , nodeName , nodeType , nodeValue , offsetHeight , offsetLeft , offsetParent , offsetTop , offsetWidth , outerHTML , outerText , parentElement , parentNode , parentTextEdit , previousSibling , readyState , recordNumber , runtimeStyle , scopeName , scrollHeight , scrollLeft , scrollTop , scrollWidth , sourceIndex , style , tabIndex , tagName , tagUrn , title , uniqueID

Methods

addBehavior , appendChild , applyElement , attachEvent , blur , clearAttributes , click , cloneNode , componentFromPoint , contains , detachEvent , focus , getAdjacentText , getAttribute , getBoundingClientRect , getClientRects , getElementsByTagName , getExpression , hasChildNodes , insertAdjacentElement , insertAdjacentHTML , insertAdjacentText , insertBefore , mergeAttributes , releaseCapture , removeAttribute , removeBehavior , removeChild , removeExpression , removeNode , replaceAdjacentText , replaceChild , replaceNode , scrollIntoView , setAttribute , setCapture , setExpression , swapNode

Events

onbeforecopy , onbeforecut , onbeforepaste , onblur , onclick , oncontextmenu , oncopy , oncut , ondblclick , ondrag , ondragend , ondragenter , ondragleave , ondragover , ondragstart , ondrop , onfocus , onhelp , onkeydown , onkeypress , onkeyup , onlosecapture , onmousedown , onmousemove , onmouseout , onmouseover , onmouseup , onpaste , onpropertychange , onreadystatechange , onresize , onselectstart

Collections

all , attributes , behaviorUrns , childNodes , children

Behaviors

clientCaps , download , homePage , httpFolder , saveFavorite , saveHistory , saveSnapshot , userData

Styles

width font-size overflow padding-right letter-spacing float display padding font-family cursor behavior text-transform background-repeat background-image bottom text-indent visibility font-style clip text-autospace left overflow-x font-variant text-decoration overflow-y background color direction z-index position background-position clear font unicode-bidi background-color font-weight word-spacing line-height top padding-left layout-grid layout-grid-mode padding-top padding-bottom right


DIR Element | DIR Object Members

Denotes a directory list.

Properties

accessKey , canHaveChildren , className , clientHeight , clientLeft , clientTop , clientWidth , currentStyle , dir , firstChild , id , innerHTML , innerText , isTextEdit , lang , language , lastChild , nextSibling , nodeName , nodeType , nodeValue , offsetHeight , offsetLeft , offsetParent , offsetTop , offsetWidth , outerHTML , outerText , parentElement , parentNode , parentTextEdit , previousSibling , readyState , recordNumber , runtimeStyle , scopeName , scrollHeight , scrollLeft , scrollTop , scrollWidth , sourceIndex , style , tabIndex , tagName , tagUrn , title , uniqueID

Methods

addBehavior , appendChild , applyElement , attachEvent , blur , clearAttributes , click , cloneNode , componentFromPoint , contains , detachEvent , focus , getAdjacentText , getAttribute , getBoundingClientRect , getClientRects , getElementsByTagName , getExpression , hasChildNodes , insertAdjacentElement , insertAdjacentHTML , insertAdjacentText , insertBefore , mergeAttributes , releaseCapture , removeAttribute , removeBehavior , removeChild , removeExpression , removeNode , replaceAdjacentText , replaceChild , replaceNode , scrollIntoView , setAttribute , setCapture , setExpression , swapNode

Events

onbeforecopy , onbeforecut , onbeforepaste , onblur , onclick , oncontextmenu , oncopy , oncut , ondblclick , ondrag , ondragend , ondragenter , ondragleave , ondragover , ondragstart , ondrop , onfocus , onhelp , onkeydown , onkeypress , onkeyup , onlosecapture , onmousedown , onmousemove , onmouseout , onmouseover , onmouseup , onpaste , onpropertychange , onreadystatechange , onresize , onselectstart

Collections

all , attributes , behaviorUrns , childNodes , children

Behaviors

clientCaps , download , homePage , httpFolder , saveFavorite , saveHistory , saveSnapshot , time , userData

Styles

border-top-color width margin-top border-bottom-width page-break-before padding-right padding border-right-width cursor text-indent visibility font-style border-left-color margin-left text-autospace left overflow-x layout-grid-line font-variant overflow-y line-break background text-align direction border-bottom-color text-justify position background-position clear border-right-color border-right word-spacing top padding-left layout-grid-mode padding-bottom right font-size border-bottom overflow letter-spacing display float font-family margin-right behavior word-break text-transform background-repeat border-top-style layout-grid-char background-image bottom clip text-decoration color border-style border-top-width border-top z-index margin-bottom page-break-after font border-left-style border-width margin unicode-bidi background-color font-weight line-height border-bottom-style layout-grid layout-grid-type layout-grid-char-spacing border-left-width border-left padding-top border-color border-right-style border


DIV Element | DIV Object Members

Specifies a container that renders HTML.

Properties

accessKey , align , canHaveChildren , className , clientHeight , clientLeft , clientTop , clientWidth , currentStyle , dataFld , dataFormatAs , dataSrc , dir , firstChild , id , innerHTML , isTextEdit , lang , language , lastChild , nextSibling , nodeName , nodeType , nodeValue , noWrap , offsetHeight , offsetLeft , offsetParent , offsetTop , offsetWidth , outerHTML , outerText , parentElement , parentNode , parentTextEdit , previousSibling , readyState , recordNumber , runtimeStyle , scopeName , scrollHeight , scrollLeft , scrollTop , scrollWidth , sourceIndex , style , tabIndex , tagName , tagUrn , title , uniqueID

Methods

addBehavior , appendChild , applyElement , attachEvent , blur , clearAttributes , click , cloneNode , componentFromPoint , contains , detachEvent , doScroll , getAdjacentText , getAttribute , getBoundingClientRect , getClientRects , getElementsByTagName , getExpression , hasChildNodes , insertAdjacentElement , insertAdjacentHTML , insertAdjacentText , insertBefore , mergeAttributes , releaseCapture , removeAttribute , removeBehavior , removeChild , removeExpression , removeNode , replaceAdjacentText , replaceChild , replaceNode , scrollIntoView , setAttribute , setCapture , setExpression , swapNode

Events

onbeforecopy , onbeforecut , onbeforeeditfocus , onbeforepaste , onblur , onclick , oncontextmenu , oncopy , oncut , ondblclick , ondrag , ondragend , ondragenter , ondragleave , ondragover , ondragstart , ondrop , onfilterchange , onfocus , onhelp , onkeydown , onkeypress , onkeyup , onlosecapture , onmousedown , onmousemove , onmouseout , onmouseover , onmouseup , onpaste , onpropertychange , onreadystatechange , onresize , onscroll , onselectstart

Collections

all , attributes , behaviorUrns , childNodes , children , filters

Behaviors

clientCaps , download , homePage , httpFolder , saveFavorite , saveHistory , saveSnapshot , time , userData

Styles

border-top-color width margin-top border-bottom-width page-break-before padding-right padding border-right-width cursor filter text-indent visibility font-style border-left-color margin-left text-autospace left overflow-x layout-grid-line font-variant overflow-y line-break background text-align direction border-bottom-color text-justify position background-position clear border-right-color border-right word-spacing top padding-left layout-grid-mode height padding-bottom right font-size border-bottom overflow letter-spacing display float font-family margin-right behavior word-break text-transform background-repeat border-top-style layout-grid-char background-image bottom clip text-decoration color border-style border-top-width border-top z-index margin-bottom page-break-after font border-left-style border-width margin unicode-bidi background-color font-weight line-height border-bottom-style layout-grid layout-grid-type layout-grid-char-spacing border-left-width border-left padding-top border-color border-right-style border


DL Element | DL Object Members

Denotes a definition list.

Properties

accessKey , canHaveChildren , className , clientHeight , clientLeft , clientTop , clientWidth , compact , currentStyle , dir , firstChild , id , innerHTML , isTextEdit , lang , language , lastChild , nextSibling , nodeName , nodeType , nodeValue , offsetHeight , offsetLeft , offsetParent , offsetTop , offsetWidth , outerHTML , outerText , parentElement , parentNode , parentTextEdit , previousSibling , readyState , recordNumber , runtimeStyle , scopeName , scrollHeight , scrollLeft , scrollTop , scrollWidth , sourceIndex , style , tabIndex , tagName , tagUrn , title , uniqueID

Methods

addBehavior , appendChild , applyElement , attachEvent , blur , clearAttributes , click , cloneNode , componentFromPoint , contains , detachEvent , focus , getAdjacentText , getAttribute , getBoundingClientRect , getClientRects , getElementsByTagName , getExpression , hasChildNodes , insertAdjacentElement , insertAdjacentHTML , insertAdjacentText , insertBefore , mergeAttributes , releaseCapture , removeAttribute , removeBehavior , removeChild , removeExpression , removeNode , replaceAdjacentText , replaceChild , replaceNode , scrollIntoView , setAttribute , setCapture , setExpression , swapNode

Events

onbeforecopy , onbeforecut , onbeforepaste , onblur , onclick , oncontextmenu , oncopy , oncut , ondblclick , ondrag , ondragend , ondragenter , ondragleave , ondragover , ondragstart , ondrop , onfocus , onhelp , onlosecapture , onmousedown , onmousemove , onmouseout , onmouseover , onmouseup , onpaste , onpropertychange , onreadystatechange , onresize , onselectstart

Collections

all , attributes , behaviorUrns , childNodes , children

Behaviors

clientCaps , download , homePage , httpFolder , saveFavorite , saveHistory , saveSnapshot , time , userData

Styles

border-top-color width margin-top border-bottom-width page-break-before padding-right padding border-right-width cursor text-indent visibility font-style border-left-color margin-left text-autospace left overflow-x layout-grid-line font-variant overflow-y line-break background text-align direction border-bottom-color text-justify position background-position clear border-right-color border-right word-spacing top padding-left layout-grid-mode padding-bottom right font-size border-bottom overflow letter-spacing display float font-family margin-right behavior word-break text-transform background-repeat border-top-style layout-grid-char background-image bottom clip text-decoration color border-style border-top-width border-top z-index margin-bottom page-break-after font border-left-style border-width margin unicode-bidi background-color font-weight line-height border-bottom-style layout-grid layout-grid-type layout-grid-char-spacing border-left-width border-left padding-top border-color border-right-style border


DT Element | DT Object Members

Indicates a definition term within a definition list.

Properties

accessKey , canHaveChildren , className , clientHeight , clientLeft , clientTop , clientWidth , currentStyle , dir , firstChild , id , innerHTML , isTextEdit , lang , language , lastChild , nextSibling , nodeName , nodeType , nodeValue , noWrap , offsetHeight , offsetLeft , offsetParent , offsetTop , offsetWidth , outerHTML , outerText , parentElement , parentNode , parentTextEdit , previousSibling , readyState , recordNumber , runtimeStyle , scopeName , scrollHeight , scrollLeft , scrollTop , scrollWidth , sourceIndex , style , tabIndex , tagName , tagUrn , title , uniqueID

Methods

addBehavior , appendChild , applyElement , attachEvent , blur , clearAttributes , click , cloneNode , componentFromPoint , contains , detachEvent , focus , getAdjacentText , getAttribute , getBoundingClientRect , getClientRects , getElementsByTagName , getExpression , hasChildNodes , insertAdjacentElement , insertAdjacentHTML , insertAdjacentText , insertBefore , mergeAttributes , releaseCapture , removeAttribute , removeBehavior , removeChild , removeExpression , removeNode , replaceAdjacentText , replaceChild , replaceNode , scrollIntoView , setAttribute , setCapture , setExpression , swapNode

Events

onbeforecopy , onbeforecut , onbeforepaste , onblur , onclick , oncontextmenu , oncopy , oncut , ondblclick , ondrag , ondragend , ondragenter , ondragleave , ondragover , ondragstart , ondrop , onfocus , onhelp , onkeydown , onkeypress , onkeyup , onlosecapture , onmousedown , onmousemove , onmouseout , onmouseover , onmouseup , onpaste , onpropertychange , onreadystatechange , onresize , onselectstart

Collections

all , attributes , behaviorUrns , childNodes , children

Behaviors

clientCaps , download , homePage , httpFolder , saveFavorite , saveHistory , saveSnapshot , time , userData

Styles

border-top-color width margin-top border-bottom-width page-break-before padding-right padding border-right-width cursor text-indent visibility font-style border-left-color margin-left text-autospace left overflow-x layout-grid-line font-variant overflow-y line-break background text-align direction border-bottom-color text-justify position background-position clear border-right-color border-right word-spacing top padding-left layout-grid-mode padding-bottom font-size border-bottom overflow letter-spacing display float font-family margin-right behavior word-break text-transform background-repeat border-top-style layout-grid-char background-image clip text-decoration color border-style border-top-width border-top z-index margin-bottom page-break-after font border-left-style border-width margin unicode-bidi background-color font-weight line-height border-bottom-style layout-grid layout-grid-type layout-grid-char-spacing border-left-width border-left padding-top border-color border-right-style border


elements Collection Members

Retrieves a collection, in source order, of all objects in a given form.

Properties

length

Methods

item , tags , urns


EM Element | EM Object Members

Emphasizes text, usually by rendering it in italic.

Properties

accessKey , canHaveChildren , className , clientHeight , clientLeft , clientTop , clientWidth , currentStyle , dir , firstChild , id , innerHTML , innerText , isTextEdit , lang , language , lastChild , nextSibling , nodeName , nodeType , nodeValue , offsetHeight , offsetLeft , offsetParent , offsetTop , offsetWidth , outerHTML , outerText , parentElement , parentNode , parentTextEdit , previousSibling , readyState , recordNumber , runtimeStyle , scopeName , scrollHeight , scrollLeft , scrollTop , scrollWidth , sourceIndex , style , tabIndex , tagName , tagUrn , title , uniqueID

Methods

addBehavior , appendChild , applyElement , attachEvent , blur , clearAttributes , click , cloneNode , componentFromPoint , contains , detachEvent , focus , getAdjacentText , getAttribute , getBoundingClientRect , getClientRects , getElementsByTagName , getExpression , hasChildNodes , insertAdjacentElement , insertAdjacentHTML , insertAdjacentText , insertBefore , mergeAttributes , releaseCapture , removeAttribute , removeBehavior , removeChild , removeExpression , removeNode , replaceAdjacentText , replaceChild , replaceNode , scrollIntoView , setAttribute , setCapture , setExpression , swapNode

Events

onbeforecopy , onbeforecut , onbeforepaste , onblur , onclick , oncontextmenu , oncopy , oncut , ondblclick , ondrag , ondragend , ondragenter , ondragleave , ondragover , ondragstart , ondrop , onfocus , onhelp , onkeydown , onkeypress , onkeyup , onlosecapture , onmousedown , onmousemove , onmouseout , onmouseover , onmouseup , onpaste , onpropertychange , onreadystatechange , onresize , onselectstart

Collections

all , attributes , behaviorUrns , childNodes , children

Behaviors

clientCaps , download , homePage , httpFolder , saveFavorite , saveHistory , saveSnapshot , time , userData

Styles

width font-size overflow padding-right letter-spacing float display padding font-family cursor behavior text-transform background-repeat background-image visibility font-style clip text-autospace left overflow-x font-variant text-decoration overflow-y background color direction z-index position background-position clear font unicode-bidi background-color font-weight word-spacing line-height top padding-left layout-grid layout-grid-mode padding-top padding-bottom


EMBED Element | EMBED Object Members

Allows documents of any type to be embedded.

Properties

accessKey , align , className , clientHeight , clientLeft , clientTop , clientWidth , currentStyle , dir , firstChild , height , hidden , id , isTextEdit , lang , language , lastChild , nextSibling , nodeName , nodeType , nodeValue , offsetHeight , offsetLeft , offsetParent , offsetTop , offsetWidth , outerHTML , outerText , palette , parentElement , parentNode , parentTextEdit , pluginspage , previousSibling , readyState , recordNumber , runtimeStyle , scopeName , scrollHeight , scrollLeft , scrollTop , scrollWidth , sourceIndex , src , style , tabIndex , tagName , tagUrn , title , uniqueID , units , width

Methods

addBehavior , applyElement , attachEvent , blur , clearAttributes , click , cloneNode , componentFromPoint , contains , detachEvent , focus , getAdjacentText , getAttribute , getBoundingClientRect , getClientRects , getElementsByTagName , hasChildNodes , insertAdjacentElement , mergeAttributes , releaseCapture , removeAttribute , removeBehavior , removeExpression , replaceAdjacentText , scrollIntoView , setAttribute , setCapture , setExpression , swapNode

Events

onbeforecut , onbeforepaste , onblur , onclick , oncontextmenu , oncut , ondblclick , onfocus , onhelp , onload , onlosecapture , onmousedown , onmousemove , onmouseout , onmouseover , onmouseup , onpaste , onpropertychange , onreadystatechange , onresize , onscroll

Collections

all , attributes , behaviorUrns , childNodes , children

Behaviors

clientCaps , download , homePage

Styles

border-top-color width margin-top border-bottom-width border-bottom overflow padding-right float display padding margin-right border-right-width cursor behavior border-top-style visibility clip border-left-color margin-left text-autospace left overflow-x overflow-y border-style border-top border-top-width direction border-bottom-color margin-bottom position clear border-left-style border-right-color border-right margin border-width unicode-bidi top padding-left border-bottom-style layout-grid border-left-width border-left height layout-grid-mode padding-top padding-bottom border-color border-right-style border


embeds Collection Members

Retrieves a collection of all EMBED objects in the document.

Properties

length

Methods

item , tags , urns


external Object Members

Allows access to an additional object model provided by host applications of the Microsoft® Internet Explorer browser components.

Properties

menuArguments

Methods

AddChannel , AddDesktopComponent , AddFavorite , AutoCompleteSaveForm , AutoScan , ImportExportFavorites , IsSubscribed , NavigateAndFind , ShowBrowserUI


FIELDSET Element | FIELDSET Object Members

Draws a box around the text and other elements that the field set contains.

Properties

accessKey , align , canHaveChildren , className , clientHeight , clientLeft , clientTop , clientWidth , currentStyle , dir , firstChild , id , innerHTML , innerText , isTextEdit , lang , language , lastChild , nextSibling , nodeName , nodeType , nodeValue , offsetHeight , offsetLeft , offsetParent , offsetTop , offsetWidth , outerHTML , outerText , parentElement , parentNode , parentTextEdit , previousSibling , readyState , recordNumber , runtimeStyle , scopeName , scrollHeight , scrollLeft , scrollTop , scrollWidth , sourceIndex , style , tabIndex , tagName , tagUrn , title , uniqueID

Methods

addBehavior , appendChild , applyElement , attachEvent , blur , clearAttributes , click , cloneNode , componentFromPoint , contains , detachEvent , focus , getAdjacentText , getAttribute , getBoundingClientRect , getClientRects , getElementsByTagName , getExpression , hasChildNodes , insertAdjacentElement , insertAdjacentHTML , insertAdjacentText , insertBefore , mergeAttributes , releaseCapture , removeAttribute , removeBehavior , removeChild , removeExpression , removeNode , replaceAdjacentText , replaceChild , replaceNode , scrollIntoView , setAttribute , setCapture , setExpression , swapNode

Events

onbeforecopy , onbeforecut , onbeforeeditfocus , onbeforepaste , onblur , onclick , oncontextmenu , oncopy , oncut , ondblclick , ondrag , ondragend , ondragenter , ondragleave , ondragover , ondragstart , ondrop , onfilterchange , onfocus , onhelp , onkeydown , onkeypress , onkeyup , onlosecapture , onmousedown , onmousemove , onmouseout , onmouseover , onmouseup , onpaste , onpropertychange , onreadystatechange , onresize , onselectstart

Collections

all , attributes , behaviorUrns , childNodes , children , filters

Behaviors

clientCaps , download , homePage , time

Styles

border-top-color width margin-top border-bottom-width page-break-before padding-right padding border-right-width cursor text-indent visibility font-style border-left-color margin-left text-autospace left overflow-x layout-grid-line font-variant overflow-y line-break background text-align direction border-bottom-color text-justify position background-position clear border-right-color border-right word-spacing top padding-left layout-grid-mode height padding-bottom right font-size border-bottom overflow letter-spacing display float font-family margin-right behavior word-break text-transform background-repeat border-top-style layout-grid-char background-image bottom clip text-decoration color border-style border-top-width border-top z-index margin-bottom page-break-after font border-left-style border-width margin unicode-bidi background-color font-weight line-height border-bottom-style layout-grid layout-grid-type layout-grid-char-spacing border-left-width border-left padding-top border-color border-right-style border


filters Collection Members

Retrieves the collection of filters that have been applied to the object.

Properties

length

Methods

item


FONT Element | FONT Object Members

Specifies a new font, size, and color to be used for rendering the enclosed text.

Properties

accessKey , canHaveChildren , className , color , currentStyle , dir , face , firstChild , id , innerHTML , innerText , isTextEdit , lang , language , lastChild , nextSibling , nodeName , nodeType , nodeValue , offsetHeight , offsetLeft , offsetParent , offsetTop , offsetWidth , outerHTML , outerText , parentElement , parentNode , parentTextEdit , previousSibling , readyState , recordNumber , runtimeStyle , scopeName , size , sourceIndex , style , tabIndex , tagName , tagUrn , uniqueID

Methods

addBehavior , appendChild , applyElement , attachEvent , blur , clearAttributes , click , cloneNode , componentFromPoint , contains , detachEvent , focus , getAdjacentText , getAttribute , getBoundingClientRect , getClientRects , getElementsByTagName , getExpression , hasChildNodes , insertAdjacentElement , insertAdjacentHTML , insertAdjacentText , insertBefore , mergeAttributes , releaseCapture , removeAttribute , removeBehavior , removeChild , removeExpression , removeNode , replaceAdjacentText , replaceChild , replaceNode , scrollIntoView , setAttribute , setCapture , setExpression , swapNode

Events

onbeforecut , onbeforepaste , onblur , onclick , oncontextmenu , oncut , ondblclick , ondrag , ondragend , ondragenter , ondragleave , ondragover , ondragstart , ondrop , onfocus , onhelp , onkeydown , onkeypress , onkeyup , onlosecapture , onmousedown , onmousemove , onmouseout , onmouseover , onmouseup , onpaste , onpropertychange , onreadystatechange , onselectstart

Collections

all , attributes , behaviorUrns , childNodes , children

Behaviors

clientCaps , download , homePage , httpFolder , saveFavorite , saveHistory , saveSnapshot , time , userData

Styles

width direction overflow padding-right display padding unicode-bidi behavior padding-left layout-grid layout-grid-mode text-autospace padding-top overflow-x padding-bottom overflow-y


FORM Element | FORM Object Members

Specifies that the contained controls take part in a form.

Properties

action , autocomplete , canHaveChildren , className , clientHeight , clientLeft , clientTop , clientWidth , currentStyle , dir , encoding , firstChild , id , innerHTML , innerText , isTextEdit , lang , language , lastChild , method , name , nextSibling , nodeName , nodeType , nodeValue , offsetHeight , offsetLeft , offsetParent , offsetTop , offsetWidth , outerHTML , outerText , parentElement , parentNode , parentTextEdit , previousSibling , readyState , recordNumber , runtimeStyle , scopeName , scrollHeight , scrollLeft , scrollTop , scrollWidth , sourceIndex , style , tabIndex , tagName , tagUrn , target , title , uniqueID

Methods

addBehavior , appendChild , applyElement , attachEvent , blur , clearAttributes , click , cloneNode , componentFromPoint , contains , detachEvent , focus , getAdjacentText , getAttribute , getBoundingClientRect , getClientRects , getElementsByTagName , getExpression , hasChildNodes , insertAdjacentElement , insertAdjacentHTML , insertAdjacentText , insertBefore , mergeAttributes , releaseCapture , removeAttribute , removeBehavior , removeChild , removeExpression , removeNode , replaceAdjacentText , replaceChild , replaceNode , reset , scrollIntoView , setAttribute , setCapture , setExpression , submit , swapNode , urns

Events

onbeforecopy , onbeforecut , onbeforepaste , onblur , onclick , oncontextmenu , oncopy , oncut , ondblclick , ondrag , ondragend , ondragenter , ondragleave , ondragover , ondragstart , ondrop , onfocus , onhelp , onkeydown , onkeypress , onkeyup , onlosecapture , onmousedown , onmousemove , onmouseout , onmouseover , onmouseup , onpaste , onpropertychange , onreadystatechange , onreset , onresize , onselectstart , onsubmit

Collections

all , attributes , behaviorUrns , childNodes , children , elements

Behaviors

clientCaps , download , homePage , httpFolder , saveFavorite , saveHistory , saveSnapshot , time , userData

Styles

border-top-color width margin-top border-bottom-width page-break-before padding-right padding border-right-width cursor text-indent visibility font-style border-left-color margin-left text-autospace left overflow-x layout-grid-line font-variant overflow-y line-break background text-align direction border-bottom-color text-justify position background-position clear border-right-color border-right word-spacing top padding-left layout-grid-mode padding-bottom right font-size border-bottom overflow letter-spacing display float font-family margin-right behavior word-break text-transform background-repeat border-top-style layout-grid-char background-image bottom clip text-decoration color border-style border-top-width border-top z-index margin-bottom page-break-after font border-left-style border-width margin unicode-bidi background-color font-weight line-height border-bottom-style layout-grid layout-grid-type layout-grid-char-spacing border-left-width border-left padding-top border-color border-right-style border


forms Collection Members

Retrieves a collection, in source order, of all FORM objects in the document.

Properties

length

Methods

item , tags , urns


FRAME Element | FRAME Object Members

Specifies an individual frame within a FRAMESET element.

Properties

borderColor , className , dataFld , dataSrc , firstChild , frameBorder , height , id , isTextEdit , lang , language , lastChild , marginHeight , marginWidth , name , nextSibling , nodeName , nodeType , nodeValue , noResize , offsetHeight , offsetLeft , offsetParent , offsetTop , offsetWidth , parentElement , parentNode , parentTextEdit , previousSibling , readyState , runtimeStyle , scopeName , scrolling , self , sourceIndex , src , style , tabIndex , tagName , tagUrn , title , uniqueID , width

Methods

addBehavior , applyElement , attachEvent , blur , clearAttributes , cloneNode , componentFromPoint , contains , detachEvent , focus , getAdjacentText , getAttribute , getElementsByTagName , hasChildNodes , insertAdjacentElement , mergeAttributes , removeAttribute , removeBehavior , replaceAdjacentText , setAttribute , swapNode

Events

onblur , onfocus , onresize

Collections

all , attributes , behaviorUrns , childNodes , children

Behaviors

clientCaps , download , homePage

Styles

width padding-right display padding behavior padding-left layout-grid layout-grid-mode padding-top text-autospace padding-bottom


frames Collection Members

Retrieves a collection of all window objects defined by the given document or defined by the document associated with the given window.

Properties

length

Methods

item


FRAMESET Element | FRAMESET Object Members

Specifies a frameset, which is used to organize multiple frames and nested framesets.

Properties

border , borderColor , canHaveChildren , className , cols , firstChild , frameBorder , frameSpacing , id , innerHTML , isTextEdit , lang , language , lastChild , nextSibling , nodeName , nodeType , nodeValue , outerHTML , parentElement , parentNode , parentTextEdit , previousSibling , readyState , rows , runtimeStyle , scopeName , sourceIndex , style , tabIndex , tagName , tagUrn , title , uniqueID

Methods

addBehavior , appendChild , applyElement , attachEvent , blur , clearAttributes , cloneNode , componentFromPoint , contains , detachEvent , focus , getAdjacentText , getAttribute , getElementsByTagName , hasChildNodes , insertAdjacentElement , insertAdjacentHTML , insertAdjacentText , insertBefore , mergeAttributes , removeAttribute , removeBehavior , removeChild , removeNode , replaceAdjacentText , replaceChild , replaceNode , setAttribute , swapNode

Events

onafterprint , onbeforeprint , onbeforeunload , onblur , onfocus , onload , onunload

Collections

all , attributes , behaviorUrns , childNodes , children

Behaviors

clientCaps , download , homePage

Styles

width behavior layout-grid layout-grid-mode


HEAD Element | HEAD Object Members

Provides an unordered collection of information about the document.

Properties

canHaveChildren , className , clientHeight , clientLeft , clientTop , clientWidth , currentStyle , firstChild , id , innerHTML , innerText , isTextEdit , lang , lastChild , nextSibling , nodeName , nodeType , nodeValue , outerHTML , outerText , parentElement , parentNode , parentTextEdit , previousSibling , readyState , runtimeStyle , scopeName , scrollHeight , scrollLeft , scrollTop , scrollWidth , sourceIndex , style , tagName , tagUrn , uniqueID

Methods

addBehavior , appendChild , applyElement , attachEvent , clearAttributes , cloneNode , componentFromPoint , contains , detachEvent , getAdjacentText , getAttribute , getElementsByTagName , hasChildNodes , insertAdjacentElement , insertBefore , mergeAttributes , removeAttribute , removeBehavior , removeChild , removeNode , replaceAdjacentText , replaceChild , replaceNode , setAttribute , swapNode

Events

onreadystatechange

Collections

all , attributes , behaviorUrns , childNodes , children

Behaviors

clientCaps , download , homePage

Styles

width behavior layout-grid layout-grid-mode text-autospace


Hn Element | Hn Object Members

Renders text in heading style.

Properties

accessKey , align , canHaveChildren , className , clientHeight , clientLeft , clientTop , clientWidth , currentStyle , dir , firstChild , id , innerHTML , innerText , isTextEdit , lang , language , lastChild , nextSibling , nodeName , nodeType , nodeValue , offsetHeight , offsetLeft , offsetParent , offsetTop , offsetWidth , outerHTML , outerText , parentElement , parentNode , parentTextEdit , previousSibling , readyState , recordNumber , runtimeStyle , scopeName , scrollHeight , scrollLeft , scrollTop , scrollWidth , sourceIndex , style , tabIndex , tagName , tagUrn , title , uniqueID

Methods

addBehavior , appendChild , applyElement , attachEvent , blur , clearAttributes , click , cloneNode , componentFromPoint , contains , detachEvent , focus , getAdjacentText , getAttribute , getBoundingClientRect , getClientRects , getElementsByTagName , getExpression , hasChildNodes , insertAdjacentElement , insertAdjacentHTML , insertAdjacentText , insertBefore , mergeAttributes , releaseCapture , removeAttribute , removeBehavior , removeChild , removeExpression , removeNode , replaceAdjacentText , replaceChild , replaceNode , scrollIntoView , setAttribute , setCapture , setExpression , swapNode

Events

onbeforecopy , onbeforecut , onbeforepaste , onblur , onclick , oncontextmenu , oncopy , oncut , ondblclick , ondrag , ondragend , ondragenter , ondragleave , ondragover , ondragstart , ondrop , onfocus , onhelp , onkeydown , onkeypress , onkeyup , onlosecapture , onmousedown , onmousemove , onmouseout , onmouseover , onmouseup , onpaste , onpropertychange , onreadystatechange , onresize , onselectstart

Collections

all , attributes , behaviorUrns , childNodes , children

Behaviors

clientCaps , download , homePage , httpFolder , saveFavorite , saveHistory , saveSnapshot , time , userData

Styles

border-top-color width margin-top border-bottom-width page-break-before padding-right padding border-right-width cursor text-indent visibility font-style border-left-color margin-left text-autospace left overflow-x layout-grid-line font-variant overflow-y line-break background text-align direction border-bottom-color text-justify position background-position clear border-right-color border-right word-spacing top padding-left layout-grid-mode padding-bottom right font-size border-bottom overflow letter-spacing display float font-family margin-right behavior word-break text-transform background-repeat border-top-style layout-grid-char background-image bottom clip text-decoration color border-style border-top-width border-top margin-bottom page-break-after font border-left-style border-width margin unicode-bidi background-color font-weight line-height border-bottom-style layout-grid layout-grid-type layout-grid-char-spacing border-left-width border-left padding-top border-color border-right-style border


HR Element | HR Object Members

Draws a horizontal rule.

Properties

accessKey , align , className , color , firstChild , id , isTextEdit , language , lastChild , nextSibling , nodeName , nodeType , nodeValue , noShade , offsetHeight , offsetLeft , offsetParent , offsetTop , offsetWidth , outerHTML , outerText , parentElement , parentNode , parentTextEdit , previousSibling , readyState , recordNumber , runtimeStyle , scopeName , size , sourceIndex , style , tabIndex , tagName , tagUrn , title , uniqueID , width

Methods

addBehavior , applyElement , attachEvent , blur , clearAttributes , click , cloneNode , componentFromPoint , contains , detachEvent , focus , getAdjacentText , getAttribute , getElementsByTagName , getExpression , hasChildNodes , insertAdjacentElement , insertAdjacentHTML , insertAdjacentText , mergeAttributes , releaseCapture , removeAttribute , removeBehavior , removeExpression , replaceAdjacentText , scrollIntoView , setAttribute , setCapture , setExpression , swapNode

Events

onbeforecut , onbeforepaste , onblur , onclick , oncontextmenu , oncopy , oncut , ondblclick , ondrag , ondragend , ondragenter , ondragleave , ondragover , ondragstart , ondrop , onfocus , onhelp , onkeydown , onkeypress , onkeyup , onlosecapture , onmousedown , onmousemove , onmouseout , onmouseover , onmouseup , onpaste , onpropertychange , onreadystatechange , onresize , onselectstart

Collections

all , attributes , behaviorUrns , childNodes , children

Behaviors

clientCaps , download , homePage , httpFolder , saveFavorite , saveHistory , saveSnapshot , time , userData

Styles

border-top-color width margin-top border-bottom-width padding-right padding border-right-width cursor text-indent visibility border-left-color margin-left text-autospace left layout-grid-line line-break text-align border-bottom-color text-justify position clear border-right-color border-right top padding-left layout-grid-mode height padding-bottom right border-bottom display float margin-right behavior word-break border-top-style layout-grid-char bottom clip border-style border-top-width border-top margin-bottom border-left-style border-width margin layout-grid border-bottom-style layout-grid-type layout-grid-char-spacing border-left border-left-width padding-top border-color border-right-style


HTML Element | HTML Object Members

Identifies the document as containing HTML elements.

Properties

canHaveChildren , className , clientHeight , clientLeft , clientTop , clientWidth , currentStyle , firstChild , id , innerHTML , innerText , isTextEdit , lastChild , nextSibling , nodeName , nodeType , nodeValue , outerHTML , outerText , parentElement , parentNode , parentTextEdit , previousSibling , readyState , runtimeStyle , scopeName , scrollHeight , scrollLeft , scrollTop , scrollWidth , sourceIndex , style , tagName , tagUrn , uniqueID

Methods

addBehavior , appendChild , applyElement , attachEvent , clearAttributes , cloneNode , componentFromPoint , contains , detachEvent , getAdjacentText , getAttribute , getElementsByTagName , hasChildNodes , insertAdjacentElement , insertBefore , mergeAttributes , removeAttribute , removeBehavior , removeChild , removeNode , replaceAdjacentText , replaceChild , replaceNode , setAttribute , swapNode

Events

onreadystatechange

Collections

all , attributes , behaviorUrns , childNodes , children

Behaviors

clientCaps , download , homePage

Styles

color background font-size letter-spacing background-position font font-family cursor background-color font-weight behavior word-spacing text-transform background-repeat line-height background-image visibility font-style background-attachment text-autospace font-variant text-decoration


I Element | I Object Members

Specifies that the text should be rendered in italic, where available.

Properties

accessKey , canHaveChildren , className , clientHeight , clientLeft , clientTop , clientWidth , currentStyle , dir , firstChild , id , innerHTML , innerText , isTextEdit , lang , language , lastChild , nextSibling , nodeName , nodeType , nodeValue , offsetHeight , offsetLeft , offsetParent , offsetTop , offsetWidth , outerHTML , outerText , parentElement , parentNode , parentTextEdit , previousSibling , readyState , recordNumber , runtimeStyle , scopeName , scrollHeight , scrollLeft , scrollTop , scrollWidth , sourceIndex , style , tabIndex , tagName , tagUrn , title , uniqueID

Methods

addBehavior , appendChild , applyElement , attachEvent , blur , clearAttributes , click , cloneNode , componentFromPoint , contains , detachEvent , focus , getAdjacentText , getAttribute , getBoundingClientRect , getClientRects , getElementsByTagName , getExpression , hasChildNodes , insertAdjacentElement , insertAdjacentHTML , insertAdjacentText , insertBefore , mergeAttributes , releaseCapture , removeAttribute , removeBehavior , removeChild , removeExpression , removeNode , replaceAdjacentText , replaceChild , replaceNode , scrollIntoView , setAttribute , setCapture , setExpression , swapNode

Events

onbeforecopy , onbeforecut , onbeforepaste , onblur , onclick , oncontextmenu , oncopy , oncut , ondblclick , ondrag , ondragend , ondragenter , ondragleave , ondragover , ondragstart , ondrop , onfocus , onhelp , onkeydown , onkeypress , onkeyup , onlosecapture , onmousedown , onmousemove , onmouseout , onmouseover , onmouseup , onpaste , onpropertychange , onreadystatechange , onresize , onselectstart

Collections

all , attributes , behaviorUrns , childNodes , children

Behaviors

clientCaps , download , homePage , httpFolder , saveFavorite , saveHistory , saveSnapshot , time , userData

Styles

width font-size overflow padding-right letter-spacing float display padding font-family cursor behavior text-transform background-repeat background-image bottom visibility font-style clip text-autospace left overflow-x font-variant text-decoration overflow-y background color direction z-index position background-position clear font unicode-bidi background-color font-weight word-spacing line-height top padding-left layout-grid layout-grid-mode padding-top padding-bottom right


IFRAME Element | IFRAME Object Members

Creates inline floating frames.

Properties

align , canHaveChildren , className , dataFld , dataSrc , firstChild , frameBorder , hspace , id , innerHTML , innerText , isTextEdit , lang , language , lastChild , marginHeight , marginWidth , name , nextSibling , nodeName , nodeType , nodeValue , offsetHeight , offsetLeft , offsetParent , offsetTop , offsetWidth , outerHTML , outerText , parentElement , parentNode , parentTextEdit , previousSibling , readyState , recordNumber , runtimeStyle , scopeName , scrolling , sourceIndex , src , style , tabIndex , tagName , tagUrn , title , uniqueID , vspace

Methods

addBehavior , appendChild , applyElement , attachEvent , blur , clearAttributes , cloneNode , componentFromPoint , contains , detachEvent , focus , getAdjacentText , getAttribute , getElementsByTagName , getExpression , hasChildNodes , insertAdjacentElement , insertAdjacentHTML , insertAdjacentText , insertBefore , mergeAttributes , removeAttribute , removeBehavior , removeChild , removeExpression , removeNode , replaceAdjacentText , replaceChild , replaceNode , scrollIntoView , setAttribute , setExpression , swapNode

Events

onblur , onfocus

Collections

all , attributes , behaviorUrns , childNodes , children

Behaviors

clientCaps , download , homePage , time

Styles

border-top-color width margin-top border-bottom-width border-bottom padding-right float display padding margin-right border-right-width cursor behavior border-top-style bottom visibility clip border-left-color margin-left text-autospace left overflow-x overflow-y border-style border-top border-top-width border-bottom-color margin-bottom position clear border-left-style border-right-color border-right margin border-width top padding-left border-bottom-style layout-grid border-left-width border-left height layout-grid-mode padding-top padding-bottom border-color border-right-style border right


images Collection Members

Retrieves a collection, in source order, of IMG objects in the document.

Properties

length

Methods

item , tags , urns


IMG Element | IMG Object Members

Embeds an image or a video clip in the document.

Properties

accessKey , align , alt , border , className , clientHeight , clientLeft , clientTop , clientWidth , complete , currentStyle , dataFld , dataSrc , dir , dynsrc , fileCreatedDate , fileModifiedDate , fileSize , fileUpdatedDate , firstChild , height , hspace , id , isMap , isTextEdit , lang , language , lastChild , loop , lowsrc , name , nameProp , nextSibling , nodeName , nodeType , nodeValue , offsetHeight , offsetLeft , offsetParent , offsetTop , offsetWidth , outerHTML , outerText , parentElement , parentNode , parentTextEdit , previousSibling , protocol , readyState , recordNumber , runtimeStyle , scopeName , scrollHeight , scrollLeft , scrollTop , scrollWidth , sourceIndex , src , start , style , tabIndex , tagName , tagUrn , title , uniqueID , useMap , vspace , width

Methods

addBehavior , applyElement , attachEvent , blur , clearAttributes , click , cloneNode , componentFromPoint , contains , detachEvent , focus , getAdjacentText , getAttribute , getBoundingClientRect , getClientRects , getElementsByTagName , getExpression , hasChildNodes , insertAdjacentElement , insertAdjacentHTML , insertAdjacentText , mergeAttributes , releaseCapture , removeAttribute , removeBehavior , removeExpression , replaceAdjacentText , scrollIntoView , setAttribute , setCapture , setExpression , swapNode

Events

onabort , onbeforecopy , onbeforecut , onbeforepaste , onblur , onclick , oncontextmenu , oncopy , oncut , ondblclick , ondrag , ondragend , ondragenter , ondragleave , ondragover , ondragstart , ondrop , onerror , onfilterchange , onfocus , onhelp , onload , onlosecapture , onmousedown , onmousemove , onmouseout , onmouseover , onmouseup , onpaste , onpropertychange , onreadystatechange , onresize , onselectstart

Collections

all , attributes , behaviorUrns , childNodes , children , filters

Behaviors

clientCaps , download , homePage , httpFolder , saveFavorite , saveHistory , saveSnapshot , time , userData

Styles

border-top-color width margin-top border-bottom-width padding-right padding border-right-width cursor vertical-align filter visibility font-style border-left-color margin-left text-autospace left font-variant background direction border-bottom-color position background-position clear border-right-color border-right word-spacing top padding-left layout-grid-mode height padding-bottom right border-bottom letter-spacing display float font-family margin-right behavior background-repeat border-top-style background-image bottom clip border-style border-top-width border-top margin-bottom font border-left-style border-width margin unicode-bidi background-color font-weight line-height border-bottom-style layout-grid border-left-width border-left padding-top border-color border-right-style border


imports Collection Members

Retrieves a collection of all the imported style sheets defined for the respective styleSheet object.

Properties

length

Methods

item


INPUT type=button Element | INPUT type=button Object Members

Creates a button control.

Properties

accessKey , canHaveChildren , className , clientHeight , clientLeft , clientTop , clientWidth , currentStyle , dataFld , dataFormatAs , dataSrc , defaultValue , dir , disabled , firstChild , form , id , isTextEdit , lang , language , lastChild , name , nextSibling , nodeName , nodeType , nodeValue , offsetHeight , offsetLeft , offsetParent , offsetTop , offsetWidth , outerHTML , outerText , parentElement , parentNode , parentTextEdit , previousSibling , readyState , recordNumber , runtimeStyle , scopeName , scrollHeight , scrollLeft , scrollTop , scrollWidth , size , sourceIndex , style , tabIndex , tagName , tagUrn , title , type , uniqueID , value

Methods

addBehavior , appendChild , applyElement , attachEvent , blur , clearAttributes , click , cloneNode , componentFromPoint , contains , createTextRange , detachEvent , focus , getAdjacentText , getAttribute , getBoundingClientRect , getClientRects , getExpression , hasChildNodes , insertAdjacentElement , insertAdjacentHTML , insertAdjacentText , insertBefore , mergeAttributes , releaseCapture , removeAttribute , removeBehavior , removeChild , removeExpression , removeNode , replaceAdjacentText , replaceChild , replaceNode , scrollIntoView , select , setAttribute , setCapture , setExpression , swapNode

Events

onbeforecut , onbeforeeditfocus , onbeforepaste , onblur , onclick , oncontextmenu , oncut , ondblclick , ondrag , ondragend , ondragenter , ondragleave , ondragover , ondragstart , ondrop , onfilterchange , onfocus , onhelp , onkeydown , onkeypress , onkeyup , onlosecapture , onmousedown , onmousemove , onmouseout , onmouseover , onmouseup , onpaste , onpropertychange , onreadystatechange , onresize , onselectstart

Collections

attributes , behaviorUrns , filters

Behaviors

clientCaps , download , homePage , httpFolder , saveFavorite , saveHistory , saveSnapshot , time , userData

Styles

border-top-color width margin-top border-bottom-width padding-right padding border-right-width cursor filter visibility font-style border-left-color margin-left text-autospace left font-variant background direction border-bottom-color position background-position clear border-right-color border-right word-spacing top padding-left layout-grid-mode height padding-bottom right font-size border-bottom letter-spacing display float font-family margin-right behavior text-transform background-repeat border-top-style background-image bottom clip text-decoration color border-style border-top-width border-top z-index margin-bottom font border-left-style border-width margin unicode-bidi background-color font-weight line-height border-bottom-style layout-grid border-left-width border-left padding-top border-color border-right-style border


INPUT type=checkbox Element | INPUT type=checkbox Object Members

Creates a check box control.

Properties

accessKey , canHaveChildren , checked , className , clientHeight , clientLeft , clientTop , clientWidth , currentStyle , dataFld , dataSrc , defaultChecked , defaultValue , dir , disabled , firstChild , form , id , indeterminate , isTextEdit , lang , language , lastChild , name , nextSibling , nodeName , nodeType , nodeValue , offsetHeight , offsetLeft , offsetParent , offsetTop , offsetWidth , outerHTML , outerText , parentElement , parentNode , parentTextEdit , previousSibling , readyState , recordNumber , runtimeStyle , scopeName , scrollHeight , scrollLeft , scrollTop , scrollWidth , size , sourceIndex , status , style , tabIndex , tagName , tagUrn , title , type , uniqueID , value

Methods

addBehavior , appendChild , applyElement , attachEvent , blur , clearAttributes , click , cloneNode , componentFromPoint , contains , detachEvent , focus , getAdjacentText , getAttribute , getBoundingClientRect , getClientRects , getExpression , hasChildNodes , insertAdjacentElement , insertAdjacentHTML , insertAdjacentText , insertBefore , mergeAttributes , releaseCapture , removeAttribute , removeBehavior , removeChild , removeExpression , removeNode , replaceAdjacentText , replaceChild , replaceNode , scrollIntoView , select , setAttribute , setCapture , setExpression , swapNode

Events

onbeforecut , onbeforeeditfocus , onbeforepaste , onblur , onclick , oncontextmenu , oncut , ondblclick , ondrag , ondragend , ondragenter , ondragleave , ondragover , ondragstart , ondrop , onfilterchange , onfocus , onhelp , onkeydown , onkeypress , onkeyup , onlosecapture , onmousedown , onmousemove , onmouseout , onmouseover , onmouseup , onpaste , onpropertychange , onreadystatechange , onselectstart

Collections

attributes , behaviorUrns , filters

Behaviors

clientCaps , download , homePage , httpFolder , saveFavorite , saveHistory , saveSnapshot , time , userData

Styles

border-top-color width margin-top border-bottom-width padding-right padding border-right-width cursor filter visibility font-style border-left-color margin-left text-autospace left font-variant background direction border-bottom-color position background-position clear border-right-color border-right word-spacing top padding-left layout-grid-mode height padding-bottom right font-size border-bottom letter-spacing display float font-family margin-right behavior text-transform background-repeat border-top-style background-image bottom clip text-decoration color border-style border-top-width border-top z-index margin-bottom font border-left-style border-width margin unicode-bidi background-color font-weight line-height border-bottom-style layout-grid border-left-width border-left padding-top border-color border-right-style border


INPUT type=file Element | INPUT type=file Object Members

Creates a file upload object with a text box and Browse button.

Properties

accessKey , canHaveChildren , className , clientHeight , clientLeft , clientTop , clientWidth , currentStyle , dataFld , dataSrc , defaultValue , dir , disabled , firstChild , form , id , isTextEdit , lang , language , lastChild , name , nextSibling , nodeName , nodeType , nodeValue , offsetHeight , offsetLeft , offsetParent , offsetTop , offsetWidth , outerHTML , outerText , parentElement , parentNode , parentTextEdit , previousSibling , readyState , recordNumber , runtimeStyle , scopeName , scrollHeight , scrollLeft , scrollTop , scrollWidth , size , sourceIndex , style , tabIndex , tagName , tagUrn , title , type , uniqueID , value

Methods

addBehavior , appendChild , applyElement , attachEvent , blur , clearAttributes , click , cloneNode , componentFromPoint , contains , detachEvent , focus , getAdjacentText , getAttribute , getBoundingClientRect , getClientRects , getExpression , hasChildNodes , insertAdjacentElement , insertAdjacentHTML , insertAdjacentText , insertBefore , mergeAttributes , releaseCapture , removeAttribute , removeBehavior , removeChild , removeExpression , removeNode , replaceAdjacentText , replaceChild , replaceNode , scrollIntoView , select , setAttribute , setCapture , setExpression , swapNode

Events

onbeforecut , onbeforeeditfocus , onbeforepaste , onblur , onclick , oncontextmenu , oncut , ondblclick , ondrag , ondragend , ondragenter , ondragleave , ondragover , ondragstart , ondrop , onfilterchange , onfocus , onhelp , onkeydown , onkeypress , onkeyup , onlosecapture , onmousedown , onmousemove , onmouseout , onmouseover , onmouseup , onpaste , onpropertychange , onreadystatechange , onresize , onselectstart

Collections

attributes , behaviorUrns , filters

Behaviors

clientCaps , download , homePage , httpFolder , saveFavorite , saveHistory , saveSnapshot , time , userData

Styles

border-top-color width margin-top border-bottom-width padding-right padding border-right-width cursor filter visibility font-style border-left-color margin-left text-autospace left font-variant background direction border-bottom-color position background-position clear border-right-color border-right word-spacing top padding-left layout-grid-mode height padding-bottom right font-size border-bottom letter-spacing display float font-family margin-right behavior text-transform background-repeat border-top-style background-image bottom clip text-decoration color border-style border-top-width border-top z-index margin-bottom font border-left-style border-width margin unicode-bidi background-color font-weight line-height border-bottom-style layout-grid border-left-width border-left padding-top border-color border-right-style border


INPUT type=hidden Element | INPUT type=hidden Object Members

Transmits state information about client/server interaction.

Properties

className , dataFld , dataSrc , defaultValue , form , id , isTextEdit , lang , language , name , nextSibling , nodeName , nodeType , nodeValue , offsetParent , outerHTML , outerText , parentElement , parentNode , parentTextEdit , previousSibling , readyState , recordNumber , runtimeStyle , scopeName , sourceIndex , style , tagName , tagUrn , type , uniqueID , value

Methods

addBehavior , applyElement , attachEvent , clearAttributes , cloneNode , componentFromPoint , createTextRange , detachEvent , getAdjacentText , getAttribute , getExpression , insertAdjacentElement , insertAdjacentHTML , insertAdjacentText , mergeAttributes , releaseCapture , removeAttribute , removeBehavior , removeChild , removeExpression , replaceAdjacentText , replaceChild , setAttribute , setCapture , setExpression , swapNode

Events

onbeforeeditfocus , onfocus , onlosecapture , onpropertychange , onreadystatechange

Collections

attributes , behaviorUrns

Behaviors

clientCaps , download , homePage , httpFolder , saveFavorite , saveHistory , saveSnapshot , time , userData

Styles

behavior text-autospace


INPUT type=image Element | INPUT type=image Object Members

Creates an image control that, when clicked, causes the form to be immediately submitted.

Properties

accessKey , align , canHaveChildren , className , clientHeight , clientLeft , clientTop , clientWidth , complete , currentStyle , dataFld , dataSrc , defaultValue , dir , disabled , firstChild , form , id , isTextEdit , lang , language , lastChild , name , nextSibling , nodeName , nodeType , nodeValue , offsetHeight , offsetLeft , offsetParent , offsetTop , offsetWidth , outerHTML , outerText , parentElement , parentNode , parentTextEdit , previousSibling , readyState , recordNumber , runtimeStyle , scopeName , scrollHeight , scrollLeft , scrollTop , scrollWidth , size , sourceIndex , src , style , tabIndex , tagName , tagUrn , title , type , uniqueID , value

Methods

addBehavior , appendChild , applyElement , attachEvent , blur , clearAttributes , click , cloneNode , componentFromPoint , contains , detachEvent , focus , getAdjacentText , getAttribute , getBoundingClientRect , getClientRects , getExpression , hasChildNodes , insertAdjacentElement , insertAdjacentHTML , insertAdjacentText , insertBefore , mergeAttributes , releaseCapture , removeAttribute , removeBehavior , removeChild , removeExpression , removeNode , replaceAdjacentText , replaceChild , replaceNode , scrollIntoView , select , setAttribute , setCapture , setExpression , swapNode

Events

onbeforecut , onbeforeeditfocus , onbeforepaste , onblur , onclick , oncontextmenu , oncut , ondblclick , ondrag , ondragend , ondragenter , ondragleave , ondragover , ondragstart , ondrop , onfilterchange , onfocus , onhelp , onkeydown , onkeypress , onkeyup , onlosecapture , onmousedown , onmousemove , onmouseout , onmouseover , onmouseup , onpaste , onpropertychange , onreadystatechange , onresize , onselectstart

Collections

attributes , behaviorUrns , filters

Behaviors

clientCaps , download , homePage , httpFolder , saveFavorite , saveHistory , saveSnapshot , time , userData

Styles

border-top-color width margin-top border-bottom-width padding-right padding border-right-width cursor filter visibility font-style border-left-color margin-left text-autospace left font-variant background direction border-bottom-color position background-position clear border-right-color border-right word-spacing top padding-left layout-grid-mode height padding-bottom right font-size border-bottom letter-spacing display float font-family margin-right behavior text-transform background-repeat border-top-style background-image bottom clip text-decoration color border-style border-top-width border-top z-index margin-bottom font border-left-style border-width margin unicode-bidi background-color font-weight line-height border-bottom-style layout-grid border-left-width border-left padding-top border-color border-right-style border


INPUT type=password Element | INPUT type=password Object Members

Creates a single-line text entry control similar to the text control, except that text is not displayed as the user enters it.

Properties

accessKey , autocomplete , canHaveChildren , className , clientHeight , clientLeft , clientTop , clientWidth , currentStyle , dataFld , dataSrc , defaultValue , dir , disabled , firstChild , form , id , isTextEdit , lang , language , lastChild , maxLength , name , nextSibling , nodeName , nodeType , nodeValue , offsetHeight , offsetLeft , offsetParent , offsetTop , offsetWidth , outerHTML , outerText , parentElement , parentNode , parentTextEdit , previousSibling , readOnly , readyState , recordNumber , runtimeStyle , scopeName , scrollHeight , scrollLeft , scrollTop , scrollWidth , size , sourceIndex , style , tabIndex , tagName , tagUrn , title , type , uniqueID , value , vcard_name

Methods

addBehavior , appendChild , applyElement , attachEvent , blur , clearAttributes , click , cloneNode , componentFromPoint , contains , createTextRange , detachEvent , focus , getAdjacentText , getAttribute , getBoundingClientRect , getClientRects , getExpression , hasChildNodes , insertAdjacentElement , insertAdjacentHTML , insertAdjacentText , insertBefore , mergeAttributes , releaseCapture , removeAttribute , removeBehavior , removeChild , removeExpression , removeNode , replaceAdjacentText , replaceChild , replaceNode , scrollIntoView , select , setAttribute , setCapture , setExpression , swapNode

Events

onbeforecut , onbeforeeditfocus , onbeforepaste , onblur , onclick , oncontextmenu , oncut , ondblclick , ondrag , ondragend , ondragenter , ondragleave , ondragover , ondragstart , ondrop , onfilterchange , onfocus , onhelp , onkeydown , onkeypress , onkeyup , onlosecapture , onmousedown , onmousemove , onmouseout , onmouseover , onmouseup , onpaste , onpropertychange , onreadystatechange , onresize , onselectstart

Collections

attributes , behaviorUrns , filters

Behaviors

clientCaps , download , homePage , httpFolder , saveFavorite , saveHistory , saveSnapshot , time , userData

Styles

border-top-color width margin-top border-bottom-width padding-right padding border-right-width cursor filter visibility font-style border-left-color margin-left text-autospace left font-variant background text-align direction border-bottom-color position background-position clear border-right-color border-right word-spacing top padding-left layout-grid-mode height padding-bottom right font-size border-bottom letter-spacing display float font-family margin-right behavior text-transform background-repeat border-top-style background-image bottom clip text-decoration color border-style border-top-width border-top z-index margin-bottom font border-left-style border-width margin unicode-bidi background-color font-weight line-height border-bottom-style layout-grid border-left-width border-left padding-top border-color border-right-style border


INPUT type=radio Element | INPUT type=radio Object Members

Creates a radio button control.

Properties

accessKey , canHaveChildren , checked , className , clientHeight , clientLeft , clientTop , clientWidth , currentStyle , dataFld , dataSrc , defaultChecked , defaultValue , dir , disabled , firstChild , form , id , isTextEdit , lang , language , lastChild , name , nextSibling , nodeName , nodeType , nodeValue , offsetHeight , offsetLeft , offsetParent , offsetTop , offsetWidth , outerHTML , outerText , parentElement , parentNode , parentTextEdit , previousSibling , readyState , recordNumber , runtimeStyle , scopeName , scrollHeight , scrollLeft , scrollTop , scrollWidth , size , sourceIndex , status , style , tabIndex , tagName , tagUrn , title , type , uniqueID , value

Methods

addBehavior , appendChild , applyElement , attachEvent , blur , clearAttributes , click , cloneNode , componentFromPoint , contains , detachEvent , focus , getAdjacentText , getAttribute , getBoundingClientRect , getClientRects , getExpression , hasChildNodes , insertAdjacentElement , insertAdjacentHTML , insertAdjacentText , insertBefore , mergeAttributes , releaseCapture , removeAttribute , removeBehavior , removeChild , removeExpression , removeNode , replaceAdjacentText , replaceChild , replaceNode , scrollIntoView , select , setAttribute , setCapture , setExpression , swapNode

Events

onbeforecut , onbeforeeditfocus , onbeforepaste , onblur , onclick , oncontextmenu , oncut , ondblclick , ondrag , ondragend , ondragenter , ondragleave , ondragover , ondragstart , ondrop , onfilterchange , onfocus , onhelp , onkeydown , onkeypress , onkeyup , onlosecapture , onmousedown , onmousemove , onmouseout , onmouseover , onmouseup , onpaste , onpropertychange , onreadystatechange , onselectstart

Collections

attributes , behaviorUrns , filters

Behaviors

clientCaps , download , homePage , httpFolder , saveFavorite , saveHistory , saveSnapshot , time , userData

Styles

border-top-color width margin-top border-bottom-width padding-right padding border-right-width cursor filter visibility font-style border-left-color margin-left text-autospace left font-variant background direction border-bottom-color position background-position clear border-right-color border-right word-spacing top padding-left layout-grid-mode height padding-bottom right font-size border-bottom letter-spacing display float font-family margin-right behavior text-transform background-repeat border-top-style background-image bottom clip text-decoration color border-style border-top-width border-top z-index margin-bottom font border-left-style border-width margin unicode-bidi background-color font-weight line-height border-bottom-style layout-grid border-left-width border-left padding-top border-color border-right-style border


INPUT type=reset Element | INPUT type=reset Object Members

Creates a button that, when clicked, resets the form's controls to their initial values.

Properties

accessKey , canHaveChildren , className , clientHeight , clientLeft , clientTop , clientWidth , currentStyle , dataFld , dataSrc , defaultValue , dir , disabled , firstChild , form , id , isTextEdit , lang , language , lastChild , name , nextSibling , nodeName , nodeType , nodeValue , offsetHeight , offsetLeft , offsetParent , offsetTop , offsetWidth , outerHTML , outerText , parentElement , parentNode , parentTextEdit , previousSibling , readyState , recordNumber , runtimeStyle , scopeName , scrollHeight , scrollLeft , scrollTop , scrollWidth , size , sourceIndex , style , tabIndex , tagName , tagUrn , title , type , uniqueID , value

Methods

addBehavior , appendChild , applyElement , attachEvent , blur , clearAttributes , click , cloneNode , componentFromPoint , contains , createTextRange , detachEvent , focus , getAdjacentText , getAttribute , getBoundingClientRect , getClientRects , getExpression , hasChildNodes , insertAdjacentElement , insertAdjacentHTML , insertAdjacentText , insertBefore , mergeAttributes , releaseCapture , removeAttribute , removeBehavior , removeChild , removeExpression , removeNode , replaceAdjacentText , replaceChild , replaceNode , scrollIntoView , select , setAttribute , setCapture , setExpression , swapNode

Events

onbeforecut , onbeforeeditfocus , onbeforepaste , onblur , onclick , oncontextmenu , oncut , ondblclick , ondrag , ondragend , ondragenter , ondragleave , ondragover , ondragstart , ondrop , onfilterchange , onfocus , onhelp , onkeydown , onkeypress , onkeyup , onlosecapture , onmousedown , onmousemove , onmouseout , onmouseover , onmouseup , onpaste , onpropertychange , onreadystatechange , onresize , onselectstart

Collections

attributes , behaviorUrns , filters

Behaviors

clientCaps , download , homePage , httpFolder , saveFavorite , saveHistory , saveSnapshot , time , userData

Styles

border-top-color width margin-top border-bottom-width padding-right padding border-right-width cursor filter visibility font-style border-left-color margin-left text-autospace left font-variant background direction border-bottom-color position background-position clear border-right-color border-right word-spacing top padding-left layout-grid-mode height padding-bottom right font-size border-bottom letter-spacing display float font-family margin-right behavior text-transform background-repeat border-top-style background-image bottom clip text-decoration color border-style border-top-width border-top z-index margin-bottom font border-left-style border-width margin unicode-bidi background-color font-weight line-height border-bottom-style layout-grid border-left-width border-left padding-top border-color border-right-style border


INPUT type=submit Element | INPUT type=submit Object Members

Creates a button that, when clicked, submits the form.

Properties

accessKey , canHaveChildren , className , clientHeight , clientLeft , clientTop , clientWidth , currentStyle , dataFld , dataSrc , defaultValue , dir , disabled , firstChild , form , id , isTextEdit , lang , language , lastChild , name , nextSibling , nodeName , nodeType , nodeValue , offsetHeight , offsetLeft , offsetParent , offsetTop , offsetWidth , outerHTML , outerText , parentElement , parentNode , parentTextEdit , previousSibling , readyState , recordNumber , runtimeStyle , scopeName , scrollHeight , scrollLeft , scrollTop , scrollWidth , size , sourceIndex , style , tabIndex , tagName , tagUrn , title , type , uniqueID , value

Methods

addBehavior , appendChild , applyElement , attachEvent , blur , clearAttributes , click , cloneNode , componentFromPoint , contains , createTextRange , detachEvent , focus , getAdjacentText , getAttribute , getBoundingClientRect , getClientRects , getExpression , hasChildNodes , insertAdjacentElement , insertAdjacentHTML , insertAdjacentText , insertBefore , mergeAttributes , releaseCapture , removeAttribute , removeBehavior , removeChild , removeExpression , removeNode , replaceAdjacentText , replaceChild , replaceNode , scrollIntoView , select , setAttribute , setCapture , setExpression , swapNode

Events

onbeforecut , onbeforeeditfocus , onbeforepaste , onblur , onclick , oncontextmenu , oncut , ondblclick , ondrag , ondragend , ondragenter , ondragleave , ondragover , ondragstart , ondrop , onfilterchange , onfocus , onhelp , onkeydown , onkeypress , onkeyup , onlosecapture , onmousedown , onmousemove , onmouseout , onmouseover , onmouseup , onpaste , onpropertychange , onreadystatechange , onresize , onselectstart

Collections

attributes , behaviorUrns , filters

Behaviors

clientCaps , download , homePage , httpFolder , saveFavorite , saveHistory , saveSnapshot , time , userData

Styles

border-top-color width margin-top border-bottom-width padding-right padding border-right-width cursor filter visibility font-style border-left-color margin-left text-autospace left font-variant background direction border-bottom-color position background-position clear border-right-color border-right word-spacing top padding-left layout-grid-mode height padding-bottom right font-size border-bottom letter-spacing display float font-family margin-right behavior text-transform background-repeat border-top-style background-image bottom clip text-decoration color border-style border-top-width border-top z-index margin-bottom font border-left-style border-width margin unicode-bidi background-color font-weight line-height border-bottom-style layout-grid border-left-width border-left padding-top border-color border-right-style border


INPUT type=text Element | INPUT type=text Object Members

Creates a single-line text entry control.

Properties

accessKey , autocomplete , canHaveChildren , className , clientHeight , clientLeft , clientTop , clientWidth , currentStyle , dataFld , dataSrc , defaultValue , dir , disabled , firstChild , form , id , isTextEdit , lang , language , lastChild , maxLength , name , nextSibling , nodeName , nodeType , nodeValue , offsetHeight , offsetLeft , offsetParent , offsetTop , offsetWidth , outerHTML , outerText , parentElement , parentNode , parentTextEdit , previousSibling , readOnly , readyState , recordNumber , runtimeStyle , scopeName , scrollHeight , scrollLeft , scrollTop , scrollWidth , size , sourceIndex , style , tabIndex , tagName , tagUrn , title , type , uniqueID , value , vcard_name

Methods

addBehavior , appendChild , applyElement , attachEvent , blur , clearAttributes , click , cloneNode , componentFromPoint , contains , createTextRange , detachEvent , focus , getAdjacentText , getAttribute , getBoundingClientRect , getClientRects , getExpression , hasChildNodes , insertAdjacentElement , insertAdjacentHTML , insertAdjacentText , insertBefore , mergeAttributes , releaseCapture , removeAttribute , removeBehavior , removeChild , removeExpression , removeNode , replaceAdjacentText , replaceChild , replaceNode , scrollIntoView , select , setAttribute , setCapture , setExpression , swapNode

Events

onafterupdate , onbeforecut , onbeforeeditfocus , onbeforepaste , onbeforeupdate , onblur , onchange , onclick , oncontextmenu , oncut , ondblclick , ondrag , ondragend , ondragenter , ondragleave , ondragover , ondragstart , ondrop , onerrorupdate , onfilterchange , onfocus , onhelp , onkeydown , onkeypress , onkeyup , onlosecapture , onmousedown , onmousemove , onmouseout , onmouseover , onmouseup , onpaste , onpropertychange , onreadystatechange , onresize , onselect , onselectstart

Collections

attributes , behaviorUrns , filters

Behaviors

clientCaps , download , homePage , httpFolder , saveFavorite , saveHistory , saveSnapshot , time , userData

Styles

border-top-color width margin-top border-bottom-width padding-right padding border-right-width cursor filter visibility font-style border-left-color margin-left text-autospace left font-variant background text-align direction border-bottom-color position background-position clear border-right-color border-right word-spacing top padding-left layout-grid-mode height padding-bottom right font-size border-bottom letter-spacing display float font-family margin-right behavior text-transform background-repeat border-top-style background-image bottom clip text-decoration color border-style border-top-width border-top z-index margin-bottom font border-left-style border-width margin unicode-bidi background-color font-weight ime-mode line-height border-bottom-style layout-grid border-left-width border-left padding-top border-color border-right-style border


INS Element | INS Object Members

Specifies text that has been inserted into the document.

Properties

accessKey , canHaveChildren , className , currentStyle , dir , firstChild , id , innerHTML , innerText , isTextEdit , lang , language , lastChild , nextSibling , nodeName , nodeType , nodeValue , offsetHeight , offsetLeft , offsetParent , offsetTop , offsetWidth , outerHTML , outerText , parentElement , parentNode , parentTextEdit , previousSibling , readyState , recordNumber , runtimeStyle , scopeName , sourceIndex , style , tabIndex , tagName , tagUrn , title , uniqueID

Methods

addBehavior , appendChild , applyElement , attachEvent , blur , clearAttributes , cloneNode , componentFromPoint , detachEvent , focus , getAdjacentText , getBoundingClientRect , getClientRects , getElementsByTagName , getExpression , hasChildNodes , insertAdjacentElement , insertBefore , mergeAttributes , removeBehavior , removeChild , removeExpression , removeNode , replaceAdjacentText , replaceChild , replaceNode , setExpression , swapNode

Events

onblur , onfocus , onreadystatechange

Collections

all , attributes , behaviorUrns , childNodes , children

Behaviors

clientCaps , download , homePage , time

Styles

width direction overflow padding-right display padding unicode-bidi behavior padding-left layout-grid layout-grid-mode text-autospace padding-top overflow-x padding-bottom overflow-y


ISINDEX Element | ISINDEX Object Members

Causes the browser to display a dialog window that prompts the user for a single line of input.

Properties

accessKey , className , clientHeight , clientLeft , clientTop , clientWidth , currentStyle , id , lang , language , parentElement , readyState , scopeName , scrollHeight , scrollLeft , scrollTop , scrollWidth , tabIndex , tagUrn

Methods

addBehavior , blur , componentFromPoint , focus , getBoundingClientRect , getClientRects , removeBehavior

Events

onblur , onfocus , onreadystatechange , onresize

Collections

behaviorUrns

Behaviors

clientCaps , download , homePage

Styles

border-top-color margin-top font-size border-bottom-width border-bottom page-break-before letter-spacing float font-family margin-right border-right-width behavior text-transform background-repeat border-top-style background-image bottom text-indent visibility font-style clip border-left-color margin-left text-autospace left font-variant text-decoration background border-style color border-top border-top-width z-index border-bottom-color margin-bottom page-break-after position background-position clear font border-left-style border-right-color border-right margin border-width font-weight background-color word-spacing line-height top border-bottom-style height border-left-width border-left border-color border border-right-style right


KBD Element | KBD Object Members

Renders text in a fixed-width font.

Properties

accessKey , canHaveChildren , className , clientHeight , clientLeft , clientTop , clientWidth , currentStyle , dir , firstChild , id , innerHTML , innerText , isTextEdit , lang , language , lastChild , nextSibling , nodeName , nodeType , nodeValue , offsetHeight , offsetLeft , offsetParent , offsetTop , offsetWidth , outerHTML , outerText , parentElement , parentNode , parentTextEdit , previousSibling , readyState , recordNumber , runtimeStyle , scopeName , scrollHeight , scrollLeft , scrollTop , scrollWidth , sourceIndex , style , tabIndex , tagName , tagUrn , title , uniqueID

Methods

addBehavior , appendChild , applyElement , attachEvent , blur , clearAttributes , click , cloneNode , componentFromPoint , contains , detachEvent , focus , getAdjacentText , getAttribute , getBoundingClientRect , getClientRects , getElementsByTagName , getExpression , hasChildNodes , insertAdjacentElement , insertAdjacentHTML , insertAdjacentText , insertBefore , mergeAttributes , releaseCapture , removeAttribute , removeBehavior , removeChild , removeExpression , removeNode , replaceAdjacentText , replaceChild , replaceNode , scrollIntoView , setAttribute , setCapture , setExpression , swapNode

Events

onbeforecut , onbeforepaste , onblur , onclick , oncontextmenu , oncut , ondblclick , ondrag , ondragend , ondragenter , ondragleave , ondragover , ondragstart , ondrop , onfocus , onhelp , onkeydown , onkeypress , onkeyup , onlosecapture , onmousedown , onmousemove , onmouseout , onmouseover , onmouseup , onpaste , onpropertychange , onreadystatechange , onresize , onselectstart

Collections

all , attributes , behaviorUrns , childNodes , children

Behaviors

clientCaps , download , homePage , httpFolder , saveFavorite , saveHistory , saveSnapshot , time , userData

Styles

width font-size overflow padding-right letter-spacing float display padding font-family cursor behavior text-transform background-repeat background-image bottom visibility font-style clip text-autospace left overflow-x font-variant text-decoration overflow-y background color direction z-index position background-position clear font unicode-bidi background-color font-weight word-spacing line-height top padding-left layout-grid layout-grid-mode padding-top padding-bottom right


LABEL Element | LABEL Object Members

Specifies a label for another element on the page.

Properties

accessKey , canHaveChildren , className , clientHeight , clientLeft , clientTop , clientWidth , currentStyle , dataFld , dataFormatAs , dataSrc , dir , firstChild , htmlFor , id , innerHTML , innerText , isTextEdit , lang , language , lastChild , nextSibling , nodeName , nodeType , nodeValue , offsetHeight , offsetLeft , offsetParent , offsetTop , offsetWidth , outerHTML , outerText , parentElement , parentNode , parentTextEdit , previousSibling , readyState , recordNumber , runtimeStyle , scopeName , scrollHeight , scrollLeft , scrollTop , scrollWidth , sourceIndex , style , tabIndex , tagName , tagUrn , title , uniqueID

Methods

addBehavior , appendChild , applyElement , attachEvent , blur , clearAttributes , click , cloneNode , componentFromPoint , contains , detachEvent , focus , getAdjacentText , getAttribute , getBoundingClientRect , getClientRects , getElementsByTagName , getExpression , hasChildNodes , insertAdjacentElement , insertAdjacentHTML , insertAdjacentText , insertBefore , mergeAttributes , releaseCapture , removeAttribute , removeBehavior , removeChild , removeExpression , removeNode , replaceAdjacentText , replaceChild , replaceNode , scrollIntoView , setAttribute , setCapture , setExpression , swapNode

Events

onbeforecopy , onbeforecut , onbeforepaste , onblur , onclick , oncontextmenu , oncut , ondblclick , ondrag , ondragend , ondragenter , ondragleave , ondragover , ondragstart , ondrop , onfocus , onhelp , onkeydown , onkeypress , onkeyup , onlosecapture , onmousedown , onmousemove , onmouseout , onmouseover , onmouseup , onpaste , onpropertychange , onreadystatechange , onresize , onselectstart

Collections

all , attributes , behaviorUrns , childNodes , children

Behaviors

clientCaps , download , homePage , httpFolder , saveFavorite , saveHistory , saveSnapshot , userData

Styles

width font-size overflow padding-right letter-spacing float display padding font-family cursor behavior text-transform background-repeat background-image bottom visibility font-style clip text-autospace left overflow-x font-variant text-decoration overflow-y background color direction z-index position background-position clear font unicode-bidi background-color font-weight word-spacing line-height top padding-left layout-grid layout-grid-mode padding-top padding-bottom right


LEGEND Element | LEGEND Object Members

Inserts a caption into the box drawn by the FIELDSET object.

Properties

accessKey , align , canHaveChildren , className , clientHeight , clientLeft , clientTop , clientWidth , currentStyle , dir , firstChild , id , innerHTML , innerText , isTextEdit , lang , language , lastChild , nextSibling , nodeName , nodeType , nodeValue , offsetHeight , offsetLeft , offsetParent , offsetTop , offsetWidth , outerHTML , outerText , parentElement , parentNode , parentTextEdit , previousSibling , readyState , runtimeStyle , scopeName , scrollHeight , scrollLeft , scrollTop , scrollWidth , style , tabIndex , tagName , tagUrn , title , uniqueID

Methods

addBehavior , appendChild , applyElement , attachEvent , blur , clearAttributes , click , cloneNode , componentFromPoint , contains , detachEvent , focus , getAdjacentText , getAttribute , getBoundingClientRect , getClientRects , getElementsByTagName , getExpression , hasChildNodes , insertAdjacentElement , insertAdjacentHTML , insertAdjacentText , insertBefore , mergeAttributes , releaseCapture , removeAttribute , removeBehavior , removeChild , removeExpression , removeNode , replaceAdjacentText , replaceChild , replaceNode , scrollIntoView , setAttribute , setCapture , setExpression , swapNode

Events

onbeforecopy , onbeforecut , onbeforepaste , onblur , onclick , oncontextmenu , oncopy , oncut , ondblclick , onfocus , onhelp , onkeydown , onkeypress , onkeyup , onlosecapture , onmousedown , onmousemove , onmouseout , onmouseover , onmouseup , onpaste , onpropertychange , onreadystatechange , onresize

Collections

all , attributes , behaviorUrns , childNodes , children

Behaviors

clientCaps , download , homePage , time

Styles

width font-size overflow padding-right letter-spacing float display padding font-family cursor behavior word-break text-transform background-repeat background-image bottom visibility font-style clip text-autospace left overflow-x font-variant text-decoration overflow-y line-break background color direction z-index text-justify position background-position clear font unicode-bidi background-color font-weight word-spacing line-height top padding-left layout-grid layout-grid-mode padding-top padding-bottom right


LI Element | LI Object Members

Denotes one item in a list.

Properties

accessKey , canHaveChildren , className , clientHeight , clientLeft , clientTop , clientWidth , currentStyle , dir , firstChild , id , innerHTML , innerText , isTextEdit , lang , language , lastChild , nextSibling , nodeName , nodeType , nodeValue , offsetHeight , offsetLeft , offsetParent , offsetTop , offsetWidth , outerHTML , outerText , parentElement , parentNode , parentTextEdit , previousSibling , readyState , recordNumber , runtimeStyle , scopeName , scrollHeight , scrollLeft , scrollTop , scrollWidth , sourceIndex , style , tabIndex , tagName , tagUrn , title , type , uniqueID , value

Methods

addBehavior , appendChild , applyElement , attachEvent , blur , clearAttributes , click , cloneNode , componentFromPoint , contains , detachEvent , focus , getAdjacentText , getAttribute , getBoundingClientRect , getClientRects , getElementsByTagName , getExpression , hasChildNodes , insertAdjacentElement , insertAdjacentHTML , insertAdjacentText , insertBefore , mergeAttributes , releaseCapture , removeAttribute , removeBehavior , removeChild , removeExpression , removeNode , replaceAdjacentText , replaceChild , replaceNode , scrollIntoView , setAttribute , setCapture , setExpression , swapNode

Events

onbeforecopy , onbeforecut , onbeforepaste , onblur , onclick , oncontextmenu , oncopy , oncut , ondblclick , ondrag , ondragend , ondragenter , ondragleave , ondragover , ondragstart , ondrop , onfocus , onhelp , onkeydown , onkeypress , onkeyup , onlosecapture , onmousedown , onmousemove , onmouseout , onmouseover , onmouseup , onpaste , onpropertychange , onreadystatechange , onresize , onselectstart

Collections

all , attributes , behaviorUrns , childNodes , children

Behaviors

clientCaps , download , homePage , httpFolder , saveFavorite , saveHistory , saveSnapshot , time , userData

Styles

border-top-color width margin-top border-bottom-width page-break-before padding-right padding border-right-width cursor text-indent visibility font-style border-left-color margin-left text-autospace left overflow-x layout-grid-line font-variant overflow-y list-style line-break list-style-type background text-align list-style-image direction border-bottom-color text-justify position background-position clear border-right-color border-right word-spacing top padding-left layout-grid-mode padding-bottom right font-size border-bottom overflow letter-spacing display float font-family margin-right behavior word-break text-transform background-repeat border-top-style layout-grid-char list-style-position background-image bottom clip text-decoration color border-style border-top-width border-top z-index margin-bottom page-break-after font border-left-style border-width margin unicode-bidi background-color font-weight line-height border-bottom-style layout-grid layout-grid-type layout-grid-char-spacing border-left-width border-left padding-top border-color border-right-style border


LINK Element | LINK Object Members

Enables the current document to establish links to external documents.

Properties

currentStyle , disabled , firstChild , href , id , isTextEdit , lastChild , media , name , nextSibling , nodeName , nodeType , nodeValue , parentElement , parentNode , parentTextEdit , previousSibling , readyState , rel , rev , runtimeStyle , scopeName , sourceIndex , style , tagName , tagUrn , title , uniqueID

Methods

addBehavior , applyElement , attachEvent , clearAttributes , cloneNode , componentFromPoint , contains , detachEvent , getAdjacentText , getAttribute , getBoundingClientRect , getClientRects , getElementsByTagName , hasChildNodes , insertAdjacentElement , mergeAttributes , removeAttribute , removeBehavior , replaceAdjacentText , setAttribute , swapNode

Events

onload , onreadystatechange

Collections

all , attributes , behaviorUrns , childNodes , children

Behaviors

clientCaps , download , homePage

Styles

width behavior text-autospace


links Collection Members

Retrieves a collection of all A objects that specify the href property and all AREA objects in the document.

Properties

length

Methods

item , tags , urns


LISTING Element | LISTING Object Members

Renders text in a fixed-width font.

Properties

accessKey , canHaveChildren , className , clientHeight , clientLeft , clientTop , clientWidth , currentStyle , dir , firstChild , id , innerHTML , innerText , isTextEdit , lang , language , lastChild , nextSibling , nodeName , nodeType , nodeValue , offsetHeight , offsetLeft , offsetParent , offsetTop , offsetWidth , outerHTML , outerText , parentElement , parentNode , parentTextEdit , previousSibling , readyState , recordNumber , runtimeStyle , scopeName , scrollHeight , scrollLeft , scrollTop , scrollWidth , sourceIndex , style , tabIndex , tagName , tagUrn , title , uniqueID

Methods

addBehavior , appendChild , applyElement , attachEvent , blur , clearAttributes , click , cloneNode , componentFromPoint , contains , detachEvent , focus , getAdjacentText , getAttribute , getBoundingClientRect , getClientRects , getElementsByTagName , getExpression , hasChildNodes , insertAdjacentElement , insertAdjacentHTML , insertAdjacentText , insertBefore , mergeAttributes , releaseCapture , removeAttribute , removeBehavior , removeChild , removeExpression , removeNode , replaceAdjacentText , replaceChild , replaceNode , scrollIntoView , setAttribute , setCapture , setExpression , swapNode

Events

onbeforecopy , onbeforecut , onbeforepaste , onblur , onclick , oncontextmenu , oncopy , oncut , ondblclick , ondrag , ondragend , ondragenter , ondragleave , ondragover , ondragstart , ondrop , onfocus , onhelp , onkeydown , onkeypress , onkeyup , onlosecapture , onmousedown , onmousemove , onmouseout , onmouseover , onmouseup , onpaste , onpropertychange , onreadystatechange , onresize , onselectstart

Collections

all , attributes , behaviorUrns , childNodes , children

Behaviors

clientCaps , download , homePage , httpFolder , saveFavorite , saveHistory , saveSnapshot , time , userData

Styles

border-top-color margin-top border-bottom-width page-break-before padding-right padding border-right-width cursor text-indent visibility font-style border-left-color margin-left text-autospace left overflow-x layout-grid-line font-variant overflow-y line-break background text-align direction border-bottom-color text-justify position background-position clear border-right-color border-right word-spacing top padding-left layout-grid-mode padding-bottom right font-size border-bottom overflow letter-spacing display float font-family margin-right behavior word-break text-transform background-repeat border-top-style layout-grid-char background-image bottom clip text-decoration color border-style border-top-width border-top z-index margin-bottom page-break-after font border-left-style border-width margin unicode-bidi background-color font-weight line-height border-bottom-style layout-grid layout-grid-type layout-grid-char-spacing border-left-width border-left padding-top border-color border-right-style border


MAP Element | MAP Object Members

Contains coordinate data for client-side image maps.

Properties

canHaveChildren , className , currentStyle , dir , firstChild , id , innerHTML , innerText , isTextEdit , lang , language , lastChild , name , nextSibling , nodeName , nodeType , nodeValue , offsetHeight , offsetLeft , offsetParent , offsetTop , offsetWidth , outerHTML , outerText , parentElement , parentNode , parentTextEdit , previousSibling , readyState , recordNumber , runtimeStyle , scopeName , sourceIndex , style , tagName , tagUrn , title , uniqueID

Methods

addBehavior , appendChild , applyElement , attachEvent , clearAttributes , click , cloneNode , componentFromPoint , contains , detachEvent , getAdjacentText , getAttribute , getBoundingClientRect , getClientRects , getElementsByTagName , hasChildNodes , insertAdjacentElement , insertAdjacentHTML , insertAdjacentText , insertBefore , mergeAttributes , releaseCapture , removeAttribute , removeBehavior , removeChild , removeNode , replaceAdjacentText , replaceChild , replaceNode , scrollIntoView , setAttribute , setCapture , swapNode

Events

onbeforecut , onbeforepaste , onclick , oncut , ondblclick , ondrag , ondragend , ondragenter , ondragleave , ondragover , ondragstart , ondrop , onhelp , onkeydown , onkeypress , onkeyup , onlosecapture , onmousedown , onmousemove , onmouseout , onmouseover , onmouseup , onpaste , onpropertychange , onreadystatechange , onscroll , onselectstart

Collections

all , areas , attributes , behaviorUrns , childNodes , children

Behaviors

clientCaps , download , homePage , httpFolder , saveFavorite , saveHistory , saveSnapshot , userData

Styles

width direction unicode-bidi behavior layout-grid layout-grid-mode text-autospace


MARQUEE Element | MARQUEE Object Members

Creates a scrolling text marquee.

Properties

accessKey , behavior , bgColor , canHaveChildren , className , clientHeight , clientLeft , clientTop , clientWidth , currentStyle , dataFld , dataFormatAs , dataSrc , dir , direction , firstChild , height , hspace , id , innerHTML , innerText , isTextEdit , lang , language , lastChild , loop , nextSibling , nodeName , nodeType , nodeValue , offsetHeight , offsetLeft , offsetParent , offsetTop , offsetWidth , outerHTML , outerText , parentElement , parentNode , parentTextEdit , previousSibling , readyState , recordNumber , runtimeStyle , scopeName , scrollAmount , scrollDelay , scrollHeight , scrollLeft , scrollTop , sourceIndex , style , tabIndex , tagName , tagUrn , title , trueSpeed , uniqueID , vspace , width

Methods

addBehavior , appendChild , applyElement , attachEvent , blur , clearAttributes , click , cloneNode , componentFromPoint , contains , detachEvent , focus , getAdjacentText , getAttribute , getBoundingClientRect , getClientRects , getElementsByTagName , getExpression , hasChildNodes , insertAdjacentElement , insertAdjacentHTML , insertAdjacentText , insertBefore , mergeAttributes , releaseCapture , removeAttribute , removeBehavior , removeChild , removeExpression , removeNode , replaceAdjacentText , replaceChild , replaceNode , scrollIntoView , setAttribute , setCapture , setExpression , start , stop , swapNode

Events

onbeforecut , onbeforeeditfocus , onbeforepaste , onblur , onbounce , onclick , oncontextmenu , oncut , ondblclick , ondrag , ondragend , ondragenter , ondragleave , ondragover , ondragstart , ondrop , onfilterchange , onfinish , onfocus , onhelp , onkeydown , onkeypress , onkeyup , onlosecapture , onmousedown , onmousemove , onmouseout , onmouseover , onmouseup , onpaste , onpropertychange , onreadystatechange , onresize , onscroll , onselectstart , onstart

Collections

all , attributes , behaviorUrns , childNodes , children , filters

Behaviors

clientCaps , download , homePage , httpFolder , saveFavorite , saveHistory , saveSnapshot , time , userData

Styles

border-top-color width margin-top border-bottom-width page-break-before padding-right padding border-right-width cursor filter text-indent visibility font-style border-left-color margin-left text-autospace left layout-grid-line font-variant line-break background text-align direction border-bottom-color text-justify position background-position clear border-right-color border-right word-spacing top padding-left layout-grid-mode height padding-bottom right font-size border-bottom letter-spacing display float font-family margin-right behavior word-break text-transform background-repeat border-top-style layout-grid-char background-image bottom clip text-decoration color border-style border-top-width border-top z-index margin-bottom page-break-after font border-left-style border-width margin unicode-bidi background-color font-weight line-height border-bottom-style layout-grid layout-grid-type layout-grid-char-spacing border-left-width border-left padding-top border-color border-right-style border


MENU Element | MENU Object Members

Creates an unordered list of items.

Properties

accessKey , canHaveChildren , className , clientHeight , clientLeft , clientTop , clientWidth , currentStyle , dir , firstChild , id , innerHTML , innerText , isTextEdit , lang , lastChild , nextSibling , nodeName , nodeType , nodeValue , offsetHeight , offsetLeft , offsetParent , offsetTop , offsetWidth , outerHTML , outerText , parentElement , parentNode , parentTextEdit , previousSibling , readyState , recordNumber , runtimeStyle , scopeName , scrollHeight , scrollLeft , scrollTop , scrollWidth , sourceIndex , style , tabIndex , tagName , tagUrn , title , uniqueID

Methods

addBehavior , appendChild , applyElement , attachEvent , blur , clearAttributes , click , cloneNode , componentFromPoint , contains , detachEvent , focus , getAdjacentText , getAttribute , getBoundingClientRect , getClientRects , getElementsByTagName , getExpression , hasChildNodes , insertAdjacentElement , insertAdjacentHTML , insertAdjacentText , insertBefore , mergeAttributes , releaseCapture , removeAttribute , removeBehavior , removeChild , removeExpression , removeNode , replaceAdjacentText , replaceChild , replaceNode , scrollIntoView , setAttribute , setCapture , setExpression , swapNode

Events

onbeforecopy , onbeforecut , onbeforepaste , onblur , onclick , oncontextmenu , oncopy , oncut , ondblclick , ondrag , ondragend , ondragenter , ondragleave , ondragover , ondragstart , ondrop , onfocus , onhelp , onkeydown , onkeypress , onkeyup , onlosecapture , onmousedown , onmousemove , onmouseout , onmouseover , onmouseup , onpaste , onpropertychange , onreadystatechange , onresize , onselectstart

Collections

all , attributes , behaviorUrns , childNodes , children

Behaviors

clientCaps , download , homePage , httpFolder , saveFavorite , saveHistory , saveSnapshot , time , userData

Styles

border-top-color width margin-top border-bottom-width page-break-before padding-right padding border-right-width cursor text-indent visibility font-style border-left-color margin-left text-autospace left overflow-x layout-grid-line font-variant overflow-y line-break background text-align direction border-bottom-color text-justify position background-position clear border-right-color border-right word-spacing top padding-left layout-grid-mode padding-bottom right font-size border-bottom overflow letter-spacing display float font-family margin-right behavior word-break text-transform background-repeat border-top-style layout-grid-char background-image bottom clip text-decoration color border-style border-top-width border-top z-index margin-bottom page-break-after font border-left-style border-width margin unicode-bidi background-color font-weight line-height border-bottom-style layout-grid layout-grid-type layout-grid-char-spacing border-left-width border-left padding-top border-color border-right-style border


META Element | META Object Members

Conveys hidden information about the document to the server and the client.

Properties

clientHeight , clientLeft , clientTop , clientWidth , content , currentStyle , defaultCharset , httpEquiv , isTextEdit , name , parentTextEdit , runtimeStyle , scrollHeight , scrollLeft , scrollTop , scrollWidth , sourceIndex , style , tagName

Methods

contains , getAttribute , removeAttribute , setAttribute

Styles

width layout-grid layout-grid-mode


NEXTID Object Members

Creates unique identifiers that text editing software can read.

Properties

canHaveChildren , className , currentStyle , firstChild , id , innerHTML , innerText , isTextEdit , lang , language , lastChild , nextSibling , nodeName , nodeType , nodeValue , offsetHeight , offsetLeft , offsetParent , offsetTop , offsetWidth , outerHTML , outerText , parentElement , parentNode , parentTextEdit , previousSibling , readyState , recordNumber , runtimeStyle , scopeName , sourceIndex , style , tagName , tagUrn

Methods

addBehavior , appendChild , applyElement , clearAttributes , cloneNode , componentFromPoint , contains , getAdjacentText , getAttribute , getBoundingClientRect , getClientRects , hasChildNodes , insertAdjacentElement , insertBefore , mergeAttributes , removeAttribute , removeBehavior , removeChild , removeNode , replaceAdjacentText , replaceChild , replaceNode , setAttribute , swapNode

Events

onbeforecut , onbeforepaste , onclick , oncontextmenu , oncut , ondblclick , ondragstart , onfilterchange , onhelp , onkeydown , onkeypress , onkeyup , onmousemove , onmouseover , onmouseup , onpaste , onreadystatechange , onselectstart

Collections

attributes , behaviorUrns , childNodes , children , filters

Behaviors

clientCaps , download , homePage


NOBR Element | NOBR Object Members

Renders text without line breaks.

Properties

className , clientHeight , clientLeft , clientTop , clientWidth , currentStyle , dir , id , innerHTML , innerText , isTextEdit , lang , language , offsetHeight , offsetLeft , offsetParent , offsetTop , offsetWidth , outerHTML , outerText , parentElement , parentTextEdit , readyState , recordNumber , runtimeStyle , scopeName , scrollHeight , scrollLeft , scrollTop , scrollWidth , sourceIndex , style , tagName , tagUrn , uniqueID

Methods

addBehavior , attachEvent , click , componentFromPoint , contains , detachEvent , getAttribute , getBoundingClientRect , getClientRects , getExpression , insertAdjacentHTML , insertAdjacentText , releaseCapture , removeAttribute , removeBehavior , removeExpression , scrollIntoView , setAttribute , setCapture , setExpression

Events

onbeforecopy , onbeforecut , onbeforepaste , onclick , oncontextmenu , oncopy , oncut , ondblclick , ondrag , ondragend , ondragenter , ondragleave , ondragover , ondragstart , ondrop , onhelp , onkeydown , onkeypress , onkeyup , onlosecapture , onmousemove , onmouseover , onmouseup , onpaste , onpropertychange , onreadystatechange , onselectstart

Collections

behaviorUrns

Behaviors

clientCaps , download , homePage

Styles

width direction padding-right display padding unicode-bidi behavior padding-left layout-grid layout-grid-mode padding-top text-autospace padding-bottom


NOFRAMES Element | NOFRAMES Object Members

Contains HTML for browsers that do not support FRAMESET elements.

Properties

id , parentElement , readyState , scopeName , tagUrn

Methods

addBehavior , componentFromPoint , removeBehavior

Events

onreadystatechange

Collections

behaviorUrns

Behaviors

clientCaps , download , homePage

Styles

behavior text-autospace


NOSCRIPT Element | NOSCRIPT Object Members

Specifies HTML to be displayed in browsers that do not support scripting.

Properties

id , parentElement , readyState , scopeName , tagUrn

Methods

addBehavior , componentFromPoint , removeBehavior

Events

onreadystatechange

Collections

behaviorUrns

Behaviors

clientCaps , download , homePage

Styles

behavior text-autospace


clientInformation Object Members

Contains information about the Web browser.

Properties

appCodeName , appMinorVersion , appName , appVersion , browserLanguage , cookieEnabled , cpuClass , onLine , platform , systemLanguage , userAgent , userLanguage , userProfile

Methods

javaEnabled , taintEnabled

Collections

plugins


dataTransfer Object Members

Provides access to predefined clipboard formats for use in drag-and-drop operations.

Properties

dropEffect , effectAllowed

Methods

clearData , getData , setData


document Object Members

Represents the HTML document in a given browser window.

Properties

activeElement , aLinkColor , bgColor , cookie , defaultCharset , designMode , documentElement , domain , expando , fgColor , fileCreatedDate , fileModifiedDate , fileSize , lastModified , linkColor , location , parentWindow , protocol , readyState , referrer , selection , uniqueID , URL , vlinkColor

Methods

attachEvent , clear , clearAttributes , close , createElement , createStyleSheet , createTextNode , detachEvent , elementFromPoint , execCommand , getElementById , getElementsByName , getElementsByTagName , mergeAttributes , open , queryCommandEnabled , queryCommandIndeterm , queryCommandState , queryCommandSupported , queryCommandValue , recalc , releaseCapture , write , writeln

Events

onbeforecut , onbeforeeditfocus , onbeforepaste , onclick , oncontextmenu , oncut , ondblclick , ondrag , ondragend , ondragenter , ondragleave , ondragover , ondragstart , ondrop , onhelp , onkeydown , onkeypress , onkeyup , onmousedown , onmousemove , onmouseout , onmouseover , onmouseup , onpaste , onpropertychange , onreadystatechange , onstop

Collections

all , anchors , applets , childNodes , children , embeds , forms , frames , images , links , scripts , styleSheets


event Object Members

Represents the state of an event, such as the element in which the event occurred, the state of the keyboard keys, the location of the mouse, and the state of the mouse buttons.

Properties

altKey , button , cancelBubble , clientX , clientY , ctrlKey , dataFld , dataTransfer , fromElement , keyCode , offsetX , offsetY , propertyName , qualifier , reason , recordset , repeat , returnValue , screenX , screenY , shiftKey , srcElement , srcFilter , srcUrn , toElement , type , x , y

Collections

bookmarks , boundElements


history Object Members

Contains information about the URLs visited by the client.

Properties

length

Methods

back , forward , go


location Object Members

Contains information about the current URL.

Properties

hash , host , hostname , href , pathname , port , protocol , search

Methods

assign , reload , replace


navigator Object Members

Contains information about the Web browser.

Properties

appCodeName , appMinorVersion , appName , appVersion , browserLanguage , cookieEnabled , cpuClass , onLine , platform , systemLanguage , userAgent , userLanguage , userProfile

Methods

javaEnabled , taintEnabled

Collections

plugins


screen Object Members

Contains information about the client's screen and rendering capabilities.

Properties

availHeight , availWidth , bufferDepth , colorDepth , fontSmoothingEnabled , height , updateInterval , width


selection Object Members

Represents the active selection, which is a highlighted block of text, and/or other elements in the document on which a user or a script can carry out some action.

Properties

type

Methods

clear , createRange , empty


style Object Members

Represents the current settings of all possible inline styles for a given element.

Properties

background , backgroundAttachment , backgroundColor , backgroundImage , backgroundPosition , backgroundPositionX , backgroundPositionY , backgroundRepeat , border , borderBottom , borderBottomColor , borderBottomStyle , borderBottomWidth , borderColor , borderLeft , borderLeftColor , borderLeftStyle , borderLeftWidth , borderRight , borderRightColor , borderRightStyle , borderRightWidth , borderStyle , borderTop , borderTopColor , borderTopStyle , borderTopWidth , borderWidth , bottom , clear , clip , color , cssText , cursor , direction , filter , font , fontFamily , fontSize , fontStyle , fontVariant , fontWeight , height , layoutGrid , layoutGridChar , layoutGridCharSpacing , layoutGridLine , layoutGridMode , layoutGridType , left , letterSpacing , lineHeight , listStyle , listStyleImage , listStylePosition , listStyleType , margin , marginBottom , marginLeft , marginRight , marginTop , overflow , overflowX , overflowY , pageBreakAfter , pageBreakBefore , pixelBottom , pixelHeight , pixelLeft , pixelRight , pixelTop , pixelWidth , posBottom , posHeight , position , posLeft , posRight , posTop , posWidth , right , styleFloat , tableLayout , textAlign , textDecoration , textDecorationLineThrough , textDecorationNone , textDecorationOverline , textDecorationUnderline , textIndent , textTransform , top , unicodeBidi , verticalAlign , visibility , width , zIndex

Methods

getExpression , removeExpression , setExpression


styleSheet Object Members

Represents a single style sheet in the document.

Properties

disabled , id , owningElement , parentStyleSheet , readOnly , type

Methods

addImport , addRule , removeRule

Collections

imports , rules


TextRange Object Members

Represents text in an HTML element.

Properties

boundingHeight , boundingLeft , boundingTop , boundingWidth , htmlText , offsetLeft , offsetTop , text

Methods

collapse , compareEndPoints , duplicate , execCommand , expand , findText , getBookmark , getBoundingClientRect , getClientRects , inRange , isEqual , move , moveEnd , moveStart , moveToBookmark , moveToElementText , moveToPoint , parentElement , pasteHTML , queryCommandEnabled , queryCommandIndeterm , queryCommandState , queryCommandSupported , queryCommandValue , scrollIntoView , select , setEndPoint


window Object Members

Represents an open window in the browser.

Properties

clipboardData , closed , defaultStatus , dialogArguments , dialogHeight , dialogLeft , dialogTop , dialogWidth , document , event , external , history , length , location , name , navigator , offscreenBuffering , opener , parent , returnValue , screen , screenLeft , screenTop , self , status , top

Methods

alert , attachEvent , blur , clearInterval , clearTimeout , close , confirm , detachEvent , execScript , focus , moveBy , moveTo , navigate , open , print , prompt , resizeBy , resizeTo , scroll , scrollBy , scrollTo , setInterval , setTimeout , showHelp , showModalDialog , showModelessDialog

Events

onafterprint , onbeforeprint , onbeforeunload , onblur , onerror , onfocus , onhelp , onload , onresize , onunload

Collections

frames


OBJECT Element | OBJECT Object Members

Inserts an object into the HTML page.

Properties

accessKey , align , altHTML , canHaveChildren , classid , className , clientHeight , clientLeft , clientTop , clientWidth , code , codeBase , codeType , currentStyle , data , dataFld , dataSrc , dir , form , height , hspace , id , isTextEdit , lang , language , name , nextSibling , nodeName , nodeType , nodeValue , object , offsetHeight , offsetLeft , offsetParent , offsetTop , offsetWidth , outerHTML , outerText , parentElement , parentNode , parentTextEdit , previousSibling , readyState , recordNumber , recordset , runtimeStyle , scopeName , scrollHeight , scrollLeft , scrollTop , scrollWidth , sourceIndex , style , tabIndex , tagName , tagUrn , title , type , uniqueID , vspace , width

Methods

addBehavior , applyElement , attachEvent , blur , clearAttributes , click , cloneNode , componentFromPoint , detachEvent , focus , getAdjacentText , getAttribute , getBoundingClientRect , getClientRects , getExpression , insertAdjacentElement , insertBefore , mergeAttributes , namedRecordset , releaseCapture , removeAttribute , removeBehavior , removeExpression , removeNode , replaceAdjacentText , replaceNode , scrollIntoView , setAttribute , setCapture , setExpression , swapNode

Events

onbeforeeditfocus , onblur , oncellchange , onclick , ondataavailable , ondatasetchanged , ondatasetcomplete , ondblclick , ondrag , ondragend , ondragenter , ondragleave , ondragover , ondragstart , ondrop , onerror , onfocus , onkeydown , onkeypress , onkeyup , onlosecapture , onpropertychange , onreadystatechange , onresize , onrowenter , onrowexit , onrowsdelete , onrowsinserted , onscroll , onselectstart

Collections

all , attributes , behaviorUrns

Behaviors

clientCaps , download , homePage , httpFolder , saveFavorite , saveHistory , saveSnapshot , userData

Styles

border-top-color width margin-top border-bottom-width border-bottom padding-right float display padding margin-right border-right-width cursor behavior border-top-style bottom visibility clip border-left-color margin-left text-autospace left border-style border-top border-top-width direction border-bottom-color margin-bottom position clear border-left-style border-right-color border-right margin border-width unicode-bidi top padding-left border-bottom-style layout-grid border-left-width border-left height layout-grid-mode padding-top padding-bottom border-color border-right-style border right


OL Element | OL Object Members

Draws lines of text as a numbered list.

Properties

accessKey , canHaveChildren , className , clientHeight , clientLeft , clientTop , clientWidth , currentStyle , dir , firstChild , id , innerHTML , innerText , isTextEdit , lang , language , lastChild , nextSibling , nodeName , nodeType , nodeValue , offsetHeight , offsetLeft , offsetParent , offsetTop , offsetWidth , outerHTML , outerText , parentElement , parentNode , parentTextEdit , previousSibling , readyState , recordNumber , runtimeStyle , scopeName , scrollHeight , scrollLeft , scrollTop , scrollWidth , sourceIndex , start , style , tabIndex , tagName , tagUrn , title , type , uniqueID

Methods

addBehavior , appendChild , applyElement , attachEvent , blur , clearAttributes , click , cloneNode , componentFromPoint , contains , detachEvent , focus , getAdjacentText , getAttribute , getBoundingClientRect , getClientRects , getElementsByTagName , getExpression , hasChildNodes , insertAdjacentElement , insertAdjacentHTML , insertAdjacentText , insertBefore , mergeAttributes , releaseCapture , removeAttribute , removeBehavior , removeChild , removeExpression , removeNode , replaceAdjacentText , replaceChild , replaceNode , scrollIntoView , setAttribute , setCapture , setExpression , swapNode

Events

onbeforecopy , onbeforecut , onbeforepaste , onblur , onclick , oncontextmenu , oncopy , oncut , ondblclick , ondrag , ondragend , ondragenter , ondragleave , ondragover , ondragstart , ondrop , onfocus , onhelp , onkeydown , onkeypress , onkeyup , onlosecapture , onmousedown , onmousemove , onmouseout , onmouseover , onmouseup , onpaste , onpropertychange , onreadystatechange , onresize , onselectstart

Collections

all , attributes , behaviorUrns , childNodes , children

Behaviors

clientCaps , download , homePage , httpFolder , saveFavorite , saveHistory , saveSnapshot , time , userData

Styles

border-top-color width margin-top border-bottom-width page-break-before padding-right padding border-right-width cursor text-indent visibility font-style border-left-color margin-left text-autospace left overflow-x layout-grid-line font-variant overflow-y list-style line-break list-style-type background text-align list-style-image direction border-bottom-color text-justify position background-position clear border-right-color border-right word-spacing top padding-left layout-grid-mode padding-bottom right font-size border-bottom overflow letter-spacing display float font-family margin-right behavior word-break text-transform background-repeat border-top-style layout-grid-char list-style-position background-image bottom clip text-decoration color border-style border-top-width border-top z-index margin-bottom page-break-after font border-left-style border-width margin unicode-bidi background-color font-weight line-height border-bottom-style layout-grid layout-grid-type layout-grid-char-spacing border-left-width border-left padding-top border-color border-right-style border


OPTION Element | OPTION Object Members

Denotes one choice in a SELECT element.

Properties

canHaveChildren , className , clientHeight , clientLeft , clientTop , clientWidth , currentStyle , defaultSelected , dir , firstChild , form , id , index , innerHTML , innerText , isTextEdit , lang , language , lastChild , nextSibling , nodeName , nodeType , nodeValue , offsetHeight , offsetLeft , offsetParent , offsetTop , offsetWidth , parentElement , parentNode , parentTextEdit , previousSibling , readyState , recordNumber , runtimeStyle , scopeName , scrollHeight , scrollLeft , scrollTop , scrollWidth , selected , style , tagName , tagUrn , text , uniqueID , value

Methods

addBehavior , appendChild , applyElement , attachEvent , clearAttributes , click , cloneNode , componentFromPoint , contains , detachEvent , getAdjacentText , getAttribute , getBoundingClientRect , getClientRects , getExpression , hasChildNodes , insertAdjacentElement , insertAdjacentHTML , insertAdjacentText , insertBefore , mergeAttributes , releaseCapture , removeAttribute , removeBehavior , removeChild , removeExpression , removeNode , replaceAdjacentText , replaceChild , replaceNode , setAttribute , setCapture , setExpression , swapNode

Events

onlosecapture , onpropertychange , onreadystatechange , onselectstart

Collections

attributes , behaviorUrns , childNodes , children

Behaviors

clientCaps , download , homePage , httpFolder , saveFavorite , saveHistory , saveSnapshot , time , userData

Styles

color width direction clear unicode-bidi background-color behavior layout-grid layout-grid-mode text-autospace


options Collection Members

Retrieves a collection of the OPTION objects in a SELECT object.

Properties

length

Methods

add , item , remove , tags , urns


P Element | P Object Members

Denotes a paragraph.

Properties

accessKey , align , canHaveChildren , className , clientHeight , clientLeft , clientTop , clientWidth , currentStyle , dir , firstChild , id , innerHTML , innerText , isTextEdit , lang , language , lastChild , nextSibling , nodeName , nodeType , nodeValue , offsetHeight , offsetLeft , offsetParent , offsetTop , offsetWidth , outerHTML , outerText , parentElement , parentNode , parentTextEdit , previousSibling , readyState , recordNumber , runtimeStyle , scopeName , scrollHeight , scrollLeft , scrollTop , scrollWidth , sourceIndex , style , tabIndex , tagName , tagUrn , title , uniqueID

Methods

addBehavior , appendChild , applyElement , attachEvent , blur , clearAttributes , click , cloneNode , componentFromPoint , contains , detachEvent , focus , getAdjacentText , getAttribute , getBoundingClientRect , getClientRects , getElementsByTagName , getExpression , hasChildNodes , insertAdjacentElement , insertAdjacentHTML , insertAdjacentText , insertBefore , mergeAttributes , releaseCapture , removeAttribute , removeBehavior , removeChild , removeExpression , removeNode , replaceAdjacentText , replaceChild , replaceNode , scrollIntoView , setAttribute , setCapture , setExpression , swapNode

Events

onbeforecopy , onbeforecut , onbeforepaste , onblur , onclick , oncontextmenu , oncopy , oncut , ondblclick , ondrag , ondragend , ondragenter , ondragleave , ondragover , ondragstart , ondrop , onfocus , onhelp , onkeydown , onkeypress , onkeyup , onlosecapture , onmousedown , onmousemove , onmouseout , onmouseover , onmouseup , onpaste , onpropertychange , onreadystatechange , onresize , onselectstart

Collections

all , attributes , behaviorUrns , childNodes , children

Behaviors

clientCaps , download , homePage , httpFolder , saveFavorite , saveHistory , saveSnapshot , time , userData

Styles

border-top-color width margin-top border-bottom-width page-break-before padding-right padding border-right-width cursor text-indent visibility font-style border-left-color margin-left text-autospace left overflow-x layout-grid-line font-variant overflow-y line-break background text-align direction border-bottom-color text-justify position background-position clear border-right-color border-right word-spacing top padding-left layout-grid-mode padding-bottom right font-size border-bottom overflow letter-spacing display float font-family margin-right behavior word-break text-transform background-repeat border-top-style layout-grid-char background-image bottom clip text-decoration color border-style border-top-width border-top z-index margin-bottom page-break-after font border-left-style border-width margin unicode-bidi background-color font-weight line-height border-bottom-style layout-grid layout-grid-type layout-grid-char-spacing border-left-width border-left padding-top border-color border-right-style border


PARAM Element | PARAM Object Members

Sets the property value for a given object.

Properties

dataFld , dataFormatAs , dataSrc , name , value

Methods

removeExpression , setExpression


PLAINTEXT Element | PLAINTEXT Object Members

Renders text in a fixed-width font without processing tags.

Properties

accessKey , canHaveChildren , className , clientHeight , clientLeft , clientTop , clientWidth , currentStyle , dir , firstChild , id , innerText , isTextEdit , lang , language , lastChild , nextSibling , nodeName , nodeType , nodeValue , offsetHeight , offsetLeft , offsetParent , offsetTop , offsetWidth , outerHTML , outerText , parentElement , parentNode , parentTextEdit , previousSibling , readyState , recordNumber , runtimeStyle , scopeName , scrollHeight , scrollLeft , scrollTop , scrollWidth , sourceIndex , style , tabIndex , tagName , tagUrn , title , uniqueID

Methods

addBehavior , appendChild , applyElement , attachEvent , blur , clearAttributes , click , cloneNode , componentFromPoint , contains , detachEvent , focus , getAdjacentText , getAttribute , getElementsByTagName , hasChildNodes , insertAdjacentElement , insertAdjacentHTML , insertBefore , mergeAttributes , releaseCapture , removeAttribute , removeBehavior , removeChild , removeNode , replaceAdjacentText , replaceChild , replaceNode , scrollIntoView , setAttribute , setCapture , swapNode

Events

onbeforecopy , onbeforecut , onbeforepaste , onblur , onclick , oncontextmenu , oncopy , oncut , ondblclick , ondrag , ondragend , ondragenter , ondragleave , ondragover , ondragstart , ondrop , onfocus , onhelp , onkeydown , onkeypress , onkeyup , onlosecapture , onmousedown , onmousemove , onmouseout , onmouseover , onmouseup , onpaste , onpropertychange , onreadystatechange , onselectstart

Collections

all , attributes , behaviorUrns , childNodes , children

Behaviors

clientCaps , download , homePage , httpFolder , saveFavorite , saveHistory , saveSnapshot , time , userData

Styles

border-top-color width margin-top border-bottom-width page-break-before padding-right padding border-right-width cursor text-indent font-style border-left-color margin-left text-autospace overflow-x layout-grid-line font-variant overflow-y line-break background text-align direction border-bottom-color text-justify background-position clear border-right-color border-right word-spacing padding-left layout-grid-mode padding-bottom font-size border-bottom overflow letter-spacing display font-family margin-right behavior word-break text-transform background-repeat border-top-style layout-grid-char background-image text-decoration color border-style border-top-width border-top z-index margin-bottom page-break-after font border-left-style border-width margin unicode-bidi background-color font-weight line-height border-bottom-style layout-grid layout-grid-type layout-grid-char-spacing border-left-width border-left padding-top border-color border-right-style border


plugins Collection Members

Retrieves a collection of all EMBED objects within the document.

Properties

length

Methods

item , tags


PRE Element | PRE Object Members

Renders text in a fixed-width font.

Properties

accessKey , canHaveChildren , className , clientHeight , clientLeft , clientTop , clientWidth , currentStyle , dir , firstChild , id , innerHTML , innerText , isTextEdit , lang , language , lastChild , nextSibling , nodeName , nodeType , nodeValue , offsetHeight , offsetLeft , offsetParent , offsetTop , offsetWidth , outerHTML , outerText , parentElement , parentNode , parentTextEdit , previousSibling , readyState , recordNumber , runtimeStyle , scopeName , scrollHeight , scrollLeft , scrollTop , scrollWidth , sourceIndex , style , tabIndex , tagName , tagUrn , title , uniqueID

Methods

addBehavior , appendChild , applyElement , attachEvent , blur , clearAttributes , click , cloneNode , componentFromPoint , contains , detachEvent , focus , getAdjacentText , getAttribute , getBoundingClientRect , getClientRects , getElementsByTagName , getExpression , hasChildNodes , insertAdjacentElement , insertAdjacentHTML , insertAdjacentText , insertBefore , mergeAttributes , releaseCapture , removeAttribute , removeBehavior , removeChild , removeExpression , removeNode , replaceAdjacentText , replaceChild , replaceNode , scrollIntoView , setAttribute , setCapture , setExpression , swapNode

Events

onbeforecopy , onbeforecut , onbeforepaste , onblur , onclick , oncontextmenu , oncopy , oncut , ondblclick , ondrag , ondragend , ondragenter , ondragleave , ondragover , ondragstart , ondrop , onfocus , onhelp , onkeydown , onkeypress , onkeyup , onlosecapture , onmousedown , onmousemove , onmouseout , onmouseover , onmouseup , onpaste , onpropertychange , onreadystatechange , onresize , onselectstart

Collections

all , attributes , behaviorUrns , childNodes , children

Behaviors

clientCaps , download , homePage , httpFolder , saveFavorite , saveHistory , saveSnapshot , time , userData

Styles

border-top-color width margin-top border-bottom-width page-break-before padding-right padding border-right-width cursor text-indent visibility font-style border-left-color margin-left text-autospace left overflow-x layout-grid-line font-variant overflow-y line-break background text-align direction border-bottom-color text-justify position background-position clear border-right-color border-right word-spacing top padding-left layout-grid-mode padding-bottom right font-size border-bottom overflow letter-spacing display float font-family margin-right behavior word-break text-transform background-repeat border-top-style layout-grid-char background-image bottom clip text-decoration color border-style border-top-width border-top z-index margin-bottom page-break-after font border-left-style border-width margin unicode-bidi background-color font-weight line-height border-bottom-style layout-grid layout-grid-type layout-grid-char-spacing border-left-width border-left padding-top border-color border-right-style border


Q Element | Q Object Members

Sets apart a quotation in text.

Properties

accessKey , canHaveChildren , className , currentStyle , dir , firstChild , id , innerHTML , innerText , isTextEdit , lang , language , lastChild , nextSibling , nodeName , nodeType , nodeValue , offsetHeight , offsetLeft , offsetParent , offsetTop , offsetWidth , outerHTML , outerText , parentElement , parentNode , parentTextEdit , previousSibling , readyState , recordNumber , runtimeStyle , scopeName , sourceIndex , style , tabIndex , tagName , tagUrn , title , uniqueID

Methods

addBehavior , appendChild , applyElement , attachEvent , blur , clearAttributes , cloneNode , componentFromPoint , detachEvent , focus , getAdjacentText , getBoundingClientRect , getClientRects , getElementsByTagName , getExpression , hasChildNodes , insertAdjacentElement , insertBefore , mergeAttributes , removeBehavior , removeChild , removeExpression , removeNode , replaceAdjacentText , replaceChild , replaceNode , setExpression , swapNode

Events

onblur , ondrag , ondragend , ondragenter , ondragleave , ondragover , ondragstart , ondrop , onfocus , onkeydown , onkeypress , onkeyup , onreadystatechange , onselectstart

Collections

all , attributes , behaviorUrns , childNodes , children

Behaviors

clientCaps , download , homePage , httpFolder , saveFavorite , saveHistory , saveSnapshot , time , userData

Styles

width direction overflow padding-right display padding unicode-bidi behavior padding-left layout-grid layout-grid-mode text-autospace padding-top overflow-x padding-bottom overflow-y


rows Collection Members

Retrieves a collection of TR objects (rows) from a TABLE object.

Properties

length

Methods

item , tags , urns


RT Element | RT Object Members

Designates the ruby text for the RUBY element.

Properties

accessKey , className , dir , id , innerHTML , innerText , lang , language , name , offsetHeight , offsetLeft , offsetParent , offsetTop , offsetWidth , outerHTML , outerText , parentElement , readyState , scopeName , tabIndex , tagName , tagUrn , title

Methods

addBehavior , blur , componentFromPoint , focus , getExpression , removeBehavior , removeExpression , setExpression

Events

onafterupdate , onbeforecut , onbeforepaste , onbeforeupdate , onblur , onclick , oncontextmenu , oncut , ondblclick , ondragstart , onerrorupdate , onfilterchange , onfocus , onhelp , onkeydown , onkeypress , onkeyup , onmousedown , onmousemove , onmouseout , onmouseover , onmouseup , onpaste , onreadystatechange , onselectstart

Collections

behaviorUrns , children , filters

Behaviors

clientCaps , download , homePage

Styles

width direction overflow padding-right float display padding unicode-bidi behavior padding-left layout-grid layout-grid-mode text-autospace padding-top overflow-x padding-bottom overflow-y


RUBY Element | RUBY Object Members

Designates an annotation or pronunciation guide to be placed above or inline with a string of text.

Properties

accessKey , className , dir , id , innerHTML , innerText , lang , language , name , offsetHeight , offsetLeft , offsetParent , offsetTop , offsetWidth , outerHTML , outerText , parentElement , readyState , recordNumber , scopeName , tabIndex , tagName , tagUrn , title

Methods

addBehavior , blur , componentFromPoint , focus , getExpression , removeBehavior , removeExpression , setExpression

Events

onafterupdate , onbeforecut , onbeforepaste , onbeforeupdate , onblur , onclick , oncontextmenu , oncut , ondblclick , ondragstart , onerrorupdate , onfilterchange , onfocus , onhelp , onkeydown , onkeypress , onkeyup , onmousedown , onmousemove , onmouseout , onmouseover , onmouseup , onpaste , onreadystatechange , onselectstart

Collections

behaviorUrns , children , filters

Behaviors

clientCaps , download , homePage

Styles

width overflow padding-right float display padding ruby-overhang behavior clip text-autospace overflow-x overflow-y direction position ruby-position unicode-bidi padding-left layout-grid layout-grid-mode padding-top padding-bottom ruby-align


rule Object Members

Represents a style within a cascading style sheet (CSS) that consists of a selector and one or more declarations.

Properties

readOnly , runtimeStyle , selectorText , style


rules Collection Members

Retrieves a collection of rules defined in the style sheet.

Properties

length

Methods

item


runtimeStyle Object Members

Represents the cascaded format and style of the object that overrides the format and style specified in global style sheets, inline styles, and HTML attributes.

Properties

background , backgroundAttachment , backgroundColor , backgroundImage , backgroundPosition , backgroundPositionX , backgroundPositionY , backgroundRepeat , border , borderBottom , borderBottomColor , borderBottomStyle , borderBottomWidth , borderColor , borderLeft , borderLeftColor , borderLeftStyle , borderLeftWidth , borderRight , borderRightColor , borderRightStyle , borderRightWidth , borderStyle , borderTop , borderTopColor , borderTopStyle , borderTopWidth , borderWidth , bottom , clear , clip , color , cssText , cursor , direction , filter , font , fontFamily , fontSize , fontStyle , fontVariant , fontWeight , height , layoutGrid , layoutGridChar , layoutGridCharSpacing , layoutGridLine , layoutGridMode , layoutGridType , left , letterSpacing , lineHeight , listStyle , listStyleImage , listStylePosition , listStyleType , margin , marginBottom , marginLeft , marginRight , marginTop , overflow , overflowX , overflowY , pageBreakAfter , pageBreakBefore , pixelBottom , pixelHeight , pixelLeft , pixelRight , pixelTop , pixelWidth , posBottom , posHeight , position , posLeft , posRight , posTop , posWidth , right , styleFloat , tableLayout , textAlign , textDecoration , textDecorationLineThrough , textDecorationNone , textDecorationOverline , textDecorationUnderline , textIndent , textTransform , top , unicodeBidi , verticalAlign , visibility , width , zIndex


S Element | S Object Members

Renders text in strike-through type.

Properties

accessKey , canHaveChildren , className , clientHeight , clientLeft , clientTop , clientWidth , currentStyle , dir , firstChild , id , innerHTML , innerText , isTextEdit , lang , language , lastChild , nextSibling , nodeName , nodeType , nodeValue , offsetHeight , offsetLeft , offsetParent , offsetTop , offsetWidth , outerHTML , outerText , parentElement , parentNode , parentTextEdit , previousSibling , readyState , recordNumber , runtimeStyle , scopeName , scrollHeight , scrollLeft , scrollTop , scrollWidth , sourceIndex , style , tabIndex , tagName , tagUrn , title , uniqueID

Methods

addBehavior , appendChild , applyElement , attachEvent , blur , clearAttributes , click , cloneNode , componentFromPoint , contains , detachEvent , focus , getAdjacentText , getAttribute , getBoundingClientRect , getClientRects , getElementsByTagName , getExpression , hasChildNodes , insertAdjacentElement , insertAdjacentHTML , insertAdjacentText , insertBefore , mergeAttributes , releaseCapture , removeAttribute , removeBehavior , removeChild , removeExpression , removeNode , replaceAdjacentText , replaceChild , replaceNode , scrollIntoView , setAttribute , setCapture , setExpression , swapNode

Events

onbeforecopy , onbeforecut , onbeforepaste , onblur , onclick , oncontextmenu , oncopy , oncut , ondblclick , ondrag , ondragend , ondragenter , ondragleave , ondragover , ondragstart , ondrop , onfocus , onhelp , onkeydown , onkeypress , onkeyup , onlosecapture , onmousedown , onmousemove , onmouseout , onmouseover , onmouseup , onpaste , onpropertychange , onreadystatechange , onresize , onselectstart

Collections

all , attributes , behaviorUrns , childNodes , children

Behaviors

clientCaps , download , homePage , httpFolder , saveFavorite , saveHistory , saveSnapshot , time , userData

Styles

width font-size overflow padding-right letter-spacing float display padding font-family cursor behavior text-transform background-repeat background-image bottom visibility font-style clip text-autospace left overflow-x font-variant text-decoration overflow-y background color direction z-index position background-position clear font unicode-bidi background-color font-weight word-spacing line-height top padding-left layout-grid layout-grid-mode padding-top padding-bottom right


SAMP Element | SAMP Object Members

Specifies a code sample.

Properties

accessKey , canHaveChildren , className , clientHeight , clientLeft , clientTop , clientWidth , currentStyle , dir , firstChild , id , innerHTML , innerText , isTextEdit , lang , language , lastChild , nextSibling , nodeName , nodeType , nodeValue , offsetHeight , offsetLeft , offsetParent , offsetTop , offsetWidth , outerHTML , outerText , parentElement , parentNode , parentTextEdit , previousSibling , readyState , recordNumber , runtimeStyle , scopeName , scrollHeight , scrollLeft , scrollTop , scrollWidth , sourceIndex , style , tabIndex , tagName , tagUrn , title , uniqueID

Methods

addBehavior , appendChild , applyElement , attachEvent , blur , clearAttributes , click , cloneNode , componentFromPoint , contains , detachEvent , focus , getAdjacentText , getAttribute , getBoundingClientRect , getClientRects , getElementsByTagName , getExpression , hasChildNodes , insertAdjacentElement , insertAdjacentHTML , insertAdjacentText , insertBefore , mergeAttributes , releaseCapture , removeAttribute , removeBehavior , removeChild , removeExpression , removeNode , replaceAdjacentText , replaceChild , replaceNode , scrollIntoView , setAttribute , setCapture , setExpression , swapNode

Events

onbeforecopy , onbeforecut , onbeforepaste , onblur , onclick , oncontextmenu , oncopy , oncut , ondblclick , ondrag , ondragend , ondragenter , ondragleave , ondragover , ondragstart , ondrop , onfocus , onhelp , onkeydown , onkeypress , onkeyup , onlosecapture , onmousedown , onmousemove , onmouseout , onmouseover , onmouseup , onpaste , onpropertychange , onreadystatechange , onresize , onselectstart

Collections

all , attributes , behaviorUrns , childNodes , children

Behaviors

clientCaps , download , homePage , httpFolder , saveFavorite , saveHistory , saveSnapshot , time , userData

Styles

width font-size overflow padding-right letter-spacing float display padding font-family cursor behavior text-transform background-repeat background-image bottom visibility font-style clip text-autospace left overflow-x font-variant text-decoration overflow-y background color direction z-index position background-position clear font unicode-bidi background-color font-weight word-spacing line-height top padding-left layout-grid layout-grid-mode padding-top padding-bottom right


SCRIPT Element | SCRIPT Object Members

Specifies a script for the page that is interpreted by a script engine.

Properties

clientHeight , clientLeft , clientTop , clientWidth , defer , event , firstChild , htmlFor , id , innerHTML , innerText , isTextEdit , lang , language , lastChild , nextSibling , nodeName , nodeType , nodeValue , parentElement , parentNode , parentTextEdit , previousSibling , readyState , recordNumber , runtimeStyle , scopeName , scrollHeight , scrollLeft , scrollTop , scrollWidth , sourceIndex , src , style , tagName , tagUrn , text , type , uniqueID

Methods

addBehavior , applyElement , attachEvent , clearAttributes , cloneNode , componentFromPoint , contains , detachEvent , getAdjacentText , getAttribute , getElementsByTagName , hasChildNodes , insertAdjacentElement , mergeAttributes , removeAttribute , removeBehavior , replaceAdjacentText , setAttribute , swapNode

Events

onload , onpropertychange , onreadystatechange

Collections

all , attributes , behaviorUrns , childNodes , children

Behaviors

clientCaps , download , homePage , saveSnapshot

Styles

width behavior layout-grid layout-grid-mode text-autospace


scripts Collection Members

Retrieves a collection of all SCRIPT objects in the document.

Properties

length

Methods

item , tags , urns


SELECT Element | SELECT Object Members

Denotes a list box or drop-down list.

Properties

accessKey , align , canHaveChildren , className , clientHeight , clientLeft , clientTop , clientWidth , currentStyle , dataFld , dataSrc , dir , disabled , firstChild , form , id , innerHTML , innerText , isTextEdit , lang , language , lastChild , length , multiple , name , nextSibling , nodeName , nodeType , nodeValue , offsetHeight , offsetLeft , offsetParent , offsetTop , offsetWidth , outerHTML , outerText , parentElement , parentNode , parentTextEdit , previousSibling , readyState , recordNumber , runtimeStyle , scopeName , scrollHeight , scrollLeft , scrollTop , scrollWidth , selectedIndex , size , sourceIndex , style , tabIndex , tagName , tagUrn , type , uniqueID

Methods

addBehavior , appendChild , applyElement , attachEvent , blur , clearAttributes , click , cloneNode , componentFromPoint , contains , detachEvent , focus , getAdjacentText , getAttribute , getBoundingClientRect , getClientRects , getElementsByTagName , getExpression , hasChildNodes , insertAdjacentElement , insertAdjacentHTML , insertAdjacentText , insertBefore , mergeAttributes , releaseCapture , removeAttribute , removeBehavior , removeChild , removeExpression , removeNode , replaceAdjacentText , replaceChild , replaceNode , scrollIntoView , setAttribute , setCapture , setExpression , swapNode , urns

Events

onbeforecut , onbeforeeditfocus , onbeforepaste , onblur , onchange , onclick , oncontextmenu , oncut , ondblclick , ondragenter , ondragleave , ondragover , ondrop , onfocus , onhelp , onkeydown , onkeypress , onkeyup , onlosecapture , onmousedown , onmousemove , onmouseout , onmouseover , onmouseup , onpaste , onpropertychange , onreadystatechange , onresize , onscroll , onselectstart

Collections

all , attributes , behaviorUrns , childNodes , children , options

Behaviors

clientCaps , download , homePage , httpFolder , saveFavorite , saveHistory , saveSnapshot , time , userData

Styles

width font-size overflow padding-right letter-spacing float display padding font-family behavior text-transform background-repeat background-image bottom visibility font-style clip text-autospace left overflow-x font-variant text-decoration overflow-y background color direction position background-position clear font unicode-bidi background-color font-weight word-spacing line-height top padding-left layout-grid layout-grid-mode padding-top padding-bottom right


SMALL Element | SMALL Object Members

Specifies that the enclosed text should be displayed in a smaller font.

Properties

accessKey , canHaveChildren , className , clientHeight , clientLeft , clientTop , clientWidth , currentStyle , dir , firstChild , id , innerHTML , innerText , isTextEdit , lang , language , lastChild , nextSibling , nodeName , nodeType , nodeValue , offsetHeight , offsetLeft , offsetParent , offsetTop , offsetWidth , outerHTML , outerText , parentElement , parentNode , parentTextEdit , previousSibling , readyState , recordNumber , runtimeStyle , scopeName , scrollHeight , scrollLeft , scrollTop , scrollWidth , sourceIndex , style , tabIndex , tagName , tagUrn , title , uniqueID

Methods

addBehavior , appendChild , applyElement , attachEvent , blur , clearAttributes , click , cloneNode , componentFromPoint , contains , detachEvent , focus , getAdjacentText , getAttribute , getBoundingClientRect , getClientRects , getElementsByTagName , getExpression , hasChildNodes , insertAdjacentElement , insertAdjacentHTML , insertAdjacentText , insertBefore , mergeAttributes , releaseCapture , removeAttribute , removeBehavior , removeChild , removeExpression , removeNode , replaceAdjacentText , replaceChild , replaceNode , scrollIntoView , setAttribute , setCapture , setExpression , swapNode

Events

onbeforecopy , onbeforecut , onbeforepaste , onblur , onclick , oncontextmenu , oncopy , oncut , ondblclick , ondrag , ondragend , ondragenter , ondragleave , ondragover , ondragstart , ondrop , onfocus , onhelp , onkeydown , onkeypress , onkeyup , onlosecapture , onmousedown , onmousemove , onmouseout , onmouseover , onmouseup , onpaste , onpropertychange , onreadystatechange , onresize , onselectstart

Collections

all , attributes , behaviorUrns , childNodes , children

Behaviors

clientCaps , download , homePage , httpFolder , saveFavorite , saveHistory , saveSnapshot , time , userData

Styles

width font-size overflow padding-right letter-spacing float display padding font-family cursor behavior text-transform background-repeat background-image bottom visibility font-style clip text-autospace left overflow-x font-variant text-decoration overflow-y background color direction z-index position background-position clear font unicode-bidi background-color font-weight word-spacing line-height top padding-left layout-grid layout-grid-mode padding-top padding-bottom right


SPAN Element | SPAN Object Members

Specifies an inline text container.

Properties

accessKey , canHaveChildren , className , clientHeight , clientLeft , clientTop , clientWidth , currentStyle , dataFld , dataFormatAs , dataSrc , dir , firstChild , id , innerHTML , innerText , isTextEdit , lang , language , lastChild , nextSibling , nodeName , nodeType , nodeValue , offsetHeight , offsetLeft , offsetParent , offsetTop , offsetWidth , outerHTML , outerText , parentElement , parentNode , parentTextEdit , previousSibling , readyState , recordNumber , runtimeStyle , scopeName , scrollHeight , scrollLeft , scrollTop , scrollWidth , sourceIndex , style , tabIndex , tagName , tagUrn , title , uniqueID

Methods

addBehavior , appendChild , applyElement , attachEvent , blur , clearAttributes , click , cloneNode , componentFromPoint , contains , detachEvent , doScroll , focus , getAdjacentText , getAttribute , getBoundingClientRect , getClientRects , getElementsByTagName , getExpression , hasChildNodes , insertAdjacentElement , insertAdjacentHTML , insertAdjacentText , insertBefore , mergeAttributes , releaseCapture , removeAttribute , removeBehavior , removeChild , removeExpression , removeNode , replaceAdjacentText , replaceChild , replaceNode , scrollIntoView , setAttribute , setCapture , setExpression , swapNode

Events

onbeforecopy , onbeforecut , onbeforeeditfocus , onbeforepaste , onblur , onclick , oncontextmenu , oncopy , oncut , ondblclick , ondrag , ondragend , ondragenter , ondragleave , ondragover , ondragstart , ondrop , onfilterchange , onfocus , onhelp , onkeydown , onkeypress , onkeyup , onlosecapture , onmousedown , onmousemove , onmouseout , onmouseover , onmouseup , onpaste , onpropertychange , onreadystatechange , onresize , onselectstart

Collections

all , attributes , behaviorUrns , childNodes , children , filters

Behaviors

clientCaps , download , homePage , httpFolder , saveFavorite , saveHistory , saveSnapshot , time , userData

Styles

border-top-color width margin-top border-bottom-width padding-right padding border-right-width cursor vertical-align filter visibility font-style border-left-color margin-left text-autospace left overflow-x font-variant overflow-y background direction border-bottom-color position background-position clear border-right-color border-right word-spacing top padding-left layout-grid-mode height padding-bottom right font-size border-bottom overflow letter-spacing display float font-family margin-right behavior text-transform background-repeat border-top-style background-image bottom clip text-decoration color border-style border-top-width border-top z-index margin-bottom font border-left-style border-width margin unicode-bidi background-color font-weight line-height border-bottom-style layout-grid border-left-width border-left padding-top border-color border-right-style border


STRIKE Element | STRIKE Object Members

Renders text in strike-through type.

Properties

accessKey , canHaveChildren , className , clientHeight , clientLeft , clientTop , clientWidth , currentStyle , dir , firstChild , id , innerHTML , innerText , isTextEdit , lang , language , lastChild , nextSibling , nodeName , nodeType , nodeValue , offsetHeight , offsetLeft , offsetParent , offsetTop , offsetWidth , outerHTML , outerText , parentElement , parentNode , parentTextEdit , previousSibling , readyState , recordNumber , runtimeStyle , scopeName , scrollHeight , scrollLeft , scrollTop , scrollWidth , sourceIndex , style , tabIndex , tagName , tagUrn , title , uniqueID

Methods

addBehavior , appendChild , applyElement , attachEvent , blur , clearAttributes , click , cloneNode , componentFromPoint , contains , detachEvent , focus , getAdjacentText , getAttribute , getBoundingClientRect , getClientRects , getElementsByTagName , getExpression , hasChildNodes , insertAdjacentElement , insertAdjacentHTML , insertAdjacentText , insertBefore , mergeAttributes , releaseCapture , removeAttribute , removeBehavior , removeChild , removeExpression , removeNode , replaceAdjacentText , replaceChild , replaceNode , scrollIntoView , setAttribute , setCapture , setExpression , swapNode

Events

onbeforecopy , onbeforecut , onbeforepaste , onblur , onclick , oncontextmenu , oncopy , oncut , ondblclick , ondrag , ondragend , ondragenter , ondragleave , ondragover , ondragstart , ondrop , onfocus , onhelp , onkeydown , onkeypress , onkeyup , onlosecapture , onmousedown , onmousemove , onmouseout , onmouseover , onmouseup , onpaste , onpropertychange , onreadystatechange , onresize , onselectstart

Collections

all , attributes , behaviorUrns , childNodes , children

Behaviors

clientCaps , download , homePage , httpFolder , saveFavorite , saveHistory , saveSnapshot , time , userData

Styles

width font-size overflow padding-right letter-spacing float display padding font-family cursor behavior text-transform background-repeat background-image bottom visibility font-style clip text-autospace left overflow-x font-variant text-decoration overflow-y background color direction z-index position background-position clear font unicode-bidi background-color font-weight word-spacing line-height top padding-left layout-grid layout-grid-mode padding-top padding-bottom right


STRONG Element | STRONG Object Members

Renders text in bold.

Properties

accessKey , canHaveChildren , className , clientHeight , clientLeft , clientTop , clientWidth , currentStyle , dir , firstChild , id , innerHTML , innerText , isTextEdit , lang , language , lastChild , nextSibling , nodeName , nodeType , nodeValue , offsetHeight , offsetLeft , offsetParent , offsetTop , offsetWidth , outerHTML , outerText , parentElement , parentNode , parentTextEdit , previousSibling , readyState , recordNumber , runtimeStyle , scopeName , scrollHeight , scrollLeft , scrollTop , scrollWidth , sourceIndex , style , tabIndex , tagName , tagUrn , title , uniqueID

Methods

addBehavior , appendChild , applyElement , attachEvent , blur , clearAttributes , click , cloneNode , componentFromPoint , contains , detachEvent , focus , getAdjacentText , getAttribute , getBoundingClientRect , getClientRects , getElementsByTagName , getExpression , hasChildNodes , insertAdjacentElement , insertAdjacentHTML , insertAdjacentText , insertBefore , mergeAttributes , releaseCapture , removeAttribute , removeBehavior , removeChild , removeExpression , removeNode , replaceAdjacentText , replaceChild , replaceNode , scrollIntoView , setAttribute , setCapture , setExpression , swapNode

Events

onbeforecopy , onbeforecut , onbeforepaste , onblur , onclick , oncontextmenu , oncopy , oncut , ondblclick , ondrag , ondragend , ondragenter , ondragleave , ondragover , ondragstart , ondrop , onfocus , onhelp , onkeydown , onkeypress , onkeyup , onlosecapture , onmousedown , onmousemove , onmouseout , onmouseover , onmouseup , onpaste , onpropertychange , onreadystatechange , onresize , onselectstart

Collections

all , attributes , behaviorUrns , childNodes , children

Behaviors

clientCaps , download , homePage , httpFolder , saveFavorite , saveHistory , saveSnapshot , time , userData

Styles

width font-size overflow padding-right letter-spacing float display padding font-family cursor behavior text-transform background-repeat background-image bottom visibility font-style clip text-autospace left overflow-x font-variant text-decoration overflow-y background color direction z-index position background-position clear font unicode-bidi background-color font-weight word-spacing line-height top padding-left layout-grid layout-grid-mode padding-top padding-bottom right


STYLE Element | style Object Members

Specifies a style sheet for the page.

Properties

behavior , currentStyle , innerHTML , innerText , media , type

Methods

addBehavior , removeBehavior , setAttribute

Events

onerror , onreadystatechange

Collections

behaviorUrns


styleSheets Collection Members

Retrieves a collection of styleSheet objects representing the style sheets that correspond to each instance of a LINK or STYLE object in the document.

Properties

length , styleSheet

Methods

item , urns


SUB Element | SUB Object Members

Specifies that the enclosed text should be displayed in subscript, using a smaller font than the current font.

Properties

accessKey , canHaveChildren , className , clientHeight , clientLeft , clientTop , clientWidth , currentStyle , dir , firstChild , id , innerHTML , innerText , isTextEdit , lang , language , lastChild , nextSibling , nodeName , nodeType , nodeValue , offsetHeight , offsetLeft , offsetParent , offsetTop , offsetWidth , outerHTML , outerText , parentElement , parentNode , parentTextEdit , previousSibling , readyState , recordNumber , runtimeStyle , scopeName , scrollHeight , scrollLeft , scrollTop , scrollWidth , sourceIndex , style , tabIndex , tagName , tagUrn , title , uniqueID

Methods

addBehavior , appendChild , applyElement , attachEvent , blur , clearAttributes , click , cloneNode , componentFromPoint , contains , detachEvent , focus , getAdjacentText , getAttribute , getBoundingClientRect , getClientRects , getElementsByTagName , getExpression , hasChildNodes , insertAdjacentElement , insertAdjacentHTML , insertAdjacentText , insertBefore , mergeAttributes , releaseCapture , removeAttribute , removeBehavior , removeChild , removeExpression , removeNode , replaceAdjacentText , replaceChild , replaceNode , scrollIntoView , setAttribute , setCapture , setExpression , swapNode

Events

onbeforecopy , onbeforecut , onbeforepaste , onblur , onclick , oncontextmenu , oncopy , oncut , ondblclick , ondrag , ondragend , ondragenter , ondragleave , ondragover , ondragstart , ondrop , onfocus , onhelp , onkeydown , onkeypress , onkeyup , onlosecapture , onmousedown , onmousemove , onmouseout , onmouseover , onmouseup , onpaste , onpropertychange , onreadystatechange , onresize , onselectstart

Collections

all , attributes , behaviorUrns , childNodes , children

Behaviors

clientCaps , download , homePage , httpFolder , saveFavorite , saveHistory , saveSnapshot , time , userData

Styles

width font-size overflow padding-right letter-spacing float display padding font-family cursor behavior text-transform background-repeat background-image bottom visibility font-style clip text-autospace left overflow-x font-variant text-decoration overflow-y background color direction z-index position background-position clear font unicode-bidi background-color font-weight word-spacing line-height top padding-left layout-grid layout-grid-mode padding-top padding-bottom right


SUP Element | SUP Object Members

Specifies that the enclosed text should be displayed in superscript, using a smaller font than the current font.

Properties

accessKey , canHaveChildren , className , clientHeight , clientLeft , clientTop , clientWidth , currentStyle , dir , firstChild , id , innerHTML , innerText , isTextEdit , lang , language , lastChild , nextSibling , nodeName , nodeType , nodeValue , offsetHeight , offsetLeft , offsetParent , offsetTop , offsetWidth , outerHTML , outerText , parentElement , parentNode , parentTextEdit , previousSibling , readyState , recordNumber , runtimeStyle , scopeName , scrollHeight , scrollLeft , scrollTop , scrollWidth , sourceIndex , style , tabIndex , tagName , tagUrn , title , uniqueID

Methods

addBehavior , appendChild , applyElement , attachEvent , blur , clearAttributes , click , cloneNode , componentFromPoint , contains , detachEvent , focus , getAdjacentText , getAttribute , getBoundingClientRect , getClientRects , getElementsByTagName , getExpression , hasChildNodes , insertAdjacentElement , insertAdjacentHTML , insertAdjacentText , insertBefore , mergeAttributes , releaseCapture , removeAttribute , removeBehavior , removeChild , removeExpression , removeNode , replaceAdjacentText , replaceChild , replaceNode , scrollIntoView , setAttribute , setCapture , setExpression , swapNode

Events

onbeforecopy , onbeforecut , onbeforepaste , onblur , onclick , oncontextmenu , oncopy , oncut , ondblclick , ondrag , ondragend , ondragenter , ondragleave , ondragover , ondragstart , ondrop , onfocus , onhelp , onkeydown , onkeypress , onkeyup , onlosecapture , onmousedown , onmousemove , onmouseout , onmouseover , onmouseup , onpaste , onpropertychange , onreadystatechange , onresize , onselectstart

Collections

all , attributes , behaviorUrns , childNodes , children

Behaviors

clientCaps , download , homePage , httpFolder , saveFavorite , saveHistory , saveSnapshot , time , userData

Styles

width font-size overflow padding-right letter-spacing float display padding font-family cursor behavior text-transform background-repeat background-image bottom visibility font-style clip text-autospace left overflow-x font-variant text-decoration overflow-y background color direction z-index position background-position clear font unicode-bidi background-color font-weight word-spacing line-height top padding-left layout-grid layout-grid-mode padding-top padding-bottom right


TABLE Element | TABLE Object Members

Specifies that the contained content is organized into a table with rows and columns.

Properties

accessKey , align , background , bgColor , border , borderColor , borderColorDark , borderColorLight , canHaveChildren , caption , cellPadding , cellSpacing , className , clientHeight , clientLeft , clientTop , clientWidth , cols , currentStyle , dataPageSize , dataSrc , dir , firstChild , frame , height , id , innerHTML , innerText , isTextEdit , lang , language , lastChild , nextSibling , nodeName , nodeType , nodeValue , offsetHeight , offsetLeft , offsetParent , offsetTop , offsetWidth , outerHTML , outerText , parentElement , parentNode , parentTextEdit , previousSibling , readyState , recordNumber , rules , runtimeStyle , scopeName , scrollHeight , scrollLeft , scrollTop , scrollWidth , sourceIndex , style , tabIndex , tagName , tagUrn , tFoot , tHead , title , uniqueID , width

Methods

addBehavior , appendChild , applyElement , attachEvent , blur , clearAttributes , click , cloneNode , componentFromPoint , contains , createCaption , createTFoot , createTHead , deleteCaption , detachEvent , firstPage , focus , getAdjacentText , getAttribute , getBoundingClientRect , getClientRects , getElementsByTagName , getExpression , hasChildNodes , insertAdjacentElement , insertBefore , insertRow , lastPage , mergeAttributes , moveRow , nextPage , previousPage , refresh , releaseCapture , removeAttribute , removeBehavior , removeChild , removeExpression , removeNode , replaceAdjacentText , replaceChild , replaceNode , scrollIntoView , setAttribute , setCapture , setExpression , swapNode

Events

onbeforecut , onbeforeeditfocus , onbeforepaste , onblur , onclick , oncontextmenu , oncut , ondblclick , ondrag , ondragend , ondragenter , ondragleave , ondragover , ondragstart , ondrop , onfilterchange , onfocus , onhelp , onkeydown , onkeypress , onkeyup , onlosecapture , onmousedown , onmousemove , onmouseout , onmouseover , onmouseup , onpaste , onpropertychange , onreadystatechange , onresize , onscroll , onselectstart

Collections

all , attributes , behaviorUrns , cells , childNodes , children , filters , rows , tBodies

Behaviors

clientCaps , download , homePage , httpFolder , saveFavorite , saveHistory , saveSnapshot , time , userData

Styles

border-top-color width margin-top border-bottom-width page-break-before padding border-right-width cursor filter text-indent visibility font-style border-left-color margin-left text-autospace left overflow-x layout-grid-line font-variant overflow-y line-break background text-align direction border-bottom-color text-justify position background-position clear border-right-color border-right word-spacing top layout-grid-mode height right border-collapse font-size border-bottom overflow letter-spacing display float font-family margin-right behavior word-break text-transform background-repeat border-top-style layout-grid-char background-image bottom table-layout clip text-decoration color border-style border-top-width border-top z-index margin-bottom page-break-after font border-left-style border-width margin unicode-bidi background-color font-weight line-height border-bottom-style layout-grid layout-grid-type layout-grid-char-spacing border-left-width border-left border-color border-right-style border


tBodies Collection Members

Retrieves a collection of all TBODY objects in the table. Objects in this collection are in HTML source order.

Properties

length

Methods

item , tags , urns


TBODY Element | TBODY Object Members

Designates rows as the body of the table.

Properties

accessKey , align , bgColor , canHaveChildren , className , clientHeight , clientLeft , clientTop , clientWidth , currentStyle , dir , firstChild , id , innerHTML , innerText , isTextEdit , lang , language , lastChild , nextSibling , nodeName , nodeType , nodeValue , offsetHeight , offsetLeft , offsetParent , offsetTop , offsetWidth , outerHTML , outerText , parentElement , parentNode , parentTextEdit , previousSibling , readyState , recordNumber , runtimeStyle , scopeName , scrollHeight , scrollLeft , scrollTop , scrollWidth , sourceIndex , style , tabIndex , tagName , tagUrn , title , uniqueID , vAlign

Methods

addBehavior , appendChild , applyElement , attachEvent , blur , clearAttributes , click , cloneNode , componentFromPoint , contains , deleteRow , deleteTFoot , deleteTHead , detachEvent , focus , getAdjacentText , getAttribute , getBoundingClientRect , getClientRects , getElementsByTagName , getExpression , hasChildNodes , insertAdjacentElement , insertBefore , insertRow , mergeAttributes , moveRow , releaseCapture , removeAttribute , removeBehavior , removeChild , removeExpression , removeNode , replaceAdjacentText , replaceChild , replaceNode , scrollIntoView , setAttribute , setCapture , setExpression , swapNode

Events

onbeforecut , onbeforepaste , onblur , onclick , oncontextmenu , oncut , ondblclick , ondrag , ondragend , ondragenter , ondragleave , ondragover , ondragstart , ondrop , onfocus , onhelp , onkeydown , onkeypress , onkeyup , onlosecapture , onmousedown , onmousemove , onmouseout , onmouseover , onmouseup , onpaste , onpropertychange , onreadystatechange , onselectstart

Collections

all , attributes , behaviorUrns , childNodes , children , rows

Behaviors

clientCaps , download , homePage , time

Styles

width font-size letter-spacing display padding font-family cursor behavior text-transform background-repeat background-image vertical-align visibility font-style text-autospace font-variant text-decoration background color direction z-index background-position clear font unicode-bidi background-color font-weight word-spacing line-height layout-grid layout-grid-mode


TD Element | TD Object Members

Specifies a cell in a table.

Properties

accessKey , align , background , bgColor , borderColor , borderColorDark , borderColorLight , canHaveChildren , cellIndex , className , clientHeight , clientLeft , clientTop , clientWidth , colSpan , currentStyle , dir , firstChild , height , id , innerHTML , innerText , isTextEdit , lang , language , lastChild , nextSibling , nodeName , nodeType , nodeValue , noWrap , offsetHeight , offsetLeft , offsetParent , offsetTop , offsetWidth , outerHTML , outerText , parentElement , parentNode , parentTextEdit , previousSibling , readyState , recordNumber , rowSpan , runtimeStyle , scopeName , scrollHeight , scrollLeft , scrollTop , scrollWidth , sourceIndex , style , tabIndex , tagName , tagUrn , title , uniqueID , vAlign , width

Methods

addBehavior , appendChild , applyElement , attachEvent , blur , clearAttributes , click , cloneNode , componentFromPoint , contains , detachEvent , focus , getAdjacentText , getAttribute , getBoundingClientRect , getClientRects , getElementsByTagName , getExpression , hasChildNodes , insertAdjacentElement , insertAdjacentHTML , insertAdjacentText , insertBefore , mergeAttributes , releaseCapture , removeAttribute , removeBehavior , removeChild , removeExpression , removeNode , replaceAdjacentText , replaceChild , replaceNode , scrollIntoView , setAttribute , setCapture , setExpression , swapNode

Events

onbeforecopy , onbeforecut , onbeforeeditfocus , onbeforepaste , onblur , onclick , oncontextmenu , oncopy , oncut , ondblclick , ondrag , ondragend , ondragenter , ondragleave , ondragover , ondragstart , ondrop , onfilterchange , onfocus , onhelp , onkeydown , onkeypress , onkeyup , onlosecapture , onmousedown , onmousemove , onmouseout , onmouseover , onmouseup , onpaste , onpropertychange , onreadystatechange , onselectstart

Collections

all , attributes , behaviorUrns , childNodes , children , filters

Behaviors

clientCaps , download , homePage , time

Styles

border-top-color width margin-top border-bottom-width page-break-before padding-right padding border-right-width cursor vertical-align filter text-indent visibility font-style border-left-color margin-left text-autospace layout-grid-line font-variant line-break background text-align direction border-bottom-color text-justify position background-position clear border-right-color border-right word-spacing padding-left layout-grid-mode padding-bottom font-size border-bottom overflow letter-spacing display font-family margin-right behavior word-break text-transform background-repeat border-top-style layout-grid-char background-image clip text-decoration color border-style border-top-width border-top z-index margin-bottom page-break-after font border-left-style border-width margin unicode-bidi background-color font-weight line-height border-bottom-style layout-grid layout-grid-type layout-grid-char-spacing border-left-width border-left padding-top border-color border-right-style border


TextRectangle Collection Members

Returns a collection of TextRectangle objects.

Properties

length

Methods

item


TEXTAREA Element | TEXTAREA Object Members

Specifies a multiline text input control.

Properties

accessKey , canHaveChildren , className , clientHeight , clientLeft , clientTop , clientWidth , cols , currentStyle , dataFld , dataSrc , defaultValue , dir , disabled , firstChild , form , id , innerText , isTextEdit , lang , language , lastChild , name , nextSibling , nodeName , nodeType , nodeValue , offsetHeight , offsetLeft , offsetParent , offsetTop , offsetWidth , outerHTML , outerText , parentElement , parentNode , parentTextEdit , previousSibling , readOnly , readyState , recordNumber , rows , runtimeStyle , scopeName , scrollHeight , scrollLeft , scrollTop , scrollWidth , sourceIndex , style , tabIndex , tagName , tagUrn , title , type , uniqueID , value , wrap

Methods

addBehavior , appendChild , applyElement , attachEvent , blur , clearAttributes , click , cloneNode , componentFromPoint , contains , createTextRange , detachEvent , doScroll , focus , getAdjacentText , getAttribute , getBoundingClientRect , getClientRects , getElementsByTagName , getExpression , hasChildNodes , insertAdjacentElement , insertAdjacentHTML , insertAdjacentText , insertBefore , mergeAttributes , releaseCapture , removeAttribute , removeBehavior , removeChild , removeExpression , removeNode , replaceAdjacentText , replaceChild , replaceNode , scrollIntoView , select , setAttribute , setCapture , setExpression , swapNode

Events

onafterupdate , onbeforecopy , onbeforecut , onbeforeeditfocus , onbeforepaste , onbeforeupdate , onblur , onchange , onclick , oncontextmenu , oncut , ondblclick , ondrag , ondragend , ondragenter , ondragleave , ondragover , ondragstart , ondrop , onerrorupdate , onfilterchange , onfocus , onhelp , onkeydown , onkeypress , onkeyup , onlosecapture , onmousedown , onmousemove , onmouseout , onmouseover , onmouseup , onpaste , onpropertychange , onreadystatechange , onresize , onscroll , onselect , onselectstart

Collections

all , attributes , behaviorUrns , childNodes , children , filters

Behaviors

clientCaps , download , homePage , httpFolder , saveFavorite , saveHistory , saveSnapshot , time , userData

Styles

border-top-color width margin-top border-bottom-width padding-right padding border-right-width cursor filter visibility font-style border-left-color margin-left text-autospace left overflow-x font-variant overflow-y background text-align direction border-bottom-color position background-position clear border-right-color border-right word-spacing top padding-left layout-grid-mode height padding-bottom right font-size border-bottom overflow letter-spacing display float font-family margin-right behavior text-transform background-repeat border-top-style background-image bottom clip text-decoration color border-style border-top-width border-top z-index margin-bottom font border-left-style border-width margin unicode-bidi background-color font-weight ime-mode line-height border-bottom-style layout-grid border-left-width border-left padding-top border-color border-right-style border


TextNode Object Members

Represents a string of text as a node in the document hierarchy.

Properties

data , length , nextSibling , nodeName , nodeType , nodeValue , previousSibling

Methods

splitText


TextRectangle Object Members

Specifies a rectangle that contains a line of text in either an element or a TextRange object.

Properties

bottom , left , right , top


TFOOT Element | TFOOT Object Members

Designates rows as the table's footer.

Properties

accessKey , align , bgColor , canHaveChildren , className , clientHeight , clientLeft , clientTop , clientWidth , currentStyle , dir , firstChild , id , innerHTML , innerText , isTextEdit , lang , language , lastChild , nextSibling , nodeName , nodeType , nodeValue , offsetHeight , offsetLeft , offsetParent , offsetTop , offsetWidth , outerHTML , outerText , parentElement , parentNode , parentTextEdit , previousSibling , readyState , recordNumber , runtimeStyle , scopeName , scrollHeight , scrollLeft , scrollTop , scrollWidth , sourceIndex , style , tabIndex , tagName , tagUrn , title , uniqueID , vAlign

Methods

addBehavior , appendChild , applyElement , attachEvent , blur , clearAttributes , click , cloneNode , componentFromPoint , contains , deleteRow , detachEvent , focus , getAdjacentText , getAttribute , getBoundingClientRect , getClientRects , getElementsByTagName , getExpression , hasChildNodes , insertAdjacentElement , insertBefore , insertRow , mergeAttributes , moveRow , releaseCapture , removeAttribute , removeBehavior , removeChild , removeExpression , removeNode , replaceAdjacentText , replaceChild , replaceNode , scrollIntoView , setAttribute , setCapture , setExpression , swapNode

Events

onbeforecut , onbeforepaste , onblur , onclick , oncontextmenu , oncut , ondblclick , ondragenter , ondragstart , onfocus , onhelp , onkeydown , onkeypress , onkeyup , onlosecapture , onmousedown , onmousemove , onmouseout , onmouseover , onmouseup , onpaste , onpropertychange , onreadystatechange , onselectstart

Collections

all , attributes , behaviorUrns , childNodes , children , rows

Behaviors

clientCaps , download , homePage , time

Styles

width font-size letter-spacing display padding font-family cursor behavior text-transform background-repeat background-image vertical-align visibility font-style text-autospace font-variant text-decoration background color direction z-index background-position clear font unicode-bidi background-color font-weight word-spacing line-height layout-grid layout-grid-mode


TH Element | TH Object Members

Specifies a header column. Header columns are centered within the cell and are bold.

Properties

accessKey , align , background , bgColor , borderColor , borderColorDark , borderColorLight , canHaveChildren , className , clientHeight , clientLeft , clientTop , clientWidth , colSpan , currentStyle , dir , firstChild , height , id , innerHTML , innerText , isTextEdit , lang , language , lastChild , nextSibling , nodeName , nodeType , nodeValue , noWrap , offsetHeight , offsetLeft , offsetParent , offsetTop , offsetWidth , outerHTML , outerText , parentElement , parentNode , parentTextEdit , previousSibling , readyState , recordNumber , rowSpan , runtimeStyle , scopeName , scrollHeight , scrollLeft , scrollTop , scrollWidth , sourceIndex , style , tabIndex , tagName , tagUrn , title , uniqueID , vAlign , width

Methods

addBehavior , appendChild , applyElement , attachEvent , blur , clearAttributes , click , cloneNode , componentFromPoint , contains , detachEvent , focus , getAdjacentText , getAttribute , getBoundingClientRect , getClientRects , getElementsByTagName , getExpression , hasChildNodes , insertAdjacentElement , insertAdjacentHTML , insertAdjacentText , insertBefore , mergeAttributes , releaseCapture , removeAttribute , removeBehavior , removeChild , removeExpression , removeNode , replaceAdjacentText , replaceChild , replaceNode , scrollIntoView , setAttribute , setCapture , setExpression , swapNode

Events

onbeforecopy , onbeforecut , onbeforepaste , onblur , onclick , oncontextmenu , oncopy , oncut , ondblclick , ondragenter , ondragstart , onfilterchange , onfocus , onhelp , onkeydown , onkeypress , onkeyup , onlosecapture , onmousedown , onmousemove , onmouseout , onmouseover , onmouseup , onpaste , onpropertychange , onreadystatechange , onselectstart

Collections

all , attributes , behaviorUrns , childNodes , filters

Behaviors

clientCaps , download , homePage , time

Styles

border-top-color width margin-top border-bottom-width padding-right padding border-right-width cursor vertical-align filter text-indent visibility font-style border-left-color margin-left text-autospace layout-grid-line font-variant line-break background text-align direction border-bottom-color text-justify position background-position clear border-right-color border-right word-spacing padding-left layout-grid-mode padding-bottom font-size border-bottom letter-spacing display font-family margin-right behavior word-break text-transform background-repeat border-top-style layout-grid-char background-image clip text-decoration color border-style border-top-width border-top z-index margin-bottom font border-left-style border-width margin unicode-bidi background-color font-weight line-height border-bottom-style layout-grid layout-grid-type layout-grid-char-spacing border-left-width border-left padding-top border-color border-right-style border


THEAD Element | THEAD Object Members

Designates rows as the table's header.

Properties

accessKey , align , bgColor , canHaveChildren , className , clientHeight , clientLeft , clientTop , clientWidth , currentStyle , dir , firstChild , id , innerHTML , innerText , isTextEdit , lang , language , lastChild , nextSibling , nodeName , nodeType , nodeValue , offsetHeight , offsetLeft , offsetParent , offsetTop , offsetWidth , outerHTML , outerText , parentElement , parentNode , parentTextEdit , previousSibling , readyState , recordNumber , runtimeStyle , scopeName , scrollHeight , scrollLeft , scrollTop , scrollWidth , sourceIndex , style , tabIndex , tagName , tagUrn , title , uniqueID , vAlign

Methods

addBehavior , appendChild , applyElement , attachEvent , blur , clearAttributes , click , cloneNode , componentFromPoint , contains , deleteRow , detachEvent , focus , getAdjacentText , getAttribute , getBoundingClientRect , getClientRects , getElementsByTagName , getExpression , hasChildNodes , insertAdjacentElement , insertBefore , insertRow , mergeAttributes , moveRow , releaseCapture , removeAttribute , removeBehavior , removeChild , removeExpression , removeNode , replaceAdjacentText , replaceChild , replaceNode , scrollIntoView , setAttribute , setCapture , setExpression , swapNode

Events

onbeforecut , onbeforepaste , onblur , onclick , oncontextmenu , oncut , ondblclick , ondragenter , ondragstart , onfocus , onhelp , onkeydown , onkeypress , onkeyup , onlosecapture , onmousedown , onmousemove , onmouseout , onmouseover , onmouseup , onpaste , onpropertychange , onreadystatechange , onselectstart

Collections

all , attributes , behaviorUrns , childNodes , children , rows

Behaviors

clientCaps , download , homePage , time

Styles

width font-size letter-spacing display padding font-family cursor behavior text-transform background-repeat background-image vertical-align visibility font-style text-autospace font-variant text-decoration background color direction z-index background-position clear font unicode-bidi background-color font-weight word-spacing line-height layout-grid layout-grid-mode


TITLE Element | title Object Members

Contains the title of the document.

Properties

currentStyle , firstChild , id , innerText , isTextEdit , lang , lastChild , nextSibling , nodeName , nodeType , nodeValue , parentElement , parentNode , parentTextEdit , previousSibling , readyState , runtimeStyle , scopeName , sourceIndex , style , tagName , tagUrn , text , uniqueID

Methods

addBehavior , applyElement , attachEvent , clearAttributes , cloneNode , componentFromPoint , contains , detachEvent , getAdjacentText , getAttribute , getElementsByTagName , hasChildNodes , insertAdjacentElement , mergeAttributes , removeAttribute , removeBehavior , replaceAdjacentText , setAttribute , swapNode

Events

onreadystatechange

Collections

all , attributes , behaviorUrns , childNodes , children

Behaviors

clientCaps , download , homePage

Styles

width behavior text-autospace


TR Element | TR Object Members

Specifies a row in a table.

Properties

accessKey , align , bgColor , borderColor , borderColorDark , borderColorLight , canHaveChildren , className , clientHeight , clientLeft , clientTop , clientWidth , currentStyle , dir , firstChild , height , id , innerHTML , innerText , isTextEdit , lang , language , lastChild , nextSibling , nodeName , nodeType , nodeValue , offsetHeight , offsetLeft , offsetParent , offsetTop , offsetWidth , outerHTML , outerText , parentElement , parentNode , parentTextEdit , previousSibling , readyState , recordNumber , rowIndex , runtimeStyle , scopeName , scrollHeight , scrollLeft , scrollTop , scrollWidth , sectionRowIndex , sourceIndex , style , tabIndex , tagName , tagUrn , title , uniqueID , vAlign , width

Methods

addBehavior , appendChild , applyElement , attachEvent , blur , clearAttributes , click , cloneNode , componentFromPoint , contains , deleteCell , detachEvent , focus , getAdjacentText , getAttribute , getBoundingClientRect , getClientRects , getElementsByTagName , getExpression , hasChildNodes , insertAdjacentElement , insertBefore , insertCell , mergeAttributes , releaseCapture , removeAttribute , removeBehavior , removeChild , removeExpression , removeNode , replaceAdjacentText , replaceChild , replaceNode , scrollIntoView , setAttribute , setCapture , setExpression , swapNode

Events

onbeforecopy , onbeforecut , onbeforeeditfocus , onbeforepaste , onblur , onclick , oncontextmenu , oncopy , oncut , ondblclick , ondrag , ondragend , ondragenter , ondragleave , ondragover , ondragstart , ondrop , onfilterchange , onfocus , onhelp , onkeydown , onkeypress , onkeyup , onlosecapture , onmousedown , onmousemove , onmouseout , onmouseover , onmouseup , onpaste , onpropertychange , onreadystatechange , onselectstart

Collections

all , attributes , behaviorUrns , cells , childNodes , children

Behaviors

clientCaps , download , homePage , time

Styles

width font-size page-break-before letter-spacing display padding font-family cursor behavior word-break text-transform background-repeat layout-grid-char background-image vertical-align text-indent visibility font-style clip text-autospace layout-grid-line font-variant text-decoration line-break background color text-align direction z-index text-justify page-break-after position background-position clear font unicode-bidi background-color font-weight word-spacing line-height layout-grid layout-grid-type layout-grid-char-spacing height layout-grid-mode


TT Element | TT Object Members

Renders text in a fixed-width font.

Properties

accessKey , canHaveChildren , className , clientHeight , clientLeft , clientTop , clientWidth , currentStyle , dir , firstChild , id , innerHTML , innerText , isTextEdit , lang , language , lastChild , nextSibling , nodeName , nodeType , nodeValue , offsetHeight , offsetLeft , offsetParent , offsetTop , offsetWidth , outerHTML , outerText , parentElement , parentNode , parentTextEdit , previousSibling , readyState , recordNumber , runtimeStyle , scopeName , scrollHeight , scrollLeft , scrollTop , scrollWidth , sourceIndex , style , tabIndex , tagName , tagUrn , title , uniqueID

Methods

addBehavior , appendChild , applyElement , attachEvent , blur , clearAttributes , click , cloneNode , componentFromPoint , contains , detachEvent , focus , getAdjacentText , getAttribute , getBoundingClientRect , getClientRects , getElementsByTagName , getExpression , hasChildNodes , insertAdjacentElement , insertAdjacentHTML , insertAdjacentText , insertBefore , mergeAttributes , releaseCapture , removeAttribute , removeBehavior , removeChild , removeExpression , removeNode , replaceAdjacentText , replaceChild , replaceNode , scrollIntoView , setAttribute , setCapture , setExpression , swapNode

Events

onbeforecopy , onbeforecut , onbeforepaste , onblur , onclick , oncontextmenu , oncopy , oncut , ondblclick , ondrag , ondragend , ondragenter , ondragleave , ondragover , ondragstart , ondrop , onfocus , onhelp , onkeydown , onkeypress , onkeyup , onlosecapture , onmousedown , onmousemove , onmouseout , onmouseover , onmouseup , onpaste , onpropertychange , onreadystatechange , onresize , onselectstart

Collections

all , attributes , behaviorUrns , childNodes , children

Behaviors

clientCaps , download , homePage , httpFolder , saveFavorite , saveHistory , saveSnapshot , time , userData

Styles

width font-size overflow padding-right letter-spacing float display padding font-family cursor behavior text-transform background-repeat background-image bottom visibility font-style clip text-autospace left overflow-x font-variant text-decoration overflow-y background color direction z-index position background-position clear font unicode-bidi background-color font-weight word-spacing line-height top padding-left layout-grid layout-grid-mode padding-top padding-bottom right


U Element | U Object Members

Renders text that is underlined.

Properties

accessKey , canHaveChildren , className , clientHeight , clientLeft , clientTop , clientWidth , currentStyle , dir , firstChild , id , innerHTML , innerText , isTextEdit , lang , language , lastChild , nextSibling , nodeName , nodeType , nodeValue , offsetHeight , offsetLeft , offsetParent , offsetTop , offsetWidth , outerHTML , outerText , parentElement , parentNode , parentTextEdit , previousSibling , readyState , recordNumber , runtimeStyle , scopeName , scrollHeight , scrollLeft , scrollTop , scrollWidth , sourceIndex , style , tabIndex , tagName , tagUrn , title , uniqueID

Methods

addBehavior , appendChild , applyElement , attachEvent , blur , clearAttributes , click , cloneNode , componentFromPoint , contains , detachEvent , focus , getAdjacentText , getAttribute , getBoundingClientRect , getClientRects , getElementsByTagName , getExpression , hasChildNodes , insertAdjacentElement , insertAdjacentHTML , insertAdjacentText , insertBefore , mergeAttributes , releaseCapture , removeAttribute , removeBehavior , removeChild , removeExpression , removeNode , replaceAdjacentText , replaceChild , replaceNode , scrollIntoView , setAttribute , setCapture , setExpression , swapNode

Events

onbeforecopy , onbeforecut , onbeforepaste , onblur , onclick , oncontextmenu , oncopy , oncut , ondblclick , ondrag , ondragend , ondragenter , ondragleave , ondragover , ondragstart , ondrop , onfocus , onhelp , onkeydown , onkeypress , onkeyup , onlosecapture , onmousedown , onmousemove , onmouseout , onmouseover , onmouseup , onpaste , onpropertychange , onreadystatechange , onresize , onselectstart

Collections

all , attributes , behaviorUrns , childNodes , children

Behaviors

clientCaps , download , homePage , httpFolder , saveFavorite , saveHistory , saveSnapshot , time , userData

Styles

width font-size overflow padding-right letter-spacing float display padding font-family cursor behavior text-transform background-repeat background-image bottom visibility font-style clip text-autospace left overflow-x font-variant text-decoration overflow-y background color direction z-index position background-position clear font unicode-bidi background-color font-weight word-spacing line-height top padding-left layout-grid layout-grid-mode padding-top padding-bottom right


UL Element | UL Object Members

Draws lines of text as a bulleted list.

Properties

accessKey , canHaveChildren , className , clientHeight , clientLeft , clientTop , clientWidth , currentStyle , dir , firstChild , id , innerHTML , innerText , isTextEdit , lang , language , lastChild , nextSibling , nodeName , nodeType , nodeValue , offsetHeight , offsetLeft , offsetParent , offsetTop , offsetWidth , outerHTML , outerText , parentElement , parentNode , parentTextEdit , previousSibling , readyState , recordNumber , runtimeStyle , scopeName , scrollHeight , scrollLeft , scrollTop , scrollWidth , sourceIndex , style , tabIndex , tagName , tagUrn , title , type , uniqueID

Methods

addBehavior , appendChild , applyElement , attachEvent , blur , clearAttributes , click , cloneNode , componentFromPoint , contains , detachEvent , focus , getAdjacentText , getAttribute , getBoundingClientRect , getClientRects , getElementsByTagName , getExpression , hasChildNodes , insertAdjacentElement , insertAdjacentHTML , insertAdjacentText , insertBefore , mergeAttributes , releaseCapture , removeAttribute , removeBehavior , removeChild , removeExpression , removeNode , replaceAdjacentText , replaceChild , replaceNode , scrollIntoView , setAttribute , setCapture , setExpression , swapNode

Events

onbeforecopy , onbeforecut , onbeforepaste , onblur , onclick , oncontextmenu , oncopy , oncut , ondblclick , ondrag , ondragend , ondragenter , ondragleave , ondragover , ondragstart , ondrop , onfocus , onhelp , onkeydown , onkeypress , onkeyup , onlosecapture , onmousedown , onmousemove , onmouseout , onmouseover , onmouseup , onpaste , onpropertychange , onreadystatechange , onresize , onselectstart

Collections

all , attributes , behaviorUrns , childNodes , children

Behaviors

clientCaps , download , homePage , httpFolder , saveFavorite , saveHistory , saveSnapshot , time , userData

Styles

border-top-color width margin-top border-bottom-width page-break-before padding-right padding border-right-width cursor text-indent visibility font-style border-left-color margin-left text-autospace left overflow-x layout-grid-line font-variant overflow-y list-style line-break list-style-type background text-align list-style-image direction border-bottom-color text-justify position background-position clear border-right-color border-right word-spacing top padding-left layout-grid-mode padding-bottom right font-size border-bottom overflow letter-spacing display float font-family margin-right behavior word-break text-transform background-repeat border-top-style layout-grid-char list-style-position background-image bottom clip text-decoration color border-style border-top-width border-top z-index margin-bottom page-break-after font border-left-style border-width margin unicode-bidi background-color font-weight line-height border-bottom-style layout-grid layout-grid-type layout-grid-char-spacing border-left-width border-left padding-top border-color border-right-style border


userProfile Object Members

Provides methods that allow a script to request read access to and perform read actions on a user's profile information.

Methods

addReadRequest , clearRequest , doReadRequest , getAttribute


VAR Element | VAR Object Members

Renders text in a small fixed-width font.

Properties

accessKey , canHaveChildren , className , clientHeight , clientLeft , clientTop , clientWidth , currentStyle , dir , firstChild , id , innerHTML , innerText , isTextEdit , lang , language , lastChild , nextSibling , nodeName , nodeType , nodeValue , offsetHeight , offsetLeft , offsetParent , offsetTop , offsetWidth , outerHTML , outerText , parentElement , parentNode , parentTextEdit , previousSibling , readyState , recordNumber , runtimeStyle , scopeName , scrollHeight , scrollLeft , scrollTop , scrollWidth , sourceIndex , style , tabIndex , tagName , tagUrn , title , uniqueID

Methods

addBehavior , appendChild , applyElement , attachEvent , blur , clearAttributes , click , cloneNode , componentFromPoint , contains , detachEvent , focus , getAdjacentText , getAttribute , getBoundingClientRect , getClientRects , getElementsByTagName , getExpression , hasChildNodes , insertAdjacentElement , insertAdjacentHTML , insertAdjacentText , insertBefore , mergeAttributes , releaseCapture , removeAttribute , removeBehavior , removeChild , removeExpression , removeNode , replaceAdjacentText , replaceChild , replaceNode , scrollIntoView , setAttribute , setCapture , setExpression , swapNode

Events

onbeforecut , onbeforepaste , onblur , onclick , oncontextmenu , oncut , ondblclick , ondrag , ondragend , ondragenter , ondragleave , ondragover , ondragstart , ondrop , onfocus , onhelp , onkeydown , onkeypress , onkeyup , onlosecapture , onmousedown , onmousemove , onmouseout , onmouseover , onmouseup , onpaste , onpropertychange , onreadystatechange , onresize , onselectstart

Collections

all , attributes , behaviorUrns , childNodes , children

Behaviors

clientCaps , download , homePage , httpFolder , saveFavorite , saveHistory , saveSnapshot , time , userData

Styles

width font-size overflow padding-right letter-spacing float display padding font-family cursor behavior text-transform background-repeat background-image bottom visibility font-style clip text-autospace left overflow-x font-variant text-decoration overflow-y background color direction z-index position background-position clear font unicode-bidi background-color font-weight word-spacing line-height top padding-left layout-grid layout-grid-mode padding-top padding-bottom right


WBR Element | WBR Object Members

Inserts a soft line break into a block of NOBR text.

Properties

currentStyle , id , outerHTML , outerText , parentElement , scopeName , tagUrn

Methods

addBehavior , componentFromPoint , getAttribute , removeAttribute , removeBehavior , scrollIntoView , setAttribute

Collections

behaviorUrns

Behaviors

clientCaps , download , homePage

Styles

behavior text-autospace


XML Element | XML Object Members

Defines an xml data island Internet Link on an HTML page.

Properties

id , parentElement , readyState , recordset , scopeName , src , tagUrn , XMLDocument

Methods

addBehavior , componentFromPoint , removeBehavior

Events

ondataavailable , ondatasetchanged , ondatasetcomplete , onreadystatechange , onrowenter , onrowexit , onrowsdelete , onrowsinserted

Collections

behaviorUrns

Behaviors

clientCaps , download , homePage

Styles

behavior text-autospace


XMP Element | XMP Object Members

Renders text used for examples in a fixed-width font.

Properties

accessKey , canHaveChildren , className , clientHeight , clientLeft , clientTop , clientWidth , currentStyle , dir , firstChild , id , innerHTML , innerText , isTextEdit , lang , language , lastChild , nextSibling , nodeName , nodeType , nodeValue , offsetHeight , offsetLeft , offsetParent , offsetTop , offsetWidth , outerHTML , outerText , parentElement , parentNode , parentTextEdit , previousSibling , readyState , recordNumber , runtimeStyle , scopeName , scrollHeight , scrollLeft , scrollTop , scrollWidth , sourceIndex , style , tabIndex , tagName , tagUrn , title , uniqueID

Methods

addBehavior , appendChild , applyElement , attachEvent , blur , clearAttributes , click , cloneNode , componentFromPoint , contains , detachEvent , focus , getAdjacentText , getAttribute , getBoundingClientRect , getClientRects , getElementsByTagName , hasChildNodes , insertAdjacentElement , insertAdjacentHTML , insertBefore , mergeAttributes , releaseCapture , removeAttribute , removeBehavior , removeChild , removeNode , replaceAdjacentText , replaceChild , replaceNode , scrollIntoView , setAttribute , setCapture , swapNode

Events

onbeforecut , onbeforepaste , onblur , onclick , oncontextmenu , oncut , ondblclick , ondrag , ondragend , ondragenter , ondragleave , ondragover , ondragstart , ondrop , onfocus , onhelp , onkeydown , onkeypress , onkeyup , onlosecapture , onmousedown , onmousemove , onmouseout , onmouseover , onmouseup , onpaste , onpropertychange , onreadystatechange , onresize , onselectstart

Collections

all , attributes , behaviorUrns , childNodes , children

Behaviors

clientCaps , download , homePage , httpFolder , saveFavorite , saveHistory , saveSnapshot , time , userData

Styles

border-top-color margin-top border-bottom-width page-break-before padding-right padding border-right-width cursor text-indent visibility font-style border-left-color margin-left text-autospace left overflow-x layout-grid-line font-variant overflow-y line-break background text-align direction border-bottom-color text-justify position background-position clear border-right-color border-right word-spacing top padding-left layout-grid-mode padding-bottom right font-size border-bottom overflow letter-spacing display float font-family margin-right behavior word-break text-transform background-repeat border-top-style layout-grid-char background-image bottom clip text-decoration color border-style border-top-width border-top z-index margin-bottom page-break-after font border-left-style border-width margin unicode-bidi background-color font-weight line-height border-bottom-style layout-grid layout-grid-type layout-grid-char-spacing border-left-width border-left padding-top border-color border-right-style border


onabort Event

Fires when the user aborts the download of an image.

Syntax

Inline HTML | <ELEMENT onabort = "handler" ... > | All platforms
Event property | object.onabort =handler | JScript (compatible with ECMA 262 language specification) only
Named script | <SCRIPT FOR = object EVENT = onabort> | Internet Explorer only

Remarks

Bubbles | No
Cancels | Yes
To invoke
  • Click an anchor.
  • Click the browser Stop button.
  • Navigate to another page.
Default action | Halts downloading of the designated image.

Event Object Properties

Although event handlers in the DHTML Object Model do not receive parameters directly, the handler can query the event object for data.

Event Object Properties

returnValue | Sets or retrieves the return value from the event.
srcElement | Retrieves the object that fired the event.
type | Retrieves the event name from the event object.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

IMG


onafterprint Event

Fires on the object immediately after its associated document prints.

Syntax

Inline HTML | <ELEMENT onafterprint = "handler" ... > | All platforms
Event property | object.onafterprint = handler | JScript (compatible with ECMA 262 language specification) only
Named script | <SCRIPT FOR = object EVENT = onafterprint> | Internet Explorer only

Remarks

Bubbles | No
Cancels | No
To invoke
  • Choose Print from the File menu in Internet Explorer.
  • Press CTRL + P.
  • Right-click anywhere on a page, and choose Print.
  • Right-click on a link on a page, and choose Print.
  • From Windows Explorer, select an .htm file, and then choose Print from the File menu.
  • From Windows Explorer, right-click on an .htm file, and then choose Print.
Default Action | None

This event is usually used with the onbeforeprint event. Use the onbeforeprint event to make changes to the document just before it prints. Use the onafterprint event to undo those changes, reverting the document back to its pre-print state.

Event Object Properties

Although event handlers in the document object model do not receive parameters directly, the handler can query the event object for data.

Event Object Properties

altKey | Retrieves the current state of the ALT key.
button | Retrieves which mouse button, if any, is pressed.
cancelBubble | Sets or retrieves whether the current event should bubble up the hierarchy of event handlers.
clientX | Retrieves the x-coordinate of the mouse cursor relative to the client area of the window, excluding window decorations or scroll bars.
clientY | Retrieves the y-coordinate of the mouse cursor relative to the client area of the window, excluding window decorations or scroll bars.
ctrlKey | Retrieves the state of the CTRL key.
returnValue | Sets or retrieves the return value from the event.
screenX | Retrieves the horizontal position of the mouse, in pixels, relative to the user's screen.
screenY | Retrieves the vertical position of the mouse, in pixels, relative to the user's screen.
shiftKey | Retrieves the state of the SHIFT key.
srcElement | Retrieves the object that fired the event.
type | Retrieves the event name from the event object.
x | Retrieves the x-coordinate of the mouse cursor relative to the parent element.
y | Retrieves the y-coordinate of the mouse cursor relative to the parent element.

Example

This example uses the onafterprint event to return the document to its pre-print state. In this case, because the onbeforeprint event handler makes all currently hidden sections of the page visible for printing, the onafterprint event sets those sections back to hidden.

Sample Code

function window.onafterprint()
{
    // Walk through all the elements in the doc with CLASS="expanded"
    // and set it to "collapsed" if expanded just for
    // printing.
   var coll = document.all.tags("DIV");
   if (coll!=null)
   {
      for (i=0; i<coll.length; i++)
         if ((coll[i].className == "expanded") &&
             (coll[i].bExpandedForPrinting))
         {
           coll[i].className = "collapsed";
           coll[i].bExpandedForPrinting = false;
         }
   }
}

function window.onbeforeprint()
{
    // Walk through all the elements in the doc with CLASS="collapsed"
    // and set it to "expanded" just for printing.
   var coll = document.all.tags("DIV");
   if (coll!=null)
   {
      for (i=0; i<coll.length; i++)
         if (coll[i].className == "collapsed")
         {
           coll[i].className = "expanded";

        // After printing, make sure to set
        // CLASS="collapsed" only for those that were
        // expanded just for printing.
           coll[i].bExpandedForPrinting = true;
         }

         else if (coll[i].className == "expanded")
            coll[i].bExpandedForPrinting = false;
   }
}
This feature requires Microsoft Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
window, BODY, FRAMESET

See Also

onbeforeprint, print


onafterupdate Event

Fires on a databound object after successfully updating the associated data in the data source object.

Syntax

Inline HTML | <ELEMENT onafterupdate = "handler" ... > | All platforms
Event property | object.onafterupdate =handler | JScript (compatible with ECMA 262 language specification) only
Named script | <SCRIPT FOR = object EVENT = onafterupdate> | Internet Explorer only

Remarks

Bubbles | Yes
Cancels | No
To invoke | Change the data that the object contains.
Default action | Confirms that data has been transferred.

This event only fires when the object is databound and an onbeforeupdate event has fired (for example, because the data has changed).

Event Object Properties

Although event handlers in the DHTML Object Model do not receive parameters directly, the handler can query the event object for data.

Event Object Properties

cancelBubble | Sets or retrieves whether the current event should bubble up the hierarchy of event handlers.
srcElement | Retrieves the object that fired the event.
type | Retrieves the event name from the event object.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
BDO, custom, INPUT TYPE=text, RT, RUBY, TEXTAREA

See Also

data binding Internet Link, onbeforeupdate


onbeforecopy Event

Fires on the source object before the selection is copied to the system clipboard.

Syntax

Inline HTML | <ELEMENT onbeforecopy = "handler" ... > | All platforms
Event property | object.onbeforecopy = handler | JScript (compatible with ECMA 262 language specification) only
Named script | <SCRIPT FOR = object EVENT = onbeforecopy> | Internet Explorer only

Remarks

Bubbles | Yes
Cancels | Yes
To invoke After selecting the text:
  • Right-click to display the shortcut menu and select Copy.
  • Or press CTRL+C.
Default action | None.

The onbeforecopy event fires on the source element. Use the setData method to specify a data format for the selection.

Event Object Properties

Although event handlers in the DHTML Object Model do not receive parameters directly, the handler can query the event object for data.

Event Object Properties

altKey | Retrieves the current state of the ALT key.
cancelBubble | Sets or retrieves whether the current event should bubble up the hierarchy of event handlers.
clientX | Retrieves the x-coordinate of the mouse cursor relative to the client area of the window, excluding window decorations or scroll bars.
clientY | Retrieves the y-coordinate of the mouse cursor relative to the client area of the window, excluding window decorations or scroll bars.
ctrlKey | Retrieves the state of the CTRL key.
dataTransfer | Provides access to predefined clipboard formats for use in drag-and-drop operations.
offsetX | Retrieves the horizontal coordinate of the mouse's position relative to the object firing the event.
offsetY | Retrieves the vertical coordinate of the mouse's position relative to the object firing the event.
returnValue | Sets or retrieves the return value from the event.
screenX | Retrieves the horizontal position of the mouse, in pixels, relative to the user's screen.
screenY | Retrieves the vertical position of the mouse, in pixels, relative to the user's screen.
shiftKey | Retrieves the state of the SHIFT key.
srcElement | Retrieves the object that fired the event.
type | Retrieves the event name from the event object.
x | Retrieves the x-coordinate of the mouse cursor relative to the parent element.
y | Retrieves the y-coordinate of the mouse cursor relative to the parent element.

Example

This example uses the onbeforecopy event to customize copy behavior.

Sample Code

<HEAD>
<SCRIPT>
var sNewValue = "copy event fired";
var bFired = false;
var sSave = "";

function Source_Beforecopy()
{
  sSave = oSource.innerText;
  bFired = true;
  event.returnValue = false;
}

function Source_Copy()
{
  window.clipboardData.setData("Text", sNewValue);
}

function Target_BeforePaste()
{
  event.returnValue = false;
}

function Target_Paste()
{
  event.returnValue = false;
  oTarget.value = window.clipboardData.getData("Text");
}

</SCRIPT>
</HEAD>
<BODY>
<SPAN ID=oSource onbeforecopy="Source_Beforecopy()"
       oncopy="Source_Copy()">copy this text</SPAN>
<INPUT ID=oTarget onbeforepaste="Target_BeforePaste()"
       onpaste="Target_Paste()">
</BODY>

This feature requires Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ADDRESS, AREA, B, BDO, BIG, BLOCKQUOTE, CAPTION, CENTER, CITE, CODE, custom, DD, DFN, DIR, DIV, DL, DT, EM, FIELDSET, FORM, Hn, I, IMG, LABEL, LEGEND, LI, LISTING, MENU, NOBR, OL, P, PLAINTEXT, PRE, S, SAMP, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TD, TEXTAREA, TH, TR, TT, U, UL

See Also

dhtml data transfer overview Internet Link, onbeforecut, onbeforepaste, oncopy, oncut, onpaste, setData


onbeforecut Event

Fires on the source object before the selection is deleted from the document.

Syntax

Inline HTML | <ELEMENT onbeforecut = "handler" ... > | All platforms
Event property | object.onbeforecut = handler | JScript (compatible with ECMA 262 language specification) only
Named script | <SCRIPT FOR = object EVENT = onbeforecut> | Internet Explorer only

Remarks

Bubbles | Yes
Cancels | Yes
To invoke After selecting the text:
  • Right-click to display the shortcut menu and select Cut.
  • Or press CTRL+X if the selection is within a text field.
Default action | None.

Creating custom code for cutting requires several steps:

  1. Set event.returnValue=false in the onbeforecut event to enable the Cut shortcut menu item.
  2. Specify a data format in which to transfer the selection through the setData method of the clipboardData object.
  3. Invoke the setData method in the oncut event.

Event Object Properties

Although event handlers in the DHTML Object Model do not receive parameters directly, the handler can query the event object for data.

Event Object Properties

altKey | Retrieves the current state of the ALT key.
cancelBubble | Sets or retrieves whether the current event should bubble up the hierarchy of event handlers.
clientX | Retrieves the x-coordinate of the mouse cursor relative to the client area of the window, excluding window decorations or scroll bars.
clientY | Retrieves the y-coordinate of the mouse cursor relative to the client area of the window, excluding window decorations or scroll bars.
ctrlKey | Retrieves the state of the CTRL key.
dataTransfer | Provides access to predefined clipboard formats for use in drag-and-drop operations.
offsetX | Retrieves the horizontal coordinate of the mouse's position relative to the object firing the event.
offsetY | Retrieves the vertical coordinate of the mouse's position relative to the object firing the event.
returnValue | Sets or retrieves the return value from the event.
screenX | Retrieves the horizontal position of the mouse, in pixels, relative to the user's screen.
screenY | Retrieves the vertical position of the mouse, in pixels, relative to the user's screen.
shiftKey | Retrieves the state of the SHIFT key.
srcElement | Retrieves the object that fired the event.
type | Retrieves the event name from the event object.
x | Retrieves the x-coordinate of the mouse cursor relative to the parent element.
y | Retrieves the y-coordinate of the mouse cursor relative to the parent element.

Example

This example uses the setData and getData methods with the clipboardData object to perform a cut-and-paste operation through the shortcut menu.

Sample Code

<HEAD>
<SCRIPT>

var sSave = "";
function fnBeforeCut() {
   event.returnValue = false;
}

function fnCut() {
   event.returnValue = false;
   sSave = oSource.innerText;
   oSource.innerText = "";
}

function fnBeforePaste() {
   event.returnValue = false;
}

function fnPaste() {
   event.returnValue = false;
   oTarget.innerText = sSave;
}

</SCRIPT>
</HEAD>
<BODY>

<SPAN ID="oSource" onbeforecut="fnBeforeCut()"
                   oncut="fnCut()">Select and Cut this Text
</SPAN>

<BR>
<BR>
<DIV ID="oTarget" onbeforepaste="fnBeforePaste()"
                  onpaste="fnPaste()">Paste the Text Here
</DIV>

</BODY>

This feature requires Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ADDRESS, APPLET, AREA, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, custom, DD, DFN, DIR, DIV, DL, document, DT, EM, EMBED, FIELDSET, FONT, FORM, Hn, HR, I, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, KBD, LABEL, LEGEND, LI, LISTING, MAP, MARQUEE, MENU, NEXTID, NOBR, OL, P, PLAINTEXT, PRE, RT, RUBY, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP

See Also

dhtml data transfer overview Internet Link, onbeforecopy, onbeforepaste, oncopy, oncut, onpaste, setData


onbeforeeditfocus Event

Fires before a control enters a UI activated state.

Syntax

Inline HTML | <ELEMENT onbeforeeditfocus = "handler" ... > | All platforms
Event property | object.onbeforeeditfocus = handler | JScript (compatible with ECMA 262 language specification) only
Named script | <SCRIPT FOR = object EVENT = onbeforeeditfocus> | Internet Explorer only

Remarks

Bubbles | Yes
Cancels | Yes
To invoke
  • Press the ENTER key or click an object when it has focus.
  • Double-click an object.
Default action | Moves the object into a UI activated state.

The designMode property allows Web authors to use the design mode in Microsoft® Internet Explorer, and the property must be set to yes for the onbeforeeditfocus event to fire.

While the browser is in design mode, objects enter a UI activated state when the user presses the ENTER key or clicks an object that has focus, or when the user double-clicks the object. Objects that are UI activated have their own window within the document and allow authors to modify the user interface. To place an object in a UI activated state, the document must be in design mode.

The onbeforeeditfocus event differs from the onfocus event. The onbeforeeditfocus event fires before an object enters a UI activated state, whereas the onfocus event fires when an object has focus.

Event Object Properties

Although event handlers in the DHTML Object Model do not receive parameters directly, the handler can query the event object for data.

Event Object Properties

cancelBubble | Sets or retrieves whether the current event should bubble up the hierarchy of event handlers.
clientX | Retrieves the x-coordinate of the mouse cursor relative to the client area of the window, excluding window decorations or scroll bars.
clientY | Retrieves the y-coordinate of the mouse cursor relative to the client area of the window, excluding window decorations or scroll bars.
returnValue | Sets or retrieves the return value from the event.
screenX | Retrieves the horizontal position of the mouse, in pixels, relative to the user's screen.
screenY | Retrieves the vertical position of the mouse, in pixels, relative to the user's screen.
srcElement | Retrieves the object that fired the event.
type | Retrieves the event name from the event object.
x | Retrieves the x-coordinate of the mouse cursor relative to the parent element.
y | Retrieves the y-coordinate of the mouse cursor relative to the parent element.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, APPLET, AREA, BUTTON, custom, DIV, document, FIELDSET, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, MARQUEE, OBJECT, SELECT, SPAN, TABLE, TD, TEXTAREA, TR


onbeforepaste Event

Fires on the target object before the selection is pasted from the system clipboard to the document.

Syntax

Inline HTML | <ELEMENT onbeforepaste = "handler" ... > | All platforms
Event property | object.onbeforepaste = handler | JScript (compatible with ECMA 262 language specification) only
Named script | <SCRIPT FOR = object EVENT = onbeforepaste> | Internet Explorer only

Remarks

Bubbles | Yes
Cancels | Yes
To invoke After copying or cutting text:
  • Right-click to display the shortcut menu and select Paste.
  • Or press CTRL+V.
Default action | None.

Creating custom code for pasting requires several steps.

  1. Set event.returnValue=false in the onbeforepaste event to enable the Paste shortcut menu item.
  2. Cancel the default behavior of the browser by including event.returnValue=false in the onpaste event handler. This guideline applies only to objects, such as the text box, that have a defined default behavior.
  3. Specify a data format in which to paste the selection through the getData method of the clipboardData object.
  4. Invoke the getData method in the onpaste event to execute custom code for pasting.

Event Object Properties

Although event handlers in the DHTML Object Model do not receive parameters directly, the handler can query the event object for data.

Event Object Properties

altKey | Retrieves the current state of the ALT key.
cancelBubble | Sets or retrieves whether the current event should bubble up the hierarchy of event handlers.
clientX | Retrieves the x-coordinate of the mouse cursor relative to the client area of the window, excluding window decorations or scroll bars.
clientY | Retrieves the y-coordinate of the mouse cursor relative to the client area of the window, excluding window decorations or scroll bars.
ctrlKey | Retrieves the state of the CTRL key.
dataTransfer | Provides access to predefined clipboard formats for use in drag-and-drop operations.
offsetX | Retrieves the horizontal coordinate of the mouse's position relative to the object firing the event.
offsetY | Retrieves the vertical coordinate of the mouse's position relative to the object firing the event.
returnValue | Sets or retrieves the return value from the event.
screenX | Retrieves the horizontal position of the mouse, in pixels, relative to the user's screen.
screenY | Retrieves the vertical position of the mouse, in pixels, relative to the user's screen.
shiftKey | Retrieves the state of the SHIFT key.
srcElement | Retrieves the object that fired the event.
type | Retrieves the event name from the event object.
x | Retrieves the x-coordinate of the mouse cursor relative to the parent element.
y | Retrieves the y-coordinate of the mouse cursor relative to the parent element.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ADDRESS, APPLET, AREA, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, custom, DD, DFN, DIR, DIV, DL, document, DT, EM, EMBED, FIELDSET, FONT, FORM, Hn, HR, I, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, KBD, LABEL, LEGEND, LI, LISTING, MAP, MARQUEE, MENU, NEXTID, NOBR, OL, P, PLAINTEXT, PRE, RT, RUBY, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP

See Also

dhtml data transfer overview Internet Link, getData, onbeforecopy, onbeforecut, oncopy, oncut, onpaste


onbeforeprint Event

Fires on the object before its associated document prints.

Syntax

Inline HTML | <ELEMENT onbeforeprint = "handler" ... > | All platforms
Event property | object.onbeforeprint = handler | JScript (compatible with ECMA 262 language specification) only
Named script | <SCRIPT FOR = object EVENT = onbeforeprint> | Internet Explorer only

Remarks

Bubbles | No
Cancels | No
To invoke
  • Choose Print from the File menu in Internet Explorer.
  • Press CTRL + P.
  • Right-click anywhere on a page, and choose Print.
  • Right-click on a link on a page, and choose Print.
  • From Windows Explorer, select an .htm file and choose Print from the File menu.
  • From Windows Explorer, right-click on an .htm file and choose Print.
Default action | Prints the document associated with the object for which the event is specified.

Use this event to modify the document just before it prints. In most cases it is used to make all the information on the page visible just before printing.

Use the event in conjunction with the onafterprint event to undo the changes made to the document in the onbeforeprint event.

Event Object Properties

Although event handlers in the document object model do not receive parameters directly, the handler can query the event object for data.

Event Object Properties

altKey | Retrieves the current state of the ALT key.
button | Retrieves which mouse button, if any, is pressed.
cancelBubble | Sets or retrieves whether the current event should bubble up the hierarchy of event handlers.
clientX | Retrieves the x-coordinate of the mouse cursor relative to the client area of the window, excluding window decorations or scroll bars.
clientY | Retrieves the y-coordinate of the mouse cursor relative to the client area of the window, excluding window decorations or scroll bars.
ctrlKey | Retrieves the state of the CTRL key.
returnValue | Sets or retrieves the return value from the event.
screenX | Retrieves the horizontal position of the mouse, in pixels, relative to the user's screen.
screenY | Retrieves the vertical position of the mouse, in pixels, relative to the user's screen.
shiftKey | Retrieves the state of the SHIFT key.
srcElement | Retrieves the object that fired the event.
type | Retrieves the event name from the event object.
x | Retrieves the x-coordinate of the mouse cursor relative to the parent element.
y | Retrieves the y-coordinate of the mouse cursor relative to the parent element.

Example

This example uses the onbeforeprint to make all hidden sections of the page visible just before the page prints. The onafterprint event is processed after the page prints to return the document to its original state.

Sample Code

function window.onbeforeprint()
{
    // Walk through all the elements in the document with
    // CLASS="collapsed" and set it to "expanded" just for printing.
   var coll = document.all.tags("DIV");
   if (coll!=null)
   {
      for (i=0; i<coll.length; i++)
         if (coll[i].className == "collapsed")
         {
           coll[i].className = "expanded";

        // After printing, make sure to set CLASS="collapsed"
        // only for those that were expanded just for printing.
           coll[i].bExpandedForPrinting = true;
         }

         else if (coll[i].className == "expanded")
            coll[i].bExpandedForPrinting = false;
   }
}

function window.onafterprint()
{
   // Walk through all the elements in the doc with CLASS="expanded"
   // and set it to "collapsed" if expanded just for
   // printing.
   var coll = document.all.tags("DIV");
   if (coll!=null)
   {
      for (i=0; i < coll.length; i++)
         if ((coll[i].className == "expanded") &&
             (coll[i].bExpandedForPrinting))
         {
           coll[i].className = "collapsed";
           coll[i].bExpandedForPrinting = false;
         }
   }
}
This feature requires Microsoft® Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
window, BODY, FRAMESET

See Also

onafterprint, print


onbeforeunload Event

Fires prior to a page being unloaded.

Syntax

Inline HTML | <ELEMENT onbeforeunload = "handler" ... > | All platforms
Event property | object.onbeforeunload = handler | JScript (compatible with ECMA 262 language specification) only
Named script | <SCRIPT FOR = object EVENT = onbeforeunload> | Internet Explorer only

Remarks

Bubbles | No
Cancels | No
To invoke
  • Close the current browser window.
  • Navigate to another location by entering a new address or selecting a Favorite.
  • Click the Back, Forward, Refresh, or Home button.
  • Click on an anchor that refers the browser to another Web page.
  • Invoke the anchor click method.
  • Invoke the document write method.
  • Invoke the document open method.
  • Invoke the document close method.
  • Invoke the window close method.
  • Invoke the window open method, providing the possible value _self for the window name.
  • Invoke the window navigate or NavigateAndFind method.
  • Invoke the location replace method.
  • Invoke the location reload method.
  • Specify a new value for the location href property.
  • Submit a FORM to the address specified in the ACTION attribute via the INPUT_submit control, or invoke the form submit method.
Default action | Signals that the page is about to be unloaded.

When a string is returned to this event, a dialog box displays that gives the user the option of staying on the page.

Event Object Properties

Although event handlers in the DHTML Object Model do not receive parameters directly, the handler can query the event object for data.

Event Object Properties

altKey | Retrieves the current state of the ALT key.
clientX | Retrieves the x-coordinate of the mouse cursor relative to the client area of the window, excluding window decorations or scroll bars.
clientY | Retrieves the y-coordinate of the mouse cursor relative to the client area of the window, excluding window decorations or scroll bars.
ctrlKey | Retrieves the state of the CTRL key.
returnValue | Sets or retrieves the return value from the event.
shiftKey | Retrieves the state of the SHIFT key.
type | Retrieves the event name from the event object.

Example

This example uses the onbeforeunload event to prompt the user to remain on the page.

Sample Code

<HTML>
<HEAD>
<SCRIPT>
function closeIt()
  {
    event.returnValue = "Any string value here will force a dialog
                         box to appear before closing the window.";
  }
</SCRIPT>
</HEAD>
<BODY onbeforeunload="closeIt()">
<P>Navigate to another page to fire the before unload event.
</BODY>
</HTML>

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
FRAMESET, window

See Also

data binding Internet Link, onload, onunload


onbeforeupdate Event

Fires on a databound object before updating the associated data in the data source object.

Syntax

Inline HTML | <ELEMENT onbeforeupdate = "handler" ... > | All platforms
Event property | object.onbeforeupdate =handler | JScript (compatible with ECMA 262 language specification) only
Named script | <SCRIPT FOR = object EVENT = onbeforeupdate> | Internet Explorer only

Remarks

Bubbles | Yes
Cancels | Yes
To invoke | Cause an object to receive focus, change the value of the object, and either cause the object to lose focus or force the page to unload.
Default action | Signals that the data contained in an object has changed.

If the onbeforeupdate event is canceled, the onafterupdate event does not fire.

Event Object Properties

Although event handlers in the DHTML Object Model do not receive parameters directly, the handler can query the event object for data.

Event Object Properties

cancelBubble | Sets or retrieves whether the current event should bubble up the hierarchy of event handlers.
clientX | Retrieves the x-coordinate of the mouse cursor relative to the client area of the window, excluding window decorations or scroll bars.
clientY | Retrieves the y-coordinate of the mouse cursor relative to the client area of the window, excluding window decorations or scroll bars.
offsetX | Retrieves the horizontal coordinate of the mouse's position relative to the object firing the event.
offsetY | Retrieves the vertical coordinate of the mouse's position relative to the object firing the event.
returnValue | Sets or retrieves the return value from the event.
screenX | Retrieves the horizontal position of the mouse, in pixels, relative to the user's screen.
screenY | Retrieves the vertical position of the mouse, in pixels, relative to the user's screen.
srcElement | Retrieves the object that fired the event.
type | Retrieves the event name from the event object.
x | Retrieves the x-coordinate of the mouse cursor relative to the parent element.
y | Retrieves the y-coordinate of the mouse cursor relative to the parent element.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
BDO, custom, INPUT TYPE=text, RT, RUBY, TEXTAREA

See Also

data binding Internet Link


onblur Event

Fires when the object loses the input focus.

Syntax

Inline HTML | <ELEMENT onblur = "handler" ... > | All platforms
Event property | object.onblur = handler | JScript (compatible with ECMA 262 language specification) and VBScript
Named script | <SCRIPT FOR = object EVENT = onblur> | Internet Explorer only

Remarks

Bubbles | No
Cancels | No
To invoke Cause an object to lose focus:
  • Click the mouse on the document background or another control.
  • Use the keyboard to navigate from one object to the next.
  • Invoke the blur method when an object has focus.
  • Switch focus to a different application or open a second browser window.
Default action | Switches focus away from the object on which the event is fired.

The onblur event fires on the original object before the onfocus or onclick event fires on the object that is receiving focus. Where applicable, the onblur event fires after the onchange event.

Use the focus events to determine when to prepare an object to receive or validate input from the user.

As of Microsoft® Internet Explorer 5, you must set the TABINDEX attribute of elements that expose the onblur event.

Event Object Properties

Although event handlers in the document object model do not receive parameters directly, the handler can query the event object for data.

Event Object Properties

clientX | Retrieves the x-coordinate of the mouse cursor relative to the client area of the window, excluding window decorations or scroll bars.
clientY | Retrieves the y-coordinate of the mouse cursor relative to the client area of the window, excluding window decorations or scroll bars.
offsetX | Retrieves the horizontal coordinate of the mouse's position relative to the object firing the event.
offsetY | Retrieves the vertical coordinate of the mouse's position relative to the object firing the event.
screenX | Retrieves the horizontal position of the mouse, in pixels, relative to the user's screen.
screenY | Retrieves the vertical position of the mouse, in pixels, relative to the user's screen.
srcElement | Retrieves the object that fired the event.
type | Retrieves the event name from the event object.
x | Retrieves the x-coordinate of the mouse cursor relative to the parent element.
y | Retrieves the y-coordinate of the mouse cursor relative to the parent element.

Example

This example shows how to display the name of the object that has lost focus—that is, the object that fires the onblur event.

<HTML>
<BODY>
<INPUT TYPE=text NAME=txtFName VALUE="First Name"
    onblur="alert(event.srcElement.name)">
<INPUT TYPE=text NAME=txtLName VALUE="Last Name"
    onblur="alert(event.srcElement.name)">
<INPUT TYPE=text NAME=txtPhone VALUE="Phone"
    onblur="alert(event.srcElement.name)">
</BODY>
</HTML>

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ACRONYM, ADDRESS, APPLET, AREA, B, BDO, BIG, BLOCKQUOTE, BUTTON, CAPTION, CENTER, CITE, custom, DD, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, Hn, HR, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, ISINDEX, KBD, LABEL, LEGEND, LI, LISTING, MARQUEE, MENU, OBJECT, OL, P, PLAINTEXT, PRE, Q, RT, RUBY, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, window, XMP

See Also

blur, focus


onbounce Event

Fires when the behavior property of the MARQUEE object is set to "alternate" and the contents of the marquee reach one side of the window.

Syntax

Inline HTML | <MARQUEE onbounce = "handler" ... > | All platforms
Event property | marquee.onbounce = handler | JScript (compatible with ECMA 262 language specification) only
Named script | <SCRIPT FOR = object EVENT = onbounce> | Internet Explorer only

Remarks

Bubbles | No
Cancels | Yes
To invoke | Cause the MARQUEE contents to loop.
Default action | The MARQUEE contents begin to scroll in the opposite direction.

Event Object Properties

Although event handlers in the document object model do not receive parameters directly, the handler can query the event object for data.

Event Object Properties

clientX | Retrieves the x-coordinate of the mouse cursor relative to the client area of the window, excluding window decorations or scroll bars.
clientY | Retrieves the y-coordinate of the mouse cursor relative to the client area of the window, excluding window decorations or scroll bars.
offsetX | Retrieves the horizontal coordinate of the mouse's position relative to the object firing the event.
offsetY | Retrieves the vertical coordinate of the mouse's position relative to the object firing the event.
returnValue | Sets or retrieves the return value from the event.
screenX | Retrieves the horizontal position of the mouse, in pixels, relative to the user's screen.
screenY | Retrieves the vertical position of the mouse, in pixels, relative to the user's screen.
srcElement | Retrieves the object that fired the event.
type | Retrieves the event name from the event object.
x | Retrieves the x-coordinate of the mouse cursor relative to the parent element.
y | Retrieves the y-coordinate of the mouse cursor relative to the parent element.

Example

This example shows how to display an alert each time the onbounce event occurs.

Sample Code

<BODY>
<MARQUEE ID=mqBounce BEHAVIOR=alternate
    onbounce="alert('onbounce fired')" LOOP=3
        WIDTH=200>Marquee text
</MARQUEE>
</BODY>

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

MARQUEE

See Also

behavior


oncellchange Event

Fires when data changes in the data provider.

Syntax

Inline HTML | <ELEMENT oncellchange = "handler" ... > | All platforms
Event property | object.oncellchange = handler | JScript (compatible with ECMA 262 language specification) only
Named script | <SCRIPT FOR = object EVENT = oncellchange> | Internet Explorer only

Remarks

Bubbles | Yes
Cancels | No
To invoke | Cause data in the data source to change.
Default action | Signals that the data contained in an object has changed.

Event Object Properties

Although event handlers in the DHTML Object Model do not receive parameters directly, the handler can query the event object for data.

Event Object Properties

bookmarks | Returns a collection of ADO bookmarks tied to the rows affected by the current event.
boundElements | Returns a collection of all elements on the page bound to a dataset.
cancelBubble | Sets or retrieves whether the current event should bubble up the hierarchy of event handlers.
clientX | Retrieves the x-coordinate of the mouse cursor relative to the client area of the window, excluding window decorations or scroll bars.
clientY | Retrieves the y-coordinate of the mouse cursor relative to the client area of the window, excluding window decorations or scroll bars.
dataFld | Sets or retrieves which field of a given data source (as specified by the dataSrc property) to bind to the given object.
offsetX | Retrieves the horizontal coordinate of the mouse's position relative to the object firing the event.
offsetY | Retrieves the vertical coordinate of the mouse's position relative to the object firing the event.
qualifier | Retrieves the name of the recordset provided by a data source object.
recordset | Retrieves a reference to the default recordset from a data source object.
screenX | Retrieves the horizontal position of the mouse, in pixels, relative to the user's screen.
screenY | Retrieves the vertical position of the mouse, in pixels, relative to the user's screen.
srcElement | Retrieves the object that fired the event.
type | Retrieves the event name from the event object.
x | Retrieves the x-coordinate of the mouse cursor relative to the parent element.
y | Retrieves the y-coordinate of the mouse cursor relative to the parent element.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
APPLET, BDO, OBJECT

See Also

data binding Internet Link, onafterupdate, onbeforeupdate


onchange Event

Fires when the contents of the object or selection have changed.

Syntax

Inline HTML | <ELEMENT onchange = "handler" ... > | All platforms
Event property | object.onchange = handler | JScript (compatible with ECMA 262 language specification) only
Named script | <SCRIPT FOR = object EVENT = onchange> | Internet Explorer only

Remarks

Bubbles | No
Cancels | Yes
To invoke
  • Choose a different OPTION in a SELECT object using mouse or keyboard navigation.
  • Alter text in the text area and then navigate out of the object.
Default action | Changed text selection is committed.

This event is fired when the contents are committed and not while the value is changing. For example, on a text box, this event is not fired while the user is typing, but rather when the user commits the change by leaving the text box that has focus. In addition, this event is executed before the code specified by onblur when the control is also losing the focus.

On the SELECT object, this event does not fire programmatically when the SELECTED attribute is changed from one OPTION to another.

Event Object Properties

Although event handlers in the document object model do not receive parameters directly, the handler can query the event object for data.

Event Object Properties

clientX | Retrieves the x-coordinate of the mouse cursor relative to the client area of the window, excluding window decorations or scroll bars.
clientY | Retrieves the y-coordinate of the mouse cursor relative to the client area of the window, excluding window decorations or scroll bars.
offsetX | Retrieves the horizontal coordinate of the mouse's position relative to the object firing the event.
offsetY | Retrieves the vertical coordinate of the mouse's position relative to the object firing the event.
returnValue | Sets or retrieves the return value from the event.
screenX | Retrieves the horizontal position of the mouse, in pixels, relative to the user's screen.
screenY | Retrieves the vertical position of the mouse, in pixels, relative to the user's screen.
srcElement | Retrieves the object that fired the event.
type | Retrieves the event name from the event object.
x | Retrieves the x-coordinate of the mouse cursor relative to the parent element.
y | Retrieves the y-coordinate of the mouse cursor relative to the parent element.

Example

This example uses the onchange event to retrieve the selected option of a SELECT object.

<BODY>
<FORM>
<P>Select a different option in the
   drop-down list box to trigger the onchange event.
  <SELECT NAME=selTest
     onchange="alert('Index: ' + this.selectedIndex
     + '\nValue: ' + this.options[this.selectedIndex].value)">
    <OPTION VALUE="Books">Books
    <OPTION VALUE="Clothing">Clothing
    <OPTION VALUE="Housewares">Housewares
  </SELECT>
</FORM>
</BODY>

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
INPUT TYPE=text, SELECT, TEXTAREA

See Also

onkeypress


onclick Event

Fires when the user clicks the left mouse button on the object.

Syntax

Inline HTML | <ELEMENT onclick = "handler" ... > | All platforms
Event property | object.onclick = handler | JScript (compatible with ECMA 262 language specification) only
Named script | <SCRIPT FOR = object EVENT = onclick> | Internet Explorer only

Remarks

Bubbles | Yes
Cancels | Yes
To invoke
  • Click the object.
  • Invoke the click method.
  • Press the ENTER key in a form.
  • Press the access key for a control.
  • Select an item in a combo box or list box by clicking the left mouse button or by pressing the arrow keys and then pressing the ENTER key.
Default action | Initiates any action associated with the object. For example, if the user clicks an A object, the browser loads the document specified by the href property. To cancel the default behavior, set the returnValue property of the event object to FALSE.

If the user clicks the left mouse button, the onclick event for an object occurs only if the mouse pointer is over the object and an onmousedown and an onmouseup event occur in that order. For example, if the user clicks the mouse on the object but moves the mouse pointer away from the object before releasing, no onclick event occurs.

The onclick event changes the value of a control in a group. This change initiates the event for the group, not for the individual control. For example, if the user clicks a radio button or check box in a group, the onclick event occurs after the onbeforeupdate and onafterupdate events for the control group.

If the user clicks an object that can receive the input focus but does not already have the focus, the onfocus event occurs for that object before the onclick event. If the user double-clicks the left mouse button in a control, an ondblclick event occurs immediately after the onclick event.

Although the onclick event is available on a large number of HTML elements, if a Web page is to be accessible to keyboard users, you should restrict its use to the A, INPUT, AREA, and BUTTON elements. These elements automatically allow keyboard access through the TAB key, making Web pages that use the elements accessible to keyboard users. For more information, please see the section on writing accessible Dynamic HTML.

Event Object Properties

Although event handlers in the DHTML Object Model do not receive parameters directly, the handler can query the event object for data.

Event Object Properties

altKey | Retrieves the current state of the ALT key.
cancelBubble | Sets or retrieves whether the current event should bubble up the hierarchy of event handlers.
clientX | Retrieves the x-coordinate of the mouse cursor relative to the client area of the window, excluding window decorations or scroll bars.
clientY | Retrieves the y-coordinate of the mouse cursor relative to the client area of the window, excluding window decorations or scroll bars.
ctrlKey | Retrieves the state of the CTRL key.
offsetX | Retrieves the horizontal coordinate of the mouse's position relative to the object firing the event.
offsetY | Retrieves the vertical coordinate of the mouse's position relative to the object firing the event.
returnValue | Sets or retrieves the return value from the event.
screenX | Retrieves the horizontal position of the mouse, in pixels, relative to the user's screen.
screenY | Retrieves the vertical position of the mouse, in pixels, relative to the user's screen.
shiftKey | Retrieves the state of the SHIFT key.
srcElement | Retrieves the object that fired the event.
type | Retrieves the event name from the event object.
x | Retrieves the x-coordinate of the mouse cursor relative to the parent element.
y | Retrieves the y-coordinate of the mouse cursor relative to the parent element.

Example

The following examples show how to use the onclick event handlers for the document.

Sample Code

This example uses the event object to gain information about the origin of the click and cancels the default action if the onclick event is fired off an anchor while the SHIFT key is being pressed.

<SCRIPT LANGUAGE="JScript">
/* This code determines whether the click occurred in an anchor
   and then cancels the event, preventing the jump, if the SHIFT
   key is down. */
function clickIt()
{
    txtOutput.value = window.event.srcElement.tagName;
    txtOutput1.value = window.event.srcElement.type;

    if ((window.event.srcElement.tagName) && ("A" +
        window.event.shiftKey))
        window.event.returnValue = false;
}
</SCRIPT>

<BODY onclick="clickIt()" TOPMARGIN="0" LEFTMARGIN="0">

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

This example shows how to bind the onclick event to grouped controls.

<HEAD>
<SCRIPT LANGUAGE="JScript">

function CookieGroup()
{
txtOutput.value = window.event.srcElement.value;
}
</SCRIPT>
</HEAD>
<BODY>
<!-- Controls are grouped by giving them the same NAME but unique IDs. -->
<P>Grouped Radio Buttons<BR>
<INPUT TYPE=radio NAME=rdoTest ID=Cookies VALUE="accept_cookies" CHECKED
       onclick="CookieGroup()"><BR>
<INPUT TYPE=radio NAME=rdoTest ID=NoCookies VALUE="refuse_cookies"
       onclick="CookieGroup()"><BR>
<P>Ungrouped Radio Button<BR>
<INPUT TYPE=radio NAME=rdoTest1 VALUE="chocolate-chip_cookies"
       onclick="CookieGroup()"><BR>
<P>Value of control on which the onclick event has fired<BR>
<TEXTAREA NAME=txtOutput STYLE="width:250"></TEXTAREA>
</BODY>

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ADDRESS, APPLET, AREA, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, custom, DD, DFN, DIR, DIV, DL, document, DT, EM, EMBED, FIELDSET, FONT, FORM, Hn, HR, I, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, KBD, LABEL, LEGEND, LI, LISTING, MAP, MARQUEE, MENU, NEXTID, NOBR, OBJECT, OL, P, PLAINTEXT, PRE, RT, RUBY, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP

See Also

click


oncontextmenu Event

Fires when the user clicks the right mouse button in the client area, opening the context menu.

Syntax

Inline HTML | <ELEMENT oncontextmenu = "handler" ... > | All platforms
Event property | object.oncontextmenu = handler | JScript (compatible with ECMA 262 language specification) only
Named script | <SCRIPT FOR = object EVENT = oncontextmenu> | Internet Explorer only

Remarks

Bubbles | Yes
Cancels | Yes
To invoke | Right-click the object.
Default action | Opens the context menu. To cancel the default behavior, set the returnValue property of the event object to false.

Event Object Properties

Although event handlers in the DHTML Object Model do not receive parameters directly, the handler can query the event object for data.

Event Object Properties

altKey | Retrieves the current state of the ALT key.
cancelBubble | Sets or retrieves whether the current event should bubble up the hierarchy of event handlers.
clientX | Retrieves the x-coordinate of the position of the cursor when the mouse is clicked, relative to the size of the client area of the window but excluding window decorations or scroll bars.
clientY | Returns the y-coordinate of the position of the cursor when the mouse is clicked, relative to the size of the client area of the window but excluding window decorations or scroll bars.
ctrlKey | Retrieves the state of the CTRL key.
offsetX | Retrieves the horizontal coordinate of the mouse's position relative to the object firing the event.
offsetY | Retrieves the vertical coordinate of the mouse's position relative to the object firing the event.
returnValue | Sets or retrieves the return value from the event.
screenX | Retrieves the horizontal position of the mouse, in pixels, relative to the user's screen.
screenY | Retrieves the vertical position of the mouse, in pixels, relative to the user's screen.
shiftKey | Retrieves the state of the SHIFT key.
srcElement | Retrieves the object that fired the event.
type | Retrieves the event name from the event object.
x | Returns the horizontal position of the mouse when the event fires.
y | Returns the vertical position of the mouse when the event fires.

Example

This example shows how to prevent a context menu from appearing by canceling the oncontextmenu event handler.

<SPAN STYLE="width:300; background-color:blue; color:white;" oncontextmenu="return false">
<P>The context menu never displays when you right-click in this box.</P>
</SPAN>

This feature requires Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ADDRESS, APPLET, AREA, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, custom, DD, DFN, DIR, DIV, DL, document, DT, EM, EMBED, FIELDSET, FONT, FORM, Hn, HR, I, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, KBD, LABEL, LEGEND, LI, LISTING, MARQUEE, MENU, NEXTID, NOBR, OL, P, PLAINTEXT, PRE, RT, RUBY, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP


oncopy Event

Fires on the source element when the user copies the object or selection, adding it to the system clipboard.

Syntax

Inline HTML | <ELEMENT oncopy = "handler" ... > | All platforms
Event property | object.oncopy = handler | JScript (compatible with ECMA 262 language specification) only
Named script | <SCRIPT FOR = object EVENT = oncopy> | Internet Explorer only

Remarks

Bubbles | Yes
Cancels | Yes
To invoke After selecting text:
  • Right-click to display the shortcut menu and select Copy.
  • Or press CTRL+C.
Default action | Duplicates the selection.

Use the setData method to specify a data format for the selection.

Event Object Properties

Although event handlers in the DHTML Object Model do not receive parameters directly, the handler can query the event object for data.

Event Object Properties

altKey | Retrieves the current state of the ALT key.
cancelBubble | Sets or retrieves whether the current event should bubble up the hierarchy of event handlers.
clientX | Retrieves the x-coordinate of the mouse cursor relative to the client area of the window, excluding window decorations or scroll bars.
clientY | Retrieves the y-coordinate of the mouse cursor relative to the client area of the window, excluding window decorations or scroll bars.
ctrlKey | Retrieves the state of the CTRL key.
dataTransfer | Provides access to predefined clipboard formats for use in drag-and-drop operations.
offsetX | Retrieves the horizontal coordinate of the mouse's position relative to the object firing the event.
offsetY | Retrieves the vertical coordinate of the mouse's position relative to the object firing the event.
returnValue | Sets or retrieves the return value from the event.
screenX | Retrieves the horizontal position of the mouse, in pixels, relative to the user's screen.
screenY | Retrieves the vertical position of the mouse, in pixels, relative to the user's screen.
shiftKey | Retrieves the state of the SHIFT key.
srcElement | Retrieves the object that fired the event.
type | Retrieves the event name from the event object.
x | Retrieves the x-coordinate of the mouse cursor relative to the parent element.
y | Retrieves the y-coordinate of the mouse cursor relative to the parent element.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ADDRESS, AREA, B, BDO, BIG, BLOCKQUOTE, CAPTION, CENTER, CITE, CODE, custom, DD, DFN, DIR, DIV, DL, DT, EM, FIELDSET, FORM, Hn, HR, I, IMG, LEGEND, LI, LISTING, MENU, NOBR, OL, P, PLAINTEXT, PRE, S, SAMP, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TD, TH, TR, TT, U, UL

See Also

dhtml data transfer overview Internet Link, onbeforecopy, onbeforecut, onbeforepaste, oncut, onpaste, setData


oncut Event

Fires on the source element when the object or selection is removed from the document and added to the system clipboard.

Syntax

Inline HTML | <ELEMENT oncut = "handler" ... > | All platforms
Event property | object.oncut = handler | JScript (compatible with ECMA 262 language specification) only
Named script | <SCRIPT FOR = object EVENT = oncut> | Internet Explorer only

Remarks

Bubbles | Yes
Cancels | Yes
To invoke After selecting text:
  • Right-click to display the shortcut menu and select Cut.
  • Or press CTRL+X if the selection is within a text field.
Default action | Removes the selection from the document and persists it in the clipboard.

Creating custom code for cutting requires several steps:

  1. Set event.returnValue=false in the onbeforecut event to enable the Cut shortcut menu item.
  2. Specify a data format in which to transfer the selection through the setData method of the clipboardData object.
  3. Invoke the setData method in the oncut event.

Set event.returnValue=false in the oncut event handler to cancel the default action. The default action must be canceled to sucessfully use the setData method. Web authors can use the innerHTML property or the createRange method to perform the cut operation once the event is cancelled.

Event Object Properties

Although event handlers in the DHTML Object Model do not receive parameters directly, the handler can query the event object for data.

Event Object Properties

altKey | Retrieves the current state of the ALT key.
cancelBubble | Sets or retrieves whether the current event should bubble up the hierarchy of event handlers.
clientX | Retrieves the x-coordinate of the mouse cursor relative to the client area of the window, excluding window decorations or scroll bars.
clientY | Retrieves the y-coordinate of the mouse cursor relative to the client area of the window, excluding window decorations or scroll bars.
ctrlKey | Retrieves the state of the CTRL key.
dataTransfer | Provides access to predefined clipboard formats for use in drag-and-drop operations.
offsetX | Retrieves the horizontal coordinate of the mouse's position relative to the object firing the event.
offsetY | Retrieves the vertical coordinate of the mouse's position relative to the object firing the event.
returnValue | Sets or retrieves the return value from the event.
screenX | Retrieves the horizontal position of the mouse, in pixels, relative to the user's screen.
screenY | Retrieves the vertical position of the mouse, in pixels, relative to the user's screen.
shiftKey | Retrieves the state of the SHIFT key.
srcElement | Retrieves the object that fired the event.
type | Retrieves the event name from the event object.
x | Retrieves the x-coordinate of the mouse cursor relative to the parent element.
y | Retrieves the y-coordinate of the mouse cursor relative to the parent element.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ADDRESS, APPLET, AREA, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, custom, DD, DFN, DIR, DIV, DL, document, DT, EM, EMBED, FIELDSET, FONT, FORM, Hn, HR, I, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, KBD, LABEL, LEGEND, LI, LISTING, MAP, MARQUEE, MENU, NEXTID, NOBR, OL, P, PLAINTEXT, PRE, RT, RUBY, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP

See Also

dhtml data transfer overview Internet Link, onbeforecopy, onbeforecut, onbeforepaste, oncopy, onpaste, setData


ondataavailable Event

Fires periodically as data arrives from data source objects that asynchronously transmit their data.

Syntax

Inline HTML | <ELEMENT ondataavailable = "handler" ... > | All platforms
Event property | object.ondataavailable =handler | JScript (compatible with ECMA 262 language specification) only
Named script | <SCRIPT FOR = object EVENT = ondataavailable> | Internet Explorer only

Remarks

Bubbles | Yes
Cancels | No
To invoke | Fires when new data is received from the data source.
Default action | Signals that new data is available.

This event originates from data source objects.

Event Object Properties

Although event handlers in the DHTML Object Model do not receive parameters directly, the handler can query the event object for data.

Event Object Properties

bookmarks | Returns a collection of ADO bookmarks tied to the rows affected by the current event.
boundElements | Returns a collection of all elements on the page bound to a dataset.
cancelBubble | Sets or retrieves whether the current event should bubble up the hierarchy of event handlers.
dataFld | Sets or retrieves which field of a given data source (as specified by the dataSrc property) to bind to the given object.
recordset | Retrieves a reference to the default recordset from a data source object.
srcElement | Retrieves the object that fired the event.
type | Retrieves the event name from the event object.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
APPLET, OBJECT, XML

See Also

data binding Internet Link


ondatasetchanged Event

Fires when the data set exposed by a data source object changes.

Syntax

Inline HTML | <ELEMENT ondatasetchanged = "handler" ... > | All platforms
Event property | object.ondatasetchanged =handler | JScript (compatible with ECMA 262 language specification) only
Named script | <SCRIPT FOR = object EVENT = ondatasetchanged> | Internet Explorer only

Remarks

Bubbles | Yes
Cancels | No
To invoke
  • Make initial data available from a data source object.
  • Have the data source object expose a different data set.
  • Perform a filter operation.
Default action | Signals that the data set has changed.

This event originates from data source objects.

Event Object Properties

Although event handlers in the DHTML Object Model do not receive parameters directly, the handler can query the event object for data.

Event Object Properties

bookmarks | Returns a collection of ADO bookmarks tied to the rows affected by the current event.
boundElements | Returns a collection of all elements on the page bound to a dataset.
cancelBubble | Sets or retrieves whether the current event should bubble up the hierarchy of event handlers.
dataFld | Sets or retrieves which field of a given data source (as specified by the dataSrc property) to bind to the given object.
qualifier | Retrieves the name of the recordset provided by a data source object.
reason | Retrieves the result of data transfer for a data source object.
recordset | Retrieves a reference to the default recordset from a data source object.
srcElement | Retrieves the object that fired the event.
type | Retrieves the event name from the event object.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
APPLET, OBJECT, XML

See Also

data binding Internet Link, ondataavailable, ondatasetcomplete


ondatasetcomplete Event

Fires to indicate that all data is available from the data source object.

Syntax

Inline HTML | <ELEMENT ondatasetcomplete = "handler" ... > | All platforms
Event property | object.ondatasetcomplete =handler | JScript (compatible with ECMA 262 language specification) only
Named script | <SCRIPT FOR = object EVENT = ondatasetcomplete> | Internet Explorer only

Remarks

Bubbles | Yes
Cancels | No
To invoke | Allow data set change to complete.
Default action Sets the reason property of the event object to one of three values, indicating the reason for completion:
  • 0 Data transmitted successfully.
  • 1 Data transfer aborted.
  • 2 Data transferred in error.

This event originates from data source objects.

Event Object Properties

Although event handlers in the DHTML Object Model do not receive parameters directly, the handler can query the event object for data.

Event Object Properties

bookmarks | Returns a collection of ADO bookmarks tied to the rows affected by the current event.
boundElements | Returns a collection of all elements on the page bound to a dataset.
cancelBubble | Sets or retrieves whether the current event should bubble up the hierarchy of event handlers.
dataFld | Sets or retrieves which field of a given data source (as specified by the dataSrc property) to bind to the given object.
qualifier | Retrieves the name of the recordset provided by a data source object.
reason | Retrieves the result of data transfer for a data source object.
recordset | Retrieves a reference to the default recordset from a data source object.
srcElement | Retrieves the object that fired the event.
type | Retrieves the event name from the event object.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
APPLET, OBJECT, XML

See Also

data binding Internet Link, ondataavailable, ondatasetchanged


ondblclick Event

Fires when the user double-clicks the object.

Syntax

Inline HTML | <ELEMENT ondblclick = "handler" ... > | All platforms
Event property | object.ondblclick = handler | JScript (compatible with ECMA 262 language specification) only
Named script | <SCRIPT FOR = object EVENT = ondblclick> | Internet Explorer only

Remarks

Bubbles | Yes
Cancels | Yes
To invoke | Click the left mouse button twice in rapid succession over an object. The user's double-click must occur within the time limit specified by the the user's system.
Default action | Initiates any action that is associated with the event.

The order of events leading to the ondblclick event is onmousedown, onmouseup, onclick, onmouseup, and then ondblclick. Actions associated with any of these events are executed when the ondblclick event fires.

Event Object Properties

Although event handlers in the DHTML Object Model do not receive parameters directly, the handler can query the event object for data.

Event Object Properties

altKey | Retrieves the current state of the ALT key.
cancelBubble | Sets or retrieves whether the current event should bubble up the hierarchy of event handlers.
clientX | Retrieves the x-coordinate of the mouse cursor relative to the client area of the window, excluding window decorations or scroll bars.
clientY | Retrieves the y-coordinate of the mouse cursor relative to the client area of the window, excluding window decorations or scroll bars.
ctrlKey | Retrieves the state of the CTRL key.
offsetX | Retrieves the horizontal coordinate of the mouse's position relative to the object firing the event.
offsetY | Retrieves the vertical coordinate of the mouse's position relative to the object firing the event.
returnValue | Sets or retrieves the return value from the event.
screenX | Retrieves the horizontal position of the mouse, in pixels, relative to the user's screen.
screenY | Retrieves the vertical position of the mouse, in pixels, relative to the user's screen.
shiftKey | Retrieves the state of the SHIFT key.
srcElement | Retrieves the object that fired the event.
type | Retrieves the event name from the event object.
x | Retrieves the x-coordinate of the mouse cursor relative to the parent element.
y | Retrieves the y-coordinate of the mouse cursor relative to the parent element.

Example

This example uses the ondblclick event to add items to a list box when the user double-clicks in the text box.

Sample Code

<HEAD>
<SCRIPT>
function addItem()
{
sNewItem = new Option(txtEnter.value)
selList.add(sNewItem);
}
</SCRIPT>
</HEAD>
<BODY>
<P>Enter text and then double-click in the text box to
   add text to the list box.
<INPUT TYPE=text NAME=txtEnter VALUE="Enter_text"
   ondblclick="addItem()">
<SELECT NAME=selList SIZE=5></SELECT>
</BODY>

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ADDRESS, APPLET, AREA, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, custom, DD, DFN, DIR, DIV, DL, document, DT, EM, EMBED, FIELDSET, FONT, FORM, Hn, HR, I, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, KBD, LABEL, LEGEND, LI, LISTING, MAP, MARQUEE, MENU, NEXTID, NOBR, OBJECT, OL, P, PLAINTEXT, PRE, RT, RUBY, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP


ondrag Event

Fires on the source object continuously during a drag operation.

Syntax

Inline HTML | <ELEMENT ondrag = "handler" ... > | All platforms
Event property | object.ondrag = handler | JScript (compatible with ECMA 262 language specification) only
Named script | <SCRIPT FOR = object EVENT = ondrag> | Internet Explorer only

Remarks

Bubbles | Yes
Cancels | Yes
To invoke
  • Drag a text selection or object within the browser.
  • Drag a text selection or object to another browser.
  • Drag a text selection or object to a drop target in another application.
  • Drag a text selection or object to the system desktop.
Default action | Calls the associated event handler if there is one.

This event fires on the source object after the ondragstart event. The ondrag event fires throughout the drag operation, whether the selection being dragged is over the drag source, a valid target, or an invalid target.

Event Object Properties

Although event handlers in the DHTML Object Model do not receive parameters directly, the handler can query the event object for data.

Event Object Properties

altKey | Retrieves the current state of the ALT key.
cancelBubble | Sets or retrieves whether the current event should bubble up the hierarchy of event handlers.
clientX | Retrieves the x-coordinate of the mouse cursor relative to the client area of the window, excluding window decorations or scroll bars.
clientY | Retrieves the y-coordinate of the mouse cursor relative to the client area of the window, excluding window decorations or scroll bars.
ctrlKey | Retrieves the state of the CTRL key.
dataTransfer | Provides access to predefined clipboard formats for use in drag-and-drop operations.
offsetX | Retrieves the horizontal coordinate of the mouse's position relative to the object firing the event.
offsetY | Retrieves the vertical coordinate of the mouse's position relative to the object firing the event.
returnValue | Sets or retrieves the return value from the event.
screenX | Retrieves the horizontal position of the mouse, in pixels, relative to the user's screen.
screenY | Retrieves the vertical position of the mouse, in pixels, relative to the user's screen.
srcElement | Retrieves the object that fired the event.
type | Retrieves the event name from the event object.
x | Retrieves the x-coordinate of the mouse cursor relative to the parent element.
y | Retrieves the y-coordinate of the mouse cursor relative to the parent element.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ACRONYM, ADDRESS, AREA, B, BDO, BIG, BLOCKQUOTE, BODY, CAPTION, CENTER, CITE, CODE, custom, DD, DEL, DFN, DIR, DIV, DL, document, DT, EM, FIELDSET, FONT, FORM, Hn, HR, I, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, KBD, LABEL, LI, LISTING, MAP, MARQUEE, MENU, NOBR, OBJECT, OL, P, PLAINTEXT, PRE, Q, S, SAMP, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TR, TT, U, UL, VAR, XMP

See Also

dhtml data transfer overview Internet Link, ondragstart


ondragend Event

Fires on the source object when the user releases the mouse at the close of a drag operation.

Syntax

Inline HTML | <ELEMENT ondragend = "handler" ... > | All platforms
Event property | object.ondragend = handler | JScript (compatible with ECMA 262 language specification) only
Named script | <SCRIPT FOR = object EVENT = ondragend> | Internet Explorer only

Remarks

Bubbles | Yes
Cancels | Yes
To invoke | Release the mouse button during a drag operation.
Default action | Calls the associated event handler.

The ondragend event is the final drag event to fire, following the ondragleave event, which fires on the target object.

Event Object Properties

Although event handlers in the DHTML Object Model do not receive parameters directly, the handler can query the event object for data.

Event Object Properties

altKey | Retrieves the current state of the ALT key.
cancelBubble | Sets or retrieves whether the current event should bubble up the hierarchy of event handlers.
clientX | Retrieves the x-coordinate of the mouse cursor relative to the client area of the window, excluding window decorations or scroll bars.
clientY | Retrieves the y-coordinate of the mouse cursor relative to the client area of the window, excluding window decorations or scroll bars.
ctrlKey | Retrieves the state of the CTRL key.
dataTransfer | Provides access to predefined clipboard formats for use in drag-and-drop operations.
offsetX | Retrieves the horizontal coordinate of the mouse's position relative to the object firing the event.
offsetY | Retrieves the vertical coordinate of the mouse's position relative to the object firing the event.
returnValue | Sets or retrieves the return value from the event.
screenX | Retrieves the horizontal position of the mouse, in pixels, relative to the user's screen.
screenY | Retrieves the vertical position of the mouse, in pixels, relative to the user's screen.
srcElement | Retrieves the object that fired the event.
type | Retrieves the event name from the event object.
x | Retrieves the x-coordinate of the mouse cursor relative to the parent element.
y | Retrieves the y-coordinate of the mouse cursor relative to the parent element.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ACRONYM, ADDRESS, AREA, B, BDO, BIG, BLOCKQUOTE, BODY, CAPTION, CENTER, CITE, CODE, custom, DD, DEL, DFN, DIR, DIV, DL, document, DT, EM, FIELDSET, FONT, FORM, Hn, HR, I, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, KBD, LABEL, LI, LISTING, MAP, MARQUEE, MENU, NOBR, OBJECT, OL, P, PLAINTEXT, PRE, Q, S, SAMP, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TR, TT, U, UL, VAR, XMP

See Also

dhtml data transfer overview Internet Link, ondragstart


ondragenter Event

Fires on the target element when the user drags the object to a valid drop target.

Syntax

Inline HTML | <ELEMENT ondragenter = "handler" ... > | All platforms
Event property | object.ondragenter = handler | JScript (compatible with ECMA 262 language specification) only
Named script | <SCRIPT FOR = object EVENT = ondragenter> | Internet Explorer only

Remarks

Bubbles | Yes
Cancels | Yes
To invoke
  • Drag the selection over a valid drop target within the browser.
  • Drag the selection to a valid drop target within another browser window.
Default action | Calls the associated event handler.

You can handle the ondragenter event on the source or on the target object. Of the target events, it is the first to fire during a drag operation. Target events use the getData method to stipulate which data and data formats to retrieve. The list of drag-and-drop target events includes:

  • onbeforepaste
  • onpaste
  • ondragenter
  • ondragover
  • ondragleave
  • ondrop

When scripting custom functionality, use the returnValue property to disable the default action.

Event Object Properties

Although event handlers in the DHTML Object Model do not receive parameters directly, the handler can query the event object for data.

Event Object Properties

altKey | Retrieves the current state of the ALT key.
cancelBubble | Sets or retrieves whether the current event should bubble up the hierarchy of event handlers.
clientX | Retrieves the x-coordinate of the mouse cursor relative to the client area of the window, excluding window decorations or scroll bars.
clientY | Retrieves the y-coordinate of the mouse cursor relative to the client area of the window, excluding window decorations or scroll bars.
ctrlKey | Retrieves the state of the CTRL key.
dataTransfer | Provides access to predefined clipboard formats for use in drag-and-drop operations.
offsetX | Retrieves the horizontal coordinate of the mouse's position relative to the object firing the event.
offsetY | Retrieves the vertical coordinate of the mouse's position relative to the object firing the event.
returnValue | Sets or retrieves the return value from the event.
screenX | Retrieves the horizontal position of the mouse, in pixels, relative to the user's screen.
screenY | Retrieves the vertical position of the mouse, in pixels, relative to the user's screen.
srcElement | Retrieves the object that fired the event.
type | Retrieves the event name from the event object.
x | Retrieves the x-coordinate of the mouse cursor relative to the parent element.
y | Retrieves the y-coordinate of the mouse cursor relative to the parent element.

Example

This example shows when and where each event fires during a drag-and-drop operation by listing each event and the name of the object firing it in a list box.

Sample Code

<HEAD>
<SCRIPT>
var oNewOption;

// Code for dynamically adding options to a select.

function ShowResults()
{                // Information about the events
                 // and what object fired them.
  arg = event.type + "  fired by  " + event.srcElement.id;
  oNewOption = new Option();
  oNewOption.text = arg;
  oResults.add(oNewOption,0);
}
</SCRIPT>
</HEAD>
<BODY>
<P>Source events are wired up to this text box.</P>
<INPUT ID=txtDragOrigin VALUE="Text to Drag"
    ondragstart="ShowResults()"
    ondrag="ShowResults()"
    ondragend="ShowResults()"
>
<P>Target events are bound to this text box.</P>
<INPUT ID=txtDragDestination VALUE="Drag Destination"
    ondragenter="ShowResults()"
    ondragover="ShowResults()"
    ondragleave="ShowResults()"
    ondrop="ShowResults()"
>
<SELECT ID=oResults SIZE=30>
  <OPTION>List of Events Fired
</SELECT>
</BODY>

This feature requires Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ACRONYM, ADDRESS, AREA, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, custom, DD, DEL, DFN, DIR, DIV, DL, document, DT, EM, FIELDSET, FONT, FORM, Hn, HR, I, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, KBD, LABEL, LI, LISTING, MAP, MARQUEE, MENU, NOBR, OBJECT, OL, P, PLAINTEXT, PRE, Q, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP

See Also

dhtml data transfer overview Internet Link, ondragstart


ondragleave Event

Fires on the target object when the user moves the mouse out of a valid drop target during a drag operation.

Syntax

Inline HTML | <ELEMENT ondragleave = "handler" ... > | All platforms
Event property | object.ondragleave = handler | JScript (compatible with ECMA 262 language specification) only
Named script | <SCRIPT FOR = object EVENT = ondragleave> | Internet Explorer only

Remarks

Bubbles | Yes
Cancels | Yes
To invoke | Drag the selection over a valid drop target, and then move that selection out again without dropping it.
Default action | Calls the associated event handler.

Event Object Properties

Although event handlers in the DHTML Object Model do not receive parameters directly, the handler can query the event object for data.

Event Object Properties

altKey | Retrieves the current state of the ALT key.
cancelBubble | Sets or retrieves whether the current event should bubble up the hierarchy of event handlers.
clientX | Retrieves the x-coordinate of the mouse cursor relative to the client area of the window, excluding window decorations or scroll bars.
clientY | Retrieves the y-coordinate of the mouse cursor relative to the client area of the window, excluding window decorations or scroll bars.
ctrlKey | Retrieves the state of the CTRL key.
dataTransfer | Provides access to predefined clipboard formats for use in drag-and-drop operations.
offsetX | Retrieves the horizontal coordinate of the mouse's position relative to the object firing the event.
offsetY | Retrieves the vertical coordinate of the mouse's position relative to the object firing the event.
returnValue | Sets or retrieves the return value from the event.
screenX | Retrieves the horizontal position of the mouse, in pixels, relative to the user's screen.
screenY | Retrieves the vertical position of the mouse, in pixels, relative to the user's screen.
srcElement | Retrieves the object that fired the event.
type | Retrieves the event name from the event object.
x | Retrieves the x-coordinate of the mouse cursor relative to the parent element.
y | Retrieves the y-coordinate of the mouse cursor relative to the parent element.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ACRONYM, ADDRESS, AREA, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, custom, DD, DEL, DFN, DIR, DIV, DL, document, DT, EM, FIELDSET, FONT, FORM, Hn, HR, I, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, KBD, LABEL, LI, LISTING, MAP, MARQUEE, MENU, NOBR, OBJECT, OL, P, PLAINTEXT, PRE, Q, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TR, TT, U, UL, VAR, XMP

See Also

dhtml data transfer overview Internet Link, ondragstart


ondragover Event

Fires on the target element continuously while the user drags the object over a valid drop target.

Syntax

Inline HTML | <ELEMENT ondragover = "handler" ... > | All platforms
Event property | object.ondragover = handler | JScript (compatible with ECMA 262 language specification) only
Named script | <SCRIPT FOR = object EVENT = ondragover> | Internet Explorer only

Remarks

Bubbles | Yes
Cancels | Yes
To invoke
  • Drag the selection over a valid drop target within the browser.
  • Drag the selection to a valid drop target within another browser window.
Default action | Calls the associated event handler.

The ondragover event fires on the target object after the ondragenter event has fired.

When scripting custom functionality, use the returnValue property to disable the default action.

Event Object Properties

Although event handlers in the DHTML Object Model do not receive parameters directly, the handler can query the event object for data.

Event Object Properties

altKey | Retrieves the current state of the ALT key.
cancelBubble | Sets or retrieves whether the current event should bubble up the hierarchy of event handlers.
clientX | Retrieves the x-coordinate of the mouse cursor relative to the client area of the window, excluding window decorations or scroll bars.
clientY | Retrieves the y-coordinate of the mouse cursor relative to the client area of the window, excluding window decorations or scroll bars.
ctrlKey | Retrieves the state of the CTRL key.
dataTransfer | Provides access to predefined clipboard formats for use in drag-and-drop operations.
offsetX | Retrieves the horizontal coordinate of the mouse's position relative to the object firing the event.
offsetY | Retrieves the vertical coordinate of the mouse's position relative to the object firing the event.
returnValue | Sets or retrieves the return value from the event.
screenX | Retrieves the horizontal position of the mouse, in pixels, relative to the user's screen.
screenY | Retrieves the vertical position of the mouse, in pixels, relative to the user's screen.
srcElement | Retrieves the object that fired the event.
type | Retrieves the event name from the event object.
x | Retrieves the x-coordinate of the mouse cursor relative to the parent element.
y | Retrieves the y-coordinate of the mouse cursor relative to the parent element.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ACRONYM, ADDRESS, AREA, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, custom, DD, DEL, DFN, DIR, DIV, DL, document, DT, EM, FIELDSET, FONT, FORM, Hn, HR, I, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, KBD, LABEL, LI, LISTING, MAP, MARQUEE, MENU, NOBR, OBJECT, OL, P, PLAINTEXT, PRE, Q, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TR, TT, U, UL, VAR, XMP

See Also

dhtml data transfer overview Internet Link, ondragstart


ondragstart Event

Fires on the source object when the user starts to drag a text selection or selected object.

Syntax

Inline HTML | <ELEMENT ondragstart = "handler" ... > | All platforms
Event property | object.ondragstart = handler | JScript (compatible with ECMA 262 language specification) only
Named script | <SCRIPT FOR = object EVENT = ondragstart> | Internet Explorer only

Remarks

Bubbles | Yes
Cancels | Yes
To invoke | Drag the selected text or object.
Default action | Calls the associated event handler.

The ondragstart event is the first to fire when the user starts to drag the mouse. It is essential to every drag operation, yet is just one of several source events in the data transfer object model. Source events use the setData method of the dataTransfer object to provide information about data being transferred. Source events include ondragstart, ondrag, and ondragend.

Event Object Properties

Although event handlers in the DHTML Object Model do not receive parameters directly, the handler can query the event object for data.

Event Object Properties

altKey | Retrieves the current state of the ALT key.
cancelBubble | Sets or retrieves whether the current event should bubble up the hierarchy of event handlers.
clientX | Retrieves the x-coordinate of the mouse cursor relative to the client area of the window, excluding window decorations or scroll bars.
clientY | Retrieves the y-coordinate of the mouse cursor relative to the client area of the window, excluding window decorations or scroll bars.
ctrlKey | Retrieves the state of the CTRL key.
dataTransfer | Provides access to predefined clipboard formats for use in drag-and-drop operations.
offsetX | Retrieves the horizontal coordinate of the mouse's position relative to the object firing the event.
offsetY | Retrieves the vertical coordinate of the mouse's position relative to the object firing the event.
returnValue | Sets or retrieves the return value from the event.
screenX | Retrieves the horizontal position of the mouse, in pixels, relative to the user's screen.
screenY | Retrieves the vertical position of the mouse, in pixels, relative to the user's screen.
srcElement | Retrieves the object that fired the event.
type | Retrieves the event name from the event object.
x | Retrieves the x-coordinate of the mouse cursor relative to the parent element.
y | Retrieves the y-coordinate of the mouse cursor relative to the parent element.

Example

The first example shows how to detect the tagName property of the object from which the ondragstart event has originated. The second example shows how to order event firing for drag-and-drop events.

Sample Code

This example uses event bubbling to handle the ondragstart event at the BODY level.

<BODY ondragstart="alert(event.srcElement.tagName)">
  <INPUT TYPE=text VALUE="Select and drag this text">
  <SPAN>Select and drag this text</SPAN>
  <TEXTAREA>Select and drag this text</TEXTAREA>
</BODY>

This feature requires Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

This example shows how to control when each event fires during a drag-and-drop operation.

<HEAD>
<SCRIPT>
function ShowResults(){
var oNewOption;

// Code for dynamically adding options to a select.
}
function ShowResults()
{                // Information about the events
                 // and what object fired them.
  arg = event.type + "  fired by  " + event.srcElement.id;

  oNewOption = new Option();
  oNewOption.text = arg;
  oResults.add(oNewOption,0);
}
</SCRIPT>
</HEAD>
<BODY>
<P>Source events are wired up to this text box.</P>
<INPUT ID=txtDragOrigin VALUE="Text to Drag"
    ondragstart="ShowResults()"
    ondrag="ShowResults()"
    ondragend="ShowResults()"
>
<P>Target events are bound to this text box.</P>
<INPUT ID=txtDragDestination VALUE="Drag Destination"
    ondragenter="ShowResults()"
    ondragover="ShowResults()"
    ondragleave="ShowResults()"
    ondrop="ShowResults()"
>
<SELECT ID=oResults SIZE=30>
  <OPTION>List of Events Fired
</SELECT>
</BODY>

This feature requires Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ACRONYM, ADDRESS, AREA, B, BDO, BIG, BLOCKQUOTE, BODY, CAPTION, CENTER, CITE, CODE, custom, DD, DEL, DFN, DIR, DIV, DL, document, DT, EM, FIELDSET, FONT, FORM, Hn, HR, I, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, KBD, LABEL, LI, LISTING, MAP, MARQUEE, MENU, NEXTID, NOBR, OBJECT, OL, P, PLAINTEXT, PRE, Q, RT, RUBY, S, SAMP, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP

See Also

dhtml data transfer overview Internet Link, ondrop


ondrop Event

Fires on the target object when the mouse button is released during a drag-and-drop operation.

Syntax

Inline HTML | <ELEMENT ondrop = "handler" ... > | All platforms
Event property | object.ondrop = handler | JScript (compatible with ECMA 262 language specification) only
Named script | <SCRIPT FOR = object EVENT = ondrop> | Internet Explorer only

Remarks

Bubbles | Yes
Cancels | Yes
To invoke | Drag the selection over a valid drop target and release the mouse.
Default action | Calls the associated event handler.

The ondrop event fires before the ondragleave and ondragend events.

When scripting custom functionality, use the returnValue property to disable the default action.

Event Object Properties

Although event handlers in the DHTML Object Model do not receive parameters directly, the handler can query the event object for data.

Event Object Properties

altKey | Retrieves the current state of the ALT key.
cancelBubble | Sets or retrieves whether the current event should bubble up the hierarchy of event handlers.
clientX | Retrieves the x-coordinate of the mouse cursor relative to the client area of the window, excluding window decorations or scroll bars.
clientY | Retrieves the y-coordinate of the mouse cursor relative to the client area of the window, excluding window decorations or scroll bars.
ctrlKey | Retrieves the state of the CTRL key.
dataTransfer | Provides access to predefined clipboard formats for use in drag-and-drop operations.
offsetX | Retrieves the horizontal coordinate of the mouse's position relative to the object firing the event.
offsetY | Retrieves the vertical coordinate of the mouse's position relative to the object firing the event.
returnValue | Sets or retrieves the return value from the event.
screenX | Retrieves the horizontal position of the mouse, in pixels, relative to the user's screen.
screenY | Retrieves the vertical position of the mouse, in pixels, relative to the user's screen.
srcElement | Retrieves the object that fired the event.
type | Retrieves the event name from the event object.
x | Retrieves the x-coordinate of the mouse cursor relative to the parent element.
y | Retrieves the y-coordinate of the mouse cursor relative to the parent element.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ACRONYM, ADDRESS, AREA, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, custom, DD, DEL, DFN, DIR, DIV, DL, document, DT, EM, FIELDSET, FONT, FORM, Hn, HR, I, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, KBD, LABEL, LI, LISTING, MAP, MARQUEE, MENU, NOBR, OBJECT, OL, P, PLAINTEXT, PRE, Q, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TR, TT, U, UL, VAR, XMP

See Also

dhtml data transfer overview Internet Link, ondragstart


onerror Event

Fires when an error occurs during object loading.

Syntax

Inline HTML | <ELEMENT onerror = "handler" ... > | All platforms
Event property | object.onerror = handler | JScript (compatible with ECMA 262 language specification) only
Named script | <SCRIPT FOR = object EVENT = onerror> | Internet Explorer only

Event Handler Parameters

When this event is bound to the window object, the following parameters apply. These parameters are required in Microsoft® Visual Basic® Scripting Edition (VBScript).

Parameter | Description
sMsg | Optional. Description of the error that occurred.
sUrl | Optional. URL of the page on which the error occurred.
sLine | Optional. Line number on which the error occurred.

Remarks

Bubbles | No
Cancels | Yes
To invoke Cause one of the following errors to occur:
  • Run-time script error, such as an invalid object reference or security violation.
  • Error while downloading an object, such as an image.
Default action
  • Displays the browser error message when a problem occurs.
  • Executes any error handling routine associated with the event.

To suppress the default Internet Explorer error message for the window event, set the returnValue property of the event object to true or simply return true in JScript®.

The onerror event fires for run-time errors, but not for compilation errors. In addition, error dialog boxes raised by script debuggers are not suppressed by returning true. To turn off script debuggers, disable script debugging in Internet Explorer by clicking Tools, Internet Options, and then Advanced.

Event Object Properties

Although event handlers in the DHTML Object Model do not receive parameters directly, the handler can query the event object for data.

Event Object Properties

returnValue | Sets or retrieves the return value from the event.
srcElement | Retrieves the object that fired the event.
type | Retrieves the event name from the event object.

Example

The following examples use the onerror event to handle run-time script errors and object load errors.

Sample Code

This example specifies an invalid script entry. The script in the text field is evaluated when the Throw Error button is clicked. The onerror event fires because the script is invalid. The error results are inserted at the bottom of the sample page instead of in a dialog box.

<SCRIPT>
window.onerror=fnErrorTrap;
function fnErrorTrap(sMsg,sUrl,sLine){
   oErrorLog.innerHTML="<b>An error was thrown and caught.</b><p>";
   oErrorLog.innerHTML+="Error: " + sMsg + "<br>";
   oErrorLog.innerHTML+="Line: " + sLine + "<br>";
   oErrorLog.innerHTML+="URL: " + sUrl + "<br>";
   return false;
}
function fnThrow(){
   eval(oErrorCode.value);
}
</SCRIPT>
<INPUT TYPE="text" ID=oErrorCode VALUE="someObject.someProperty=true;">
<INPUT TYPE="button" VALUE="Throw Error" onclick="fnThrow()">
<P>
<DIV ID="oErrorLog">
</DIV>

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

This example shows how to set the handler for the onerror event in script before an image source is specified. When the invalid source is set on the IMG element, the event fires.

<SCRIPT>
var sImg='<IMG STYLE="display: none;" ID=oStub ALT="Default Text">';
function fnLoadFirst(){
   oContainer.innerHTML=sImg;
   oStub.onerror=fnLoadFail1;
   oStub.src="";
   oStub.style.display="block";
}
function fnLoadFail1(){
   oStub.alt="Image failed to load.";
   return true;
}
</SCRIPT>

<INPUT TYPE=button VALUE="Load First Image" onclick="fnLoadFirst()">
<DIV ID=oContainer></DIV>

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
IMG, OBJECT, STYLE, window

See Also

onerrorupdate


onerrorupdate Event

Fires on a databound object when an error occurs while updating the associated data in the data source object.

Syntax

Inline HTML | <ELEMENT onerrorupdate = "handler" ... > | All platforms
Event property | object.onerrorupdate =handler | JScript (compatible with ECMA 262 language specification) only
Named script | <SCRIPT FOR = object EVENT = onerrorupdate> | Internet Explorer only

Remarks

Bubbles | Yes
Cancels | No
To invoke | Cause the onbeforeupdate event to fire and cancel the data transfer.
Default action | Executes any error handling associated with the event.

Event Object Properties

Although event handlers in the DHTML Object Model do not receive parameters directly, the handler can query the event object for data.

Event Object Properties

cancelBubble | Sets or retrieves whether the current event should bubble up the hierarchy of event handlers.
srcElement | Retrieves the object that fired the event.
type | Retrieves the event name from the event object.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
BDO, custom, INPUT TYPE=text, RT, RUBY, TEXTAREA

See Also

data binding Internet Link


onfilterchange Event

Fires when a visual filter changes state or completes a transition.

Syntax

Inline HTML | <ELEMENT onfilterchange = "handler" ... > | All platforms
Event property | object.onfilterchange = handler | JScript (compatible with ECMA 262 language specification) only
Named script | <SCRIPT FOR = object EVENT = onfilterchange> | Internet Explorer only

Remarks

Bubbles | No
Cancels | No
To invoke | Change the filter state.
Default action | Signals that the filter on an object has changed state.

Event Object Properties

Although event handlers in the DHTML Object Model do not receive parameters directly, the handler can query the event object for data.

Event Object Properties

cancelBubble | Sets or retrieves whether the current event should bubble up the hierarchy of event handlers.
srcElement | Retrieves the object that fired the event.
srcFilter | Retrieves the filter object that caused the onfilterchange event to fire.
type | Retrieves the event name from the event object.

Example

This example uses the onfilterchange event to trigger a filter effect. When the page loads, the block of text is erased using a checkerboard-down transition. Once the checkerboard transition is complete, the image is made visible using a box-in transition.

Sample Code

<HTML>
<HEAD>
<TITLE>Microsoft Cascading Style Sheet Controls Samples</TITLE>
</HEAD>
<body>
<h2>Some text filters out (checkerboard), and at its completion
an image filters in (box-in).  Refresh repeats.</h2>
<Div ID="TextRegion" STYLE="Position: absolute; border: solid red;
    background-color: lightblue; LEFT: 0; TOP: 100; WIDTH: 100%;
    VISIBILITY: visible; FILTER: revealTrans(Transition = 11,
    Duration = 1.25)">
Text that will filter upon pageload.<br>
Text that will filter upon pageload.<br>
Text that will filter upon pageload.<br>
Text that will filter upon pageload.<br>
Text that will filter upon pageload.<br>
Text that will filter upon pageload.<br>
Text that will filter upon pageload.
</DIV>
<DIV ID="ImageRegion" STYLE="Position: absolute; border: solid red;
    LEFT: 0; TOP: 100; WIDTH: 30%; VISIBILITY: hidden;
    FILTER: revealTrans(Transition = 0, Duration = 1.25)">
<IMAGE id=image1 SRC="/workshop/samples/author/graphics/dhtml/blupan.gif">
</DIV>
<SCRIPT LANGUAGE=VBScript>
Sub Window_onload
    Call TextRegion.filters.revealTrans.Apply ()
    Call ImageRegion.filters.revealTrans.Apply()
    Call Start
End Sub

Sub Start
   TextRegion.style.visibility = "hidden"
   ImageRegion.style.visibility = "visible"
   Call TextRegion.filters.revealTrans.Play()
End Sub

Sub TextRegion_onfilterchange
   if TextRegion.filters.revealTrans.Status = 0 then
      Call ImageRegion.filters.revealTrans.Play(1.5)
   End If
End Sub
</SCRIPT>
</BODY>
</HTML>

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
BDO, BODY, BUTTON, custom, DIV, FIELDSET, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, MARQUEE, NEXTID, RT, RUBY, SPAN, TABLE, TD, TEXTAREA, TH, TR


onfinish Event

Fires when marquee looping is complete.

Syntax

Inline HTML | <MARQUEE onfinish = "handler" ... > | All platforms
Event property | marquee.onfinish = handler | JScript (compatible with ECMA 262 language specification) only
Named script | <SCRIPT FOR = marquee EVENT = onfinish> | Internet Explorer only

Remarks

Bubbles | No
Cancels | Yes
To invoke | Specify a value for the LOOP attribute of the MARQUEE object.
Default action | Marquee ceases to loop.

A value greater than 1 and less than infinity must be set on the LOOP attribute for this event to fire.

Event Object Properties

Although event handlers in the DHTML Object Model do not receive parameters directly, the handler can query the event object for data.

Event Object Properties

clientX | Retrieves the x-coordinate of the mouse cursor relative to the client area of the window, excluding window decorations or scroll bars.
clientY | Retrieves the y-coordinate of the mouse cursor relative to the client area of the window, excluding window decorations or scroll bars.
offsetX | Retrieves the horizontal coordinate of the mouse's position relative to the object firing the event.
offsetY | Retrieves the vertical coordinate of the mouse's position relative to the object firing the event.
returnValue | Sets or retrieves the return value from the event.
screenX | Retrieves the horizontal position of the mouse, in pixels, relative to the user's screen.
screenY | Retrieves the vertical position of the mouse, in pixels, relative to the user's screen.
srcElement | Retrieves the object that fired the event.
type | Retrieves the event name from the event object.
x | Retrieves the x-coordinate of the mouse cursor relative to the parent element.
y | Retrieves the y-coordinate of the mouse cursor relative to the parent element.

Example

The example uses the srcElement property of the event object to determine which marquee has fired the onfinish event.

Sample Code

<BODY>
<LABEL>mqLooper1</LABEL>
<MARQUEE ID=mqLooper1 LOOP=2
         onfinish="alert(event.srcElement.id + ' finished looping.')">
         this marquee loops twice
</MARQUEE>
<HR>
<LABEL>mqLooper2</LABEL>
<MARQUEE ID=mqLooper2 LOOP=5
         onfinish="alert(event.srcElement.id + ' finished looping.')">
         this marquee loops five times
</MARQUEE>
</BODY>

This feature requires Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

MARQUEE

See Also

loop, onstart


onfocus Event

Fires when the object receives the focus.

Syntax

Inline HTML | <ELEMENT onfocus = "handler" ... > | All platforms
Event property | object.onfocus = handler | JScript (compatible with ECMA 262 language specification) only
Named script | <SCRIPT FOR = object EVENT = onfocus> | Internet Explorer only

Remarks

Bubbles | No
Cancels | No
To invoke Give focus to an object:
  • Click an object.
  • Use keyboard navigation.
  • Invoke the focus method.
Default action | Sets focus to an object.

When one object loses focus and another object receives focus, the onfocus event fires on the object receiving focus only after the onblur event fires on the object losing focus. Use the focus events to determine when to prepare an object to receive input from the user.

As of Microsoft® Internet Explorer 5, you can force elements that do not implicitly receive focus to receive focus by adding them to the document tabbing order using the TABINDEX attribute.

Elements cannot receive focus until the document is finished loading.

As of Internet Explorer 5, elements retain focus within the current browser history when the user returns to a page. To avoid firing the onfocus event unintentionally for an element when the document loads, invoke the focus method on another element.

Event Object Properties

Although event handlers in the document object model do not receive parameters directly, the handler can query the event object for data.

Event Object Properties

clientX | Retrieves the x-coordinate of the mouse cursor relative to the client area of the window, excluding window decorations or scroll bars.
clientY | Retrieves the y-coordinate of the mouse cursor relative to the client area of the window, excluding window decorations or scroll bars.
offsetX | Retrieves the horizontal coordinate of the mouse's position relative to the object firing the event.
offsetY | Retrieves the vertical coordinate of the mouse's position relative to the object firing the event.
returnValue | Sets or retrieves the return value from the event.
screenX | Retrieves the horizontal position of the mouse, in pixels, relative to the user's screen.
screenY | Retrieves the vertical position of the mouse, in pixels, relative to the user's screen.
srcElement | Retrieves the object that fired the event.
type | Retrieves the event name from the event object.
x | Retrieves the x-coordinate of the mouse cursor relative to the parent element.
y | Retrieves the y-coordinate of the mouse cursor relative to the parent element.

Example

This example uses the onfocus event to make INPUT_text and LABEL objects more accessible. When the INPUT_text object has focus, the onfocus event fires and the backgroundColor, fontSize, and fontWeight properties are changed to give the control more prominence.

Sample Code

<STYLE>
.accessible {
   background-color: "#AAAAFF";
   font-weight: bold;
   font-size: 12pt;
}
</STYLE>
<SCRIPT>
function fnSetStyle(){
   event.srcElement.className="accessible";
   var oWorkLabel=eval(event.srcElement.id + "_label");
   oWorkLabel.className="accessible";
}
</SCRIPT>

<LABEL FOR="oInput" CLASS="normal" ID="oInput_label">
Enter some text</LABEL>

<INPUT TYPE="text"
   CLASS="normal"
   onfocus="fnSetStyle()"
   ID="oInput"
>

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ACRONYM, ADDRESS, APPLET, AREA, B, BDO, BIG, BLOCKQUOTE, BUTTON, CAPTION, CENTER, CITE, custom, DD, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, Hn, HR, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, ISINDEX, KBD, LABEL, LEGEND, LI, LISTING, MARQUEE, MENU, OBJECT, OL, P, PLAINTEXT, PRE, Q, RT, RUBY, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, window, XMP


onhelp Event

Fires when the user presses the F1 key while the browser is the active window.

Syntax

Inline HTML | <ELEMENT onhelp = "handler" ... > | All platforms
Event property | object.onhelp =handler | JScript (compatible with ECMA 262 language specification) only
Named script | <SCRIPT FOR = object EVENT = onhelp> | Internet Explorer only

Remarks

Bubbles | Yes
Cancels | Yes
To invoke | Press the F1 key.
Default action | Firing the onhelp event opens an online Help window.

Event Object Properties

Although event handlers in the document object model do not receive parameters directly, the handler can query the event object for data.

Event Object Properties

cancelBubble | Sets or retrieves whether the current event should bubble up the hierarchy of event handlers.
clientX | Retrieves the x-coordinate of the mouse cursor relative to the client area of the window, excluding window decorations or scroll bars.
clientY | Retrieves the y-coordinate of the mouse cursor relative to the client area of the window, excluding window decorations or scroll bars.
ctrlKey | Retrieves the state of the CTRL key.
offsetX | Retrieves the horizontal coordinate of the mouse's position relative to the object firing the event.
offsetY | Retrieves the vertical coordinate of the mouse's position relative to the object firing the event.
returnValue | Sets or retrieves the return value from the event.
screenX | Retrieves the horizontal position of the mouse, in pixels, relative to the user's screen.
screenY | Retrieves the vertical position of the mouse, in pixels, relative to the user's screen.
shiftKey | Retrieves the state of the SHIFT key.
srcElement | Retrieves the object that fired the event.
type | Retrieves the event name from the event object.
x | Retrieves the x-coordinate of the mouse cursor relative to the parent element.
y | Retrieves the y-coordinate of the mouse cursor relative to the parent element.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ADDRESS, APPLET, AREA, B, BDO, BIG, BLOCKQUOTE, BUTTON, CAPTION, CENTER, CITE, CODE, custom, DD, DFN, DIR, DIV, DL, document, DT, EM, EMBED, FIELDSET, FONT, FORM, Hn, HR, I, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, KBD, LABEL, LEGEND, LI, LISTING, MAP, MARQUEE, MENU, NEXTID, NOBR, OL, P, PLAINTEXT, PRE, RT, RUBY, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, window, XMP


onkeydown Event

Fires when the user presses a key.

Syntax

Inline HTML | <ELEMENT onkeydown = "handler" ... > | All platforms
Event property | object.onkeydown = handler | JScript (compatible with ECMA 262 language specification) only
Named script | <SCRIPT FOR = object EVENT = onkeydown> | Internet Explorer only

Remarks

Bubbles | Yes
Cancels | Yes
To invoke | Press any keyboard key.
Default action | Returns a number specifying the keyCode of the key that was pressed.

In Microsoft® Internet Explorer 4.0, the onkeydown event fires for the following keys:

  • Editing: DELETE, INSERT
  • Function: F1 - F12
  • Letters: a - z
  • Navigation: HOME, END, Left Arrow, Right Arrow, Up Arrow, Down Arrow
  • Numerals: 0 - 9
  • Symbols: ! @ # $ % ^ & * ( ) _ - + = < > [ ] { } , . / ? \ | ' ` " ~
  • System: ESCAPE, SPACE, SHIFT, TAB

In Internet Explorer 5, the event also fires for the following keys:

  • Editing: BACKSPACE
  • Navigation: PAGE UP, PAGE DOWN
  • System: SHIFT+TAB

As of Internet Explorer 5, the following keys and key combinations can be canceled by specifying event.returnValue=false:

  • Editing: BACKSPACE, DELETE
  • Letters: a - z
  • Navigation: PAGE UP, PAGE DOWN, END, HOME, Left Arrow, Right Arrow, Up Arrow, Down Arrow
  • Numerals: 0 - 9
  • Symbols: ! @ # $ % ^ & * ( ) _ - + = < > [ ] { } , . / ? \ | ' ` " ~
  • System: SPACE, ESCAPE, TAB, SHIFT+TAB

You can cancel all keys that fire the onkeydown event in html applications Internet Link, including most accelerator keys, such as ALT+F4.

In Internet Explorer 4.0, you cannot cancel the onkeydown event, but you can use the onkeypress event to cancel keyboard events.

Event Object Properties

Although event handlers in the DHTML Object Model do not receive parameters directly, the handler can query the event object for data.

Event Object Properties

altKey | Retrieves the current state of the ALT key.
cancelBubble | Sets or retrieves whether the current event should bubble up the hierarchy of event handlers.
clientX | Retrieves the x-coordinate of the mouse cursor relative to the client area of the window, excluding window decorations or scroll bars.
clientY | Retrieves the y-coordinate of the mouse cursor relative to the client area of the window, excluding window decorations or scroll bars.
ctrlKey | Retrieves the state of the CTRL key.
keyCode | Sets or retrieves the Unicode key code associated with the key that caused the event.
offsetX | Retrieves the horizontal coordinate of the mouse's position relative to the object firing the event.
offsetY | Retrieves the vertical coordinate of the mouse's position relative to the object firing the event.
repeat | Retrieves whether an event is being repeated.
returnValue | Sets or retrieves the return value from the event.
screenX | Retrieves the horizontal position of the mouse, in pixels, relative to the user's screen.
screenY | Retrieves the vertical position of the mouse, in pixels, relative to the user's screen.
shiftKey | Retrieves the state of the SHIFT key.
srcElement | Retrieves the object that fired the event.
type | Retrieves the event name from the event object.
x | Retrieves the x-coordinate of the mouse cursor relative to the parent element.
y | Retrieves the y-coordinate of the mouse cursor relative to the parent element.

Example

This example uses the onkeydown event to cancel input from the keyboard.

<SCRIPT>
function fnTrapKD(){
   if(oTrap.checked){
      oOutput.innerText+="[trap = " + event.keyCode + "]";
      event.returnValue=false;
   }
   else{
      oOutput.innerText+=String.fromCharCode(event.keyCode);
   }
}
</SCRIPT>
<INPUT TYPE="checkbox" ID="oTrap">
<INPUT ID="oExample" TYPE="text" onkeydown="fnTrapKD()">
<TEXTAREA ID="oOutput" ROWS="10" COLS="50">
</TEXTAREA>
This feature requires Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ACRONYM, ADDRESS, APPLET, AREA, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, custom, DD, DEL, DFN, DIR, DIV, document, DT, EM, FIELDSET, FONT, FORM, Hn, HR, I, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, KBD, LABEL, LEGEND, LI, LISTING, MAP, MARQUEE, MENU, NEXTID, NOBR, OBJECT, OL, P, PLAINTEXT, PRE, Q, RT, RUBY, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP

See Also

onkeyup


onkeypress Event

Fires when the user presses an alphanumeric key.

Syntax

Inline HTML | <ELEMENT onkeypress = "handler" ... > | All platforms
Event property | object.onkeypress = handler | JScript (compatible with ECMA 262 language specification) only
Named script | <SCRIPT FOR = object EVENT = onkeypress> | Internet Explorer only

Remarks

Bubbles | Yes
Cancels | Yes
To invoke | Press an alphanumeric keyboard key.
Default action | Returns a number specifying the Unicode value of the key that was pressed.

Alphanumeric keyboard keys include uppercase letters, lowercase letters, numbers, symbols, punctuation characters, and the ESC, SPACE, and ENTER keys.

As of Microsoft® Internet Explorer 4.0, the onkeypress event fires and can be canceled for the following keys:

  • Letters: a - z
  • Numerals: 0 - 9
  • Symbols: ! @ # $ % ^ & * ( ) _ - + = < > [ ] { } , . / ? \ | ' ` " ~
  • System: ESCAPE, SPACE, SHIFT

Event Object Properties

Although event handlers in the DHTML Object Model do not receive parameters directly, the handler can query the event object for data.

Event Object Properties

altKey | Retrieves the current state of the ALT key.
cancelBubble | Sets or retrieves whether the current event should bubble up the hierarchy of event handlers.
clientX | Retrieves the x-coordinate of the mouse cursor relative to the client area of the window, excluding window decorations or scroll bars.
clientY | Retrieves the y-coordinate of the mouse cursor relative to the client area of the window, excluding window decorations or scroll bars.
ctrlKey | Retrieves the state of the CTRL key.
keyCode | Sets or retrieves the Unicode key code associated with the key that caused the event.
offsetX | Retrieves the horizontal coordinate of the mouse's position relative to the object firing the event.
offsetY | Retrieves the vertical coordinate of the mouse's position relative to the object firing the event.
returnValue | Sets or retrieves the return value from the event.
screenX | Retrieves the horizontal position of the mouse, in pixels, relative to the user's screen.
screenY | Retrieves the vertical position of the mouse, in pixels, relative to the user's screen.
shiftKey | Retrieves the state of the SHIFT key.
srcElement | Retrieves the object that fired the event.
type | Retrieves the event name from the event object.
x | Retrieves the x-coordinate of the mouse cursor relative to the parent element.
y | Retrieves the y-coordinate of the mouse cursor relative to the parent element.

Example

This example shows how to retrieve information from the shiftKey property of the event object. When the user simultaneously presses the shift key and types a character in the first text field, the value "true" appears in the second text field.

Sample Code

<HEAD>
<SCRIPT>
function checkKey()
{
if (window.event.shiftKey)  // checks whether the SHIFT key
                            // is pressed
   {
   txtOutput.value = "true"; // returns TRUE if SHIFT is pressed
                             // when the event fires
   }
}
</SCRIPT>
</HEAD>
<BODY>
<P>Press the SHIFT key while pressing another key.<BR>
    <INPUT TYPE=text NAME=txtEnterValue onkeypress="checkKey()">
<P>Indicates "true" if the shift key is used.<BR>
    <INPUT TYPE=text NAME=txtOutput>
</BODY>

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ACRONYM, ADDRESS, APPLET, AREA, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, custom, DD, DEL, DFN, DIR, DIV, document, DT, EM, FIELDSET, FONT, FORM, Hn, HR, I, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, KBD, LABEL, LEGEND, LI, LISTING, MAP, MARQUEE, MENU, NEXTID, NOBR, OBJECT, OL, P, PLAINTEXT, PRE, Q, RT, RUBY, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP

See Also

onchange, onkeydown, onkeyup


onkeyup Event

Fires when the user releases a key.

Syntax

Inline HTML | <ELEMENT onkeyup = "handler" ... > | All platforms
Event property | object.onkeyup =handler | JScript (compatible with ECMA 262 language specification) only
Named script | <SCRIPT FOR = object EVENT = onkeyup> | Internet Explorer only

Remarks

Bubbles | Yes
Cancels | No
To invoke | Release any keyboard key.
Default action | Returns a number specifying the keyCode of the key that was released.

In Microsoft® Internet Explorer 4.0, the onkeyup event fires for the following keys:

  • Editing: DELETE, INSERT
  • Function: F1 - F12
  • Letters: a - z
  • Navigation: HOME, END, Left Arrow, Right Arrow, Up Arrow, Down Arrow
  • Numerals: 0 - 9
  • Symbols: ! @ # $ % ^ & * ( ) _ - + = < > [ ] { } , . / ? \ | ' ` " ~
  • System: ESCAPE, SPACE, SHIFT, TAB

In Internet Explorer 5, the event also fires for the following keys:

  • Editing: BACKSPACE
  • Navigation: PAGE UP, PAGE DOWN
  • System: SHIFT+TAB

Event Object Properties

Although event handlers in the DHTML Object Model do not receive parameters directly, the handler can query the event object for data.

Event Object Properties

altKey | Retrieves the current state of the ALT key.
cancelBubble | Sets or retrieves whether the current event should bubble up the hierarchy of event handlers.
clientX | Retrieves the x-coordinate of the mouse cursor relative to the client area of the window, excluding window decorations or scroll bars.
clientY | Retrieves the y-coordinate of the mouse cursor relative to the client area of the window, excluding window decorations or scroll bars.
ctrlKey | Retrieves the state of the CTRL key.
keyCode | Sets or retrieves the Unicode key code associated with the key that caused the event.
offsetX | Retrieves the horizontal coordinate of the mouse's position relative to the object firing the event.
offsetY | Retrieves the vertical coordinate of the mouse's position relative to the object firing the event.
returnValue | Sets or retrieves the return value from the event.
screenX | Retrieves the horizontal position of the mouse, in pixels, relative to the user's screen.
screenY | Retrieves the vertical position of the mouse, in pixels, relative to the user's screen.
shiftKey | Retrieves the state of the SHIFT key.
srcElement | Retrieves the object that fired the event.
type | Retrieves the event name from the event object.
x | Retrieves the x-coordinate of the mouse cursor relative to the parent element.
y | Retrieves the y-coordinate of the mouse cursor relative to the parent element.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ACRONYM, ADDRESS, APPLET, AREA, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, custom, DD, DEL, DFN, DIR, DIV, document, DT, EM, FIELDSET, FONT, FORM, Hn, HR, I, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, KBD, LABEL, LEGEND, LI, LISTING, MAP, MARQUEE, MENU, NEXTID, NOBR, OBJECT, OL, P, PLAINTEXT, PRE, Q, RT, RUBY, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP

See Also

onkeydown, onkeypress


onload Event

Fires immediately after the browser loads the object.

Syntax

Inline HTML | <ELEMENT onload = "handler" ... > | All platforms
Event property | object.onload = handler | JScript (compatible with ECMA 262 language specification) only
Named script | <SCRIPT FOR = object EVENT = onload> | Internet Explorer only

Remarks

Bubbles | No
Cancels | No
To invoke | Open a page in the browser to invoke this event for the document or any object within it.
Default action | Loads the object for which the event is specified.

The browser loads applications, embedded objects, and images as soon as it encounters the APPLET, EMBED, and IMG objects during parsing. Consequently, the onload event for these objects occurs before the browser parses any subsequent objects. To ensure that an event handler receives the onload event for these objects, place the SCRIPT object that defines the event handler before the object and use the onload attribute in the object to set the handler.

The onload attribute of the BODY object sets an onload event handler for the window. This technique of calling the window onload event through the BODY object is overridden by any other means of invoking the window onload event, provided the handlers are in the same script language.

Event Object Properties

Although event handlers in the DHTML Object Model do not receive parameters directly, the handler can query the event object for data.

Event Object Properties

clientX | Retrieves the x-coordinate of the mouse cursor relative to the client area of the window, excluding window decorations or scroll bars.
clientY | Retrieves the y-coordinate of the mouse cursor relative to the client area of the window, excluding window decorations or scroll bars.
offsetX | Retrieves the horizontal coordinate of the mouse's position relative to the object firing the event.
offsetY | Retrieves the vertical coordinate of the mouse's position relative to the object firing the event.
screenX | Retrieves the horizontal position of the mouse, in pixels, relative to the user's screen.
screenY | Retrieves the vertical position of the mouse, in pixels, relative to the user's screen.
type | Retrieves the event name from the event object.
x | Retrieves the x-coordinate of the mouse cursor relative to the parent element.
y | Retrieves the y-coordinate of the mouse cursor relative to the parent element.

Example

Sample Code

This example uses an onload event handler to display a message in the window's status bar when the page has finished loading.

<BODY>
<SCRIPT FOR=window EVENT=onload LANGUAGE="JScript">
  window.status = "Page is loaded!";
</SCRIPT>
</BODY>

This example sets an onload event handler for an IMG object. The handler uses the event object to retrieve the URL of the image.

<SCRIPT>
function imageLoaded()
{
  window.status = "Image " + event.srcElement.src + " is loaded";
}
</SCRIPT>
<BODY>
<IMG SRC="sample.gif" onload="imageLoaded()">
</BODY>

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
APPLET, EMBED, FRAMESET, IMG, LINK, SCRIPT, window

See Also

onreadystatechange, onunload


onlosecapture Event

Fires when the object loses the mouse capture.

Syntax

Inline HTML | <ELEMENT onlosecapture = "handler" ... > | All platforms
Event property | object.onlosecapture = handler | JScript (compatible with ECMA 262 language specification) only
Named script | <SCRIPT FOR = object EVENT = onlosecapture> | Internet Explorer only

Remarks

Bubbles | No
Cancels | No
To invoke Cause the object to release mouse capture:
  • Set mouse capture to a different object.
  • Change the active window so that the current document using mouse capture loses focus.
  • Invoke the releaseCapture method on the document or object.
Default action | Sends the event notification to the object that is losing the mouse capture.

Event Object Properties

Although event handlers in the DHTML Object Model do not receive parameters directly, the handler can query the event object for data.

Event Object Properties

altKey | Retrieves the current state of the ALT key.
clientX | Retrieves the x-coordinate of the mouse cursor relative to the client area of the window, excluding window decorations or scroll bars.
clientY | Retrieves the y-coordinate of the mouse cursor relative to the client area of the window, excluding window decorations or scroll bars.
ctrlKey | Retrieves the state of the CTRL key.
offsetX | Retrieves the horizontal coordinate of the mouse's position relative to the object firing the event.
offsetY | Retrieves the vertical coordinate of the mouse's position relative to the object firing the event.
screenX | Retrieves the horizontal position of the mouse, in pixels, relative to the user's screen.
screenY | Retrieves the vertical position of the mouse, in pixels, relative to the user's screen.
shiftKey | Retrieves the state of the SHIFT key.
srcElement | Retrieves the object that fired the event.
type | Retrieves the event name from the event object.
x | Retrieves the x-coordinate of the mouse cursor relative to the parent element.
y | Retrieves the y-coordinate of the mouse cursor relative to the parent element.

Example

This example shows how to fire the onlosecapture event. When the user clicks the mouse, the releaseCapture method is invoked and subsequently fires the onlosecapture event.

Sample Code

<BODY onload="divOwnCapture.setCapture()"
    onclick="divOwnCapture.releaseCapture();">
<DIV ID=divOwnCapture
    onmousemove="txtWriteLocation.value=event.clientX
        + event.clientY";
    onlosecapture="alert(event.srcElement.id
        + ' lost mouse capture.')">
<P>Mouse capture has been set to this gray division (DIV) at
   load time using the setCapture method. The text area will track
   the mousemove event anywhere in the document.<BR><BR>
<TEXTAREA ID=txtWriteLocation COLS=2></TEXTAREA>
</DIV>
<HR>
<DIV ID=divNoCapture>
<P>Click anywhere on the document to invoke the releaseCapture
   method, whereby the onlosecapture event will fire.</P>
</DIV>
</BODY>

This feature requires Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ADDRESS, APPLET, AREA, B, BDO, BIG, BLOCKQUOTE, BODY, BR, BUTTON, CAPTION, CENTER, CITE, CODE, custom, DD, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, Hn, HR, I, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, KBD, LABEL, LEGEND, LI, LISTING, MAP, MARQUEE, MENU, NOBR, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP

See Also

mouse capture overview Internet Link, releaseCapture, setCapture


onmousedown Event

Fires when the user clicks the object with either mouse button.

Syntax

Inline HTML | <ELEMENT onmousedown = "handler" ... > | All platforms
Event property | object.onmousedown = handler | JScript (compatible with ECMA 262 language specification) only
Named script | <SCRIPT FOR = object EVENT = onmousedown> | Internet Explorer only

Remarks

Bubbles | Yes
Cancels | Yes
To invoke | Click a mouse button.
Default action | Initiates actions associated with the event and with the object being clicked.

Use the button property to determine which mouse button is clicked.

Event Object Properties

Although event handlers in the DHTML Object Model do not receive parameters directly, the handler can query the event object for data.

Event Object Properties

altKey | Retrieves the current state of the ALT key.
button | Retrieves which mouse button, if any, is pressed.
cancelBubble | Sets or retrieves whether the current event should bubble up the hierarchy of event handlers.
clientX | Retrieves the x-coordinate of the mouse cursor relative to the client area of the window, excluding window decorations or scroll bars.
clientY | Retrieves the y-coordinate of the mouse cursor relative to the client area of the window, excluding window decorations or scroll bars.
ctrlKey | Retrieves the state of the CTRL key.
offsetX | Retrieves the horizontal coordinate of the mouse's position relative to the object firing the event.
offsetY | Retrieves the vertical coordinate of the mouse's position relative to the object firing the event.
returnValue | Sets or retrieves the return value from the event.
screenX | Retrieves the horizontal position of the mouse, in pixels, relative to the user's screen.
screenY | Retrieves the vertical position of the mouse, in pixels, relative to the user's screen.
shiftKey | Retrieves the state of the SHIFT key.
srcElement | Retrieves the object that fired the event.
type | Retrieves the event name from the event object.
x | Retrieves the x-coordinate of the mouse cursor relative to the parent element.
y | Retrieves the y-coordinate of the mouse cursor relative to the parent element.

Example

This example shows how to determine the origin of the onmousedown event when event bubbling is used.

Sample Code

<BODY onmousedown="alert(event.srcElement.tagName)">
<TABLE BORDER=1>
  <TH>Click the items below with your mouse.</TH>
  <TR><TD><BUTTON>Click Me</BUTTON></TD></TR>
  <TR><TD><INPUT TYPE=text VALUE="Click Me"></TD></TR>
  <TR><TD><SPAN>Click Me</SPAN></TD></TR>
</TABLE>
<P>This code retrieves the tagName of the object on which
   the onmousedown event has fired.
</BODY>

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ADDRESS, APPLET, AREA, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, custom, DD, DFN, DIR, DIV, DL, document, DT, EM, EMBED, FIELDSET, FONT, FORM, Hn, HR, I, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, KBD, LABEL, LEGEND, LI, LISTING, MAP, MARQUEE, MENU, OL, P, PLAINTEXT, PRE, RT, RUBY, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP

See Also

onmousemove, onmouseout, onmouseover, onmouseup


onmousemove Event

Fires when the user moves the mouse over the object.

Syntax

Inline HTML | <ELEMENT onmousemove = "handler" ... > | All platforms
Event property | object.onmousemove = handler | JScript (compatible with ECMA 262 language specification) only
Named script | <SCRIPT FOR = object EVENT = onmousemove> | Internet Explorer only

Remarks

Bubbles | Yes
Cancels | No
To invoke | Move the mouse over the document.
Default action | Initiates any action associated with this event.

If the user presses a mouse button, use the button property to determine which button was pressed.

Event Object Properties

Although event handlers in the DHTML Object Model do not receive parameters directly, the handler can query the event object for data.

Event Object Properties

altKey | Retrieves the current state of the ALT key.
cancelBubble | Sets or retrieves whether the current event should bubble up the hierarchy of event handlers.
clientX | Retrieves the x-coordinate of the mouse cursor relative to the client area of the window, excluding window decorations or scroll bars.
clientY | Retrieves the y-coordinate of the mouse cursor relative to the client area of the window, excluding window decorations or scroll bars.
ctrlKey | Retrieves the state of the CTRL key.
offsetX | Retrieves the horizontal coordinate of the mouse's position relative to the object firing the event.
offsetY | Retrieves the vertical coordinate of the mouse's position relative to the object firing the event.
screenX | Retrieves the horizontal position of the mouse, in pixels, relative to the user's screen.
screenY | Retrieves the vertical position of the mouse, in pixels, relative to the user's screen.
shiftKey | Retrieves the state of the SHIFT key.
srcElement | Retrieves the object that fired the event.
type | Retrieves the event name from the event object.
x | Retrieves the x-coordinate of the mouse cursor relative to the parent element.
y | Retrieves the y-coordinate of the mouse cursor relative to the parent element.

Example

This example uses the onmousemove event to monitor the location of the mouse cursor on the screen. When the mouse cursor moves over the DIV object, a SPAN object is updated with the clientX and clientY property values. The clientX and clientY properties are exposed by the event object.

Sample Code

<SCRIPT>
function fnTrackMouse(){
   oNotice.innerText="Coords: (" + event.clientX + ",
      " + event.clientY + ")";
}
</SCRIPT>

<DIV ID="oScratch" onmousemove="fnTrackMouse()">
<SPAN ID="oNotice"></SPAN>

</DIV>

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ADDRESS, APPLET, AREA, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, custom, DD, DFN, DIR, DIV, DL, document, DT, EM, EMBED, FIELDSET, FONT, FORM, Hn, HR, I, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=oreset, INPUT type=password, INPUT type=radio, INPUT type=submit, INPUT type=text, KBD, LABEL, LEGEND, LI, LISTING, MAP, MARQUEE, MENU, NEXTID, NOBR, OL, P, PLAINTEXT, PRE, RT, RUBY, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP

See Also

onmousedown, onmouseout, onmouseover, onmouseup


onmouseout Event

Fires when the user moves the mouse pointer outside the boundaries of the object.

Syntax

Inline HTML | <ELEMENT onmouseout = "handler" ... > | All platforms
Event property | object.onmouseout = handler | JScript (compatible with ECMA 262 language specification) only
Named script | <SCRIPT FOR = object EVENT = onmouseout> | Internet Explorer only

Remarks

Bubbles | Yes
Cancels | No
To invoke | Move the mouse pointer out of an object.
Default action | Initiates any action associated with this event.

When the user moves the mouse over an object, one onmouseover event occurs, followed by one or more onmousemove events as the user moves the mouse pointer within the object. One onmouseout event occurs when the user moves the mouse pointer out of the object.

Event Object Properties

Although event handlers in the DHTML Object Model do not receive parameters directly, the handler can query the event object for data.

Event Object Properties

altKey | Retrieves the current state of the ALT key.
button | Retrieves which mouse button, if any, is pressed.
cancelBubble | Sets or retrieves whether the current event should bubble up the hierarchy of event handlers.
clientX | Retrieves the x-coordinate of the mouse cursor relative to the client area of the window, excluding window decorations or scroll bars.
clientY | Retrieves the y-coordinate of the mouse cursor relative to the client area of the window, excluding window decorations or scroll bars.
ctrlKey | Retrieves the state of the CTRL key.
fromElement | Retrieves the object the cursor is exiting during the onmouseover and onmouseout events.
offsetX | Retrieves the horizontal coordinate of the mouse's position relative to the object firing the event.
offsetY | Retrieves the vertical coordinate of the mouse's position relative to the object firing the event.
screenX | Retrieves the horizontal position of the mouse, in pixels, relative to the user's screen.
screenY | Retrieves the vertical position of the mouse, in pixels, relative to the user's screen.
shiftKey | Retrieves the state of the SHIFT key.
srcElement | Retrieves the object that fired the event.
toElement | Retrieves the object being moved to as a result of an onmouseover or onmouseout event.
type | Retrieves the event name from the event object.
x | Retrieves the x-coordinate of the mouse cursor relative to the parent element.
y | Retrieves the y-coordinate of the mouse cursor relative to the parent element.

Example

The following examples use the mouseout event to create interactive effects.

Sample Code

This example uses the onmouseout event to apply a new style to an object.

<BODY>
<P onmouseout="this.style.color='black';"
   onmouseover="this.style.color='red';">
Move the mouse pointer over this text, and then move it elsewhere
in the document. Move the mouse pointer over this text, and then
move it elsewhere in the document.
</BODY>

This example shows how to swap images on mouse events.

<SCRIPT>
function flipImage(url)
{
    if (window.event.srcElement.tagName == "IMG" )
    {
        window.event.srcElement.src = url;
    }
}
</SCRIPT>
</HEAD>
<BODY>
<P>Move the mouse over the image to see it switch.<P>
  <IMG SRC="/workshop/graphics/prop_ro.gif"
     onmouseover="flipImage('/workshop/graphics/prop_rw.gif');"
     onmouseout="flipImage('/workshop/graphics/prop_ro.gif');"
  </BODY>

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ADDRESS, APPLET, AREA, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, custom, DD, DFN, DIR, DIV, DL, document, DT, EM, EMBED, FIELDSET, FONT, FORM, Hn, HR, I, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, KBD, LABEL, LEGEND, LI, LISTING, MAP, MARQUEE, MENU, OL, P, PLAINTEXT, PRE, RT, RUBY, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP

See Also

onmousedown, onmousemove, onmouseover, onmouseup


onmouseover Event

Fires when the user moves the mouse pointer into the object.

Syntax

Inline HTML | <ELEMENT onmouseover = "handler" ... > | All platforms
Event property | object.onmouseover = handler | JScript (compatible with ECMA 262 language specification) only
Named script | <SCRIPT FOR = object EVENT = onmouseover> | Internet Explorer only

Remarks

Bubbles | Yes
Cancels | Yes
To invoke | Move the mouse pointer into an object.
Default action | Initiates any action associated with this event.

The event occurs when the user moves the mouse pointer into the object, and it does not repeat unless the user moves the mouse pointer out of the object and then back into it.

Event Object Properties

Although event handlers in the DHTML Object Model do not receive parameters directly, the handler can query the event object for data.

Event Object Properties

altKey | Retrieves the current state of the ALT key.
button | Retrieves which mouse button, if any, is pressed.
cancelBubble | Sets or retrieves whether the current event should bubble up the hierarchy of event handlers.
clientX | Retrieves the x-coordinate of the mouse cursor relative to the client area of the window, excluding window decorations or scroll bars.
clientY | Retrieves the y-coordinate of the mouse cursor relative to the client area of the window, excluding window decorations or scroll bars.
ctrlKey | Retrieves the state of the CTRL key.
fromElement | Retrieves the object the cursor is exiting during the onmouseover and onmouseout events.
offsetX | Retrieves the horizontal coordinate of the mouse's position relative to the object firing the event.
offsetY | Retrieves the vertical coordinate of the mouse's position relative to the object firing the event.
returnValue | Sets or retrieves the return value from the event.
screenX | Retrieves the horizontal position of the mouse, in pixels, relative to the user's screen.
screenY | Retrieves the vertical position of the mouse, in pixels, relative to the user's screen.
shiftKey | Retrieves the state of the SHIFT key.
srcElement | Retrieves the object that fired the event.
toElement | Retrieves the object being moved to as a result of an onmouseover or onmouseout event.
type | Retrieves the event name from the event object.
x | Retrieves the x-coordinate of the mouse cursor relative to the parent element.
y | Retrieves the y-coordinate of the mouse cursor relative to the parent element.

Example

This example uses the onmouseover event to apply a new style to an object.

<DIV>
<P onmouseover="this.style.color='red'"
   onmouseout="this.style.color='black'">
Move the mouse pointer over this text, then move it elsewhere in the
document. Move the mouse pointer over this text, then move it
elsewhere in the document.
</DIV>

This example shows how to change the value of a text area in response to mouse events.

<DIV>
<P>Move the mouse pointer into the text area to fire the
   onmouseover event. Move it out to clear the text.
<TEXTAREA NAME=txtMouseTrack
   onmouseover="this.value='onmouseover fired'"
   onmouseout="this.value=''">
</TEXTAREA>
</DIV>

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ADDRESS, APPLET, AREA, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, custom, DD, DFN, DIR, DIV, DL, document, DT, EM, EMBED, FIELDSET, FONT, FORM, Hn, HR, I, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, KBD, LABEL, LEGEND, LI, LISTING, MAP, MARQUEE, MENU, NEXTID, NOBR, OL, P, PLAINTEXT, PRE, RT, RUBY, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP

See Also

onmousedown, onmousemove, onmouseout, onmouseup


onmouseup Event

Fires when the user releases a mouse button while the mouse is over the object.

Syntax

Inline HTML | <ELEMENT onmouseup = "handler" ... > | All platforms
Event property | object.onmouseup =handler | JScript (compatible with ECMA 262 language specification) only
Named script | <SCRIPT FOR = object EVENT = onmouseup> | Internet Explorer only

Remarks

Bubbles | Yes
Cancels | Yes
To invoke | Press and release a mouse button.
Default action | Initiates any action associated with this event.

Use the button property to determine which mouse button is pressed.

Event Object Properties

Although event handlers in the DHTML Object Model do not receive parameters directly, the handler can query the event object for data.

Event Object Properties

altKey | Retrieves the current state of the ALT key.
button | Retrieves which mouse button, if any, is pressed.
cancelBubble | Sets or retrieves whether the current event should bubble up the hierarchy of event handlers.
clientX | Retrieves the x-coordinate of the mouse cursor relative to the client area of the window, excluding window decorations or scroll bars.
clientY | Retrieves the y-coordinate of the mouse cursor relative to the client area of the window, excluding window decorations or scroll bars.
ctrlKey | Retrieves the state of the CTRL key.
offsetX | Retrieves the horizontal coordinate of the mouse's position relative to the object firing the event.
offsetY | Retrieves the vertical coordinate of the mouse's position relative to the object firing the event.
returnValue | Sets or retrieves the return value from the event.
screenX | Retrieves the horizontal position of the mouse, in pixels, relative to the user's screen.
screenY | Retrieves the vertical position of the mouse, in pixels, relative to the user's screen.
shiftKey | Retrieves the state of the SHIFT key.
srcElement | Retrieves the object that fired the event.
type | Retrieves the event name from the event object.
x | Retrieves the x-coordinate of the mouse cursor relative to the parent element.
y | Retrieves the y-coordinate of the mouse cursor relative to the parent element.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ADDRESS, APPLET, AREA, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, custom, DD, DFN, DIR, DIV, DL, document, DT, EM, EMBED, FIELDSET, FONT, FORM, Hn, HR, I, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, KBD, LABEL, LEGEND, LI, LISTING, MAP, MARQUEE, MENU, NEXTID, NOBR, OL, P, PLAINTEXT, PRE, RT, RUBY, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP

See Also

onclick, onmousedown, onmousemove, onmouseout, onmouseover


onpaste Event

Fires on the target object when the user pastes data, transferring the data from the system clipboard to the document.

Syntax

Inline HTML | <ELEMENT onpaste = "handler" ... > | All platforms
Event property | object.onpaste = handler | JScript (compatible with ECMA 262 language specification) only
Named script | <SCRIPT FOR = object EVENT = onpaste> | Internet Explorer only

Remarks

Bubbles | Yes
Cancels | Yes
To invoke After copying or cutting the text:
  • Right-click to display the shortcut menu and select Paste.
  • Or press CTRL+V.
Default action | Inserts the data from the system clipboard into the specified location on the document.

Creating custom code to enable the Paste command requires several steps.

  1. Set event.returnValue=false in the onbeforepaste event to enable the Paste shortcut menu item.
  2. Cancel the default behavior of the browser by including event.returnValue=false in the onpaste event handler. This applies only to objects, such as the text box, that have a default behavior defined for them.
  3. Specify a data format in which to paste the selection through the getData method of the clipboardData object.
  4. Invoke the method in the onpaste event to execute custom paste code.

Event Object Properties

Although event handlers in the DHTML Object Model do not receive parameters directly, the handler can query the event object for data.

Event Object Properties

altKey | Retrieves the current state of the ALT key.
cancelBubble | Sets or retrieves whether the current event should bubble up the hierarchy of event handlers.
clientX | Retrieves the x-coordinate of the mouse cursor relative to the client area of the window, excluding window decorations or scroll bars.
clientY | Retrieves the y-coordinate of the mouse cursor relative to the client area of the window, excluding window decorations or scroll bars.
ctrlKey | Retrieves the state of the CTRL key.
dataTransfer | Provides access to predefined clipboard formats for use in drag-and-drop operations.
offsetX | Retrieves the horizontal coordinate of the mouse's position relative to the object firing the event.
offsetY | Retrieves the vertical coordinate of the mouse's position relative to the object firing the event.
returnValue | Sets or retrieves the return value from the event.
screenX | Retrieves the horizontal position of the mouse, in pixels, relative to the user's screen.
screenY | Retrieves the vertical position of the mouse, in pixels, relative to the user's screen.
shiftKey | Retrieves the state of the SHIFT key.
srcElement | Retrieves the object that fired the event.
type | Retrieves the event name from the event object.
x | Retrieves the x-coordinate of the mouse cursor relative to the parent element.
y | Retrieves the y-coordinate of the mouse cursor relative to the parent element.

Example

This example uses the clipboardData object to implement custom editing functionality.

Sample Code

<HEAD>
<SCRIPT>

var sNewString = "new content associated with this object";
var sSave = "";

// Selects the text that is to be cut.

function fnLoad() {
    var r = document.body.createTextRange();
    r.findText(oSource.innerText);
    r.select();
}

// Stores the text of the SPAN in a variable that is set
// to an empty string in the variable declaration above.

function fnBeforeCut() {
    sSave = oSource.innerText;
    event.returnValue = false;
}

// Associates the variable sNewString with the text being cut.

function fnCut() {
    window.clipboardData.setData("Text", sNewString);
}

function fnBeforePaste() {
    event.returnValue = false;
}

// The second parameter set in getData causes sNewString
// to be pasted into the text input. Passing no second
// parameter causes the SPAN text to be pasted instead.

function fnPaste() {
    event.returnValue = false;
    oTarget.value = window.clipboardData.getData("Text", sNewString);
}

</SCRIPT>
</HEAD>
<BODY onload="fnLoad()">

<SPAN ID="oSource"
      onbeforecut="fnBeforeCut()"
      oncut="fnCut()">Cut this Text</SPAN>

<INPUT ID="oTarget" TYPE="text" VALUE="Paste the Text Here"
      onbeforepaste="fnBeforePaste()"
      onpaste="fnPaste()">
</BODY>

This feature requires Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ADDRESS, APPLET, AREA, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, custom, DD, DFN, DIR, DIV, DL, document, DT, EM, EMBED, FIELDSET, FONT, FORM, Hn, HR, I, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, KBD, LABEL, LEGEND, LI, LISTING, MAP, MARQUEE, MENU, NEXTID, NOBR, OL, P, PLAINTEXT, PRE, RT, RUBY, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP

See Also

dhtml data transfer overview Internet Link, getData, onbeforecopy, onbeforecut, onbeforepaste, oncopy, oncut


onpropertychange Event

Fires when a property changes on the object.

Syntax

Inline HTML | <ELEMENT onpropertychange = "handler" ... > | All platforms
Event property | object.onpropertychange = handler | JScript (compatible with ECMA 262 language specification) only
Named script | <SCRIPT FOR = object EVENT = onpropertychange> | Internet Explorer only

Remarks

Bubbles | No
Cancels | No
To invoke | Cause a property to change value.
Default action | Sends notification when a property changes.

The onpropertychange event fires when object, expando, or style subobject properties change. You can retrieve the name of the changed property by using the event object's propertyName property. This property returns a read-only string of the name of the property that has changed. In the case of style properties, the property name is prefixed with style. For example, if the CSS property pixelLeft is altered, the value of window.event.propertyName is style.pixelLeft. By contrast, if the non-CSS property name is altered, the value of window.event.propertyName is name.

When the onpropertychange event fires, the srcElement property of the event object is set to the object whose property has changed.

Event Object Properties

Although event handlers in the DHTML Object Model do not receive parameters directly, the handler can query the event object for data.

Event Object Properties

propertyName | Retrieves the name of the property that has changed on the object.
srcElement | Retrieves the object that fired the event.
type | Retrieves the event name from the event object.

Example

This example shows how to use onpropertychange, srcElement, and propertyName for an object and a style subobject property to determine the name and value of an updated property.

Sample Code

<HEAD>
<SCRIPT>
function changeProp()
{
  oProp.value = "This is the new VALUE";
}

function changeCSSProp()
{
  oStyleProp.style.backgroundColor = "aqua";
}
</SCRIPT>
</HEAD>
<BODY ID=bdyChange>
<INPUT TYPE=button ID=oProp onclick="changeProp()"
   VALUE="Click to change the VALUE property of this button"
   onpropertychange='alert(event.srcElement.id +
      " received a change to " + event.propertyName)'>
<INPUT TYPE=button ID=oStyleProp onclick="changeCSSProp()"
   VALUE="Click to change the CSS backgroundColor property
      of this button"
   onpropertychange='alert(event.srcElement.id +
      " received a change to " + event.propertyName)'>
</BODY>

This feature requires Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ADDRESS, APPLET, AREA, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, COMMENT, custom, DD, DFN, DIR, DIV, DL, document, DT, EM, EMBED, FIELDSET, FONT, FORM, Hn, HR, I, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, KBD, LABEL, LEGEND, LI, LISTING, MAP, MARQUEE, MENU, NOBR, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP

See Also

propertyName, srcElement


onreadystatechange Event

Fires when the state of the object has changed.

Syntax

Inline HTML | <ELEMENT onreadystatechange = "handler" ... > | All platforms
Event property | object.onreadystatechange = handler | JScript (compatible with ECMA 262 language specification) only
Named script | <SCRIPT FOR = object EVENT = onreadystatechange> | Internet Explorer only

Remarks

Bubbles | No
Cancels | No
To invoke | Change the ready state.
Default action | Signals the ready state of the document.

You can use the readyState property to query the current state of the element when the onreadystatechange event fires.

All elements expose an onreadystatechange event. The following objects always fire the event because they load data: APPLET, document, FRAME, FRAMESET, IFRAME, IMG, LINK, OBJECT, SCRIPT, and XML elements. Other objects will only fire the onreadystatechange event when a dhtml behavior Internet Link is attached.

When working with behaviors, wait for the onreadystatechange event to fire and verify that the readyState property of the element is set to complete to ensure that the behavior is completely downloaded and applied to the element. Until the onreadystatechange event fires, if you use any of the behavior-defined members before attaching the behavior to the element, a scripting error can result, indicating that the object does not support that particular property or method.

Event Object Properties

Although event handlers in the DHTML Object Model do not receive parameters directly, the handler can query the event object for data.

Event Object Properties

srcElement | Retrieves the object that fired the event.
type | Retrieves the event name from the event object.

Example

This example uses the onreadystatechange event to invoke a function when the readyState is complete.

document.onreadystatechange=fnStartInit;
function fnStartInit(){
   if(event.readyState=="complete"){
      // Finish initialization.
   }
}

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ACRONYM, ADDRESS, APPLET, AREA, B, BASE, BASEFONT, BDO, BGSOUND, BIG, BLOCKQUOTE, BODY, BR, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, COMMENT, custom, DD, DEL, DFN, DIR, DIV, DL, document, DT, EM, EMBED, FIELDSET, FONT, FORM, HEAD, Hn, HR, HTML, I, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, ISINDEX, KBD, LABEL, LEGEND, LI, LINK, LISTING, MAP, MARQUEE, MENU, NEXTID, NOBR, NOFRAMES, NOSCRIPT, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, RT, RUBY, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, STYLE, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TITLE, TR, TT, U, UL, VAR, XML, XMP

See Also

data binding Internet Link, onload


onreset Event

Fires when a user resets a form.

Syntax

Inline HTML | <FORM onreset = "handler" ... > | All platforms
Event property | form.onreset =handler | JScript (compatible with ECMA 262 language specification) only
Named script | <SCRIPT FOR = form EVENT = onreset> | Internet Explorer only

Remarks

Bubbles | No
Cancels | Yes
To invoke
  • Click a Reset button.
  • Invoke the reset method of the FORM object.
  • Refresh the page.
Default action | Executes associated code.

Event Object Properties

Although event handlers in the DHTML Object Model do not receive parameters directly, the handler can query the event object for data.

Event Object Properties

returnValue | Sets or retrieves the return value from the event.
srcElement | Retrieves the object that fired the event.
type | Retrieves the event name from the event object.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

FORM

See Also

reset


onresize Event

Fires when the size of the object is about to change.

Syntax

Inline HTML | <ELEMENT onresize = "handler" ... > | All platforms
Event property | object.onresize =handler | JScript (compatible with ECMA 262 language specification) only
Named script | <SCRIPT FOR = object EVENT = onresize> | Internet Explorer only

Remarks

Bubbles | No
Cancels | No
To invoke | Change the height or width of the object.
Default action | No default action.

The onresize event fires for block and inline objects with layout, even if document or CSS (cascading style sheets) property values are changed. Objects have layout when measurements such as the height and width attributes are set, or when the position of the object is set. Intrinsic objects, such as BUTTON, and windowed objects, such as window and IFRAME, fire as expected. This event does not fire for files with embedded controls.

Resizing HTML applications also fires the onresize event.

Event Object Properties

Although event handlers in the DHTML Object Model do not receive parameters directly, the handler can query the event object for data.

Event Object Properties

altKey | Retrieves the current state of the ALT key.
clientX | Retrieves the x-coordinate of the mouse cursor relative to the client area of the window, excluding window decorations or scroll bars.
clientY | Retrieves the y-coordinate of the mouse cursor relative to the client area of the window, excluding window decorations or scroll bars.
ctrlKey | Retrieves the state of the CTRL key.
offsetX | Retrieves the horizontal coordinate of the mouse's position relative to the object firing the event.
offsetY | Retrieves the vertical coordinate of the mouse's position relative to the object firing the event.
returnValue | Sets or retrieves the return value from the event.
screenX | Retrieves the horizontal position of the mouse, in pixels, relative to the user's screen.
screenY | Retrieves the vertical position of the mouse, in pixels, relative to the user's screen.
shiftKey | Retrieves the state of the SHIFT key.
srcElement | Retrieves the object that fired the event.
type | Retrieves the event name from the event object.
x | Retrieves the x-coordinate of the mouse cursor relative to the parent element.
y | Retrieves the y-coordinate of the mouse cursor relative to the parent element.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ADDRESS, APPLET, B, BIG, BLOCKQUOTE, BUTTON, CENTER, CITE, CODE, custom, DD, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FORM, FRAME, Hn, HR, I, IMG, INPUT type=button, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=reset, INPUT type=submit, INPUT type=text, ISINDEX, KBD, LABEL, LEGEND, LI, LISTING, MARQUEE, MENU, OBJECT, OL, P, PRE, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TEXTAREA, TT, U, UL, VAR, window, XMP


onrowenter Event

Fires to indicate that the current row has changed in the data source and new data values are available on the object.

Syntax

Inline HTML | <ELEMENT onrowenter = "handler" ... > | All platforms
Event property | object.onrowenter =handler | JScript (compatible with ECMA 262 language specification) only
Named script | <SCRIPT FOR = object EVENT = onrowenter> | Internet Explorer only

Remarks

Bubbles | No
Cancels | Yes
To invoke | Change data values in the current row.
Default action | Signals that new data is available in the current row.

The onrowenter event only fires on databound objects. This event applies only to objects that identify themselves as data providers.

Event Object Properties

Although event handlers in the DHTML Object Model do not receive parameters directly, the handler can query the event object for data.

Event Object Properties

bookmarks | Returns a collection of ADO bookmarks tied to the rows affected by the current event.
boundElements | Returns a collection of all elements on the page bound to a dataset.
dataFld | Sets or retrieves which field of a given data source (as specified by the dataSrc property) to bind to the given object.
qualifier | Retrieves the name of the recordset provided by a data source object.
recordset | Retrieves a reference to the default recordset from a data source object.
returnValue | Sets or retrieves the return value from the event.
srcElement | Retrieves the object that fired the event.
type | Retrieves the event name from the event object.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
APPLET, OBJECT, XML

See Also

data binding Internet Link, onrowexit


onrowexit Event

Fires just before the data source control changes the current row in the object.

Syntax

Inline HTML | <ELEMENT onrowexit = "handler" ... > | All platforms
Event property | object.onrowexit =handler | JScript (compatible with ECMA 262 language specification) only
Named script | <SCRIPT FOR = object EVENT = onrowexit> | Internet Explorer only

Remarks

Bubbles | No
Cancels | Yes
To invoke | Change rows in the data source.
Default action | Signals that the row in the databound object is about to be changed.

The onrowexit event only fires on databound objects. This event applies to objects that identify themselves as data providers.

Event Object Properties

Although event handlers in the DHTML Object Model do not receive parameters directly, the handler can query the event object for data.

Event Object Properties

bookmarks | Returns a collection of ADO bookmarks tied to the rows affected by the current event.
boundElements | Returns a collection of all elements on the page bound to a dataset.
dataFld | Sets or retrieves which field of a given data source (as specified by the dataSrc property) to bind to the given object.
qualifier | Retrieves the name of the recordset provided by a data source object.
recordset | Retrieves a reference to the default recordset from a data source object.
returnValue | Sets or retrieves the return value from the event.
srcElement | Retrieves the object that fired the event.
type | Retrieves the event name from the event object.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
APPLET, OBJECT, XML

See Also

data binding Internet Link, onrowenter


onrowsdelete Event

Fires when rows are about to be deleted from the recordset.

Syntax

Inline HTML | <ELEMENT onrowsdelete = "handler" ... > | All platforms
Event property | object.onrowsdelete = handler | JScript (compatible with ECMA 262 language specification) only
Named script | <SCRIPT FOR = object EVENT = onrowsdelete> | Internet Explorer only

Remarks

Bubbles | Yes
Cancels | No
To invoke | Fires when the delete method is called on the recordset.
Default action | Signals that rows are about to be deleted.

Event Object Properties

Although event handlers in the DHTML Object Model do not receive parameters directly, the handler can query the event object for data.

Event Object Properties

bookmarks | Returns a collection of ADO bookmarks tied to the rows affected by the current event.
boundElements | Returns a collection of all elements on the page bound to a dataset.
cancelBubble | Sets or retrieves whether the current event should bubble up the hierarchy of event handlers.
dataFld | Sets or retrieves which field of a given data source (as specified by the dataSrc property) to bind to the given object.
reason | Retrieves the result of data transfer for a data source object.
recordset | Retrieves a reference to the default recordset from a data source object.
srcElement | Retrieves the object that fired the event.
type | Retrieves the event name from the event object.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
APPLET, OBJECT, XML

See Also

data binding Internet Link


onrowsinserted Event

Fires just after new rows are inserted in the current recordset.

Syntax

Inline HTML | <ELEMENT onrowsinserted = "handler" ... > | All platforms
Event property | object.onrowsinserted = handler | JScript (compatible with ECMA 262 language specification) only
Named script | <SCRIPT FOR = object EVENT = onrowsinserted> | Internet Explorer only

Remarks

Bubbles | Yes
Cancels | No
To invoke | Fires when the addnew Internet Link Non-MSDN link method is called on the current recordset.
Default action | Signals that a new row has been inserted into the recordset.

Event Object Properties

Although event handlers in the DHTML Object Model do not receive parameters directly, the handler can query the event object for data.

Event Object Properties

bookmarks | Returns a collection of ADO bookmarks tied to the rows affected by the current event.
boundElements | Returns a collection of all elements on the page bound to a dataset.
cancelBubble | Sets or retrieves whether the current event should bubble up the hierarchy of event handlers.
dataFld | Sets or retrieves which field of a given data source (as specified by the dataSrc property) to bind to the given object.
qualifier | Retrieves the name of the recordset provided by a data source object.
reason | Retrieves the result of data transfer for a data source object.
recordset | Retrieves a reference to the default recordset from a data source object.
srcElement | Retrieves the object that fired the event.
type | Retrieves the event name from the event object.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
APPLET, OBJECT, XML

See Also

data binding Internet Link


onscroll Event

Fires when the user repositions the scroll box in the scroll bar on the object.

Syntax

Inline HTML | <ELEMENT onscroll = "handler" ... > | All platforms
Event property | object.onscroll =handler | JScript (compatible with ECMA 262 language specification) only
Named script | <SCRIPT FOR = object EVENT = onscroll> | Internet Explorer only

Remarks

Bubbles | No
Cancels | No
To invoke Begin scrolling in the object that has a scroll bar:
  • Click and drag the scroll box with the mouse.
  • Click the scroll arrow.
  • Click the scroll bar.
  • Invoke the doScroll method.
  • Press the PAGE UP or PAGE DOWN key.
  • Press the ARROW UP or ARROW DOWN key until scrolling occurs.
Default action | Scrolls the contents of an object until new portions of the object become visible.

Use the componentFromPoint and doScroll methods to control the scroll bar components.

Cascading style sheets (CSS) enable scrolling on all objects through the overflow property. These objects are not listed in the Applies To list for this event.

Event Object Properties

Although event handlers in the DHTML Object Model do not receive parameters directly, the handler can query the event object for data.

Event Object Properties

clientX | Retrieves the x-coordinate of the mouse cursor relative to the client area of the window, excluding window decorations or scroll bars.
clientY | Retrieves the y-coordinate of the mouse cursor relative to the client area of the window, excluding window decorations or scroll bars.
offsetX | Retrieves the horizontal coordinate of the mouse's position relative to the object firing the event.
offsetY | Retrieves the vertical coordinate of the mouse's position relative to the object firing the event.
screenX | Retrieves the horizontal position of the mouse, in pixels, relative to the user's screen.
screenY | Retrieves the vertical position of the mouse, in pixels, relative to the user's screen.
srcElement | Retrieves the object that fired the event.
type | Retrieves the event name from the event object.
x | Retrieves the x-coordinate of the mouse cursor relative to the parent element.
y | Retrieves the y-coordinate of the mouse cursor relative to the parent element.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
APPLET, BDO, BODY, custom, DIV, EMBED, MAP, MARQUEE, OBJECT, SELECT, TABLE, TEXTAREA


onselect Event

Fires when the current selection changes.

Syntax

Inline HTML | <ELEMENT onselect = "handler" ... > | All platforms
Event property | object.onselect =handler | JScript (compatible with ECMA 262 language specification) only
Named script | <SCRIPT FOR = object EVENT = onselect> | Internet Explorer only

Remarks

Bubbles | No
Cancels | Yes
To invoke Initiate text selection:
  • Move the mouse from character to character during a drag selection.
  • Press the SHIFT key while moving the cursor over text.
Default action | Moves the selection to a given character and highlights that selection.

Event Object Properties

Although event handlers in the DHTML Object Model do not receive parameters directly, the handler can query the event object for data.

Event Object Properties

clientX | Retrieves the x-coordinate of the mouse cursor relative to the client area of the window, excluding window decorations or scroll bars.
clientY | Retrieves the y-coordinate of the mouse cursor relative to the client area of the window, excluding window decorations or scroll bars.
offsetX | Retrieves the horizontal coordinate of the mouse's position relative to the object firing the event.
offsetY | Retrieves the vertical coordinate of the mouse's position relative to the object firing the event.
returnValue | Sets or retrieves the return value from the event.
screenX | Retrieves the horizontal position of the mouse, in pixels, relative to the user's screen.
screenY | Retrieves the vertical position of the mouse, in pixels, relative to the user's screen.
srcElement | Retrieves the object that fired the event.
type | Retrieves the event name from the event object.
x | Retrieves the x-coordinate of the mouse cursor relative to the parent element.
y | Retrieves the y-coordinate of the mouse cursor relative to the parent element.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
INPUT TYPE=text, TEXTAREA


onselectstart Event

Fires when the object is being selected.

Syntax

Inline HTML | <ELEMENT onselectstart = "handler" ... > | All platforms
Event property | object.onselectstart =handler | JScript (compatible with ECMA 262 language specification) only
Named script | <SCRIPT FOR = object EVENT = onselectstart> | Internet Explorer only

Remarks

Bubbles | Yes
Cancels | Yes
To invoke | Begin selecting one or more objects.
Default action | Moves the selection to an object and highlights that selection.

The object at the beginning of the selection fires the event.

Event Object Properties

Although event handlers in the DHTML Object Model do not receive parameters directly, the handler can query the event object for data.

Event Object Properties

cancelBubble | Sets or retrieves whether the current event should bubble up the hierarchy of event handlers.
clientX | Retrieves the x-coordinate of the mouse cursor relative to the client area of the window, excluding window decorations or scroll bars.
clientY | Retrieves the y-coordinate of the mouse cursor relative to the client area of the window, excluding window decorations or scroll bars.
offsetX | Retrieves the horizontal coordinate of the mouse's position relative to the object firing the event.
offsetY | Retrieves the vertical coordinate of the mouse's position relative to the object firing the event.
returnValue | Sets or retrieves the return value from the event.
screenX | Retrieves the horizontal position of the mouse, in pixels, relative to the user's screen.
screenY | Retrieves the vertical position of the mouse, in pixels, relative to the user's screen.
srcElement | Retrieves the object that fired the event.
type | Retrieves the event name from the event object.
x | Retrieves the x-coordinate of the mouse cursor relative to the parent element.
y | Retrieves the y-coordinate of the mouse cursor relative to the parent element.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ACRONYM, ADDRESS, AREA, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, custom, DD, DEL, DFN, DIR, DIV, DL, DT, EM, FIELDSET, FONT, FORM, Hn, HR, I, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, KBD, LABEL, LI, LISTING, MAP, MARQUEE, MENU, NEXTID, NOBR, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, RT, RUBY, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP

See Also

onselect, select


onstart Event

Fires at the beginning of every loop of the MARQUEE object.

Syntax

Inline HTML | <MARQUEE onstart = "handler" ... > | All platforms
Event property | marquee.onstart = handler | JScript (compatible with ECMA 262 language specification) only
Named script | <SCRIPT FOR = marquee EVENT = onstart> | Internet Explorer only

Remarks

Bubbles | No
Cancels | No
To invoke
  • Set the LOOP attribute to 1 or higher.
  • Omit the LOOP attribute so that the MARQUEE loops indefinitely.
Default action | Initiates the next loop of the MARQUEE contents.

The start method does not cause the onstart event to fire.

Event Object Properties

Although event handlers in the DHTML Object Model do not receive parameters directly, the handler can query the event object for data.

Event Object Properties

clientX | Retrieves the x-coordinate of the mouse cursor relative to the client area of the window, excluding window decorations or scroll bars.
clientY | Retrieves the y-coordinate of the mouse cursor relative to the client area of the window, excluding window decorations or scroll bars.
offsetX | Retrieves the horizontal coordinate of the mouse's position relative to the object firing the event.
offsetY | Retrieves the vertical coordinate of the mouse's position relative to the object firing the event.
screenX | Retrieves the horizontal position of the mouse, in pixels, relative to the user's screen.
screenY | Retrieves the vertical position of the mouse, in pixels, relative to the user's screen.
srcElement | Retrieves the object that fired the event.
type | Retrieves the event name from the event object.
x | Retrieves the x-coordinate of the mouse cursor relative to the parent element.
y | Retrieves the y-coordinate of the mouse cursor relative to the parent element.

Example

This example shows how to use the onstart event on a MARQUEE.

Sample Code

<BODY>
<P>An alert dialog box displays each time the onstart event fires.
<MARQUEE onstart="alert('onstart fired')"
         BEHAVIOR=alernate LOOP=2>Marquee Text</MARQUEE>
</BODY>

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

MARQUEE

See Also

BEHAVIOR, LOOP, onfinish


onstop Event

Fires when the user clicks the Stop button or leaves the Web page.

Syntax

Inline HTML | <ELEMENT onstop = "handler" ... > | All platforms
Event property | object.onstop = handler | JScript (compatible with ECMA 262 language specification) only
Named script | <SCRIPT FOR = object EVENT = onstop> | Internet Explorer only

Remarks

Bubbles | No
Cancels | No
To invoke
  • Click the Stop button.
  • Leave the Web page.
Default action | Initiates any action associated with this event.

The onstop event fires after the onbeforeunload event, and before the onunload event.

Event Object Properties

Although event handlers in the document object model do not receive parameters directly, the handler can query the event object for data.

Event Object Properties

type Retrieves the event name from the event object.

Example

This example uses the onstop event to stop a function from executing in a continuous cycle. The setInterval method is used to execute script every millisecond. If the user clicks the Stop button, the clearInterval method removes the interval and the script is no longer executed.

Sample Code

document.onstop=fnTrapStop;
window.onload=fnInit;
var oInterval;
function fnInit(){
   oInterval=window.setInterval("fnCycle()",1);
}
function fnCycle(){
   // Do something
}
function fnTrapStop(){
   window.clearInterval(oInterval);
}

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
document


onsubmit Event

Fires when a form is about to be submitted.

Syntax

Inline HTML | <FORM onsubmit = "handler" ... > | All platforms
Event property | form.onsubmit = handler | JScript (compatible with ECMA 262 language specification) only
Named script | <SCRIPT FOR = form EVENT = onsubmit> | Internet Explorer only

Remarks

Bubbles | No
Cancels | Yes
To invoke | Submit a form using the INPUT TYPE=submit, INPUT TYPE=image, or BUTTON TYPE=submit object.
Default action | Causes a form to be sent to whatever location is stipulated in the ACTION attribute of the form object.

You can override this event by returning false in the event handler. Use this capability to validate data on the client side to prevent invalid data from being submitted to the server. If the event handler is called by the onsubmit attribute of the form object, the code must explicitly request the return value using the return function, and the event handler must provide an explicit return value for each possible code path in the event handler function.

The submit method does not invoke the onsubmit event handler.

Event Object Properties

Although event handlers in the DHTML Object Model do not receive parameters directly, the handler can query the event object for data.

Event Object Properties

altKey | Retrieves the current state of the ALT key.
ctrlKey | Retrieves the state of the CTRL key.
returnValue | Sets or retrieves the return value from the event.
shiftKey | Retrieves the state of the SHIFT key.
srcElement | Retrieves the object that fired the event.
type | Retrieves the event name from the event object.

Example

This example shows how to use onsubmit on a form to request the return value using the return function.

<BODY>
<FORM NAME="oDoSubmit" onsubmit="return(myOnSubmitEventHandler());">
</FORM>
</BODY>

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

FORM

See Also

ACTION, METHOD


onunload Event

Fires immediately before the object is unloaded.

Syntax

Inline HTML | <ELEMENT onunload = "handler" ... > | All platforms
Event property | object.onunload = handler | JScript (compatible with ECMA 262 language specification) only
Named script | <SCRIPT FOR = object EVENT = onunload> | Internet Explorer only

Remarks

Bubbles | No
Cancels | No
To invoke
  • Close the current browser window.
  • Navigate to another location by entering a new address or selecting a Favorite.
  • Click the Back, Forward, Refresh, or Home button.
  • Click on an anchor that refers the browser to another Web page.
  • Invoke the anchor click method.
  • Invoke the document write method.
  • Invoke the document open method.
  • Invoke the document close method.
  • Invoke the window close method.
  • Invoke the window open method, providing the possible value _self for the window name.
  • Invoke the window navigate or NavigateAndFind method.
  • Invoke the location replace method.
  • Invoke the location reload method.
  • Specify a new value for the location href property.
  • Submit a FORM to the address specified in the ACTION attribute via the INPUT_submit control, or invoke the form submit method.
Default action | Removes the object or document from the browser window.

Event Object Properties

Although event handlers in the DHTML Object Model do not receive parameters directly, the handler can query the event object for data.

Event Object Properties

type Retrieves the event name from the event object.

Example

This example shows how to use the onunload event to run script when the window object has been unloaded.

<HEAD>
<SCRIPT FOR=window EVENT=onunload>
    alert("The onunload event fired for the window object.");
</SCRIPT>

<SCRIPT>
    function fnRelocate()
    {
    location.href="/workshop/samples/author/dhtml/refs/onunloadEX_target.htm";
    }
</SCRIPT>
</HEAD>
<BODY>
  <INPUT TYPE=button VALUE="Go To Page 2" onclick="fnRelocate()">
  <IMG ID=imgTest SRC="/workshop/graphics/prop_rw.gif">
</BODY>

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
FRAMESET, window

See Also

onload


add Method

Adds an element to the collection.

Syntax

object.add(oElement [, iIndex])

Parameters

oElement | Required. Object that specifies the element to add to the collection.
iIndex | Optional. Integer that specifies the index position in the collection where the element is placed. If no value is given, the method places the element at the end of the collection.

Return Value

No return value.

Remarks

Before you can add an element to a collection, you must create it first by using the createElement method.

The add method can be used on the AREA object only after the page loads. If the method is applied inline, a run-time error occurs.

Example

This example uses the add method to insert an object into the options collection of a SELECT object.

<SELECT ID="oSelect">
  <OPTION VALUE="1">One</OPTION>
</SELECT>

<SCRIPT>
var oOption = document.createElement("OPTION");
oSelect.options.add(oOption);
oOption.innerText = "Two";
oOption.Value = "2";
</SCRIPT>

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
areas, controlRange, options

See Also

remove


addBehavior Method

Attaches a behavior Internet Link to the element.

Syntax

iID = object.addBehavior(sUrl)

Parameters

sUrl Required. String that specifies one of the following values:
sValue | Location of the behavior, in URL format.
#default#behaviorName | One of Internet Explorer's default behaviors, identified by its behaviorName.
#objID | Binary implementation of a behavior, where objID is the ID attribute specified in an OBJECT tag.

Return Value

Integer. Returns an identifier that can be used later to detach the behavior from the element.

Remarks

This method lets you attach a behavior without having to use cascading style sheets (CSS).

Unless the behavior specified in the addBehavior call is one of the default behaviors built into Microsoft® Internet Explorer, the addBehavior call causes Internet Explorer to download the behavior asynchronously, before the behavior is attached to the element.

Due to the asynchronous nature of the addBehavior method, its return value cannot be relied on to determine whether the behavior was successfully applied to the element. Waiting for the onreadystatechange event to fire and verifying that the readyState property of the element is set to complete ensures that the behavior is completely attached to the element, and that all the behavior's members are available for scripting. Otherwise, attempting to use any of the behavior-defined members before the behavior is attached to the element results in a scripting error indicating that the object does not support that particular member.

Note A behavior attached to an element using the addBehavior method, or by applying the proposed CSS behavior attribute inline, is not automatically detached from the element when the element is removed from the document hierarchy. However, a behavior attached using a style rule defined in the document is detached automatically as the element is removed from the document tree.

Example

This example uses the addBehavior method to dynamically attach a behavior that implements a mouseover highlighting effect to all LI elements on a page.

Sample Code

<SCRIPT LANGUAGE="JScript">
var collBehaviorID = new Array();
var collLI = new Array ();
var countLI = 0;

function attachBehavior()
{
   collLI = document.all.tags ("LI");
   countLI = collLI.length;
    for (i=0; i < countLI; i++)
    {
       var iID = collLI[i].addBehavior ("hilite.htc");

       if (iID)
          collBehaviorID[i] = iID;
    }
}

</SCRIPT>

:
//Click <A HREF="javascript:attachBehavior()">here</A>
//to add a highlighting effect as you hover over each item below.
:
This feature requires Microsoft® Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ACRONYM, ADDRESS, APPLET, AREA, B, BASE, BASEFONT, BGSOUND, BIG, BLOCKQUOTE, BODY, BR, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, COMMENT, custom, DD, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, HEAD, Hn, HR, HTML, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, ISINDEX, KBD, LABEL, LEGEND, LI, LINK, LISTING, MAP, MARQUEE, MENU, NEXTID, NOBR, NOFRAMES, NOSCRIPT, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, RT, RUBY, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, STYLE, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TITLE, TR, TT, U, UL, VAR, WBR, XML, XMP

See Also

removeBehavior, dhtml behaviors Internet Link, using dhtml behaviors Internet Link, implementing dhtml behaviors in script Internet Link


AddChannel Method

Presents a dialog box that allows the user to either add the channel specified, or change the channel URL if it is already installed.

Syntax

window.external.AddChannel(sURLToCDF)

Parameters

sURLToCDF Required. String that specifies the URL of a Channel Definition Format (CDF) file to be installed.

Return Value

No return value.

Remarks

If the call fails, an error dialog box appears. You can suppress the dialog box by using the onerror event.

Note This method is intended for use by publishers shipping Microsoft® Active Channel™ content. Active Channel technology is available as of Microsoft® Internet Explorer 4.0 and later.

This method is not supported in html applications Internet Link.

Example

This example uses the AddChannel method to present a dialog box that allows the user to add the channel described in the specified CDF file.

window.external.AddChannel("http://domain/folder/file.cdf");

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

external

See Also

active channel technology overview Internet Link


AddDesktopComponent Method

Adds a Web site or image to the Microsoft® Active Desktop™.

Syntax

window.external.AddDesktopComponent(sURL, sType [, iLeft, iTop, iWidth, iHeight])

Parameters

sURL | Required. String that specifies the location of the Web site or image to be added to the Active Desktop.
sType | Required. String that specifies the type of item to add. The value image specifies the component is an image. The value website specifies the component is a Web site.
iLeft | Optional. Integer that specifies the position of the left edge, in screen coordinates.
iTop | Optional. Integer that specifies the position of the top edge, in screen coordinates.
iWidth | Optional. Integer that specifies the width, in screen units.
iHeight | Optional. Integer that specifies the height, in screen units.

Return Value

No return value.

Remarks

The user must have Active Desktop installed for the AddDesktopComponent method to work. If Active Desktop is not installed, the method is not invoked.

This method is not supported in html applications Internet Link.

Example

This example uses the AddDesktopComponent method to add the Microsoft Web site as an Active Desktop component.

window.external.AddDesktopComponent(
   "http://www.microsoft.com",
   "website",
   100,100,200,200
);

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
external


AddFavorite Method

Prompts the user with a dialog box to add the specified URL to the Favorites list.

Syntax

external.AddFavorite(sURL [, sTitle])

Parameters

sURL | Required. String that specifies the URL of the favorite to be added to the Favorites list.
sTitle | Optional. String that specifies the suggested title to be used in the Favorites list. The user can change the title in the Add Favorite dialog box.

Return Value

No return value.

Remarks

Calling the AddFavorite method in script yields the same dialog box that is presented when the user selects Add to Favorites from the Favorites menu.

This method is not supported in html applications Internet Link.

Example

This example uses the AddFavorite method to prompt a user to add the current page to the Favorites list.

Sample Code

window.external.AddFavorite(location.href, document.title);

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
external


addImport Method

Adds a style sheet to the imports collection for the given style sheet.

Syntax

iIndex = stylesheet.addImport(sURL [, iIndex])

Parameters

sURL | Required. String that specifies the location of the source file for the style sheet.
iIndex | Optional. Integer that specifies the requested position for the style sheet in the collection. If this value is not given, the style sheet is added to the end of the collection.

Return Value

Integer. Returns a zero-based index value that specifies the position of the imported style sheet in the imports collection.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

styleSheet


addReadRequest Method

Adds an entry to the queue for read requests.

Syntax

bSuccess = userProfile.addReadRequest(sAttributeName [, vReserved])

Parameters

sAttributeName | Required. String that specifies one of the standard vCard names. If anything else is used, the request is ignored and nothing is added to the read-requests queue.
vReserved | Optional. Internet Explorer currently ignores this parameter.

Return Value

Boolean. Returns true if the request has been added to the queue successfully, or false otherwise. A return value of false means either the attribute name was not recognized or the attribute already appeared in the request queue.

Remarks

This method appends a vCard name to the read-requests queue. The read-requests queue is a list of read requests waiting to be initiated. To initiate the accumulated, or compound, read requests in the queue, call doReadRequest. To clear the queue, call clearRequest.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
userProfile

See Also

getAttribute


addRule Method

Creates a new style rule for the styleSheet object, and returns the index into the rules collection.

Syntax

styleSheet.addRule(sSelector, sStyle [, iIndex])

Parameters

sSelector | Required. String that specifies the selector for the new rule. Single contextual selectors are valid. For example, "DIV P B" is a valid contextual selector.
sStyle | Required. String that specifies the style assignments for this style rule. This style takes the same form as an inline style specification. For example, "color:blue" is a valid style parameter.
iIndex | Optional. Integer that specifies the location in the rules collection to add the new style rule. If an index is not provided, the rule is added to the end of the collection by default.

Return Value

The return value is reserved; do not use.

Remarks

You can apply rules to a disabled styleSheet, but they do not apply to the document until you enable the styleSheet.

Example

This example uses the addRule method to add a rule that sets all bold text appearing in a DIV to the color blue.

<DIV>
Internet Explorer makes <B>HTML</B> dynamic.
</DIV>

<SCRIPT>
   var new_rule;
   new_rule = styleSheets[0].addRule("DIV B", "color:blue", 0);
</SCRIPT>

This example uses the addRule method to add two rules to the end of the rules collection. The rules apply the hover and link pseudo-class attributes to all anchors that appear within an H2 heading.

<H2>
<A HREF="http://www.microsoft.com/">
    Where Do You Want to Go Today?
</A>
</H2>

<SCRIPT>
   document.styleSheets[0].addRule("H2 A:hover", "color:gold");
   document.styleSheets[0].addRule("H2 A:link", "color:black");
</SCRIPT>

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

styleSheet

See Also

removeRule, rules, styleSheets


alert Method

Displays a dialog box containing an application-defined message.

Syntax

window.alert([sMessage])

Parameters

sMessage Optional. String that specifies the message to display in the Alert dialog box. If no value is provided, the dialog box contains no message.

Return Value

No return value.

Remarks

You cannot change the title bar of the Alert dialog box.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

window


appendChild Method

Appends an element as a child to the object.

Syntax

oElement = object.appendChild(oNode)

Parameters

oNode Required. Object that specifies the element to append.

Return Value

Returns a reference to the element that is appended to the object.

Remarks

The appendChild method appends elements to the end of the childNodes collection.

To display new elements on the page, you must append them within the BODY element. For example, the following syntax demonstrates how to add a DIV element to the BODY.

var oDiv=document.createElement("DIV");
document.body.appendChild(oDiv);

This method is accessible at run time. If elements are removed at run time, before the closing tag is parsed, areas of the document might not render.

Example

This example uses the appendChild method to add an item to an unordered list.

<SCRIPT>
function fnAppend(){
   var oNewNode = document.createElement("LI");
   oList.appendChild(oNewNode);
   oNewNode.innerText="List node 5";
}
</SCRIPT>
<BODY>
<UL ID = oList>
<LI>List node 1
<LI>List node 2
<LI>List node 3
<LI>List node 4
</UL>

<INPUT
   TYPE = "button"
   VALUE = "Append Child"
   onclick = "fnAppend()">
</BODY>

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ACRONYM, ADDRESS, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, COMMENT, DD, DEL, DFN, DIR, DIV, DL, DT, EM, FIELDSET, FONT, FORM, FRAMESET, HEAD, Hn, HTML, I, IFRAME, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LABEL, LEGEND, LI, LISTING, MAP, MARQUEE, MENU, NEXTID, OL, OPTION, P, PLAINTEXT, PRE, Q, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP

See Also

cloneNode, insertBefore


applyElement Method

Makes the element either a child or parent of the object.

Syntax

object.applyElement(oNewElement [, sWhere])

Parameters

oNewElement Required. Object that becomes the child or parent of the object that invokes applyElement.
sWhere Optional. String that specifies one of the following values:
outside | Default. Element becomes a parent of the object.
inside | Element becomes a child of the object, but contains all children in the object.

Return Value

No return value.

Remarks

This method is accessible at run time. If elements are removed at run time, before the closing tag is parsed, areas of the document might not render.

Example

This example uses the applyElement method to apply the I element to an unordered list.

<SCRIPT>
function fnApply(){
   var oNewNode = document.createElement("I");
   oList.applyElement(oNewNode);
}
</SCRIPT>

<UL ID = oList>
<LI>List item 1
<LI>List item 2
<LI>List item 3
<LI>List item 4
</UL>

<INPUT
   TYPE="button"
   VALUE="Apply Element"
   onclick="fnApply()"
>

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ACRONYM, ADDRESS, APPLET, AREA, B, BASE, BASEFONT, BDO, BGSOUND, BIG, BLOCKQUOTE, BODY, BR, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, COMMENT, custom, DD, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, HEAD, Hn, HR, HTML, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LABEL, LEGEND, LI, LINK, LISTING, MAP, MARQUEE, MENU, NEXTID, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TITLE, TR, TT, U, UL, VAR, XMP


assign Method

Loads a new HTML document.

Syntax

location.assign(sURL)

Parameters

sURL Required. String that specifies the URL of the document to load.

Return Value

No return value.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

location


attachEvent Method

Binds the specified function to an event that fires on the object when the function is called.

Syntax

bSuccess = object.attachEvent(sEvent, fpNotify)

Parameters

sEvent | Required. String that specifies any of the standard DHTML events.
fpNotify | Required. Pointer that specifies the function to be called when sEvent fires.

Return Value

Boolean. Returns true if the function is bound successfully to the event, or false otherwise.

Remarks

When sEvent fires on the object, the object's sEvent handler is called before fpNotify, the specified function. If you attach multiple functions to the same event on the same object, the functions are called in random order, immediately after the object's event handler is called.

The attachEvent method enables a behavior to handle events that occur on the containing page. This method is not limited, however, to behaviors. You can also define a function on a page that attaches to events fired on the same page.

Behaviors that attach to events using the attachEvent method must explicitly call the detachEvent method to stop receiving notifications from the page when the ondetach event fires. A behavior that attaches to events on the page using the HTML Components (HTC) ATTACH element automatically stops receiving notifications when the behavior detaches from the element, and does not need to call the detachEvent method.

Example

This example shows how to implement a mouseover highlighting effect by calling the attachEvent method from an HTC.

Sample Code

<PUBLIC:ATTACH EVENT="ondetach" ONEVENT="cleanup()" />

<SCRIPT LANGUAGE="JScript">
attachEvent ('onmouseover', Hilite);
attachEvent ('onmouseout', Restore);

function cleanup()
{
   detachEvent ('onmouseover', Hilite);
   detachEvent ('onmouseout', Restore);
}

function Hilite()
{
   if (event.srcElement == element)
   {
     normalColor = style.color;
     runtimeStyle.color  = "red";
     runtimeStyle.cursor = "hand";
   }
}

function Restore()
{
   if (event.srcElement == element)
   {
      runtimeStyle.color  = normalColor;
      runtimeStyle.cursor = "";
   }
}
</SCRIPT>
This feature requires Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ACRONYM, ADDRESS, APPLET, AREA, B, BASE, BASEFONT, BGSOUND, BIG, BLOCKQUOTE, BODY, BR, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, COMMENT, custom, DD, DEL, DFN, DIR, DIV, DL, document, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, HEAD, Hn, HR, HTML, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LABEL, LEGEND, LI, LINK, LISTING, MAP, MARQUEE, MENU, NOBR, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TITLE, TR, TT, U, UL, VAR, window, XMP

See Also

detachEvent, dhtml behaviors Internet Link, using dhtml behaviors Internet Link, implementing dhtml behaviors in script Internet Link


AutoCompleteSaveForm Method

Saves the specified form in the AutoComplete data store.

Syntax

window.external.AutoCompleteSaveForm(oForm)

Parameters

oForm Required. Object that specifies a reference to a FORM element.

Return Value

No return value.

Remarks

When a form is submitted to a server, the AutoComplete feature in Microsoft® Internet Explorer 5 saves values for the INPUT type=text and INPUT type=password controls. You must use the AutoCompleteSaveForm method to save these values if a form is submitted through the submit method or is not submitted to a server.

To enable the AutoComplete feature for forms, click Tools, Internet Options, Content, and then AutoComplete. To disable the feature for individual form controls and entire forms, use the AUTOCOMPLETE attribute.

This method is not supported in html applications Internet Link.

Example

This example uses the AutoCompleteSaveForm method to save the value of a text field without submitting the form to a server.

Sample Code

<SCRIPT>
function fnSaveForm(){
   window.external.AutoCompleteSaveForm(oForm);
   oForm.AutoCompleteTest.value="";
   oForm.AutoCompleteIgnore.value="";
}
</SCRIPT>
<FORM NAME="oForm">

This text is saved:
<INPUT TYPE="text" NAME="AutoCompleteTest">

This text is not saved:
<INPUT TYPE="text" NAME="AutoCompleteIgnore" AUTOCOMPLETE="off">

</FORM>
<INPUT TYPE=button VALUE="Save Value" onclick="fnSaveForm()">
This feature requires Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
external

See Also

autocomplete in html forms Internet Link


AutoScan Method

Attempts to connect to a Web server by passing the specified query through completion templates.

Syntax

window.external.AutoScan(sUserQuery [, sURL, sTarget])

Parameters

sUserQuery | Required. String that specifies a domain address that begins with www., and ends with .com, .org, .net, or .edu.
sURL | Optional. String that specifies the Web page to display if the domain address created from sUserQuery is invalid. The default Internet Explorer error page is displayed if a value is not provided.
sTarget | Optional. String that specifies the target window or frame where the results are displayed. The default value is the current window.

Return Value

No return value.

Remarks

The domain suffixes added to the user query are located in the system registry under HKEY_LOCAL_MACHINE\software\microsoft\internet explorer\main\urltemplate. Each suffix is appended in the following order until an existing server is found.

  1. .com
  2. .org
  3. .net
  4. .edu
If no server is found, the document specified by the sURL parameter is displayed.

This method is not supported in html applications Internet Link.

Example

This example uses the AutoScan method to connect to the www.microsoft.com Web site.

Sample Code

window.external.AutoScan("microsoft","InvalidSite.htm","_main");

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
external


back Method

Loads a URL from the History list.

Syntax

history.back([iDistance])

Parameters

iDistance Optional. Integer that specifies the number of URLs to go back. If no value is provided, the previous URL is loaded.

Return Value

No return value.

Remarks

This method performs the same action as when a user clicks the Back button in the browser. The back method works the same as history.go(-1). An error does not occur if the user tries to go beyond the beginning of the history. Instead, the user remains at the current page.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

history

See Also

forward, go


blur Method

Causes an object to lose focus, and fires the onblur event.

Syntax

object.blur()

Return Value

No return value.

Remarks

As of Microsoft® Internet Explorer 5, elements that expose the blur method must have the TABINDEX attribute set.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ACRONYM, ADDRESS, APPLET, AREA, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, custom, DD, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, Hn, HR, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, ISINDEX, KBD, LABEL, LEGEND, LI, LISTING, MARQUEE, MENU, OBJECT, OL, P, PLAINTEXT, PRE, Q, RT, RUBY, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, window, XMP


clear Method

Clears the contents of the selection.

Syntax

selection.clear()

Return Value

No return value.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

selection


clear Method

Clears the current document.

Syntax

document.clear()

Return Value

No return value.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

document


clearAttributes Method

Removes all attributes and values from the object.

Syntax

object.clearAttributes()

Return Value

No return value.

Remarks

The clearAttributes method only clears persistent HTML attributes. Events, styles, and script-only properties are not affected.

Example

This example uses the clearAttributes method to remove user-defined attributes from an element.

Sample Code

<SCRIPT>
function fnClear(){
   oSource.children[0].clearAttributes();
}
</SCRIPT>

<SPAN ID=oSource>
<DIV
   ID="oDiv"
   ATTRIBUTE1="true"
   ATTRIBUTE2="true"
   onclick="alert('click');"
   onmouseover="this.style.color='#0000FF';"
   onmouseout="this.style.color='#000000';"
>
This is a sample <b>DIV</b> element.
</DIV>
</SPAN>

<INPUT
   TYPE="button"
   VALUE="Clear Attributes"
   onclick="fnClear()"
>
This feature requires Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ACRONYM, ADDRESS, APPLET, AREA, B, BASE, BASEFONT, BDO, BGSOUND, BIG, BLOCKQUOTE, BODY, BR, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, COMMENT, custom, DD, DEL, DFN, DIR, DIV, DL, document, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, HEAD, Hn, HR, HTML, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LABEL, LEGEND, LI, LINK, LISTING, MAP, MARQUEE, MENU, NEXTID, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TITLE, TR, TT, U, UL, VAR, XMP

See Also

mergeAttributes


clearData Method

Removes one or more data formats from the clipboard through dataTransfer or clipboardData object.

Syntax

object.clearData([sDataFormat])

Parameters

sDataFormat Optional. String that specifies one or more of the following data format values:
Text | Removes the text format.
URL | Removes the URL format.
File | Removes the file format.
HTML | Removes the HTML format.
Image | Removes the image format.

Return Value

No return value.

Remarks

If no sDataFormat parameter is passed, the data formats are cleared.

For drag-and-drop operations, the clearData method of the dataTransfer object is generally used in source events, such as ondragstart. When overriding the default behavior of the target, use clearData in the ondrop event. It is particularly useful for selectively removing data formats when multiple formats are specified.

Example

This example uses the clearData method to remove the Text data format from the clipboard through the dataTransfer object.

Sample Code

<HEAD>
<STYLE>
DIV {background-color:magenta; width: 300;}
SPAN {color:lightgreen;}
</STYLE>

<SCRIPT>
function Source_DragStart(){
  event.dataTransfer.setData("Text", "This text will be cleared");
}

function Target_Enter(){
  window.event.returnValue = false;
  event.dataTransfer.clearData("Text");
  oTarget.innerText = event.dataTransfer.getData("Text");
}
</SCRIPT>
</HEAD>
<BODY>

<P>Drag the green text and drop it over the magenta DIV.</P>

<SPAN ID="oSource" ondragstart="Source_DragStart()">
    Drag this text.
</SPAN>

<P>Drop the text below. The word "null" will appear in the DIV.</P>

<DIV
   ID="oTarget" ondragenter="Target_Enter()">
</DIV>

</BODY>

This feature requires Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
clipboardData, dataTransfer

See Also

dhtml data transfer overview Internet Link, getData, setData


clearInterval Method

Cancels the interval previously started using the setInterval method.

Syntax

window.clearInterval(iIntervalID)

Parameters

iIntervalID Required. Integer that specifies the interval to cancel. This value must have been previously returned by the setInterval method.

Return Value

No return value.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

window


clearRequest Method

Clears all requests in the read-requests queue to prepare for new profile-information requests.

Syntax

userProfile.clearRequest()

Return Value

No return value.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
userProfile

See Also

addReadRequest, doReadRequest, getAttribute


clearTimeout Method

Cancels a time-out that was set with the setTimeout method.

Syntax

window.clearTimeout(iTimeoutID)

Parameters

iTimeoutID Required. Integer that specifies the time-out setting returned by a previous call to the setTimeout method.

Return Value

No return value.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

window


click Method

Simulates a click by causing the onclick event to fire.

Syntax

object.click()

Return Value

No return value.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ADDRESS, APPLET, AREA, B, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, custom, DD, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, Hn, HR, I, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, KBD, LABEL, LEGEND, LI, LISTING, MAP, MARQUEE, MENU, NOBR, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP


cloneNode Method

Copies a reference to the object from the document hierarchy.

Syntax

oClone = object.cloneNode([bCloneChildren])

Parameters

bCloneChildren Optional. Boolean that specifies one of the following values:
false | Default. Cloned objects do not include childNodes.
true | Cloned objects include childNodes.

Return Value

Returns an element object.

Remarks

The cloneNode method copies an object, attributes, and, if specified, the childNodes.

A collection is returned when referring to the ID of a cloned element.

Example

This example uses the cloneNode method to copy an unordered list and its childNodes.

<SCRIPT>
function fnClone(){
   /* the 'true' possible value specifies to clone
      the childNodes as well.
   */
   var oCloneNode = oList.cloneNode(true);
   /* When the cloned node is added,
   'oList' becomes a collection.
   */
   document.body.insertBefore(oCloneNode);
}
</SCRIPT>

<UL ID = oList>
<LI>List node 1
<LI>List node 2
<LI>List node 3
<LI>List node 4
</UL>

<INPUT
   TYPE="button"
   VALUE="Clone List"
   onclick="fnClone()"
>

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ACRONYM, ADDRESS, APPLET, AREA, B, BASE, BASEFONT, BDO, BGSOUND, BIG, BLOCKQUOTE, BODY, BR, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, COMMENT, DD, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, HEAD, Hn, HR, HTML, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LABEL, LEGEND, LI, LINK, LISTING, MAP, MARQUEE, MENU, NEXTID, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TITLE, TR, TT, U, UL, VAR, XMP

See Also

appendChild, insertBefore


close Method

Closes the current browser window or HTML Application (HTA).

Syntax

window.close()

Return Value

No return value.

Remarks

The way that you close a window programmatically determines whether the user gets prompted. If you invoke the close method on a window that you did not open with script, the user sees a confirm dialog box. This also happens if you use close to exit the last running instance of Microsoft® Internet Explorer. You can only use the close method silently with HTAs. In the case of HTAs, the application is trusted and follows a different security model.

When a function fired by an event on the BODY object calls the close method, the window.close method is implied. When an event on the BODY object calls the close method, the document.close method is implied.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

window


close Method

Closes an output stream, and forces the sent data to display.

Syntax

document.close()

Return Value

No return value.

Remarks

When a function fired by an event on the BODY object calls the close method, the window.close method is implied. When an event on the BODY object calls the close method, the document.close method is implied.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

document


collapse Method

Moves the insertion point to the beginning or end of the current range.

Syntax

TextRange.collapse([bStart])

Parameters

bStart Optional. Boolean that specifies one of the following values:
true | Default. Moves the insertion point to the beginning of the text range.
false | Moves the insertion point to the end of the text range.

Return Value

No return value.

Remarks

This feature might not be available on non-Win32® platforms. For the latest information about Internet Explorer cross-platform compatibility, see article q172976 Internet Link Non-MSDN link in the Microsoft Knowledge Base.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

TextRange

See Also

expand


compareEndPoints Method

Compares an end point of a TextRange object with an end point of another range.

Syntax

iResult = TextRange.compareEndPoints(sType, oRange)

Parameters

sType Required. String that specifies one of the following values:
StartToEnd | Compare the start of the TextRange object with the end of the oRange parameter.
StartToStart | Compare the start of the TextRange object with the start of the oRange parameter.
EndToStart | Compare the end of the TextRange object with the start of the oRange parameter.
EndToEnd | Compare the end of the TextRange object with the end of the oRange parameter.
oRange Required. TextRange object that specifies the range to compare with the object.

Return Value

Integer. Returns one of the following possible values:

-1 | The end point of the object is further to the left than the end point of oRange.
0 | The end point of the object is at the same location as the end point of oRange.
1 | The end point of the object is further to the right than the end point of oRange.

Remarks

A text range has two end points. One end point is located at the beginning of the text range, and the other is located at the end of the text range. An end point also can be characterized as the position between two characters in an HTML document.

As of Microsoft® Internet Explorer 4.0, an end point is relative to text only, not HTML tags.

There are four possible end points in the following HTML:

<BODY><P><B>abc

The possible end points are:

  • Before the letter a.
  • Between the letters a and b.
  • Between the letters b and c.
  • After the letter c.

As of Internet Explorer 4.0, an end point cannot be established between the BODY and the P. Such an end point is considered to be located before the letter a.

This method might not be available on non-Win32® platforms. For the latest information about Internet Explorer cross-platform compatibility, see article q172976 Internet Link Non-MSDN link in the Microsoft Knowledge Base.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

TextRange


componentFromPoint Method

Returns the component located at the specified coordinates.

Syntax

sScrollComponent = object.componentFromPoint(iCoordX, iCoordY)

Parameters

iCoordX | Required. Integer that specifies the client window coordinate of x.
iCoordY | Required. Integer that specifies the client window coordinate of y.

Return Value

String. Returns one of the following possible values:

"" Component is inside the client area of the object.
outside | Component is outside the bounds of the object.
scrollbarDown | Down scroll arrow is at the specified location.
scrollbarHThumb | Horizontal scroll thumb or box is at the specified location.
scrollbarLeft | Left scroll arrow is at the specified location.
scrollbarPageDown | Page-down scroll bar shaft is at the specified location.
scrollbarPageLeft | Page-left scroll bar shaft is at the specified location.
scrollbarPageRight | Page-right scroll bar shaft is at the specified location.
scrollbarPageUp | Page-up scroll bar shaft is at the specified location.
scrollbarRight | Right scroll arrow is at the specified location.
scrollbarUp | Up scroll arrow is at the specified location.
scrollbarVThumb | Vertical scroll thumb or box is at the specified location.
handleBottom | Bottom sizing handle is at the specified location.
handleBottomLeft | Lower-left sizing handle is at the specified location.
handleBottomRight | Lower-right sizing handle is at the specified location.
handleLeft | Left sizing handle is at the specified location.
handleRight | Right sizing handle is at the specified location.
handleTop | Top sizing handle is at the specified location.
handleTopLeft | Upper-left sizing handle is at the specified location.
handleTopRight | Upper-right sizing handle is at the specified location.

Remarks

The componentFromPoint method, available as of Microsoft® Internet Explorer 5, is applicable to any object that can be given scroll bars through cascading style sheets (CSS).

The componentFromPoint method may not consistently return the same object when used with the onmouseover event. Because a user's mouse speed and entry point can vary, different components of an element can fire the onmouseover event. For example, when a user moves the mouse cursor over a TEXTAREA object with scroll bars, the event may fire when the mouse enters the component border, the scroll bars, or the client region. Once the event has fired, the expected element may not be returned unless the scroll bars were the point of entry for the mouse. In this case, the onmousemove event can be used to provide more consistent results.

For the object's sizing handles to appear, designMode must be on and the object must be selected.

Example

This example uses the componentFromPoint method to determine which object the mouse pointer is hovering over.

Sample Code

<HEAD>
<SCRIPT>
function trackElement(){
   var sElem = "";
   sElem = document.body.componentFromPoint(
      event.clientX,
      event.clientY
   );
   window.status = "mousemove " + event.clientX + ", "
      + event.clientY +
      " The mouse pointer is hovering over: " + sElem;
}
</SCRIPT>
</HEAD>
<BODY onmousemove="trackElement()">
<TEXTAREA COLS=500 ROWS=500>
This text forces scroll bars to appear in the window.
</TEXTAREA>
</BODY>

This feature requires Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ACRONYM, ADDRESS, APPLET, AREA, B, BASE, BASEFONT, BDO, BGSOUND, BIG, BLOCKQUOTE, BODY, BR, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, COMMENT, custom, DD, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, HEAD, Hn, HR, HTML, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, ISINDEX, KBD, LABEL, LEGEND, LI, LINK, LISTING, MAP, MARQUEE, MENU, NEXTID, NOBR, NOFRAMES, NOSCRIPT, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, RT, RUBY, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TITLE, TR, TT, U, UL, VAR, WBR, XML, XMP

See Also

doScroll, onScroll


confirm Method

Displays a confirmation dialog box that contains an optional message as well as OK and Cancel buttons.

Syntax

bChoice = window.confirm([sMessage])

Parameters

sMessage Optional. String that specifies the message to display in the confirmation dialog box. If no value is provided, the dialog box does not contain a message.

Return Value

Boolean. Returns true if the user clicks OK, or false if the user clicks Cancel.

Remarks

The title bar of the confirmation dialog box cannot be changed.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

window


contains Method

Checks whether the given element is contained within the object.

Syntax

bFound = object.contains(oElement)

Parameters

oElement Required. Element object that specifies the element to check.

Return Value

Boolean. Returns true if the element is contained within the current element, or false otherwise.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ADDRESS, APPLET, AREA, B, BASE, BASEFONT, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, custom, DD, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, HEAD, Hn, HR, HTML, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, KBD, LABEL, LEGEND, LI, LINK, LISTING, MAP, MARQUEE, MENU, META, NEXTID, NOBR, OL, OPTION, P, PLAINTEXT, PRE, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TITLE, TR, TT, U, UL, VAR, XMP


createCaption Method

Creates an empty CAPTION element in the TABLE.

Syntax

oCaption = TABLE.createCaption()

Return Value

Returns a CAPTION object. If a CAPTION already exists, createCaption() returns the existing element; otherwise, it returns a pointer to the element created. If the method fails, it returns null.

Example

This example uses the createCaption method to create a CAPTION.

myCaption = document.all.myTable.createCaption()

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

TABLE

See Also

createTFoot, createTHead, deleteCaption, deleteTFoot, deleteTHead


createControlRange Method

Creates a controlRange collection of nontext elements.

Syntax

oControlRange = document.body.createControlRange()

Return Value

Returns a controlRange collection. If a controlRange already exists, createControlRange overwrites the existing element; otherwise, it returns a pointer to the element created.

Example

This example creates a controlRange using the createControlRange method.

oControlRange = document.body.createControlRange();

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
BODY


createElement Method

Creates an instance of the element object for the specified tag.

Syntax

oElement = document.createElement(sTag)

Parameters

sTag Required. String that specifies the name of an element.

Return Value

Returns an element object.

Remarks

In Microsoft® Internet Explorer 4.0, the only new elements you can create are IMG, AREA, and OPTION. As of Internet Explorer 5, you can create all elements in script, except for FRAME, IFRAME, and SELECT. In addition, the read-only properties of independently created elements are read/write. Before you use new objects, you must explicitly add them to their respective collections or to the document. To insert new elements into the current document, use the insertBefore or appendChild methods.

You must perform a second step when using createElement to create the INPUT element. The createElement method generates an input text box, because that is the default INPUT type property. To insert any other kind of INPUT element, first invoke createElement for INPUT, then set the type property to the appropriate value in the next line of code.

Attributes can be included with the sTag as long as the entire string is valid HTML. This is useful since you cannot set the NAME attribute at run time on anchor objects created with the createElement method. For example, to create an anchor with a NAME attribute, include the attribute and value when using the createElement method. You can also use the innerHTML property.

Example

This example uses the createElement method to dynamically update the contents of a Web page by adding an element selected from a drop-down list box.

<SCRIPT>
function fnCreate(){
    oData.innerHTML="";
    var oOption=oSel.options[oSel.selectedIndex];
    if(oOption.text.length>0){
    var aElement=document.createElement(oOption.text);
    eval("aElement." + oOption.value + "='" + oText.value + "'");
    if(oOption.text=="A"){
        aElement.href="javascript:alert('A link.')";
   }
   }
    oData.appendChild(aElement);
}
</SCRIPT>
<SELECT ID="oSel" onchange="fnCreate()">
<OPTION VALUE="innerText">A
<OPTION VALUE="value">&lt;INPUT TYPE="button"&gt;
<INPUT TYPE="text" ID="oText" VALUE="Sample Text">
<SPAN ID="oData" ></SPAN>
This feature requires Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

document

See Also

add, cloneNode, removeNode


createRange Method

Creates a TextRange object from the current selection.

Syntax

selection.createRange()

Return Value

Returns a TextRange object.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

selection


createStyleSheet Method

Creates a style sheet for the document.

Syntax

oStylesheet = document.createStyleSheet([sURL] [, iIndex])

Parameters

sURL | Optional. String that specifies how to add the style sheet to the document. If a file name is specified for the URL, the style information will be added as a LINK object. If the URL contains style information, this information will be added to the STYLE object.
iIndex | Optional. Integer that specifies the index that indicates where the new style sheet is inserted in the styleSheets collection. The default is to insert the new style sheet at the end of the collection.

Return Value

Returns a styleSheet object.

Example

This example uses the createStyleSheet method to create a link to a style sheet.

document.createStyleSheet('styles.css');

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

document


createTextNode Method

Creates a text string from the specified value.

Syntax

oTextNode = document.createTextNode([sText])

Parameters

sText Optional. String that specifies the nodeValue property of the text node.

Return Value

Returns a TextNode object.

Example

This example uses the createTextNode method to create a text node and replace it with an existing text node in a SPAN object.

<SCRIPT>
function fnChangeNode(){
   var oTextNode = document.createTextNode("New Text");
   var oReplaceNode = oSpan.childNodes(0);
   oReplaceNode.replaceNode(oTextNode);
}
<SCRIPT>

<SPAN ID = oSPAN onclick="fnChangeNode()">
Original Text
</SPAN>

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
document

See Also

createElement


createTextRange Method

Creates a TextRange object for the given object.

Syntax

oTextRange = object.createTextRange()

Return Value

Returns a TextRange object if successful, or null otherwise.

Remarks

Use a text range to examine and modify the text within an object.

Example

This example uses the createTextRange method to create a text range for the document, and then uses the text range to display all the text and HTML tags in the document.

<SCRIPT LANGUAGE="JScript">
var rng = document.body.createTextRange( );
if (rng!=null) {
    alert(rng.htmlText);
}
</SCRIPT>

This example uses the createTextRange method to create a text range for the first BUTTON element in the document, and then uses the text range to change the text in the button.

<SCRIPT LANGUAGE="JScript">
var coll = document.all.tags("BUTTON");
if (coll!=null && coll.length>0) {
    var rng = coll[0].createTextRange();
    rng.text = "Clicked";
}
</SCRIPT>

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
BODY, BUTTON, INPUT TYPE=button, INPUT TYPE=hidden, INPUT TYPE=password, INPUT TYPE=reset, INPUT TYPE=submit, INPUT TYPE=text, TEXTAREA

See Also

TextRange


createTFoot Method

Creates an empty TFOOT element in the TABLE.

Syntax

oTFoot = TABLE.createTFoot()

Return Value

Returns the TFOOT element object if successful, or null otherwise.

Remarks

If a TFOOT already exists for the TABLE, the createTFoot method returns the existing element. Otherwise, it returns a pointer to the element created.

Example

This example uses the createTFoot method to create a table footer.

myTFoot = document.all.myTable.createTFoot()

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

TABLE

See Also

createCaption, createTHead, deleteCaption, deleteTFoot, deleteTHead


createTHead Method

Creates an empty THEAD element in the TABLE.

Syntax

oTHead = TABLE.createTHead()

Return Value

Returns the THEAD element object if successful, or null otherwise.

Remarks

If a THEAD already exists, createTHead returns the existing element. Otherwise, it returns a pointer to the element created.

Example

This example uses the createTHead method to create a table header.

myTHead = document.all.myTable.createTHead()

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

TABLE

See Also

createCaption, createTFoot, deleteCaption, deleteTFoot, deleteTHead


deleteCaption Method

Deletes the CAPTION element and its contents from the TABLE.

Syntax

TABLE.deleteCaption()

Return Value

No return value.

Example

This example uses the deleteCaption method to delete the CAPTION element from the table.

document.all.myTable.deleteCaption()

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

TABLE

See Also

createCaption, createTFoot, createTHead, deleteTFoot, deleteTHead


deleteCell Method

Deletes the specified cell (TD) in the table row, and removes the cell from the cells collection.

Syntax

TR.deleteCell([iIndex])

Parameters

iIndex Optional. Integer that specifies the cell to be deleted from the table row. If no value is provided, the last cell in the cells collection is deleted.

Return Value

No return value.

Example

This example uses the deleteCell method to delete the last cell in the first row of the table.

document.all.myTable.rows[0].deleteCell()

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

TR

See Also

deleteRow, insertCell


deleteRow Method

Deletes the specified row (TR) in the TABLE, and removes the row from the rows collection.

Syntax

object.deleteRow([iRowIndex])

Parameters

iRowIndex Optional. Integer that specifies the row to delete.

Return Value

No return value.

Remarks

If you delete a row from a TFOOT, TBODY, or THEAD, you also remove the row from the rows collection for the TABLE. Deleting a row in the TABLE also removes a row from the rows collection for the TBODY.

If you delete a row from a TBODY, TFOOT, or THEAD, iRowIndex must contain the sectionRowIndex of the TR. When deleting a row from the TABLE, iRowIndex must contain the rowIndex of the TR.

Example

This example uses the deleteRow method to delete the specified row (TR) in the TABLE.

myNewRow = document.all.myTable.deleteRow()

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

TABLE, TBODY, TFOOT, THEAD

See Also

insertRow, rowIndex, rows, sectionRowIndex


deleteTFoot Method

Deletes the TFOOT element and its contents from the TABLE.

Syntax

TABLE.deleteTFoot()

Return Value

No return value.

Example

This example uses the deleteTFoot method to delete the TFOOT element from the table.

document.all.myTable.deleteTFoot()

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

TABLE

See Also

createCaption, createTFoot, createTHead, deleteCaption, deleteTHead


deleteTHead Method

Deletes the THEAD element and its contents from the TABLE.

Syntax

TABLE.deleteTHead()

Return Value

No return value.

Example

This example uses the deleteTHead method to delete the THEAD element from the table.

document.all.myTable.deleteTHead()

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

TABLE

See Also

createCaption, createTFoot, createTHead, deleteCaption, deleteTFoot


detachEvent Method

Unbinds the specified function from the event, so that the function stops receiving notifications when the event fires on the object.

Syntax

object.detachEvent (sEvent, fpNotify)

Parameters

sEvent | Required. String that specifies any of the standard DHTML events.
fpNotify | Required. Pointer that specifies the function previously set using the attachEvent method.

Return Value

No return value.

Remarks

Behaviors that attach to events using the attachEvent method must explicitly call the detachEvent method to stop receiving notifications from the page when the ondetach event fires. Behaviors that attach to events using the ATTACH element automatically stop receiving notifications when the behavior detaches from the element, and thus do not need to call the detachEvent method.

Example

This example calls the detachEvent method from an HTML Component (HTC) when the highlighting effect is removed from the page, causing the ondetach event to fire.

Sample Code

<PUBLIC:ATTACH EVENT="ondetach" ONEVENT="cleanup()" />

<SCRIPT LANGUAGE="JScript">
attachEvent ('onmouseover', Hilite);
attachEvent ('onmouseout', Restore);

function cleanup()
{
   detachEvent ('onmouseover', Hilite);
   detachEvent ('onmouseout', Restore);
}

function Hilite()
{
   if (event.srcElement == element)
   {
     normalColor = style.color;
     runtimeStyle.color  = "red";
     runtimeStyle.cursor = "hand";
   }
}

function Restore()
{
   if (event.srcElement == element)
   {
      runtimeStyle.color  = normalColor;
      runtimeStyle.cursor = "";
   }
}
</SCRIPT>
This feature requires Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ACRONYM, ADDRESS, APPLET, AREA, B, BASE, BASEFONT, BGSOUND, BIG, BLOCKQUOTE, BODY, BR, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, COMMENT, custom, DD, DEL, DFN, DIR, DIV, DL, document, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, HEAD, Hn, HR, HTML, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LABEL, LEGEND, LI, LINK, LISTING, MAP, MARQUEE, MENU, NOBR, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TITLE, TR, TT, U, UL, VAR, window, XMP

See Also

attachEvent, dhtml behaviors Internet Link, using dhtml behaviors Internet Link, implementing dhtml behaviors in script Internet Link


doReadRequest Method

Performs all requests located in the read-requests queue.

Syntax

bSuccess = userProfile.doReadRequest(vUsageCode [, vFriendlyName]
     [, vDomain] [, vPath] [, vExpiration] [, vReserved])

Parameters

vUsageCode Required. Variant that specifies the code that notifies the user of the type of access requested. This usage code should be one of the following 13 codes defined by the Internet Privacy Working Group (IPWG).
0 | Used for system administration.
1 | Used for research and/or product development.
2 | Used for completion and support of the current transaction.
3 | Used to customize the content and design of a site.
4 | Used to improve the content of a site that includes advertisements.
5 | Used for notifying visitors about updates to the site.
6 | Used for contacting visitors for marketing of services or products.
7 | Used for linking other collected information.
8 | Used by a site for other purposes.
9 | Disclosed to others for customization or improvement of the content and design of the site.
10 | Disclosed to others, who may contact the user, for marketing of services and/or products.
11 | Disclosed to others, who may contact the user, for marketing of services and/or products. The user can ask a site not to do this.
12 | Disclosed to others for any other purpose.
vFriendlyName | Optional. Variant that specifies the friendly name of the party requesting access to private information. For security reasons, it is not sufficient for the user agent to display this friendly name to the user. In addition to displaying the friendly name, the user agent must display the URL that originates the script requesting profile access. If this script originates from a secure connection (for example, SSL), the Web author can use the SSL certificate to reliably identify the party requesting access.
vDomain | Optional. Variant that specifies the pages that the user's choice applies to in the future, in addition to the current page. The specification follows the cookie standard (see rfc-2109) Internet Link. Non-MS link
vPath | Optional. Variant that specifies the path to the domain server requesting access. When vExpiration is set, the path is saved with the requested attributes.
vExpiration | Optional. Variant that specifies the amount of time the site has requested access to these attributes. This is currently ignored by Internet Explorer.
vReserved | Optional. This parameter is reserved.

Return Value

Boolean. Returns true if successful, or false otherwise.

Remarks

If the site does not have read access, the user is prompted with a list of requested attributes and can choose to allow or deny access.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
userProfile

See Also

addReadRequest, clearRequest, getAttribute


doScroll Method

Simulates a click on a scroll-bar component.

Syntax

object.doScroll([sScrollAction])

Parameters

sScrollAction Optional. String that specifies how the object scrolls, using one of the following values:
scrollbarDown | Default. Down scroll arrow is at the specified location.
scrollbarHThumb | Horizontal scroll thumb or box is at the specified location.
scrollbarLeft | Left scroll arrow is at the specified location.
scrollbarPageDown | Page-down scroll bar shaft is at the specified location.
scrollbarPageLeft | Page-left scroll bar shaft is at the specified location.
scrollbarPageRight | Page-right scroll bar shaft is at the specified location.
scrollbarPageUp | Page-up scroll bar shaft is at the specified location.
scrollbarRight | Right scroll arrow is at the specified location.
scrollbarUp | Up scroll arrow is at the specified location.
scrollbarVThumb | Vertical scroll thumb or box is at the specified location.
down | Composite reference to scrollbarDown.
left | Composite reference to scrollbarLeft.
pageDown | Composite reference to scrollbarPageDown.
pageLeft | Composite reference to scrollbarPageLeft.
pageRight | Composite reference to scrollbarPageRight.
pageUp | Composite reference to scrollbarPageUp.
right | Composite reference to scrollbarRight.
up | Composite reference to scrollbarUp.

Return Value

No return value.

Remarks

Cascading style sheets (CSS) allow you to scroll on all objects through the overflow property.

When the content of an element changes and causes scroll bars to display, the doScroll method might not work correctly immediately following the content update. When this happens, you can use the setTimeout method to enable the browser to recognize the dynamic changes that affect scrolling.

Example

This example uses the doScroll method to scroll through a text area when the user clicks a button.

Sample Code

<HEAD>
<SCRIPT>
function scrollBehavior()
{
document.body.doScroll("scrollbarPageRight");
}

function scrollBehavior1()
{
txtScrollMe.doScroll("scrollbarDown");
}

function scrollBehavior2()
{
txtScrollMe.doScroll("scrollbarPageDown");
}
</SCRIPT>
</HEAD>
<BODY>
<BUTTON
   onclick="scrollBehavior()"
   CLASS="colorIt"
>
Click to Scroll Page
</BUTTON>
<BR>
<HR>
<BUTTON
   onclick="scrollBehavior1()"
   ondblclick="scrollBehavior2()"
   CLASS="colorIt">
   Click to Scroll Text Area
</BUTTON><BR><BR>
<TEXTAREA ID=txtScrollMe CLASS="colorIt">
    This text area
    will scroll downward when the
    "Click to Scroll the Text Area"
    button is clicked. The doScroll method
    will scroll it as if the down arrow
    component of the scroll bar had
    been clicked. Double-click the
    button to scroll down a whole page.
</BODY>

This feature requires Microsoft® Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

This example uses the doScroll method to scroll down a text area in one-second intervals.

<HEAD>
<SCRIPT>
var iTimer;
function timeIt()
{
iTimer = setInterval("scrollIt()", 1000);
}
function scrollIt()
{
oScrollMe.doScroll("down");
}
</SCRIPT>
</HEAD>
<BODY onload="timeIt()">
<DIV ID=oScrollMe STYLE="width:200px;height:75px;overflow:scroll">

</DIV>
</BODY>

This feature requires Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
BODY, custom, DIV, SPAN, TEXTAREA

See Also

componentFromPoint, onScroll


duplicate Method

Returns a duplicate of the TextRange.

Syntax

oTextRange = object.duplicate()

Return Value

Returns a TextRange object.

Remarks

This feature might not be available on non-Win32® platforms. For the latest information about Internet Explorer cross-platform compatibility, see article q172976 Internet Link Non-MSDN link in the Microsoft Knowledge Base.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

TextRange


elementFromPoint Method

Returns the element for the specified iX and iY coordinates.

Syntax

oElement = document.elementFromPoint(iX, iY)

Parameters

iX | Required. Integer that specifies the X-offset, in pixels.
iY | Required. Integer that specifies the Y-offset, in pixels.

Return Value

Returns an element object.

Remarks

Coordinates are supplied in client coordinates. The top left corner of the client area is (0,0). For elementFromPoint to exhibit expected behavior, the object or element located at position (x, y) must support and respond to mouse events.

When using this method with the structured graphics Internet Link or sprite Internet Link objects, you must set mouseeventsenabled Internet Link to 1.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

document

See Also

clientX, clientY


empty Method

Deselects the current selection, sets the selection type to none, and sets the item property to null.

Syntax

selection.empty()

Return Value

No return value.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

selection


execCommand Method

Executes a command over the given selection or text range.

Syntax

bSuccess = object.execCommand(sCommand [, bUserInterface] [, vValue])

Parameters

sCommand | Required. String that specifies the command to execute, which can be any valid command identifier.
bUserInterface Optional. Boolean that specifies one of the following values:
false | Default. Does not display a user interface.
true | Displays a user interface, if the command supports one.
vValue | Optional. Variant that specifies the string, number, or other value to assign. Possible values depend on sCommand.

Return Value

Boolean. Returns true if the command is successful, or false otherwise.

Remarks

Do not invoke the execCommand method until after the page loads.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
document, controlRange, TextRange

See Also

queryCommandEnabled, queryCommandIndeterm, queryCommandState, queryCommandSupported, queryCommandValue


execScript Method

Executes the specified script in the provided language.

Syntax

window.execScript(sExpression, sLanguage)

Parameters

sExpression | Required. String that specifies the code to be executed.
sLanguage | Required. String that specifies the language in which the code is executed. The language defaults to Microsoft JScript (compatible with ECMA 262 language specification).

Return Value

No return value.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

window


expand Method

Expands the range so that partial units are completely contained.

Syntax

bSuccess = TextRange.expand(sUnit)

Parameters

sUnit Required. String that specifies the units to move in the range, using one one of the following values:
character | Expands a character.
word | Expands a word. A word is a collection of characters terminated by a space or another white-space character, such as a tab.
sentence | Expands a sentence. A sentence is a collection of words terminated by an ending punctuation character, such as a period.
textedit | Expands to enclose the entire range.

Return Value

Boolean. Returns true if it successfully expands the range, or false otherwise.

Remarks

This feature might not be available on non-Win32® platforms. For the latest information about Internet Explorer cross-platform compatibility, see article q172976 Internet Link Non-MSDN link in the Microsoft Knowledge Base.

Example

This example creates a range from the current selection and uses the expand method to ensure that any word partially enclosed in the range becomes entirely enclosed in the range.

var rng = document.selection.createRange();
rng.expand("word");

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

TextRange

See Also

collapse


findText Method

Searches for text in the document, and positions the start and end points of the range to encompass the search string.

Syntax

bFound = TextRange.findText(sText [, iSearchScope]  [, iFlags])

Parameters

sText | Required. String that specifies the text to find.
iSearchScope | Optional. Integer that specifies the number of characters to search from the starting point of the range. A positive integer indicates a forward search; a negative integer indicates a backward search.
iFlags Optional. Integer that specifies one or more of the following flags to indicate the type of search:
2 | Match whole words only.
4 | Match case.

Return Value

Boolean. Returns true if the search text is found, or false otherwise.

Remarks

A range has two distinct states: degenerate and nondegenerate.

A degenerate range is like a text editor caret (insertion point)—it does not actually select any characters. Instead, it specifies a point between two characters. The end points of a degenerate range are adjacent.

A nondegenerate range is like a text editor selection, in that it selects a certain amount of text. The end points of a nondegenerate range are not adjacent.

The value passed for the iSearchScope parameter controls the part of the document, relative to the range, that is searched. The behavior of the findText method depends on whether the state is degenerate or nondegenerate:

  • If the range is degenerate, passing a large positive number causes the text to the right of the range to be searched. Passing a large negative number causes the text to the left of the range to be searched.
  • If the range is nondegenerate, passing a large positive number causes the text to the right of the start of the range to be searched. Passing a large negative number causes the text to the left of the end of the range to be searched. Passing 0 causes only the text selected by the range to be searched.

This feature might not be available on non-Win32® platforms. For the latest information about Internet Explorer cross-platform compatibility, see article q172976 Internet Link Non-MSDN link in the Microsoft Knowledge Base.

A text range is not modified if the text specified for the findText method is not found.

Example

This example creates a TextRange over the body of the document, and then uses the findText method to search for text with various flag combinations. The results are indicated in the example code comments.

Sample Code

<HTML>
<BODY>
Leonardo da Vinci was one of the great masters of the High
Renaissance, especially in painting, sculpture, architecture,
engineering, and science.
</BODY>
</HTML>

<SCRIPT>
   var oRange = document.body.createTextRange();
      // record the current position in a bookmark
   var sBookMark = oRange.getBookmark();
      // true - case-insensitive and partial word match
   oRange.findText('leo');
      // reset the range using the bookmark
   oRange.moveToBookmark(sBookMark);
      // false - matches whole words only
   oRange.findText('engineer', 0, 2);
   oRange.moveToBookmark(sBookMark);
      // false - case-sensitive
   oRange.findText('high', 0, 4);
   oRange.moveToBookmark(sBookMark);
      // true - case-sensitive and matches whole words
   oRange.findText('Leonardo', 0, 6);

      // the degenerate case
   oRange.moveToBookmark(sBookMark);
      // make the range degenerate
   oRange.collapse();
      // false - must specify large character count in this case
   oRange.findText('Leonardo', 0, 6);
      // true - no third parameter passed, so no count needed
   oRange.findText('Leonardo');
      // true - a large count covers the range
   oRange.findText('Leonardo', 1000000000, 6);
</SCRIPT>

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

TextRange


firstPage Method

Moves to the first page of records in the data set, and scrolls it into view.

Syntax

TABLE.firstPage()

Return Value

No return value.

Remarks

The number of records displayed in the table is determined by the dataPageSize property of the table. You must set the DATAPAGESIZE attribute when designing the page, or set the corresponding dataPageSize property at run time for this method to have any effect.

Note You do not need to check for boundary conditions.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
TABLE

See Also

lastPage


focus Method

Causes a control to receive the focus, and executes the code specified by the onfocus event.

Syntax

object.focus()

Return Value

No return value.

Remarks

This method fires the onfocus event.

As of Microsoft® Internet Explorer 5, elements that expose the focus method must have the TABINDEX attribute set.

Elements cannot receive focus until the document finishes loading.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ACRONYM, ADDRESS, APPLET, AREA, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, custom, DD, DEL, DFN, DIR, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, Hn, HR, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, ISINDEX, KBD, LABEL, LEGEND, LI, LISTING, MARQUEE, MENU, OBJECT, OL, P, PLAINTEXT, PRE, Q, RT, RUBY, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, window, XMP


forward Method

Loads the next URL in the History list.

Syntax

history.forward()

Return Value

No return value.

Remarks

This method performs the same action as when a user clicks the Forward button in the browser. The forward method works the same as history.go(1). An error does not occur if the user tries to go beyond the end of the history. Instead, the user remains at the current page.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

history

See Also

back, go


getAdjacentText Method

Returns the adjacent text character.

Syntax

object.getAdjacentText(sWhere)

Parameters

sWhere Required. String that specifies where the text is located, using one of the following values:
beforeBegin | Text is returned immediately before the element.
afterBegin | Text is returned after the start of the element but before all other content in the element.
beforeEnd | Text is returned immediately before the end of the element but after all other content in the element.
afterEnd | Text is returned immediately after the end of the element.

Return Value

Returns the first adjacent text character.

Example

This example uses the getAdjacentText method to find specific text.

<SCRIPT>
function fnFind(){
    var sWhere = oSel.options[oSel.selectedIndex].text;
    alert(oPara.getAdjacentText(sWhere));
}
</SCRIPT>
This is the text before (beforeBegin).
<P ID=oPara>
This is the text after (afterBegin).
<B>A few extra words.</B>
This is the text before (beforeEnd).
</P>
This is the text after (afterEnd).

<SELECT ID=oSel>
<OPTION SELECTED>beforeBegin
<OPTION>afterBegin
<OPTION>beforeEnd
<OPTION>afterEnd
</SELECT>
<INPUT TYPE="button" VALUE="Find text" onclick="fnFind()">

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ACRONYM, ADDRESS, APPLET, AREA, B, BASE, BASEFONT, BDO, BIG, BLOCKQUOTE, BODY, BR, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, COMMENT, custom, DD, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, HEAD, Hn, HR, HTML, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LABEL, LEGEND, LI, LINK, LISTING, MAP, MARQUEE, MENU, NEXTID, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TITLE, TR, TT, U, UL, VAR, XMP


getAttribute Method

Retrieves the value of the specified attribute.

Syntax

vAttrValue = object.getAttribute(sAttrName [, iFlags])

Parameters

sAttrName Required. String that specifies the name of the attribute.
iFlags Optional. Integer that specifies one or more of the following flags:
0 | Default. Performs a property search that is not case-sensitive, and returns an interpolated value if the property is found.
1 | Performs a case-sensitive property search. To find a match, the uppercase and lowercase letters in sAttrName must exactly match those in the attribute name. If the iFlags parameter for setAttribute is set to true and this option is set to 0 (default), the specified property name might not be found.
2 | Returns the value exactly as it was set in script or in the source document.

Return Value

Variant. Returns a string, number, or Boolean value as defined by the attribute. If the attribute is not present, this method returns null.

Remarks

If two or more attributes have the same name (differing only in uppercase and lowercase letters) and iFlags is 0, the getAttribute method retrieves values only for the last attribute created with this name, and ignores all other attributes with the same name.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ADDRESS, APPLET, AREA, B, BASE, BASEFONT, BGSOUND, BIG, BLOCKQUOTE, BODY, BR, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, COMMENT, custom, DD, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, HEAD, Hn, HR, HTML, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, KBD, LABEL, LEGEND, LI, LINK, LISTING, MAP, MARQUEE, MENU, META, NEXTID, NOBR, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TITLE, TR, TT, U, UL, VAR, WBR, XMP


getAttribute Method

Returns the value of the named attribute.

Syntax

sValue = userProfile.getAttribute(sAttributeName)

Parameters

sAttributeName Required. String that specifies one of the standard vCard names listed in Remarks. If one of these names is not used, the request is ignored.

Return Value

String. Returns a null value if read access for this attribute is not available.

Remarks

The following schema is used for the field names of the user data store. These names are specified when you use the getAttribute method on the userProfile object. Note that the format has changed from vCard_xxx to vCard.xxx, and that the older format no longer is supported.

vCard Names

vCard.Business.City | vCard.Business.Country | vCard.Business.Fax
vCard.Business.Phone | vCard.Business.State | vCard.Business.StreetAddress
vCard.Business.URL | vCard.Business.Zipcode | vCard.Cellular
vCard.Company | vCard.Department | vCard.DisplayName
vCard.Email | vCard.FirstName | vCard.Gender*
vCard.Home.City | vCard.Home.Country | vCard.Home.Fax
vCard.Home.Phone | vCard.Home.State | vCard.Home.StreetAddress
vCard.Home.Zipcode | vCard.Homepage | vCard.JobTitle
vCard.LastName | vCard.MiddleName | vCard.Notes
vCard.Office | vCard.Pager

Note An asterisk (*) denotes extensions to the vCard schema. Extensions are referenced as X- elements as defined in the vCard schema.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

userProfile


getBookmark Method

Retrieves a bookmark (opaque string) that can be used with moveToBookmark to return to the same range.

Syntax

sBookmark = TextRange.getBookmark()

Return Value

String. Returns the bookmark if successfully retrieved, or null otherwise.

Remarks

This feature might not be available on non-Win32® platforms. For the latest information about Internet Explorer cross-platform compatibility, see article q172976 Internet Link Non-MSDN link in the Microsoft Knowledge Base.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

TextRange


getBoundingClientRect Method

Retrieves an object specifying the bounds of a collection of TextRectangle objects.

Syntax

[ oRect ] = object.getBoundingClientRect()

Return Value

oRect. Returns a TextRectangle object. Each rectangle has four integer properties (top, left, right, and bottom) that represent a coordinate of the rectangle, in pixels.

Remarks

This method retrieves an object that exposes the left, top, right, and bottom coordinates of the union of rectangles relative to the client's upper-left corner. In Microsoft® Internet Explorer 5, the window's upper-left is at 2,2 (pixels) with respect to the true client.

Example

This example uses the getClientRects and getBoundingClientRect methods to highlight text lines in an object.

Sample Code

<HEAD>
<SCRIPT>
var rcts;
var keyCount=0;

function Highlight(obj) {
    rcts = obj.getClientRects();
    rctLength= rcts.length;

    if (keyCount > rctLength-1) {
        idBeige.style.display="none";
        keyCount = 0
    }

    // set the rendering properties for the yellow DIV
    cdRight = rcts[keyCount].right + idBody.scrollLeft;
    cdLeft = rcts[keyCount].left + idBody.scrollLeft;
    cdTop = rcts[keyCount].top + idBody.scrollTop;
    cdBottom = rcts[keyCount].bottom + idBody.scrollTop;
    idYellow.style.top = cdTop;
    idYellow.style.width = (cdRight-cdLeft) - 5;
    idYellow.style.display = 'inline';

    // set the rendering properties for the beige DIV
    bndRight = obj.getBoundingClientRect().right +
        idBody.scrollLeft;
    bndLeft = obj.getBoundingClientRect().left +
        idBody.scrollLeft;
    bndTop = obj.getBoundingClientRect().top +
        idBody.scrollTop;
    idBeige.style.top = bndTop;
    idBeige.style.width = (bndRight-bndLeft) - 5;
    idBeige.style.height = cdTop - bndTop;
    if (keyCount>0){
        idBeige.style.display = 'inline';
    }
    keyCount++;
}
</SCRIPT>
</HEAD>

<BODY ID="idBody">
<DIV ID="oID_1" onclick="Highlight(this)"
    onkeydown="Highlight(this)">
A large block of text should go here. Click on this
block of text multiple times to see each line
highlight with every click of the mouse button.
Once each line has been highlighted, the process
will begin again starting with the first line.
</DIV>
<DIV STYLE="position:absolute; left:5; top:400;
z-index:-1; background-color:yellow; display:none"
ID="idYellow"></DIV>
<DIV STYLE="position:absolute; left:5; top:400;
z-index:-1; background-color:beige; display:none"
ID="idBeige"></DIV>
</BODY>

This feature requires Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

This example uses the TextRectangle collection with the getClientRects and getBoundingClientRect methods to determine the position of the text rectangle within an element. In each line, the left-justified text does not extend to the right margin of the box that contains the text. Using the collection, you can determine the coordinates of the rectangle that surrounds only the content in each line. The example code reads these rectangle coordinates and instructs the ball to move over the text only, and not to the end of the line.

Sample Code

<HEAD>
<SCRIPT>
var timid = -1;
var timoID_2 = -1;
var nLine;
var nPosInLine;
var oRcts;
var nDivLen;
var nEraser;

function LoadDone() {
    oTextRange = document.body.createTextRange();
    // Get bounding rect of the range
    oRcts = oTextRange.getClientRects();
    nLine = 0;
    oBndRct = obj.getBoundingClientRect();
    nDivLen = oBndRct.right - oBndRct.left + 1;
    MoveTo();
}

function MoveTo() {
    if (nLine >= oRcts.length) {
        nLine = 0;
    }
    obj.style.top = oRcts[nLine].top;
    nPosInLine = oRcts[nLine].left;
    nEraser = 0;
    timoID_2 = setInterval("MoveToInLine()",60);
}

function MoveToInLine() {
    if (nPosInLine >= oRcts[nLine].right - nDivLen) {
        clearInterval(timoID_2);
        timoID_2 = -1;
        obj.style.left = oRcts[nLine].right - nDivLen;
        nLine++;
        timid = setTimeout("MoveTo()", 100);
        return;
    }
    if (nEraser == 0) {
        nEraser = 1;
    }
    else {
        nEraser = 0;
    }
    im.src = "/workshop/graphics/dot.gif";
    obj.style.left = nPosInLine;
    nPosInLine += 3;
}

function End() {
    if(timid != -1) {
        clearInterval(timid);
        timid = -1;
    }
    if(timoID_2 != -1) {
        clearInterval(timoID_2);
        timoID_2 = -1;
    }
}
</SCRIPT>
</HEAD>

<BODY ID="bodyid" onload="LoadDone()"
    onresize="End();LoadDone();" onunload="End()">
<P STYLE="text-align:center">
<B>The quick brown fox jumps over the lazy dog.</B>
</P>
<DIV ID="obj" STYLE="position:absolute">
<IMG ID="im" SRC="/workshop/graphics/dot.gif"
    BORDER=0 HEIGHT=16 WIDTH=16>
</DIV>
</BODY>
This feature requires Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ACRONYM, ADDRESS, APPLET, AREA, B, BASE, BASEFONT, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, COMMENT, custom, DD, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, Hn, I, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, ISINDEX, KBD, LABEL, LEGEND, LI, LINK, LISTING, MAP, MARQUEE, MENU, NEXTID, NOBR, OBJECT, OL, OPTION, P, PRE, Q, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TextRange, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP


getClientRects Method

Retrieves a collection of rectangles that describes the layout of the contents of an object or range within the client. Each rectangle describes a single line.

Syntax

collRect = object.getClientRects()

Return Value

collRect. Returns the TextRectangle collection. Each rectangle has four integer properties (top, left, right, and bottom) that each represent a coordinate of the rectangle, in pixels.

Example

This example uses the getClientRects and getBoundingClientRect methods to highlight text lines in an object.

Sample Code

<HEAD>
<SCRIPT>
var rcts;
var keyCount=0;

function Highlight(obj) {
    rcts = obj.getClientRects();
    rctLength= rcts.length;

    if (keyCount > rctLength-1) {
        idBeige.style.display="none";
        keyCount = 0
    }

    // set the rendering properties for the yellow DIV
    cdRight = rcts[keyCount].right + idBody.scrollLeft;
    cdLeft = rcts[keyCount].left + idBody.scrollLeft;
    cdTop = rcts[keyCount].top + idBody.scrollTop;
    cdBottom = rcts[keyCount].bottom + idBody.scrollTop;
    idYellow.style.top = cdTop;
    idYellow.style.width = (cdRight-cdLeft) - 5;
    idYellow.style.display = 'inline';

    // set the rendering properties for the beige DIV
    bndRight = obj.getBoundingClientRect().right +
        idBody.scrollLeft;
    bndLeft = obj.getBoundingClientRect().left +
        idBody.scrollLeft;
    bndTop = obj.getBoundingClientRect().top +
        idBody.scrollTop;
    idBeige.style.top = bndTop;
    idBeige.style.width = (bndRight-bndLeft) - 5;
    idBeige.style.height = cdTop - bndTop;
    if (keyCount>0){
        idBeige.style.display = 'inline';
    }
    keyCount++;
}
</SCRIPT>
</HEAD>

<BODY ID="idBody">
<DIV ID="oID_1" onclick="Highlight(this)"
    onkeydown="Highlight(this)">
A large block of text should go here. Click on this
block of text multiple times to see each line
highlight with every click of the mouse button.
Once each line has been highlighted, the process
will begin again starting with the first line.
</DIV>
<DIV STYLE="position:absolute; left:5; top:400;
z-index:-1; background-color:yellow; display:none"
ID="idYellow"></DIV>
<DIV STYLE="position:absolute; left:5; top:400;
z-index:-1; background-color:beige; display:none"
ID="idBeige"></DIV>
</BODY>

This feature requires Microsoft® Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

This example uses the TextRectangle collection with the getClientRects and getBoundingClientRect methods to determine the position of the text rectangle within an element. In each line, the left-justified text does not extend to the right margin of the box that contains the text. Using the collection, you can determine the coordinates of the rectangle that surrounds only the content in each line. The example code reads these rectangle coordinates and instructs the ball to move over the text only, and not to the end of the line.

Sample Code

<HEAD>
<SCRIPT>
var timid = -1;
var timoID_2 = -1;
var nLine;
var nPosInLine;
var oRcts;
var nDivLen;
var nEraser;

function LoadDone() {
    oTextRange = document.body.createTextRange();
    // Get bounding rect of the range
    oRcts = oTextRange.getClientRects();
    nLine = 0;
    oBndRct = obj.getBoundingClientRect();
    nDivLen = oBndRct.right - oBndRct.left + 1;
    MoveTo();
}

function MoveTo() {
    if (nLine >= oRcts.length) {
        nLine = 0;
    }
    obj.style.top = oRcts[nLine].top;
    nPosInLine = oRcts[nLine].left;
    nEraser = 0;
    timoID_2 = setInterval("MoveToInLine()",60);
}

function MoveToInLine() {
    if (nPosInLine >= oRcts[nLine].right - nDivLen) {
        clearInterval(timoID_2);
        timoID_2 = -1;
        obj.style.left = oRcts[nLine].right - nDivLen;
        nLine++;
        timid = setTimeout("MoveTo()", 100);
        return;
    }
    if (nEraser == 0) {
        nEraser = 1;
    }
    else {
        nEraser = 0;
    }
    im.src = "/workshop/graphics/dot.gif";
    obj.style.left = nPosInLine;
    nPosInLine += 3;
}

function End() {
    if(timid != -1) {
        clearInterval(timid);
        timid = -1;
    }
    if(timoID_2 != -1) {
        clearInterval(timoID_2);
        timoID_2 = -1;
    }
}
</SCRIPT>
</HEAD>

<BODY ID="bodyid" onload="LoadDone()"
    onresize="End();LoadDone();" onunload="End()">
<P STYLE="text-align:center">
<B>The quick brown fox jumps over the lazy dog.</B>
</P>
<DIV ID="obj" STYLE="position:absolute">
<IMG ID="im" SRC="/workshop/graphics/dot.gif"
    BORDER=0 HEIGHT=16 WIDTH=16>
</DIV>
</BODY>
This feature requires Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ACRONYM, ADDRESS, APPLET, AREA, B, BASE, BASEFONT, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, COMMENT, custom, DD, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, Hn, I, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, ISINDEX, KBD, LABEL, LEGEND, LI, LINK, LISTING, MAP, MARQUEE, MENU, NEXTID, NOBR, OBJECT, OL, OPTION, P, PRE, Q, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TextRange, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP

See Also

TextRectangle Object


getData Method

Retrieves the data in the specified format from the clipboard through the dataTransfer or clipboardData objects.

Syntax

sRetrieveData = object.getData(sDataFormat)

Parameters

sDataFormat Required. String that specifies one of the following data format values:
Text | Retrieves data formatted as text.
URL | Retrieves data formatted as a URL.

Return Value

String. Returns the data in the format retrieved from clipboard through the dataTransfer or clipboardData object. Depending on the information contained in setData, this variable can retrieve a path to an image, text, or an anchor URL.

Remarks

The getData method enforces cross-frame security and allows data transfers within the same domain only. To the user this means that dragging a selection between different security protocols, such as HTTP and HTTPS, will fail. In addition, dragging a selection between two instances of the browser with different security levels, where the first instance is set to medium and the second is set to high, will fail. Finally, dragging a selection into the browser from another drag-enabled application, such as Microsoft® Word, also will fail.

To use the getData method to retrieve data from the clipboard within the oncopy or oncut event, specify window.event.returnValue=false within the event handler script.

Example

The following examples use the setData and getData methods of the dataTransfer object to drop text in a new location and create a desktop shortcut.

Sample Code

This example uses the getData method to drag text and drop it in a new location.

<HEAD>
<SCRIPT>
function InitiateDrag(){
  event.dataTransfer.setData(oSource.innerText);
}

function FinishDrag(){
  window.event.returnValue=false;
  oTarget.innerText = event.dataTransfer.getData("Text");
}
function OverDrag(){
  window.event.returnValue=false;
}
</SCRIPT>
</HEAD>
<BODY>

<B ID="oSource"
   ondragstart="InitiateDrag()">
drag this text</B>

<SPAN ID="oTarget"
   ondragover="OverDrag()"
   ondragenter="FinishDrag()"">
drop text here</SPAN>

</BODY>

This feature requires Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

This example uses the getData method to create a desktop shortcut using a drag-and-drop operation.

<HEAD>
<SCRIPT>
function InitiateDrag(){
  event.dataTransfer.setData("URL", oSource.href);
}

function FinishDrag(){
  oTarget.innerText = event.dataTransfer.getData("URL");
}
</SCRIPT>
</HEAD>
<BODY>

<A ID=oSource HREF="about:Example_Complete"
   onclick="return(false)" ondragstart="InitiateDrag()">Test Anchor</A>

<SPAN ID=oTarget ondrop="FinishDrag()">Drop Here</SPAN>

</BODY>

This feature requires Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
clipboardData, dataTransfer

See Also

dhtml data transfer overview Internet Link, clearData, setData


getElementById Method

Returns a reference to the first object with the specified value of the ID attribute.

Syntax

oElement = document.getElementById(sIDValue)

Parameters

sIDValue Required. String that specifies the value of an ID attribute.

Return Value

Returns the first object with the same ID attribute as the specified value.

Remarks

If the ID value belongs to a collection, the getElementById method returns the first object in the collection.

Example

This example uses the getElementById method to return the first occurrence of the ID attribute value, oDiv.

Sample Code

<SCRIPT>
function fnGetId(){
   // Returns the first DIV element in the collection.
   var oVDiv=document.getElementById("oDiv");
}
</SCRIPT>
<DIV ID="oDiv">Div #1</DIV>
<DIV ID="oDiv">Div #2</DIV>
<DIV ID="oDiv">Div #3</DIV>
<INPUT TYPE="button" VALUE="Get Names" onclick="fnGetId()">

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
document

See Also

document object model overview Internet Link


getElementsByName Method

Retrieves a collection of objects based on the value of the NAME attribute.

Syntax

collObjects = document.getElementsByName(sNameValue)

Parameters

sNameValue Required. String that specifies the value of a NAME attribute.

Return Value

Returns a collection of objects with the same NAME attribute value.

Remarks

When you use the getElementsByName method, all elements in the document that have the specified NAME attribute value are returned.

Elements that support the NAME attribute are included in the collection returned by the getElementsByName method, but not elements with a NAME expando.

Example

This example uses the getElementsByName method to return a collection of INPUT type=text elements with the specified NAME attribute value, firstName.

Sample Code

<SCRIPT>
function fnGetNames(){
   // Returns a collection with 2 INPUT type=text elements.
   var aInput=document.getElementsByName("firstName");
}
</SCRIPT>
<INPUT TYPE="text" NAME="firstName">
<INPUT TYPE="text" NAME="firstName">
<INPUT TYPE="button" VALUE="Get Names" onclick="fnGetNames()">

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
document

See Also

document object model overview Internet Link


getElementsByTagName Method

Retrieves a collection of objects based on the specified element name.

Syntax

collObjects = document.getElementsByTagName(sTagName)

Parameters

sTagName Required. String that specifies the name of an element.

Return Value

Returns a collection of objects with the specified element name.

Remarks

The getElementsByTagName method is equivalent to using the tags method on the all collection. For example, the following code shows how to retrieve a collection of DIV elements from the BODY element, first using the DHTML Object Model and then the Document Object Model (DOM).

  • Using the DHTML Object Model:

    var aDivs = document.body.all.tags("DIV");

  • Using the DOM:

    var aDivs = document.body.getElementsByTagName("DIV");

When you use the getElementsByTagName method, all child elements with the specified tag name are returned.

Example

This example uses the getElementsByTagName method to return the children of a UL element based on the selected LI element.

Sample Code

<SCRIPT>
function fnGetTags(){
   var oWorkItem=event.srcElement;
   var aReturn=oWorkItem.parentElement.getElementsByTagName("LI");
   alert("Length: "
      + aReturn.length
      + "\nFirst Item: "
      + aReturn[0].childNodes[0].nodeValue);
}
</SCRIPT>
<UL onclick="fnGetTags()">
<LI>Item 1
   <UL>
      <LI>Sub Item 1.1
      <OL>
         <LI>Super Sub Item 1.1
         <LI>Super Sub Item 1.2
      </OL>
      <LI>Sub Item 1.2
      <LI>Sub Item 1.3
   </UL>
<LI>Item 2
   <UL>
      <LI>Sub Item 2.1
      <LI>Sub Item 2.3
   </UL>
<LI>Item 3
</UL>
This feature requires Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ACRONYM, ADDRESS, APPLET, AREA, B, BASE, BASEFONT, BDO, BGSOUND, BIG, BLOCKQUOTE, BODY, BR, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, custom, DD, DEL, DFN, DIR, DIV, DL, document, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, HEAD, Hn, HR, HTML, I, IFRAME, IMG, INS, KBD, LABEL, LEGEND, LI, LINK, LISTING, MAP, MARQUEE, MENU, OL, P, PLAINTEXT, PRE, Q, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TITLE, TR, TT, U, UL, VAR, XMP

See Also

document object model overview Internet Link


getExpression Method

Retrieves the expression for the given property.

Syntax

vExpression = object.getExpression(sPropertyName)

Parameters

sPropertyName Required. String that specifies the name of the property from which to retrieve the expression.

Return Value

Variant. Returns a variant value representing the expression of the property.

Remarks

The following syntax sections show how to retrieve an expression from supported cascading style sheets (CSS) attributes and Dynamic HTML (DHTML) properties.

  • Use this syntax to retrieve an expression from a read/write property or from an expando property.
    var sExpression = object.getExpression(sPropertyName)
  • Use this syntax to retrieve an expression from a CSS attribute.
    var sExpression = object.style.getExpression(sPropertyName)

Example

This example uses the getExpression method to set the width of a paragraph equal to the sum of the width of two images. The getExpression method returns a variant containing the expression.

Sample Code

<P ID=para1 STYLE="width:expression(Img1.width + Img2.width);
back-color:blue" onclick="getexp()">Click here to see the
expression.</P>

<SCRIPT>
var s;

function getexp()
{
    s=para1.style.getExpression("width");
    alert("Expression for the width of the paragraph is \n\n"
        + s + "\n\nThe width property has a value of "
        + oBox3.style.width);
}
</SCRIPT>

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ACRONYM, ADDRESS, AREA, B, BDO, BIG, BLOCKQUOTE, BODY, BR, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, custom, DD, DEL, DFN, DIR, DIV, DL, DT, EM, FIELDSET, FONT, FORM, Hn, HR, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LABEL, LEGEND, LI, LISTING, MARQUEE, MENU, NOBR, OBJECT, OL, OPTION, P, PRE, Q, RT, RUBY, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR

See Also

dynamic properties Internet Link, recalc, removeExpression, setExpression


go Method

Loads a URL from the History list.

Syntax

history.go(vLocation)

Parameters

vLocation Required. Variant that specifies an integer or a string. The integer indicates the relative position of the URL in the History list, and the string indicates all or part of a URL in the browser history.

Return Value

No return value.

Remarks

An error does not occur if the user tries to go beyond the beginning or end of the history. Instead, the user remains at the current page.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

history

See Also

back, forward


hasChildNodes Method

Returns whether the object has children.

Syntax

bChildNodes = object.hasChildNodes()

Return Value

Boolean. Returns true if the object contains HTML elements or TextNodes.

Remarks

If the object contains HTML elements or TextNodes, they can be accessed from the childNodes collection.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ACRONYM, ADDRESS, APPLET, AREA, B, BASE, BASEFONT, BDO, BIG, BLOCKQUOTE, BODY, BR, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, COMMENT, DD, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, HEAD, Hn, HR, HTML, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LABEL, LEGEND, LI, LINK, LISTING, MAP, MARQUEE, MENU, NEXTID, OL, OPTION, P, PLAINTEXT, PRE, Q, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TITLE, TR, TT, U, UL, VAR, XMP


ImportExportFavorites Method

Imports or exports Favorites information.

Syntax

window.external.ImportExportFavorites(bImportExport [, sImportExportPath])

Parameters

bImportExport Required. Boolean that specifies one of the following values:
true | Import is requested.
false | Export is requested.
sImportExportPath Optional. String that specifies the location (URL) to import or export, depending on bImportExport. If a value is not provided, a file dialog box is opened.

Return Value

No return value.

Remarks

Confirmation is required before the import or export begins.

All favorites are uploaded to the server when exported, and it is recommended that the server be configured to erase previously stored favorites before accepting the updates. Favorites imported from the server merge with existing favorites on the client. Deletions on the server do not propagate to the client.

This method is not supported in html applications Internet Link.

Example

This example uses the ImportExportFavorites method to import Favorites information from the server.

// 'true' specifies that the Favorites are imported from the server.
window.external.ImportExportFavorites(
     true,"http://www.your_server.com");

This example uses the ImportExportFavorites method to export Favorites information from the server.

// 'false' specifies that the Favorites are exported to the server.
window.external.ImportExportFavorites(
     false,"http://www.your_server.com");

This example uses the ImportExportFavorites method to open a file dialog box.

// If the path is not provided, a dialog box is opened.
window.external.ImportExportFavorites(false);

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
external

See Also

netscape bookmark file format Internet Link


inRange Method

Returns whether one range is contained within another.

Syntax

bFound = TextRange.inRange(oRange)

Parameters

oRange Required. Object that specifies a TextRange object.

Return Value

Boolean. Returns true if the range passed as the method parameter is contained within or is equal to the range on which the method is called, or false otherwise.

Remarks

This feature might not be available on non-Win32® platforms. For the latest information about Internet Explorer cross-platform compatibility, see article q172976 Internet Link Non-MSDN link in the Microsoft Knowledge Base.

Example

Sample Code

This example uses the inRange method to show that two TextRange objects are equal.

<HTML>
<SCRIPT>
window.onload=fnCheck;
function fnCheck(){
      var oRng1 = document.body.createTextRange();
      var oRng2 = oRng1.duplicate();
      var bInside = oRng1.inRange(oRng2); // returns true;
}
</SCRIPT>

<BODY>
    <DIV ID=div1>
    Content for division 1.
    </DIV>
    <DIV ID=div2>
    Content for division 2.
    </DIV>
</BODY>
</HTML>

This example uses the inRange method to show that two contained ranges are not equal.

<HTML>
<SCRIPT>
window.onload=fnCheck;
function fnCheck(){
    var oRng1.moveToElementText(div1);
    var oRng2.moveToElementText(div2);
    var bInside = oRng1.inRange(oRng2); // returns false;
}
</SCRIPT>

<BODY>
    <DIV ID=div1>
    Content for division 1.
    </DIV>
    <DIV ID=div2>
    Content for division 2.
    </DIV>
</BODY>
</HTML>

This example uses the inRange method to show that a text range exists within another text range.

<HTML>
<SCRIPT>
window.onload=fnCheck;
function fnCheck(){
    var oRng1 = document.body.createTextRange();
    var oRng3 = oRng1.duplicate();
    oRng3.findText('division 1');
    var bInside = oRng1.inRange(oRng3); // returns true;
}
</SCRIPT>
<BODY>
   <DIV ID=div1>
   Content for division 1.
   </DIV>
   <DIV ID=div2>
   Content for division 2.
   </DIV>
</BODY>
</HTML>
This feature requires Microsoft® Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

TextRange

See Also

isEqual


insertAdjacentElement Method

Inserts an element at the specified location.

Syntax

oElement = object.insertAdjacentElement(sWhere, oElement)

Parameters

sWhere Required. String that specifies where to insert the HTML text, using one of the following values:
beforeBegin | Inserts oElement immediately before the object.
afterBegin | Inserts oElement after the start of the object but before all other content in the object.
beforeEnd | Inserts oElement immediately before the end of the object but after all other content in the object.
afterEnd | Inserts oElement immediately after the end of the object.
oElement Required. Object that specifies the element to be inserted adjacent to the object that invoked the insertAdjacentElement method.

Return Value

Returns an element object.

Remarks

This method is accessible at run time. If elements are removed at run time, before the closing tag is parsed, areas of the document might not render.

Example

This example uses the insertAdjacentElement method to add a new list item to an OL object.

<SCRIPT>
function fnAdd(){
   var oNewItem = document.createElement("LI");
   oList.children(0).insertAdjacentElement("AfterBegin",oNewItem);
   oNewItem.innerText = "List Item 0";
}
</SCRIPT>
:
<BODY>
<OL ID = "oList">
<LI>List Item 1</LI>
<LI>List Item 2</LI>
<LI>List Item 3</LI>
</OL>

<INPUT TYPE = "button" VALUE = "Add Item" onclick="fnAdd()">

</BODY>

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ACRONYM, ADDRESS, APPLET, AREA, B, BASE, BASEFONT, BDO, BGSOUND, BIG, BLOCKQUOTE, BODY, BR, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, COMMENT, DD, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, HEAD, Hn, HR, HTML, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LABEL, LEGEND, LI, LINK, LISTING, MAP, MARQUEE, MENU, NEXTID, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TITLE, TR, TT, U, UL, VAR, XMP


insertAdjacentHTML Method

Inserts the given HTML text into the element at the location.

Syntax

object.insertAdjacentHTML(sWhere, sText)

Parameters

sWhere Required. String that specifies where to insert the HTML text, using one of the following values:
beforeBegin | Inserts sText immediately before the object.
afterBegin | Inserts sText after the start of the object but before all other content in the object.
beforeEnd | Inserts sText immediately before the end of the object but after all other content in the object.
afterEnd | Inserts sText immediately after the end of the object.
sText Required. String that specifies the HTML text to insert. The string can be a combination of text and HTML tags. This must be well-formed, valid HTML or this method will fail.

Return Value

No return value.

Remarks

If the text contains HTML tags, the method parses and formats the text as it is inserted.

You cannot insert text while the document is loading. Wait for the onload event to fire before attempting to call this method.

As of Microsoft® Internet Explorer 5, this method is accessible at run time. If elements are removed at run time, before the closing tag is parsed, areas of the document might not render.

When using the insertAdjacentHTML method to insert script, you must include the DEFER attribute in the SCRIPT element.

Example

This example uses the insertAdjacentHTML method to insert script into the page.

Sample Code

var sHTML="<input type=button onclick=" +
    "go2()" + " value='Click Me'><BR>"
var sScript='<SCRIPT DEFER>'
sScript = sScript +
    'function go2(){ alert("Hello from inserted script.") }'
sScript = sScript + '</script' + '>';
ScriptDiv.insertAdjacentHTML("afterBegin",sHTML + sScript);

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ADDRESS, AREA, B, BASEFONT, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, COMMENT, custom, DD, DFN, DIR, DIV, DL, DT, EM, FIELDSET, FONT, FORM, FRAMESET, Hn, HR, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, KBD, LABEL, LEGEND, LI, LISTING, MAP, MARQUEE, MENU, NOBR, OL, OPTION, P, PLAINTEXT, PRE, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TD, TEXTAREA, TH, TT, U, UL, VAR, XMP

See Also

innerHTML, insertAdjacentText, outerHTML


insertAdjacentText Method

Inserts the given text into the element at the specified location.

Syntax

object.insertAdjacentText(sWhere, sText)

Parameters

sWhere Required. String that specifies where to insert the text, using one of the following values:
beforeBegin | Inserts the text immediately before the element.
afterBegin | Inserts the text after the start of the element but before all other content in the element.
beforeEnd | Inserts the text immediately before the end of the element but after all other content in the element.
afterEnd | Inserts the text immediately after the end of the element.
sText Required. String that specifies the text to insert.

Return Value

No return value.

Remarks

The text inserted into the element is plain text

You cannot insert text while the document loads. Wait for the onload event to fire before attempting to call this method.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ADDRESS, AREA, B, BASEFONT, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, COMMENT, custom, DD, DFN, DIR, DIV, DL, DT, EM, FIELDSET, FONT, FORM, FRAMESET, Hn, HR, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, KBD, LABEL, LEGEND, LI, LISTING, MAP, MARQUEE, MENU, NOBR, OL, OPTION, P, PRE, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TD, TEXTAREA, TH, TT, U, UL, VAR

See Also

innerText, insertAdjacentHTML, outerText


insertBefore Method

Inserts an element into the document hierarchy.

Syntax

oElement = object.insertBefore(oNewNode [, oChildNode])

Parameters

oNewNode | Required. Object that specifies the new element to be inserted into the document hierarchy. Elements can be created with the createElement method.
oChildNode | Optional. Object that specifies the new element to be inserted before this child element, if specified.

Return Value

Returns a reference to the element that is inserted into the document.

Remarks

Do not specify an oChildNode parameter when inserting the first child node. If children already exist and you do not specify the oChildNode parameter, the oNewNode becomes the last child of the parent object.

This method is accessible at run time. If elements are removed at run time, before the closing tag has been parsed, areas of the document might not render.

Example

This example uses the insertBefore method to insert a block of bold text into the document.

Sample Code

<HEAD>
<SCRIPT>
    function insertElement()
    {
        var nod=document.createElement("B");
        document.body.insertBefore(nod);
        nod.innerText="A New bold object has been
                    inserted into the document."
    }
</SCRIPT>
</HEAD>
<BODY>
<DIV ID=Div1 onclick="insertElement()">
Click here to insert a new bold element into this div.
</DIV>
</BODY>

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ACRONYM, ADDRESS, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, COMMENT, DD, DEL, DFN, DIR, DIV, DL, DT, EM, FIELDSET, FONT, FORM, FRAMESET, HEAD, Hn, HTML, I, IFRAME, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LABEL, LEGEND, LI, LISTING, MAP, MARQUEE, MENU, NEXTID, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP


insertCell Method

Creates a new cell in the table row (TR), and adds the cell to the cells collection.

Syntax

oTD = TR.insertCell([iIndex])

Parameters

iIndex Optional. Integer that specifies where to insert the cell in the TR. The default value is -1, which appends the new cell to the end of the cells collection.

Return Value

Returns the TD element object if successful, or null otherwise.

Remarks

The preferred technique for inserting a cell is to add the cell at the end of the cells collection. It is faster to add a cell at the end of a row than somewhere in the middle. To add a cell at the end of the collection, specify the -1 value, or the length of the cells collection minus 1.

Example

This example uses the insertCell method to add a cell to the end of the TR.

myNewCell = document.all.myTable.rows[0].insertCell()

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

TR

See Also

deleteCell, insertRow


insertRow Method

Creates a new row (TR) in the table, and adds the row to the rows collection.

Syntax

oTR = object.insertRow([iIndex])

Parameters

iIndex Optional. Integer that specifies where to insert the row in the rows collection. The default value is -1, which appends the new row to the end of the rows collection.

Return Value

Returns the TR element object if successful, or null otherwise.

Remarks

If you insert a row in a TFOOT, TBODY, or THEAD, you also need to add the row to the rows collection for the TABLE. If you insert a row in the TABLE, you also need to add the row to the rows collection for the TBODY. If you specify an index, the index should be relative to the rows collection for the element that first contains the TR. For example, if you call this method for a TBODY, you must specify an index value relative to the rows collection that is on the TBODY, not the TABLE.

The preferred technique for inserting a row is to add the row at the end of the rows collection. It is faster to add a row at the end of a table than somewhere in the middle. To add a row at the end of the collection, specify the -1 value, or the length of the rows collection minus 1.

Example

This example uses the insertRow method to add a row to the TABLE.

myNewRow = document.all.myTable.insertRow()

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

TABLE, TBODY, TFOOT, THEAD

See Also

rowIndex, rows, sectionRowIndex


isEqual Method

Returns whether the specified range is equal to the current range.

Syntax

bEqual = TextRange.isEqual(oCompareRange)

Parameters

oCompareRange Required. Object that specifies the TextRange object to compare to the parent object.

Return Value

Boolean. Returns true if equal, or false otherwise.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

TextRange

See Also

inRange


IsSubscribed Method

Returns whether the client subscribes to the given channel.

Syntax

bSubscribed = window.external.IsSubscribed(sURLToCDF)

Parameters

sURLToCDF Required. String that specifies the URL of a Channel Definition Format (CDF) file to be checked for a subscription.

Return Value

Boolean. Returns true if the channel is subscribed to, or false if no subscription exists for that CDF file.

Remarks

For security purposes, if this method is used in an HTML page that is not in the same secondary domain specified in sURLToCDF, the method returns a scripting error.

For more information about Microsoft® Active Channel™ technology, see the active channel technology overview Internet Link.

This method is not supported in html applications Internet Link.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

external


item Method

Retrieves an object or a collection from the specified collection.

Syntax

vItem = object.item(vIndex [, iSubIndex])

Parameters

vIndex | Required. Variant that specifies the number or string that indicates the object or collection to retrieve. If this parameter is a number, the method returns the object in the collection at the given position, where the first object has value 0, the second has 1, and so on. If this parameter is a string and there is more than one object with the name or id properties equal to the string, the method returns a collection of matching objects.
iSubindex | Optional. Integer that specifies the position of an object to retrieve. This parameter is used when vIndex is a string. The method uses the string to construct a collection of all objects that have a name or id equal to the string, and then retrieves from this collection the object at the position specified by iSubIndex.

Return Value

Variant. Returns an object or a collection of objects if successful, or null otherwise.

Remarks

The TextRectangle, attributes, and rules collections only accept an integer value for the vIndex parameter.

Example

This example uses the item method to retrieve each object from the document. In this case, the method parameter is a number, so the objects are retrieved in the order in which they appear in the document.

Sample Code

<SCRIPT LANGUAGE="JScript">
var coll = document.all;
if (coll!=null) {
    for (i=0; i<coll.length; i++)
        alert(coll.item(i).tagName);
}
</SCRIPT>

This example uses the item method to retrieve a collection of all objects in the document having "Sample" as an id. It then uses item again to retrieve each object from the "Sample" collection.

<SCRIPT LANGUAGE="JScript">
var coll = document.all.item("Sample");
If (coll != null) {
    for (i=0; i<coll.length; i++) {
        alert(coll.item(i).tagName);
    }
}
</SCRIPT>

This example is similar to the previous example, but uses the optional iSubindex parameter of item to retrieve individual objects.

<SCRIPT LANGUAGE="JScript">
var coll = document.all.item("Sample")
if (coll!=null) {
    for (i=0; i<coll.length; i++)
        alert(document.all.item("Sample",i).tagName);
}
</SCRIPT>

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
all, anchors, applets, areas, attributes, behaviorUrns, bookmarks, boundElements, cells, childNodes, children, controlRange, elements, embeds, filters, forms, frames, images, imports, links, options, plugins, rows, rules, scripts, styleSheets, tbodies, TextRectangle


javaEnabled Method

Returns whether Java is enabled.

Syntax

bEnabled = navigator.javaEnabled()

Return Value

Boolean. Returns true if Java is enabled, or false otherwise.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

clientInformation, navigator


lastPage Method

Moves to the last page of records in the data set, and scrolls it into view.

Syntax

TABLE.lastPage()

Return Value

No return value.

Remarks

The dataPageSize property of the table determines the number of records displayed in the table. You must set the DATAPAGESIZE attribute when designing the page, or set the corresponding dataPageSize property at run time for this method to have any effect.

Note You do not need to check for boundary conditions.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
TABLE

See Also

firstPage


mergeAttributes Method

Copies all read/write attributes to the specified element.

Syntax

object.mergeAttributes(oSource)

Parameters

oSource Required. Object that specifies the attributes copied to the object that invokes mergeAttributes.

Return Value

No return value.

Remarks

The mergeAttributes method copies persistent HTML attributes, events, and styles. Attributes that are read-only, such as ID, are not merged.

Example

This example uses the mergeAttributes method to copy attributes, events, and styles from one object to another.

Sample Code

<SCRIPT>
function fnMerge(){
   oSource.children[1].mergeAttributes(oSource.children[0]);
}
</SCRIPT>

<SPAN ID=oSource>
<DIV
   ID="oDiv"
   ATTRIBUTE1="true"
   ATTRIBUTE2="true"
   onclick="alert('click');"
   onmouseover="this.style.color='#0000FF';"
   onmouseout="this.style.color='#000000';"
>
This is a sample <B>DIV</B> element.
</DIV>
<DIV ID="oDiv2">
This is another sample <B>DIV</B> element.
</DIV>
</SPAN>

<INPUT
   TYPE="button"
   VALUE="Merge Attributes"
   onclick="fnMerge()"
>
This feature requires Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ACRONYM, ADDRESS, APPLET, AREA, B, BASE, BASEFONT, BDO, BGSOUND, BIG, BLOCKQUOTE, BODY, BR, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, COMMENT, custom, DD, DEL, DFN, DIR, DIV, DL, document, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, HEAD, Hn, HR, HTML, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LABEL, LEGEND, LI, LINK, LISTING, MAP, MARQUEE, MENU, NEXTID, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TITLE, TR, TT, U, UL, VAR, XMP

See Also

clearAttributes


move Method

Collapses the given text range, and moves the empty range by the given number of units.

Syntax

iMoved = TextRange.move(sUnit [, iCount])

Parameters

sUnit Required. String that specifies the units to move, using one of the following values:
character | Moves one or more characters.
word | Moves one or more words. A word is a collection of characters terminated by a space or some other white-space character, such as a tab.
sentence | Moves one or more sentences. A sentence is a collection of words terminated by a punctuation character, such as a period.
textedit | Moves to the start or end of the original range.
iCount Optional. Integer that specifies the number of units to move. This can be positive or negative. The default is 1.

Return Value

Integer. Returns the number of units moved.

Remarks

This feature might not be available on non-Win32® platforms. For the latest information about Internet Explorer cross-platform compatibility, see article q172976 Internet Link Non-MSDN link in the Microsoft Knowledge Base.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

TextRange

See Also

moveEnd, moveStart


moveBy Method

Moves the screen position of the window by the specified x- and y-offset values.

Syntax

window.moveBy(iX, iY)

Parameters

iX | Required. Integer that specifies the horizontal scroll offset, in pixels.
iY | Required. Integer that specifies the vertical scroll offset, in pixels.

Return Value

No return value.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

window


moveEnd Method

Changes the end position of the range.

Syntax

iMoved = TextRange.moveEnd(sUnit [, iCount])

Parameters

sUnit Required. String that specifies the units to move, using one of the following values:
character | Moves one or more characters.
word | Moves one or more words. A word is a collection of characters terminated by a space or some other white-space character, such as a tab.
sentence | Moves one or more sentences. A sentence is a collection of words terminated by a punctuation character, such as a period.
textedit | Moves to the start or end of the original range.
iCount Optional. Integer that specifies the number of units to move. This can be positive or negative. The default is 1.

Return Value

Integer. Returns the number of units moved.

Remarks

This feature might not be available on non-Win32® platforms. For the latest information about Internet Explorer cross-platform compatibility, see article q172976 Internet Link Non-MSDN link in the Microsoft Knowledge Base.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

TextRange

See Also

move, moveStart


moveRow Method

Moves a TABLE row to a new position.

Syntax

oRow = object.moveRow(iSource, iTarget)

Parameters

iSource | Required. Integer that specifies the index in the rows collection of the table row that is moved.
iTarget | Required. Integer that specifies where the row is moved within the rows collection.

Return Value

Object. Returns a reference to the table row that is moved.

Remarks

Rows between the iSource and iTarget positions in the rows collection are shifted based on the direction the row moves.

Example

This example uses the moveRow method to exchange the first and second rows in a table when the user clicks a button.

Sample Code

<SCRIPT>
function fnMove(){
   oTable.moveRow(0,1);
}
</SCRIPT>
<INPUT TYPE="button" VALUE="Change Rows" onclick="fnMove()">
<TABLE ID="oTable">
<TR><TD>Cell 1, Row 1</TD></TR>
<TR><TD>Cell 1, Row 2</TD></TR>
</TABLE>

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
TABLE, TBODY, TFOOT, THEAD


moveStart Method

Changes the start position of the range.

Syntax

iMoved = TextRange.moveStart(sUnit [, iCount])

Parameters

sUnit Required. String that specifies the units to move, using one of the following values:
character | Moves one or more characters.
word | Moves one or more words. A word is a collection of characters terminated by a space or other white-space character, such as a tab.
sentence | Moves one or more sentences. A sentence is a collection of words terminated by a punctuation character, such as a period.
textedit | Moves to the start or end of the original range.
iCount Optional. Integer that specifies the number of units to move. This can be positive or negative. The default is 1.

Return Value

Integer. Returns the number of units moved.

Remarks

This feature might not be available on non-Win32® platforms. For the latest information about Internet Explorer cross-platform compatibility, wee article q172976 Internet Link Non-MSDN link in the Microsoft Knowledge Base.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

TextRange

See Also

move, moveEnd


moveTo Method

Moves the screen position of the upper-left corner of the window to the specified iX and iY position.

Syntax

window.moveTo(iX, iY)

Parameters

iX | Required. Integer that specifies the horizontal scroll offset, in pixels.
iY | Required. Integer that specifies the vertical scroll offset, in pixels.

Return Value

No return value.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

window


moveToBookmark Method

Moves to a bookmark.

Syntax

bSuccess = TextRange.moveToBookmark(sBookmark)

Parameters

sBookmark Required. String that specifies the bookmark to move to.

Return Value

Boolean. Returns true if successful, or false otherwise.

Remarks

Bookmarks are opaque strings created with the getBookmark method.

This feature might not be available on non-Win32® platforms. For the latest information about Internet Explorer cross-platform compatibility, see article q172976 Internet Link Non-MSDN link in the Microsoft Knowledge Base.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

TextRange


moveToElementText Method

Moves the text range so that the start and end positions of the range encompass the text in the given element.

Syntax

TextRange.moveToElementText(oElement)

Parameters

oElement Required. Object that specifies the element object to move to.

Return Value

No return value.

Remarks

This feature might not be available on non-Win32® platforms. For the latest information about Internet Explorer cross-platform compatibility, see article q172976 Internet Link Non-MSDN link in the Microsoft Knowledge Base.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
TextRange


moveToPoint Method

Moves the start and end positions of the text range to the given point.

Syntax

TextRange.moveToPoint(iX, iY)

Parameters

iX | Required. Integer that specifies the horizontal offset relative to the upper-left corner of the window, in pixels.
iY | Required. Integer that specifies the vertical offset relative to the upper-left corner of the window, in pixels.

Return Value

No return value.

Remarks

The coordinates of the point must be in pixels and be relative to the upper-left corner of the window. The resulting text range is empty, but you can expand and move the range using methods such as expand and moveEnd.

This feature might not be available on non-Win32® platforms. For the latest information about Internet Explorer cross-platform compatibility, see article q172976 Internet Link Non-MSDN link in the Microsoft Knowledge Base.

Example

This example uses the moveToPoint method to move the text range to the point where the user clicked the mouse, expands the range, and selects the text within the new range.

<SCRIPT FOR=document EVENT=onclick LANGUAGE="JScript">
    var rng = document.body.createTextRange();
    rng.moveToPoint(window.event.x, window.event.y);
    rng.expand("word");
    rng.select();
</SCRIPT>

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

TextRange


namedRecordset Method

Retrieves the recordset object corresponding to the named data member from a data source object (DSO).

Syntax

oRecordset = object.namedRecordset([sQualifier] [, sSubChapter])

Parameters

sQualifier | Required. String that specifies the name of the data member, or an empty string, which indicates the default data member.
sSubChapter | Optional. String that specifies a path to a hierarchical data set.

Return Value

Object. Returns a recordset, or null if the specified data member or subchapter is unavailable.

Remarks

Valid names for a data member are specific to the DSO implementation. Check the DSO documentation to determine whether it supports named data members and to determine the valid names for those data members.

If null values or empty strings are passed to the namedRecordset method, the default recordset is returned. This is identical to referring to the recordset property directly.

If the second parameter is omitted, the top-level recordset is returned. If the first parameter is omitted but the second parameter is specified, the specified subchapter of the default recordset is returned.

Example

Sample Code

This example uses the namedRecordset method to traverse a named recordset in the handler for the ondatasetcomplete event of a hypothetical DSO that provides data from a spreadsheet. The name of the recordset corresponds to the value of the qualifier property of the event object.

In this example, the named recordset corresponds to the first seven cells of the first column of a spreadsheet.

<SCRIPT>
// Fired when all the data is available
function handle_dscomplete()
{
    var oEvent = window.event;
    // ignore the notification for the default recordset
    if (oEvent.qualifier != "")
    {
        // get a reference to the named recordset as indicated by the
        // qualifier property
        var oNamedRS = oEvent.srcElement.namedRecordset(oEvent.qualifier);

        // now walk the named recordset
        oNamedRS.MoveFirst();
        for (int i = 0; i < oNamedRS.RecordCount; i++)
        {
             var vValue = oNamedRS.Fields(0).value;
             oNamedRS.MoveNext();
        }
    }
}
</SCRIPT>

<!-- The CLASSID below does not correspond to a valid object -->
<OBJECT CLASSID="clsid:00000000-0000-0000-0000-000000000000"
    ID="dsoSpreadSheet" ondatasetcomplete="handle_dscomplete()">

<!-- Bind the TABLE to the named recordset "A1:A7" provided by the
    spreadsheet control -->
<TABLE DATASRC="#dsoSpreadsheet.A1:A7">
    <TR><TD><SPAN DATAFLD="A"></SPAN></TD></TR>
</TABLE>

While the XML data source object does not support named data members, it does support subchapters. This example uses the namedRecordset method to access the item subchapter within an XML data set representing a hierarchy of customers, orders, and items. A subset of the data set follows.

<XML ID="xmlCust">
<customers>
<customer>
<lname>Smith</lname>
<fname>John</fname>
   <order id="1">
   <item>
   <name>gyoza</name>
   <quantity>12</quantity>
   </item>

   <item>
   <name>bamboo shoots</name>
   <quantity>12</quantity>
   </item>
   </order>

   <order id="2">
   <item>
   <name>tamari</name>
   <quantity>100</quantity>
   </item>
   </order>
</customer>
</customers>

<customer>
<lname>La Croix</lname>
<fname>Jack</fname>
   <order id="3">
   <item>
   <name>bamboo shoots</name>
   <quantity>20</quantity>
   </item>

   <item>
   <name>chili paste</name>
   <quantity>20</quantity>
   </item>
   </order>
</customer>
</XML>

The following script uses the namedRecordset method several times. The first call retrieves the recordset corresponding to the default data member. This recordset contains the set of customers. The second call retrieves the recordset corresponding to the set of orders for the current customer. The third call retrieves the recordset corresponding to the set of items contained by the current order for the current customer. The name of each item is compared to the string passed as the first parameter to the GetTotalOf function. If the strings match, the quantity is accumulated and returned to the caller.

<SCRIPT>
function GetTotalOf(sItemName)
{
    var iQuantity = 0;
    // get the default data member
    var oRSCustomers = xmlCust.recordset; // equivalent to xmlCust.namedRecordset("")
    oRSCustomers.MoveFirst();
    for (var iCust = 0; iCust < oRSCustomers.RecordCount; iCust++)
    {
        // get the set of orders for each customer
        var oRSOrder = xmlCust.namedRecordset("", "order");
        oRSOrder.MoveFirst();
        for (var iOrder = 0; iOrder < oRSOrder.RecordCount; iOrder++)
        {
            // get the set of items for each order
            var oRSItems = xmlCust.namedRecordset("", "order.item");
            oRSItems.MoveFirst();
            for (var iItem = 0; iItem < oRSItems.RecordCount; iItem++)
            {
                if (oRSItems.Fields("name").value == sItemName)
                {
                    iQuantity += parseInt(oRSItems.Fields("quantity").value);
                }
                oRSItems.MoveNext();
            }
            oRSOrder.MoveNext();
        }
        oRSCustomers.MoveNext();
    }
    return iQuantity;
}

var iTotal = GetTotalOf("tamari"); // returns 20
iTotal = GetTotalOf("bamboo shoots"); // returns 40
</SCRIPT>
This feature requires Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
APPLET, OBJECT

See Also

using a data source object that exposes multiple data members Internet Link


navigate Method

Loads the specified URL to the current window.

Syntax

window.navigate(sURL)

Parameters

sURL Required. String that specifies the URL to display.

Return Value

No return value.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

window

See Also

href


NavigateAndFind Method

Opens a Web page, and highlights a specific string.

Syntax

window.external.NavigateAndFind(sLocation, sQuery, sTargetFrame)

Parameters

sLocation | Required. String that specifies the URL of a Web page.
sQuery | Required. String that specifies the text to highlight on the Web page specified by sLocation.
sTargetFrame | Required. String that specifies the name of the target frame to query.

Return Value

No return value.

Remarks

The NavigateAndFind method requires a full qualified path, including a location prefix (http://, c:\, and so on).

The target frame argument might be empty.

This method is not supported in html applications Internet Link.

Example

This example uses the NavigateAndFind method to search for a word or phrase on another page.

Sample Code

<HEAD>
<SCRIPT>
function fnNAF(){
   window.external.NavigateAndFind(
       "http://www.domain.ext/path/file.htm",
       oSearchText.options[oSearchText.selectedIndex].text,"");
}
</SCRIPT>
</HEAD>
<BODY>
<SELECT id=oSearchText onchange="fnNAF()">
<OPTION>Persnickety
<OPTION>Seattle rain
<OPTION;> ...
</SELECT>
</BODY>
This feature requires Microsoft® Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

external

See Also

window


nextPage Method

Displays the next page of records in the data set to which the table is bound.

Syntax

TABLE.nextPage()

Return Value

No return value.

Remarks

The number of records displayed in the table is determined by the dataPageSize property of the table. You must set the DATAPAGESIZE attribute when designing the page, or set the corresponding dataPageSize property at run time for this method to have any effect.

Note You do not need to check for boundary conditions.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

TABLE

See Also

data binding Internet Link, previousPage


open Method

Opens a new window and loads the document specified by a given URL, or opens a blank document if a URL is not provided.

Syntax

oNewWindow=window.open([sURL] [, sName] [, sFeatures] [, bReplace])

Parameters

sURL | Optional. String that specifies the URL of the document to display. If no URL is specified, a new window with about:blank is displayed.
sName Optional. String that specifies the name of the window. This name is used as the value for the TARGET attribute on a FORM or an A element.

In Internet Explorer 5 and later, specifying the value _search opens sURL in the browser's search pane.

sFeatures Optional. String that specifies the window ornaments to display. The following features are supported:
channelmode = { yes | no | 1 | 0 } | Specifies whether to display the window in theater mode and show the channel band. The default is no.
directories = { yes | no | 1 | 0 } | Specifies whether to add directory buttons. The default is yes.
fullscreen = { yes | no | 1 | 0 } Specifies whether to display the browser in a full-screen or normal window. The default is no, which displays the browser in a normal window.

Use full-screen mode carefully. Because this mode hides the browser's title bar and menus, you should always provide a button or other visual clue to help the user close the window. ALT+F4 also closes the new window.

height = number | Specifies the height of the window, in pixels. The minimum value is 100.
left = number | Specifies the left position, in pixels. This value is relative to the upper-left corner of the screen.
location = { yes | no | 1 | 0 } | Specifies whether to display the input field for entering URLs directly into the browser. The default is yes.
menubar = { yes | no | 1 | 0 } | Specifies whether to display the menu bar. The default is yes.
resizable = { yes | no | 1 | 0 } | Specifies whether to display resize handles at the corners of the window. The default is yes.
scrollbars = { yes | no | 1 | 0 } | Specifies whether to display horizontal and vertical scroll bars. The default is yes.
status = { yes | no | 1 | 0 } | Specifies whether to add a status bar at the bottom of the window. The default is yes.
titlebar = { yes | no | 1 | 0 } | Specifies whether to display a title bar for the window. This parameter is ignored unless the caller is an html application Internet Link or a trusted dialog box. The default is yes.
toolbar = { yes | no | 1 | 0 } | Specifies whether to display the browser toolbar, making buttons such as Back, Forward, and Stop available. The default is yes.
top = number | Specifies the top position, in pixels. This value is relative to the upper-left corner of the screen.
width = number | Sets the width of the window, in pixels. The minimum value is 100.
bReplace | Optional. Boolean that specifies whether the URL that is loaded into the new page should create a new entry in the window's browsing history or replace the current entry in the browsing history. If set to true, no new history entry is created.

Return Value

Returns a reference to the new window object. Use this reference to script properties and methods on the new window.

Remarks

By default, the open method creates a window that has a default width and height and the standard menu, toolbar, and other features of Microsoft® Internet Explorer. You can alter this set of features by using the sFeatures parameter. This parameter is a string consisting of one or more feature settings. When one feature is specified, any additional features that are not specified are disabled. If no features are specified, the window features maintain their default values. In addition to enabling a feature with the specified possible value, simply listing the feature name also enables that feature for the new window.

Internet Explorer 5 allows further control over windows through the implementation of title in the sFeatures parameter of the open method. Turn off the title bar by opening the window from a trusted application, such as Microsoft® Visual Basic® or an HTML Application (HTA). These applications are considered trusted, because each uses Internet Explorer interfaces instead of the browser.

Windows CE

In Microsoft® Windows® CE, the document object is not available through scripting for a window opened using the open method.

Example

This example uses the open method to create a new window that contains Sample.htm. The new window is 200 pixels by 400 pixels and has a status bar, but it does not have a toolbar, menu bar, or address field.

window.open("Sample.htm",null,
    "height=200,width=400,status=yes,toolbar=no,menubar=no,location=no");

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

window


open Method

Opens a document to collect the output of write or writeln methods.

Syntax

oNewDoc = document.open(sMimeType [, sReplace])

Parameters

sMimeType | Required. String that specifies the MIME type. Currently supports "text/html" only.
sReplace | Optional. String that specifies whether the new document being written is to replace the current document in the History list. Otherwise, by default, the document being created does not replace the current document in the History list.

Return Value

Returns a reference to the new document.

Example

This example uses the open method to replace the current document with a new document and display the HTML markup contained in the variable sMarkup.

var oNewDoc = document.open("text/html", "replace");
var sMarkup = "<HTML><HEAD><TITLE>New Document</TITLE><BODY>Hello, world</BODY></HTML>";
oNewDoc.write(sMarkup);
oNewDoc.close();

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

document

See Also

onbeforeunload


parentElement Method

Retrieves the parent element for the given text range.

Syntax

oElement = TextRange.parentElement()

Return Value

Returns an element object if successful, or null otherwise.

Remarks

The parent element is the element that completely encloses the text in the range.

If the text range spans text in more than one element, this method returns the smallest element that encloses all the elements. When you insert text into a range that spans multiple elements, the text is placed in the parent element rather than in any of the contained elements.

This feature might not be available on non-Win32® platforms. For the latest information about Internet Explorer cross-platform compatibility, see article q172976 Internet Link Non-MSDN link in the Microsoft Knowledge Base.

Example

This example uses the parentElement method to retrieve the parent element for the text range created from the current selection, and display the tag name of the element.

<SCRIPT LANGUAGE="JScript">
var sel = document.selection;
var rng = sel.createRange();
var el = rng.parentElement();
alert(el.tagName);
</SCRIPT>

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
TextRange


pasteHTML Method

Pastes HTML text into the given text range, replacing any previous text and HTML elements in the range.

Syntax

TextRange.pasteHTML(sHTMLText)

Parameters

sHTMLText Required. String that specifies the HTML text to paste. The string can contain text and any combination of the HTML tags described in HTML Elements.

Return Value

No return value.

Remarks

Although this method never fails, it might alter the HTML text to make it fit the given text range. For example, pasting a table cell into a text range that does not contain a table might cause the method to insert a TABLE element. For predictable results, paste only well-formed HTML text that fits within the given text range.

This method is accessible at run time. If elements are removed at run time, before the closing tag is parsed, areas of the document might not render.

This feature might not be available on non-Win32® platforms. For the latest information about Internet Explorer cross-platform compatibility, see article q172976 Internet Link Non-MSDN link in the Microsoft Knowledge Base.

Example

This example uses the pasteHTML method to replace the current selection with a new paragraph.

<SCRIPT LANGUAGE="JScript">
var sel = document.selection;
if (sel!=null) {
    var rng = sel.createRange();
    if (rng!=null)
        rng.pasteHTML("<P><B>Selection has been replaced.</B></P>");
}
</SCRIPT>

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

TextRange


previousPage Method

Scrolls into view the previous page of records in the data set.

Syntax

table.previousPage()

Return Value

No return value.

Remarks

The number of records displayed in the table is determined by the dataPageSize property of the table. You must set the DATAPAGESIZE attribute when designing the page, or set the corresponding dataPageSize property at run time for this method to have an effect.

Note You do not need to check for boundary conditions.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

TABLE

See Also

data binding Internet Link, nextPage


print Method

Prints the document associated with the window.

Syntax

window.print()

Return Value

No return value.

Remarks

Calling the print method has the same effect as choosing Print from the Microsoft® Internet Explorer File menu. The print method activates the Print dialog box, prompting the user to change print settings. When the user clicks the OK button, the following sequence of events occurs:

  1. The onbeforeprint event fires.
  2. The document prints.
  3. The onafterprint event fires.

The onbeforeprint and onafterprint events are particularly useful when not all the information on the page is visible at all times. Use the onbeforeprint to modify the document to make all the information on the page visible for printing. To return the document to its original state, use the onafterprint event.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
window


prompt Method

Displays a dialog box that prompts the user with a message and an input field.

Syntax

vTextData = window.prompt([sMessage]  [, sDefaultValue])

Parameters

sMessage | Optional. String that specifies the message to display in the dialog box. By default, this parameter is set to "".
sDefaultValue | Optional. String that specifies the default value of the input field. By default, this parameter is set to "undefined".

Return Value

String or Integer. Returns the value typed in by the user.

Remarks

The title of this dialog box cannot be changed.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
window


queryCommandEnabled Method

Returns whether the command can be successfully executed using execCommand, given the current state of the document.

Syntax

bEnabled = object.queryCommandEnabled(sCmdID)

Parameters

sCmdID Required. String that specifies a command identifier.

Return Value

Boolean. Returns true if the command is enabled, or false otherwise.

Remarks

Using queryCommandEnabled("delete") on a TextRange object returns true, while queryCommandEanbled("delete") on a document object returns false. However, execCommand("delete") can still be used to delete the selected text.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
document, controlRange, TextRange

See Also

execCommand, queryCommandIndeterm, queryCommandState, queryCommandSupported, queryCommandValue


queryCommandIndeterm Method

Returns whether the specified command is in the indeterminate state.

Syntax

bIndeterminate = object.queryCommandIndeterm(sCmdID)

Parameters

sCmdID Required. String that specifies a command identifier.

Return Value

Boolean. Returns true if indeterminate, or false otherwise.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
document, controlRange, TextRange

See Also

execCommand, queryCommandEnabled, queryCommandState, queryCommandSupported, queryCommandValue


queryCommandState Method

Returns the current state of the command.

Syntax

bDone = object.queryCommandState(sCmdID)

Parameters

sCmdID Required. String that specifies a command identifier.

Return Value

Boolean. Returns true if the given command has been executed on the object, false if it has not, and null if it is not possible to determine the command state.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
document, controlRange, TextRange

See Also

execCommand, queryCommandEnabled, queryCommandIndeterm, queryCommandSupported, queryCommandValue


queryCommandSupported Method

Returns whether the current command is supported on the current range.

Syntax

bSupported = object.queryCommandSupported(sCmdID)

Parameters

sCmdID Required. String that specifies a command identifier.

Return Value

Boolean. Returns true if the command is supported, or false otherwise.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
document, controlRange, TextRange

See Also

execCommand, queryCommandEnabled, queryCommandIndeterm, queryCommandState, queryCommandValue


queryCommandValue Method

Returns the current value of the given command.

Syntax

vCmdValue = object.queryCommandValue(sCmdID)

Parameters

sCmdID Required. String that specifies a command identifier.

Return Value

String or Boolean. Returns a string representing the command value if the command is supported, or true/false otherwise.

Remarks

If the command returns a value, such as a color, rather than a true/false state, this command retrieves the current value of the document or range.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
document, controlRange, TextRange

See Also

execCommand, queryCommandEnabled, queryCommandIndeterm, queryCommandState, queryCommandSupported


recalc Method

Recalculates all dynamic properties in the current document.

Syntax

document.recalc([bForceAll])

Parameters

bForceAll Optional. Boolean that specifies one of the following values:
false | Default. Recalculates only those expressions that have changed since the last recalculation.
true | Recalculates all expressions in the document.

Return Value

No return value.

Remarks

Implicit dependencies, internal property changes, and related properties can cause some expressions not to recalculate, even though the properties being referenced might have changed. For example, resizing the main window changes document.body.clientWidth. Expressions that reference clientWidth might not be recalculated, because the change might not be recognized.

Implicit dependencies refer to properties that can be altered by changes in other properties. For example, the height of a DIV implicitly depends on the innerHTML of the DIV. However, if an expression references the height, a change in the innerHTML, which might alter the height, does not cause a recalculation of the expression on a subsequent call to recalc.

Related properties can access or manipulate data or behaviors through one or more other properties. For example, pixelLeft and posLeft can set or retrieve the left position of the element. However, if an expression that references element.pixelLeft and element.posLeft is altered, the expression might not be recalculated on subsequent calls to recalc.

Related properties that can cause this behavior include the following: clientHeight, clientLeft, clientTop, clientWidth, height, left, offsetHeight, offsetLeft, offsetTop, offsetWidth, pixelHeight, pixelLeft, pixelTop, pixelWidth, posHeight, posLeft, posTop, posWidth, and top.

To force recalculations of all expressions, you should refer to the same property name or manually call recalc(true).

Example

The following examples use the recalc method in HTML and script to change the width of an element by the value specified in a text field.

Sample Code

This example shows the HTML implementation of recalc.

<INPUT TYPE=text ID=oBox1 value=40>The sum of the values in
    these two text boxes determines the width
<BR><INPUT TYPE=text ID=oBox2 value=40>of the blue text
    box below.
<BR><INPUT TYPE=text ID=oBox3
    STYLE="width:expression(eval(oBox1.value) +
    eval(oBox2.value)); background-color:blue">
<BR><INPUT TYPE=button ID=Button
    value="Click to resize blue box above" onclick="recalc()">

This feature requires Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

This example shows how the same functionality in the preceding example can be implemented in script using recalc.

<INPUT TYPE=text ID=oBox1 value=40>The sum of the values in
    these two text boxes determines the
<BR><INPUT TYPE=text ID=oBox2 value=40>width of the
    blue text box below.
<BR><INPUT TYPE=text ID=oBox3 STYLE="background-color:blue">
<BR><INPUT TYPE=button ID=Button
    value="Click to resize blue box above" onclick="update()">

<SCRIPT>
oBox3.style.setExpression("width","eval(oBox1.value) +
    eval(oBox2.value)","jscript");
function update()
{
    document.recalc();
}
</SCRIPT>
This feature requires Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

This example uses recalc to define a style that positions the DIV at 200px, 200px in Internet Explorer 4.0, and animates it over time in Internet Explorer 5.

<DIV STYLE="position: absolute; top: 200px; left: 200px;
    left: function(time.ms / 100);" />
This feature requires Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
document

See Also

dynamic properties Internet Link, getExpression, removeExpression, setExpression


refresh Method

Refreshes the content of the table.

Syntax

table.refresh()

Return Value

No return value.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

TABLE


releaseCapture Method

Removes mouse capture from the object in the current document.

Syntax

object.releaseCapture()

Return Value

No return value.

Remarks

For releaseCapture to have an effect, you must set mouse capture through the setCapture method.

You can invoke the releaseCapture method on the document object. The releaseCapture method makes it unnecessary to determine which element has capture to programmatically release it. Other actions that release document capture include displaying a modal dialog box and switching focus to another application or browser window.

Example

This example invokes the releaseCapture method on the document object.

Sample Code

<BODY onload="oOwnCapture.setCapture();"
    onclick="document.releaseCapture();">
<DIV ID=oOwnCapture
    onmousemove="oWriteLocation.value =
        event.clientX + event.clientY";
    onlosecapture="alert(event.srcElement.id +
        ' has lost mouse capture.')">
<TEXTAREA ID=oWriteLocation COLS=2></TEXTAREA>
</DIV>
<HR>
<DIV ID=oNoCapture>
<P>Click the document to invoke the releaseCapture method.</P>
</DIV>
</BODY>

This feature requires Microsoft® Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ADDRESS, APPLET, AREA, B, BIG, BLOCKQUOTE, BODY, BR, BUTTON, CAPTION, CENTER, CITE, CODE, custom, DD, DFN, DIR, DIV, DL, document, DT, EM, EMBED, FIELDSET, FONT, FORM, Hn, HR, I, IMG, INPUT type=submit, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=text, KBD, LABEL, LEGEND, LI, LISTING, MAP, MARQUEE, MENU, NOBR, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP

See Also

mouse capture overview Internet Link, onlosecapture, setCapture


reload Method

Reloads the current page.

Syntax

location.reload([bReloadSource])

Parameters

bReloadSource Optional. Boolean that specifies one of the following values:
false | Default. Reloads the page from the browser cache.
true | Reloads the page from the server.

Return Value

No return value.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

location


remove Method

Removes an element from the collection.

Syntax

object.remove(iIndex)

Parameters

iIndex Required. Integer that specifies the zero-based index of the element to remove from the collection.

Return Value

No return value.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
areas, controlRange, options

See Also

add


removeAttribute Method

Removes the given attribute from the object.

Syntax

bSuccess = object.removeAttribute(sName [, iCaseSensitive])

Parameters

sName | Required. String that specifies the attribute name.
iCaseSensitive | Optional. Integer that specifies whether to use a case-sensitive search to locate the attribute. By default, this value is set to 1 to indicate that the uppercase and lowercase letters in the specified sName parameter must exactly match those in the attribute name. If there are multiple attributes specified with different case sensitivity, the attribute returned might vary across platforms.

Return Value

Boolean. Returns true if successful, or false otherwise.

Remarks

If two or more attributes have the same name—differing only in uppercase and lowercase letters—and iCaseSensitive is set to 0, this method removes only the last attribute to be created with this name. All other attributes of the same name are ignored.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ADDRESS, APPLET, AREA, B, BASE, BASEFONT, BGSOUND, BIG, BLOCKQUOTE, BODY, BR, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, COMMENT, custom, DD, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, HEAD, Hn, HR, HTML, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, KBD, LABEL, LEGEND, LI, LINK, LISTING, MAP, MARQUEE, MENU, META, NEXTID, NOBR, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TITLE, TR, TT, U, UL, VAR, WBR, XMP


removeBehavior Method

Detaches a behavior Internet Link from the element.

Syntax

bSuccess = object.removeBehavior(iID)

Parameters

iID Required. Integer that specifies the identifier returned from a previous addBehavior call.

Return Value

Boolean. Returns true if the behavior was removed successfully, or false otherwise.

Example

This example uses the removeBehavior method to show how a behavior that implements a mouseover highlighting effect can be dynamically removed from all LI elements on a page.

Sample Code

<SCRIPT LANGUAGE="JScript">
var collBehaviorID = new Array();
var collLI = new Array ();
var countLI = 0;

:
function detachBehavior()
{
     for (i=0; i < countLI; i++)
        collLI[i].removeBehavior (collBehaviorID [i]);
}

</SCRIPT>

:
Click <A HREF="javascript:detachBehavior()">here</A>
to remove highlighting effect.
:
This feature requires Microsoft® Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ACRONYM, ADDRESS, APPLET, AREA, B, BASE, BASEFONT, BGSOUND, BIG, BLOCKQUOTE, BODY, BR, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, COMMENT, custom, DD, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, HEAD, Hn, HR, HTML, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, ISINDEX, KBD, LABEL, LEGEND, LI, LINK, LISTING, MAP, MARQUEE, MENU, NEXTID, NOBR, NOFRAMES, NOSCRIPT, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, RT, RUBY, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, STYLE, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TITLE, TR, TT, U, UL, VAR, WBR, XML, XMP

See Also

addBehavior, dhtml behaviors Internet Link, using dhtml behaviors Internet Link, implementing dhtml behaviors in script Internet Link


removeChild Method

Removes a child node from an element.

Syntax

oRemove = object.removeChild(oNode)

Parameters

oNode Required. Object that specifies the element to be removed from the document.

Return Value

Returns a reference to the object that is removed.

Remarks

The node to be removed must be an immediate child of the parent object.

This method is accessible at run time. If elements are removed at run time, before the closing tag is parsed, areas of the document might not render.

Example

This example uses the removeChild method to remove a bold element from a DIV.

Sample Code

<HEAD>
<SCRIPT>
function removeElement()
{
  try
  {
      //The first child of the div is the bold element.
    var oChild=Div1.children(0);
    Div1.removeChild(oChild);
  }
  catch(x)
  {
    alert("You have already removed the bold element.
      Page will be refreshed when you click OK.")
    document.location.reload();
  }
}
</SCRIPT>
</HEAD>
<BODY>
<DIV ID=Div1 onclick="removeElement()">
Click anywhere in this sentence to remove this <B>Bold</B> word.
</DIV>
</BODY>

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ACRONYM, ADDRESS, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, COMMENT, DD, DEL, DFN, DIR, DIV, DL, DT, EM, FIELDSET, FONT, FORM, FRAMESET, HEAD, Hn, HTML, I, IFRAME, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LABEL, LEGEND, LI, LISTING, MAP, MARQUEE, MENU, NEXTID, OL, OPTION, P, PLAINTEXT, PRE, Q, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP


removeExpression Method

Removes the expression from the specified property.

Syntax

bSuccess = object.removeExpression(sPropertyName)

Parameters

sPropertyName Required. String that specifies the name of the property from which to remove an expression.

Return Value

Boolean. Returns true if the expression was successfully removed, or false otherwise.

Remarks

After the expression is removed from the specified property, the value of the property equals the last computed value of the expression. To remove expressions set by the setExpression method, use removeExpression.

The following syntax sections show how to remove an expression from supported cascading style sheets (CSS) attributes and Dynamic HTML (DHTML) properties.

  • Use this syntax to remove an expression from a read/write property or from an expando property.
    object.removeExpression(sPropertyName)
  • Use this syntax to remove an expression from a CSS attribute.
    object.style.removeExpression(sPropertyName)

Example

This example uses the removeExpression method to remove an expression from the width property of a blue box.

Sample Code

<INPUT TYPE=text ID=oBox1 value=40>The sum of the values in
    these two text boxes determines the width
<BR><INPUT TYPE=text ID=oBox2 value=40>of the blue
    text box below.
<BR><INPUT TYPE=text ID=oBox3 STYLE="background-color:blue">
<BR><BR><INPUT TYPE=button ID=Button1
    value="Step 1: Get expression" onclick="getexp()">
<INPUT TYPE=button ID=Button2 value="Step 2: Remove expression"
    onclick="remexp()">
<INPUT TYPE=button ID=Button3 value="Step 3: Get expression again"
    onclick="getexp()">
<BR>
<HR>
<BR>
Right-click anywhere on this page to view the source code.

<SCRIPT>
var s;
var b;
oBox3.style.setExpression("width","eval(oBox1.value) +
    eval(oBox2.value)","jscript");

function getexp()
{
    s=oBox3.style.getExpression("width");
    alert("Expression for the width of the blue box is \n\n" + s +
    "\n\nThe width property has a value of " + oBox3.style.width);
}
function remexp()
{
    b = oBox3.style.removeExpression("width");
    alert("Expression removed successfully? \n" + b);
}
</SCRIPT>

This feature requires Microsoft® Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ACRONYM, ADDRESS, APPLET, AREA, B, BDO, BIG, BLOCKQUOTE, BODY, BR, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, custom, DD, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, Hn, HR, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LABEL, LEGEND, LI, LISTING, MARQUEE, MENU, NOBR, OBJECT, OL, OPTION, P, PARAM, PRE, Q, RT, RUBY, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR

See Also

dynamic properties Internet Link, getExpression, recalc


removeNode Method

Removes the object from the document hierarchy.

Syntax

oRemoved = object.removeNode(bRemoveChildren)

Parameters

bRemoveChildren Optional. Boolean that specifies one of the following values:
false | Default. ChildNodes collection of the object is not removed.
true | ChildNodes collection of the object is removed.

Return Value

Returns a reference to the object that is removed.

Remarks

This property is accessible at run time. If elements are removed at run time, before the closing tag is parsed, areas of the document might not render.

Example

This example uses the removeNode method to remove a table from the document hierarchy.

<SCRIPT>
function fnRemove(){
    // 'true' possible value specifies removal of childNodes also
   oTable.removeNode(true);
}
</SCRIPT>

<TABLE ID = oTable>
<TR>
<TD>Cell 1</TD>
<TD>Cell 2</TD>
</TR>
</TABLE>

<INPUT TYPE = button VALUE = "Remove Table" onclick = "fnRemove()">

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ACRONYM, ADDRESS, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, COMMENT, DD, DEL, DFN, DIR, DIV, DL, DT, EM, FIELDSET, FONT, FORM, FRAMESET, HEAD, Hn, HTML, I, IFRAME, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LABEL, LEGEND, LI, LISTING, MAP, MARQUEE, MENU, NEXTID, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP

See Also

appendChild, cloneNode, insertBefore


removeRule Method

Deletes an existing style rule for the styleSheet object, and adjusts the index of the rules collection accordingly.

Syntax

styleSheet.removeRule[iIndex]

Parameters

iIndex Optional. Integer that specifies the index value of the rule to be deleted from the style sheet. If an index is not provided, the first rule in the rules collection is removed.

Return Value

No return value.

Remarks

The page does not automatically reflow when the rule is removed. To see the change, you must reflow the page. You can reflow the objects affected using a number of methods. For example, you can reflow the style change only on affected text by setting the text equal to itself (see Example). Alternately, you can reload the entire page using the reload method. When you use the refresh method on a table, its content is reflowed.

Example

This example uses the removeRule method to delete a rule from the rules collection, which causes the text to reflow according to the new rules.

Sample Code

<STYLE>
P {color:green}
</STYLE>
:
<SCRIPT>
function removeTheRule() {
    // Style sheets and rules are zero-based collections; therefore,
    // the first item is item 0 in the collection.
    var iSheets = document.styleSheets.length;
    var iRules = document.styleSheets[iSheets-1].rules.length;
    // make sure there is a rule to delete
    if (1 < iRules) {
        document.styleSheets[iSheets-1].removeRule(1);
        // Force the page to render the change.
        oEffectRules.innerHTML=oEffectRules.innerHTML;
    }
}
</SCRIPT>
:
<P ID=oEffectRules>This text has the new style applied to it.
</P>
:
<BUTTON onclick="removeTheRule()">Remove the new rule.</BUTTON>

This feature requires Microsoft® Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

styleSheet

See Also

addRule, rules, styleSheets


replace Method

Replaces the current document by loading the document at the specified URL.

Syntax

location.replace(sURL)

Parameters

sURL Required. String that specifies the URL to insert into the session history.

Return Value

No return value.

Remarks

Replacing a document causes it to be inaccessible through the history object. Also, the URL is no longer accessible through the user interface navigation methods, such as the Back and Forward buttons.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

location


replaceAdjacentText Method

Replaces the adjacent text character.

Syntax

object.replaceAdjacentText(sWhere, sReplaceText)

Parameters

sWhere Required. String that specifies where to locate the replacement text, using one of the following values:
beforeBegin | Replaces text immediately before the element.
afterBegin | Replaces text after the start of the element but before all other content in the element.
beforeEnd | Replaces text immediately before the end of the element but after all other content in the element.
afterEnd | Replaces text immediately after the end of the element.
sReplaceText Required. String that specifies the replacement text.

Return Value

No return value.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ACRONYM, ADDRESS, APPLET, AREA, B, BASE, BASEFONT, BDO, BIG, BLOCKQUOTE, BODY, BR, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, COMMENT, custom, DD, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, HEAD, Hn, HR, HTML, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LABEL, LEGEND, LI, LINK, LISTING, MAP, MARQUEE, MENU, NEXTID, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TITLE, TR, TT, U, UL, VAR, XMP


replaceChild Method

Replaces an existing child element with a new child element.

Syntax

oReplace = object.replaceChild(oNewNode, oOldNode)

Parameters

oNewNode | Required. Object that specifies the new element to be inserted into the document.
oChildNode | Required. Object that specifies the existing element to be replaced.

Return Value

Returns a reference to the object that is replaced.

Remarks

The node to be replaced must be an immediate child of the parent object. The new node must be created using the createElement method.

This property is accessible at run time. If elements are removed at run time, before the closing tag is parsed, areas of the document might not render.

Example

This example uses the replaceChild method to replace a bold element from a DIV with an italic element.

Sample Code

<HEAD>
<SCRIPT>
function replaceElement()
{
        //The first child of the div is the bold element.
    var oChild=Div1.children(0);
    var sInnerHTML = oChild.innerHTML;
    if (oChild.tagName=="B")
    {
        oNewChild=document.createElement("I");
        Div1.replaceChild(oNewChild, oChild);
        oNewChild.innerHTML=sInnerHTML
    }
    else
    {
        oNewChild=document.createElement("B");
        Div1.replaceChild(oNewChild, oChild);
        oNewChild.innerHTML=sInnerHTML
    }
}
</SCRIPT>
</HEAD>
<BODY>
<DIV ID=Div1 onclick="replaceElement()">
Click anywhere in this sentence to toggle this <B>word</B>
between bold and italic.</DIV>
</BODY>

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ACRONYM, ADDRESS, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, COMMENT, DD, DEL, DFN, DIR, DIV, DL, DT, EM, FIELDSET, FONT, FORM, FRAMESET, HEAD, Hn, HTML, I, IFRAME, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LABEL, LEGEND, LI, LISTING, MAP, MARQUEE, MENU, NEXTID, OL, OPTION, P, PLAINTEXT, PRE, Q, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP


replaceNode Method

Replaces the object with another element.

Syntax

oReplace = object.replaceNode(oNewNode)

Parameters

oNewNode Required. Object that specifies the new element to replace the object.

Return Value

Returns a reference to the object that is replaced.

Remarks

When a node is replaced, all values associated with the replaced object are removed. For example, if a B object is replaced with an I object, any attributes and text between the opening and closing tags are also replaced. To preserve these values, copy them to the new element before the original object is replaced.

This method is accessible at run time. If elements are removed at run time, before the closing tag is parsed, areas of the document might not render.

Example

This example uses the replaceNode method to replace an unordered list with an ordered list.

<SCRIPT>
function fnReplace(){
   var sPreserve = oList.innerHTML;
   var oNewNode = document.createElement("OL");
   oList.replaceNode(oNewNode);
   oNewNode.innerHTML = sPreserve;
}
</SCRIPT>

<UL ID = oList>
<LI>List Item 1
<LI>List Item 2
<LI>List Item 3
<LI>List Item 4
</UL>
<INPUT TYPE = button VALUE = "Replace List" onclick = "fnReplace()">

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ACRONYM, ADDRESS, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, COMMENT, DD, DEL, DFN, DIR, DIV, DL, DT, EM, FIELDSET, FONT, FORM, FRAMESET, HEAD, Hn, HTML, I, IFRAME, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LABEL, LEGEND, LI, LISTING, MAP, MARQUEE, MENU, NEXTID, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP

See Also

replaceChild


reset Method

Simulates a mouse click on a reset button for the calling form.

Syntax

form.reset()

Return Value

No return value.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

form


resizeBy Method

Changes the current size of the window by the specified x- and y-offset.

Syntax

window.resizeBy(iX, iY)

Parameters

iX | Required. Integer that specifies the horizontal offset, in pixels.
iY | Required. Integer that specifies the vertical offset, in pixels.

Return Value

No return value.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

window


resizeTo Method

Sets the size of the window to the specified width and length values.

Syntax

window.resizeTo(iWidth, iHeight)

Parameters

iWidth | Required. Integer that specifies the width of the window, in pixels.
iHeight | Required. Integer that specifies the height of the window, in pixels.

Return Value

No return value.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

window


scroll Method

Causes the window to scroll to the specified x- and y-offset at the upper-left corner of the window.

Syntax

window.scroll(iX, iY)

Parameters

iX | Required. Integer that specifies the horizontal scroll offset, in pixels.
iY | Required. Integer that specifies the vertical scroll offset, in pixels.

Return Value

No return value.

Remarks

This method is provided for backward compatibility only. The recommended way to scroll a window is to use the scrollTo method.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

window


scrollBy Method

Causes the window to scroll relative to the current scrolled position by the specified x- and y-pixel offset.

Syntax

window.scrollBy(iX, iY)

Parameters

iX | Required. Integer that specifies the horizontal scroll offset, in pixels. Positive values scroll the window right, and negative values scroll it left.
iY | Required. Integer that specifies the vertical scroll offset, in pixels. Positive values scroll the window down, and negative values scroll it up.

Return Value

No return value.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

window


scrollIntoView Method

Causes the object to scroll into view, aligning it either at the top or bottom of the window.

Syntax

object.scrollIntoView([bAlignToTop])

Parameters

bAlignToTop Optional. Boolean that specifies one of the following values:
true | Default. Scrolls the object so that top of the object is visible at the top of the window.
false | Scrolls the object so that the bottom of the object is visible at the bottom of the window.

Return Value

No return value.

Remarks

The scrollIntoView method is useful for immediately showing the user the result of some action without requiring the user to manually scroll through the document to find the result.

Example

This example uses the scrollIntoView method to underline the content of the document's fifth paragraph and scroll it into view at the top of the window.

   var coll = document.all.tags("P");
   if (coll.length >= 5)
   {
      coll(4).style.textDecoration = "underline";
      coll(4).scrollIntoView(true);
   }

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ADDRESS, APPLET, AREA, B, BIG, BLOCKQUOTE, BR, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, COMMENT, controlRange, custom, DD, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, Hn, HR, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, KBD, LABEL, LEGEND, LI, LISTING, MAP, MARQUEE, MENU, NOBR, OBJECT, OL, P, PLAINTEXT, PRE, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TextRange, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, WBR, XMP


scrollTo Method

Scrolls the window to the specified x- and y-offset.

Syntax

window.scrollTo(iX, iY)

Parameters

iX | Required. Integer that specifies the horizontal scroll offset, in pixels.
iY | Required. Integer that specifies the vertical scroll offset, in pixels.

Return Value

No return value.

Remarks

The specified offsets are relative to the upper-left corner of the window.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

window


select Method

Highlights the input area of a form element.

Syntax

object.select()

Return Value

No return value.

Remarks

Use this method with the focus method to highlight a field and position the cursor for a user response.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, TEXTAREA

See Also

onselect


select Method

Makes the active selection equal to the current object.

Syntax

object.select()

Return Value

No return value.

Remarks

This feature might not be available on non-Win32® platforms. For the latest information about Internet Explorer cross-platform compatibility, see article q172976 Internet Link Non-MSDN link in the Microsoft Knowledge Base.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
TextRange, controlRange


setAttribute Method

Sets the value of the specified attribute.

Syntax

object.setAttribute(sName, vValue [, iFlags])

Parameters

sName | Required. String that specifies the name of the attribute.
vValue | Required. Variant that specifies the string, number, or Boolean to assign to the attribute.
iFlags Optional. Integer that specifies one or more of the following flags:
0 | When the attribute is set, it overwrites any attributes with the same name, regardless of their case.
1 | Default. The case of the attribute that you set is respected when it is set on the object.

Return Value

No return value.

Remarks

If the specified attribute is not already present, the setAttribute method adds the attribute to the object and sets the value.

Be careful when spelling attribute names. If you set iFlags to 1 and the sName parameter does not have the same uppercase and lowercase letters as the attribute, a new attribute is created for the object.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ADDRESS, APPLET, AREA, B, BASE, BASEFONT, BGSOUND, BIG, BLOCKQUOTE, BODY, BR, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, COMMENT, custom, DD, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, HEAD, Hn, HR, HTML, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, KBD, LABEL, LEGEND, LI, LINK, LISTING, MAP, MARQUEE, MENU, META, NEXTID, NOBR, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, STYLE, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TITLE, TR, TT, U, UL, VAR, WBR, XMP


setCapture Method

Sets the mouse capture to the object belonging to the current document.

Syntax

object.setCapture([bContainerCapture])

Parameters

bContainerCapture Optional. Boolean that specifies one of the following values:
true | Default. Events originating within a container with mouse capture are fired.
false | Events originating within a container with mouse capture are not fired.

Return Value

No return value.

Remarks

Once mouse capture is set to an object, that object fires all mouse events for the document. Supported mouse events include onmousedown, onmouseup, onmousemove, onclick, ondblclick, onmouseover, and onmouseout. The srcElement property of the window event object always returns the object that is positioned under the mouse rather than the object that has mouse capture.

When a container object, such as a DIV, has mouse capture, events originating on objects within that container are fired by the DIV, unless the bContainerCapture parameter of the setCapture method is set to false. Passing the value false causes the container to no longer capture all document events. Instead, objects within that container still fire events, and those events also bubble as expected.

Drag-and-drop as well as text selection through the user interface are disabled when mouse capture is set programmatically.

The following key events are unaffected by mouse capture and fire as usual: onkeydown, onkeyup, and onkeypress.

Example

The following examples use the setCapture method to show different aspects of mouse capture.

Sample Code

This example shows the difference between detecting events using event bubbling and mouse capture.

<BODY onload="oOwnCapture.setCapture()"
    onclick="document.releaseCapture()">
<DIV ID=oOwnCapture
    onmousemove="oWriteLocation.value = event.x + event.y";
    onlosecapture="alert(event.srcElement.id +
        ' lost mouse capture.')">
<P>Mouse capture has been set to this gray division (DIV)
    at load time using the setCapture method. The text area will
    track the mousemove event through the <B>x</B>
    and <B>y</B> properties of the event object.<BR>
<P>Event bubbling works as usual on objects within a
    container that has mouse capture. Demonstrate this concept by
    clicking the button below or changing the active window from
    this one then back. After oOwnCapture has lost mouse capture,
    the text area continues tracking the mousemove events only
    while the cursor is over objects it contains.</P>
    <BR><BR>
<TEXTAREA ID=oWriteLocation COLS=2>
    mouse location</TEXTAREA>
</DIV>
<HR>
<DIV ID=oNoCapture>
<P>This white division is here to illustrate that mousemove
    events over objects it contains are captured on the gray
    division, oOwnCapture.
<P>Click this text and check mouse coordinates captured in
    the text area within the division above.</P>
<INPUT VALUE="Move mouse over this object.">
<INPUT TYPE=button VALUE="Click to End Mouse Capture">
</DIV>
</BODY>

This feature requires Microsoft® Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

This example shows how to use mouse capture to animate graphics.

<HEAD>
<SCRIPT>
var iRad = 25;
var iX01 = 165;
var iY01 = 170;
var iX02 = 285;
var iY02 = 170;

/* The doImgMouseMove function contains calculations to
    reposition black.bmp in response to mouse movement  */

function doImgMouseMove()
{
  var iX1 = event.x - iX01;
  var iY1 = event.y - iY01;
  var iX2 = event.x - iX02;
  var iY2 = event.y - iY02;
  var change1 = Math.sqrt(iX1 * iX1 + iY1 * iY1);
  var change2 = Math.sqrt(iX2 * iX2 + iY2 * iY2);

  oPupilLeft.style.left = iX01 + iRad * iX1 / change1;
  oPupilLeft.style.top = iY01 + iRad * iY1 / change1;
  oPupilRight.style.left = iX02 + iRad * iX2 / change2;
  oPupilRight.style.top = iY02 + iRad * iY2 / change2;
}
</SCRIPT>
</HEAD>
<BODY onload="oEye.setCapture(false)"
    onclick="oEye.releaseCapture()"
    ondragstart="event.returnValue = false;">
<INPUT TYPE=button ID=oToggle VALUE="Switch Mouse Capture On"
    onclick="doClick()">
<IMG ID=oEye SRC="/workshop/graphics/eye.gif"
    onmousemove="doImgMouseMove()">
<IMG ID=oPupilLeft SRC="/workshop/graphics/black.gif">
<IMG ID=oPupilRight SRC="/workshop/graphics/black.gif">
<P>The eyeballs track mouse pointer movement. When mouse
    capture is on, they follow the mouse pointer no matter where it
    is positioned in the document. When mouse capture is off, they
    detect and follow mouse position only while the pointer is
    positioned over the eyeball graphic.</P>
<P>In this example, mouse capture is set when the document is
    loaded. Click anywhere on the document to remove mouse
    capture.</P>
</BODY>

This feature requires Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ADDRESS, APPLET, AREA, B, BIG, BLOCKQUOTE, BODY, BR, BUTTON, CAPTION, CENTER, CITE, CODE, custom, DD, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, Hn, HR, I, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, KBD, LABEL, LEGEND, LI, LISTING, MAP, MARQUEE, MENU, NOBR, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP

See Also

mouse capture overview Internet Link, onlosecapture, releaseCapture


setData Method

Assigns data in a specified format to the dataTransfer or clipboardData object.

Syntax

bSuccess = object.setData(sDataFormat, sData)

Parameters

sDataFormat Required. String that specifies the format of the data to be transferred, using one of the following values:
Text | Transfers data formatted as text.
URL | Transfers data formatted as a URL.
sData Required. String that specifies the data supplied by the source object. This information can be descriptive text, a source path to an image, or a URL for an anchor. When you pass URL as the sDataFormat parameter, you must use sData to provide the location of the object being transferred.

Return Value

Boolean. Returns true if the data was successfully added, or false otherwise.

Remarks

The value of the sDataFormat parameter is not case-sensitive.

Example

This example uses the setData and getData methods with the dataTransfer object to create a shortcut to an image.

Sample Code

<HEAD>
<SCRIPT>
var sImageURL;

function InitiateDrag()
/*  The setData parameters tell the source object
   to transfer data as a URL and provide the path.  */
{
    event.dataTransfer.setData("URL", oImage.src);
}

function FinishDrag()
/*  The parameter passed to getData tells the target
    object what data format to expect.  */
{
    sImageURL = event.dataTransfer.getData("URL")
    oTarget.innerText = sImageURL;
}
</SCRIPT>
</HEAD>
<BODY>

<P>This example demonstrates how to use the setData and
   getData methods of the dataTransfer object to enable the
   source path of the image to be dragged.</P>

<IMAGE ID=oImage SRC="/workshop/graphics/black.gif"
       ondragstart="InitiateDrag()">

<SPAN ID=oTarget ondragenter="FinishDrag()">
    Drop the image here
</SPAN>

</BODY>
This feature requires Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
clipboardData, dataTransfer

See Also

data transfer overview Internet Link, clearData, getData


setEndPoint Method

Sets the end point of one range based on the end point of another range.

Syntax

textRange.setEndPoint(sType, oTextRange)

Parameters

sType Required. String that specifies the end point to transfer, using one of the following values:
StartToEnd | Move the start of the TextRange object to the end of the specified oTextRange parameter.
StartToStart | Move the start of the TextRange object to the start of the specified oTextRange parameter.
EndToStart | Move the end of the TextRange object to the start of the specified oTextRange parameter.
EndToEnd | Move the end of the TextRange object to the end of the specified oTextRange parameter.
oTextRange Required. TextRange object that specifies the range from which the source end point is to be taken.

Return Value

No return value.

Remarks

A text range has two end points: one at the beginning of the text range and one at the end. An end point also can be the position between two characters in an HTML document.

In Microsoft® Internet Explorer 4.0, an end point is relative to text only, not HTML tags.

There are four possible end-point locations in the following HTML:

<BODY><P><B>abc

The possible end-point locations are:

  • Before the letter a.
  • Between the letters a and the b.
  • Between the letters b and the c.
  • After the letter c.

In Internet Explorer 4.0, an end point cannot be established between the BODY and the P, for example. Such an end point would be considered to occur before the letter a.

This method might not be available on non-Win32® platforms. For the latest information about Internet Explorer cross-platform compatibility, see article q172976 Internet Link Non-MSDN link in the Microsoft Knowledge Base.

Example

This example uses the setEndPoint method to set the start point of the current range (r1) to the end point of the second range (r2).

<SCRIPT LANGUAGE="JScript">
r1.setEndPoint("StartToEnd", r2);
</SCRIPT>

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

TextRange


setExpression Method

Sets an expression for the specified object.

Syntax

HTML | <ELEMENT STYLE="sAttributeName:expression(sExpression)">
Scripting | object.setExpression(sPropertyName, sExpression2, sLanguage)

Parameters

sAttributeName | Required. String that specifies the name of the attribute to which sExpression is added.
sPropertyName | Required. String that specifies the name of the property to which sExpression is added.
sExpression | Required. String that specifies any valid Microsoft JScript (compatible with ECMA 262 language specification) statement without quotations or semicolons. This string can include references to other properties on the current page. Array references are not allowed on object properties included in this script.
sExpression2 | Required. String that specifies any valid script. This string can include references to other properties on the current page. Array references are not allowed on object properties included in this script.
sLanguage Required. String that specifies one of the following values:
JScript | Language is JScript.
VBScript | Language is VBScript.
JavaScript | Language is JavaScript.

Return Value

No return value.

Remarks

Use the setExpression method to add expressions to supported cascading style sheets (CSS) attributes and read/write Dynamic HTML (DHTML) properties. To remove expressions set by setExpression, use the removeExpression method.

The following syntax sections show how to set an expression on DHTML properties and CSS attributes.

  • Use this syntax to set an expression on a read/write property or on an expando property.
    object.setExpression(sPropertyName, sExpression, sLanguage)
  • Use this syntax to set an expression on a CSS attribute.
    object.style.setExpression(sPropertyName, sExpression, sLanguage)

The data type of the evaluated expression in the sExpression parameter must match one of the possible values allowed for the sProperty parameter. If the property or attribute specified by the first parameter requires a string, the data type of the second parameter must be a string. Otherwise, the second parameter is evaluated prior to invoking setExpression, causing the expression to be set to the result of the evaluation.

Use the uniqueID property of an object in an expression to refer back to the object. Using uniqueID is an alternative to specifying an id for expressions that use an object reference.

The cssText property is a unique property that is not compatible with the dynamic properties implementation. Do not use cssText with any dynamic property methods.

Example

The following examples use the setExpression method to change the width of a blue box. In each example, the width of the blue box is equal to the sum of the values of the first two text boxes. When a value in one of the text boxes changes, the width of the blue box recalculates.

Sample Code

This example shows the HTML implementation of setExpression.

<INPUT TYPE=text ID=oBox1 value=40>The sum of the values in
    these two text boxes determines the width<BR>
<INPUT TYPE=text ID=oBox2 value=40>of the blue text box below.
<BR><INPUT TYPE=text ID=oBox3
    STYLE="width:expression(eval(oBox1.value) +
    eval(oBox2.value));background-color:blue">
<BR><INPUT TYPE=button ID=Button
    value="Click to resize blue box above"
    onclick="recalc()">

This feature requires Microsoft® Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

This example uses the uniqueID property and the setExpression method to update the innerText property of a table row.

<SCRIPT>
window.onload=fnInit;
function fnInit(){
   var iLen=oSheet.rows.length-1;
   for(var i=1;i<iLen;i++){
      var oRow=oSheet.rows[i];
      var oCells=oRow.cells;
      oCells(3).setExpression("innerText",
         "fnGetValue(" + oRow.uniqueID + ")");
   }
   var oGrand=oSheet.rows(iLen).cells(1);
   oGrand.setExpression("innerText","fnGetTotal()");
}
function fnGetTotal(){
   var iValue=0;
   var iLen=oSheet.rows.length-1;
   for(var i=1;i<iLen;i++){
      iValue+=parseFloat(oSheet.rows(i).cells(3).innerText);
   }
   return iValue;
}
function fnGetValue(oRow){
   var oCells=oRow.cells;
   var oPrice=oCells(2);
   var oQuantity=oCells(1);
   var sPrice;
   var sQuantity;
   if(oPrice.childNodes[0].nodeName=="#text"){
      sPrice=oPrice.innerText;
   }
   else{
      var vPrice=oPrice.childNodes[0].value;
      sPrice=(vPrice==""?"0":vPrice);
   }
   if(oQuantity.childNodes[0].nodeName=="#text"){
      sQuantity=oQuantity.innerText;
   }
   else{
      var vQuantity=oQuantity.childNodes[0].value;
      sQuantity=(vQuantity==""?"0":vQuantity);
   }
   var vAlg1=parseFloat(sPrice) * parseFloat(sQuantity);
   return vAlg1;
}
</SCRIPT>

<TABLE ID="oSheet">
<TR><TH>Product</TH><TH>Quantity</TH>
<TH>Price per #</TH><TH>Totals</TH></TR>
<TR><TD>Browser Putty</TD><TD EDIT="true">2</TD>
<TD EDIT="true">4.99</TD><TD></TD></TR>
<TR><TH COLSPAN=3>Grand Total</TH><TH></TH></TR>
</TABLE>
This feature requires Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ACRONYM, ADDRESS, APPLET, AREA, B, BDO, BIG, BLOCKQUOTE, BODY, BR, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, custom, DD, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, Hn, HR, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LABEL, LEGEND, LI, LISTING, MARQUEE, MENU, NOBR, OBJECT, OL, OPTION, P, PARAM, PRE, Q, RT, RUBY, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR

See Also

dynamic properties Internet Link, getExpression, recalc


setInterval Method

Evaluates an expression each time a specified number of milliseconds has elapsed.

Syntax

iTimerID = window.setInterval(vCode, iMilliSeconds [, sLanguage])

Parameters

vCode | Required. Variant that specifies a function pointer or string that indicates the code to be executed when the specified interval has elapsed.
iMilliSeconds | Required. Integer that specifies the number of milliseconds.
sLanguage | Optional. String that specifies any one of the possible values for the LANGUAGE attribute.

Return Value

Integer. Returns an identifier that cancels the timer with the clearInterval method.

Remarks

The setInterval method continuously evaluates the specified expression until the timer is removed with the clearInterval method.

In versions earlier than Microsoft® Internet Explorer 5, the first argument of setInterval must be a string. Evaluation of the string is deferred until the specified interval elapses.

As of Internet Explorer 5, the first argument of setInterval can be passed as a string or as a function pointer.

To pass a function as a string, be sure to suffix the function name with parentheses.

window.setInterval("someFunction()", 5000);

When passing a function pointer, do not to include the parentheses.

window.setInterval(someFunction, 5000);

Include the parentheses to have the function evaluated immediately before setInterval is called. The result of the function is passed to setInterval rather than to the function.

To retrieve a function pointer, use the code shown in the following example:

function callback()
{
    alert("callback");
}

function callback2()
{
    alert("callback2");
}

function chooseCallback(iChoice)
{
    switch (iChoice)
    {
    case 0:
        return callback;
    case 1:
        return callback2;
    default:
        return "";
    }
}

// if i is 0, callback is invoked after 5 seconds
// if i is 1, callback2 is invoked
// otherwise, the timer is not set
window.setInterval(chooseCallback(i), 5000);

Example

Sample Code

This example uses the setInterval method to create a DHTML clock. A variable is assigned to the interval, and can be used as a reference to stop the interval using the clearInterval method.

var oInterval = "";

function fnStartInterval(){
   oInterval = window.setInterval("fnRecycle()",1000);
}
function fnRecycle(){
   // Code to display hours, minutes, and seconds.
}
This feature requires Microsoft® Internet Explorer 4 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

window

See Also

clearInterval, setTimeout


setTimeout Method

Evaluates an expression after a specified number of milliseconds has elapsed.

Syntax

iTimerID = window.setTimeout(vCode, iMilliSeconds [, sLanguage])

Parameters

vCode | Required. Variant that specifies the function pointer or string that indicates the code to be executed when the specified interval has elapsed.
iMilliSeconds | Required. Integer that specifies the number of milliseconds.
sLanguage | Optional. String that specifies any one of the possible values for the LANGUAGE attribute.

Return Value

Integer. Returns an identifier that cancels the evaluation with the clearTimeout method.

Remarks

In versions earlier than Microsoft® Internet Explorer 5, the first argument of setTimeout must be a string. Evaluation of the string is deferred until the specified interval elapses.

As of Internet Explorer 5, the first argument of setTimeout can be a string or a function pointer.

The specified expression or function is evaluated once. For repeated evaluation, use the setInterval method.

Example

The following examples use the setTimeout method to evaluate a simple expression after 1 second has elapsed.

Sample Code

This example uses the setTimeout method to evaluate a slightly more complex expression than the one in the preceding example after 1 second has elapsed.

window.setTimeout("alert('Hello, world')", 1000);

The following example uses the setTimeout method to evaluate a slightly more complex expression after 1 second has elapsed.

var sMsg = "Hello, world";
window.setTimeout("alert(" + sMsg + ")", 1000);

This example uses the setTimeout method to hide a button object after three seconds. If the user clicks the Count Down button and then counts to three, the Now You See Me button disappears.

<SCRIPT>
function fnHide(oToHide){
   window.setTimeout("fnHide2(" + oToHide.id + ")", 3000);
}
function fnHide2(sID){
   var o = eval(sID);
   o.style.display="none";
}
</SCRIPT>
<INPUT TYPE=button VALUE="Now you see me ..."
    ID="oHideButton" onclick="fnHide(this)">

In the preceding example, the ID of the button is passed as a parameter to the function invoked by the setTimeout method. This is possible only when a string is passed as the first argument.

This example uses a function pointer to pass the data. In this case, the data is stored in a global variable because it cannot be passed directly.

<SCRIPT>
var g_oToHide = null;

function fnHide(oToHide){
    g_oToHide = oToHide;
    window.setTimeout(fnHide2, 3000);
}
function fnHide2(sID){
    if (g_oToHide) {
       g_oToHide.style.display="none";
    }
}
</SCRIPT>
<INPUT TYPE=button VALUE="Now you see me ..." ID="oHideButton"
    onclick="fnHide(this)">
This feature requires Microsoft® Internet Explorer 3 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

window


ShowBrowserUI Method

Opens the specified browser dialog box.

Syntax

vReturn = window.external.ShowBrowserUI(sUI, null)

Parameters

sUI Required. String that specifies a browser dialog box, using one of the following values:
LanguageDialog | Opens the Language Preference dialog box.
OrganizeFavorites | Opens the Organize Favorites dialog box.
null Required. Null value.

Return Value

Variant. Return value is determined by the dialog box.

Example

This example uses the ShowBrowserUI method to open a particular dialog box when a button is clicked.

Sample Code

<BUTTON onclick="window.external.ShowBrowserUI('LanguageDialog'"
    + ", null)">Show Language Dialog</BUTTON>
<BUTTON onclick="window.external.ShowBrowserUI('OrganizeFavorites'"
    + ", null)">Show Organize Favorites</BUTTON>

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
external


showHelp Method

Displays a Help file. This method can be used with Microsoft HTML Help.

Syntax

window.showHelp(sURL [, vContextID])

Parameters

sURL | Required. String that specifies the URL of the Help (.hlp) file to display.
vContextID | Optional. Variant that specifies a string or integer that indicates a context identifier in a Help file.

Return Value

No return value.

Remarks

When implementing this method, a second Help dialog box appears when the user presses F1 or clicks Help on the menu bar. You can prevent the default Help dialog box from appearing by setting the following:

   window.event.returnValue = false

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

window


showModalDialog Method

Creates a modal dialog box that displays the specified HTML document.

Syntax

vReturnValue = window.showModalDialog(sURL [, vArguments][, sFeatures])

Parameters

sURL | Required. String that specifies the URL of the document to load and display.
vArguments | Optional. Variant that specifies the arguments to use when displaying the document. Use this parameter to pass a value of any type, including an array of values. The dialog box can extract the values passed by the caller from the dialogArguments property of the window object.
sFeatures Optional. String that specifies the window ornaments for the dialog box, using one or more of the following semicolon-delimited values:
dialogHeight:iHeight | Sets the height of the dialog window (see Remarks for default unit of measure).
dialogLeft:iXPos | Sets the left position of the dialog window relative to the upper-left corner of the desktop.
dialogTop:iYPos | Sets the top position of the dialog window relative to the upper-left corner of the desktop.
dialogWidth:iWidth | Sets the width of the dialog window (see Remarks for default unit of measure).
center:{ yes | no | 1 | 0 } | Specifies whether to center the dialog window within the desktop. The default is yes.
help:{ yes | no | 1 | 0 } | Specifies whether the dialog window displays the context-sensitive Help icon. The default is yes.
resizable:{ yes | no | 1 | 0 } | Specifies whether the dialog window has set dimensions. The default for both trusted and untrusted dialog windows is no.
status:{ yes | no | 1 | 0 } | Specifies whether the dialog window displays a status bar. The default is yes for untrusted dialog windows and no for trusted dialog windows.

Return Value

Variant. Returns the value of the returnValue property as set by the window of the document specified in sURL.

Remarks

A modal dialog box retains the input focus while open. The user cannot switch windows until the dialog box is closed.

Because a modal dialog box can include a URL to a resource in a different domain, do not pass information through the vArguments parameter that the user might consider private.

As of Microsoft® Internet Explorer 4.0, you can eliminate scroll bars on dialog boxes. To turn off the scroll bar, set the SCROLL attribute to false in the BODY element for the dialog window, or call the modal dialog box from a trusted application.

Internet Explorer 5 allows further control over modal dialog boxes through the status and resizable values in the sFeatures parameter of the showModalDialog method. Turn off the status bar by calling the dialog box from a trusted application, such as Microsoft® Visual Basic® or an HTML Application (HTA), or from a trusted window, such as a trusted modal dialog box. These applications are considered to be trusted because they use Internet Explorer interfaces instead of the browser. Any dialog box generated from a trusted source has the status bar turned off by default. Resizing is turned off by default, but you can turn it on by specifying resizable=yes in the sFeatures string of the showModalDialog method.

You can set the default font settings the same way you set cascading style sheets (CSS) attributes (for example, "font:3;font-size:4"). To define multiple font values, use multiple font attributes.

The default unit of measure for dialogHeight and dialogWidth in Internet Explorer 4.0 is the em; in Internet Explorer 5 it is the pixel. For consistent results, specify the dialogHeight and dialogWidth in pixels when designing modal dialog boxes.

Although a user can manually adjust the height of a dialog box to a smaller value—provided the dialog box is resizable—the minimum dialogHeight you can specify is 100 pixels.

To override center, even though the default for center is yes, you can specify either dialogLeft and/or dialogTop.

Example

This example uses the showModalDialog method to open a customized dialog box.

Sample Code

<SCRIPT>
function fnRandom(iModifier){
   return parseInt(Math.random()*iModifier);
}
function fnSetValues(){
   var iHeight=oForm.oHeight.options[
      oForm.oHeight.selectedIndex].text;
   if(iHeight.indexOf("Random")>-1){
      iHeight=fnRandom(document.body.clientHeight);
   }
   var sFeatures="dialogHeight: " + iHeight + "px;";
   return sFeatures;
}
function fnOpen(){
   var sFeatures=fnSetValues();
   window.showModalDialog("showModalDialog_target.htm", "",
      sFeatures)
}
</SCRIPT>

<FORM NAME=oForm>
Dialog Height <SELECT NAME="oHeight">
   <OPTION>-- Random --
   <OPTION>150
   <OPTION>200
   <OPTION>250
   <OPTION>300
</SELECT>

Create Modal Dialog Box
<INPUT TYPE="button" VALUE="Push To Create"
   onclick="fnOpen()">
</FORM>
This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

window


showModelessDialog Method

Creates a modeless dialog box that displays the specified HTML document.

Syntax

vReturnValue = window.showModelessDialog(sURL [, vArguments][, sFeatures])

Parameters

sURL | Required. String that specifies the URL of the document to load and display.
vArguments | Optional. Variant that specifies the arguments to use when displaying the document. Use this parameter to pass a value of any type, including an array of values. The dialog box can extract the values passed by the caller from the dialogArguments property of the window object.
sFeatures Optional. String that specifies the window ornaments for the dialog box, using one or more of the following semicolon-delimited values:
dialogHeight:iHeight | Sets the height, in pixels, of the dialog window.
dialogLeft:iXPos | Sets the left position of the dialog window relative to the upper-left corner of the desktop.
dialogTop:iYPos | Sets the top position of the dialog window relative to the upper-left corner of the desktop.
dialogWidth:iWidth | Sets the width, in pixels, of the dialog window.
center:{ yes | no | 1 | 0 } | Specifies whether to center the dialog window within the desktop. The default is yes.
help:{ yes | no | 1 | 0 } | Specifies whether the dialog box displays the context-sensitive Help icon. The default is yes.
resizable:{ yes | no | 1 | 0 } | Specifies whether the dialog window has set dimensions. The default for trusted and untrusted dialog windows is no.
status:{ yes | no | 1 | 0 } | Specifies whether the dialog window displays a status bar. The default is yes for untrusted dialog windows and no for trusted dialog windows.

Return Value

Variant. Returns a reference to the new window object. Use this reference to script properties and methods on the new window.

Remarks

The modeless dialog box displays even when the user switches input focus to the window.

The showModelessDialog method is useful for menus and Help systems. When you invoke this method, a dialog box appears, layered in front of the browser window or HTML Application (HTA).

By convention, modeless dialog boxes can differ from an application window in that they do not have scroll bar, status bar, or resize capabilities. To create this type of dialog box, implement the following steps:

  • Turn off the scroll bar. Use the SCROLL attribute by including the scroll="no" value in the BODY tag for the dialog window.
  • Turn off the status bar. Set the value of status to no in the sFeatures parameter of the showModelessDialog call. A second option is to call the dialog window from a trusted application, such as Microsoft® Visual Basic® or an HTA, or from a trusted window, such as a trusted dialog box. These are considered trusted because they use Internet Explorer interfaces instead of the browser. The status bar of any dialog box generated from a trusted source is set to off by default.
  • Do not allow resizing. Resizing is set to off by default.

To create a return value for showModelessDialog, set the vArguments parameter to a callback function or an object in the showModelessDialog call. In the modeless dialog box, you can reference this function or object through the dialogArguments property of the window object. The same arguments are valid for the showModelessDialog and showModalDialog methods.

You can set the default font settings the same way you set cascading style sheets (CSS) attributes (for example, "font:3; font-size:4"). To define multiple font values, use multiple font attributes.

To override center, even though the default for center is yes, you can specify either dialogLeft and/or dialogTop.

Although a user can manually adjust the height of a dialog box to a smaller value—provided the dialog box is resizable—the minimum dialogHeight you can specify is 100 pixels.

Example

This example uses the showModelessDialog method to create a return value. It also shows how to handle user actions in the modeless dialog box.

Sample Code

<HEAD>
<SCRIPT>
// Supplies a return value from modeless dialog box.
var sUserName="";

// Passes URL and file name of dialog box as a variable.
var oDialog = "myDialog.htm";

// Passing the window object allows for the creation of a
// callback to return information from the modeless dialog box.

function fnCallDialog()
{
   showModelessDialog(oDialog,window,
      "status:false;dialogWidth:300px;dialogHeight:300px");
}

</SCRIPT>
</HEAD>
This feature requires Microsoft Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
window


splitText Method

Divides a text node at the specified index.

Syntax

oSplitNode = TextNode.splitText(iIndex)

Parameters

iIndex Optional. Integer that specifies the index of the string that indicates where the separation occurs. If a value is not provided, a new text node with no value is created.

Return Value

Returns a text node object.

Remarks

The text node that invokes the splitText method has a nodeValue equal to the substring of the value, from 0 to iIndex. The new text node has a nodeValue of the substring of the original value, from the specified index to the value length. Text node integrity is not preserved when the document is saved or persisted.

Example

Sample Code

This example uses the splitText method to divide a text node in half in a UL object. When the text node splits, the createElement method creates a new LI object. The appendChild method appends the new LI element and the split text node to the UL object.

<SCRIPT>
function fnSplitNode(){
   var oNode=oList.firstChild.childNodes(0);
   var oNewNode=document.createElement("LI");
   var oSplitNode = oNode.splitText(oNode.nodeValue.length/2);
   oList.appendChild(oNewNode);
   oNewNode.appendChild(oSplitNode);
}
</SCRIPT>
<UL onclick="fnSplitNode()">
<LI>This is a list item.
</UL>

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
TextNode

See Also

createElement


start Method

Starts scrolling the marquee.

Syntax

marquee.start()

Return Value

No return value.

Remarks

Invoking the start method does not fire the onstart event handler.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

MARQUEE


stop Method

Stops the marquee from scrolling.

Syntax

marquee.stop()

Return Value

No return value.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

MARQUEE


submit Method

Submits the form, and fires the onsubmit event.

Syntax

form.submit()

Return Value

No return value.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

FORM

See Also

INPUT, reset


swapNode Method

Exchanges the location of two objects in the document hierarchy.

Syntax

oSwapped = object.swapNode(oNode)

Parameters

oNode Required. Object that specifies the existing element.

Return Value

Returns a reference to the object that invoked the method.

Remarks

This method is accessible at run time. If elements are removed at run time, before the closing tag is parsed, areas of the document might not render.

Example

This example uses the swapNode method to exchange the location of two objects.

<SCRIPT>
function fnSwap(){
   oList.children(0).swapNode(oList.children(1));
}
</SCRIPT>

<UL ID = oList>
<LI>List Item 1
<LI>List Item 2
<LI>List Item 3
<LI>List Item 4
</UL>
<INPUT TYPE = button VALUE = "Swap List" onclick = "fnSwap()">

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ACRONYM, ADDRESS, APPLET, AREA, B, BASE, BASEFONT, BDO, BGSOUND, BIG, BLOCKQUOTE, BODY, BR, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, COMMENT, DD, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, HEAD, Hn, HR, HTML, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LABEL, LEGEND, LI, LINK, LISTING, MAP, MARQUEE, MENU, NEXTID, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TITLE, TR, TT, U, UL, VAR, XMP


tags Method

Retrieves a collection of objects that have the specified HTML tag name.

Syntax

collElements = object.tags(sTag)

Parameters

sTag Required. String that specifies an HTML tag. It can be any one of the objects exposed by the DHTML Object Model.

Return Value

Returns a collection of element objects if successful, or null otherwise.

Remarks

This method returns an empty collection if no elements having the given name are found. Use the length property on the collection to determine the number of elements it contains.

Example

This example uses the tags method to retrieve a collection of all P elements in the document, and then uses the textDecoration property to underline each element.

<SCRIPT LANGUAGE="JScript">
var coll = document.all.tags("P");
if (coll!=null)
{
    for (i=0; i<coll.length; i++)
      coll[i].style.textDecoration="underline";
}
</SCRIPT>

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
all, anchors, applets, areas, boundElements, cells, children, elements, embeds, forms, images, links, options, plugins, rows, scripts, tbodies


taintEnabled Method

Returns whether data tainting is enabled.

Syntax

bEnabled = navigator.taintEnabled()

Return Value

Boolean. Returns true if data tainting is supported, or false otherwise.

Remarks

Microsoft® Internet Explorer 5 and earlier does not support data tainting and therefore always returns false.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

clientInformation, navigator


urns Method

Retrieves a collection of all objects to which a specified behavior Internet Link is attached.

Syntax

collObjects = object.urns(sUrn)

Parameters

sUrn Required. String that specifies the behavior's Uniform Resource Name (URN).

Return Value

Returns a collection of objects if successful, or null otherwise.

Remarks

This method returns an empty collection if no element has the specified behavior attached to it.

Use the length property on the collection to determine the number of elements it contains, and the item method to obtain a particular item in the collection.

Example

This example uses the urns method to retrieve a collection of all elements currently attached to the specified behavior, and then displays a comma-delimited list of IDs of the elements in a message box.

<SCRIPT LANGUAGE="JScript">
var coll  = document.all.urns("URN1");
var sText = '';

if (coll != null)
{
    for (i=0; i<coll.length; i++)
       sText += coll.item(i).id + ', ';

    window.alert (sText);
}
</SCRIPT>

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
all, anchors, applets, areas, boundElements, cells, childNodes, children, elements, embeds, FORM, forms, images, links, options, rows, scripts, SELECT, stylesheets, tbodies

See Also

behaviorUrns


write Method

Writes one or more HTML expressions to a document in the specified window.

Syntax

document.write(sText)

Parameters

sText Required. String that specifies the text and/or HTML tags to write.

Return Value

No return value.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

document


writeln Method

Writes one or more HTML expressions, followed by a carriage return, to a document in the specified window.

Syntax

document.writeln(sText)

Parameters

sText Required. String that specifies the text and/or HTML tags to write.

Return Value

No return value.

Remarks

In HTML, the carriage return is ignored unless it occurs within preformatted text.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

document


A Element | A Object

Designates the start or destination of a hypertext link.

HTML Syntax

<A
    ACCESSKEY=key
    CLASS=classname
    DATAFLD=colname
    DATASRC=#ID
    HREF=url
    ID=value
    LANG=language
    LANGUAGE=JAVASCRIPT | JSCRIPT | VBSCRIPT  | VBS
    METHODS=http-method
    NAME=name
    REL="stylesheet"
    REV="stylesheet"
    STYLE=css1-properties
    TABINDEX=n
    TARGET=window_name | _blank | _parent | _search | _self | _top
    TITLE=text
    URN=urn
    event = script
>

Remarks

The A (anchor) element requires the href or the name property to be specified.

Both text and images can be included within an anchor. An image that is an anchor has a border whose color indicates whether the link has been visited.

The A element is an inline element and requires a closing tag.

This element is available in HTML and script as of Microsoft® Internet Explorer 3.0.

Members

A Members

Styles

A Styles

Example

The following examples use the A element to link files, open a file, include an image as part of a link, define an anchor, and invoke a function.

<-- Link to a server. -->
<A HREF="http://www.microsoft.com">Microsoft home page.</A>

<-- Link to a file in the same directory. -->
<A HREF="home.htm">home.htm</A>

<-- Open a file in the window specified by TARGET. -->
<A TARGET="viewer" HREF="sample.htm">Open in window</A>

<-- Include an IMG element as a part of the link. -->
<A HREF="http://www.microsoft.com"><IMG SRC="images/bullet.gif">link</A>

<-- Link to an anchor. -->
<A HREF="#anchor">anchor</A>

<-- Define an anchor. -->
<A NAME="anchor">

<-- Invoke a JScript function -->
<A HREF="javascript:window.open()">link</A>


ACRONYM Element | ACRONYM Object

Indicates an acronym abbreviation.

HTML Syntax

<ACRONYM
    CLASS=classname
    ID=value
    LANG=language
    LANGUAGE=JAVASCRIPT | JSCRIPT | VBSCRIPT  | VBS
    STYLE=css1-properties
    TITLE=text
    event = script
>

Remarks

The ACRONYM element is an inline element and requires a closing tag.

This element is available in HTML and script as of Microsoft® Internet Explorer 4.0.

Members

ACRONYM Members

Styles

ACRONYM Styles

Example

<ACRONYM>MSN</ACRONYM>

See Also

ADDRESS, CITE, DFN, EM, I


ADDRESS Element | ADDRESS Object

Specifies information, such as address, signature, and authorship, of the current document.

HTML Syntax

<ADDRESS
    CLASS=classname
    ID=value
    LANG=language
    LANGUAGE=JAVASCRIPT | JSCRIPT | VBSCRIPT  | VBS
    STYLE=css1-properties
    TITLE=text
    event = script
>

Remarks

Microsoft® Internet Explorer displays the content of an ADDRESS element in italics.

The ADDRESS element is a block element and requires a closing tag.

This element is available in HTML as of Internet Explorer 3.0, and in script as of Internet Explorer 4.0.

Members

ADDRESS Members

Styles

ADDRESS Styles

Example

This example uses the ADDRESS element to italicize text.

<ADDRESS>This text will be italic.</ADDRESS>

See Also

ACRONYM, CITE, DFN, EM, I


APPLET Element | APPLET Object

Places executable content on the page.

HTML Syntax

<APPLET
    ALIGN=ABSBOTTOM | ABSMIDDLE | BASELINE | BOTTOM | LEFT |
        MIDDLE | RIGHT | TEXTTOP | TOP
    ALT=text
    CLASS=classname
    CODE=filename
    CODEBASE=url
    DATAFLD=colname
    DATASRC=#ID
    HEIGHT=n
    HSPACE=n
    ID=value
    NAME=name
    SRC=url
    STYLE=css1-properties
    TITLE=text
    VSPACE=n
    WIDTH=n
    event = script
>

Remarks

The APPLET element is a block element and requires a closing tag.

To use executable content specified by the APPLET element, a user's computer must have the Microsoft virtual machine installed.

This element is available in HTML as of Microsoft® Internet Explorer 3.0, and in script as of Internet Explorer 4.0.

Members

APPLET Members

Styles

APPLET Styles


AREA Element | AREA Object

Defines the shape, coordinates, and associated URL of one hyperlink region within a client-side image MAP.

HTML Syntax

<AREA
    ALT=text
    CLASS=classname
    COORDS=coordinates
    HREF=url
    ID=value
    LANG=language
    LANGUAGE=JAVASCRIPT | JSCRIPT | VBSCRIPT  | VBS
    NOHREF
    SHAPE=CIRC | CIRCLE | POLY | POLYGON | RECT | RECTANGLE
    STYLE=css1-properties
    TABINDEX=n
    TARGET=window_name | _blank | _parent  | _search | _self | _top
    TITLE=text
    event = script
>

Remarks

Any number of AREA elements can be contained within the same MAP element.

The format of the COORDS value depends on the value of the SHAPE attribute.

The AREA element is not rendered and requires a closing tag.

This element is available in HTML as of Microsoft® Internet Explorer 3.0, and in script as of Internet Explorer 4.0.

Members

AREA Members

Styles

AREA Styles

Example

This example provides the code for an image map of the solar system. It creates links from the image map to individual images of the planets using the AREA element with the MAP element, COORDS value, and SHAPE attribute. The user clicks the sun or any planet to link to an individual image. To return to the solar system image map, the user clicks the Back button.

Sample Code

<P><IMG SRC="solarsys.gif" WIDTH=504 HEIGHT=126 BORDER=0
    ALT="Solar System" USEMAP="#SystemMap">

<MAP NAME="SystemMap">
    <AREA SHAPE="rect" COORDS="0,0,82,126"
        HREF="/workshop/graphics/sun.gif">
    <AREA SHAPE="circle" COORDS="90,58,3"
        HREF="/workshop/graphics/merglobe.gif">
    <AREA SHAPE="circle" COORDS="124,58,8"
        HREF="/workshop/graphics/venglobe.gif">
    <AREA SHAPE="circle" COORDS="162,58,10"
        HREF="/workshop/graphics/earglobe.gif">
    <AREA SHAPE="circle" COORDS="203,58,8"
        HREF="/workshop/graphics/marglobe.gif">
    <AREA SHAPE="poly" COORDS="221,34,238,37,257,32,278,44,284,        60,
        281,75,288,91,267,87,253,89,237,81,229,64,228,54"
        HREF="/workshop/graphics/jupglobe.gif">
    <AREA SHAPE="poly" COORDS="288,19,316,39,330,37,348,47,351,66,
        349,74,367,105,337,85,324,85,307,77,303,60,307,50"
        HREF="/workshop/graphics/satglobe.gif">
    <AREA SHAPE="poly" COORDS="405,39,408,50,411,57,410,71,404,78,
        393,80,383,86,381,75,376,69,376,56,380,48,393,44"
        HREF="/workshop/graphics/uraglobe.gif">
    <AREA SHAPE="poly" COORDS="445,38,434,49,431,53,427,62,430,72,
        435,77,445,92,456,77,463,72,463,62,462,53,455,47"
        HREF="/workshop/graphics/nepglobe.gif">
    <AREA SHAPE="circle" COORDS="479,66,3"
        HREF="/workshop/graphics/pluglobe.gif">
</MAP>

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer


Attribute Object

Represents an attribute or property of an HTML element as an object.

Remarks

The Attribute object is accessible through the attributes collection.

A valid attribute or property can be any Dynamic HTML (DHTML) property or event that applies to the object, or an expando.

This object is available in script as of Microsoft® Internet Explorer 5.

Members

Attribute Members

Example

This example uses the Attribute object to create a list of attributes that are specified.

<SCRIPT>
function fnFind(){
   for(var i=0;i<oList.attributes.length;i++){
      if(oList.attributes[i].specified){
         alert(oList.attributes[i].nodeName + " = "
          + oList.attributes[i].nodeValue);
      }
   }
}
</SCRIPT>

<UL onclick="fnFind()">
<LI ID = "oItem1" ACCESSKEY = "L">List Item 1
</UL>


B Element | B Object

Specifies that the text should be rendered in bold.

HTML Syntax

<B
    CLASS=classname
    ID=value
    LANG=language
    LANGUAGE=JAVASCRIPT | JSCRIPT | VBSCRIPT  | VBS
    STYLE=css1-properties
    TITLE=text
    event = script
>

Remarks

The B element is an inline element and requires a closing tag.

This element is available in HTML as of Microsoft® Internet Explorer 3.0, and in script as of Internet Explorer 4.0.

Members

B Members

Styles

B Styles

Example

This example uses the B element to boldface the text.

<B>This text displays boldface.</B>

See Also

STRONG


BASE Element | BASE Object

Specifies an explicit URL used to resolve links and references to external sources such as images and style sheets.

HTML Syntax

<BASE
    HREF=url
    TARGET=window_name | _blank | _parent | _search | _self | _top
>

Remarks

When used, the BASE element must appear within the HEAD of the document, before any elements that refer to an external source.

The BASE element does not require a closing tag.

This element is available in HTML as of Microsoft® Internet Explorer 3.0, and in script as of Internet Explorer 4.0.

Members

BASE Members

Example

This example sets the base URL of the document to a reference folder. Internet Explorer uses the BASE element to resolve the link to http://msdn.microsoft.com/workshop/author/dhtml/reference/properties/href_2.asp.

<HEAD>
<BASE HREF="http://msdn.microsoft.com/workshop/author/dhtml/reference">
</HEAD>

<BODY>
Click <A HREF="properties/href_2.asp">here< to learn about the
href property.
</BODY>

This example retrieves the base URL from the document if a valid BASE element is specified in the document. Otherwise, the function returns null.

<SCRIPT>
function GetBase()
{
    var oBaseColl = document.all.tags('BASE');
    return ( (oBaseColl && oBaseColl.length) ? oBaseColl[0].href :
        null );
}
</SCRIPT>


BASEFONT Element | BASEFONT Object

Sets a base font value to be used as the default font when rendering text.

HTML Syntax

<BASEFONT
    CLASS=classname
    COLOR=color
    FACE=font
    ID=value
    LANG=language
    SIZE=n
>

Remarks

This element can be used only within the BODY element or the HEAD element. BASEFONT should appear before any displayed text in the BODY of the document.

The BASEFONT element does not require a closing tag.

This element is available in HTML as of Microsoft® Internet Explorer 3.0, and in script as of Internet Explorer 4.0.

Members

BASEFONT Members

Example

This example uses the BASEFONT element to set the base font size, and the FONT element to temporarily override it.

No BASEFONT size specified yet.
<BASEFONT SIZE=4> Set the BASEFONT size.
<FONT SIZE=2> Temporarily override the BASEFONT size.</FONT>
Resume the BASEFONT size.


BDO Element | BDO Object

Allows authors to disable the bidirectional algorithm for selected fragments of text.

HTML Syntax

<BDO
    DIR=ltr|rtl
    ID=value
    LANG=language
    TITLE=text
    event=script
>

Remarks

The BDO element can be used to control the reading order of a block of text.

The Unicode bidirectional algorithm automatically reverses embedded character sequences according to their inherent direction. For example, the base direction of an English document is left-to-right (ltr). If portions of a paragraph within this document contain a language with the right-to-left (rtl) reading order, you can reverse the direction of that language by applying the bidirectional algorithm.

The bidirectional algorithm and the DIR attribute generally suffice for embedded direction changes. However, incorrect presentations can occur when you expose formatted text to the bidirectional algorithm. For example, a paragraph containing English and Hebrew that is formatted for e-mail could be incorrectly inverted by the bidirectional algorithm. Because the reading order of the Hebrew text was inverted once for the e-mail, exposing it to the bidirectional algorithm would invert the words a second time.

The BDO element turns off the algorithm and controls the reading order. The DIR attribute is required when you use the BDO element.

The BDO element is an inline element and requires a closing tag.

This element is available in HTML and script as of Microsoft® Internet Explorer 5.

Members

BDO Members

Example

Sample Code

This example uses the BDO element to correct the reading order of a block of text.

The following string includes text written in the left-to-right order of the English language and the right-to-left order of Hebrew: This fragment is in English, WERBEH NI SI TNEMGARF SIHT.

Assume that the right-to-left text (WERBEH NI SI TNEMGARF SIHT.) already has been inverted, so that it displays in the correct direction. If you subsequently apply the Unicode bidirectional to the text, the text inverts a second time and incorrectly displays as left-to-right instead of right-to-left.

The solution is to override the bidirectional algorithm and put the block of text in the correct reading order inside a BDO element whose DIR attribute is set to ltr.

<BDO DIR="ltr">This fragment is in English,
    WERBEH NI SI TNEMGARF SIHT.</BDO>

See Also

direction


BGSOUND Element | BGSOUND Object

Enables pages with background sounds or soundtracks to be created.

HTML Syntax

<BGSOUND
    BALANCE=n
    CLASS=classname
    ID=value
    LANG=language
    LOOP=n
    SRC=url
    TITLE=text
    VOLUME=n
>

Remarks

The BGSOUND element can be used only within the HEAD element.

The BGSOUND element does not require a closing tag.

This element is available in HTML as of Microsoft® Internet Explorer 3.0, and in script as of Internet Explorer 4.0.

Members

BGSOUND Members

Styles

BGSOUND Styles


BIG Element | BIG Object

Specifies that the enclosed text should be displayed in a larger font than the current font.

HTML Syntax

<BIG
    CLASS=classname
    ID=value
    LANG=language
    LANGUAGE=JAVASCRIPT | JSCRIPT | VBSCRIPT  | VBS
    STYLE=css1-properties
    TITLE=text
    event = script
>

Remarks

The BIG element is an inline element and requires a closing tag.

This element is available in HTML as of Microsoft® Internet Explorer 3.0, and in script as of Internet Explorer 4.0.

Members

BIG Members

Styles

BIG Styles

Example

This example uses the BIG element to enlarge text.

<BIG>This text is larger</BIG> than this text.


BLOCKQUOTE Element | BLOCKQUOTE Object

Sets apart a quotation in text.

HTML Syntax

<BLOCKQUOTE
    CLASS=classname
    ID=value
    LANG=language
    LANGUAGE=JAVASCRIPT | JSCRIPT | VBSCRIPT  | VBS
    STYLE=css1-properties
    TITLE=text
    event = script
>

Remarks

The BLOCKQUOTE element is a block element and requires a closing tag.

This element is available in HTML as of Microsoft® Internet Explorer 3.0, and in script as of Internet Explorer 4.0.

Members

BLOCKQUOTE Members

Styles

BLOCKQUOTE Styles

Example

This example uses the BLOCKQUOTE element to set off a quotation that renders as indented text.

<P>He said,
<BLOCKQUOTE>"Hi there!"</BLOCKQUOTE>

See Also

Q


BODY Element | body Object

Specifies the beginning and end of the document body.

HTML Syntax

<BODY
    ALINK=color
    BACKGROUND=url
    BGCOLOR=color
    BGPROPERTIES=FIXED
    BOTTOMMARGIN=pixels
    CLASS=classname
    ID=value
    LANG=language
    LANGUAGE=JAVASCRIPT | JSCRIPT | VBSCRIPT  | VBS
    LEFTMARGIN=pixels
    LINK=color
    RIGHTMARGIN=pixels
    SCROLL=YES|NO
    STYLE=css1-properties
    TEXT=color
    TITLE=string
    TOPMARGIN=n
    VLINK=color
    event = script
>

Remarks

You can access the BODY element from script through the document object.

The window object for the BODY element can host event handlers for the onblur, onfocus, onload, or onunload events.

The BODY element is a block element and requires a closing tag.

This element is available in HTML as of Microsoft® Internet Explorer 3.0, and in script as of Internet Explorer 4.0.

Members

BODY Members

Styles

BODY Styles

Example

This example exposes the BODY element in script.

var oBody = document.body;

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
document


BR Element | BR Object

Inserts a line break.

HTML Syntax

<BR
    CLASS=classname
    CLEAR=ALL |LEFT | RIGHT
    ID=value
    LANGUAGE=JAVASCRIPT | JSCRIPT | VBSCRIPT  | VBS
    STYLE=css1-properties
    TITLE=text
>

Remarks

The BR element does not require a closing tag.

This element is available in HTML as of Microsoft® Internet Explorer 3.0, and in script as of Internet Explorer 4.0.

Members

BR Members

Styles

BR Styles


BUTTON Element | BUTTON Object

Specifies a container for rich HTML that is rendered as a button.

HTML Syntax

<BUTTON
    ACCESSKEY=string
    CLASS=classname
    DATAFLD=colname
    DATAFORMATAS=HTML | TEXT
    DATASRC=#ID
    DISABLED=true | false
    ID=value
    LANG=language
    LANGUAGE=JAVASCRIPT | JSCRIPT | VBSCRIPT  | VBS
    NAME=name
    STYLE=css1-properties
    TITLE=text
    TYPE=BUTTON | RESET | SUBMIT
    VALUE=value
    event = script
>

Remarks

When the BUTTON element is submitted in a form, Microsoft® Internet Explorer 5 and later submits the VALUE attribute, if it exists. Otherwise, the innerText property is submitted. In Internet Explorer 4.0, only the innerText value is submitted.

The BUTTON element is an inline element and requires a closing tag.

This element is available in HTML and script as of Internet Explorer 4.0.

Members

BUTTON Members

Styles

BUTTON Styles


CAPTION Element | CAPTION Object

Specifies a brief description for a TABLE.

HTML Syntax

<CAPTION
    ALIGN=BOTTOM | CENTER | LEFT | RIGHT | TOP
    CLASS=classname
    ID=value
    LANG=language
    LANGUAGE=JAVASCRIPT | JSCRIPT | VBSCRIPT  | VBS
    STYLE=css1-properties
    TITLE=text
    VALIGN=BOTTOM | TOP
    event = script
>

Remarks

The CAPTION element should be a child of the TABLE element.

The CAPTION element is a block element and requires a closing tag.

This element is available in HTML as of Microsoft® Internet Explorer 3.0, and in script as of Internet Explorer 4.0.

Members

CAPTION Members

Styles

CAPTION Styles

Example

This example uses the CAPTION element to provide a brief description for a table.

<TABLE>
<CAPTION VALIGN=BOTTOM>
This caption will appear below the table.
</CAPTION>
<TBODY>
<TR>
<TD>
This text is inside the table.
</TD>
</TR>
</TBODY>
</TABLE>


CENTER Element | CENTER Object

Centers subsequent text and images.

HTML Syntax

<CENTER
    CLASS=classname
    ID=value
    LANG=language
    LANGUAGE=JAVASCRIPT | JSCRIPT | VBSCRIPT  | VBS
    STYLE=css1-properties
    TITLE=text
    event = script
>

Remarks

The CENTER element is a block element and requires a closing tag.

This element is available in HTML as of Microsoft® Internet Explorer 3.0, and in script as of Internet Explorer 4.0.

Members

CENTER Members

Styles

CENTER Styles

Example

This example uses the CENTER element to center text on a page.

<CENTER>This text appears centered on the page.</CENTER>


CITE Element | CITE Object

Indicates a citation by rendering text in italic.

HTML Syntax

<CITE
    CLASS=classname
    ID=value
    LANG=language
    LANGUAGE=JAVASCRIPT | JSCRIPT | VBSCRIPT  | VBS
    STYLE=css1-properties
    TITLE=text
    event = script
>

Remarks

A citation is a reference to a book, paper, or other published source material.

The CITE element is an inline element and requires a closing tag.

This element is available in HTML as of Microsoft® Internet Explorer 3.0, and in script as of Internet Explorer 4.0.

Members

CITE Members

Styles

CITE Styles

Example

This examples uses the CITE element to render a citation in italic.

<CITE>Book Title.</CITE>

See Also

ACRONYM, ADDRESS, DFN, EM, I


clipboardData Object

Provides access to predefined clipboard formats for use in editing operations.

Remarks

The clipboardData object is reserved for editing actions performed through the Edit menu, shortcut menu, and shortcut keys. It transfers information using the system clipboard and retains it until data from the next editing operation supplants it. This form of data transfer is particularly suited to multiple pastes of the same data.

This object is available in script as of Microsoft® Internet Explorer 5.

Members

clipboardData Members

Example

This example uses the setData and getData methods with the clipboardData object to perform a cut-and-paste operation through the shortcut menu.

Sample Code

<SCRIPT>
// Selects the text that is to be cut. Trailing spaces in a text
// selection in cut events causes the cut shortcut menu item to
// remain disabled.
function fnLoad() {
    var r = document.body.createTextRange();
    r.findText(oSource.innerText);
    r.select();
}

// Enables the Cut shortcut menu item, which is disabled by default over a DIV
function fnBeforeCut() {
    event.returnValue = false;
}

// Enables the Paste shortcut menu item, which is also disabled by default over a DIV
function fnBeforePaste() {
    event.returnValue = false;
}

</SCRIPT>
</HEAD>
<BODY>

<DIV ID="oSource" onbeforecut="fnBeforeCut()" >
    Cut this Text
</DIV>

<DIV ID="oTarget" TYPE="text" VALUE="Paste the Text Here"
       onbeforepaste="fnBeforePaste()"><DIV>
</BODY>
This feature requires Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
window

See Also

data transfer overview Internet Link


CODE Element | CODE Object

Specifies a code sample.

HTML Syntax

<CODE
    CLASS=classname
    ID=value
    LANG=language
    LANGUAGE=JAVASCRIPT | JSCRIPT | VBSCRIPT  | VBS
    STYLE=css1-properties
    TITLE=text
    event = script
>

Remarks

The CODE element is an inline element and requires a closing tag.

This element is available in HTML as of Microsoft® Internet Explorer 3.0, and in script as of Internet Explorer 4.0.

Members

CODE Members

Styles

CODE Styles

Example

This example uses the CODE element to display text in a font used to represent computer code, such as values or variable names.

<CODE>Here is some text in a small, fixed-width font.</CODE>

See Also

SAMP


COL Element | COL Object

Specifies column-based defaults for the table properties.

HTML Syntax

<COL
    ALIGN=CENTER | LEFT | RIGHT
    CLASS=classname
    ID=value
    SPAN=n
    STYLE=css1-properties
    TITLE=text
    VALIGN=BASELINE | BOTTOM | MIDDLE | TOP
    WIDTH=n
>

Remarks

The COL element is a block element and does not require a closing tag.

This element is available in HTML as of Microsoft® Internet Explorer 3.0, and in script as of Internet Explorer 4.0.

Members

COL Members

Styles

COL Styles

Example

This examples uses the COL element to specify characteristics for default columns in a table.

<TABLE>
<COLGROUP><COL ALIGN=RIGHT><COL ALIGN=LEFT></COLGROUP>
<COLGROUP><COL ALIGN=CENTER></COLGROUP>
<TBODY>
<TR>
<TD>This is the first column in the group and it is right-aligned.</TD>
<TD>This is the second column in the group and it is left-aligned.</TD>
<TD>This column is in a new group and it is centered.</TD>
</TR>
</TABLE>

See Also

COLGROUP


COLGROUP Element | COLGROUP Object

Contains a group of columns.

HTML Syntax

<COLGROUP
    ALIGN=CENTER | LEFT | RIGHT
    CLASS=classname
    ID=value
    SPAN=n
    STYLE=css1-properties
    TITLE=text
    VALIGN=BASELINE | BOTTOM | MIDDLE | TOP
    WIDTH=n
>

Remarks

The COLGROUP element is a block element and requires a closing tag if the COLGROUP has COL elements nested within it; otherwise it does not require a closing tag.

This element is available in HTML as of Microsoft® Internet Explorer 3.0, and in script as of Internet Explorer 4.0.

Members

COLGROUP Members

Styles

COLGROUP Styles

Example

This example uses the COLGROUP element to assign specific characteristics to columns in a table.

<TABLE>
<COLGROUP ALIGN="RIGHT"></COLGROUP>
<COLGROUP SPAN="2" ALIGN="LEFT"></COLGROUP>
<TBODY>
<TR>
<TD>This column is in the first group and is right-aligned.</TD>
<TD>This column is in the second group and is left-aligned.</TD>
<TD>This column is in the second group and is left-aligned.</TD>
</TR>
</TABLE>

See Also

COL


COMMENT Element | COMMENT Object

Indicates a comment that is not displayed.

HTML Syntax

<COMMENT
    ID=value
    LANG=language
>

Remarks

The COMMENT element is treated as a no-scope element and does not expose any children.

The COMMENT element requires a closing tag.

This element is available in HTML as of Microsoft® Internet Explorer 3.0, and in script as of Internet Explorer 4.0.

Members

COMMENT Members

See Also

HTML Comment Element


currentStyle Object

Represents the cascaded format and style of the object as specified by global style sheets, inline styles, and HTML attributes.

Remarks

The currentStyle object returns the cascaded styles on an element, but the style object returns only the styles that have been applied inline on an element through the STYLE attribute. Thus, the style values retrieved through the currentStyle object might differ from the style values retrieved through the style object. For example, if the color property is set on a paragraph only through a linked or embedded style sheet, and not inline, then object.currentStyle.color returns the color, whereas object.style.color does not return a value. If, however, the author specifies <P STYLE="color:'red'">, the currentStyle and style objects return the value red.

The currentStyle object reflects the order of style precedence in cascading style sheets (CSS). The CSS order of precedence for the presentation of HTML is:

  1. Inline styles
  2. Style sheet rules
  3. Attributes on HTML tags
  4. Intrinsic definition of the HTML tag

Accordingly, the currentStyle object returns the fontWeight value normal on a bold tag if normal is specified in a style sheet.

The currentStyle object returns values that reflect the applied style settings for the page and might not reflect what is rendering at the time a value is retrieved. For example, an object that has "color:red; display:none" returns currentStyle.color as red even though the object is not rendered on the page. The currentStyle object, then, is not affected by the rendering constraints. The third example in the Example section demonstrates this behavior. Disabled style sheets also do not affect currentStyle values.

The returned value is in the same units as those used to set the object. For example, if the color of an object is set inline using STYLE="color:'green'", then object.currentStyle.color returns green and not #00FF00 (the red-green-blue hexadecimal equivalent to green). However, capitalization and redundant white space that appear in the object values set by the author are lost when the currentStyle object returns the object values.

The currentStyle object supports user-defined properties in style rules. See the second example in the Example section.

The currentStyle object is asynchronous. This means a style cannot be set and then immediately queried—instead, the old value is returned. Thus, for a script to obtain the expected behavior of currentStyle with methods such as addImport, the script needs to include a function that calls the method and a function that checks currentStyle. For a script to check the current style while a page is loading, the script must wait until the BODY element is loaded and the page has rendered, or the value of currentStyle might not reflect what is being displayed.

This object is available in script as of Microsoft® Internet Explorer 5.

Members

currentStyle Members

Example

This example uses the currentStyle object to set the text color to brown. If you click a colored area and the background color is the same as the text color, the checkColor function changes the background color, so the text can be read. Otherwise, the function takes no action.

Sample Code

<SCRIPT>
function checkColor(oObj)
{
  if (oObj.currentStyle.backgroundColor == 'brown')
    {
        oObj.style.backgroundColor = 'white';
    }
  else
    :
}
</SCRIPT>
</HEAD>
:
<P STYLE="background-color: 'brown'"
    onclick="checkColor(this)">

This feature requires Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Note This example works only if the body and text colors are set using either color names or red-green-blue hexadecimal values, but not a mix of the two.

This example uses the currentStyle object to retrieve values of the user-defined property created in the style rule. The alert returns the value myvalue.

Sample Code

<STYLE>
    P { myproperty:myvalue }
</STYLE>
<BODY>
<P ID=oPrgrph>
:
<SCRIPT>
alert(oPrgrph.currentStyle.myproperty)
</SCRIPT>
This feature requires Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

This example shows that the TD object width returned by the currentStyle object is its cascaded width value rather than the width rendered on the screen.

Sample Code

<BODY ID=oBdy>
:
<TABLE BORDER>
<TR><TD WIDTH=1100 ID=oTblD>text</TD></TR>
</TABLE>
:
<SCRIPT>
alert("The TD object currentStyle.width is " + oTblD.currentStyle.width +
    ".\nThe width of the window is " + oBdy.clientWidth +
    "px.\nThe width of the screen is " + screen.width + "px." )
</SCRIPT>
This feature requires Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ACRONYM, ADDRESS, APPLET, AREA, B, BASE, BASEFONT, BDO, BGSOUND, BIG, BLOCKQUOTE, BODY, BR, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, COMMENT, custom, DD, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, HEAD, Hn, HTML, I, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, ISINDEX, KBD, LABEL, LEGEND, LI, LINK, LISTING, MAP, MARQUEE, MENU, META, NEXTID, NOBR, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, STYLE, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TITLE, TR, TT, U, UL, VAR, WBR, XMP

See Also

STYLE


custom Element | custom Object

Represents a user-defined element.

HTML Syntax

<HTML XMLNS:namespace>
<HEAD>
<STYLE>
@media all {
    namespace\:elementname { css-attribute1:value1; [  css-attribute2:value2; ... ] }
}
</STYLE>
</HEAD>

<BODY>
<namespace:elementname>
</namespace:elementname>
</BODY>
</HTML>

Remarks

Microsoft® Internet Explorer's support for custom tags on an HTML page requires that a namespace be defined for the tag. Otherwise, the custom tag is treated as an unknown tag when the document is parsed. Although navigating to a page with an unknown tag in Internet Explorer does not result in an error, unknown tags have the disadvantage of not being able to contain other tags, nor can they have behaviors applied to them.

To declare a namespace, use the XMLNS attribute of the HTML element.

When defining custom tags, you must enclose custom tag definitions within an @media wrapper.

Custom tags become much more interesting when applied with a DHTML behavior. dhtml behaviors Internet Link (or behaviors) and styles are applied to elements on a page the same way—using cascading style sheets (CSS) attributes. More specifically, the proposed CSS behavior attribute allows a Web author to specify the location of the behavior and apply that behavior to an element on a page.

The custom element is an inline element and requires a closing tag.

This element is available in HTML and script as of Internet Explorer 5.

Members

custom Members

Styles

Custom Styles

Example

This example uses the custom element to create custom RED, GREEN, and BLUE elements. These elements change the color of the text to red, green, or blue, depending on whether it is surrounded by RED, GREEN, or BLUE tags. In this example, the RED, GREEN, and BLUE tags are defined within a namespace called CUSTOMTAG.

Sample Code

<HTML XMLNS:CUSTOMTAG>
<HEAD>
<STYLE>
@media all {
    CUSTOMTAG\:RED { color: red; }
    CUSTOMTAG\:GREEN { color: green; }
    CUSTOMTAG\:BLUE { color: blue; }
}
</STYLE>
</HEAD>

<BODY>
<CUSTOMTAG:RED>
This text is red because it is enclosed within opening
and closing CUSTOMTAG:RED tags.
</CUSTOMTAG:RED>
<CUSTOMTAG:GREEN>
This text is green because it is enclosed within opening
and closing CUSTOMTAG:GREEN tags.
</CUSTOMTAG:GREEN>
<CUSTOMTAG:BLUE>
This text is blue because it is enclosed within opening
and closing CUSTOMTAG:BLUE tags.
</CUSTOMTAG:BLUE>
</BODY>
</HTML>
This feature requires Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

See Also

using custom tags in internet explorer Internet Link


DD Element | DD Object

Indicates the definition in a definition list. The definition is usually indented in the definition list.

HTML Syntax

<DD
   CLASS=classname
   ID=value
   LANG=language
   LANGUAGE=JAVASCRIPT | JSCRIPT | VBSCRIPT  | VBS
   NOWRAP
   STYLE=css1-properties
   TITLE=text
   event = script
>

Remarks

The DD element is a block element and does not require a closing tag.

This element is available in HTML as of Microsoft® Internet Explorer 3.0, and in script as of Internet Explorer 4.0.

Members

DD Members

Styles

DD Styles

Example

This example uses the DD element with the DL and DT elements to create a definition list.

<DL>
<DT>Cat
<DD>A small domesticated mammal.
<DT>Lizard
<DD>A reptile generally found in dry areas.
</DL>


DEL Element | DEL Object

Indicates text that has been deleted from the document.

HTML Syntax

<DEL
    CLASS=classname
    ID=value
    LANG=language
    LANGUAGE=JAVASCRIPT | JSCRIPT | VBSCRIPT  | VBS
    STYLE=css1-properties
    TITLE=text
    event = script
>

Remarks

The DEL element is an inline element and requires a closing tag.

This element is available in HTML and script as of Microsoft® Internet Explorer 4.0.

Members

DEL Members

Styles

DEL Styles

Example

This example uses the DEL element to mark deleted text.

<DEL>This text has been revised.</DEL>

See Also

INS


DFN Element | DFN Object

Indicates the defining instance of a term.

HTML Syntax

<DFN
    CLASS=classname
    ID=value
    LANG=language
    LANGUAGE=JAVASCRIPT | JSCRIPT | VBSCRIPT  | VBS
    STYLE=css1-properties
    TITLE=text
    event = script
>

Remarks

The DFN element is an inline element and requires a closing tag.

This element is available in HTML as of Microsoft® Internet Explorer 3.0, and in script as of Internet Explorer 4.0.

Members

DFN Members

Styles

DFN Styles

Example

This example uses the DFN element to indicate a term definition.

<DFN>HTML stands for hypertext markup language.</DFN>

See Also

ACRONYM, ADDRESS, CITE, I


DIR Element | DIR Object

Denotes a directory list.

HTML Syntax

<DIR
    CLASS=classname
    ID=value
    LANG=language
    LANGUAGE=JAVASCRIPT | JSCRIPT | VBSCRIPT  | VBS
    STYLE=css1-properties
    TITLE=text
    TYPE=DISC | CIRCLE | SQUARE
    event = script
>

Remarks

The DIR element is a block element and requires a closing tag.

This element is available in HTML as of Microsoft® Internet Explorer 3.0, and in script as of Internet Explorer 4.0.

Members

DIR Members

Styles

DIR Styles

Example

This example uses the DIR element to create a directory list.

<DIR>
<LI>Art
<LI>History
<LI>Literature
<LI>Sports
<LI>Entertainment
<LI>Science
</DIR>


DIV Element | DIV Object

Specifies a container that renders HTML.

HTML Syntax

<DIV
    ALIGN=CENTER | LEFT | RIGHT | JUSTIFY
    CLASS=classname
    DATAFLD=colname
    DATAFORMATAS=HTML | TEXT
    DATASRC=#ID
    ID=value
    LANG=language
    LANGUAGE=JAVASCRIPT | JSCRIPT | VBSCRIPT  | VBS
    STYLE=css1-properties
    TITLE=text
    event = script
>

Remarks

The DIV element is a block element and requires a closing tag.

This element is available in HTML as of Microsoft® Internet Explorer 3.0, and in script as of Internet Explorer 4.0.

Members

DIV Members

Styles

DIV Styles

Example

This example uses two DIV elements to align two sections of text differently.

<DIV>
This text represents a section.
</DIV>

<DIV ALIGN=CENTER>
This text represents another section, and its text is centered.
</DIV>


DL Element | DL Object

Denotes a definition list.

HTML Syntax

<DL
    CLASS=classname
    COMPACT
    ID=value
    LANG=language
    LANGUAGE=JAVASCRIPT | JSCRIPT | VBSCRIPT  | VBS
    STYLE=css1-properties
    TITLE=text
    event = script
>

Remarks

The DL element is a block element and requires a closing tag.

This element is available in HTML as of Microsoft® Internet Explorer 3.0, and in script as of Internet Explorer 4.0.

Members

DL Members

Styles

DL Styles

Example

This example uses the DL element with the DD and DT elements to create a definition list.

<DL>
<DT>Cat
<DD>A small domesticated mammal.
<DT>Lizard
<DD>A reptile generally found in dry areas.
</DL>


!DOCTYPE Element

Specifies the HTML document type definition (DTD) to which the document corresponds.

Remarks

Different versions of the DTD can be used depending on the level of compatibility the author wants to indicate.

The !DOCTYPE element does not require a closing tag.

This element is available in HTML as of Microsoft® Internet Explorer 3.0.

Example

The first example uses the !DOCTYPE element to indicate compatibility with the HTML 3.2 DTD, while the second uses it to indicate a strict adherence to the HTML 4.0 DTD.

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2//EN">
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Strict//EN">


DT Element | DT Object

Indicates a definition term within a definition list.

HTML Syntax

<DT
    CLASS=classname
    ID=value
    LANG=language
    LANGUAGE=JAVASCRIPT | JSCRIPT | VBSCRIPT  | VBS
    STYLE=css1-properties
    TITLE=text
    event = script
>

Remarks

The DT element is a block element and does not require a closing tag.

This element is available in HTML as of Microsoft® Internet Explorer 3.0, and in script as of Internet Explorer 4.0.

Members

DT Members

Styles

DT Styles

Example

This example uses the DT element with the DD and DL elements to create a definition list.

<DL>
<DT>Cat
<DD>A small domesticated mammal.
<DT>Lizard
<DD>A reptile generally found in dry areas.
</DL>


EM Element | EM Object

Emphasizes text, usually by rendering it in italic.

HTML Syntax

<EM
    CLASS=classname
    ID=value
    LANG=language
    LANGUAGE=JAVASCRIPT | JSCRIPT | VBSCRIPT  | VBS
    STYLE=css1-properties
    TITLE=text
    event = script
>

Remarks

The EM element is an inline element and requires a closing tag.

This element is available in HTML as of Microsoft® Internet Explorer 3.0, and in script as of Internet Explorer 4.0.

Members

EM Members

Styles

EM Styles

Example

This example uses the EM element to emphasize text.

<EM>This text will be emphasized in some way (most likely in italic).</EM>

See Also

ACRONYM, ADDRESS, CITE, I


EMBED Element | EMBED Object

Allows documents of any type to be embedded.

HTML Syntax

<EMBED
    ALIGN=ABSBOTTOM | ABSMIDDLE | BASELINE | BOTTOM | LEFT |
        MIDDLE | RIGHT | TEXTTOP | TOP
    ALT=text
    CLASS=classname
    CODE=filename
    HEIGHT=n
    HSPACE=n
    ID=value
    NAME=name
    SRC=url
    STYLE=css1-properties
    TITLE=text
    UNITS=value
    VSPACE=n
    WIDTH=n
>

Remarks

The EMBED element must appear inside the BODY element of the document.

Users need to have an application that can view the data installed on their computer.

The EMBED element is a block element and does not require a closing tag.

This element is available in HTML as of Microsoft® Internet Explorer 3.0, and in script as of Internet Explorer 4.0.

Members

EMBED Members

Styles

EMBED Styles


external Object

Allows access to an additional object model provided by host applications of the Microsoft® Internet Explorer browser components.

Remarks

In a hosting scenario, the object model is defined by the application hosting the Internet Explorer components (refer to the hosting application for documentation). For more information about how to implement extensions to the DHTML object model, see extending the dynamic html object model Internet Link.

This object is not supported in html applications Internet Link.

This object is available in script as of Internet Explorer 4.0.

Members

external Members

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

window


FIELDSET Element | FIELDSET Object

Draws a box around the text and other elements that the field set contains.

HTML Syntax

<FIELDSET
    ALIGN= LEFT | CENTER | RIGHT
    CLASS=classname
    ID=value
    LANG=language
    LANGUAGE=JAVASCRIPT | JSCRIPT | VBSCRIPT  | VBS
    STYLE=css1-properties
    TITLE=text
    event = script
>

Remarks

This element is useful for grouping elements in a form and for distinctively marking text in a document.

The FIELDSET element has the same behavior as a window frame. Since window frames do not have scroll bars, assigning the overflow property a value of scroll will render it as if the value were hidden.

The FIELDSET element is a block element and requires a closing tag.

This element is available in HTML and script as of Microsoft® Internet Explorer 4.0.

Members

FIELDSET Members

Styles

FIELDSET Styles


FONT Element | FONT Object

Specifies a new font, size, and color to be used for rendering the enclosed text.

HTML Syntax

<FONT
    CLASS=classname
    COLOR=color
    FACE=font
    ID=value
    LANG=language
    LANGUAGE=JAVASCRIPT | JSCRIPT | VBSCRIPT  | VBS
    SIZE=n
    STYLE=css1-properties
    TITLE=text
    event = script
>

Remarks

The FONT element requires a closing tag.

This element is available in HTML as of Microsoft® Internet Explorer 3.0, and in script as of Internet Explorer 4.0.

Members

FONT Members

Styles

FONT Styles


FORM Element | FORM Object

Specifies that the contained controls take part in a form.

HTML Syntax

<FORM
    ACTION=url
    CLASS=classname
    ENCTYPE=encoding
    ID=value
    LANG=language
    LANGUAGE=JAVASCRIPT | JSCRIPT | VBSCRIPT  | VBS
    METHOD=GET | POST
    NAME=name
    STYLE=css1-properties
    TARGET=window_name | _blank | _parent | _search | _self | _top
    TITLE=text
    event = script
>

Remarks

Forms enable client-side users to submit data to a server in a standardized format. The creator of a form designs the form to collect the required data using a variety of controls, such as INPUT or SELECT. Users viewing the form fill in the data and then click the Submit button to send the data to the server. A script on the server then processes the data.

Each control element's NAME attribute must be defined if the data is to be submitted with the form. An element in a form can be referenced by the NAME property or the ID property, or through the elements collection.

When the focus is on a control in a form and the user presses ESC, the value of the control reverts to the last value. The form resets if the user presses ESC again. If the focus is on the form but not on a particular control and the user presses ESC once, the form resets.

If the form includes only one text box and the user presses ENTER, the onsubmit event fires. If the form has a Submit button, the button has a dark border, which indicates the user can press ENTER to submit the form.

The FORM element is a block element and requires a closing tag.

This element is available in HTML and script as of Microsoft® Internet Explorer 3.0.

Members

FORM Members

Styles

FORM Styles

Example

This example uses the FORM element to create a basic form containing a text entry box for the user's name and a select control for choosing a favorite ice cream flavor. When the user clicks the Submit button, the form sends the data to the URL listed in the ACTION property. The value of the METHOD property determines how to send the data to the server.

<HTML>
    <FORM ACTION="http://example.microsoft.com/sample.asp" METHOD="POST">
        Enter your name: <INPUT NAME="FName"><BR>
        Favorite Ice Cream Flavor:
        <SELECT NAME="Flavor">
            <OPTION VALUE="Chocolate">Chocolate
            <OPTION VALUE="Strawberry">Strawberry
            <OPTION VALUE="Vanilla" SELECTED>Vanilla
        </SELECT>
        <P><INPUT TYPE=SUBMIT>
    </FORM>
</HTML>

See Also

1,001 ways to get input from web users Internet Link


FRAME Element | FRAME Object

Specifies an individual frame within a FRAMESET element.

HTML Syntax

<FRAME
    BORDERCOLOR=color
    CLASS=classname
    DATAFLD=colname
    DATASRC=#ID
    FRAMEBORDER=NO | YES | 0 | 1
    HEIGHT=n
    ID=value
    LANG=language
    LANGUAGE=JAVASCRIPT | JSCRIPT | VBSCRIPT  | VBS
    MARGINHEIGHT=pixels
    MARGINWIDTH=pixels
    NAME=window_name | _blank | _parent | _self | _top
    NORESIZE=NORESIZE | RESIZE
    SCROLLING=AUTO | NO | YES
    SRC=url
    TITLE=text
    WIDTH=n
    event = script
>

Remarks

If a user opens a web folder Internet Link inside a frame and then clicks something in the Web folder, the file or folder that the user clicks takes over the entire window. For example, suppose that a page contains two frames, one frame pointing to http://www.microsoft.com and the second frame pointing to a network drive. If the user clicks a file or folder in the second frame, that frame takes control of the entire window, including the first frame. For file types that the browser cannot host, such as .txt files, a separate window in the appropriate host application is opened.

A Web folder is a part of the file system hierarchy, but it does not necessarily represent anything in the file system. An example is Network Neighborhood.

The FRAME element is a block element and does not require a closing tag.

This element is available in HTML and script as of Microsoft® Internet Explorer 3.0.

Members

FRAME Members

Styles

FRAME Styles

Example

This example uses the FRAME element to define properties of the frame, including the location of the page loaded by the frame.

<FRAME FRAMEBORDER=0 SCROLLING=NO SRC="sample.htm">

This example shows how to reference an object with ID=sID in FRAME2, from another frame of the same frameset.

parent.frames.FRAME2.sID.innertext

See Also

FRAMESET


FRAMESET Element | FRAMESET Object

Specifies a frameset, which is used to organize multiple frames and nested framesets.

HTML Syntax

<FRAMESET
    BORDER=pixels
    BORDERCOLOR=color
    CLASS=classname
    COLS=col-widths
    FRAMEBORDER=NO | YES | 0 | 1
    FRAMESPACING=spacing
    ID=value
    LANG=language
    LANGUAGE=JAVASCRIPT | JSCRIPT | VBSCRIPT  | VBS
    ROWS=row-heights
    TITLE=text
>

Remarks

If a user opens a Web folder inside a frame and then clicks something in the Web folder, the file or folder that the user clicks takes over the entire window. For example, suppose that a page contains two frames, one frame pointing to http://www.microsoft.com and the second frame pointing to a network drive. If the user clicks a file or folder in the second frame, that frame takes control of the entire window, including the first frame. For file types that the browser cannot host, such as .txt files, a separate window in the appropriate host application is opened.

A Web folder is a part of the file system hierarchy, but it does not necessarily represent anything in the file system. An example is Network Neighborhood.

The FRAMESET element is a block element and requires a closing tag.

This element is available in HTML as of Microsoft® Internet Explorer 3.0, and in script as of Internet Explorer 4.0.

Members

FRAMESET Members

Styles

FRAMESET Styles

Example

This example uses the FRAMESET element to define three columns of rectangular frames on a page.

<FRAMESET COLS="25%, 50%, *">
<FRAME SRC="contents.htm">
<FRAME SRC="info.htm">
<FRAME SCROLLING="NO" SRC="graphic.htm">
</FRAMESET>

See Also

FRAME


HEAD Element | HEAD Object

Provides an unordered collection of information about the document.

HTML Syntax

<HEAD
    CLASS=classname
    ID=value
    TITLE=text
>

Remarks

The HEAD element provides information that does not affect the rendering of the document but could be of use to the browser. The following tags are valid in this element:

  • BASE
  • BASEFONT
  • BGSOUND
  • LINK
  • META
  • NEXTID
  • SCRIPT
  • STYLE
  • TITLE

The HEAD element requires a closing tag.

This element is available in HTML as of Microsoft® Internet Explorer 3.0, and in script as of Internet Explorer 4.0.

Members

HEAD Members

Example

This example uses the HEAD element to create a document title.

<HEAD>
<TITLE>A Simple Document</TITLE>
</HEAD>


Hn Object

Click to return to the DHTML, HTML & CSS home page

Hn Element | Hn Object

Renders text in heading style.

HTML Syntax

<Hn
    ALIGN=CENTER | LEFT | RIGHT | JUSTIFY
    CLASS = classname
    ID = value
    LANG = language
    LANGUAGE = JAVASCRIPT | JSCRIPT | VBSCRIPT  | VBS
    STYLE = css1-properties
    TITLE = text
    event  = script
></Hn>

Remarks

Use H1 through H6 to specify different sizes and styles of headings.

The Hn element is a block element and requires a closing tag.

This element is available in HTML as of Microsoft® Internet Explorer 3.0, and in script as of Internet Explorer 4.0.

Members

Hn Members

Styles

Hn Styles

Example

This example uses the H1 element to apply a level-1 heading style to the contained text.

<H1>Welcome to Internet Explorer!</H1>


HR Object

Click to return to the DHTML, HTML & CSS home page

HR Element | HR Object

Draws a horizontal rule.

HTML Syntax

<HR
    ALIGN=CENTER | LEFT | RIGHT
    CLASS=classname
    COLOR=color
    ID=value
    LANG=language
    LANGUAGE=JAVASCRIPT | JSCRIPT | VBSCRIPT  | VBS
    NOSHADE
    SIZE=n
    STYLE=css1-properties
    TITLE=text
    WIDTH=n
    event = script
>

Remarks

The HR element is a block element and does not require a closing tag.

This element is available in HTML as of Microsoft® Internet Explorer 3.0, and in script as of Internet Explorer 4.0.

Members

HR Members

Styles

HR Styles


HTML Element | HTML Object

Identifies the document as containing HTML elements.

HTML Syntax

<HTML
    TITLE=text
>

Remarks

By default, the document object is the parent of the HTML element.

The HTML element requires a closing tag.

This element is available in HTML as of Microsoft® Internet Explorer 3.0, and in script as of Internet Explorer 4.0.

Members

HTML Members

Styles

HTML Styles

Example

This example uses the HTML element to identify the document as an HTML document.

<HTML>
<BODY>
<P>This is an HTML document.</P>
</BODY>
</HTML>


HTML Comment Element

Prevents any enclosed text or HTML source code from being parsed and displayed in the browser window.

Remarks

Comments can contain other HTML elements. Comments do not nest.

Start and end tags are required.

Example

This example uses HTML COMMENT tags, "<!-- -->", to insert a comment in an HTML document.

<!-- This text will not appear in the browser window. -->

See Also

COMMENT


I Element | I Object

Specifies that the text should be rendered in italic, where available.

HTML Syntax

<I
    CLASS=classname
    ID=value
    LANG=language
    LANGUAGE=JAVASCRIPT | JSCRIPT | VBSCRIPT  | VBS
    STYLE=css1-properties
    TITLE=text
    event = script
>

Remarks

The I element is an inline element and requires a closing tag.

This element is available in HTML as of Microsoft® Internet Explorer 3.0, and in script as of Internet Explorer 4.0.

Members

I Members

Styles

I Styles

Example

This example uses the I element to italicize the text.

<I>This text is italic.</I>

See Also

ADDRESS, CITE, DFN, EM


IFRAME Element | IFRAME Object

Creates inline floating frames.

HTML Syntax

<IFRAME
    ALIGN=ABSBOTTOM | ABSMIDDLE | BASELINE | BOTTOM | LEFT |
         MIDDLE | RIGHT | TEXTTOP | TOP
    BORDER=pixels
    CLASS=classname
    DATAFLD=colname
    DATASRC=#ID
    FRAMEBORDER=NO | YES | 0 | 1
    FRAMESPACING=pixels
    HEIGHT=n
    HSPACE=pixels
    ID=value
    LANG=language
    LANGUAGE=JAVASCRIPT | JSCRIPT | VBSCRIPT  | VBS
    MARGINHEIGHT=pixels
    MARGINWIDTH=pixels
    NAME=window_name | _blank | _parent | _self | _top
    NORESIZE=NORESIZE | RESIZE
    SCROLLING=AUTO | NO | YES
    SRC=url
    STYLE=css1-properties
    TITLE=text
    VSPACE=pixels
    WIDTH=n
    >

Remarks

The IFRAME element functions as a document within a document, or like a floating FRAME. The frames collection provides access to the contents of an IFRAME. Use the frames collection to read or write to elements contained in an IFRAME. For example, the syntax for accessing the backgroundColor style of the BODY object in an IFRAME is:

sColor = document.frames("sFrameName").document.body.style.backgroundColor;

You can access the IFRAME object's properties, but not its contents, through the object model of the page where the IFRAME object resides. For example, the syntax for accessing the border style of the IFRAME object is:

sBorderValue = document.all.oFrame.style.border;

The IFRAME element is a block element and requires a closing tag.

This element is available in HTML and script as of Microsoft® Internet Explorer 4.0.

Members

IFRAME Members

Styles

IFRAME Styles

Example

This example uses the IFRAME element and an HTML fragment to create a frame containing the page sample.htm.

<IFRAME ID=IFrame1 FRAMEBORDER=0 SCROLLING=NO SRC="sample.htm"></IFRAME>

This example returns a reference to the all collection of the document contained by the IFRAME.

var collAll = document.frames("IFrame1").document.all


IMG Element | IMG Object

Embeds an image or a video clip in the document.

HTML Syntax

<IMG
    ALIGN=ABSBOTTOM | ABSMIDDLE | BASELINE | BOTTOM | LEFT |
        MIDDLE | RIGHT | TEXTTOP | TOP
    ALT=text
    BORDER=n
    CLASS=classname
    DATAFLD=colname
    DATASRC=#ID
    DYNSRC=url
    HEIGHT=n
    HSPACE=n
    ID=value
    ISMAP
    LANG=language
    LANGUAGE=JAVASCRIPT | JSCRIPT | VBSCRIPT  | VBS
    LOOP=n
    LOWSRC=url
    NAME=name
    SRC=url
    STYLE=css1-properties
    TITLE=text
    USEMAP=url
    VSPACE=n
    WIDTH=n
    event = script
>

Remarks

This element does not fire the onfocus event when it receives the input focus, unless it has been associated with a MAP element.

The IMG element is an inline element and does not require a closing tag.

This element is available in HTML as of Microsoft® Internet Explorer 3.0, and in script as of Internet Explorer 4.0.

Members

IMG Members

Styles

IMG Styles

Example

This example uses the IMG element to embed a bitmap image (.bmp file) on a page.

<IMG SRC=mygraphic.bmp>

See Also

INPUT


INPUT Element | INPUT Object

Creates a variety of form input controls.

HTML Syntax

<INPUT
    ACCESSKEY=key
    ALIGN=LEFT | CENTER | RIGHT
    ALT=text
    CLASS=classname
    DISABLED
    DYNSRC=url
    ID=value
    LANG=language
    LANGUAGE=JAVASCRIPT | JSCRIPT | VBSCRIPT  | VBS
    LOWSRC=url
    MAXLENGTH=n
    NAME=name
    READONLY
    SIZE=n
    SRC=url
    STYLE=css1-properties
    TABINDEX=n
    TITLE=text
    TYPE=BUTTON | CHECKBOX | FILE | HIDDEN | IMAGE | PASSWORD |
        RADIO | RESET | SUBMIT | TEXT
    VALUE=value
    event = script
>

Remarks

The TYPE attribute for the INPUT element is used to specify one of the following form input controls:

button checkbox file
hidden image password
radio reset submit text

The INPUT element controls are inline elements and do not require a closing tag.

Example

This example uses the INPUT element to create different types of input controls.

<FORM ACTION="http://intranet/survey" METHOD=POST>
<P>Name</P>
<BR><INPUT NAME="CONTROL1" TYPE=TEXT VALUE="Your Name">
<P>Password</P>
<BR><INPUT TYPE="PASSWORD" NAME="CONTROL2">
<P>Color</P>
<BR><INPUT TYPE="RADIO" NAME="CONTROL3" VALUE="0" CHECKED>Red
<INPUT TYPE="RADIO" NAME="CONTROL3" VALUE="1">Green
<INPUT TYPE="RADIO" NAME="CONTROL3" VALUE="2">Blue
<P>Comments</P>
<BR><INPUT TYPE="TEXT" NAME="CONTROL4" SIZE="20,5" MAXLENGTH="250">
<P><INPUT NAME="CONTROL5" TYPE=CHECKBOX CHECKED>Send receipt</P>
<P><INPUT TYPE="SUBMIT" VALUE="OK"><INPUT TYPE="RESET" VALUE="Reset"></P>
</FORM>

See Also

BUTTON, SELECT, TEXTAREA


INPUT type=button Element | INPUT type=button Object

Creates a button control.

HTML Syntax

<INPUT
    ACCESSKEY = key
    ALIGN = LEFT | CENTER | RIGHT
    ALT = text
    CLASS = classname
    DISABLED
    ID = value
    LANG = language
    LANGUAGE = JAVASCRIPT | JSCRIPT | VBSCRIPT  | VBS
    LOWSRC = url
    MAXLENGTH = n
    NAME = name
    READONLY
    SIZE = n
    STYLE = css1-properties
    TABINDEX =n
    TITLE =text
    TYPE = BUTTON
    VALUE = value
    event  = script
>

Remarks

The button element is an inline element and does not require a closing tag.

This element is available in HTML and script as of Microsoft® Internet Explorer 3.0.

Members

INPUT Members

Styles

INPUT Styles

Example

This example uses the button element to define a button that responds appropriately when clicked.

Sample Code

<INPUT TYPE=button ID=btnEmergency VALUE="In case of emergency,
push this button!"
    onClick="alert('Aaaaaaaggggghh!!!!')">

The preceding HTML code creates this button:

See Also

BUTTON, INPUT


INPUT type=checkbox Element | INPUT type=checkbox Object

Creates a check box control.

HTML Syntax

<INPUT
    ACCESSKEY = key
    ALIGN = LEFT | CENTER | RIGHT
    ALT = text
    CHECKED
    CLASS = classname
    DISABLED
    ID = value
    LANG = language
    LANGUAGE = JAVASCRIPT | JSCRIPT | VBSCRIPT  | VBS
    LOWSRC = url
    MAXLENGTH = n
    NAME = name
    READONLY
    SIZE = n
    STYLE = css1-properties
    TABINDEX =n
    TITLE =text
    TYPE = CHECKBOX
    VALUE = value
    event  = script
>

Remarks

When a checkbox element is selected, a name/value pair is submitted with the FORM. The default value of checkbox is on.

The height and width styles are exposed to the checkbox element as of Microsoft® Internet Explorer 5. The size of the element is set based on the values provided by the author, except when a given size is below a particular minimum. The size is calculated as follows:

  • If the height or width is greater than 20 pixels, the padding around the check box is set to 4 pixels, and the inner height or width is set to 8 pixels.
  • If the height or width is less than 20 pixels but greater than 13 pixels, the padding around the check box is equal to one half the specified height or width minus 13. For example, if the specified width of the check box is 17, the equation would be: (17-13)/2.
  • If the height or width is less than 12 pixels, the padding around the check box is set to 0 and the inner width is set to the value specified by the author.

The checkbox element is an inline element and does not require a closing tag.

This element is available in HTML and script as of Internet Explorer 3.0.

Members

INPUT Members

Styles

INPUT Styles

Example

This example uses the checkbox element to create two check boxes with explanatory text. The onclick events call two script functions. The first check box is checked.

Sample Code

<INPUT TYPE=checkbox CHECKED ID=chk1 onclick="choosebox1()">Uncheck
    this check box for some free advice.
<P><INPUT TYPE=checkbox ID=chk2 onclick="choosebox2()">Or check
    this check box for a message from our sponsors.
<P ID=SampText>

This example implements the script when the user clicks either check box.

<SCRIPT>
function choosebox1(){
        alert("Never play leapfrog with a unicorn!")
}
function choosebox2(){
    SampText.insertAdjacentHTML("AfterBegin","Buy WonderWidgets! ");
}
</SCRIPT>

The preceding HTML code and script examples create and implement the following check boxes:

Uncheck this check box for some free advice.

Or check this check box for a message from our sponsors.

See Also

INPUT


INPUT type=file Element | INPUT type=file Object

Creates a file upload object with a text box and Browse button.

HTML Syntax

<INPUT
    ACCESSKEY = key
    ALIGN = LEFT | CENTER | RIGHT
    ALT = text
    CLASS = classname
    DISABLED
    ID = value
    LANG = language
    LANGUAGE = JAVASCRIPT | JSCRIPT | VBSCRIPT  | VBS
    LOWSRC = url
    MAXLENGTH = n
    NAME = name
    SIZE = n
    STYLE = css1-properties
    TABINDEX =n
    TITLE =text
    TYPE = FILE
    VALUE = value
    event  = script
>

Remarks

For a file upload to take place:

  • The file element must be enclosed within a FORM element.
  • A value must be specified for the NAME attribute of the file element.
  • The METHOD attribute of the FORM element must be set to post.
  • The ENCTYPE attribute of the FORM element must be set to multipart/form-data.

To handle a file upload to the server, a server-side process must be running that can handle multipart/form-data submissions. For example, the microsoft posting acceptor Internet Link Non-MSDN link allows Microsoft® Internet Information Server to accept file uploads. Additional Common Gateway Interface (CGI) scripts that can handle multipart/form-data submissions are available on the Web.

The file element is an inline element and does not require a closing tag.

This element is available in HTML and script as of Microsoft® Internet Explorer 4.0. The file upload add-on is required to use the file element in Internet Explorer 3.02. Users can enter a file path in the text box or click the Browse button to browse the file system.

Members

INPUT Members

Styles

INPUT Styles

Example

The following examples use the file element to upload a file to a server. The first example requires Microsoft® Posting Acceptor, which can be used with Internet Information Server (IIS) or Personal Web Server.

Sample Code

This example uses HTML code to submit a file selected by the user to Cpshost.dll, which is installed with Posting Acceptor.

<FORM NAME="oForm"
   ACTION="/scripts/cpshost.dll?PUBLISH?/scripts/repost.asp"
   ENCTYPE="multipart/form-data"
   METHOD="post">
<INPUT TYPE="file" NAME="oFile1">
<INPUT TYPE="text"
   NAME="TargetURL"
   VALUE="/users/">
<INPUT TYPE="submit" VALUE="Upload File">
</FORM>

This example shows the Active Server Page (ASP) content of Repost.asp. Notice that the properties of the uploaded file are accessible from the submitted form.

<%@ LANGUAGE = JScript %>
<%
   Response.buffer=true;
%>
<HTML>
<TITLE>Repost Example</TITLE>
<BODY>
<H1>Upload Status</H1>
<P>
Destination: <B><% Response.Write(Request.Form("TargetURL")) %></B>
</P>
<%
   Response.write("<P>Name: " + Request.Form("FileName") + "</P>");
   Response.write("<P>Size: " + Request.Form("FileSize") + "</P>");
   Response.write("<P>Path: " + Request.Form("FilePath") + "</P>");
%>
</BODY>
</HTML>

See Also

INPUT, upload files to the internet information server Internet Link Non-MSDN link, uploading a file to iis using a browser Internet Link Non-MSDN link


INPUT type=hidden Element | INPUT type=hidden Object

Transmits state information about client/server interaction.

HTML Syntax

<INPUT
    ACCESSKEY = key
    ALIGN = LEFT | CENTER | RIGHT
    ALT = text
    CLASS = classname
    DISABLED
    ID = value
    LANG = language
    LANGUAGE = JAVASCRIPT | JSCRIPT | VBSCRIPT  | VBS
    LOWSRC = url
    MAXLENGTH = n
    NAME = name
    READONLY
    SIZE = n
    STYLE = css1-properties
    TABINDEX =n
    TITLE =text
    TYPE = HIDDEN
    VALUE = value
    event  = script
>

Remarks

This input type presents no control to the user, but sends the value of the value property with the submitted form.

The hidden element does not require a closing tag.

This element is available in HTML and script as of Microsoft® Internet Explorer 3.0.

Members

INPUT Members

Styles

INPUT Styles

See Also

INPUT, INPUT type=submit


INPUT type=image Element | INPUT type=image Object

Creates an image control that, when clicked, causes the form to be immediately submitted.

HTML Syntax

<INPUT
    ACCESSKEY = key
    ALIGN = LEFT | CENTER | RIGHT
    ALT = text
    CLASS = classname
    DISABLED
    ID = value
    LANG = language
    LANGUAGE = JAVASCRIPT | JSCRIPT | VBSCRIPT  | VBS
    LOWSRC = url
    MAXLENGTH = n
    NAME = name
    READONLY
    SIZE = n
    SRC = url
    STYLE = css1-properties
    TABINDEX =n
    TITLE =text
    TYPE = IMAGE
    VALUE = value
    event  = script
>

Remarks

The x-coordinate is submitted under the name of the control with .x appended, and the y-coordinate is submitted under the name of the control with .y appended. Any value property is ignored. The src property specifies the image element the same way it specifies the IMG element.

The image element is an inline element and does not require a closing tag.

This element is available in HTML and script as of Microsoft® Internet Explorer 3.0.

Members

INPUT Members

Styles

INPUT Styles

See Also

IMG, INPUT


INPUT type=password Element | INPUT type=password Object

Creates a single-line text entry control similar to the text control, except that text is not displayed as the user enters it.

HTML Syntax

<INPUT
    ACCESSKEY = key
    ALIGN = LEFT | CENTER | RIGHT
    ALT = text
    CLASS = classname
    DISABLED
    ID = value
    LANG = language
    LANGUAGE = JAVASCRIPT | JSCRIPT | VBSCRIPT  | VBS
    LOWSRC = url
    MAXLENGTH = n
    NAME = name
    READONLY
    SIZE = n
    STYLE = css1-properties
    TABINDEX =n
    TITLE =text
    TYPE = PASSWORD
    VALUE = value
    event  = script
>

Remarks

The password element is an inline element and does not require a closing tag.

This element is available in HTML and script as of Microsoft® Internet Explorer 3.0.

Members

INPUT Members

Styles

INPUT Styles

Example

This example uses the password element to define a password field.

Sample Code

Username <INPUT TYPE=button ID=txtUser>
Password <INPUT TYPE=password ID=txtPassword>

This example uses script to determine whether the password is valid for the specified user.

<SCRIPT>
if (txtUser.value == "Paul")
   if (txtPassword.value == "2ifbysea")
   {
      alert("Password accepted.  Enjoy your ride.");
      return true;
   }
</SCRIPT>

See Also

INPUT


INPUT type=radio Element | INPUT type=radio Object

Creates a radio button control.

HTML Syntax

<INPUT
    ACCESSKEY = key
    ALIGN = LEFT | CENTER | RIGHT
    ALT = text
    CHECKED
    CLASS = classname
    DISABLED
    ID = value
    LANG = language
    LANGUAGE = JAVASCRIPT | JSCRIPT | VBSCRIPT  | VBS
    LOWSRC = url
    MAXLENGTH = n
    NAME = name
    READONLY
    SIZE = n
    STYLE = css1-properties
    TABINDEX =n
    TITLE =text
    TYPE = RADIO
    VALUE = value
    event  = script
>

Remarks

Use a radio button control to limit a user's selection to a single value within a set of values. To do this, you must link together each button in a set of radio buttons by assigning each button the same name.

When a user submits a form, a selected radio button only generates a name/value pair in the form data if the button has a value.

To select a radio button as the default button in a set, set the checked property of the button to true.

A user can select a radio button only if the button has a name. To clear a selected radio button, a user must select another button in the set.

The radio element is an inline element and does not require a closing tag.

This element is available in HTML and script as of Microsoft® Internet Explorer 3.0.

Members

INPUT Members

Styles

INPUT Styles

Example

This example uses the radio element to create three radio buttons.

Sample Code

<INPUT type=radio name="radio" CHECKED>1-10 years old
<INPUT type=radio name="radio">11 years old
<INPUT type=radio name="radio">12-120 years old

This example uses script to detect which radio button the user selects.

<SCRIPT>
function detect()
{
    if (radio[0].checked)
        alert("You're between 1 and 10 years old.")
    else if (radio[1].checked)
        alert("You're 11 years old.")
    else
        alert("You're between 12 and 120 years old.")
}
</SCRIPT>

The preceding HTML code and script examples create and implement the following radio buttons.

1-10 years old

11 years old

12-120 years old

See Also

INPUT, forms overview Internet Link


INPUT type=reset Element | INPUT type=reset Object

Creates a button that, when clicked, resets the form's controls to their initial values.

HTML Syntax

<INPUT
    ACCESSKEY = key
    ALIGN = LEFT | CENTER | RIGHT
    ALT = text
    CLASS = classname
    DISABLED
    ID = value
    LANG = language
    LANGUAGE = JAVASCRIPT | JSCRIPT | VBSCRIPT  | VBS
    LOWSRC = url
    MAXLENGTH = n
    NAME = name
    READONLY
    SIZE = n
    STYLE = css1-properties
    TABINDEX =n
    TITLE =text
    TYPE = RESET
    VALUE = value
    event  = script
>

Remarks

The value property specifies the label displayed on the Reset button the same way it specifies it on the Submit button.

The reset element is an inline element and does not require a closing tag.

This element is available in HTML and script as of Microsoft® Internet Explorer 3.0.

Members

INPUT Members

Styles

INPUT Styles

See Also

BUTTON, INPUT


INPUT type=submit Element | INPUT type=submit Object

Creates a button that, when clicked, submits the form.

HTML Syntax

<INPUT
    ACCESSKEY = key
    ALIGN = LEFT | CENTER | RIGHT
    ALT = text
    CLASS = classname
    DISABLED
    ID = value
    LANG = language
    LANGUAGE = JAVASCRIPT | JSCRIPT | VBSCRIPT  | VBS
    LOWSRC = url
    MAXLENGTH = n
    NAME = name
    READONLY
    SIZE = n
    STYLE = css1-properties
    TABINDEX =n
    TITLE =text
    TYPE = SUBMIT
    VALUE = value
    event  = script
>

Remarks

Use the value attribute to create a button with a display label that cannot be edited by the user. The default label is application-specific. If the user clicks the Submit button to submit the form, and that button has a name attribute specified, that button contributes a name/value pair to the submitted data.

The submit element is an inline element and does not require a closing tag.

This element is available in HTML and script as of Microsoft® Internet Explorer 3.0.

Members

INPUT Members

Styles

INPUT Styles

See Also

BUTTON, INPUT


INPUT type=text Element | INPUT type=text Object

Creates a single-line text entry control.

HTML Syntax

<INPUT
   ACCESSKEY = key
   ALIGN = LEFT | CENTER | RIGHT
   ALT = text
   CLASS = classname
   DISABLED
   ID = value
   LANG = language
   LANGUAGE = JAVASCRIPT | JSCRIPT | VBSCRIPT  | VBS
   LOWSRC = url
   MAXLENGTH = n
   NAME = name
   READONLY
   SIZE = n
   STYLE = css1-properties
   TABINDEX =n
   TITLE =text
   TYPE = TEXT
   VALUE = value
   event  = script
>

Remarks

The SIZE attribute sets the number of visible characters in the text element. The MAXLENGTH attribute sets the maximum number of characters that can be entered.

The text element is an inline element and does not require a closing tag.

This element is available in HTML and script as of Microsoft® Internet Explorer 3.0.

Members

INPUT Members

Styles

INPUT Styles

Example

This example uses the text element to create an empty text control that can contain 15 characters without requiring the user to scroll to read all of the text.

Sample Code

<INPUT TYPE=text VALUE="" NAME="textbox" SIZE=15>

This example uses script to detect the content of the text box and display it in a dialog box.

<SCRIPT>
function detectEntry()
{
    alert("Your name is " + textbox.value)
}
</SCRIPT>

The preceding HTML code and script examples implement the following text box. Click the What Is Your Name? button to call the detectEntry() function.

Enter your name:

See Also

INPUT, TEXTAREA


INS Element | INS Object

Specifies text that has been inserted into the document.

HTML Syntax

<INS
    CLASS=classname
    ID=value
    LANG=language
    LANGUAGE=JAVASCRIPT | JSCRIPT | VBSCRIPT  | VBS
    STYLE=css1-properties
    TITLE=text
    event = script
>

Remarks

Text contained by the INS element is rendered underlined.

The INS element is an inline element and does not require a closing tag.

This element is available in HTML and script as of Microsoft® Internet Explorer 4.0.

Members

INS Members

Styles

INS Styles

Example

This example uses the INS element to specify text inserted into a document.

<INS datetime="1997-10-01T12:15:30-05:00">This text has been inserted.</INS>

See Also

DEL


ISINDEX Element | ISINDEX Object

Causes the browser to display a dialog window that prompts the user for a single line of input.

HTML Syntax

<ISINDEX
   CLASS = classname
   ID = value
   LANG = language
   LANGUAGE = JAVASCRIPT | JSCRIPT | VBSCRIPT  | VBS
   PROMPT = text
   STYLE = css1-properties
   event  = script
></ISINDEX>

Remarks

In HTML 4, this element is deprecated, and INPUT recommended for use instead. The tagName property for ISINDEX returns INPUT.

The ISINDEX element belongs in the body of the document.

The ISINDEX element is an inline element and does not require a closing tag.

This element is available in HTML as of Microsoft® Internet Explorer 3.0, and in script as of Internet Explorer 4.0.

Members

ISINDEX Members

Styles

ISINDEX Styles

Example

This example uses the ISINDEX element to replace the default prompt.

<ISINDEX PROMPT="Enter a keyword to search for in the index">


KBD Element | KBD Object

Renders text in a fixed-width font.

HTML Syntax

<KBD
    CLASS=classname
    ID=value
    LANG=language
    LANGUAGE=JAVASCRIPT | JSCRIPT | VBSCRIPT  | VBS
    STYLE=css1-properties
    TITLE=text
    event = script
>

Remarks

The KBD element is an inline element and requires a closing tag.

This element is available in HTML as of Microsoft® Internet Explorer 3.0, and in script as of Internet Explorer 4.0.

Members

KBD Members

Styles

KBD Styles

Example

This example uses the KBD element to render text in a fixed-width font.

<KBD>This text renders in a fixed-width font.</KBD>


LABEL Element | LABEL Object

Specifies a label for another element on the page.

HTML Syntax

<LABEL
    ACCESSKEY=key
    CLASS=classname
    DATAFLD=colname
    DATAFORMATAS=HTML | TEXT
    DATASRC=#ID
    FOR=ID
    ID=value
    LANG=language
    LANGUAGE=JAVASCRIPT | JSCRIPT | VBSCRIPT  | VBS
    STYLE=css1-properties
    TITLE=text
    event = script
>

Remarks

To bind LABEL to another control, set the FOR attribute of the LABEL element equal to the ID of the control. Binding LABEL to the NAME attribute of the control has no effect. However, to submit a form, you must specify a NAME on the control to which the LABEL element is being bound.

There are two ways to underline the designated access key. The rich text support in the LABEL object makes it possible to wrap the U element around the character in the label text specified by the accessKey property. If you prefer to use cascading style sheets (CSS) to apply style formatting, enclose the designated character in a SPAN and set the style to "text-decoration: underline".

If the user clicks the label, the onclick event goes to the label and then bubbles to the control specified by the htmlFor property. Pressing the access key for the label is the same as clicking the label.

The LABEL element is an inline element and requires a closing tag. Labels cannot be nested.

This element is available in HTML and script as of Microsoft® Internet Explorer 4.0.

Members

LABEL Members

Styles

LABEL Styles

Example

This example uses the LABEL object and the accessKey property to set focus on a text box.

Sample Code

<LABEL FOR="oCtrlID" ACCESSKEY="1">
    #<U>1</U>: Press Alt+1 to set focus to textbox
</LABEL>
<INPUT TYPE="text" NAME="TXT1" VALUE="binding sample 1"
       SIZE="20" TABINDEX="1" ID="oCtrlID">

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer


LEGEND Element | LEGEND Object

Inserts a caption into the box drawn by the FIELDSET object.

HTML Syntax

<LEGEND
    ALIGN=BOTTOM | CENTER | LEFT | RIGHT | TOP
    CLASS=classname
    ID=value
    LANG=language
    LANGUAGE=JAVASCRIPT | JSCRIPT | VBSCRIPT  | VBS
    STYLE=css1-properties
    TITLE=text
    event = script
>

Remarks

This element must be the first element in FIELDSET.

The LEGEND element is a block element and requires a closing tag.

This element is available in HTML and script as of Microsoft® Internet Explorer 4.0.

Members

LEGEND Members

Styles

LEGEND Styles


LI Element | LI Object

Denotes one item in a list.

HTML Syntax

<LI
    CLASS=classname
    ID=value
    LANG=language
    LANGUAGE=JAVASCRIPT | JSCRIPT | VBSCRIPT  | VBS
    STYLE=css1-properties
    TITLE=text
    TYPE=1 | a | A | i | I | DISC | CIRCLE | SQUARE
    VALUE=value
    event = script
>

Remarks

The TYPE attribute values disc, circle, and square apply to unordered lists; the values 1, a, A, i, and I apply to ordered lists.

The LI element is an inline element and does not require a closing tag.

This element is available in HTML as of Microsoft® Internet Explorer 3.0, and in script as of Internet Explorer 4.0.

Members

LI Members

Styles

LI Styles

Example

This example uses the LI element to create individual items in a directory list.

<DIR>
<LI>Art
<LI>History
<LI>Literature
<LI>Sports
<LI>Entertainment
<LI>Science
</DIR>

See Also

DIR, MENU, OL, UL


LINK Element | LINK Object

Enables the current document to establish links to external documents.

HTML Syntax

<LINK
    DISABLED
    HREF=url
    ID=value
    MEDIA=SCREEN | PRINT | ALL
    REL=STYLESHEET
    REV=STYLESHEET
    TITLE=text
>

Remarks

The LINK element can be used only within the HEAD tag.

The LINK element does not require a closing tag.

This element is available in HTML as of Microsoft® Internet Explorer 3.0, and in script as of Internet Explorer 4.0.

Members

LINK Members

Example

This example uses the LINK element to apply an external style sheet, called styles.css, to the page.

<LINK REL=stylesheet HREF="styles.css">


LISTING Element | LISTING Object

Renders text in a fixed-width font.

HTML Syntax

<LISTING
    CLASS=classname
    ID=string
    LANG=language
    LANGUAGE=JAVASCRIPT | JSCRIPT | VBSCRIPT  | VBS
    STYLE=css1-properties
    TITLE=text
    event = script
>

Remarks

This tag is no longer recommended. Use the PRE or SAMP tag instead.

Members

LISTING Members

Styles

LISTING Styles


MAP Element | MAP Object

Contains coordinate data for client-side image maps.

HTML Syntax

<MAP
    CLASS=classname
    ID=value
    LANG=language
    NAME=name
    STYLE=css1-properties
    TITLE=text
    event = script
>

Remarks

An image map is a graphic image, with predefined regions, that contains links to other documents or anchors. For example, you could create an image of the solar system containing links that the user can click to navigate to pages for the individual planets.

The MAP object is referenced with the USEMAP attribute in an IMG element, as follows:

<IMG SRC="solarsys.gif" USEMAP="#SystemMap">

A MAP element contains a set of AREA elements defining the linking regions in the image.

The MAP element requires a closing tag.

This element is available in HTML as of Microsoft® Internet Explorer 3.0, and in script as of Internet Explorer 4.0.

Members

MAP Members

Styles

MAP Styles

Example

This example provides the full code for an image map of the solar system. It creates links from the image map to individual images of the planets using the AREA element with the MAP element, COORDS value, and SHAPE attribute. The user clicks the sun or any planet to link to an individual image. To return to the solar system image map, the user clicks the Back button.

Sample Code

<P><IMG SRC="solarsys.gif" WIDTH=504 HEIGHT=126 BORDER=0
    ALT="Solar System" USEMAP="#SystemMap">

<MAP NAME="SystemMap">
    <AREA SHAPE="rect" COORDS="0,0,82,126"
        HREF="/workshop/graphics/sun.gif">
    <AREA SHAPE="circle" COORDS="90,58,3"
        HREF="/workshop/graphics/merglobe.gif">
    <AREA SHAPE="circle" COORDS="124,58,8"
        HREF="/workshop/graphics/venglobe.gif">
    <AREA SHAPE="circle" COORDS="162,58,10"
        HREF="/workshop/graphics/earglobe.gif">
    <AREA SHAPE="circle" COORDS="203,58,8"
        HREF="/workshop/graphics/marglobe.gif">
    <AREA SHAPE="poly" COORDS="221,34,238,37,257,32,278,44,284,60,
        281,75,288,91,267,87,253,89,237,81,229,64,228,54"
        HREF="/workshop/graphics/jupglobe.gif">
    <AREA SHAPE="poly" COORDS="288,19,316,39,330,37,348,47,351,66,
        349,74,367,105,337,85,324,85,307,77,303,60,307,50"
        HREF="/workshop/graphics/satglobe.gif">
    <AREA SHAPE="poly" COORDS="405,39,408,50,411,57,410,71,
        404,78,393,80,383,86,381,75,376,69,376,56,380,48,393,44"
        HREF="/workshop/graphics/uraglobe.gif">
    <AREA SHAPE="poly" COORDS="445,38,434,49,431,53,427,62,430,72,
        435,77,445,92,456,77,463,72,463,62,462,53,455,47"
        HREF="/workshop/graphics/nepglobe.gif">
    <AREA SHAPE="circle" COORDS="479,66,3"
        HREF="/workshop/graphics/pluglobe.gif">
</MAP>
This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer


MARQUEE Element | MARQUEE Object

Creates a scrolling text marquee.

HTML Syntax

<MARQUEE
    BEHAVIOR=ALTERNATE | SCROLL | SLIDE
    BGCOLOR=color
    CLASS=classname
    DATAFLD=colname
    DATAFORMATAS=HTML | TEXT
    DATASRC=#ID
    DIRECTION=DOWN | LEFT | RIGHT | UP
    HEIGHT=n
    HSPACE=n
    ID=value
    LANG=language
    LANGUAGE=JAVASCRIPT | JSCRIPT | VBSCRIPT  | VBS
    LOOP=n
    SCROLLAMOUNT=n
    SCROLLDELAY=milliseconds
    STYLE=css1-properties
    TITLE=text
    TRUESPEED
    VSPACE=n
    WIDTH=n
    event = script
>

Remarks

The default width of the MARQUEE element is equal to the width of its parent element. When a MARQUEE is in a TD that does not specify a width, you should explicitly set the width of MARQUEE. If neither the MARQUEE nor the TD has a width specified, the marquee is collapsed to a 1-pixel width.

To create a vertically scrolling MARQUEE, set its scrollLeft property to 0. To create a horizontally scrolling marquee, set its scrollTop property to 0, overriding any script setting.

The MARQUEE element is a block element and requires a closing tag.

This element is available in HTML as of Microsoft® Internet Explorer 3.0, and in script as of Internet Explorer 4.0.

Members

MARQUEE Members

Styles

MARQUEE Styles

Example

This example uses the MARQUEE element to scroll the marquee from left to right across the screen, moving it 10 pixels every 200 milliseconds.

<MARQUEE DIRECTION=RIGHT BEHAVIOR=SCROLL SCROLLAMOUNT=10 SCROLLDELAY=200>
This is a scrolling marquee.
</MARQUEE>


MENU Element | MENU Object

Creates an unordered list of items.

HTML Syntax

<MENU
    CLASS=classname
    ID=value
    LANG=language
    STYLE=css1-properties
    TITLE=text
    TYPE=DISC | CIRCLE | SQUARE
    event = script
>

Remarks

The MENU element is a block element and requires a closing tag.

This element is available in HTML as of Microsoft® Internet Explorer 3.0, and in script as of Internet Explorer 4.0.

Members

MENU Members

Styles

MENU Styles

Example

This example uses the MENU element to create a menu with two items.

<MENU>
<LI>This is the first item in the menu.
<LI>And this is the second item in the menu.
</MENU>


META Element | META Object

Conveys hidden information about the document to the server and the client.

HTML Syntax

<META
    CONTENT=description
    HTTP-EQUIV=response
    NAME=text
    TITLE=text
>

Remarks

The META element also embeds document information that some search engines use to index and categorize documents on the World Wide Web.

This element can be used only within the HEAD element.

The META element does not require a closing tag.

This element is available in HTML as of Microsoft® Internet Explorer 3.0, and in script as of Internet Explorer 4.0.

Members

META Members


NEXTID Object

Creates unique identifiers that text editing software can read.

Remarks

This element can be used only within the HEAD tag.

The NEXTID element does not require a closing tag.

This element is available in HTML and script as of Microsoft® Internet Explorer 4.0.

Members

NEXTID Members


NOBR Element | NOBR Object

Renders text without line breaks.

HTML Syntax

<NOBR
   ID = value
   STYLE = css1-properties
   TITLE=text
>

Remarks

The NOBR element requires a closing tag.

This element is available in HTML and script as of Microsoft® Internet Explorer 4.0.

Members

NOBR Members

Example

This example uses the NOBR element to prevent text lines from breaking.

<NOBR>Here's a line of text I don't want to be broken . . .
here's the end of the line.</NOBR>


NOFRAMES Element | NOFRAMES Object

Contains HTML for browsers that do not support FRAMESET elements.

HTML Syntax

<NOFRAMES
   ID = value
></NOFRAMES>

Remarks

The NOFRAMES element is a block element and requires a closing tag.

This element is available in HTML as of Microsoft® Internet Explorer 3.0, and in script as of Internet Explorer 4.0.

Members

NOFRAMES Members

Styles

A Styles

Example

This example uses the NOFRAMES element to specify HTML that is rendered by browsers incapable of displaying frames.

<FRAMESET>
<NOFRAMES>You need Internet Explorer version 3.0 or later to view
frames!</NOFRAMES>
</FRAMESET>

See Also

FRAME


NOSCRIPT Element | NOSCRIPT Object

Specifies HTML to be displayed in browsers that do not support scripting.

HTML Syntax

<NOSCRIPT
></NOSCRIPT>

Remarks

The NOSCRIPT element is a block element and requires a closing tag.

This element is available in HTML and script as of Microsoft® Internet Explorer 4.0.

Members

NOSCRIPT Members

Styles

A Styles


clientInformation Object

Contains information about the Web browser.

Remarks

This object is available in script as of Microsoft® Internet Explorer 4.0.

Members

clientInformation Members

Example

This example shows how to determine whether the userAgent of the browser contains "MSIE". If it does, the browser is Internet Explorer.

Sample Code

<SCRIPT LANGUAGE="JScript">
if (window.clientInformation.userAgent.indexOf( "MSIE " ) > 0)
    // The browser is Microsoft Internet Explorer.
</SCRIPT>

This example shows how to determine whether the browser can run Java applets.

<SCRIPT LANGUAGE="JScript">
if (window.clientInformation.javaEnabled() == true )
    // Java is enabled; applets can run.
</SCRIPT>

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
window


dataTransfer Object

Provides access to predefined clipboard formats for use in drag-and-drop operations.

Remarks

The dataTransfer object makes it possible to customize the handling of drag-and-drop operations. It is available through the event object.

The dataTransfer object is used in source and target events. Typically, the setData method is used with source events to provide information about the data being transferred. In contrast, the getData method is used with target events to stipulate which data and data formats to retrieve.

This object is available in script as of Microsoft® Internet Explorer 5.

Members

dataTransfer Members

Example

This example uses the setData and getData methods of the dataTransfer object to perform a drag-and-drop operation.

Sample Code

<HEAD>
<SCRIPT>
var sAnchorURL;

function InitiateDrag()
/*  The setData parameters tell the source object
    to transfer data as a URL and provide the path.  */
{
    event.dataTransfer.setData("URL", oSource.href);
}

function FinishDrag()
/*  The parameter passed to getData tells the target
    object what data format to expect.  */
{
    sAnchorURL = event.dataTransfer.getData("URL")
    oTarget.innerText = sAnchorURL;
}
</SCRIPT>
</HEAD>
<BODY>
<A ID=oSource HREF="about:Example_Complete" onclick="return(false)"
   ondragstart="InitiateDrag()">Test Anchor</A>
<SPAN ID=oTarget ondragenter="FinishDrag()">Drop the Link Here</SPAN>
</BODY>
This feature requires Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
event


document Object

Represents the HTML document in a given browser window.

Remarks

Use the document object to retrieve information about the document, to examine and modify the HTML elements and text within the document, and to process events.

The document object is available at all times. Retrieve the object by applying the document property to a window or an element object. When used by itself, the document object represents the document in the current window.

This object is available in script as of Microsoft® Internet Explorer 3.0.

Windows CE

In Microsoft® Windows® CE, the document object is not available through scripting for a window opened using the open method.

Members

document Members

Example

This example uses the document object to check for a document title, and displays the title (if not null) in a message box.

if (document.title!="")
    alert("The title is " + document.title)

This example shows an event handler function that displays the current position of the mouse, relative to the upper-left corner of the document, in the browser's status window.

<HTML>
<HEAD><TITLE>Report mouse moves</TITLE>
<SCRIPT LANGUAGE="JScript">
function reportMove() {
    window.status = "X=" + window.event.x + " Y=" + window.event.y;
}
</SCRIPT>
<BODY onmousemove="reportMove()">
<H1>Welcome!</H1>
</BODY>
</HTML>

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
custom, window


event Object

Represents the state of an event, such as the element in which the event occurred, the state of the keyboard keys, the location of the mouse, and the state of the mouse buttons.

Remarks

The event object is available only during an event—that is, you can use it in event handlers but not in other code.

Although all event properties are available to all event objects, some properties might not have meaningful values during some events. For example, the fromElement and toElement properties are meaningful only when processing the onmouseover and onmouseout events.

In Microsoft® Visual Basic® Scripting Edition (VBScript), you must access the event object through the window object.

This object is available in script as of Microsoft® Internet Explorer 4.0.

Members

event Members

Example

This example uses the event object to check whether the user clicked the mouse within a link, and to prevent the link from being navigated if the SHIFT key is down.

<HTML>
<HEAD><TITLE>Cancels Links</TITLE>
<SCRIPT LANGUAGE="JScript">
function cancelLink() {
    if (window.event.srcElement.tagName == "A" && window.event.shiftKey)
        window.event.returnValue = false;
}
</SCRIPT>
<BODY onclick="cancelLink()">

This example displays the current mouse position in the browser's status window.

<BODY onmousemove="window.status = 'X=' +  window.event.x + ' Y='
    + window.event.y">

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
window


history Object

Contains information about the URLs visited by the client.

Remarks

For security reasons, the history object does not expose the actual URLs in the browser history. It does allow navigation through the browser history by exposing the back, forward, and go methods. A particular document in the browser history can be identified as an index relative to the current page. For example, specifying -1 as a parameter for the go method is the equivalent of clicking the Back button.

This object is available in script as of Microsoft® Internet Explorer 3.0.

Members

history Members

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
window


location Object

Contains information about the current URL.

Remarks

The href property contains the entire URL, while the other properties contain portions of the URL. The default property for the location object is location.href. For example, setting location='http://microsoft.com' is equivalent to setting location.href='http://microsoft.com'.

The browser immediately navigates to the specified URL when any of the properties listed below are set.

This object is available in script as of Microsoft® Internet Explorer 3.0.

Members

location Members

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

document, window


navigator Object

Contains information about the Web browser.

Remarks

This object is available in script as of Microsoft® Internet Explorer 3.0.

Members

navigator Members

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
window


screen Object

Contains information about the client's screen and rendering capabilities.

Remarks

This object is available in script as of Microsoft® Internet Explorer 4.0.

Members

screen Members

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
window


selection Object

Represents the active selection, which is a highlighted block of text, and/or other elements in the document on which a user or a script can carry out some action.

Remarks

You typically use the selection object as input from the user to identify which portion of the document to act on, or as output to the user to show the results of an action.

Users and scripts can create selections. Users create selections by dragging the mouse over a portion of the document. Scripts create selections by calling the select method on a text range or similar object. To retrieve the active selection, apply the selection keyword to the document object. To carry out work on a selection, create a text range object from the selection using the createRange method.

A document can have only one selection at a time. The selection has a type that determines whether it is empty or contains a block of text and/or elements. Although an empty selection contains nothing, you can use it to mark a position in the document.

This object is available in script as of Microsoft® Internet Explorer 4.0.

Members

selection Members

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
document


style Object

Represents the current settings of all possible inline styles for a given element.

Remarks

Inline styles are cascading style sheets (CSS) style assignments that you apply directly to individual HTML elements using the STYLE= attribute. Use the style object to examine these assignments and to make new assignments or change existing ones.

To retrieve the style object, apply the style keyword to an element object. To retrieve the current setting for an inline style, apply the corresponding style property to the style object.

The style object does not provide access to the style assignments in style sheets. To obtain information about styles in style sheets, use the styleSheets collection to access to the individual style sheets defined in the document.

The following properties are not available when the rule object accesses the style object: posHeight, posWidth, posTop, posLeft, pixelHeight, pixelWidth, pixelTop, and pixelLeft.

This object is available in script in Internet Explorer 4.0.

Members

style Members

Example

This example uses the style object to set the document body text font to Verdana.

document.body.style.fontFamily = "Verdana"

This example positions all absolutely positioned images in the given document at the top of the document.

var oImages = document.all.tags("IMG");
if (oImages.length) {
    for (var iImg = 0; iImg < oImages.length; iImg++) {
        var oImg = oImages(iImg);
        if (oImg.style.position == "absolute") {
            oImg.style.top = 0;
        }
    }
}

This example copies the inline style of the second element (div2) to the first (div1) while preserving the styles of the second. The background color of div1 is overwritten during the assignment.

<DIV ID="div1" STYLE="background-color:blue;font-weight:bold">Item 1</DIV>
<DIV ID="div2" STYLE="background-color:red;font-size:18pt;
    font-family:Verdana;">Item 2</DIV>

<SCRIPT>
div1.style.cssText += (';' + div2.style.cssText);
</SCRIPT>

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ACRONYM, ADDRESS, APPLET, AREA, B, BASE, BASEFONT, BGSOUND, BIG, BLOCKQUOTE, BODY, BR, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, COMMENT, custom, DD, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, HEAD, Hn, HR, HTML, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LABEL, LEGEND, LI, LINK, LISTING, MAP, MARQUEE, MENU, META, NEXTID, NOBR, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, rule, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TITLE, TR, TT, U, UL, VAR, XMP


styleSheet Object

Represents a single style sheet in the document.

Remarks

You can use this object to retrieve style sheet information, such as the URL of the source file for the style sheet and the element in the document that owns (defines) the style sheet. You also can use it to modify style sheets.

You can retrieve a styleSheet object from the styleSheets collection or from the imports collection. Each item in these collections is a style sheet. A styleSheet object is available for a style sheet only if it is included in a document with a STYLE or LINK element, or with an @import statement in a STYLE element.

This object is available in script as of Microsoft® Internet Explorer 4.0.

Members

styleSheet Members

Example

This example uses the styleSheet object to change the cascading style sheets (CSS) values of inline and imported styles.

<STYLE>
BODY {background-color: #CFCFCF;}
@import url("otherStyleSheet.css");
</STYLE>
<SCRIPT>
window.onload=fnInit;
function fnInit(){
   // Access a rule in the styleSheet, change backgroundColor to blue.
   var oStyleSheet=document.styleSheets[0];
   var oRule=oStyleSheet.rules[0];
   oRule.backgroundColor="#0000FF";
   // Add a rule for P elements to have yellow backgrounds.
   oStyleSheet.addRule("P","background-color: #FFFF00;");
   // Change and imported rule:
   oStyleSheet.imports[0].color="#000000";
}
</SCRIPT>

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

styleSheets


TextRange Object

Represents text in an HTML element.

Remarks

Use this object to retrieve and modify text in an element, to locate specific strings in the text, and to carry out commands that affect the appearance of the text.

To retrieve a text range object, apply the createTextRange method to a BODY, BUTTON, or TEXTAREA element or an INPUT element that has text type.

Modify the extent of the text range by moving its start and end positions with methods such as move, moveToElementText, and findText. Within the text range, you can retrieve and modify plain text or HTML text. These forms of text are identical except that HTML text includes HTML tags, and plain text does not.

This feature might not be available on non-Win32® platforms. See article q172976 Internet Link Non-MSDN link in the Microsoft® Knowledge Base for the latest information on Internet Explorer cross-platform compatibility.

This object is available in script as of Microsoft® Internet Explorer 4.0.

Members

TextRange Members

Example

This example changes the text of a BUTTON element to "Clicked" through the TextRange object.

<SCRIPT LANGUAGE="JScript">
var b = document.all.tags("BUTTON");
if (b!=null) {
    var r = b[0].createTextRange();
    if (r != null) {
        r.text = "Clicked";
    }
}
</SCRIPT>

See Also

createTextRange


window Object

Represents an open window in the browser.

Remarks

You can use the window object to retrieve information about the state of the window. You also can use this object to gain access to the document in the window, to the events that occur in the window, and to features of the browser that affect the window.

Typically, the browser creates one window object when it opens an HTML document. However, if a document defines one or more frames (that is, contains one or more FRAME or IFRAME tags), the browser creates one window object for the original document and one additional window object for each frame. These additional objects are child windows of the original window and can be affected by actions that occur in the original. For example, closing the original window causes all child windows to close. You can also create new windows (and corresponding window objects) using methods such as open, showModalDialog, and showModelessDialog.

You can apply any window property, method, or collection to any variable or expression that evaluates to a window object, regardless of how that window was created. Additionally, you can access all window properties, methods, and collections in the current window by using the property, method, or collection name directly—that is, without prefixing it with an expression that evaluates to the current window object. However, to help make more readable code and to avoid potential ambiguities, many authors use the window keyword when accessing window properties, methods, and collections for the current window. This keyword always refers to the current window.

Note Window property, method, and collection names are reserved keywords and cannot be used as the names of variables and routines.

The dialogArguments, dialogHeight, dialogLeft, dialogTop, dialogWidth, and returnValue properties are available only for windows created using the showModalDialog and showModelessDialog methods.

This object is available in script as of Microsoft® Internet Explorer 3.0.

Windows CE

In Microsoft® Windows® CE, the document object is not available through scripting for a window opened using the open method.

Members

window Members

Example

This example displays an alert for the current window.

alert("A simple message.")

This example checks whether the current window contains child windows and, if it does, displays the names of those child windows.

if ( window.frames != null ) {
    for ( i = 0; i< window.frames.length; i++ )
        window.alert ("Child window " +i+ " is named "+window.frames(i).name);
}

This example shows a simple event handler function for the window's onload event. In the absence of a "window" element, the BODY element hosts the following window object events: onblur, onbeforeunload, onfocus, onload, and onunload.

<BODY onload="window.status='Page is loaded!'">


OBJECT Element | OBJECT Object

Inserts an object into the HTML page.

HTML Syntax

<OBJECT
    ACCESSKEY=key
    ALIGN=ABSBOTTOM | ABSMIDDLE | BASELINE | BOTTOM | LEFT |
        MIDDLE | RIGHT | TEXTTOP | TOP
    CLASS=classname
    CLASSID=id
    CODE=filename
    CODEBASE=url[#version=a,b,c,d]
    CODETYPE=media-type
    DATA=url
    DATAFLD=colname
    DATASRC=#ID
    HEIGHT=n
    ID=value
    LANG=language
    LANGUAGE=JAVASCRIPT | JSCRIPT | VBSCRIPT  | VBS
    NAME=name
    STYLE=css1-properties
    TABINDEX=n
    TITLE=text
    TYPE=MIME-type
    WIDTH=n
    event = script
>

Remarks

An object can appear in the HEAD or the BODY of a document.

Possible return values (those generated by DHTML Object Model properties) on the OBJECT element depend on the implementation of the OBJECT. For example, the readyState property returns null or error if the OBJECT does not implement a readyState property. DHTML Object Model properties available for an OBJECT depend on the content of the OBJECT. For information about supported properties, see the documentation for the individual object.

Events are sent directly to the OBJECT element. If the event is returned by the embedded object, it bubbles accordingly. If the event is not returned, it does not bubble.

OBJECT event handlers also can be defined in script (see Example).

Note You can use the object property for the OBJECT element to reconcile DHTML Object Model members that are duplicated by the OBJECT element's implementation and by DHTML. For instance, if the OBJECT implements an item method, and DHTML implements an item method, use document.all.objectID.object.item() to access the one defined for the OBJECT.

The OBJECT element is a block element and requires a closing tag.

This element is available in HTML as of Microsoft® Internet Explorer 3.0, and in script as of Internet Explorer 4.0.

Members

OBJECT Members

Styles

OBJECT Styles

Example

This example uses script to define event handlers on the OBJECT element.

<SCRIPT FOR=oObject EVENT=eEvent>
:
</SCRIPT>

<OBJECT ID=oObject CLASSID="xyz.abc">
</OBJECT>


OL Element | OL Object

Draws lines of text as a numbered list.

HTML Syntax

<OL
    CLASS=classname
    ID=value
    LANG=language
    LANGUAGE=JAVASCRIPT | JSCRIPT | VBSCRIPT  | VBS
    START=n
    STYLE=css1-properties
    TITLE=text
    TYPE=1 | a | A | i | I
    event = script
>

Remarks

The TYPE attribute sets the list type for all ensuing lists unless a different type value is set.

The OL element is a block element and requires a closing tag.

This element is available in HTML as of Microsoft® Internet Explorer 3.0, and in script as of Internet Explorer 4.0.

Members

OL Members

Styles

OL Styles

Example

This example uses the OL element to create a numbered list.

<OL>
<LI>This is the first item in the list.
<LI>And this is the second item in the list.
</OL>

<OL START=3>
<LI>This is item number 3.
</OL>

<OL TYPE=A>
<LI>This is item A.
</OL>

See Also

LI


OPTION Element | OPTION Object

Denotes one choice in a SELECT element.

HTML Syntax

<OPTION
    CLASS=classname
    ID=value
    LANGUAGE=JAVASCRIPT | JSCRIPT | VBSCRIPT  | VBS
    SELECTED
    VALUE=value
    event = script
>

Remarks

Although OPTION elements do not appear in the all collection, you can gain access to these elements by applying the options collection to the SELECT element.

You can add OPTION elements only to a SELECT element located in the same window where the OPTION elements are created.

Except for background-color and color, style settings applied through the style object for the OPTION element are ignored. In addition, style settings applied directly to individual options override those applied to the containing SELECT element as a whole.

The OPTION element does not require a closing tag.

This element is available in HTML and script as of Microsoft® Internet Explorer 3.0.

Members

OPTION Members

Styles

OPTION Styles

Example

This example uses the OPTION element to create individual items in a drop-down list box.

<SELECT ID="oCars" SIZE="1" onchange="fnChange()">
<OPTION VALUE="1">BMW
<OPTION VALUE="2">PORSCHE
<OPTION VALUE="3" SELECTED>MERCEDES
</SELECT>
<TEXTAREA ID="oData"></TEXTAREA>

This example uses the options collection to append the selected item of the list box in a text area.

<SCRIPT LANGUAGE="JScript">
function fnChange(){
   oData.value+=oCars.options[oCars.selectedIndex].text + "\n";
}
</SCRIPT>


P Element | P Object

Denotes a paragraph.

HTML Syntax

<P
    ALIGN=CENTER | LEFT | RIGHT | JUSTIFY
    CLASS=classname
    ID=value
    LANG=language
    LANGUAGE=JAVASCRIPT | JSCRIPT | VBSCRIPT  | VBS
    STYLE=css1-properties
    TITLE=text
    event = script
>

Remarks

The P element is a block element and does not require a closing tag.

This element is available in HTML as of Microsoft® Internet Explorer 3.0, and in script as of Internet Explorer 4.0.

Members

P Members

Styles

P Styles

Example

This example uses the P element to create a paragraph.

<P>This is a paragraph.</P>


PARAM Element | PARAM Object

Sets the property value for a given object.

HTML Syntax

<PARAM
    DATAFLD=colname
    DATAFORMATAS=HTML | TEXT
    DATASRC=#ID
    NAME=name
    VALUE=value
>

Remarks

The PARAM element is valid within the APPLET, EMBED, and OBJECT elements.

The PARAM element does not require a closing tag.

This element is available in HTML as of Microsoft® Internet Explorer 3.0.

Members

PARAM Members


PLAINTEXT Element | PLAINTEXT Object

Renders text in a fixed-width font without processing tags.

HTML Syntax

<PLAINTEXT
    CLASS=classname
    ID=value
    LANG=language
    LANGUAGE=JAVASCRIPT | JSCRIPT | VBSCRIPT  | VBS
    STYLE=css1-properties
    TITLE=text
    event = script
>

Remarks

This element is no longer recommended.

Members

PLAINTEXT Members

Styles

PLAINTEXT Styles

See Also

XMP


PRE Element | PRE Object

Renders text in a fixed-width font.

HTML Syntax

<PRE
    CLASS=classname
    ID=value
    LANG=language
    LANGUAGE=JAVASCRIPT | JSCRIPT | VBSCRIPT  | VBS
    STYLE=css1-properties
    TITLE=text
    event = script
>

Remarks

Text within the PRE element is formatted. Spaces and carriage returns are preserved.

The PRE element is a block element and requires a closing tag.

This element is available in HTML as of Microsoft® Internet Explorer 3.0, and in script as of Internet Explorer 4.0.

Members

PRE Members

Styles

PRE Styles

Example

This example uses the PRE element to format text so that it renders exactly as it's typed.

<PRE>
This text is formatted
   exactly
      as
         it
      is
   typed.
</PRE>

See Also

XMP


Q Element | Q Object

Sets apart a quotation in text.

HTML Syntax

<Q
    CLASS=classname
    ID=value
    LANG=language
    LANGUAGE=JAVASCRIPT | JSCRIPT | VBSCRIPT  | VBS
    STYLE=css1-properties
    TITLE=text
    event = script
>

Remarks

The Q element is an inline element and requires a closing tag.

This element is available in HTML and script as of Microsoft® Internet Explorer 4.0.

Members

Q Members

Styles

Q Styles

Example

This example uses the Q element to set apart a quotation in text.

<P>He said,
<Q>"Hi there!"</Q>

See Also

BLOCKQUOTE


RT Element | RT Object

Designates the ruby text for the RUBY element.

HTML Syntax

<RT
    CLASS=classname
    DIR=LTR | RTL
    ID=value
    LANG=language
    LANGUAGE=JAVASCRIPT | JSCRIPT | VBSCRIPT  | VBS
    NAME=name
    STYLE=css1-properties
    TITLE=text
    event = script
>

Remarks

A ruby is an annotation or pronunciation guide for a string of text. The string of text annotated with a ruby is referred to as the base.

The ruby text specified by the RT element is positioned above or inline with the rubyPosition property. Browsers that do not support the RT element render the ruby text inline with the base text.

The RT element is an inline element and does not require a closing tag.

This element is available in HTML and script as of Microsoft® Internet Explorer 5.

Members

RT Members

Styles

RT Styles

Example

This example uses the RT element to specify a string of text as an annotation or pronunciation guide to the base text.

<RUBY>
   Base Text
   <RT>Ruby Text
</RUBY>
This feature requires Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

See Also

RUBY


RUBY Element | RUBY Object

Designates an annotation or pronunciation guide to be placed above or inline with a string of text.

HTML Syntax

<RUBY
    CLASS=classname
    DIR=LTR | RTL
    ID=value
    LANG=language
    LANGUAGE=JAVASCRIPT | JSCRIPT | VBSCRIPT  | VBS
    NAME=name
    STYLE=css1-properties
    TITLE=text
    event = script
>

Remarks

A ruby is an annotation or pronunciation guide for a string of text. The string of text annotated with a ruby is referred to as the base.

The only valid object within the RUBY element is the RT element. Text not contained within the ruby text object, RT, is assumed to be a part of the base.

The RUBY element is an inline element and requires a closing tag.

This element is available in HTML and script as of Microsoft® Internet Explorer 5.

Members

RUBY Members

Styles

RUBY Styles

Example

This example uses the RUBY element to specify the first string of text as the base, and the RT element to specify the second string of text as the ruby.

<RUBY>
   Base Text
   <RT>Ruby Text
</RUBY>
This feature requires Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

See Also

RT


rule Object

Represents a style within a cascading style sheet (CSS) that consists of a selector and one or more declarations.

Remarks

The rule object defines a set of CSS attributes applied to a set of HTML elements. For example, a rule consisting of the selector H1 and the declaration font-family:Arial defines all H1 elements to render in the Arial font.

This object is available in script as of Microsoft® Internet Explorer 5.

Members

rule Members

Example

This example uses a rule object consisting of the selector H1 to define a single rule that changes the H1 heading(s) in a document to red.

Sample Code

<STYLE>
    H1 { color: red }
</STYLE>

If the style sheet containing the preceding rule is the first style sheet in the document, the following code returns the rule object associated with the rule.

oRule=document.styleSheets(0).rules(0)

See Also

rules


runtimeStyle Object

Represents the cascaded format and style of the object that overrides the format and style specified in global style sheets, inline styles, and HTML attributes.

Remarks

The runtimeStyle object sets and retrieves the format and style of an object, and overrides existing formats and styles in the process. Other than having precedence over the style object and not persisting, the runtimeStyle object is equivalent to the style object.

Members

runtimeStyle Members

Example

This example sets a value on the runtimeStyle object to affect the currentStyle object, but not the style object.

<SCRIPT>
function fnChangeValue(sValue){
   if(oDIV.runtimeStyle.backgroundColor == oDIV.style.backgroundColor){
      sValue="";
   }
   oDIV.runtimeStyle.backgroundColor = sValue;
   alert(oDIV.style.backgroundColor +
      "\n" + oDIV.currentStyle.backgroundColor +
      "\n" + oDIV.runtimeStyle.backgroundColor);
}
</SCRIPT>

<DIV ID = "oDIV">
This is a demonstration DIV.
</DIV>

<INPUT TYPE = "button" VALUE = "Change Color" onclick="fnChangeValue('blue')">
This feature requires Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ACRONYM, ADDRESS, APPLET, AREA, B, BASE, BASEFONT, BGSOUND, BIG, BLOCKQUOTE, BODY, BR, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, COMMENT, custom, DD, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, HEAD, Hn, HR, HTML, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LABEL, LEGEND, LI, LINK, LISTING, MAP, MARQUEE, MENU, META, NEXTID, NOBR, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, rule, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TITLE, TR, TT, U, UL, VAR, XMP

See Also

currentStyle


S Element | S Object

Renders text in strike-through type.

HTML Syntax

<S
    CLASS=classname
    ID=value
    LANG=language
    LANGUAGE=JAVASCRIPT | JSCRIPT | VBSCRIPT  | VBS
    STYLE=css1-properties
    TITLE=text
    event = script
>

Remarks

The S element is an inline element and requires a closing tag.

This element is available in HTML as of Microsoft® Internet Explorer 3.0, and in script as of Internet Explorer 4.0.

Members

S Members

Styles

S Styles

Example

This example uses the S element to render the text with a line through it.

<S>This text has a line through it.</S>

See Also

STRIKE


SAMP Element | SAMP Object

Specifies a code sample.

HTML Syntax

<SAMP
    CLASS=classname
    ID=value
    LANG=language
    LANGUAGE=JAVASCRIPT | JSCRIPT | VBSCRIPT  | VBS
    STYLE=css1-properties
    TITLE=text
    event = script
>

Remarks

The SAMP element is an inline element and requires a closing tag.

This element is available in HTML as of Microsoft® Internet Explorer 3.0, and in script as of Internet Explorer 4.0.

Members

SAMP Members

Styles

SAMP Styles

Example

This example uses the SAMP element to create a code sample.

<SAMP>Here is some text in a small fixed-width font.</SAMP>

See Also

CODE


SCRIPT Element | SCRIPT Object

Specifies a script for the page that is interpreted by a script engine.

HTML Syntax

<SCRIPT
    CLASS=classname
    DEFER
    EVENT=eventname
    FOR=element
    ID=value
    LANGUAGE=JAVASCRIPT | JSCRIPT | VBSCRIPT  | VBS | XML
    SRC=url
    TITLE=text
    TYPE=MIME-type
>

Remarks

Code within the SCRIPT block that is not contained within a function is executed immediately as the page is loaded. To keep scripts from being displayed on down-level browsers, nest the SCRIPT block within a COMMENT block.

Script appearing after a FRAMESET element is ignored.

The SCRIPT element is a block element and requires a closing tag.

This element is available in HTML as of Microsoft® Internet Explorer 3.0, and in script as of Internet Explorer 4.0.

Members

SCRIPT Members

Styles

SCRIPT Styles

See Also

embedding an xml data island into an html page Internet Link


SELECT Element | SELECT Object

Denotes a list box or drop-down list.

HTML Syntax

<SELECT
    ACCESSKEY=key
    ALIGN=ABSBOTTOM | ABSMIDDLE | BASELINE | BOTTOM | LEFT |
        MIDDLE | RIGHT | TEXTTOP | TOP
    CLASS=classname
    DATAFLD=colname
    DATASRC=#ID
    DISABLED
    ID=value
    LANG=language
    LANGUAGE=JAVASCRIPT | JSCRIPT | VBSCRIPT  | VBS
    MULTIPLE
    NAME=name
    SIZE=n
    STYLE=css1-properties
    TABINDEX=n
    event = script
>

Remarks

The SELECT element is an inline element and requires a closing tag.

This element is available in HTML and script as of Microsoft® Internet Explorer 3.0.

Members

SELECT Members

Styles

SELECT Styles

Example

This example uses the SELECT element to create a drop-down list box.

<SELECT NAME="Cats" SIZE="1">
<OPTION VALUE="1">Calico
<OPTION VALUE="2">Tortie
<OPTION VALUE="3" SELECTED>Siamese
</SELECT>

This example uses the SELECT element to create a multi-select list box by setting the SIZE and MULTIPLE attributes. To retrieve the selected options for a multi-select list box, iterate through the options collection and check to see where SELECTED is set to true.

<SELECT NAME="Cars" SIZE="3" MULTIPLE>
<OPTION VALUE="1" SELECTED>BMW
<OPTION VALUE="2">PORSCHE
<OPTION VALUE="3" SELECTED>MERCEDES
</SELECT>

This example adds a new option to the end of an existing SELECT list. The new Option constructor can also be used in Microsoft® JScript® (compatible with ECMA 262 language specification).

<SCRIPT LANGUAGE="JScript">
var oOption = document.createElement("OPTION");
oOption.text="Apples";
oOption.value="5";
document.all.oMyList.add(oOption);
</SCRIPT>

See Also

OPTION


SMALL Element | SMALL Object

Specifies that the enclosed text should be displayed in a smaller font.

HTML Syntax

<SMALL
    CLASS=classname
    ID=value
    LANG=language
    LANGUAGE=JAVASCRIPT | JSCRIPT | VBSCRIPT  | VBS
    STYLE=css1-properties
    TITLE=text
    event = script
>

Remarks

The SMALL element is an inline element and requires a closing tag.

This element is available in HTML as of Microsoft® Internet Explorer 3.0, and in script as of Internet Explorer 4.0.

Members

SMALL Members

Styles

SMALL Styles

Example

This example uses the SMALL element to display text in a smaller font.

<SMALL>This text is smaller</SMALL> than this text.


SPAN Element | SPAN Object

Specifies an inline text container.

HTML Syntax

<SPAN
   CLASS=classname
    DATAFLD=colname
    DATAFORMATAS=HTML | TEXT
    DATASRC=#ID
    ID=value
    LANG=language
    LANGUAGE=JAVASCRIPT | JSCRIPT | VBSCRIPT  | VBS
    STYLE=css1-properties
    TITLE=text
    event = script
>

Remarks

This element is especially useful for applying cascading style sheets (CSS) styles.

The SPAN element is an inline element and requires a closing tag.

This element is available in HTML as of Microsoft® Internet Explorer 3.0, and in script as of Internet Explorer 4.0.

Members

SPAN Members

Styles

SPAN Styles

Example

This example uses the SPAN element to create an inline text container that changes the color of a word to blue.

<P>This paragraph contains a single <SPAN STYLE="color: blue">blue</SPAN> word.


STRIKE Element | STRIKE Object

Renders text in strike-through type.

HTML Syntax

<STRIKE
    CLASS=classname
    ID=value
    LANG=language
    LANGUAGE=JAVASCRIPT | JSCRIPT | VBSCRIPT  | VBS
    STYLE=css1-properties
    TITLE=text
    event = script
>

Remarks

The STRIKE element is an inline element and requires a closing tag.

This element is available in HTML as of Microsoft® Internet Explorer 3.0, and in script as of Internet Explorer 4.0.

Members

STRIKE Members

Styles

STRIKE Styles

Example

This example uses the STRIKE element to create strike-through type.

<STRIKE>This text has a line through it.</STRIKE>

See Also

S


STRONG Element | STRONG Object

Renders text in bold.

HTML Syntax

<STRONG
    CLASS=classname
    ID=value
    LANG=language
    LANGUAGE=JAVASCRIPT | JSCRIPT | VBSCRIPT  | VBS
    STYLE=css1-properties
    TITLE=text
    event = script
>

Remarks

The STRONG element is an inline element and requires a closing tag.

This element is available in HTML as of Microsoft® Internet Explorer 3.0, and in script as of Internet Explorer 4.0.

Members

STRONG Members

Styles

STRONG Styles

Example

This example uses the STRONG element to emphasize text in boldface type.

<STRONG>This text is strongly emphasized (shown as bold).</STRONG>

See Also

ACRONYM, ADDRESS, B, CITE


STYLE Element | style Object

Specifies a style sheet for the page.

HTML Syntax

<STYLE
    DISABLED
    MEDIA = SCREEN | PRINT | ALL
    TITLE = text
</STYLE>

Remarks

The STYLE element should appear in the HEAD section of an HTML document. Microsoft® Internet Explorer 4.0 and later permit multiple style blocks.

The STYLE element is a block element and requires a closing tag.

This element is available in HTML as of Internet Explorer 3.0, and in script as of Internet Explorer 4.0.

Members

style Members

Example

This example encloses style declarations in the STYLE tag and changes one of those settings using the style object.

<HEAD>
<STYLE>
   BODY {  background-color: white; color: black;  }
   H1 {  font: 8pt Arial bold;  }
   P  {  font: 10pt Arial; text-indent: 0.5in;  }
   A  {  text-decoration: none; color: blue;  }
</STYLE>
<SCRIPT>
    oParagraph.style.fontSize = 14;
</SCRIPT>
</HEAD>
<BODY>
<P>Sample Paragraph Text</P>
</BODY>


SUB Element | SUB Object

Specifies that the enclosed text should be displayed in subscript, using a smaller font than the current font.

HTML Syntax

<SUB
    CLASS=classname
    ID=value
    LANG=language
    LANGUAGE=JAVASCRIPT | JSCRIPT | VBSCRIPT  | VBS
    STYLE=css1-properties
    TITLE=text
    event = script
>

Remarks

The SUB element is an inline element and requires a closing tag.

This element is available in HTML as of Microsoft® Internet Explorer 3.0, and in script as of Internet Explorer 4.0.

Members

SUB Members

Styles

SUB Styles

Example

This example uses the SUB element to change some of the text to a subscript font.

(X<SUB>1</SUB>,Y<SUB>1</SUB>)

The preceding code causes the text to render as follows:
(X1,Y1)

See Also

SUP


SUP Element | SUP Object

Specifies that the enclosed text should be displayed in superscript, using a smaller font than the current font.

HTML Syntax

<SUP
    CLASS=classname
    ID=value
    LANG=language
    LANGUAGE=JAVASCRIPT | JSCRIPT | VBSCRIPT  | VBS
    STYLE=css1-properties
    TITLE=text
    event = script
>

Remarks

The SUP element is an inline element and requires a closing tag.

This element is available in HTML as of Microsoft® Internet Explorer 3.0, and in script as of Internet Explorer 4.0.

Members

SUP Members

Styles

SUP Styles

Example

This example uses the SUP element to change some of the text to a superscript font.

(X<SUP>2</SUP> + Y<SUP>2</SUP>)

The preceding code causes the text to render as follows:
(X2 + Y2)

See Also

SUB


TABLE Element | TABLE Object

Specifies that the contained content is organized into a table with rows and columns.

HTML Syntax

<TABLE
    ALIGN=CENTER | LEFT | RIGHT
    BACKGROUND=url
    BGCOLOR=color
    BORDER=n
    BORDERCOLOR=color
    BORDERCOLORDARK=color
    BORDERCOLORLIGHT=color
    CELLPADDING=n
    CELLSPACING=n
    CLASS=classname
    COLS=n
    DATAPAGESIZE=n
    DATASRC=#ID
    FRAME=ABOVE | BELOW | BORDER | BOX | INSIDES | LHS | RHS |
        VOID | VSIDES
    HEIGHT=n
    ID=value
    LANG=language
    LANGUAGE=JAVASCRIPT | JSCRIPT | VBSCRIPT  | VBS
    RULES=ALL | COLS | GROUPS | NONE | ROWS
    STYLE=css1-properties
    TITLE=text
    WIDTH=n
    event = script
>

Remarks

The following tags are valid within a table: CAPTION, COL, COLGROUP, TBODY, TD, TFOOT, TH, THEAD, and TR.

While a document loads, modifications to a table are restricted until the window.onload event occurs. Read-only access is allowed at any time.

The TABLE object model is read-only for databound tables. For example, script used to remove a table row works correctly on an unbound table, but not on a databound table. The properties of a table object are still available, but changes to the bound data in a table must be made to the data source.

The properties of a table are distinct from the properties of cells contained within the table. For example, the offsetLeft property of a multicolumn table is not the same as the offsetLeft property of the left-most cell in the table. Refer to the appropriate object when writing scripts involving table and/or cell objects.

The TABLE element is a block element and requires a closing tag.

This element is available in HTML as of Microsoft® Internet Explorer 3.0, and in script as of Internet Explorer 4.0.

Members

TABLE Members

Styles

TABLE Styles

Example

This example uses the TABLE element with THEAD, TR, and TH to create a table with three rows and two columns.

<TABLE BORDER=1 WIDTH=80%>
<THEAD>
<TR>
<TH>Heading 1</TH>
<TH>Heading 2</TH>
</TR>
</THEAD>
<TBODY>
<TR>
<TD>Row 1, Column 1 text.</TD>
<TD>Row 1, Column 2 text.</TD>
</TR>
<TR>
<TD>Row 2, Column 1 text.</TD>
<TD>Row 2, Column 2 text.</TD>
</TR>
</TBODY>
</TABLE>


TBODY Element | TBODY Object

Designates rows as the body of the table.

HTML Syntax

<TBODY
    ALIGN=CENTER | LEFT | RIGHT
    BGCOLOR=color
    CLASS=classname
    ID=value
    LANG=language
    LANGUAGE=JAVASCRIPT | JSCRIPT | VBSCRIPT  | VBS
    STYLE=css1-properties
    TITLE=text
    VALIGN=BASELINE | BOTTOM | CENTER | TOP
    event = script
>

Remarks

Valid tags within the TBODY element include:

  • TD
  • TH
  • TR

This element is exposed for all tables, even if the table does not explicitly define a TBODY element.

The TBODY element is a block element and requires a closing tag.

This element is available in HTML as of Microsoft® Internet Explorer 3.0, and in script as of Internet Explorer 4.0.

Members

TBODY Members

Styles

TBODY Styles

Example

This example uses the TBODY element with the TABLE, TD, THEAD, and TR objects to create a table with the first row in the table head and the second row in the table body.

<TABLE>
<THEAD>
<TR>
<TD>
This text is in the THEAD.
</TD>
</TR>
</THEAD>
<TBODY>
<TR>
<TD>
This text is in the TBODY.
</TD>
</TR>
</TBODY>
</TABLE>


TD Element | TD Object

Specifies a cell in a table.

HTML Syntax

<TD
    ALIGN=CENTER | LEFT | RIGHT
    BACKGROUND=url
    BGCOLOR=color
    BORDERCOLOR=color
    BORDERCOLORDARK=color
    BORDERCOLORLIGHT=color
    CLASS=classname
    COLSPAN=n
    HEIGHT=height
    ID=value
    LANG=language
    LANGUAGE=JAVASCRIPT | JSCRIPT | VBSCRIPT  | VBS
    NOWRAP
    ROWSPAN=n
    STYLE=css1-properties
    TITLE=text
    VALIGN=BASELINE | BOTTOM | CENTER | TOP
    WIDTH=width
    event = script
>

Remarks

The TD element is a block element and requires a closing tag.

This element is available in HTML as of Microsoft® Internet Explorer 3.0, and in script as of Internet Explorer 4.0.

Members

TD Members

Styles

TD Styles

See Also

TABLE, TH, TR, borderCollapse


TEXTAREA Element | TEXTAREA Object

Specifies a multiline text input control.

HTML Syntax

<TEXTAREA
    ACCESSKEY=key
    CLASS=classname
    COLS=n
    DATAFLD=colname
    DATASRC=#ID
    DISABLED
    ID=value
    LANG=language
    LANGUAGE=JAVASCRIPT | JSCRIPT | VBSCRIPT  | VBS
    NAME=name
    READONLY
    ROWS=n
    STYLE=css1-properties
    TABINDEX=n
    TITLE=text
    WRAP=OFF | HARD | SOFT
    event = script
>

Remarks

The default font is fixed pitch.

The TEXTAREA element is an inline element and requires a closing tag.

This element is available in HTML and script as of Microsoft® Internet Explorer 3.0.

Members

TEXTAREA Members

Styles

TEXTAREA Styles

Example

This example uses the TEXTAREA element to set the cascading style sheets (CSS) overflow attribute to "hidden" to remove the scroll bars from the TEXTAREA.

<TEXTAREA STYLE="overflow:hidden" ID=txtComments>
   The patient is in stable condition after suffering an attack of
   the insatiable munchies.
</TEXTAREA>

See Also

INPUT


TextNode Object

Represents a string of text as a node in the document hierarchy.

Remarks

Use the createTextNode method to create a TextNode object. Once you create the TextNode, you can add to it using the appendChild, replaceNode, or insertBefore methods.

This object is available in script as of Microsoft® Internet Explorer 5.

Members

TextNode Members

Example

This example uses the TextNode object to change the text of an LI object.

<SCRIPT>
function fnChangeText(){
   var oTextNode = document.createTextNode("New List Item 1");
   var oReplaceNode = oItem1.firstChild.replaceNode(oTextNode);
}
</SCRIPT>

<UL onclick = "fnChangeText()">
<LI ID = oItem1>List Item 1
</UL>


TextRectangle Object

Specifies a rectangle that contains a line of text in either an element or a TextRange object.

Remarks

Apply the getClientRects method to an element or text range object to retrieve a collection of TextRectangle objects. The getClientRects method returns a collection of rectangles, exposing for each rectangle the left, top, right, and bottom coordinates relative to the client.

In the following excerpt from the Gettysburg Address, four TextRectangle objects are contained in the B element (bold text).

Four score and seven years ago our fathers
brought forth . . . a new nation, conceived in liberty
and dedicated to the proposition that all men are
created equal. Now we are engaged in a great civil war . . .

The four TextRectangle objects are:

  1. "our fathers"
  2. "brought forth . . . a new nation, conceived in liberty"
  3. "and dedicated to the proposition that all men are"
  4. "created equal"

If you resize the window containing this text, the TextRectangle objects do not update. Since the objects are a snapshot of the layout, the objects should update following after an onresize event occurs.

This object is available in script as of Microsoft® Internet Explorer 5.

Members

TextRectangle Members

Example

This example uses the getClientRects and getBoundingClientRect methods to highlight text lines in an object.

Sample Code

<HEAD>
<SCRIPT>
var rcts;
var keyCount=0;

function Highlight(obj) {
    rcts = obj.getClientRects();
    rctLength= rcts.length;

    if (keyCount > rctLength-1) {
        idBeige.style.display="none";
        keyCount = 0
    }

    // set the rendering properties for the yellow DIV
    cdRight = rcts[keyCount].right + idBody.scrollLeft;
    cdLeft = rcts[keyCount].left + idBody.scrollLeft;
    cdTop = rcts[keyCount].top + idBody.scrollTop;
    cdBottom = rcts[keyCount].bottom + idBody.scrollTop;
    idYellow.style.top = cdTop;
    idYellow.style.width = (cdRight-cdLeft) - 5;
    idYellow.style.display = 'inline';

    // set the rendering properties for the beige DIV
    bndRight = obj.getBoundingClientRect().right +
        idBody.scrollLeft;
    bndLeft = obj.getBoundingClientRect().left +
        idBody.scrollLeft;
    bndTop = obj.getBoundingClientRect().top +
        idBody.scrollTop;
    idBeige.style.top = bndTop;
    idBeige.style.width = (bndRight-bndLeft) - 5;
    idBeige.style.height = cdTop - bndTop;
    if (keyCount>0){
        idBeige.style.display = 'inline';
    }
    keyCount++;
}
</SCRIPT>
</HEAD>

<BODY ID="idBody">
<DIV ID="oID_1" onclick="Highlight(this)"
    onkeydown="Highlight(this)">
A large block of text should go here. Click on this
block of text multiple times to see each line
highlight with every click of the mouse button.
Once each line has been highlighted, the process
will begin again starting with the first line.
</DIV>
<DIV STYLE="position:absolute; left:5; top:400;
z-index:-1; background-color:yellow; display:none"
ID="idYellow"></DIV>
<DIV STYLE="position:absolute; left:5; top:400;
z-index:-1; background-color:beige; display:none"
ID="idBeige"></DIV>
</BODY>

This feature requires Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

This example uses the TextRectangle collection with the getClientRects and getBoundingClientRect methods to determine the position of the text rectangle within an element. In each line, the left-justified text does not extend to the right margin of the box that contains the text. Using this collection, you can determine the coordinates of the rectangle that surrounds only the content in each line. The example code reads these rectangle coordinates and instructs the ball to move over the text only, and not to the end of the line.

Sample Code

<HEAD>
<SCRIPT>
var timid = -1;
var timoID_2 = -1;
var nLine;
var nPosInLine;
var oRcts;
var nDivLen;
var nEraser;

function LoadDone() {
    oTextRange = document.body.createTextRange();
    // Get bounding rect of the range
    oRcts = oTextRange.getClientRects();
    nLine = 0;
    oBndRct = obj.getBoundingClientRect();
    nDivLen = oBndRct.right - oBndRct.left + 1;
    MoveTo();
}

function MoveTo() {
    if (nLine >= oRcts.length) {
        nLine = 0;
    }
    obj.style.top = oRcts[nLine].top;
    nPosInLine = oRcts[nLine].left;
    nEraser = 0;
    timoID_2 = setInterval("MoveToInLine()",60);
}

function MoveToInLine() {
    if (nPosInLine >= oRcts[nLine].right - nDivLen) {
        clearInterval(timoID_2);
        timoID_2 = -1;
        obj.style.left = oRcts[nLine].right - nDivLen;
        nLine++;
        timid = setTimeout("MoveTo()", 100);
        return;
    }
    if (nEraser == 0) {
        nEraser = 1;
    }
    else {
        nEraser = 0;
    }
    im.src = "/workshop/graphics/dot.gif";
    obj.style.left = nPosInLine;
    nPosInLine += 3;
}

function End() {
    if(timid != -1) {
        clearInterval(timid);
        timid = -1;
    }
    if(timoID_2 != -1) {
        clearInterval(timoID_2);
        timoID_2 = -1;
    }
}
</SCRIPT>
</HEAD>

<BODY ID="bodyid" onload="LoadDone()"
    onresize="End();LoadDone();" onunload="End()">
<P STYLE="text-align:center">
<B>The quick brown fox jumps over the lazy dog.</B>
</P>
<DIV ID="obj" STYLE="position:absolute">
<IMG ID="im" SRC="/workshop/graphics/dot.gif"
    BORDER=0 HEIGHT=16 WIDTH=16>
</DIV>
</BODY>
This feature requires Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer


TFOOT Element | TFOOT Object

Designates rows as the table's footer.

HTML Syntax

<TFOOT
    ALIGN=CENTER | LEFT | RIGHT
    BGCOLOR=color
    CLASS=classname
    ID=value
    LANG=language
    LANGUAGE=JAVASCRIPT | JSCRIPT | VBSCRIPT  | VBS
    STYLE=css1-properties
    TITLE=text
    VALIGN=BASELINE | BOTTOM | CENTER | TOP
    event = script
>

Remarks

Valid tags within the TFOOT element include:

  • TD
  • TH
  • TR

The TFOOT element is a block element and requires a closing tag.

This element is available in HTML as of Microsoft® Internet Explorer 3.0, and in script as of Internet Explorer 4.0.

Members

TFOOT Members

Styles

TFOOT Styles

Example

This example uses the TFOOT element with the TABLE, TBODY, TD, and TR objects to create a table with the first row in the table body and the second row in the table footer.

<TABLE>
<TBODY>
<TR>
<TD>
This text is in the table body.
</TD>
</TR>
</TBODY>
<TFOOT>
<TR>
<TD>
This text is in the table footer.
</TD>
</TR>
</TFOOT>
</TABLE>


TH Element | TH Object

Specifies a header column. Header columns are centered within the cell and are bold.

HTML Syntax

<TH
    ALIGN=CENTER | LEFT | RIGHT
    BACKGROUND=url
    BGCOLOR=color
    BORDERCOLOR=color
    BORDERCOLORDARK=color
    BORDERCOLORLIGHT=color
    CLASS=classname
    COLSPAN=n
    HEIGHT=height
    ID=value
    LANG=language
    LANGUAGE=JAVASCRIPT | JSCRIPT | VBSCRIPT  | VBS
    NOWRAP
    ROWSPAN=n
    STYLE=css1-properties
    TITLE=text
    VALIGN=BASELINE | BOTTOM | CENTER | TOP
    WIDTH=width
    event = script
>

Remarks

The TH element is a block element and requires a closing tag.

This element is available in HTML as of Microsoft® Internet Explorer 3.0, and in script as of Internet Explorer 4.0.

Members

TH Members

Styles

TH Styles

See Also

TD, TR


THEAD Element | THEAD Object

Designates rows as the table's header.

HTML Syntax

<THEAD
    ALIGN=CENTER | LEFT | RIGHT
    BGCOLOR=color
    CLASS=classname
    ID=value
    LANG=language
    LANGUAGE=JAVASCRIPT | JSCRIPT | VBSCRIPT  | VBS
    STYLE=css1-properties
    TITLE=text
    VALIGN=BASELINE | BOTTOM | CENTER | TOP
    event = script
>

Remarks

Valid tags within the THEAD element include:

  • TD
  • TH
  • TR

The THEAD element is a block element and requires a closing tag.

This element is available in HTML as of Microsoft® Internet Explorer 3.0, and in script as of Internet Explorer 4.0.

Members

THEAD Members

Styles

THEAD Styles

Example

This example uses the TFOOT element with the TABLE, TBODY, TD, and TR objects to create a table with the first row in the table header and the second row in the table body.

<TABLE>
<THEAD>
<TR>
<TD>
This text is in the table header.
</TD>
</TR>
</THEAD>
<TBODY>
<TR>
<TD>
This text is in the table body.
</TD>
</TR>
</TBODY>
</TABLE>


TITLE Element | title Object

Contains the title of the document.

HTML Syntax

<TITLE
    ID=value
    TITLE=string
>

Remarks

This element can be used only within the HEAD element. Any text between the opening and closing TITLE tags displays in the browser title bar and in the Microsoft® Windows® taskbar. In Web pages, "Microsoft Internet Explorer" is appended to the title. In HTML Applications, by contrast, only the specified title appears.

The TITLE element is a block element and requires a closing tag.

This element is available in HTML as of Internet Explorer 3.0, and in script as of Internet Explorer 4.0.

Members

TITLE Members

Styles

TITLE Styles

Example

This example uses the TITLE element to specify a title for the document.

<HEAD>
<TITLE>"Welcome to Internet Explorer!"</TITLE>
</HEAD>

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
document


TR Element | TR Object

Specifies a row in a table.

HTML Syntax

<TR
    ALIGN=CENTER | LEFT | RIGHT
    BGCOLOR=color
    BORDERCOLOR=color
    BORDERCOLORDARK=color
    BORDERCOLORLIGHT=color
    CLASS=classname
    HEIGHT=height
    ID=value
    LANG=language
    LANGUAGE=JAVASCRIPT | JSCRIPT | VBSCRIPT  | VBS
    STYLE=css1-properties
    TITLE=text
    VALIGN=BASELINE | BOTTOM | CENTER | TOP
    WIDTH=width
    event = script
>

Remarks

The TD and TH tags are valid within a row.

The TR element does not explicitly support the HEIGHT attribute. To achieve the same effect, use the cascading style sheets (CSS) height attribute.

To change the HTML in the TR element, use the table object model. For example, use the rowIndex property or the rows collection to retrieve a reference to a specific table row. You can add or delete rows using the insertRow and deleteRow methods. To retrieve a reference to a specific cell, use the cellIndex property or the cells collection. You can add or delete rows using the insertCell and deleteCell methods. To change the content of a particular cell, use the innerHTML or innerText property.

The TR element is a block element and requires a closing tag.

This element is available in HTML as of Microsoft® Internet Explorer 3.0, and in script as of Internet Explorer 4.0.

Members

TR Members

Styles

TR Styles

Example

The following examples show how to create a table row in HTML and script.

Sample Code

This example uses the TR element with the TABLE, TD, and TR objects to create a table with two rows.

<TABLE>
<TR>
<TD>This is the first row.</TD>
</TR>
<TR>
<TD>This is the second row.</TD>
</TR>
</TABLE>

This example uses the table object model to dynamically add two rows and two cells to a table when the user clicks a button.

<SCRIPT>
function createRows(){
   // insert two rows.
   var oRow1=oTable.insertRow(oTable.rows.length);
   var oRow2=oTable.insertRow(oTable.rows.length);

   // retrieve the rows collection for the table.
   var aRows=oTable.rows;

   // retrieve the cells collection for the first row.
   var aCells=oRow1.cells;

   // insert two cells into the first row.
   var oCell1_1=aRows(oRow1.rowIndex).insertCell(aCells.length);
   var oCell1_2=aRows(oRow1.rowIndex).insertCell(aCells.length);

   // retrieve the cells collection for the second row.
   aCells=oRow2.cells;

   // insert two cells into the second row.
   var oCell2_1=aRows(oRow2.rowIndex).insertCell(aCells.length);
   var oCell2_2=aRows(oRow2.rowIndex).insertCell(aCells.length);

   // Add regular HTML values to the 4 new cells.
   oCell1_1.innerHTML="<B>Cell 1.1!</B>";
   oCell1_2.innerHTML="<B>Cell 1.2!</B>";
   oCell2_1.innerHTML="<B>Cell 2.1!</B>";
   oCell2_2.innerHTML="<B>Cell 2.2!</B>";
}
</SCRIPT>
<INPUT TYPE="button" VALUE="Create Rows" onclick="createRows()">
<TABLE BORDER=1 ID="oTable">
</TABLE>

See Also

TABLE, borderCollapse


TT Element | TT Object

Renders text in a fixed-width font.

HTML Syntax

<TT
    CLASS=classname
    ID=value
    LANG=language
    LANGUAGE=JAVASCRIPT | JSCRIPT | VBSCRIPT  | VBS
    STYLE=css1-properties
    TITLE=text
    event = script
>

Remarks

The TT element is an inline element and requires a closing tag.

This element is available in HTML as of Microsoft® Internet Explorer 3.0, and in script as of Internet Explorer 4.0.

Members

TT Members

Styles

TT Styles

Example

This example uses the TT element to render text in a fix-width font.

<TT>Here's some plain text.</TT>

See Also

XMP


U Element | U Object

Renders text that is underlined.

HTML Syntax

<U
    CLASS=classname
    ID=value
    LANG=language
    LANGUAGE=JAVASCRIPT | JSCRIPT | VBSCRIPT  | VBS
    STYLE=css1-properties
    TITLE=text
    event = script
>

Remarks

The U element is an inline element and requires a closing tag.

This element is available in HTML as of Microsoft® Internet Explorer 3.0, and in script as of Internet Explorer 4.0.

Members

U Members

Styles

U Styles

Example

This example uses the U element to underline text.

<U>This text is underlined.</U>


UL Element | UL Object

Draws lines of text as a bulleted list.

HTML Syntax

<UL
    CLASS=classname
    ID=value
    LANG=language
    LANGUAGE=JAVASCRIPT | JSCRIPT | VBSCRIPT  | VBS
    STYLE=css1-properties
    TITLE=text
    TYPE=DISC | CIRCLE | SQUARE
    event = script
>

Remarks

The TYPE attribute sets the list type for all ensuing lists unless a different type value is set.

The UL element inherits its line-height from the height of the font attribute for the BODY. For example, if the font-size attribute for the BODY is larger than the font-size attribute for the UL element, the list items in the UL are spaced according to the font-size of the BODY.

The UL element is a block element and requires a closing tag.

This element is available in HTML as of Microsoft® Internet Explorer 3.0, and in script as of Internet Explorer 4.0.

Members

UL Members

Styles

UL Styles

Example

This example uses the UL element to create a bulleted list.

<UL>
<LI>This is the first bulleted item in the list.
<LI>And this is the second bulleted item in the list.
</UL>

See Also

LI


userProfile Object

Provides methods that allow a script to request read access to and perform read actions on a user's profile information.

Remarks

The script request is queued before reading or writing is performed. This simplifies user experience, because users are prompted only once for profile release permissions for a batch of requests.

This object is available in script as of Microsoft® Internet Explorer 4.0.

Members

userProfile Members

Example

This script example runs on the client and uses the userProfile object to read various values from the profile information.

// Queue a request for read access to multiple profile attributes.
navigator.userProfile.addReadRequest("vcard.displayname");
navigator.userProfile.addReadRequest("vcard.gender");

// Request access to the information.
navigator.userProfile.doReadRequest(usage-code, "Acme Corporation");

// Now perform read operations to access the information.
name = navigator.userProfile.getAttribute("vcard.displayname");
gender = navigator.userProfile.getAttribute("vcard.gender");

// The script can now use the 'name' and 'gender' variables
// to personalize content or to send information back to the server.

// Clear the request queue to prepare for future information requests.
navigator.userProfile.clearRequest();

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
clientInformation, navigator

See Also

profile assistant Internet Link


VAR Element | VAR Object

Renders text in a small fixed-width font.

HTML Syntax

<VAR
    CLASS=classname
    ID=value
    LANG=language
    LANGUAGE=JAVASCRIPT | JSCRIPT | VBSCRIPT  | VBS
    STYLE=css1-properties
    TITLE=text
    event = script
>

Remarks

The VAR element is an inline element and requires a closing tag.

This element is available in HTML as of Microsoft® Internet Explorer 3.0, and in script as of Internet Explorer 4.0.

Members

VAR Members

Styles

VAR Styles

Example

This example uses the VAR element to render the word "filename" in a small fixed-width font.

Enter the <VAR>filename</VAR> in the dialog box.


WBR Element | WBR Object

Inserts a soft line break into a block of NOBR text.

HTML Syntax

<WBR
   ID=value
 >

Remarks

The WBR element does not require a closing tag.

This element is available in HTML as of Microsoft® Internet Explorer 3.0, and in script as of Internet Explorer 4.0.

Members

WBR Members

Styles

WBR Styles

Example

This example uses the WBR element to create line breaks. In contrast, the NOBR element does not break lines.

<NOBR>This line of text will not break, no matter how narrow the window gets.</NOBR>
<NOBR>This one, however,<WBR> will break after the word "however,"
if the window gets small enough.</NOBR>

See Also

BR


XML Element | XML Object

Defines an xml data island Internet Link on an HTML page.

HTML Syntax

<XML
   ID = value
   NS = sNamespace
   PREFIX = sPrefix
   SRC = sUrl
   event  = script
></XML>

Remarks

The readyState property of the XML element, available as a string value, corresponds to the readystate Internet Link property of the xmldomdocument Internet Link object, which is available as a long value. The string values correspond to the long values of the XML document object's property as follows:

0 | uninitialized
1 | loading
2 | loaded
3 | interactive
4 | complete

Consider the following XML data island:

<XML ID=xmldoc SRC="123.xml"></XML>

Use the following two methods to check the value of the readyState property to determine whether the XML data island is completely downloaded.

  • This method uses the readyState property of the XML element:
    •   if (xmldoc.readyState == "complete")
      window.alert ("The XML document is ready.");
  • This method uses the readystate Internet Link property of the XMLDOMDocument object:
    •   if (xmldoc.XMLDocument.readyState == 4)
      window.alert ("The XML document is ready.");

The XML element requires a closing tag.

This element is available in HTML and script as of Microsoft® Internet Explorer 5.

Members

XML Members

Styles

A Styles

Example

This example uses the XML element to define a simple XML data island that can be embedded directly into an HTML page.

<XML ID="oMetaData">
  <METADATA>
     <AUTHOR>John Smith</AUTHOR>
     <GENERATOR>Visual Notepad</GENERATOR>
     <PAGETYPE>Reference</PAGETYPE>
     <ABSTRACT>Specifies a data island</ABSTRACT>
  </METADATA>
</XML>

This script example retrieves the text contained within the ABSTRACT field of the data island.

   var oNode = oMetaData.XMLDocument.selectSingleNode("METADATA/ABSTRACT");
   alert(oNode.text);


XMP Element | XMP Object

Renders text used for examples in a fixed-width font.

HTML Syntax

<XMP
    CLASS = classname
    ID = value
    LANG = language
    LANGUAGE = JAVASCRIPT | JSCRIPT | VBSCRIPT  | VBS
    STYLE = css1-properties
    TITLE = text
    event = script
>

Remarks

Use of this element is no longer recommended. Use the PRE or SAMP element instead.

Members

XMP Members

Styles

XMP Styles

See Also

TT


ACCESSKEY Attribute | accessKey Property

Sets or retrieves the accelerator key for the object.

Syntax

HTML | <ELEMENT ACCESSKEY = sAccessKey ... >
Scripting | object.accessKey [ = sAccessKey ]

Possible Values

sAccessKey String of characters that specify a key on an alphanumeric keyboard.

The property is read/write with no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

By default, the accessKey property sets focus to the object. The object receives focus when the user simultaneously presses the ALT key and the accelerator key assigned to an object. Some controls perform an action after receiving focus. For example, using accessKey on a button causes the onclick event to fire. By comparison, applying the accessKey on a radio button causes the onclick event to fire and toggles the checked property, visibly selecting or deselecting the control.

As of Internet Explorer 5, some scoped elements do not implicitly support the accessKey property. Instead, they support the property by setting the TABINDEX attribute to any valid negative or positive integer.

Example

This example uses the LABEL object and the accessKey property to set focus on a text box. The rich text support in the LABEL object makes it possible to underline the designated accessKey.

Sample Code

<LABEL FOR="fp1" ACCESSKEY="1">#<U>1</U>:
    Press Alt+1 to set focus to textbox</LABEL>
<INPUT TYPE="text" NAME="T1" VALUE=text1 SIZE="20"
    TABINDEX="1" ID="fp1">

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ACRONYM, ADDRESS, APPLET, AREA, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, custom, DD, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, Hn, HR, I, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, ISINDEX, KBD, LABEL, LEGEND, LI, LISTING, MARQUEE, MARQUEE, MENU, OBJECT, OL, P, PLAINTEXT, PRE, Q, RT, RUBY, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP


ACTION Attribute | action Property

Sets or retrieves the URL to which the FORM content is to be sent for processing.

Syntax

HTML | <FORM ACTION = sURL ... >
Scripting | form.action [ = sURL]

Possible Values

sURL String that specifies the URL to be used. If a relative path is specified, the base URL of the document is assumed.

The property is read/write with no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

The way the data is submitted depends on the value of the method and encoding properties.

Example

This example uses the ACTION attribute to post a form to a specified URL.

Sample Code

<HTML>
   <FORM ACTION="http://example.microsoft.com/sample.asp"
      METHOD="POST">
      Enter your name: <INPUT NAME="FName"><BR>
      Favorite Ice Cream Flavor:
      <SELECT NAME="Flavor">
         <OPTION VALUE="Chocolate">Chocolate
         <OPTION VALUE="Strawberry">Strawberry
         <OPTION VALUE="Vanilla" SELECTED>Vanilla
      </SELECT>
      <P><INPUT TYPE=SUBMIT>
   </FORM>
</HTML>

This example uses the ACTION attribute to specify a URL for the mailto protocol Internet Link.

Sample Code

<form ACTION="mailto:sales@widgets.com" method=GET>
  <input name=subject type=hidden
     value="Widget%20Product%20Information%20Request">
  Enter your full mailing address<BR>
  <TextArea name=body cols=40></textarea>
  <input type=submit value="Send Request"
</form>

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

FORM


active Pseudo-class

Sets the style of anchor when the link is engaged or active.

Syntax

HTML | [A]:active { attribute1:parameter1 [; attribute2:parameter2 [; . . .]] }
Scripting | N/A

Possible Values

attribute | Any attribute applicable to text.
parameter | Any of the range of values available to the corresponding attribute.

The default value is browser-specific.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

Active means that the user currently is navigating the link. The active pseudo-class is often used to set specific styles for the other states of a link: link, visited, and hover. Using pseudo-classes on objects other than the A object has no effect.

Example

This example uses the active pseudo-class to set the attributes of the active link.

Sample Code

A:active { font-weight:bold; color:purple }

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
HTML | A
Scripting | N/A


activeElement Property

Retrieves the object that has the focus.

Syntax

HTML | N/A
Scripting | [ oActive = ] document.activeElement

Possible Values

oActive Object that specifies the element that has the focus.

The property is read-only with no default value.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
document


ALIGN Attribute | align Property

Sets or retrieves how the object is aligned with adjacent text.

Syntax

HTML | <ELEMENT ALIGN = sAlign ... >
Scripting | object.align [ =sAlign ]

Possible Values

sAlign String that specifies one of the following values:
absbottom | Aligns the bottom of the object with the absolute bottom of the surrounding text. The absolute bottom is equal to the baseline of the text minus the height of the largest descender in the text.
absmiddle | Aligns the middle of the object with the middle of the surrounding text. The absolute middle is the midpoint between the absolute bottom and text top of the surrounding text.
baseline | Aligns the bottom of the object with the baseline of the surrounding text.
bottom | Aligns the bottom of the object with the bottom of the surrounding text. The bottom is equal to the baseline minus the standard height of a descender in the text.
left | Aligns the object to the left of the surrounding text. All preceding and subsequent text flows to the right of the object.
middle | Aligns the middle of the object with the surrounding text.
right | Aligns the object to the right of the surrounding text. All subsequent text flows to the left of the object.
texttop | Aligns the top of the object with the absolute top of the surrounding text. The absolute top is the baseline plus the height of the largest ascender in the text.
top | Aligns the top of the object with the top of the text. The top of the text is the baseline plus the standard height of an ascender in the text.

The property is read/write with a default value of left.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

For the INPUT object, this attribute applies only to the image type. It is undefined for all other types.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
APPLET, EMBED, FIELDSET, IFRAME, IMG, INPUT type=image, OBJECT, SELECT


ALIGN Attribute | align Property

Sets or retrieves the alignment of the caption or legend.

Syntax

HTML | <ELEMENT ALIGN = sAlign ... >
Scripting | object.align [ =sAlign ]

Possible Values

sAlign String that specifies one of the following values:
bottom | Aligns bottom-center.
center | Aligns center.
left | Aligns left.
right | Aligns right.
top | Aligns top-center.

The property is read/write with no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

The LEGEND tag is used only within a FIELDSET tag. The contents of the LEGEND tag are displayed by overwriting the information in the top border of the FIELDSET.

The CAPTION tag is used only within a TABLE tag. Its contents are displayed centered above the table and do not interact at all with the table border.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

CAPTION, LEGEND


ALIGN Attribute | align Property

Sets or retrieves the table alignment.

Syntax

HTML | <TABLE ALIGN = sAlign ... >
Scripting | table.align [ =sAlign]

Possible Values

sAlign String that specifies one of the following values:
left | Aligns to the left edge.
center | Aligns to the center.
right | Aligns to the right edge.

The property is read/write with a default value of left.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

TABLE


ALIGN Attribute | align Property

Sets or retrieves the alignment of the object relative to the display or table.

Syntax

HTML | <ELEMENT ALIGN = sAlign ... >
Scripting | object.align [ =sAlign ]

Possible Values

sAlign String that specifies one of the following values:
center | Aligns to the center.
justify | Aligns to the left and right edge.
left | Aligns to the left edge.
right | Aligns to the right edge.

The property is read/write with a default value of left.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

The default value for the TH element is center.

The justify possible value is available only for the DIV, Hn, and P elements.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

COL, COLGROUP, DIV, Hn, HR, P, TBODY, TD, TFOOT, TH, THEAD, TR


ALINK Attribute | aLink Property

Sets or retrieves the color of all active links in the element.

Syntax

HTML | <BODY ALINK = sColor ... >
Scripting | body.aLink [ =sColor]

Possible Values

sColor String that specifies one of the color names or hexadecimal color values in the Color Table.

The property is read/write with no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

Some browsers do not recognize color names, but all browsers should recognize red-green-blue (RGB) color values and display them correctly.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
BODY

See Also

link, vLink


aLinkColor Property

Sets or retrieves the color of all active links in the document.

Syntax

HTML | N/A
Scripting | document.aLinkColor [ =sColor ]

Possible Values

sColor String that specifies one of the color names or red-green-blue (RGB) values in the Color Table.

The property is read/write with a default value of #0000ff.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

Some browsers do not recognize color names, but all browsers should recognize and correctly display red-green-blue (RGB) color values.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
document

See Also

linkColor, vlinkColor


ALT Attribute | alt Property

Sets or retrieves a text alternative to the graphic.

Syntax

HTML | <ELEMENT ALT = sTxt ... >
Scripting | object.alt [ = sTxt ]

Possible Values

sTxt String that specifies the text to display as an alternative to the graphic.

The property is read/write with no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

The text is used to replace the graphic for text-only browsers, to display in the window before the graphic has loaded, and to act as a ToolTip when the user hovers the mouse over the graphic.

Example

This example uses the ALT attribute to indicate that the icon displayed denotes a read/write property.

Sample Code

<IMG SRC="http://example.microsoft.com/rw.gif" ALT="Read/Write Property">

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

AREA, IMG


altHTML Property

Sets or retrieves the optional alternative HTML script to execute if the object fails to load.

Syntax

HTML | N/A
Scripting | object.altHTML [ =sHTMLCode ]

Possible Values

sHTMLCode String that specifies alternative HTML code to execute.

The property is read/write with no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
HTML | N/A
Scripting | APPLET, OBJECT


altKey Property

Retrieves the state of the ALT key.

Syntax

HTML | N/A
Scripting | [ bAltKeyDown= ] event.altKey

Possible Values

bAltKeyDown Boolean that specifies one of the following values:
false | ALT key is not pressed.
true | ALT key is pressed.

The property is read-only with no default value.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
HTML | N/A
Scripting | event


appCodeName Property

Retrieves the code name of the browser.

Syntax

HTML | N/A
Scripting | [ sCodeName= ] navigator.appCodeName

Possible Values

sCodeName String that specifies the browser's code name, or the following value:
Mozilla Returned by Internet Explorer and Netscape Navigator.

The property is read-only with a default value of Mozilla.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
clientInformation, navigator

See Also

appMinorVersion, appName, appVersion, userAgent


appMinorVersion Property

Retrieves the application's minor version value.

Syntax

HTML | N/A
Scripting | [ iMinorVersion= ] navigator.appMinorVersion

Possible Values

iMinorVersion Integer that specifies the browser's minor version.

The property is read-only with a default value of 0.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
clientInformation, navigator

See Also

appCodeName, appName, appVersion, userAgent


appName Property

Retrieves the name of the browser.

Syntax

HTML | N/A
Scripting | [ sAppName= ] navigator.appName

Possible Values

sAppName String that specifies one of the following values:
Microsoft Internet Explorer | Returned by Internet Explorer.
Netscape | Returned by Netscape Navigator.

The property is read-only with a default value of Microsoft Internet Explorer, or as specified by other browsers.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
clientInformation, navigator

See Also

appCodeName, appMinorVersion, appVersion, userAgent


appVersion Property

Retrieves the platform and version of the browser.

Syntax

HTML | N/A
Scripting | [ sVersion = ] navigator.appVersion

Possible Values

sVersion String that specifies information about the browser's platform and version.

The property is read-only with a default value specified by the browser.

Remarks

The appVersion property returns a value based on the browser name, browser version, and platform. This syntax shows the format of the returned value.

4.0 (compatible; MSIE 4.01; Windows 95)

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
clientInformation, navigator

See Also

appCodeName, appMinorVersion, appName, userAgent


AUTOCOMPLETE Attribute | autocomplete Property

Sets or retrieves the status of AutoComplete for the object.

Syntax

HTML | <ELEMENT AUTOCOMPLETE = sDisabled ...>
Scripting | object.autocomplete [ = sDisabled ]

Possible Values

sDisabled String that specifies one of the following values:
off | AutoComplete is disabled.
on | AutoComplete is enabled. Any string other than off enables AutoComplete.

The attribute has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

The AutoComplete feature is highlighted in the autocomplete in html forms Internet Link overview.

When AutoComplete is enabled, suggestions are provided for the VALUE of a text field. Suggested values are mapped values based on the NAME attribute or vCard schema specified by the VCARD_NAME attribute.

If AutoComplete is disabled, values are not stored and suggested values are not presented.

While PASSWORD values can be mapped for AutoComplete, the ability to store this information can be disabled in the browser, and the user is prompted for a confirmation before the value is stored.

Information provided by the AutoComplete feature is not exposed to the object model, and is not visible to a Web page until the user selects one of the suggestions as a value for the text field.

This attribute is not supported in html applications Internet Link.

Example

This example uses the AUTOCOMPLETE attribute to disable the AutoComplete feature.

<INPUT TYPE="password" AUTOCOMPLETE="off">

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
INPUT type=password, INPUT type=text, FORM


availHeight Property

Retrieves the height of the working area of the system's screen, excluding the Microsoft® Windows® taskbar.

Syntax

HTML | N/A
Scripting | [ iHeight= ] screen.availHeight

Possible Values

iHeight Integer that specifies the available screen height, in pixels.

The property is read-only with no default value.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
HTML | N/A
Scripting | screen

See Also

height


availWidth Property

Retrieves the width of the working area of the system's screen, excluding the Microsoft® Windows® taskbar.

Syntax

HTML | N/A
Scripting | [ iWidth= ] screen.availWidth

Possible Values

iWidth Integer that specifies the available screen width, in pixels.

The property is read-only with no default value.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
HTML | N/A
Scripting | screen

See Also

width


background Attribute | background Property

Sets or retrieves up to five separate background properties of the object.

Syntax

HTML | { background: sBackground }
Scripting | object.style.background [ = sBackground ]

Possible Values

sBackground String that specifies up to five of the following space-delimited values, in any order:
color | Any of the range of color values available to the backgroundColor property.
image | Any of the range of image values available to the backgroundImage property.
repeat | Any of the range of repeat values available to the backgroundRepeat property.
attachment | Any of the range of attachment values available to the backgroundAttachment property.
position | Any of the range of position values available to the backgroundPosition property.

The property is read/write with a default value of transparent none repeat scroll 0% 0%. The cascading style sheets (CSS) attribute is not inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

The background property is a composite property. Separate properties can be used to specify each of the individual properties, but in many cases it is more convenient to set them in one place using this composite property.

Individual background properties not set by the composite background property are set to their default values. For example, the default value for image is none. Setting background: white is equivalent to setting background: white none repeat scroll 0% 0%. So, in addition to setting the background color to white, setting background: white clears any image, repeat, attachment, or position values previously set.

The background properties render in the object's content and padding; however, borders are set using the border properties.

In Microsoft® Internet Explorer 3.0, elements that expose the background property only support the color and image values; the attachment value is only supported by the BODY, TABLE, and TD elements. In block elements, such as P and DIV, background images and colors appear only behind text in Internet Explorer 3.0; in Internet Explorer 4.0 and later, backgrounds stretch from margin to margin when used with block elements.

Although objects do not inherit the background property, the background image or color of an object's parent appears behind an object if a background is not specified.

For more information about supported colors, see the Color Table.

Example

The following examples use the background property and the background attribute to set the background values.

This example uses inline event handlers to modify the background-color and background-position attributes of an image. These attributes are specified in an embedded style sheet using the background attribute.

Sample Code

<STYLE>
.style1{background:beige url(sphere.jpg) no-repeat top center}
.style2{background:ivory url(sphere.jpeg) no-repeat bottom right}
</STYLE>
</HEAD>
<BODY>
<SPAN onmouseover="this.className='style1'"
    onmouseout="this.className='style2'">
. . .  </SPAN>

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

This example uses inline scripting to modify the backgroundColor and backgroundPosition properties of an image.

<SPAN onclick="this.style.background='beige url(sphere.jpeg)
  no-repeat top center'">
. . . </SPAN>

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ADDRESS, B, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, custom, DD, DFN, DIR, DIV, DL, DT, EM, FIELDSET, FORM, Hn, HTML, I, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, ISINDEX, KBD, LABEL, LEGEND, LI, LISTING, MARQUEE, MENU, OL, P, PLAINTEXT, PRE, runtimeStyle, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP


BACKGROUND Attribute | background Property

Sets or retrieves the background picture tiled behind the text and graphics on the page.

Syntax

HTML | <BODY BACKGROUND = sURL ... >
Scripting | body.background [ =sURL ]

Possible Values

sURL String that specifies the URL of the file to be used as the background picture for the page.

The property is read/write with no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
BODY


BACKGROUND Attribute | background Property

Sets or retrieves the background picture tiled behind the text and graphics in the object.

Syntax

HTML | <ELEMENT BACKGROUND = sURL ... >
Scripting | object.background [ =sURL ]

Possible Values

sURL String that specifies the URL of the file to be used as the background picture.

The property is read/write with no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

TABLE, TD, TH


background-attachment Attribute | backgroundAttachment Property

Sets or retrieves how the background image is attached to the object within the document.

Syntax

HTML | { background-attachment: sAttachment }
Scripting | object.style.backgroundAttachment [ = sAttachment ]

Possible Values

sAttachment String that specifies one of the following values:
scroll | Background image scrolls with the object as the document is scrolled.
fixed | Background image stays fixed within the viewable area of the object.

The property is read/write with a default value of scroll; the cascading style sheets (CSS) attribute is not inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

This property can be set with the other background properties by using the background composite property.

Microsoft® Internet Explorer 3.0 supports the background-attachment attribute, but only when it's set by using the background attribute.

Example

The following examples use the background-attachment attribute and the backgroundAttachment property to set the background to "fixed", so that the background does not scroll with the text.

This example uses an inline style sheet to set the background to fixed.

Sample Code

<STYLE >
    BODY { background-attachment:fixed }
</STYLE>
</HEAD>
<BODY background="some.jpg">

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

This example uses inline scripting to set the background to fixed.

<BODY ID="oBdy" background="marble05.jpg"
onload="oBdy.style.backgroundAttachment = 'fixed'">

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
BODY, currentStyle, HTML, runtimeStyle, style


background-color Attribute | backgroundColor Property

Sets or retrieves the color behind the content of the object.

Syntax

HTML | { background-color: sColor }
Scripting | object.style.backgroundColor [ = sColor ]

Possible Values

sColor String that specifies one of the following values:
transparent | Color of the next parent object through which the background is visible.
color | Any color value, including those specified in the Color Table.

The property is read/write with a default value of transparent; the cascading style sheets (CSS) attribute is not inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

This property can be set with the other background properties by using the background composite property.

Internet Explorer 3.0 supports the background-color attribute, but only when it's set by using the background attribute.

Windows CE

In Microsoft® Windows® CE, specifying a value for the backgroundColor property of the OPTION element when applied through the style object has no effect.

Example

The following examples use the background-color attribute and the backgroundColor property to specify the background color.

This example uses an inline style sheet to set the background color to beige.

Sample Code

<SPAN STYLE="font-size:14; background-color:beige">
. . . </SPAN>

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

This example uses inline scripting to set the background color to beige.

<SPAN onmouseover="this.style.backgroundColor='beige'">
. . . </SPAN>

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ADDRESS, B, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, currentStyle, custom, DD, DFN, DIR, DIV, DL, DT, EM, FIELDSET, FORM, Hn, HTML, I, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, ISINDEX, KBD, LABEL, LEGEND, LI, LISTING, MARQUEE, MENU, OL, OPTION, P, PLAINTEXT, PRE, runtimeStyle, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP


background-image Attribute | backgroundImage Property

Sets or retrieves the background image of the object.

Syntax

HTML | { background-image: sLocation }
Scripting | object.style.backgroundImage [ = sLocation ]

Possible Values

sLocation String that specifies one of the following values:
none | Color of the next parent through which the background is visible.
url(sUrl) | Location of the background image, where sUrl is an absolute or relative URL.

The property is read/write with a default value of none; the cascading style sheets (CSS) attribute is not inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

The URL identifies the image file. When setting a background image, you can set a background color to be used when the image is unavailable. When the image is available, it overlays the background color.

This property may be set with other background properties by using the background composite property.

Internet Explorer 3.0 supports the background-image attribute, but only when it's set through the background attribute.

Example

The following examples use the background-image attribute and the backgroundImage property to specify the background's image.

This example uses a call to an embedded (global) style sheet to show and hide the background image.

Sample Code

<STYLE>
    .setUrl  { background-image: url(sphere.jpg) }
    .loseUrl { background-image: url(none) }
</STYLE>
</HEAD>
<BODY>
<SPAN STYLE="font-size:14" onmouseover="this.className='setUrl'"
    onmouseout="this.className='loseUrl'">
. . . </SPAN>

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

This example uses inline scripting to show and hide the background image.

<SPAN onmouseover="this.style.backgroundImage='url(sphere.jpeg)'">
. . . </SPAN>

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ADDRESS, B, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, currentStyle, custom, DD, DFN, DIR, DIV, DL, DT, EM, FIELDSET, FORM, Hn, HTML, I, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, ISINDEX, KBD, LABEL, LEGEND, LI, LISTING, MARQUEE, MENU, OL, P, PLAINTEXT, PRE, runtimeStyle, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP


background-position Attribute | backgroundPosition Property

Sets or retrieves the position of the background of the element.

Syntax

HTML | { background-position: sPosition }
Scripting | object.style.backgroundPosition [ = sPosition ]

Possible Values

sPosition String that specifies one or two of the following values:
length | Floating-point number, followed by an absolute units designator (cm, mm, in, pt, pc, or px) or a relative units designator (em or ex). For more information about the supported length units, see CSS Length Units.
percentage | Integer, followed by a %. The value is a percentage of the width or height of the object.
vAlignment | Vertical alignment value consisting of one of the following:
top | Vertical alignment is at the top.
center | Vertical alignment is centered.
bottom | Vertical alignment is at the bottom.
hAlignment | Horizontal alignment value consisting of one of the following:
left | Horizontal alignment is to the left.
center | Horizontal alignment is centered.
right | Horizontal alignment is to the right.

The property is read/write with a default value of 0% 0%; the cascading style sheets (CSS) attribute is not inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

If only one value is set, that value applies to the horizontal coordinate, and the vertical is set to 50%. If both values are set, the first value applies to the horizontal coordinate and the second value applies to the vertical.

Setting the values to 0% 0% positions the background-image to the upper left corner of the element's content excluding the padding.

Specifying right center has the following effect: Because right is assumed to be an x-coordinate direction, right will overwrite the center value; the background shifts right accordingly.

This property may be set together with the other background properties using the background composite property.

Example

The following examples use the background-position attribute and the backgroundPosition property to specify the position of a background image.

This example uses a call to an embedded (global) style sheet to move the sphere.

Sample Code

<STYLE>
    .style1 { background-position:top center }
    .style2 { background-position:bottom right }
</STYLE>
</HEAD>
<BODY onload="oSpan.className='style1'">
<SPAN STYLE="font-size:14; width:250;" ID="oSpan"
    onmouseover="this.className='style2'" onmouseout="this.className='style1'">
. . . </SPAN>

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

This example uses an inline style to move the sphere.

<SPAN onmouseover="this.style.backgroundPosition='bottom right'">

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ADDRESS, B, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, custom, DD, DFN, DIR, DIV, DL, DT, EM, FIELDSET, FORM, Hn, HTML, I, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, ISINDEX, KBD, LABEL, LEGEND, LI, LISTING, MARQUEE, MENU, OL, P, PLAINTEXT, PRE, runtimeStyle, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP


backgroundPositionX Property

Sets or retrieves the x-coordinate of the backgroundPosition property.

Syntax

HTML | N/A
Scripting | object.style.backgroundPositionX [ =iPositionX ]

Possible Values

iPositionX Integer that specifies the x-coordinate.

The property is read/write with no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ACRONYM, ADDRESS, APPLET, AREA, B, BASE, BASEFONT, BIG, BLOCKQUOTE, BODY, BR, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, COMMENT, currentStyle, custom, DD, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, HEAD, Hn, HR, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LABEL, LEGEND, LI, LINK, LISTING, MAP, MARQUEE, MENU, META, NEXTID, NOBR, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, RT, RUBY, runtimeStyle, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TITLE, TR, TT, U, UL, VAR, XMP

See Also

backgroundPositionY


backgroundPositionY Property

Sets or retrieves the y-coordinate of the backgroundPosition property.

Syntax

HTML | N/A
Scripting | object.style.backgroundPositionY [ =iPositionY ]

Possible Values

iPositionY Integer that specifies the y-coordinate.

The property is read/write with no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ACRONYM, ADDRESS, APPLET, AREA, B, BASE, BASEFONT, BIG, BLOCKQUOTE, BODY, BR, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, COMMENT, currentStyle, custom, DD, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, HEAD, Hn, HR, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LABEL, LEGEND, LI, LINK, LISTING, MAP, MARQUEE, MENU, META, NEXTID, NOBR, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, RT, RUBY, runtimeStyle, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TITLE, TR, TT, U, UL, VAR, XMP

See Also

backgroundPositionX


background-repeat Attribute | backgroundRepeat Property

Sets or retrieves how the backgroundImage property of the object is tiled.

Syntax

HTML | { background-repeat: sRepeat }
Scripting | object.style.backgroundRepeat [ = sRepeat ]

Possible Values

sRepeat String that specifies one of the following values:
repeat | Image is repeated horizontally and vertically.
no-repeat | Image is not repeated.
repeat-x | Image is repeated horizontally.
repeat-y | Image is repeated vertically.

The property is read/write with a default value of repeat; the cascading style sheets (CSS) attribute is not inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

The repeat-x and repeat-y values make the image repeat horizontally and vertically, respectively, creating a single band of images from one side to the other.

This property can be set with other background properties by using the background composite property.

Example

The following examples use the background-repeat attribute and the backgroundRepeat property to specify whether the background image is tiled.

This example uses a call to an embedded (global) style sheet to tile the image.

Sample Code

<STYLE>
    .style1 { background-image:url(sphere.jpg);
        background-repeat:repeat }
    .style2 { background-image:url(sphere.jpeg);
        background-repeat:no-repeat }
</STYLE>
</HEAD>
<BODY>
<SPAN onmouseover="this.className='style1'"
onmouseout="this.className='style2'" onclick="this.className=''">
. . . </SPAN>

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

This example shows how to use inline scripting to tile the image.

<SPAN onmouseover="this.style.backgroundImage='url(sphere.jpeg)';
this.style.backgroundRepeat='repeat'">
:
</SPAN>

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ADDRESS, B, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, currentStyle, custom, DD, DFN, DIR, DIV, DL, DT, EM, FIELDSET, FORM, Hn, HTML, I, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, ISINDEX, KBD, LABEL, LEGEND, LI, LISTING, MARQUEE, MENU, OL, P, PLAINTEXT, PRE, runtimeStyle, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP


BALANCE Attribute | balance Property

Retrieves the value indicating how the volume of the background sound is divided between the left and right speakers.

Syntax

HTML | <BGSOUND BALANCE = iBalance ... >
Scripting | [ iBalance= ] bgsound.balance

Possible Values

iBalance Integer that specifies a value within the -10,000 to +10,000 range. A -10,000 value indicates that all sound is directed to the left speaker. A +10,000 value indicates that all sound is directed to the right speaker. A 0 value indicates that the sound is balanced between the left and right speakers.

The property is read-only with a default value of 0.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
BGSOUND


BEHAVIOR Attribute | behavior Property

Sets or retrieves how the text scrolls in the marquee.

Syntax

HTML | <MARQUEE BEHAVIOR = sScroll ... >
Scripting | marquee.behavior [ = sScroll ]

Possible Values

sScroll String that specifies one of the following values:
scroll | Marquee scrolls in the direction specified by the direction property. The text scrolls off the end and starts over.
alternate | Marquee's scroll direction reverses when its content reaches the edge of the container.
slide | Marquee scrolls in the direction specified by the direction property. The text scrolls to the end and stops.

The property is read/write with a default value of scroll.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Example

This example moves a piece of text down the page using a MARQUEE object.

Sample Code

<MARQUEE loop=1 height=200  width=740
         style="position:absolute; top:0; left:10"
         SCROLLAMOUNT=10 SCROLLDELAY=20 BEHAVIOR="SLIDE" DIRECTION="DOWN">
<UL>
  Use Dynamic HTML to differentiate your content and create
  compelling Web sites
</UL>
</MARQUEE>

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
MARQUEE

See Also

how to fly text Internet Link


behavior Attribute | behavior Property

Sets or retrieves the location of the dynamic html (dhtml) behavior Internet Link.

Syntax

HTML | { behavior : sBehavior }
Scripting | object.style.behavior [ = sBehavior ]

Possible Values

sBehavior String that specifies one of the following values:
url(sLocation) | Script implementation of a DHTML behavior, where sLocation is an absolute or relative URL.
url(#objID) | Binary implementation of a DHTML behavior, where objID is the ID attribute specified in an OBJECT tag.
url(#default#behaviorName) | One of Internet Explorer's default behaviors, identified by its behaviorName.

The property is read/write with no default value; the proposed cascading style sheets (CSS) extension attribute is not inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

You can apply multiple behaviors to an element by specifying a space-delimited list of URLs for the behavior attribute, as shown in the following syntax:

<ELEMENT STYLE="behavior:url(a1.htc) url(a2.htc) ..." >

In the following Example section, one example demonstrates how two behaviors can be applied to an element to achieve a combination of effects. Conflicts resulting from applying multiple behaviors to an element are resolved based on the order in which the behavior is applied to the element. Each succeeding behavior takes precedence over the previous behavior in the order. For example, if multiple behaviors set the element's color, the prevailing color is the one set by the behavior last applied to the element. The same rule applies in resolving name conflicts, such as with property, method, or event names exposed by multiple behaviors.

Once the behavior property has been defined for the element, the addBehavior method can be used to dynamically attach additional behaviors to the element.

Note A behavior attached to an element by using the addBehavior method or by applying the proposed CSS behavior attribute inline is not automatically detached from the element when the element is removed from the document hierarchy. However, a behavior attached using a style rule defined in the document is detached automatically as the element is removed from the document tree.

Example

The following examples demonstrate various ways of applying the behavior property on a page.

Sample Code

This example implements an expanding/collapsing table of contents by applying the behavior as an inline style to the LI element. In this particular case, two behaviors implemented as HTML Components (HTC) have been applied to the element to achieve a combination of mouseover highlighting and expanding/collapsing effects.

<UL>
  <LI STYLE="behavior:url(ul.htc) url(hilite.htc)">HTML</LI>
  <UL>
      <LI>IE 4.0 authoring tips</LI>
      :
  </UL>
</UL>

This same example defines the behavior attribute in a separate <STYLE> block.

<style>
   .CollapsingAndHiliting {behavior:url(ul.htc) url(hilite.htc)}
</style>

<UL>
  <LI CLASS="CollapsingAndHiliting">HTML</LI>
  <UL>
      <LI>IE 4.0 authoring tips</LI>
      :
  </UL>
</UL>

This example sets the behavior property in script.

<SCRIPT>
   function window.onload()
   {
      idTopic1.style.behavior = "url(ul.htc) url(hilite.htc)";
   }
</SCRIPT>
 :
<UL>
  <LI ID=idTopic1>HTML Authoring</LI>
  <UL>
      <LI>IE 4.0 authoring tips</LI>
      :
  </UL>
</UL>
This feature requires Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

If the same expanding/collapsing example were to use a DHTML behavior implemented in C++ as an ActiveX® control, the code would look slightly different. In this example, the behavior attribute points to the ID property of the object specified in the <OBJECT> tag.

<STYLE>
   .Collapsing { behavior:url(#myObject) }
</STYLE>

<OBJECT ID=myObject ... ></OBJECT>
<UL>
  <LI CLASS="Collapsing">HTML Authoring</LI>
  <UL>
      <LI>IE 4.0 authoring tips</LI>
      :
  </UL>
</UL>

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ACRONYM, ADDRESS, APPLET, AREA, B, BASE, BASEFONT, BGSOUND, BIG, BLOCKQUOTE, BODY, BR, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, COMMENT, custom, DD, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, HEAD, Hn, HR, HTML, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, ISINDEX, KBD, LABEL, LEGEND, LI, LINK, LISTING, MAP, MARQUEE, MENU, NEXTID, NOBR, NOFRAMES, NOSCRIPT, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, RT, RUBY, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, STYLE, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TITLE, TR, TT, U, UL, VAR, WBR, XML, XMP

See Also

using dhtml behaviors Internet Link


BGCOLOR Attribute | bgColor Property

Sets or retrieves the background color behind the object.

Syntax

HTML | <ELEMENT BGCOLOR = sColor ... >
Scripting | object.bgColor [ =sColor ]

Possible Values

sColor String that specifies one of the color names or red-green-blue (RGB) values in the Color Table.

The property is read/write. The default value is determined by the browser.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

Some browsers do not recognize color names, but all browsers should recognize RGB color values and display them correctly.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
BODY, document, MARQUEE, TABLE, TBODY, TD, TFOOT, TH, THEAD, TR

See Also

bgColor


BGCOLOR Attribute

Sets or retrieves the background color behind the element.

Syntax

HTML | <ELEMENT BGCOLOR = sColor ... >
Scripting | N/A

Possible Values

sColor String that specifies one of the color names or red-green-blue (RGB) values in the Color Table.

The default value is determined by the browser.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

JScript® (compatible with ECMA 262 language specification) supports the entire set of colors as color names and as their corresponding RGB values. However, JScript always returns the property as a string specifying the RGB color value, regardless of the format the value was set to.

Some browsers do not recognize color names, but all browsers should recognize RGB color values and display them correctly.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
COL, COLGROUP

See Also

background, bgColor


BGPROPERTIES Attribute | bgProperties Property

Sets or retrieves the properties of the background picture.

Syntax

HTML | <BODY BGPROPERTIES = sProperties ... >
Scripting | body.bgProperties [ = sProperties ]

Possible Values

sProperties String that specifies one of the following values:
"" Background can scroll.
fixed Background is fixed and cannot scroll.

The property is read/write with a default value of an empty string ("").

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

The property, for example, specifies whether the picture is a fixed watermark or scrolls with the page. This attribute/property is supported only by Internet Explorer.

Example

This example uses a fixed background image for the page.

Sample Code

<BODY BACKGROUND="/ie/images/watermrk.gif" BGPROPERTIES="fixed"
BGCOLOR=#FFFFFF TEXT=#000000 LINK=#ff6600 VLINK=#330099>

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

BODY

See Also

background


border Attribute | border Property

Sets or retrieves the properties to be drawn around the object.

Syntax

HTML | { border: sBorder }
Scripting | object.style.border [ = sBorder] ]

Possible Values

sBorder String that specifies one or more of the following space-delimited values:
width | Any of the range of width values available to the borderWidth property.
style | Any of the range of style values available to the borderStyle property.
color | Any of the range of color values available to the borderColor property.

The property is read/write with a default value of medium none; the cascading style sheets (CSS) attribute is not inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

The border property is a composite property that sets the width, style, and color values for all four sides of an object.

You must specify a style when specifying a width and/or color; otherwise, the border does not render.

All individual border properties not set by the composite border property are set to their default values. For example, the default value for width is medium.

The setting border=thin is identical to border=thin none; the default value for the border color is the same as the text color if one is not initially set. So, not only does the property set width to thin, it also clears any style or color values previously set.

Setting a border to zero or omitting the attribute causes no border to be displayed. Supplying the border attribute without a value defaults to a single border.

To use this property, inline elements must have an absolute position or layout. Element layout is set by providing a value for the height property or the width property.

If a color is not specified, the text color is used.

For more information about supported colors, see the Color Table.

Example

The following examples use the border attribute and the border property to specify the composite border properties.

This example uses a call to an embedded (global) style sheet to modify the border attribute.

Sample Code

<HEAD>
<STYLE>
    .applyBorder { border:0.2cm groove orange }
    .removeBorder { border:none }
</STYLE>
</HEAD>
<BODY>
<TABLE BORDER>
<TR>
    <TD onmouseover="this.className='applyBorder'"
        onmouseout="this.className='removeBorder'">
    <IMG src="sphere.jpg"></TD>
</TR>
</TABLE>

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

This example uses inline scripting to modify the border property.

<TD onmouseover="this.style.border='0.2cm groove pink'">

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, custom, DD, DIR, DIV, DL, DT, EMBED, FIELDSET, FORM, Hn, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, ISINDEX, LI, LISTING, MARQUEE, MENU, OBJECT, OL, P, PLAINTEXT, PRE, runtimeStyle, SPAN, style, TABLE, TD, TEXTAREA, TH, UL, XMP


BORDER Attribute | border Property

Sets or retrieves the space between the frames, including the 3-D border.

Syntax

HTML | <FRAMESET BORDER = iSpace ... >
Scripting | frameset.border [ =iSpace ]

Possible Values

iSpace Integer that specifies the number of pixels to reserve as space between frames.

The property is read/write with no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

The border can be set only on an outermost FRAMESET tag. Setting a border for an inner FRAMESET is ignored, even if a border is not defined on the outermost FRAMESET.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

FRAMESET


BORDER Attribute | border Property

Sets or retrieves the width of the border to be drawn around the object.

Syntax

HTML | <ELEMENT BORDER =iBorder ... >
Scripting | object.border [ =iBorder ]

Possible Values

iBorder Integer that specifies the number of pixels in the object's border.

The property is read/write with no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

Setting a border to zero or omitting the attribute causes no border to be displayed. Supplying the BORDER attribute without a value defaults to a single border.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

IMG, TABLE

See Also

borderColor, borderColorDark, borderColorLight, hspace, vspace


border-bottom Attribute | borderBottom Property

Sets or retrieves the properties of the bottom border of the object.

Syntax

HTML | { border-bottom: sBottom }
Scripting | object.style.borderBottom [ = sBottom ]

Possible Values

sBottom String that specifies one or more of the following space-delimited values:
width | Any of the range of width values available to the borderBottomWidth property.
style | Any of the range of style values available to the borderBottomStyle property.
color | Any of the range of color values available to the borderBottomColor property.

The property is read/write with a default value of medium none; the cascading style sheets (CSS) attribute is not inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

The borderBottom property is a composite property that sets the width, color, and style values for the bottom border of an object.

All individual border properties not set by the composite borderBottom property are set to their default values. For example, the default value for width is medium.

To use this property, inline elements must have an absolute position or layout. Element layout is set by providing a value for the height property or the width property.

If a color is not specified, the text color is used.

For more information about supported colors, see the Color Table.

Example

The following examples use the borderBottom property and the border-bottom attribute to specify the various properties for the bottom border.

This example uses a call to an embedded (global) style sheet to change the attributes of the bottom border.

Sample Code

<HEAD>
<STYLE>
    TD 	{ border-bottom:0.5cm solid yellow }
    .change { border-bottom:0.5cm groove pink }
</STYLE>
</HEAD>
<BODY>
<TABLE>
<TR>
<TD onmouseover="this.className='change'"
    onmouseout="this.className=''"><IMG src="sphere.jpg"></TD>
</TR>
</TABLE>

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

This example uses inline scripting to change the bottom border.

<TD onmouseover="this.style.borderBottom='0.3cm groove yellow'">

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, custom, DD, DIR, DIV, DL, DT, EMBED, FIELDSET, FORM, Hn, HR, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, ISINDEX, LI, LISTING, MARQUEE, MENU, OBJECT, OL, P, PLAINTEXT, PRE, runtimeStyle, SPAN, style, TABLE, TD, TEXTAREA, TH, UL, XMP

See Also

border


border-bottom-color Attribute | borderBottomColor Property

Sets or retrieves the color of the bottom border of the object.

Syntax

HTML | { border-bottom-color: sColor }
Scripting | object.style.borderBottomColor [ = sColor ]

Possible Values

sColor String that specifies one of the color names or red-green-blue (RGB) values in the Color Table.

The property is read/write with a default value equal to the value of the color property; the cascading style sheets (CSS) attribute is not inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

To use this property, inline elements must have an absolute position or layout. Element layout is set by providing a value for the height property or the width property.

Some browsers do not recognize color names, but all browsers should recognize RGB color values and display them correctly.

Example

The following examples use the border-bottom-color attribute and the borderBottomColor property to specify the border color.

This example uses a call to an embedded (global) style sheet to change the color of the bottom border.

Sample Code

<HEAD>
<STYLE>
    TD { border-bottom-color: red;
         border-width: 0.5cm; border-style: groove}
    .blue { border-bottom-color: blue}
</STYLE>
</HEAD>
<BODY>
<TABLE BORDER>
<TR>
   TD onmouseover="this.className='blue'"
      onmouseout="this.className=''">
   <IMG src="sphere.jpg">
   </TD>
</TR>
</TABLE>

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

This example uses inline scripting to change the color of the bottom border.

<TD onmouseover="this.style.borderWidth='0.5cm';
    this.style.borderBottomColor='blue'">

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, currentStyle, custom, DD, DIR, DIV, DL, DT, EMBED, FIELDSET, FORM, Hn, HR, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, ISINDEX, LI, LISTING, MARQUEE, MENU, OBJECT, OL, P, PLAINTEXT, PRE, runtimeStyle, SPAN, style, TABLE, TD, TEXTAREA, TH, UL, XMP

See Also

currentStyle, border


border-bottom-style Attribute | borderBottomStyle Property

Sets or retrieves the style of the bottom border of the object.

Syntax

HTML | { border-bottom-style: sStyle }
Scripting | object.style.borderBottomStyle [ = sStyle ]

Possible Values

sStyle String that specifies one of the following values:
none | Border is not drawn, regardless of any border-width.
dotted | Border is a dotted line on the Macintosh platform as of Internet Explorer 4.01, and a solid line on the Windows and Unix platforms.
dashed | Border is a dashed line on the Macintosh platform as of Internet Explorer 4.01, and a solid line on the Windows and Unix platforms.
solid | Border is a solid line.
double | Border is a double line drawn on top of the background of the object. The sum of the two single lines and the space between equals the border-width value. The border width must be at least 3 pixels wide to draw a double border.
groove | 3-D groove is drawn in colors based on the value.
ridge | 3-D ridge is drawn in colors based on the value.
inset | 3-D inset is drawn in colors based on the value.
outset | 3-D outset is drawn in colors based on the value.

The property is read/write with a default value of none; the cascading style sheets (CSS) attribute is not inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

A border-width greater than 0 must be set for the border-bottom-style attribute to render.

To use this property, inline elements must have an absolute position or layout. Element layout is set by providing a value for the height property or the width property.

Example

The following examples use the border-bottom-style attribute and the borderBottomStyle property to specify the border style.

This example uses a call to an embedded style sheet to change the style of the bottom border to groove.

Sample Code

<HEAD>
<STYLE>
    TD { border-bottom-style:solid;
        border-width=0.3cm }
    .change { border-bottom-style:groove}
</STYLE>
</HEAD>
<BODY>
<TABLE BORDER>
<TR>
  <TD onmouseover="this.className='change'"
      onmouseout="this.className=''">
    <IMG src="sphere.jpg">
  </TD>
</TR>
</TABLE>

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

This example uses inline scripting to change the style of the bottom border to groove.

<TD onmouseover="this.style.borderWidth='0.5cm';
                 this.style.borderBottomStyle='groove'">

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, currentStyle, custom, DD, DIR, DIV, DL, DT, EMBED, FIELDSET, FORM, Hn, HR, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, ISINDEX, LI, LISTING, MARQUEE, MENU, OBJECT, OL, P, PLAINTEXT, PRE, runtimeStyle, SPAN, style, TABLE, TD, TEXTAREA, TH, UL, XMP

See Also

border


border-bottom-width Attribute | borderBottomWidth Property

Sets or retrieves the width of the bottom border of the object.

Syntax

HTML | { border-bottom-width: sWidth }
Scripting | object.style.borderBottomWidth [ = sWidth ]

Possible Values

sWidth String that specifies one of the following values:
medium | Default width.
thin | Less than the default width.
thick | Greater than the default width.
width | Floating-point number, followed by an absolute units designator (cm, mm, in, pt, pc, or px) or a relative units designator (em or ex). For more information about the supported length units, see CSS Length Units.

The property is read/write with a default value of medium; the cascading style sheets (CSS) attribute is not inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

To use this property, inline elements must either have an absolute position or layout. Element layout is set by providing a value for the height property or the width property.

The property is supported on block and replaced objects only.

Example

The following examples use the border-bottom-width attribute and the borderBottomWidth property to specify the border width.

This example uses a call to an embedded (global) style sheet to change the width of the bottom border to 1 centimeter when a mouse click occurs.

Sample Code

<HEAD>
<STYLE>
    TD { border-bottom-width:3mm }
    .changeborder1 { border-bottom-width:1cm }
</STYLE>
</HEAD>
<BODY>
<TABLE BORDER>
<TR>
    <TD onclick="this.className='changeborder1'"
        ondblclick="this.className=''">
        <IMG src="sphere.jpg">
    </TD>
</TR>
</TABLE>

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

This example uses inline scripting to change the width of the bottom border to 1 centimeter when a mouse click occurs.

<TD onclick="this.style.borderBottomWidth='1cm'">

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, currentStyle, custom, DD, DIR, DIV, DL, DT, EMBED, FIELDSET, FORM, Hn, HR, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, ISINDEX, LI, LISTING, MARQUEE, MENU, OBJECT, OL, P, PLAINTEXT, PRE, runtimeStyle, SPAN, style, TABLE, TD, TEXTAREA, TH, UL, XMP

See Also

border


border-collapse Attribute | borderCollapse Property

Sets or retrieves a value indicating whether the row and cell borders of a table are joined into a single border or detached as in standard HTML.

Syntax

HTML | { border-collapse : sCollapse }
Scripting | table.style.borderCollapse [ = sCollapse ]

Possible Values

sCollapse String that specifies one of the following values:
separate | Borders are detached (standard HTML).
collapse | Borders are collapsed, where adjacent, into a single border.

The property is read/write with a default value of separate; the cascading style sheets (CSS) attribute is not inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Example

This example demonstrates how to use the border-collapse attribute and the borderCollapse property to manipulate the border on a table.

Sample Code

<TABLE ID=oTable STYLE="border-collapse:collapse">
<TR><TD>EST</TD><TD>9:00 a.m.</TD></TR>
<TR><TD>CST</TD><TD>8:00 a.m.</TD></TR>
<TR><TD>PST</TD><TD>6:00 a.m.</TD></TR>
</TABLE>

<P>
<INPUT TYPE=button
   onclick="oTable.style.borderCollapse='separate'"
   VALUE="separate">
<INPUT TYPE=button
   onclick="oTable.style.borderCollapse='collapse'"
   VALUE="collapse">

This feature requires Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
TABLE

See Also

border


border-color Attribute | borderColor Property

Sets or retrieves the border color of the object.

Syntax

HTML | { border-color: sColor }
Scripting | object.style.borderColor [ = sColor ]

Possible Values

sColor String that specifies up to four color names or red-green-blue (RGB) values in the Color Table.

The property is read/write with a default value equal to the value of the color property; the cascading style sheets (CSS) attribute is not inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

Up to four different colors can be specified in the following order: top, right, bottom, left. If one color is supplied, it is used for all four sides. If two colors are supplied, the first is used for the top and bottom, and the second is used for left and right. If three colors are supplied, they are used for top, right and left, and bottom, respectively.

To use this property, inline elements must have an absolute position or layout. Element layout is set by providing a value for the height property or the width property.

The borderColor property does not render if the borderStyle property is set to none.

The property is supported on block and replaced objects only.

Some browsers do not recognize color names, but all browsers should recognize RGB color values and display them correctly.

Example

The following examples use the border-color attribute and the borderColor property to specify the border color.

This example uses a call to an embedded (global) style sheet to change the color of the border to blue from an initial value of red when the mouse moves over the image.

Sample Code

<HEAD>
<STYLE>
    TD { border-color: red; border-width: 0.5cm }
    .blue  { border-color: blue }
</STYLE>
</HEAD>
<BODY>
<TABLE BORDER>
<TR>
    <TD onmouseover="this.className='blue'"
        onmouseout="this.className=''">
        <IMG src="sphere.jpg">
    </TD>
</TR>
</TABLE>

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

This example uses inline scripting to change the color of the border to blue when the mouse moves over the image.

<TD onmouseover="this.style.borderWidth='0.5cm';
                 this.style.borderColor='blue';
                 this.style.borderStyle='solid'">

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, currentStyle, custom, DD, DIR, DIV, DL, DT, EMBED, FIELDSET, FORM, Hn, HR, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, ISINDEX, LI, LISTING, MARQUEE, MENU, OBJECT, OL, P, PLAINTEXT, PRE, runtimeStyle, SPAN, style, TABLE, TD, TEXTAREA, TH, UL, XMP

See Also

border


BORDERCOLOR Attribute | borderColor Property

Sets or retrieves the border color of the object.

Syntax

HTML | <ELEMENT BORDERCOLOR = sColor ... >
Scripting | object.borderColor [ =sColor ]

Possible Values

sColor String that specifies one of the color names or red-green-blue (RGB) values in the Color Table.

The property is read/write with no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

To render the color specified by sColor, the BORDER attribute must be set to an integer greater than 0.

Some browsers do not recognize color names, but all browsers should recognize RGB color values and display them correctly.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
FRAME, FRAMESET, TABLE, TD, TH, TR

See Also

border, borderColorDark, borderColorLight


borderColorDark Property

Sets or retrieves the color for one of the two colors used to draw the 3-D border of the object.

Syntax

HTML | N/A
Scripting | object.borderColorDark [ =sColor ]

Possible Values

sColor String that specifies one of the color names or red-green-blue (RGB) values in the Color Table.

The property is read/write with no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

The property is the opposite of borderColorLight and must be used with the border property corresponding to the BORDER attribute. This property does not affect the cascading style sheets (CSS) border composite properties.

Some browsers do not recognize color names, but all browsers should recognize RGB color values and display them correctly.

This property is no longer recommended. Use the borderColor property instead.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
TABLE, TD, TH, TR


borderColorLight Property

Sets or retrieves the color for one of the two colors used to draw the 3-D border of the object.

Syntax

HTML | N/A
Scripting | object.borderColorLight [ =sColor ]

Possible Values

sColor String that specifies one of the color names or red-green-blue (RGB) values in the Color Table.

The property is read/write with no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

The property is the opposite of borderColorDark and must be used with the border property corresponding to the BORDER attribute. This property does not affect the cascading style sheets (CSS) border composite properties.

Some browsers do not recognize color names, but all browsers should recognize RGB color values and display them correctly.

This property is no longer recommended. Use the borderColor property instead.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
TABLE, TD, TH, TR


border-left Attribute | borderLeft Property

Sets or retrieves the properties of the left border of the object.

Syntax

HTML | { border-left: sLeft }
Scripting | object.style.borderLeft [ = sLeft ]

Possible Values

sLeft String that specifies one or more of the following space-delimited values:
width | Any of the range of width values available to the borderLeftWidth property.
style | Any of the range of style values available to the borderLeftStyle property.
color | Any of the range of color values available to the borderLeftColor property.

The property is read/write with a default value of medium none; the cascading style sheets (CSS) attribute is not inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

The borderLeft property is a composite property that sets the width, color, and style values for the left border of an object.

All individual border properties not set by the composite borderLeft property are set to their default values. For example, the default value for width is medium.

If the color value is not specified, the text color is used.

For more information about supported colors, see the Color Table.

To use this property, inline elements must have an absolute position or layout. Element layout is set by providing a value for the height property or the width property.

Example

The following examples use the borderLeft property and the border-left attribute to specify the composite border-left properties.

This example uses a call to an embedded (global) style sheet to modify the attributes of the left border.

Sample Code

<HEAD>
<STYLE>
    TD { border-left:0.5cm solid yellow }
    .change { border-left:0.5cm groove pink }
</STYLE>
</HEAD>
<BODY>
<TABLE>
<TR>
    <TD onmouseover="this.className='change'"
        onmouseout="this.className=''">
        <IMG src="sphere.jpg">
    </TD>
</TR>
</TABLE>

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

This example uses inline scripting to change the properties of the left border.

<TD onmouseover="this.style.borderLeft='0.3cm groove yellow'">

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, custom, DD, DIR, DIV, DL, DT, EMBED, FIELDSET, FORM, Hn, HR, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, ISINDEX, LI, LISTING, MARQUEE, MENU, OBJECT, OL, P, PLAINTEXT, PRE, runtimeStyle, SPAN, style, TABLE, TD, TEXTAREA, TH, UL, XMP

See Also

border


border-left-color Attribute | borderLeftColor Property

Sets or retrieves the color of the left border of the object.

Syntax

HTML | { border-left-color: sColor }
Scripting | object.style.borderLeftColor [ = sColor ]

Possible Values

sColor String that specifies one of the color names or red-green-blue (RGB) values in the Color Table.

The property is read/write with a default value equal to the value of the color property; the cascading style sheets (CSS) attribute is not inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

To use this property, inline elements must have an absolute position or layout. Element layout is set by providing a value for the height property or the width property.

Some browsers do not recognize color names, but all browsers should recognize RGB color values and display them correctly.

Example

The following examples use the border-left-color attribute and the borderLeftColor property to specify the color of the left border.

This example uses a call to an embedded (global) style sheet to change the color of the left border from red to blue when an onmouseover event occurs.

Sample Code

<HEAD>
<STYLE>
    TD { border-left-color: red;
        border-width: 0.5cm; border-style: groove}
    .blue { border-left-color: blue}
</STYLE>
</HEAD>
<BODY>
<TABLE BORDER>
<TR>
    <TD onmouseover="this.className='blue'"
        onmouseout="this.className=''">
        <IMG src="sphere.jpg">
    </TD>
</TR>
</TABLE>

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

This example uses inline scripting to change the color of the left border from red to blue when an onmouseover event occurs.

<TD onmouseover="this.style.borderWidth='0.5cm';
    this.style.borderLeftColor='blue'">

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, currentStyle, custom, DD, DIR, DIV, DL, DT, EMBED, FIELDSET, FORM, Hn, HR, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, ISINDEX, LI, LISTING, MARQUEE, MENU, OBJECT, OL, P, PLAINTEXT, PRE, runtimeStyle, SPAN, style, TABLE, TD, TEXTAREA, TH, UL, XMP

See Also

border


border-left-style Attribute | borderLeftStyle Property

Sets or retrieves the style of the left border of the object.

Syntax

HTML | { border-left-style: sStyle }
Scripting | object.style.borderLeftStyle [ = sStyle ]

Possible Values

sStyle String that specifies one of the following values:
none | No border is drawn, regardless of any specified border-width.
dotted | Border is a dotted line on the Macintosh platform as of Internet Explorer 4.01, and a solid line on the Windows and Unix platforms.
dashed | Border is a dashed line on the Macintosh platform as of Internet Explorer 4.01, and a solid line on the Windows and Unix platforms.
solid | Border is a solid line.
double | Border is a double line drawn on top of the background of the object. The sum of the two single lines and the space between equals the border-width value. The border width must be at least 3 pixels wide to draw a double border.
groove | 3-D groove is drawn in colors based on the value.
ridge | 3-D ridge is drawn in colors based on the value.
inset | 3-D inset is drawn in colors based on the value.
outset | 3-D outset is drawn in colors based on the value.

The property is read/write with a default value of none; the cascading style sheets (CSS) attribute is not inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

A border-width greater than 0 must be set for the border-left-style attribute to render.

Inline elements must have an absolute position or layout to use this property. Element layout is set by providing a value for the height property or the width property.

Example

The following examples use the border-left-style attribute and the borderLeftStyle property to specify the style of the left border.

This example uses a call to an embedded (global) style sheet to change the style of the left border from solid to groove when an onmouseover event occurs.

Sample Code

<HEAD>
<STYLE>
    TD { border-left-style:solid; border-width=0.3cm }
    .change { border-left-style:groove }
</STYLE>
</HEAD>
<BODY>
<TABLE BORDER>
<TR>
    <TD onmouseover="this.className='change'"
        onmouseout="this.className=''">
        <IMG src="sphere.jpg">
    </TD>
</TR>
</TABLE>

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

This example uses inline scripting to change the style of the left border to groove when an onmouseover event occurs.

<TD onmouseover="this.style.borderWidth='0.5cm';
                 this.style.borderLeftStyle='groove'">

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, currentStyle, custom, DD, DIR, DIV, DL, DT, EMBED, FIELDSET, FORM, Hn, HR, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, ISINDEX, LI, LISTING, MARQUEE, MENU, OBJECT, OL, P, PLAINTEXT, PRE, runtimeStyle, SPAN, style, TABLE, TD, TEXTAREA, TH, UL, XMP

See Also

border


border-left-width Attribute | borderLeftWidth Property

Sets or retrieves the width of the left border of the object.

Syntax

HTML | { border-left-width: sWidth }
Scripting | object.style.borderLeftWidth [ = sWidth ]

Possible Values

sWidth String that specifies one of the following values:
medium | Default width.
thin | Less than the default width.
thick | Greater than the default width.
width | Floating-point number, followed by an absolute units designator (cm, mm, in, pt, pc, or px) or a relative units designator (em or ex). For more information about the supported length units, see CSS Length Units.

The property is read/write with a default value of medium; the cascading style sheets (CSS) attribute is not inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

To use this property, inline elements must either have an absolute position or layout. Element layout is set by providing a value for the height property or the width property.

The property is supported on block and replaced objects only.

Example

The following examples use the border-left-width attribute and the borderLeftWidth property to specify the border width.

This example uses a call to an embedded (global) style sheet to change the width of the left border width to 1 centimeter when a mouse click occurs.

Sample Code

<HEAD>
<STYLE>
    TD { border-left-width:3mm }
    .changeborder1 { border-left-width:1cm }
</STYLE>
</HEAD>
<BODY>
<TABLE BORDER>
<TR>
    <TD onclick="this.className='changeborder1'"
        ondblclick="this.className=''">
        <IMG src="sphere.jpg">
    </TD>
</TR></TABLE>

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

This example uses inline scripting to change the width of the left border width to 1 centimeter when a mouse click occurs.

<TD onclick="this.style.borderLeftWidth='1cm'">

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, currentStyle, custom, DD, DIR, DIV, DL, DT, EMBED, FIELDSET, FORM, Hn, HR, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, ISINDEX, LI, LISTING, MARQUEE, MENU, OBJECT, OL, P, PLAINTEXT, PRE, runtimeStyle, SPAN, style, TABLE, TD, TEXTAREA, TH, UL, XMP

See Also

border, borderWidth


border-right Attribute | borderRight Property

Sets or retrieves the properties of the right border of the object.

Syntax

HTML | { border-right: sRight }
Scripting | object.style.borderRight [ = sRight] ]

Possible Values

sRight String that specifies one or more of the following space-delimited values:
width | Any of the range of width values available to the borderRightWidth property.
style | Any of the range of style values available to the borderRightStyle property.
color | Any of the range of color values available to the borderRightColor property.

The property is read/write with a default value of medium none; the cascading style sheets (CSS) attribute is not inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

The borderRight property is a composite property that sets the width, color, and style values for the right border of an object.

All individual border properties not set by the composite borderRight property are set to their default values. For example, the default value for width is medium.

If a color is not specified, the text color is used.

For more information about supported colors, see the Color Table.

To use this property, inline elements must have an absolute position or layout. Element layout is set by providing a value for the height property or the width property.

Example

The following examples use the borderRight property and the border-right attribute to specify the composite properties.

This example uses a call to an embedded (global) style sheet to change the attributes of the right border when an onmouseover event occurs.

Sample Code

<HEAD>
<STYLE>
    TD { border-right:0.5cm solid yellow }
    .change { border-right:0.5cm groove pink }
</STYLE>
</HEAD>
<BODY>
<TABLE>
<TR>
    <TD onmouseover="this.className='change'"
        onmouseout="this.className=''">
        <IMG src="sphere.jpg"></TD>
</TR>
</TABLE>

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

This example uses inline scripting to change the attributes of the right border when an onmouseover event occurs.

<TD onmouseover="this.style.borderRight='0.3cm groove yellow'">

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, custom, DD, DIR, DIV, DL, DT, EMBED, FIELDSET, FORM, Hn, HR, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, ISINDEX, LI, LISTING, MARQUEE, MENU, OBJECT, OL, P, PLAINTEXT, PRE, runtimeStyle, SPAN, style, TABLE, TD, TEXTAREA, TH, UL, XMP

See Also

border


border-right-color Attribute | borderRightColor Property

Sets or retrieves the color of the right border of the object.

Syntax

HTML | { border-right-color: sColor }
Scripting | object.style.borderRightColor [ = sColor ]

Possible Values

sColor String that specifies one of the color names or red-green-blue (RGB) values in the Color Table.

The property is read/write with a default value equal to the value of the color property; the cascading style sheets (CSS) attribute is not inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

To use this property, inline elements must have an absolute position or layout. Element layout is set by providing a value for the height property or the width property.

Some browsers do not recognize color names, but all browsers should recognize RGB color values and display them correctly.

Example

The following examples use the border-right-color attribute and the borderRightColor property to specify the color of the right border.

This example uses a call to an embedded (global) style sheet to change the color of the right border from red to blue when an onmouseover event occurs.

Sample Code

<HEAD>
<STYLE>
    TD { border-right-color: red;
        border-width: 0.5cm; border-style: groove}
    .blue { border-right-color: blue }
</STYLE>
</HEAD>
<BODY>
<TABLE BORDER>
<TR>
    <TD onmouseover="this.className='blue'"
        onmouseout="this.className=''">
        <IMG src="sphere.jpg">
    </TD>
</TR>
</TABLE>

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

This example uses inline scripting to change the color of the right border to blue when an onmouseover event occurs.

<TD onmouseover="this.style.borderWidth='0.5cm';
    this.style.borderRightColor='blue';>

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, currentStyle, custom, DD, DIR, DIV, DL, DT, EMBED, FIELDSET, FORM, Hn, HR, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, ISINDEX, LI, LISTING, MARQUEE, MENU, OBJECT, OL, P, PLAINTEXT, PRE, runtimeStyle, SPAN, style, TABLE, TD, TEXTAREA, TH, UL, XMP

See Also

border


border-right-style Attribute | borderRightStyle Property

Sets or retrieves the style of the right border of the object.

Syntax

HTML | { border-right-style: sStyle }
Scripting | object.style.borderRightStyle [ = sStyle ]

Possible Values

sStyle String that specifies one of the following values:
none | No border is drawn, regardless of any specified border-width.
dotted | Border is a dotted line on the Macintosh platform as of Internet Explorer 4.01, and a solid line on the Windows and Unix platforms.
dashed | Border is a dashed line on the Macintosh platform as of Internet Explorer 4.01, and a solid line on the Windows and Unix platforms.
solid | Border is a solid line.
double | Border is a double line drawn on top of the background of the object. The sum of the two single lines and the space between equals the border-width value. The border width must be at least 3 pixels wide to draw a double border.
groove | 3-D groove is drawn in colors based on the value.
ridge | 3-D ridge is drawn in colors based on the value.
inset | 3-D inset is drawn in colors based on the value.
outset | 3-D outset is drawn in colors based on the value.

The property is read/write with a default value of none; the cascading style sheets (CSS) attribute is not inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

To use this property, inline elements must have an absolute position or layout. Element layout is set by providing a value for the height property or the width property.

A border-width greater than 0 must be set for the border-right-style attribute to render.

Example

The following examples use the border-right-style attribute and the borderRightStyle property to specify the border style.

This example uses a call to an embedded (global) style sheet to change the style of the right border from solid to groove when an onmouseover event occurs.

Sample Code

<HEAD>
<STYLE>
    TD { border-right-style:solid; border-width=0.3cm }
    .change { border-right-style:groove }
</STYLE>
</HEAD>
<BODY>
<TABLE BORDER>
<TR>
    <TD onmouseover="this.className='change'"
        onmouseout="this.className=''">
        <IMG src="sphere.jpg">
    </TD>
</TR>
</TABLE>

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

This example uses inline scripting to change the style of the right border to groove when an onmouseover event occurs.

<TD onmouseover="this.style.borderWidth='0.5cm';
                 this.style.borderRightStyle='groove'">

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, currentStyle, custom, DD, DIR, DIV, DL, DT, EMBED, FIELDSET, FORM, Hn, HR, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, ISINDEX, LI, LISTING, MARQUEE, MENU, OBJECT, OL, P, PLAINTEXT, PRE, runtimeStyle, SPAN, style, TABLE, TD, TEXTAREA, TH, UL, XMP

See Also

border


border-right-width Attribute | borderRightWidth Property

Sets or retrieves the width of the right border of the object.

Syntax

HTML | { border-right-width: sWidth }
Scripting | object.style.borderRightWidth [ = sWidth ]

Possible Values

sWidth String that specifies one of the following values:
medium | Default width.
thin | Less than the default width.
thick | Greater than the default width.
width | Floating-point number, followed by an absolute units designator (cm, mm, in, pt, pc, or px) or a relative units designator (em or ex). For more information about the supported length units, see CSS Length Units.

The property is read/write with a default value of medium; the cascading style sheets (CSS) attribute is not inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

To use this property, inline elements must either have an absolute position or layout. Element layout is set by providing a value for the height property or the width property.

The property is supported on block and replaced objects only.

Example

The following examples use the border-right-width attribute and the borderRightWidth property to specify the width of the right border.

This example uses a call to an embedded (global) style sheet to change the width of the right border to 1 centimeter when a mouse click occurs.

Sample Code

<HEAD>
<STYLE>
     TD { border-right-width:3mm }
    .changeborder1 { border-right-width:1cm }
</STYLE>
</HEAD>
<BODY>
<TABLE BORDER>
<TR>
    <TD onclick="this.className='changeborder1'"
        ondblclick="this.className=''">
        <IMG src="sphere.jpg">
    </TD>
</TR></TABLE>

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

This example uses inline script to change the width of the right border to 1 centimeter when a mouse click occurs.

<TD onclick="this.style.borderRightWidth='1cm'">

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, currentStyle, custom, DD, DIR, DIV, DL, DT, EMBED, FIELDSET, FORM, Hn, HR, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, ISINDEX, LI, LISTING, MARQUEE, MENU, OBJECT, OL, P, PLAINTEXT, PRE, runtimeStyle, SPAN, style, TABLE, TD, TEXTAREA, TH, UL, XMP

See Also

border, borderWidth


border-style Attribute | borderStyle Property

Sets or retrieves the style of the left, right, top, and bottom borders of the object.

Syntax

HTML | { border-style: sStyle }
Scripting | object.style.borderStyle [ = sStyle ]

Possible Values

sStyle String that specifies one of the following values:
none | No border is drawn, regardless of any specified border-width.
dotted | Border is a dotted line on the Macintosh platform as of Internet Explorer 4.01, and a solid line on the Windows and Unix platforms.
dashed | Border is a dashed line on the Macintosh platform as of Internet Explorer 4.01, and a solid line on the Windows and Unix platforms.
solid | Border is a solid line.
double | Border is a double line drawn on top of the background of the object. The sum of the two single lines and the space between equals the border-width value. The border width must be at least 3 pixels wide to draw a double border.
groove | 3-D groove is drawn in colors based on the value.
ridge | 3-D ridge is drawn in colors based on the value.
inset | 3-D inset is drawn in colors based on the value.
outset | 3-D outset is drawn in colors based on the value.

The property is read/write with a default value of none; the cascading style sheets (CSS) attribute is not inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

To use this property, inline elements must have an absolute position or layout. Element layout is set by providing a value for the height property or the width property.

A border-width greater than 0 must be set for the border-style attribute to render.

Example

The following examples use the border-style attribute and the borderStyle property to specify the border style.

This example uses a call to an embedded (global) style sheet to change the style of the border to groove when an onmouseover event occurs.

Sample Code

<HEAD>
<STYLE>
    TD	{ border-style:solid; border-width=0.5cm }
    .change { border-style:groove }
</STYLE>
</HEAD>
<BODY>
<TABLE BORDER>
<TR>
    <TD onmouseover="this.className='change'"
        onmouseout="this.className=''">
        <IMG src="sphere.jpg">
    </TD>
</TR>
</TABLE>

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

This example uses inline scripting to change the style of the border to groove when an onmouseover event occurs.

<TD onmouseover="this.style.borderWidth='0.5cm';
    this.style.borderStyle='groove'">

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, currentStyle, custom, DD, DIR, DIV, DL, DT, EMBED, FIELDSET, FORM, Hn, HR, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, ISINDEX, LI, LISTING, MARQUEE, MENU, OBJECT, OL, P, PLAINTEXT, PRE, runtimeStyle, SPAN, style, TABLE, TD, TEXTAREA, TH, UL, XMP

See Also

border


border-top Attribute | borderTop Property

Sets or retrieves the properties of the top border of the object.

Syntax

HTML | { border-top: sTop }
Scripting | object.style.borderTop [ = sTop ]

Possible Values

sTop String that specifies one or more of the following space-delimited values:
width | Any of the range of width values available to the borderTopWidth property.
style | Any of the range of style values available to the borderTopStyle property.
color | Any of the range of color values available to the borderTopColor property.

The property is read/write with a default value of medium none; the cascading style sheets (CSS) attribute is not inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

The borderTop property is a composite property that sets the width, color, and style values for the top border of an object.

All individual border properties not set by the composite borderTop property are set to their default values. For example, the default value for width is medium.

If a color is not specified, the text color is used.

For more information about supported colors, see the Color Table.

To use this property, inline elements must have an absolute position or layout. Element layout is set by providing a value for the height property or the width property.

Example

The following examples use the border-top attribute and the borderTop property to specify the composite properties.

This example uses a call to an embedded (global) style sheet to change the attributes of the top border when an onmouseover event occurs.

Sample Code

<HEAD>
<STYLE>
    TD 	{ border-top:0.5cm solid yellow }
    .change { border-top:0.5cm groove pink }
</STYLE>
</HEAD>
<BODY>
<TABLE>
<TR>
    <TD onmouseover="this.className='change'"
        onmouseout="this.className=''">
        <IMG src="sphere.jpg">
    </TD>
</TR>
</TABLE>

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

This example uses inline scripting to change the top border when an onmouseover event occurs.

<TD onmouseover="this.style.borderTop='0.3cm groove yellow'">

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, custom, DD, DIR, DIV, DL, DT, EMBED, FIELDSET, FORM, Hn, HR, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, ISINDEX, LI, LISTING, MARQUEE, MENU, OBJECT, OL, P, PLAINTEXT, PRE, runtimeStyle, SPAN, style, TABLE, TD, TEXTAREA, TH, UL, XMP

See Also

border


border-top-color Attribute | borderTopColor Property

Sets or retrieves the color of the top border of the object.

Syntax

HTML | { border-top-color: sColor }
Scripting | object.style.borderTopColor [ = sColor ]

Possible Values

sColor String that specifies one of the color names or red-green-blue (RGB) values in the Color Table.

The property is read/write with a default value equal to the value of the color property; the cascading style sheets (CSS) attribute is not inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

To use this property, inline elements must have an absolute position or layout. Element layout is set by providing a value for the height property or the width property.

Some browsers do not recognize color names, but all browsers should recognize RGB color values and display them correctly.

Example

The following examples use the border-top-color attribute and the borderTopColor property to specify the color of the top border.

This example uses a call to an embedded (global) style sheet to change the color of the top border to blue when an onmouseover event occurs.

Sample Code

<HEAD>
<STYLE>
    TD { border-top-color: red;
        border-width: 0.5cm; border-style: groove }
    .blue { border-top-color: blue }
</STYLE>
</HEAD>
<BODY>
<TABLE BORDER>
<TR>
    <TD onmouseover="this.className='blue'"
        onmouseout="this.className=''">
    </TD>
</TR>
</TABLE>

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

This example uses inline scripting to change the color of the top border to blue when an onmouseover event occurs.

<TD onmouseover="this.style.borderWidth='0.5cm';
    this.style.borderTopColor='blue'">

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, currentStyle, custom, DD, DIR, DIV, DL, DT, EMBED, FIELDSET, FORM, Hn, HR, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, ISINDEX, LI, LISTING, MARQUEE, MENU, OBJECT, OL, P, PLAINTEXT, PRE, runtimeStyle, SPAN, style, TABLE, TD, TEXTAREA, TH, UL, XMP

See Also

border


border-top-style Attribute | borderTopStyle Property

Sets or retrieves the style of the top border of the object.

Syntax

HTML | { border-top-style: sStyle }
Scripting | object.style.borderTopStyle [ = sStyle ]

Possible Values

sStyle String that specifies one of the following values:
none | No border is drawn, regardless of any specified border-width.
dotted | Border is a dotted line on the Macintosh platform as of Internet Explorer 4.01, and a solid line on the Windows and Unix platforms.
dashed | Border is a dashed line on the Macintosh platform as of Internet Explorer 4.01, and a solid line on the Windows and Unix platforms.
solid | Border is a solid line.
double | Border is a double line drawn on top of the background of the object. The sum of the two single lines and the space between equals the border-width value. The border width must be at least 3 pixels wide to draw a double border.
groove | 3-D groove is drawn in colors based on the value.
ridge | 3-D ridge is drawn in colors based on the value.
inset | 3-D inset is drawn in colors based on the value.
outset | 3-D outset is drawn in colors based on the value.

The property is read/write with a default value of none; the cascading style sheets (CSS) attribute is not inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

To use this property, inline elements must have an absolute position or layout. Element layout is set by providing a value for the height property or the width property.

A border-width greater than 0 must be set for the border-top-style attribute to render.

Example

The following examples use the border-top-style attribute and the borderTopStyle property to specify the style of the top border.

This example uses a call to an embedded (global) style sheet to change the style of the top border from solid to groove when an onmouseover event occurs.

Sample Code

<HEAD>
<STYLE>
    TD { border-top-style:solid;
        border-width=0.3cm }
    .change { border-top-style:groove}
</STYLE>
</HEAD>
<BODY>
<TABLE BORDER>
<TR>
    <TD onmouseover="this.className='change'"
        onmouseout="this.className=''">
        <IMG src="sphere.jpg">
    </TD>
</TR>
</TABLE>

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

This example uses inline scripting to change the style of the top border to groove when an onmouseover event occurs.

<TD onmouseover="this.style.borderWidth='0.5cm';
    this.style.borderTopStyle='groove'">

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, currentStyle, custom, DD, DIR, DIV, DL, DT, EMBED, FIELDSET, FORM, Hn, HR, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, ISINDEX, LI, LISTING, MARQUEE, MENU, OBJECT, OL, P, PLAINTEXT, PRE, runtimeStyle, SPAN, style, TABLE, TD, TEXTAREA, TH, UL, XMP

See Also

border


border-top-width Attribute | borderTopWidth Property

Sets or retrieves the width of the top border of the object.

Syntax

HTML | { border-top-width: sWidth }
Scripting | object.style.borderTopWidth [ = sWidth ]

Possible Values

sWidth String that specifies one of the following values:
medium | Default width.
thin | Less than the default width.
thick | Greater than the default width.
width | Floating-point number, followed by an absolute units designator (cm, mm, in, pt, pc, or px) or a relative units designator (em or ex). For more information about the supported length units, see CSS Length Units.

The property is read/write with a default value of medium; the cascading style sheets (CSS) attribute is not inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

To use this property, inline elements must have an absolute position or layout. Element layout is set by providing a value for the height property or the width property.

The property is supported on block and replaced objects only.

Example

The following examples use the border-top-width attribute and the borderTopWidth property to specify the width of the top border.

This example uses a call to an embedded (global) style sheet to change the width of the top border to 1 centimeter when a mouse click occurs.

Sample Code

<HEAD>
<STYLE>
    TD { border-top-width:3mm }
    .changeborder1 { border-top-width:1cm }
</STYLE>
</HEAD>
<BODY>
<TABLE BORDER>
<TR>
    <TD onclick="this.className='changeborder1'"
        ondblclick="this.className=''">
        <IMG src="sphere.jpg">
    </TD>
</TR>
</TABLE>

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

This example uses inline script to change the width of the top border to 1 centimeter when a mouse click occurs.

<TD onclick="this.style.borderTopWidth='1cm'">

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, currentStyle, custom, DD, DIR, DIV, DL, DT, EMBED, FIELDSET, FORM, Hn, HR, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, ISINDEX, LI, LISTING, MARQUEE, MENU, OBJECT, OL, P, PLAINTEXT, PRE, runtimeStyle, SPAN, style, TABLE, TD, TEXTAREA, TH, UL, XMP

See Also

border


border-width Attribute | borderWidth Property

Sets or retrieves the width of the left, right, top, and bottom borders of the object.

Syntax

HTML | { border-width: sWidth }
Scripting | object.style.borderWidth [ = sWidth ]

Possible Values

sWidth String that specifies up to four of the following values:
medium | Default width.
thin | Width less than the default.
thick | Width greater than the default.
width | Width consisting of a floating-point number, followed by an absolute units designator (cm, mm, in, pt, pc, or px) or a relative units designator (em or ex).

The property is read/write with a default value of medium; the cascading style sheets (CSS) attribute is not inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

Up to four different widths can be specified, in the following order: top, right, bottom, left. If one width is specified, it is used for all four sides. If two widths are specified, the first is used for the top and bottom borders, and the second is used for left and right borders. If three widths are specified, they are used for top, right/left, and bottom borders, respectively.

To use this property, inline elements must have an absolute position or layout. Element layout is set by providing a value for the height property or the width property.

The borderWidth property does not render if the borderStyle property is set to none.

Example

The following examples use the border-width attribute and the borderWidth property to specify the width of the border.

This example uses a call to an embedded (global) style sheet to change the width of the border to 1 centimeter when a mouse click occurs.

Sample Code

<HEAD>
<STYLE>
    TD { border-width:3mm }
    .changeborder1 { border-width:1cm }
</STYLE>
</HEAD>
<BODY>
<TABLE BORDER>
<TR>
    <TD onclick="this.className='changeborder1'"
        ondblclick="this.className=''">
        <IMG src="sphere.jpg"></TD>
</TR>
</TABLE>

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

This example uses inline script to change the width of the border to 1 centimeter when a mouse click occurs.

<TD onclick="this.style.borderWidth='1cm'">

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, currentStyle, custom, DD, DIR, DIV, DL, DT, EMBED, FIELDSET, FORM, Hn, HR, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, ISINDEX, LI, LISTING, MARQUEE, MENU, OBJECT, OL, P, PLAINTEXT, PRE, runtimeStyle, SPAN, style, TABLE, TD, TEXTAREA, TH, UL, XMP

See Also

border


bottom Property

Retrieves the bottom coordinate of the rectangle surrounding the object content.

Syntax

HTML | N/A
Scripting | [ iCoord = ] oTextRectangle.bottom

Possible Values

iCoord Integer that specifies the bottom coordinate of the rectangle, in pixels.

The property is read-only with no default value.

Remarks

This syntax shows how to access the bottom coordinate of the second text rectangle of a TextRange object.

oRct = oTextRange.getClientRects();
oRct[1].bottom;

Note that the collection index starts at 0, so the second item index is 1.

This syntax shows how to access the bottom coordinate of the bounding rectangle of an element object.

oBndRct = oElement.getBoundingClientRect();
oBndRct.bottom;

Example

This example uses the getBoundingClientRect method to retrieve the coordinates of the bounds of the text rectangles within the element.

Sample Code

<SCRIPT>
function getCoords(oObject) {
    oBndRct=oObject.getBoundingClientRect();
    alert("Bounding rectangle = \nUpper left coordinates: "
        + oBndRct.left + " " + oBndRct.top +
        "\nLower right coordinates: "
        + oBndRct.right + " " + oBndRct.bottom);
}
</SCRIPT>
</HEAD>
<BODY>
<P ID=oPara onclick="getCoords(this)">

This feature requires Microsoft® Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
TextRectangle

See Also

left, right, top, TextRectangle Collection, TextRectangle Object


bottom Attribute | bottom Property

Sets or retrieves the bottom position of the object in relation to the bottom of the next positioned object in the document hierarchy.

Syntax

HTML | { bottom: sBottom }
Scripting | object.style.bottom [ = sBottom ]

Possible Values

sBottom String that specifies one of the following values:
auto | Default position, according to the regular HTML layout of the page.
length | Floating-point number, followed by an absolute units designator (cm, mm, in, pt, pc, or px) or a relative units designator (em or ex). For more information about the supported length units, see CSS Length Units.
percentage | Integer, followed by a %. The value is a percentage of the height of the parent object.

The property is read/write with a default value of auto; the cascading style sheets (CSS) attribute is not inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

The bottom attribute should be used only when the position attribute is set; otherwise, the value of the bottom attribute is ignored.

Because the value of the bottom property is a string, the property cannot be used in script to calculate the position of the object in the document; instead, the pixelBottom property or the posBottom property should be used.

For more information about how to access the dimension and location of objects on the page through the DHTML object model, see measuring element dimension and location Internet Link.

Example

This example uses the bottom attribute to set a DIV object 50 pixels from the bottom of the client area.

<DIV STYLE = "position:absolute; bottom:50px">
. . .
</DIV>

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ADDRESS, APPLET, B, BIG, BLOCKQUOTE, BUTTON, CENTER, CITE, CODE, currentStyle, custom, DD, DFN, DIR, DIV, DL, FIELDSET, FORM, Hn, HR, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, ISINDEX, KBD, LABEL, LEGEND, LI, LISTING, MARQUEE, MENU, OBJECT, OL, P, PRE, runtimeStyle, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TABLE, TEXTAREA, TT, U, UL, VAR, XMP

See Also

pixelTop, posTop


BOTTOMMARGIN Attribute | bottomMargin Property

Sets or retrieves the bottom margin of the entire body of the page.

Syntax

HTML | <BODY BOTTOMMARGIN = sPixels ... >
Scripting | body.bottomMargin [ =sPixels ]

Possible Values

sPixels String that specifies the number of pixels for the bottom margin.

The property is read/write with a default value of 15.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

If the value is set to "", the bottom margin is set exactly on the bottom edge. The value specified overrides the default margin.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

BODY


boundingHeight Property

Retrieves the height of the rectangle that bounds the TextRange object.

Syntax

HTML | N/A
Scripting | [ iHeight = ] TextRange.boundingHeight

Possible Values

iHeight Integer that specifies the height of the bounding rectangle, in pixels.

The property is read-only with no default value.

Example

This example retrieves the value of the boundingHeight property for the given text area.

Sample Code

<SCRIPT>
function boundDim(oObject)
{
    var collTextarea = document.all.tags("TEXTAREA");
    if (collTextarea != null) {
        var oTextRange = oObject.createTextRange();
        if (oTextRange != null) {
            alert("The bounding height is \n" +
                oTextRange.boundingHeight);
         }
    }
}
</SCRIPT>
</HEAD>
<BODY>
<TEXTAREA COLS=100 ROWS=2 ID=oElmnt1
    onclick="boundDim(this)"> . . . </TEXTAREA>

This feature requires Microsoft® Internet Explorer 4.01 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
HTML | N/A
Scripting | TextRange

See Also

boundingLeft, boundingTop, boundingWidth


boundingLeft Property

Retrieves the distance between the left edge of the rectangle that bounds the TextRange object and the left side of the object that contains the TextRange.

Syntax

HTML | N/A
Scripting | [ iLeft = ] TextRange.boundingLeft

Possible Values

iLeft Integer that specifies the left coordinate of the bounding rectangle, in pixels.

The property is read-only with no default value.

Example

This example retrieves the value of the boundingLeft property for the given text area.

Sample Code

<SCRIPT>
function boundDim(oObject)
{
    var collTextarea = document.all.tags("TEXTAREA");
    if (collTextarea != null) {
        var oTextRage = oObject.createTextRange();
        if (oTextRange != null) {
            alert("The bounding left is \n" +
                oTextRange.boundingLeft);
        }
    }
}
</SCRIPT>
</HEAD>
<BODY>
<TEXTAREA COLS=100 ROWS=2 ID=oTextarea
    onclick="boundDim(this)"> . . . </TEXTAREA>

This feature requires Microsoft® Internet Explorer 4.01 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
HTML | N/A
Scripting | TextRange

See Also

boundingHeight, boundingTop, boundingWidth


boundingTop Property

Retrieves the distance between the top edge of the rectangle that bounds the TextRange object and the top side of the object that contains the TextRange.

Syntax

HTML | N/A
Scripting | [ iTop = ] TextRange.boundingTop

Possible Values

iTop Integer that specifies the top coordinate of the bounding rectangle, in pixels.

The property is read-only with no default value.

Example

This example retrieves the value of the boundingTop property for the given text area.

Sample Code

<SCRIPT>
function boundDim(oObject)
{
    var collTextarea = document.all.tags("TEXTAREA");
    if (collTextarea != null) {
        var oTextRange = oObject.createTextRange();
        if (oTextRange != null) {
            alert("The bounding top is \n" +
                oTextRange.boundingTop);
         }
    }
}
</SCRIPT>
</HEAD>
<BODY>
<TEXTAREA COLS=100 ROWS=2 ID=oTextarea
    onclick="boundDim(this)"> . . . </TEXTAREA>

This feature requires Microsoft® Internet Explorer 4.01 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
HTML | N/A
Scripting | TextRange

See Also

boundingHeight, boundingLeft, boundingWidth


boundingWidth Property

Retrieves the width of the rectangle that bounds the TextRange object.

Syntax

HTML | N/A
Scripting | [ iWidth = ] TextRange.boundingWidth

Possible Values

iWidth Integer that specifies the width of the bounding rectangle, in pixels.

The property is read-only with no default value.

Example

This example retrieves the value of the boundingWidth property for the given text area.

Sample Code

<SCRIPT>
function boundDim(oObject)
{
    var collTextarea = document.all.tags("TEXTAREA");
    if (collTextarea != null) {
        var oTextRange = oObject.createTextRange();
        if (oTextRange != null) {
            alert("The bounding width is \n" +
                oTextRange.boundingWidth);
        }
    }
}
</SCRIPT>
</HEAD>
<BODY>
<TEXTAREA COLS=100 ROWS=2 ID=oTextarea
    onclick="boundDim(this)"> . . . </TEXTAREA>

This feature requires Microsoft® Internet Explorer 4.01 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
HTML | N/A
Scripting | TextRange

See Also

boundingHeight, boundingLeft, boundingTop


browserLanguage Property

Retrieves the current browser language.

Syntax

HTML | N/A
Scripting | [ sLanguage= ] navigator.browserLanguage

Possible Values

sLanguage String that specifies one of the values in the Language Codes.

The property is read-only with a default value of en-us.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
clientInformation, navigator


bufferDepth Property

Sets or retrieves the number of bits per pixel used for colors in the off-screen bitmap buffer.

Syntax

HTML | N/A
Scripting | screen.bufferDepth [ =iBitsPerPixel ]

Possible Values

iBitsPerPixel Integer that specifies one of the following values:
0 | No explicit buffering occurs. The colorDepth property is set to the screen depth.
-1 | Buffering occurs at screen depth. The colorDepth property is set to the screen depth.
1, 4, 8, 15, 16, 24, 32 | Number of bits per pixel to use for the off-screen buffer. The colorDepth property is also set to this value. The value 15 specifies 16 bits per pixel, in which only 15 bits are used in a 5-5-5 layout of red-green-blue (RGB) values.

The property is read/write with a default value of 0.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

Nonsupported values cause bufferDepth to be set to -1.

When bufferDepth is -1 and the user changes system settings that affect the screen depth, the buffer depth is automatically updated to the new depth. This is not the case if bufferDepth is set to a specific value.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
HTML | N/A
Scripting | screen


button Property

Retrieves the mouse button pressed by the user.

Syntax

HTML | N/A
Scripting | [ iWhichButton= ] event.button

Possible Values

iWhichButton Integer that specifies one of the following values:
0 | No button is pressed.
1 | Left button is pressed.
2 | Right button is pressed.
3 | Left and right buttons are both pressed.
4 | Middle button is pressed.
5 | Left and middle buttons both are pressed.
6 | Right and middle buttons are both pressed.
7 | All three buttons are pressed.

The property is read-only with a default value of 0.

Remarks

This property is used with the onmousedown, onmouseup, and onmousemove events. For other events, it defaults to 0 regardless of the state of the mouse buttons.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
HTML | N/A
Scripting | event


cancelBubble Property

Sets or retrieves whether the current event should bubble up the hierarchy of event handlers.

Syntax

HTML | N/A
Scripting | event.cancelBubble [ = bCancel ]

Possible Values

bCancel Boolean that specifies one of the following values:
false | Bubbling is enabled, allowing the next event handler in the hierarchy to receive the event.
true | Bubbling is disabled for this event, preventing the next event handler in the hierarchy from receiving the event.

The property is read/write with a default value of false.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

Using this property to cancel bubbling for an event does not affect subsequent events.

Example

This example cancels bubbling of the onclick event if it occurs in the IMG object when the user presses the SHIFT key. This prevents the event from bubbling up to the onclick event handler for the document.

Sample Code

<SCRIPT LANGUAGE="JScript">
function checkCancel()
{
    if (window.event.shiftKey)
        window.event.cancelBubble = true;
}
function showSrc()
{
    if (window.event.srcElement.tagName == "IMG")
        alert(window.event.srcElement.src);
}
</SCRIPT>

<BODY onclick="showSrc()">
<IMG onclick="checkCancel()" SRC="sample.gif">

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
HTML | N/A
Scripting | event


canHaveChildren Property

Retrieves a value indicating whether the object can contain children.

Syntax

HTML | N/A
Scripting | [ bChildren = ] object.canHaveChildren

Possible Values

bChildren Boolean that specifies whether the object can be a parent to child objects.

The property is read-only with no default value.

Remarks

Objects do not have to contain children for the canHaveChildren property to return true. This property is useful in determining whether objects can be appended as children.

Example

This example uses the canHaveChildren property to add a new object to the first element in a Web page that can contain children.

Sample Code

<SCRIPT>
window.onload=fnInit;
function fnInit(){
   var oNewObject=document.createElement("SPAN");
   var oNewText=document.createTextNode("Test");
   oNewObject.appendChild(oNewText);
   for(var i=0;i<document.all.length;i++){
      if(document.all[i].canHaveChildren==true){
        document.all[i].appendChild(oNewObject);
        break;
     }
   }
}
</SCRIPT>
<INPUT TYPE=button VALUE="Add Child" onclick="fnAddChild()">
<DIV ID=oGrandParent STYLE="background-color: #CFCFCF;">
<WBR>WBR - </WBR>
<BR>
<NOBR>NOBR - </NOBR>
<P>P - <s/P>
</DIV>
This feature requires Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ACRONYM, ADDRESS, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, COMMENT, custom, DD, DEL, DFN, DIR, DIV, DL, DT, EM, FIELDSET, FONT, FORM, FRAMESET, HEAD, Hn, HTML, I, IFRAME, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LABEL, LEGEND, LI, LISTING, MAP, MARQUEE, MENU, NEXTID, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP

See Also

appendChild, createElement, createTextNode


caption Property

Retrieves the CAPTION object of the TABLE.

Syntax

HTML | N/A
Scripting | [ oCaption = ] table.caption

Possible Values

oCaption Object that specifies the table caption, or the following value:
null No caption exists for the table.

The property is read-only with a default value of null.

Example

This example sets the inline style for the caption property.

Sample Code

document.all.myTable.caption.style.color = "blue"

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
table


cellIndex Property

Retrieves the position of the object in the cells collection of a given row.

Syntax

HTML | N/A
Scripting | [ iIndex= ] td.cellIndex

Possible Values

iIndex Integer that specifies the position of the object.

The property is read-only with no default value.

Remarks

Collection indexes are in the source order of the HTML document. When a cell spans multiple rows, that cell only appears in the cells collection for the first row that the cell spans.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
HTML | N/A
Scripting | TD

See Also

rowIndex, sectionRowIndex, sourceIndex


CELLPADDING Attribute | cellPadding Property

Sets or retrieves the amount of space between the border of the cell and the content of the cell.

Syntax

HTML | <TABLE CELLPADDING = sPadding ... >
Scripting | table.cellPadding [ =sPadding ]

Possible Values

sPadding String that specifies one of the following values:
padding | Integer that specifies the amount of space between the border and the content, in pixels.
percentage | Integer, followed by a %. The value is a percentage of the available amount of space between the border and the content.

The property is read/write with no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

TABLE

See Also

cellSpacing


CELLSPACING Attribute | cellSpacing Property

Sets or retrieves the amount of space between cells in a table.

Syntax

HTML | <TABLE CELLSPACING = sSpacing ... >
Scripting | table.cellSpacing [ = sSpacing ]

Possible Values

sSpacing String that specifies one of the following values:
spacing | Integer that specifies the amount of space between cells, in pixels.
percentage | Integer, followed by a %. The value is a percentage of the available amount of space between the border and the content.

The property is read/write with no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Example

This example uses the CELLSPACING attribute and the cellSpacing property to change the spacing between two cells.

Sample Code

<TABLE ID=oTable BORDER CELLSPACING=10>
    <TR>
        <TD>Cell 1</TD>
        <TD>Cell 2</TD>
    </TR>
</TABLE>
:
<BUTTON onclick="oTable.cellSpacing=20">Larger spacing</BUTTON>
<BUTTON onclick="oTable.cellSpacing=5">Smaller spacing</BUTTON>

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

TABLE

See Also

cellPadding


@charset Rule

Sets the character set for an external style sheet.

Syntax

HTML | @charset sCharacterSet
Scripting | N/A

Possible Values

sCharacterSet String that specifies the character set.

The rule has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

At most, you can use one @charsetin an external style sheet, and it must appear at the top of the file, not preceded by any characters. The @charset rule cannot be in an embedded style sheet.

Example

This example implements the @charset rule.

@charset "Windows-1251";


CHECKED Attribute | checked Property

Sets or retrieves the state of the check box or radio button.

Syntax

HTML | <ELEMENT CHECKED = bChecked ... >
Scripting | input.checked [ = bChecked ]

Possible Values

bChecked Boolean that specifies one of the following values:
false | Control is not selected.
true | Control is selected.

The property is read/write with a default value of false.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

Check boxes that are not selected do not return their values when the form is submitted.

A user can select a radio button only if the button has a name. To clear a selected radio button, a user must select another button in the set.

Example

This example retrieves the checked property to fire an event.

Sample Code

<HEAD>
<SCRIPT>
function checkthis()
{
    if (oCheckbox.checked == true)
    {
        alert("It's got a check; now off to Microsoft!");
        window.open("http://www.microsoft.com");
    }
}
</SCRIPT>
</HEAD>
<BODY>
Check here if you wish to go to Microsoft:
<INPUT ID=oCheckbox TYPE=checkbox onclick=checkthis()>
</BODY>

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
INPUT TYPE=checkbox, INPUT TYPE=radio

See Also

defaultChecked, forms overview Internet Link


CLASSID Attribute | classid Property

Retrieves the class identifier for the object.

Syntax

HTML | <OBJECT CLASSID = sID ... >
Scripting | [ sID= ] object.classid

Possible Values

sID String that specifies the class identifier for the object. The format is "clsid:XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX" for registered Microsoft ActiveX Controls.

The property is read-only with no default value.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

OBJECT


CLASS Attribute | className Property

Sets or retrieves the class of the object.

Syntax

HTML | <ELEMENT CLASS = sClass ... >
Scripting | object.className [ = sClass ]

Possible Values

sClass String that specifies the class or style rule.

The property is read/write.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

The class is typically used to associate a particular style rule in a style sheet with the element.

As of Internet Explorer 5, you can apply multiple styles to an element by specifying more than one style for the CLASS attribute. To apply multiple styles to a single element, use the following syntax:

<ELEMENT CLASS = sClass [ sClass2 [ sClass3 ... ] ] ... >

When multiple styles are specified for an element, a conflict could develop if two or more styles define the same attribute differently. In this case, you can resolve the conflict by applying styles to the element in the following order, according to the CSS selector used to define the style.

  1. Element
  2. CLASS
  3. ID
  4. Inline styles

When two or more selectors pertain to an element, a style defined later takes precedence over a style defined earlier. For more information, see cascading style sheets Internet Link.

Example

This example uses the className attribute to apply one or more styles to an HTML element.

<HEAD>
    <STYLE TYPE="text/css">
        P {font-size: 24pt;}
        .redText {color: red;}
        .blueText {color: blue;}
        .italicText {font-style: italic;}
    </STYLE>
</HEAD>

<BODY>
    <P>
        Large text, no class specified, one implied.
    </P>
    <P CLASS="redText">
        Large text, .redText class specified.
    </P>
    <P CLASS="blueText italicText">
        Large text, .blueText and .italicText classes specified.
    </P>
</BODY>
This feature requires Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ACRONYM, ADDRESS, APPLET, AREA, B, BDO, BIG, BLOCKQUOTE, BODY, BR, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, custom, DD, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, HEAD, Hn, HR, HTML, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, ISINDEX, KBD, LABEL, LEGEND, LI, LISTING, MAP, MARQUEE, MENU, NEXTID, NOBR, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, RT, RUBY, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP


clear Attribute | clear Property

Sets or retrieves whether the object allows floating objects on its left and/or right sides, so that the next text displays past the floating objects.

Syntax

HTML | { clear: sClear }
Scripting | object.style.clear [ = sClear ]

Possible Values

sClear String that specifies one of the following values:
none | Floating objects are allowed on both sides.
left | Object is moved below any floating object on the left side.
right | Object is moved below any floating object on the right side.
both | Object is moved below any floating object.

The property is read/write with a default value of none; the cascading style sheets (CSS) attribute is not inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

The value of this property lists the sides where floating objects are not accepted.

Example

The following examples use the clear attribute and the clear property to specify placement of text relative to floating objects.

This example uses a call to an embedded (global) style sheet to move the text below the floating objects when italic text is encountered.

Sample Code

<STYLE>
    I { clear:left }
</STYLE>

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

This example changes the position of the paragraph relative to the floating object on its left side.

<HEAD>
<SCRIPT>
function fnClear(){
    oClear.style.clear="left";
}
function fnClear2(){
    oClear.style.clear="none";
}
</SCRIPT>
</HEAD>

<BODY>
    <img src="/workshop/graphics/sphere.jpg" style="float:left">
    <SPAN ID="oClear">
        <P>This is an example of the clear attribute.<P>
    </span>

    <P>
        <INPUT TYPE=button value="clear = left" onclick="fnClear()">
        <INPUT TYPE=button value="clear = none" onclick="fnClear2()">
    </P>
</BODY>

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ADDRESS, APPLET, B, BIG, BLOCKQUOTE, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, currentStyle, custom, DD, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FORM, Hn, HR, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, ISINDEX, KBD, LABEL, LEGEND, LI, LISTING, MARQUEE, MENU, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, runtimeStyle, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP


CLEAR Attribute | clear Property

Sets or retrieves the side on which floating objects are not to be positioned when a line break is inserted into the document.

Syntax

HTML | <BR CLEAR = sValue ... >
Scripting | br.clear [ =sValue ]

Possible Values

sValue String that specifies one of the following values:
all | Object is moved below any floating object.
left | Object is moved below any floating object on the left side.
right | Object is moved below any floating object on the right side.
none | Floating objects are allowed on all sides.

The property is read/write with no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
BR


clientHeight Property

Retrieves the height of the object without taking into account any margin, border, scroll bar, or padding that might have been applied to the object.

Syntax

HTML | N/A
Scripting | [ iHeight = ] object.clientHeight

Possible Values

iHeight Integer that specifies the height of the object, in pixels.

The property is read-only with no default value.

Example

This example shows how the clientHeight property and the offsetHeight property measure document height differently.

Note The height of the DIV is set to 100, and this is the value retrieved by the offsetHeight property, not the clientHeight property.

Sample Code

<DIV ID=oDiv STYLE="overflow:scroll; width:200; height:100"> . . . </DIV>
<BUTTON onclick="alert(oDiv.clientHeight)">client height</BUTTON>
<BUTTON onclick="alert(oDiv.offsetHeight)">offset heightY</BUTTON>

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ADDRESS, APPLET, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, custom, DD, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FORM, HEAD, Hn, HTML, I, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, ISINDEX, KBD, LABEL, LEGEND, LI, LISTING, MARQUEE, MENU, META, NOBR, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP

See Also

measuring element dimension and location Internet Link


clientLeft Property

Retrieves the distance between the offsetLeft property and the true left side of the client area.

Syntax

HTML | N/A
Scripting | [ iDistance= ] object.clientLeft

Possible Values

iDistance Integer that specifies the described distance, in pixels.

The property is read-only with no default value.

Remarks

The difference between the offsetLeft and clientLeft properties is the border of the object.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ADDRESS, APPLET, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, custom, DD, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FORM, HEAD, Hn, HTML, I, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, ISINDEX, KBD, LABEL, LEGEND, LI, LISTING, MARQUEE, MENU, META, NOBR, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP

See Also

measuring element dimension and location Internet Link


clientTop Property

Retrieves the distance between the offsetTop property and the true top of the client area.

Syntax

HTML | N/A
Scripting | [ iDistance= ] object.clientTop

Possible Values

iDistance Integer that specifies the described distance, in pixels.

The property is read-only with no default value.

Remarks

The difference between the offsetTop and the clientTop properties is the border area of the object.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ADDRESS, APPLET, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, custom, DD, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FORM, HEAD, Hn, HTML, I, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, ISINDEX, KBD, LABEL, LEGEND, LI, LISTING, MARQUEE, MENU, META, NOBR, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP

See Also

measuring element dimension and location Internet Link


clientWidth Property

Retrieves the width of the object without taking into account any margin, border, scroll bar, or padding that might have been applied to the object.

Syntax

HTML | N/A
Scripting | [ iWidth = ] object.clientWidth

Possible Values

iWidth Integer that specifies the width of the object, in pixels.

The property is read-only with no default value.

Example

This example shows how the clientWidth property and the offsetWidth property measure document width differently.

Note The width of the DIV is set to 200, and this is the value retrieved by the offsetWidth property, not the clientWidth property.

Sample Code

<DIV ID=oDiv STYLE="overflow:scroll; width:200; height:100"> . . . </DIV>
<BUTTON onclick="alert(oDiv.clientWidth)">client width</BUTTON>
<BUTTON onclick="alert(oDiv.offsetWidth)">offset widthY</BUTTON>

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ADDRESS, APPLET, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, custom, DD, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FORM, HEAD, Hn, HTML, I, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, ISINDEX, KBD, LABEL, LEGEND, LI, LISTING, MARQUEE, MENU, META, NOBR, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP

See Also

measuring element dimension and location Internet Link


clientX Property

Retrieves the x-coordinate of the mouse pointer's position relative to the client area of the window, excluding window decorations and scroll bars.

Syntax

HTML | N/A
Scripting | [ iXPos = ] event.clientX

Possible Values

iXPos Integer that specifies the x-coordinate, in pixels.

The property is read-only with no default value.

Remarks

Since the clientX property returns a value relative to the client, you can add the value of the scrollLeft property to determine the distance from the edge of the BODY element.

Example

This example uses the clientX property to determine the mouse position relative to the window. The status window shows the mouse position at all times.

Sample Code

<SCRIPT>
function clientCoords()
{
    var offsetInfo = ""
    clientInfo = "The x coordinate is: " + window.event.clientX + "\r"
    clientInfo += "The y coordinate is: " + window.event.clientY + "\r"
    alert(clientInfo);
}
</SCRIPT>
</HEAD>
<BODY onmousemove="window.status = 'X=' + window.event.clientX +
    ' Y=' + window.event.clientY"
    ondblclick="clientCoords()">

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
event


clientY Property

Retrieves the y-coordinate of the mouse pointer's position relative to the client area of the window, excluding window decorations and scroll bars.

Syntax

HTML | N/A
Scripting | [ iYPos = ] event.clientY

Possible Values

iYPos Integer that specifies the y-coordinate, in pixels.

The property is read-only with no default value.

Remarks

Since the clientY property returns a value relative to the client, you can add the value of the scrollTop property to determine the distance from the edge of the BODY element.

Example

This example uses the clientY property to determine the mouse position relative to the window. The status window shows the mouse position at all times.

Sample Code

<SCRIPT>
function clientCoords()
{
    var offsetInfo = ""
    clientInfo = "The x coordinate is: " + window.event.clientX + "\r"
    clientInfo += "The y coordinate is: " + window.event.clientY + "\r"
    alert(clientInfo);
}
</SCRIPT>
</HEAD>
<BODY onmousemove="window.status = 'X=' + this.clientX + ' Y=' +
        this.clientY"
    ondblclick="clientCoords()">

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
event


clip Attribute | clip Property

Sets or retrieves which part of a positioned object is visible.

Syntax

HTML | { clip: sClip }
Scripting | object.style.clip [ = sClip ]

Possible Values

sClip String that specifies one of the following values:
auto | Clip to expose entire object.
rect(top right bottom left) | Top, right, bottom, and left specify length values, any of which may be replaced by auto, leaving that side not clipped.

The property is read/write with a default value of auto; the cascading style sheets (CSS) attribute is not inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

This property defines the shape and size of the positioned object that is visible. The position must be set to absolute. Any part of the object that is outside the clipping region is transparent. Any coordinate can be replaced by the value auto, which exposes the respective side (meaning the side is not clipped).

The order of the values clip:rect(0 0 50 50) renders the object invisible as it sets the top and right positions of the clipping region to 0. To achieve a 50-by-50 view port, use clip:rect(0 50 50 0).

The clip attribute and the clip property are available on the Macintosh platform, as of Internet Explorer 5.

Example

The following examples use clip attribute and the clip property to modify the appearance of an image.

This example uses a call to an embedded (global) style sheet to clip the image.

Sample Code

<DIV Style="position:absolute;top:0;left:200;
    clip:rect(0.6cm 3cm 2cm 0.5cm)">
<IMG SRC="sphere.jpg">
</DIV>

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

This example uses inline scripting to clip the image.

<IMG ID="sphere" SRC="sphere.jpeg"
    STYLE="position:absolute;top:0cm;left:0cm;">
<BUTTON
    onclick="sphere.style.clip='rect(0.2cm 0.6cm 1cm 0.1cm)'">
    Clip Image</BUTTON>

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ADDRESS, APPLET, B, BDO, BIG, BLOCKQUOTE, BUTTON, CENTER, CITE, CODE, custom, DD, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FORM, Hn, HR, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, ISINDEX, KBD, LABEL, LEGEND, LI, LISTING, MARQUEE, MENU, OBJECT, OL, P, PRE, RUBY, runtimeStyle, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TABLE, TD, TEXTAREA, TH, TR, TT, U, UL, VAR, XMP

See Also

clipBottom, clipLeft, clipRight, clipTop


clipBottom Property

Retrieves the bottom coordinate of the object clipping region.

Syntax

HTML | N/A
Scripting | [ sBottom = ] currentStyle.clipBottom

Possible Values

sBottom String that specifies one of the following values:
auto | Bottom side of object is fully exposed—that is, the bottom side is not clipped.
length | Floating-point number, followed by an absolute units designator (cm, mm, in, pt, pc, or px) or a relative units designator (em or ex). For more information about the supported length units, see CSS Length Units.

The property is read-only with no default value.

Example

This example reads the clipBottom property from the currentStyle object of an image.

Sample Code

<SCRIPT>
function setClip(sOptionValue) {
    oImage.style.clip="rect(0,100,"+sOptionValue+",0)";
    if (oImage.currentStyle.clipBottom == "60px") {
        alert("The image has been clipped to 60px.");
        }
:
}
</SCRIPT>
:
<IMG ID=oImage SRC="/workshop/graphics/sphere.jpg">
:
Pick an amount to clip the bottom:
    // the option value is sent as an argument:
<SELECT onchange="setClip(value)">
<OPTION VALUE=100>reset </OPTION>
<OPTION VALUE=40>40px </OPTION>
<OPTION VALUE=50>50px </OPTION>
<OPTION VALUE=60>60px </OPTION>
</SELECT>

This feature requires Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
currentStyle

See Also

clip, clipLeft, clipRight, clipTop


clipLeft Property

Retrieves the left coordinate of the object clipping region.

Syntax

HTML | N/A
Scripting | [ sLeft = ] currentStyle.clipLeft

Possible Values

sLeft String that specifies one of the following values:
auto | Left side of object is fully exposed—that is, the left side is not clipped.
length | Floating-point number, followed by an absolute units designator (cm, mm, in, pt, pc, or px) or a relative units designator (em or ex). For more information about the supported length units, see CSS Length Units.

The property is read-only with no default value.

Example

This example demonstrates how to read the clipLeft property from the currentStyle object of an image.

Sample Code

<SCRIPT>
function setClip(sOptionValue) {
    oImage.style.clip="rect(0,100,100,"+sOptionValue+")";
    if (oImage.currentStyle.clipLeft == "60px") {
        alert("The image has been clipped to 60px.");
        }
:
}
</SCRIPT>
:
<IMG ID=oImage SRC="/workshop/graphics/sphere.jpg">
:
Pick an amount to clip the left:
    // the option value is sent as an argument:
<SELECT onchange="setClip(value)">
<OPTION VALUE=100>reset </OPTION>
<OPTION VALUE=40>40px </OPTION>
<OPTION VALUE=50>50px </OPTION>
<OPTION VALUE=60>60px </OPTION>
</SELECT>

This feature requires Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
currentStyle

See Also

clip, clipBottom, clipRight, clipTop


clipRight Property

Retrieves the right coordinate of the object clipping region.

Syntax

HTML | N/A
Scripting | [ sRight = ] currentStyle.clipRight

Possible Values

sRight String that specifies one of the following values:
auto | Right side of object is fully exposed—that is, the right side is not clipped.
length | Floating-point number, followed by an absolute units designator (cm, mm, in, pt, pc, or px) or a relative units designator (em or ex). For more information about the supported length units, see CSS Length Units.

The property is read-only with no default value.

Example

This example demonstrates how to read the clipRight property from the currentStyle object of an image.

Sample Code

<SCRIPT>
function setClip(sOptionValue) {
    oImage.style.clip="rect(0,"+sOptionValue+",100,0)";
    if (oElmnt1.currentStyle.clipRight == "60px") {
        alert("The image has been clipped to 60px.");
        }
:
}
</SCRIPT>
:
<IMG ID=oImage SRC="/workshop/graphics/sphere.jpg">
:
Pick an amount to clip the right:
    // the option value is sent as an argument:
<SELECT onchange="setClip(value)">
<OPTION VALUE=100>reset </OPTION>
<OPTION VALUE=40>40px </OPTION>
<OPTION VALUE=50>50px </OPTION>
<OPTION VALUE=60>60px </OPTION>
</SELECT>

This feature requires Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
currentStyle

See Also

clip, clipBottom, clipLeft, clipTop


clipTop Property

Retrieves the top coordinate of the object clipping region.

Syntax

HTML | N/A
Scripting | [ sTop = ] currentStyle.clipTop

Possible Values

sTop String that specifies one of the following values:
auto | Top side of object is fully exposed—that is, the top side is not clipped.
length | Floating-point number, followed by an absolute units designator (cm, mm, in, pt, pc, or px) or a relative units designator (em or ex). For more information about the supported length units, see CSS Length Units.

The property is read-only with no default value.

Example

This example demonstrates how to read the clipTop property from the currentStyle object of an image.

Sample Code

<SCRIPT>
function setClip(sOptionValue) {
    oImage.style.clip="rect("+sOptionValue+",100,100,0)";
    if (oImage.currentStyle.clipTop == "60px") {
        alert("The image has been clipped to 60px.");
        }
:
}
</SCRIPT>
:
<IMG ID=oImage SRC="/workshop/graphics/sphere.jpg">
:
Pick an amount to clip the top:
    // the option value is sent as an argument:
<SELECT onchange="setClip(value)">
<OPTION VALUE=100>reset </OPTION>
<OPTION VALUE=40>40px </OPTION>
<OPTION VALUE=50>50px </OPTION>
<OPTION VALUE=60>60px </OPTION>
</SELECT>

This feature requires Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
currentStyle

See Also

clip, clipBottom, clipLeft, clipRight


closed Property

Retrieves whether the referenced window is closed.

Syntax

HTML | N/A
Scripting | [ bClosed= ] window.closed

Possible Values

bClosed Boolean that specifies one of the following values:
false | Window is open.
true | Window is closed.

The property is read-only with a default value of false.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
window


CODE Attribute | code Property

Sets or retrieves the URL of the file containing the compiled Java class.

Syntax

HTML | <OBJECT CODE = sURL ... >
Scripting | object.code [ =sURL ]

Possible Values

sURL String that species the URL of the file.

The property is read/write with no default value.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

OBJECT


CODEBASE Attribute | codeBase Property

Sets or retrieves the URL of the component.

Syntax

HTML | <ELEMENT CODEBASE = sLocation ... >
Scripting | object.codeBase [ = sLocation ]

Possible Values

sLocation String that represents the URL of the component, which can be appended with:
#Version=a,b,c,d Version of the component, where a,b,c,d are as indicated below. If the client computer has a newer version installed, no download occurs.
a | High-order word of the major version of the component available at the specified URL.
b | Low-order word of the major version of the component available at the specified URL.
c | High-order word of the minor version of the component available at the specified URL.
d | Low-order word of the minor version of the component available at the specified URL.

The property is read/write with no default value.

Remarks

Applets do not support versioning information supplied as part of the URL.

If a,b,c,d are all set to -1 (#Version=-1,-1,-1,-1), the component is downloaded from the server if the release date is later than the installation date on the client computer. If the component is installed on the client computer and the release date is the same or earlier than the installation date, only an HTTP header transaction occurs.

Example

This example uses the CODEBASE attribute to specify the download location of the Common Dialog control.

Sample Code

<OBJECT ID="CommonDialog1" WIDTH=32 HEIGHT=32
    CLASSID="CLSID:F9043C85-F6F2-101A-A3C9-08002B2F49FB"
    CODEBASE="http://activex.microsoft.com/controls/vb5/comdlg32.cab
    #Version=1,0,0,0">
</OBJECT>

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
APPLET, OBJECT

See Also

managing versions of a component Internet Link, specifying fileversion and #version for component download Internet Link Non-MSDN link


CODETYPE Attribute | codeType Property

Sets or retrieves the Internet media type for the code associated with the object.

Syntax

HTML | <OBJECT CODETYPE = sType ... >
Scripting | object.codeType [ =sType ]

Possible Values

sType String that specifies the media type.

The property is read/write with no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

Internet media types are also known as MIME types.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
OBJECT

See Also

mime type detection in internet explorer Internet Link


COLOR Attribute | color Property

Sets or retrieves the color to be used by the object.

Syntax

HTML | <ELEMENT COLOR = sColor ... >
Scripting | object.color [ =sColor ]

Possible Values

sColor String that specifies one of the color names or red-green-blue (RGB) values in the Color Table.

The property is read/write with no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

Some browsers do not recognize color names, but all browsers should recognize red-green-blue (RGB) color values and display them correctly.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
BASEFONT, FONT, HR


color Attribute | color Property

Sets or retrieves the color of the text of the object.

Syntax

HTML | { color : sColor }
Scripting | object.style.color [ = sColor ]

Possible Values

sColor String that specifies one of the color names or red-green-blue (RGB) values in the Color Table.

The property is read/write with no default value; the cascading style sheets (CSS) attribute is inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

These are different ways to specify a color—in this example, red.

EM { color: red }              /* natural language / CNS */
EM { color: #F00 }             /* #RGB */
EM { color: #FF0000 }          /* #RRGGBB */
EM { color: rgb 1.0 0.0 0.0 }  /* float range: 0.0 - 1.0 */

Some browsers do not recognize color names, but all browsers should recognize red-green-blue (RGB) color values and display them correctly.

Windows CE

In Microsoft® Windows® CE, specifying a value for the color property of the OPTION element when applied through the style object has no effect.

Example

The following examples use the color attribute and the color property to change the text color of an object.

This example uses a call to an embedded (global) style sheet to change the text color to red when an onmouseover event occurs.

Sample Code

<STYLE>
    .color1 { color:red }
    .color2 { color: }
</STYLE>
</HEAD>
<BODY>
<SPAN STYLE="font-size:14" onmouseover="this.className='color1'"
    onmouseout="this.className='color2'"> . . .

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

This example uses inline scripting to change the text color to red when an onmouseover event occurs.

<SPAN STYLE="font-size:14" onmouseover="this.style.color='red'">
:
</SPAN>

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ADDRESS, APPLET, B, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, currentStyle, custom, DD, DFN, DIR, DIV, DL, DT, EM, FIELDSET, FORM, Hn, HTML, I, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, ISINDEX, KBD, LABEL, LEGEND, LI, LISTING, MARQUEE, MENU, OL, OPTION, P, PLAINTEXT, PRE, runtimeStyle, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP


colorDepth Property

Retrieves the number of bits per pixel used for colors on the destination device or buffer.

Syntax

HTML | N/A
Scripting | [ iBitsPerPixel=] screen.colorDepth

Possible Values

iBitsPerPixel Integer that specifies one of the following values:
1, 4, 8, 15, 16, 24, 32 Number of bits per pixel, expressed as an integer, to use for the off-screen buffer. The value 15 specifies 16 bits per pixel, in which only 15 bits are used in a 5-5-5 layout of red-green-blue (RGB) values.

The property is read-only with no default value.

Remarks

Retrieving the value of the property through script enables you to select an appropriate color to return to the browser.

If bufferDepth is 0 or -1, colorDepth is equal to the bits-per-pixel value for the screen or printer. If bufferDepth is nonzero, colorDepth is equal to bufferDepth.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
screen


COLS Attribute | cols Property

Retrieves the width of the object.

Syntax

HTML | <ELEMENT COLS = iCount ... >
Scripting | [ iCount= ] object.cols

Possible Values

iCount Integer that specifies the number of characters used to determine the width of the object.

The property is read-only with a default value of 20.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

TEXTAREA


COLS Attribute | cols Property

Sets or retrieves the number of columns in the table.

Syntax

HTML | <TABLE COLS = iCount ... >
Scripting | table.cols [ = iCount ]

Possible Values

iCount Integer that specifies the number of columns.

The property is read/write with no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

Specifying this number can speed up the processing of the table.

Example

This example uses the COLS attribute and the cols property to set the number of columns in HTML and retrieve the number of columns in script.

Sample Code

<SCRIPT>
function checkCols(oObject)
{
    var iColumns = oObject.cols;
    alert (iColumns);
}
</SCRIPT>
</HEAD>
<BODY>
<TABLE ID=oTable BORDER COLS=3 onclick="checkCols(this)">
<TR><TD>Column 1</TD><TD>Column 2</TD><TD>Column 3</TD></TR>
</TABLE>

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
TABLE


COLS Attribute | cols Property

Sets or retrieves the frame widths of the object.

Syntax

HTML | <FRAMESET COLS = sWidth ... >
Scripting | frameset.cols [ = sWidth ... ]

Possible Values

sWidth String that specifies one or more of the following comma-delimited values:
width | Integer that specifies the frame width, in pixels.
percentage | Integer, followed by a %. The value is a percentage of total available width.
width* | Integer that specifies the frame width as a relative value. After allocating pixel or percentage values, the remaining space is divided among all relative-sized frames.

The property is read/write with no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

The number of comma-separated items is equal to the number of frames contained within the FRAMESET, while the value of each item determines the frame width.

Example

This example defines a two-column frame, with the first occupying 40 percent of the available width and the second occupying the remaining 60 percent.

Sample Code

<FRAMESET COLS="40%, 60%">

This example defines a four-column frame. The first is 50 pixels wide, and the fourth is 80 pixels wide. The second occupies two-thirds of the remaining width, while the third occupies the final third of the remaining width.

<FRAMESET COLS="50, 2*, *, 80">

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
FRAMESET

See Also

rows


COLSPAN Attribute | colSpan Property

Sets or retrieves the number columns in the TABLE that the object should span.

Syntax

HTML | <ELEMENT COLSPAN = iCount ... >
Scripting | object.colSpan [ =iCount ]

Possible Values

iCount Integer that specifies the number of columns to span.

The property is read/write with no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

This property can be changed only after the page has been loaded.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
TD, TH


COMPACT Attribute | compact Property

Sets or retrieves whether the list should be compacted to remove extra space between list objects.

Syntax

HTML | <DL COMPACT = bCompactList ... >
Scripting | dl.compact [ =bCompactList ]

Possible Values

bCompactList Boolean that specifies one of the following values:
false | Remove extra space between objects.
true | Do not remove extra space between objects.

The property is read/write with a default value of false.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
DL


complete Property

Retrieves whether the object is fully loaded.

Syntax

HTML | N/A
Scripting | [ bComplete= ] object.complete

Possible Values

bComplete Boolean that specifies one of the following values:
false | Object has not been loaded.
true | Object has been loaded.

The property is read-only with a default value of false.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
HTML | N/A
Scripting | IMG, INPUT type=image

See Also

onreadystatechange, readyState


CONTENT Attribute | content Property

Sets or retrieves meta-information to be associated with HTTP-EQUIV or NAME.

Syntax

HTML | <META CONTENT = vContent ... >
Scripting | meta.content [ = vContent ]

Possible Values

vContent Variant that specifies one or more of the following values:
description | Meta-information.
refresh | Integer consisting of the number of seconds to elapse before the document is refreshed. This value requires the HTTP-EQUIV attribute to be set with the refresh value.
url | Location that is loaded when the document is refreshed. This value requires the HTTP-EQUIV attribute to be set with the refresh value.
mimetype | MIME type used for the charset value.
charset | Character set of the document. This value requires the mimetype value to be set with a valid MIME type, and the HTTP-EQUIV attribute to be set with the Content-Type value.

The property is read/write with no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Example

This example causes the browser to reload the document every two seconds.

Sample Code

<META HTTP-EQUIV="REFRESH" CONTENT=2>

This example sets the character set for the document.

<META HTTP-EQUIV="Content-Type"
    CONTENT="text/html; CHARSET=Windows-1251">

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
META


cookie Property

Sets or retrieves the string value of a cookie.

Syntax

HTML | N/A
Scripting | document.cookie [ = sCookie ]

Possible Values

sCookie String that specifies the name=value; pair(s), plus any of the following values:
expires=date; | Setting no expiration date on a cookie causes it to expire when the browser closes. If you set an expiration date in the future, the cookie is saved across browser sessions. If you set an expiration date in the past, the cookie is deleted. Use GMT format to specify the date.
domain=domainname; | Setting the domain of the cookie allows pages on a domain made up of more than one server to share cookie information.
path=path; | Setting a path for the cookie allows the current document to share cookie information with other pages within the same domain—that is, if the path is set to /thispathname, all pages in /thispathname and all pages in subfolders of /thispathname can access the same cookie information.
secure; | Setting a cookie as secure means the stored cookie information can be accessed only from a secure environment.

The property is read/write with no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

A cookie is a small piece of information stored by the browser. Each cookie is stored in a name=value; pair called a crumb—that is, if the cookie name is "id" and you want to save the id's value as "this", the cookie would be saved as id=this. You can store up to 20 name=value pairs in the cookie, and the cookie is always returned as a string of all the cookies that apply to the page. This means that you must parse the string returned to find the values of individual cookies.

You can use the Microsoft® JScript® (compatible with ECMA 262 language specification) split Internet Link Non-MSDN link method to extract a value stored in a cookie.

Example

This example creates a cookie with a specified name and value. The value is passed to the JScript escape function to ensure that the value only contains valid characters. When the cookie is retrieved, the JScript unescape function should be used to translate the value back to its original form.

Sample Code

<SCRIPT>
// Create a cookie with the specified name and value.
// The cookie expires at the end of the 20th century.
function SetCookie(sName, sValue)
{
  document.cookie = sName + "=" + escape(sValue) + ";
  expires=Mon, 31 Dec 1999 23:59:59 UTC;";
}
</SCRIPT>

This example retrieves the value of the portion of the cookie specified by the sCookie parameter.

Sample Code

<SCRIPT>
// Retrieve the value of the cookie with the specified name.
function GetCookie(sName)
{
  // cookies are separated by semicolons
  var aCookie = document.cookie.split("; ");
  for (var i=0; i < aCookie.length; i++)
  {
    // a name/value pair (a crumb) is separated by an equal sign
    var aCrumb = aCookie[i].split("=");
    if (sName == aCrumb[0])
      return unescape(aCrumb[1]);
  }

  // a cookie with the requested name does not exist
  return null;
}
</SCRIPT>

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
HTML | N/A
Scripting | document


cookieEnabled Property

Retrieves whether client-side cookies are enabled in the browser.

Syntax

HTML | N/A
Scripting | [ bEnabled= ] navigator.cookieEnabled

Possible Values

bEnabled Boolean that specifies one of the following values:
false | Browser does not support cookies.
true | Browser does support cookies.

The property is read-only with no default value.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
clientInformation, navigator


COORDS Attribute | coords Property

Sets or retrieves the coordinates of a hyperlink AREA within an image MAP.

Syntax

HTML | <AREA COORDS = sCoords ... >
Scripting | object.coords [ = sCoords ]

Possible Values

sCoords String that specifies the coordinates. The format of this string depends on the value of the SHAPE attribute of the AREA element. For details, see the Remarks section.

The property is read/write with no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

The format of sCoords depends on the value of the SHAPE attribute as follows:

SHAPE= "circ" or "circle" | COORDS= "x1,y1,r" – Where x1,y2 are the coordinates of the center of the circle, and r is the radius of the circle.
SHAPE= "poly" or "polygon" | COORDS= "x1,y1,x2,y2...xn,yn" – Where each x,y pair contains the coordinates of one vertex of the polygon.
SHAPE= "rect" or "rectangle" | COORDS= "x1,y1,x2,y2" – Where x1,y1 are the coordinates of the upper-left corner of the rectangle and x2,y2 are the coordinates of the lower-right coordinates of the rectangle.

Example

This example provides the full code for an image map of the solar system. Clicking on the sun or any planet links to an individual image. The user can click the Back button from the image to return to the solar system image map.

Sample Code

<P><IMG SRC="solarsys.gif" WIDTH=504 HEIGHT=126
    BORDER=0 ALT="Solar System" USEMAP="#SystemMap">

<MAP NAME="SystemMap">
    <AREA SHAPE="rect" COORDS="0,0,82,126"
        HREF="/workshop/graphics/sun.gif">
    <AREA SHAPE="circle" COORDS="90,58,3"
        HREF="/workshop/graphics/merglobe.gif">
    <AREA SHAPE="circle" COORDS="124,58,8"
        HREF="/workshop/graphics/venglobe.gif">
    <AREA SHAPE="circle" COORDS="162,58,10"
        HREF="/workshop/graphics/earglobe.gif">
    <AREA SHAPE="circle" COORDS="203,58,8"
        HREF="/workshop/graphics/marglobe.gif">
    <AREA SHAPE="poly"
        COORDS="221,34,238,37,257,32,278,44,284,60,281,75,
            288,91,267,87,253,89,237,81,229,64,228,54"
        HREF="/workshop/graphics/jupglobe.gif">
    <AREA SHAPE="poly"
        COORDS="288,19,316,39,330,37,348,47,351,66,349,74,
            367,105,337,85,324,85,307,77,303,60,307,50"
        HREF="/workshop/graphics/satglobe.gif">
    <AREA SHAPE="poly"
        COORDS="405,39,408,50,411,57,410,71,404,78,393,80,
            383,86,381,75,376,69,376,56,380,48,393,44"
        HREF="/workshop/graphics/uraglobe.gif">
    <AREA SHAPE="poly"
        COORDS="445,38,434,49,431,53,427,62,430,72,435,77,
            445,92,456,77,463,72,463,62,462,53,455,47"
        HREF="/workshop/graphics/nepglobe.gif">
    <AREA SHAPE="circle" COORDS="479,66,3"
        HREF="/workshop/graphics/pluglobe.gif">
</MAP>

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
AREA


cpuClass Property

Retrieves a string denoting the CPU class.

Syntax

HTML | N/A
Scripting | [ sCPU= ] navigator.cpuClass

Possible Values

sCPU String that specifies one of the following values:
x86 | Intel processor.
68K | Motorola processor.
Alpha | Digital processor.
PPC | Motorola processor.
Other | Other CPU classes, including Sun SPARC.

The property is read-only with no default value.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
clientInformation, navigator


cssText Property

Sets or retrieves the persisted representation of the style rule.

Syntax

HTML | N/A
Scripting | object.style.cssText [ = sTxt ]

Possible Values

sTxt String that specifies the text.

The property is read/write with no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Example

This example uses the cssText property to retrieve the cascading style sheets (CSS) style set on an object.

Sample Code

<P ID=oPara STYLE="color:'green'; font-weight:bold">
This is the test paragraph.</P>
:
<BUTTON onclick="alert(oPara.style.cssText)">
Get CSS attributes</BUTTON>

This feature requires Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
runtimeStyle, style


ctrlKey Property

Retrieves the state of the CTRL key.

Syntax

HTML | N/A
Scripting | [ bEvent = ] event.ctrlKey

Possible Values

bEvent Boolean that specifies one of the following values:
false | CTRL key is not pressed.
true | CTRL key is pressed.

The property is read-only with no default value.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
HTML | N/A
Scripting | event


cursor Attribute | cursor Property

Sets or retrieves the type of cursor to display as the mouse pointer moves over the object.

Syntax

HTML | { cursor: sCursor }
Scripting | object.style.cursor [ = sCursor ]

Possible Values

sCursor String that specifies one of the following values:
auto | Browser determines which cursor to display based on the current context.
crosshair | Simple cross hair.
default | Platform-dependent default cursor (usually an arrow).
hand | Hand.
move | Crossed arrows indicating something is to be moved.
*-resize | Arrow indicating edge is to be moved (*may be n, ne, nw, s, se, sw, e, or w—each representing a compass direction).
text | Editable text (usually an I-bar).
wait | Hourglass or watch indicating that the program is busy and the user should wait.
help | Arrow with question mark indicating Help is available.

The property is read/write with a default value of auto; the cascading style sheets (CSS) attribute is inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Example

The following examples use the cursor attribute and the cursor property to change the cursor as it passes over an object.

This example uses a call to an embedded (global) style sheet to set the cursor to hand as the cursor passes over all paragraphs.

Sample Code

<STYLE>
    P { cursor:hand }
</STYLE>

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

This example uses inline scripting to set the cursor to hand as the cursor passes over the paragraph.

<P onmouseover="this.style.cursor='hand'">

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ADDRESS, APPLET, B, BIG, BLOCKQUOTE, BODY, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, currentStyle, custom, DD, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FORM, Hn, HR, HTML, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, KBD, LABEL, LEGEND, LI, LISTING, MARQUEE, MENU, OBJECT, OL, P, PLAINTEXT, PRE, runtimeStyle, S, SAMP, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP


DATA Attribute | data Property

Retrieves the URL that references the data of the object.

Syntax

HTML | <OBJECT DATA = sURL ... >
Scripting | [ sURL = ] object.data

Possible Values

sURL String that specifies the URL of the data.

The property is read-only with no default value.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

OBJECT

See Also

type


data Property

Sets or retrieves the value of a TextNode object.

Syntax

HTML | N/A
Scripting | object.data [ = sData ]

Possible Values

sData String that specifies the value of the TextNode.

The property is read/write with no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Example

This example uses the data property to change the value of a text node.

<SCRIPT>
function fnChangeValue(){
   var oNode = oList.firstChild.childNodes(0);
   var oNewText = document.createTextNode();
   oNewText.data="Create Data";
   oNode.replaceNode(oNewText);
   oNode.data = "New Node Value";

}
</SCRIPT>

<UL ID = oList onclick = "fnChangeValue()">
<LI>Start Here
</UL>

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
TextNode


DATAFLD Attribute | dataFld Property

Sets or retrieves which field of a given data source, as specified by the dataSrc property, to bind to the specified object.

Syntax

HTML | <ELEMENT DATAFLD = sField ... >
Scripting | object.dataFld [ = sField ]

Possible Values

sField String that specifies the field name.

The property is read/write with no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Example

In this example, a text box is bound to the flavor field supplied by a data source object with an ID of ice_cream. Because the text box is contained within a table, the text box is repeated and all values in the flavor column are displayed.

Sample Code

<TABLE DATASRC="#ice_cream">
   <TR><TD><INPUT TYPE=TEXTBOX DATAFLD=flavor></TD></TR>
</TABLE>

In this example, the SELECT object is bound to the card_type column of a data source control with an ID of order. The value of the field in the data set determines the option that is initially selected. In addition, when the user selects a different option from the SELECT, the value of the card_type field in the current record of the data set is updated.

<SELECT DATASRC="#order" DATAFLD="card_type">
   <OPTION>Visa
   <OPTION>Mastercard
   <OPTION>American Express
   <OPTION>Diner's Club
   <OPTION>Discover
</SELECT>

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, APPLET, BODY, BUTTON, DIV, FRAME, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, LABEL, MARQUEE, OBJECT, PARAM, SELECT, SPAN, TEXTAREA

See Also

data binding Internet Link


dataFld Property

Retrieves the data column affected by the oncellchange event.

Syntax

HTML | N/A
Scripting | [ sdataFld = ] event.dataFld

Possible Values

sdataFld String that specifies a data column in the current recordset.

The property is read-only.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
event

See Also

data binding Internet Link


DATAFORMATAS Attribute | dataFormatAs Property

Sets or retrieves how to render the data supplied to the object.

Syntax

HTML | <ELEMENT DATAFORMATAS = sFormat ... >
Scripting | object.dataFormatAs [ = sFormat ]

Possible Values

sFormat String that specifies one of the following values:
text | Data is rendered as text.
html | Data is rendered as HTML.

The property is read/write with a default value of text.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Example

This DIV example renders data in HTML format.

Sample Code

<DIV DATAFLD="Column2" DATAFORMATAS="html"></DIV>

This SPAN example renders data in HTML format.

<SPAN DATASRC="#bank_acct" DATAFLD="balance" DATAFORMATAS="html"></SPAN>

This TEXTAREA example renders data in text format.

<TEXTAREA DATASRC="#customer" DATAFLD="address" DATAFORMATAS="text"
    ROWS=6 COLS=60>
</TEXTAREA>

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
BODY, BUTTON, DIV, INPUT type=button, LABEL, MARQUEE, PARAM, SPAN

See Also

data binding Internet Link


DATAPAGESIZE Attribute | dataPageSize Property

Sets or retrieves the number of records displayed in a table bound to a data source.

Syntax

HTML | <TABLE DATAPAGESIZE = iSize ... >
Scripting | table.dataPageSize [ = iSize ]

Possible Values

iSize Integer that specifies the number of records in the table.

The property is read/write with no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

Use the nextPage and previousPage methods to display the subsequent and previous pages of records in the table.

Example

In this example, a text box is bound to the customer_name field supplied by a data source object with an ID of customer. Because the text box is located within a data-bound TABLE, the text box is repeated to display each of the records in the data source. The DATAPAGESIZE attribute on the TABLE limits the display to 10 records.

Sample Code

<TABLE DATASRC="#customer" DATAPAGESIZE=10>
   <TR><TD><INPUT TYPE=TEXTBOX DATAFLD="customer_name"></TD></TR>
</TABLE>

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

TABLE

See Also

data binding Internet Link, nextPage, previousPage


DATASRC Attribute | dataSrc Property

Sets or retrieves the source of the data for data binding.

Syntax

HTML | <ELEMENT DATASRC = sID ... >
Scripting | object.dataSrc [ = sID ]

Possible Values

sID String that specifies the identifier of the data source.

The property is read/write with no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

Tabular and single-valued data consumers use the dataSrc property to specify a binding. The property takes a string that corresponds to the unique identifier of a data source object (DSO) on the page. The string must be prefixed by a hash (#) mark.

When the dataSrc property is applied to a tabular data consumer the entire data set is repeated by the consuming elements.

When the dataSrc property is applied to a TABLE, any contained single-valued consumer objects that specify a dataFld property are repeated for each record in the supplied data set. To complete the binding, the binding agent interrogates the enclosing TABLE for its data source. A tabular data consumer contained within another tabular data consumer (TABLE) must specify an explicit dataSrc.

Example

In this example, a text box is bound to the customer_name field of a data source object with an ID of "customer". Because the text box is located within a data-bound TABLE, the text box is repeated to display each of the records provided by the data source.

Sample Code

<TABLE DATASRC="#customer">
   <TR><TD><INPUT TYPE=TEXTBOX DATAFLD="customer_name"><TD><TR>
</TABLE>

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, APPLET, BODY, BUTTON, DIV, FRAME, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, LABEL, MARQUEE, OBJECT, PARAM, SELECT, SPAN, TABLE, TEXTAREA

See Also

data binding Internet Link


defaultCharset Property

Sets or retrieves the default character set of the document.

Syntax

HTML | N/A
Scripting | object.defaultCharset [ =sCharset ]

Possible Values

sCharset String that specifies the default character set.

The property is read/write with a default value of iso-8859-1.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
HTML | N/A
Scripting | META, document


defaultChecked Property

Sets or retrieves the state of the check box or radio button.

Syntax

HTML | N/A
Scripting | input.defaultChecked [ =bChecked ]

Possible Values

bChecked Boolean that specifies one of the following values:
true | Check box or radio button is selected by default.
false | Check box or radio button is not selected by default.

The property is read/write with a default value of true.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

The property can be changed programmatically, but doing so has no effect on the appearance of the check box or radio button or on how forms are submitted.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
INPUT TYPE=checkbox, INPUT TYPE=radio

See Also

checked


defaultSelected Property

Sets or retrieves the status of the option.

Syntax

HTML | N/A
Scripting | option.defaultSelected [ =bSelected ]

Possible Values

bSelected Boolean that specifies one of the following values:
true | Option is selected by default.
false | Option is not selected by default.

The property is read/write with a default value of true.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

The property can be changed programmatically, but doing so has no effect on the appearance of the option or the submitted value. The property does change the appearance of the selected option if the form is reset.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
HTML | N/A
Scripting | OPTION

See Also

selected


defaultStatus Property

Sets or retrieves the default message displayed in the status bar at the bottom of the window.

Syntax

HTML | N/A
Scripting | window.defaultStatus [ =sMessage ]

Possible Values

sMessage String that specifies the message for the status bar.

The property is read/write with no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

Do not confuse defaultStatus with status. The status property reflects a priority or transient message in the status bar, such as the message that appears when an onmouseover event occurs over an anchor.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
HTML | N/A
Scripting | window


defaultValue Property

Sets or retrieves the initial contents of the object.

Syntax

HTML | N/A
Scripting | object.defaultValue [ =sValue ]

Possible Values

sValue String that specifies the initial value of the object.

The property is read/write with no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

The value of the property can be changed programmatically, but doing so has no effect on the appearance of the object or the submitted value. It does, however, change the initial value of the object when the form is reset.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, TEXTAREA


DEFER Attribute | defer Property

Sets or retrieves the status of the script.

Syntax

HTML | <SCRIPT DEFER = bDefer ... >
Scripting | script.defer [ =bDefer ]

Possible Values

bDefer Boolean that specifies one of the following values:
false | Inline executable function is not deferred.
true | Inline executable function is deferred.

The property is read/write with a default value of false.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

Using the attribute at design time can improve the download performance of a page because the browser does not need to parse and execute the script and can continue downloading and parsing the page instead.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

SCRIPT


designMode Property

Sets or retrieves whether the document can be edited.

Syntax

HTML | N/A
Scripting | document.designMode [ =sMode ]

Possible Values

sMode String that specifies one of the following values:
On | Document can be edited.
Off | Inherit | Document cannot be edited.

The property is read/write with a default value of Inherit.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

You can use the designMode property to put Internet Explorer into a mode where you can edit the current document.

While the browser is in design mode, objects enter a UI-activated state when the user presses the ENTER key or clicks an object that has focus, or when the user double-clicks the object. Objects that are UI activated have their own window within the document. You can modify the UI only when the object is in a UI-activated state.

You cannot execute script when the value of the designMode property is set to On.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
document

See Also

mshtml editing Internet Link


dialogArguments Property

Retrieves the variable or array of variables passed into the modal dialog window.

Syntax

HTML | N/A
Scripting | [ vVariables = ] window.dialogArguments

Possible Values

vVariables String, numeric, object, or array value that specifies arguments.

The property is read-only with no default value.

Remarks

The dialogArguments property applies only to windows created using the showModalDialog method.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
window


dialogHeight Property

Sets or retrieves the height of the modal dialog window.

Syntax

HTML | N/A
Scripting | window.dialogHeight [ = iHeight ]

Possible Values

iHeight Integer that specifies the height, in ems.

The property is read/write with no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

The dialogHeight property applies only to windows created using the showModalDialog method.

Although a user can manually adjust the height of a dialog box to a smaller value—provided the dialog box is resizable—the minimum dialogHeight you can set using script is 100 pixels.

Example

This example creates a dialog window using the dialogHeight property to set the new window's height.

Sample Code

<SCRIPT>
function someMessage()
{
    event.srcElement.blur();
    window.showModalDialog("message.htm", "",
        "dialogWidth:5cm; dialogHeight:10cm")
}
</SCRIPT>
</HEAD>
<BODY>
<SELECT onchange="someMessage()">
    <OPTION>Item 1</OPTION>
    <OPTION>Item 2</OPTION>
    <OPTION>Item 3</OPTION>
</SELECT>

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
HTML | N/A
Scripting | window


dialogLeft Property

Sets or retrieves the left coordinate of the modal dialog window.

Syntax

HTML | N/A
Scripting | window.dialogLeft [ = iLeft ]

Possible Values

iLeft Integer that specifies the left coordinate, in ems.

The property is read/write with no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

The dialogLeft property applies only to windows created using the showModalDialog method.

Example

This example creates a dialog window using the dialogLeft property to set the position relative to the left side of the screen.

Note Do not break the script code into two lines as in the fourth line of the example. This was done for readability only.

Sample Code

<SCRIPT>
function someMessage()
{
    event.srcElement.blur();
    window.showModalDialog("message.htm", "",
        "dialogWidth:5cm; dialogHeight:10cm;
        dialogTop:0cm; dialogLeft:0cm")
}
</SCRIPT>
</HEAD>
<BODY>
<SELECT onchange="someMessage()">
    <OPTION>Item 1</OPTION>
    <OPTION>Item 2</OPTION>
    <OPTION>Item 3</OPTION>
</SELECT>

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
HTML | N/A
Scripting | window


dialogTop Property

Sets or retrieves the top coordinate of the modal dialog window.

Syntax

HTML | N/A
Scripting | window.dialogTop [ = iTop ]

Possible Values

iTop Integer that specifies the top coordinate, in ems.

The property is read/write with no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

The dialogTop property applies only to windows created using the showModalDialog method.

Example

This example creates a dialog window using the dialogTop property to set the position relative to the top of the screen.

Note Do not break the script code into two lines as in the fourth line of the example. This was done for readability only.

Sample Code

<SCRIPT>
function someMessage()
{
    event.srcElement.blur();
    window.showModalDialog("message.htm", "",
        "dialogWidth:5cm; dialogHeight:10cm;
        dialogTop:0cm; dialogLeft:0cm")
}
</SCRIPT>
</HEAD>
<BODY>
<SELECT onchange="someMessage()">
    <OPTION>Item 1</OPTION>
    <OPTION>Item 2</OPTION>
    <OPTION>Item 3</OPTION>
</SELECT>

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
HTML | N/A
Scripting | window


dialogWidth Property

Sets or retrieves the width of the modal dialog window.

Syntax

HTML | N/A
Scripting | window.dialogWidth [ = iWidth ]

Possible Values

iWidth Integer that specifies the width, in ems.

The property is read/write with no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

The dialogWidth property applies only to windows created using the showModalDialog method.

Example

This example creates a dialog window using the dialogWidth property to set the new window's width.

Sample Code

<SCRIPT>
function someMessage()
{
    event.srcElement.blur();
    window.showModalDialog("message.htm", "",
    "dialogWidth:5cm; dialogHeight:10cm")
}
</SCRIPT>
</HEAD>
<BODY>
<SELECT onchange="someMessage()">
    <OPTION>Item 1</OPTION>
    <OPTION>Item 2</OPTION>
    <OPTION>Item 3</OPTION>
</SELECT>

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
HTML | N/A
Scripting | window


DIR Attribute | dir Property

Sets or retrieves the reading order of the object.

Syntax

HTML | <ELEMENT DIR = sDir ... >
Scripting | object.dir [ =sDir ]

Possible Values

sDir String that specifies one of the following values:
ltr | Text flow is left-to-right.
rtl | Text flow is right-to-left.

The property is read/write with a default value of ltr.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ACRONYM, ADDRESS, AREA, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, custom, DD, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, Hn, I, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LABEL, LEGEND, LI, LISTING, MAP, MARQUEE, MENU, NOBR, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, RT, RUBY, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP

See Also

direction


DIRECTION Attribute | direction Property

Sets or retrieves the direction in which the text should scroll.

Syntax

HTML | <MARQUEE DIRECTION = sDirection ... >
Scripting | marquee.direction [ =sDirection ]

Possible Values

sDirection String that specifies one of the following values:
left | Marquee scrolls left.
right | Marquee scrolls right.
down | Marquee scrolls down.
up | Marquee scrolls up.

The property is read/write with a default value of left.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
MARQUEE


direction Attribute | direction Property

Sets or retrieves the reading order of the specified object.

Syntax

HTML | { direction:sDirection }
Scripting | object.style.direction [ =sDirection ]

Possible Values

sDirection String that specifies one of the following values:
ltr | Text flow is left-to-right.
rtl | Text flow is right-to-left.
inherit | Text flow value is inherited.

The property is read/write with a default value of ltr.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ACRONYM, ADDRESS, AREA, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, currentStyle, custom, DD, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, Hn, I, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LABEL, LEGEND, LI, LISTING, MAP, MARQUEE, MENU, NOBR, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, RT, RUBY, runtimeStyle, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP

See Also

dir


DISABLED Attribute | disabled Property

Sets or retrieves the status of a control or style.

Syntax

HTML | <ELEMENT DISABLED = bDisabled ... >
Scripting | object.disabled [ = bDisabled ]

Possible Values

bDisabled Boolean that specifies one of the following values:
false | Control or style is not disabled.
true | Control or style is disabled.

The property is read/write with a default value of false.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

When a control is disabled it appears dimmed and does not respond to user input. When a style is disabled, all of the rules no longer render.

The disabled property applies to the STYLE object, not the style property.

Example

This example uses the disabled property to enable or disable a STYLE object and a control.

Sample Code

<STYLE ID=oStyle>
.styletest{background-color: black; color: white;}
.styletest2{background-color: black; color: red;}
</STYLE>

<SCRIPT>
function fnSwitch(){
   if(oParagraph.enablement == "enabled"){
      // Use an arbitrary attribute to track the status.
      oParagraph.enablement = "disabled";
      oButton.value = "Set disabled to false";
      oStyle.disabled = true;
      oDisableMe.disabled = true;
   }
   else{
      oButton.value = "Set disabled to true";
      oParagraph.enablement = "enabled";
      oStyle.disabled = false;
      oDisableMe.disabled = false;
    }
}
</SCRIPT>

:

<P enablement = "enabled" ID = oParagraph CLASS = "styletest">
A paragraph of text.

<INPUT TYPE = button ID = oDisableMe
CLASS = "styletest"
VALUE = "Demonstration Button"
onclick = "alert('Demonstration button')">
</P>

<INPUT TYPE=button
ID=oButton
VALUE="Set disabled to true"
onclick="fnSwitch()">
This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
APPLET, BUTTON, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, LINK, SELECT, TEXTAREA


disabled Property

Sets or retrieves whether a style sheet is applied to an object.

Syntax

HTML | N/A
Scripting | styleSheet.disabled [ = bDisabled ]

Possible Values

bDisabled Boolean that specifies one of the following values:
false | Style sheet is applied to the object.
true | Style sheet is not applied to the object.

The property is read/write with a default value of false.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

The value of this property can also change per media-dependent style sheets.

Example

This example uses the disabled property to indicate whether a style sheet is applied to the BODY element.

Sample Code

<STYLE>
BODY {background-color: #000000; color: #FFFF00;}
</STYLE>
<SCRIPT>
function fnToggle(){
   var oStyle=document.styleSheets[0];
   if(oStyle.disabled==true){
      oStyle.disabled=false;
   }
   else{
      oStyle.disabled=true;
   }
}
</SCRIPT>
<BODY>
<P>
Click Toggle Style Sheet to enable/disable
styles applied to the BODY element.
</P>
<P>
<INPUT TYPE="button"
   VALUE="Toggle Style Sheet"
   onclick="fnToggle()">
</P>
</BODY>

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
styleSheet


display Attribute | display Property

Sets or retrieves whether the object is rendered.

Syntax

HTML | { display: sDisplay }
Scripting | object.style.display [ = sDisplay ]

Possible Values

sDisplay String that specifies one of the following values:
block | Object is rendered as a block element.
none | Object is not rendered.
inline | Object is rendered as an inline element sized by the dimensions of the content.
list-item | Object is rendered as a block element, and a list-item marker is added.
table-header-group | Table header is always displayed before all other rows and row groups, and after any top captions. The header is displayed on each page spanned by a table.
table-footer-group | Table footer is always displayed after all other rows and row groups, and before any bottom captions. The footer is displayed on each page spanned by a table.

The property is read/write with a default value of block for block elements and inline for inline elements; the cascading style sheets (CSS) attribute is not inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

In Internet Explorer 4.0, the block, inline, and list-item values are not supported explicitly, but do render the element.

The block and inline values are supported explicitly as of Internet Explorer 5.

All visible HTML objects are block or inline. For example, a DIV object is a block element, and a SPAN object is an inline element. Block elements typically start a new line and can contain other block elements and inline elements. Inline elements do not typically start a new line and can contain other inline elements or data. Changing the values for the display property affects the layout of the surrounding content by:

  • Adding a new line after the element with the value block.
  • Removing a line from the element with the value inline.
  • Hiding the data for the element with the value none.

In contrast to the visibility property, display=none reserves no space for the object on the screen.

The table-header-group and table-footer-group values can be used to specify that the contents of the THEAD and TFOOT objects are displayed on every page for a table that spans multiple pages.

Example

This example show the effect of changing the values for the display property between inline, block, and none.

Sample Code

<SPAN ID=oSpan>
This is a SPAN
</SPAN>
in a sentence.
<P>
<INPUT TYPE=button VALUE="Block"
    onclick="oSpan.style.display='block'">
:
This feature requires Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

This example uses function calls to hide and show table rows and cells.

<SCRIPT>
function getPets()
{
    oRow1Cell2.style.display="none";
    oRow2Cell2.style.display="block";
    oRow3Cell2.style.display="none";
}
</SCRIPT>
:
<TABLE>
<TR ID="oRow1"><TD>Horses</TD>
<TD ID="oRow1Cell2">Thoroughbreds</TD>
<TD>Fast</TD></TR>
<TR ID="oRow2"><TD>Dogs</TD>
<TD ID="oRow2Cell2">Greyhounds</TD>
<TD>Fast</TD></TR>
<TR ID="oRow3"><TD>Marsupials</TD>
<TD ID="oRow3Cell2">Opossums</TD>
<TD>Slow</TD></TR>
</TABLE>
:
<INPUT TYPE=button onclick="getPets()"
    VALUE="Show household pets">

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ACRONYM, ADDRESS, APPLET, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, custom, DD, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, Hn, HR, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LABEL, LEGEND, LI, LISTING, MARQUEE, MENU, NEXTID, NOBR, OBJECT, OL, P, PLAINTEXT, PRE, Q, RT, RUBY, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP


documentElement Property

Retrieves a reference to the root node of the document.

Syntax

HTML | N/A
Scripting | [ oElement = ] document.documentElement

Possible Values

oElement Object that specifies the reference to the document element.

The property is read-only with no default value.

Remarks

The root node of a typical HTML document is the HTML object.

Example

This example uses the documentElement property to retrieve the innerHTML property of the entire document.

<SCRIPT>
function fnGetHTML(){
   var sData = document.documentElement.innerHTML;
   oResults.value=sData;
}
</SCRIPT>

<TEXTAREA ID = oResults COLS = 50 ROWS = 10>
</TEXTAREA>

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
document


domain Property

Sets or retrieves the security domain of the document.

Syntax

HTML | N/A
Scripting | document.domain [ =sDomain ]

Possible Values

sDomain String that specifies the domain suffix.

The property is read/write with no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

The property initially returns the host name of the server the page is served from. The property can be assigned the domain suffix to allow sharing of pages across frames. For example, a page in one frame from home.microsoft.com and a page from www.microsoft.com initially would not be able to communicate with each other. However, by setting the domain property of both pages to the suffix "microsoft.com", both pages are considered secure and access is available between the pages.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
HTML | N/A
Scripting | document


dropEffect Property

Sets or retrieves the type of drag-and-drop operation and the cursor to display for the object.

Syntax

HTML | N/A
Scripting | event.dataTransfer.dropEffect[ = sCursorStyle ]

Possible Values

sCursorStyle String that specifies one of the following values:
copy | Copy cursor is displayed.
link | Link cursor is displayed.
move | Move cursor is displayed.
none | No cursor is specified. Instead, the no-drop cursor is displayed.

The property is read/write with a default value of none.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

The target object can set the dropEffect during the ondragenter, ondragover, and ondrop events. To display the desired cursor until the final drop, the default action of the ondragenter, ondragover, and ondrop events must be canceled and the dropEffect must be set. Otherwise, the copy cursor, move cursor, or link cursor set by this property displays only until the first valid drop target is intersected, at which point the cursor is replaced by the drop/no-drop cursor for the duration of the drag operation.

The drag-and-drop behaviors implemented in Internet Explorer 4.0 and supported by Internet Explorer 5 can affect dropEffect behavior in certain situations. Internet Explorer delivers default drag-and-drop functionality for anchor, image, TEXTAREA, and text box. When one of these objects comprises the source element, the default drop effect cannot be overridden by setting the dropEffect of the target element. The source object's default behavior must be canceled.

For dropEffect to work, it must be used with the effectAllowed property of the source object. The effectAllowed property determines which drag-and-drop operations are available from the source object for the entire document. The dropEffect property determines which drag-and-drop operations are allowed for the target object. For example, the source object might set the effectAllowed property to all drag-and-drop operations, while the target object specifies that the dropEffect allows only copy operations. The effectAllowed property must be set in one of the source drag-and-drop event handlers, such as the ondragstart event.

The recommended technique for dropping text is to add the dropEffect to the following events: ondragenter, ondragover, and ondrop.

The dropEffect property applies standard system cursors.

Example

This example uses the dropEffect and effectAllowed properties of the dataTransfer object to display the move cursor.

Sample Code

<HEAD>
<SCRIPT>
var gsDefault = gsEffect = "move";
function fnSetEffect(){
  var iKey = window.event.keyCode; // check modifier to determine
                                   // appropriate action
  switch (iKey){
     case 67: // c is for cookie (and copy)
        gsEffect = "copy";
        break;
     case 77: // m is for move
        gsEffect = "move";
        break;
     otherwise: // use default;
        gsEffect = gsDefault;
        break;
  }
}

// Changes to text of target and source objects must be manually coded.
function fnHandleDrag(){
  var oEvent = window.event;
  var oSrc = oEvent.srcElement;
  var oData = window.event.dataTransfer;

  oData.effectAllowed = gsEffect;
  oData.dropEffect = gsEffect;
}

// This function is called by the target object in the ondrop event.
function fnHandleDrop(){
  var oEvent = window.event;
  var oTarg = oEvent.srcElement;
  var oData = window.event.dataTransfer;

  fnCancelDefault(); // cancels default action and manage icon

  /*
      Sets the content of the oTarget to the information stored
      in the data transfer object in the desired format.
  */

  // Hide the data transfer object contents.
  oTarg.innerText += oData.getData("text");
}

function fnHandleDragOver(){
    fnCancelDefault();
}

function fnHandleDragEnter(){
    fnCancelDefault();
}

function fnCancelDefault(){
  // Cancel default action and manage the drop effect.
  var oEvent = window.event;
  oEvent.returnValue = false;
//  oEvent.dataTransfer.dropEffect = gsEffect;
}
</SCRIPT>
</HEAD>
<BODY>
<B>[not this text]
<SPAN
   ID="oSource"
   onmousedown="fnSetEffect()"
   ondragstart="fnHandleDrag()"
   >[select and drag this text]
</SPAN>
[not this text]
</B>
<DIV ID="oTarget"
   STYLE="background:beige; height:100; width:200"
   ondrop="fnHandleDrop()"
   ondragover="fnHandleDragOver()"
   ondragenter="fnHandleDragEnter()">
[drop text here]
</DIV>
</BODY>

This feature requires Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
dataTransfer

See Also

dhtml data transfer overview Internet Link, clearData, effectAllowed, getData, setData


DYNSRC Attribute | dynsrc Property

Sets or retrieves the address of a video clip or VRML world to be displayed in the window.

Syntax

HTML | <IMG DYNSRC = sURL ... >
Scripting | img.dynsrc [ =sURL ]

Possible Values

sURL String that specifies the URL of the video source.

The property is read/write with no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
IMG


effectAllowed Property

Sets or retrieves, on the source element, which data transfer operations are allowed for the object.

Syntax

HTML | N/A
Scripting | event.dataTransfer.effectAllowed[ = sEffect ]

Possible Values

sEffect String that specifies one of the following values:
copy | Selection is copied.
link | Selection is linked to the drop target by the data transfer operation.
move | Selection is moved to the target location when dropped.
copyLink | Selection is copied or linked, depending on the target default.
copyMove | Selection is copied or moved, depending on the target default.
linkMove | Selection is linked or moved, depending on the target default.
all | All drop effects are supported.
none | Dropping is disabled and the no-drop cursor is displayed.
uninitialized | No value has been set through the effectAllowed property. In this case, the default effect still works, although it cannot be queried through this property.

The property is read/write with a default value of uninitialized.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

Set the effectAllowed property in the ondragstart event. This property is used most effectively with the dropEffect property.

This property can be used to override the default behavior in other applications. For example, the browser script can set the effectAllowed property to copy for a text field and thereby override the Microsoft® Word default of move. Within the browser, copy is the default effectAllowed behavior, except for anchors, which are set to link by default, and text fields, which are set to move by default.

Setting effectAllowed to none disables dropping but still displays the no-drop cursor. To avoid displaying the no-drop cursor, cancel the returnValue of the ondragstart window.

Example

This example uses the dropEffect and effectAllowed properties to move text in a drag-and-drop operation.

Sample Code

<HEAD>
<SCRIPT>
var gsDefault = gsEffect = "move";
function fnSetEffect(){
  var iKey = window.event.keyCode; // check modifier to determine
                                   // appropriate action
  switch (iKey){
     case 67: // c is for cookie (and copy)
        gsEffect = "copy";
        break;
     case 77: // m is for move
        gsEffect = "move";
        break;
     otherwise: // use default;
        gsEffect = gsDefault;
        break;
  }
}

// Changes to text of target and source objects must be manually coded.
function fnHandleDrag(){
  var oEvent = window.event;
  var oSrc = oEvent.srcElement;
  var oData = window.event.dataTransfer;

  oData.effectAllowed = gsEffect;
  oData.dropEffect = gsEffect;
}

// This function is called by the target object in the ondrop event.
function fnHandleDrop(){
  var oEvent = window.event;
  var oTarg = oEvent.srcElement;
  var oData = window.event.dataTransfer;

  fnCancelDefault(); // cancels default action and manage icon

  /*
      Sets the content of the oTarget to the information stored
      in the data transfer object in the desired format.
  */

  // Hide the data transfer object contents.
  oTarg.innerText += oData.getData("text");
}

function fnHandleDragOver(){
    fnCancelDefault();
}

function fnHandleDragEnter(){
    fnCancelDefault();
}

function fnCancelDefault(){
  // Cancel default action and manage the drop effect.
  var oEvent = window.event;
  oEvent.returnValue = false;
//  oEvent.dataTransfer.dropEffect = gsEffect;
}
</SCRIPT>
</HEAD>
<BODY>
<B>[not this text]
<SPAN
   ID="oSource"
   onmousedown="fnSetEffect()"
   ondragstart="fnHandleDrag()"
   >[select and drag this text]
</SPAN>
[not this text]
</B>
<DIV ID="oTarget"
   STYLE="background:beige; height:100; width:200"
   ondrop="fnHandleDrop()"
   ondragover="fnHandleDragOver()"
   ondragenter="fnHandleDragEnter()">
[drop text here]
</DIV>
</BODY>
This feature requires Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
dataTransfer

See Also

dhtml data transfer overview Internet Link, clearData, getData, setData


ENCTYPE Attribute | encoding Property

Sets or retrieves the MIME encoding for the form.

Syntax

HTML | <FORM ENCTYPE = sType ... >
Scripting | object.encoding [ =sType ]

Possible Values

sType String that specifies the format of the data being submitted by the form.

The property is read/write with a default value of application/x-www-form-urlencoded.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

Internet Explorer 4.0 also recognizes multipart/form-data, which, along with a POST method, is required to submit a file upload to the server.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

FORM

See Also

action


EVENT Attribute | event Property

Retrieves the event for which the script is written.

Syntax

HTML | <SCRIPT EVENT = sEvent ... >
Scripting | [ sEvent = ] script.event

Possible Values

sEvent String that specifies the event. The value for an onmouseover event, for example, is "onmouseover()".

The property is read-only with no default value.

Example

This example uses the EVENT attribute and the event property to handle the onclick event.

Sample Code

<SCRIPT ID=oButtonScript FOR="oButton" EVENT="onclick()">
    var sMessage1 = "Flip"
    var sMessage2 = "Flop"
    if (oButton.innerText == sMessage1) {
        oButton.innerText = sMessage2;
        }
    else {
    if (oButton.innerText == sMessage2) {
        oButton.innerText = sMessage1;
        }
</SCRIPT>
</HEAD>
<BODY>
:
<BUTTON ID="oButton" onmouseout="alert(oButtonScript.event)">Flip</BUTTON>

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

SCRIPT

See Also

event


expando Property

Sets or retrieves whether arbitrary variables can be created within an object.

Syntax

HTML | N/A
Scripting | document.expando [ =bExpand ]

Possible Values

bExpand Boolean that specifies one of the following values:
true | Creation of arbitrary variables is allowed.
false | Creation of arbitrary variables is not allowed.

The property is read/write with a default value of true.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

You can extend the properties on an object by creating arbitrary properties with values. You should be careful, however, because you can unintentionally set a property value when scripting in a case-sensitive language such as Microsoft® JScript® (compatible with ECMA 262 language specification). For example, if the property value is borderColor and you type the value "bordercolor = 'blue'", you have, in fact, created another property on the style object called bordercolor with the value 'blue'. If you query the value of the property, the value "blue" is returned. However, the borders for the element do not turn blue.

Microsoft® Visual Basic® Scripting Edition (VBScript) does not support expando properties on its native language objects, nor does it cause Microsoft® Internet Explorer to create expando properties on its objects. Internet Explorer supports creation of expando properties on its objects, in any language, through setAttribute.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
HTML | N/A
Scripting | document


FACE Attribute | face Property

Sets or retrieves the current typeface family.

Syntax

HTML | <ELEMENT FACE = sTypeface ... >
Scripting | object.face [ = sTypeface ]

Possible Values

sTypeface String that specifies the typeface family.

The property is read/write with no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Example

This example sets the typeface family using the FACE attribute and the face property.

Sample Code

<FONT FACE="Arial" ID=oFont>
:
<SCRIPT>
    alert(oFont.face + "\n" + "When you click this, the font will change");
    oFont.face = 'Courier';
    alert(oFont.face + "\n" + "The font has changed.");
</SCRIPT>

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

BASEFONT, FONT

See Also

font


fgColor Property

Sets or retrieves the foreground (text) color of the document.

Syntax

HTML | N/A
Scripting | document.fgColor [ =sColor ]

Possible Values

sColor String that specifies any one of the color names or values in the Color Table.

The property is read/write with a default value of #000000.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
HTML | N/A
Scripting | document

See Also

color, text


fileCreatedDate Property

Retrieves the date the file was created.

Syntax

HTML | N/A
Scripting | [ sDate = ] object.fileCreatedDate

Possible Values

sDate String that specifies the date the file was created (for example, Monday, December 08, 1997).

The property is read-only with no default value.

Example

This example implements the fileCreatedDate property to count the number of days since the document was created.

Sample Code

<SCRIPT>
window.onload=fnInit;
function fnInit(){
   // Date document was created
   var oCreated=new Date(document.fileCreatedDate);
   // Today's Date
   var oToday=new Date();
   var iSeconds=1000;
   var iMinutes=60;
   var iHours=24;
   // Divisor to convert milliseconds into days
   var iDays=iSeconds * iMinutes * iHours;
   var iDaysBetween=(oToday.getTime() - oCreated.getTime()) / iDays;

   alert("Created: " + oCreated
      + "\nDays since created: " + iDaysBetween
   );

}
</SCRIPT>

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
document, IMG


fileModifiedDate Property

Retrieves the date the file was last modified.

Syntax

HTML | N/A
Scripting | [ sDate = ] object.fileModifiedDate

Possible Values

sDate String that specifies the date of the last file modification (for example, Monday, December 08, 1997).

The property is read-only with no default value.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
document, IMG


fileSize Property

Retrieves the file size.

Syntax

HTML | N/A
Scripting | [ iSize = ] object.fileSize

Possible Values

iSize Integer that specifies the file size.

The property is read-only with no default value.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
document, IMG


fileUpdatedDate Property

Retrieves the date the file was last updated.

Syntax

HTML | N/A
Scripting | [ sDate = ] img.fileUpdatedDate

Possible Values

sDate String that specifies the date of the last update (for example, Monday, December 08, 1997).

The property is read-only with no default value.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
IMG


filter Attribute | filter Property

Sets or retrieves the filter or collection of filters applied to the object.

Syntax

HTML | { filter: sFilter }
Scripting | object.style.filter [ = sFilter ]

Possible Values

sFilter String that specifies one of the following values:
filtertype1 (parameter1, parameter2,...) | Any of the filters listed in the Visual Filters and Transitions Reference.
filtertype2 (parameter1, parameter2,...) | Any of the filters listed in the Visual Filters and Transitions Reference.

The property is read/write with no default value; the proposed cascading style sheets (CSS) extension attribute is not inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

When using a SPAN or DIV object, be sure to specify at least one of the three required CSS attributes: height, width, or position (absolute or relative).

The shadow filter can be applied to the IMG object by setting the filter on the image's parent container.

For more information about filters, see creating multimedia effects with visual filters and transitions Internet Link. The filter mechanism is extensible and allows you to develop and add additional filters later.

Not available on the Macintosh platform.

Example

The following examples use the filter attribute and the filter property to apply filters.

This example uses an inline style sheet to set the filter on an image.

<IMG STYLE="filter:blur(strength=50) flipv()"
    SRC="cone.jpg">

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

This example uses inline scripting to set the filter on an image.

Sample Code

<SCRIPT>
function doFilter ()
{
    filterFrom.filters.item(0).Apply();
    // 12 is the dissolve filter.
    filterFrom.filters.item(0).Transition=12;
    imageFrom.style.visibility = "hidden";
    filterTo.style.visibility = "";
    filterFrom.filters.item(0).play(14);
}
</SCRIPT>
</HEAD>
<BODY>
Click on the image to start the filter.<BR>
// Call the function.
<DIV ID="filterFrom" onClick="doFilter()"
    STYLE="position:absolute;
        width:200;
        height:250;
        background-color:white;
        filter:revealTrans()">
<IMG ID="imageFrom"
    STYLE="position:absolute;
        top:20;
        left:20;"
    SRC="sphere.jpg">
<DIV ID="filterTo"
    STYLE="position:absolute;
        width:200;
        height:250;
        top:20;
        left:20;
        background:white;
        visibility:hidden;">
</DIV>
</DIV>
This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
BODY, BUTTON, custom, DIV, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, MARQUEE, runtimeStyle, SPAN, style, TABLE, TD, TEXTAREA, TH


firstChild Property

Retrieves a reference to the first child in the childNodes collection of the object.

Syntax

HTML | N/A
Scripting | [ oElement = ] object.firstChild

Possible Values

oElement Object that specifies the first child object.

The property is read-only with no default value.

Example

This example implements the firstChild attribute to obtain the first child element of an object.

<SCRIPT>
var oFirstChild = oList.firstChild;
</SCRIPT>

<BODY>
<UL ID = oList>
<LI>List Item 1
<LI>List Item 2
<LI>List Item 3
</UL>
<BODY>

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ACRONYM, ADDRESS, APPLET, AREA, B, BASE, BASEFONT, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, COMMENT, DD, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, HEAD, Hn, HR, HTML, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LABEL, LEGEND, LI, LINK, LISTING, MAP, MARQUEE, MENU, NEXTID, OL, OPTION, P, PLAINTEXT, PRE, Q, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TITLE, TR, TT, U, UL, VAR, XMP

See Also

lastChild


float Attribute | styleFloat Property

Sets or retrieves on which side of the object the text will flow.

Syntax

HTML | { float: sFloat }
Scripting | object.style.styleFloat [ = sFloat ]

Possible Values

sFloat String that specifies one of the following values:
none | Object displays where it appears in the text.
left | Text flows to the right of the object.
right | Text flows to the left of the object.

The property is read/write with a default value of none; the cascading style sheets (CSS) attribute has a default value of none and is not inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

With a value of left or right, the object is treated as block-level—that is, the display property is ignored. For example, floating paragraphs allow the paragraphs to appear side-by-side on a page.

Objects following a floating object move in relation to the position of the floating object.

The floating object is moved left or right until it reaches the border, padding, or margin of another block-level object.

DIV and SPAN objects must have a width set for the float attribute to render. In Internet Explorer 5, DIV and SPAN objects are assigned a width by default and will render if a width is not specified.

Example

This example shows how the float attribute affects the flow of the text. The sphere image floats to the left of the text, and the cone floats to the right.

Sample Code

<img src="sphere.jpg" style="float:left">
<img src="cone.jpg" style="float:right">

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

This example uses inline scripting and the styleFloat property to swap images when the mouse moves over the button.

Sample Code

<IMG ID=oSphere SRC="sphere.jpeg" STYLE="float:left">
<IMG ID=oCone SRC="cone.jpeg" STYLE="float:right">
:
<BUTTON onmouseover="oSphere.style.styleFloat='right';
    oCone.style.styleFloat='left'"
    onmouseout="oSphere.style.styleFloat='left';
    oCone.style.styleFloat='right'">
    Flip-flop images.
</BUTTON>

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ADDRESS, APPLET, B, BIG, BLOCKQUOTE, BUTTON, CENTER, CITE, CODE, currentStyle, custom, DD, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FORM, Hn, HR, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, ISINDEX, KBD, LABEL, LEGEND, LI, LISTING, MARQUEE, MENU, OBJECT, OL, P, PRE, RT, RUBY, runtimeStyle, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TABLE, TEXTAREA, TT, U, UL, VAR, XMP


font Attribute | font Property

Sets or retrieves up to six separate font properties of the object.

Syntax

HTML | { font: sFont }
Scripting | object.style.font [ = sFont ]

Possible Values

sFont String that specifies up to six of the space-delimited values listed first in the following table, plus one or more of the values listed after them:
font-style | Any of the range of font-style values available to the fontStyle property.
font-variant | Any of the range of font-variant values available to the fontVariant property.
font-weight | Any of the range of font-weight values available to the fontWeight property.
font-size | Any of the range of font-size values available to the fontSize property.
line-height | Any of the range of line-height values available to the lineHeight property.
font-family | Any of the range of font-family values available to the fontFamily property.
caption | Text font used in objects that have captions (buttons, labels, and so on).
icon | Text font used in icon labels.
menu | Text font used in menus.
messagebox | Text font used in dialog boxes.
smallcaption | Text font used in small controls.
statusbar | Text font used in window status bars.

The property is read/write with the default value set by the browser; the cascading style sheets (CSS) attribute is inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

This is a composite property that specifies up to six font values, in the following order: font-style, font-variant, font-weight, font-size, line-height, font-family. Setting the font property also sets the component properties. In this case, the string must be a combination of valid values for the component properties, with no more than one value per property. If the string does not contain a value for a component property, that property is set to its default.

Example

The following examples use the font attribute and the font property to change font characteristics.

This example uses an inline style sheet to set the font attributes.

Sample Code

<SPAN STYLE="font:italic normal bolder 12pt Arial">
:
</SPAN>

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

This example uses inline scripting to set the font properties.

<DIV onmouseover="this.style.font = 'italic small-caps bold 12pt serif'">
:
</DIV>

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ADDRESS, B, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, custom, DD, DFN, DIR, DIV, DL, DT, EM, FIELDSET, FORM, Hn, HTML, I, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, ISINDEX, KBD, LABEL, LEGEND, LI, LISTING, MARQUEE, MENU, OL, P, PLAINTEXT, PRE, runtimeStyle, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP

See Also

CSS Length Units


@font-face Rule

Sets a font to embed in the HTML document.

Syntax

HTML | @font-face { sFace }
Scripting | N/A

Possible Values

sFace String that specifies one of the following values:
font-family:fontFamilyName | Any of the range of values available to the fontFamily property.
src:url(sURL) | Location of the font file, where sURL is an absolute or relative URL.

The rule has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

This feature allows you to use specific fonts that might not be available on your local system. The URL should point to an embedded OpenType file (.eot or .ote format). The file contains compressed font data that is converted to a TrueType font. For more information about the font embedding feature and pointers to a tool for creating .eot files, see font embedding Internet Link.

Example

This example embeds a font in an HTML document by referencing its source from another site.

Sample Code

<HTML>
<HEAD>
<STYLE>
   @font-face {
      font-family:comic;
      src:url(http://valid_url/some_font_file.eot);
   }
</STYLE>
</HEAD>
<BODY>
<P STYLE="font-family:comic;font-size:18pt">
This paragraph uses the font-face rule defined
in the above style element.  The rule embeds
an OpenType file for the Comic Sans font.
</P>
</BODY>
</HTML>


font-family Attribute | fontFamily Property

Sets or retrieves the name of the font used for text in the object.

Syntax

HTML | { font-family: sFamily }
Scripting | object.style.fontFamily [ = sFamily ]

Possible Values

sFamily String that specifies one of the following values:
family-name | Any of the available font families supported by the browser (for example, Times, Helvetica, Zapf-Chancery, Western, or Courier).
generic-name | Any of the following font families: serif, sans-serif, cursive, fantasy, or monospace.

The property is read/write with the default value set by the browser; the cascading style sheets (CSS) attribute is inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

The value is a prioritized list of font family names and/or generic family names. List items are separated by commas to minimize confusion between multiple-word font family names. If the font family name contains white space, it should be quoted with single or double quotation marks; generic font family names are values and, accordingly, no quotes should be used.

Because you don't know which fonts users have installed, you should provide a list of alternatives with a generic font family at the end of the list. This list can include embedded fonts. For more information about embedding fonts, see the @font-face rule.

If fantasy is specified for generic-name, the text renders in the default font.

Example

The following examples use the font-family attribute and the fontFamily property to change font characteristics.

This example uses a call to an embedded style sheet to set the font family.

Sample Code

<STYLE>
    P { font-family:"Arial"}
    .other { font-family:"Courier"}
</STYLE>

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

This example uses inline scripting to change the font family when an onmousedown event occurs.

<DIV onmousedown="this.style.fontFamily='Courier'">

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ADDRESS, B, BASEFONT, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, currentStyle, custom, DD, DFN, DIR, DIV, DL, DT, EM, FIELDSET, FORM, Hn, HTML, I, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, ISINDEX, KBD, LABEL, LEGEND, LI, LISTING, MARQUEE, MENU, OL, P, PLAINTEXT, PRE, runtimeStyle, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP

See Also

font


font-size Attribute | fontSize Property

Sets or retrieves the size of the font used for text in the object.

Syntax

HTML | { font-size: sSize }
Scripting | object.style.fontSize [ = sSize ]

Possible Values

sSize String that specifies one of the following values:
absolute-size | Set of keywords that indicate predefined font sizes. Possible keywords include [ xx-small | x-small | small | medium | large | x-large | xx-large ]. Named font sizes scale according to the user's font setting preferences.
relative-size | Set of keywords that are interpreted as relative to the font size of the parent object. Possible values include [ larger | smaller ].
length | Floating-point number, followed by an absolute units designator (cm, mm, in, pt, pc, or px) or a relative units designator (em or ex). For more information about the supported length units, see CSS Length Units.
percentage | Integer, followed by a %. The value is a percentage of the parent object's font size. In Internet Explorer 3.0, the value is calculated as a percentage of the default font size.

The property is read/write with a default value of medium; the cascading style sheets (CSS) attribute is inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

Negative values are not allowed. Font sizes using the proportional "em" measure are based on the font size of the parent object.

Possible length values specified in a relative measurement, using the height of the element's font (em) or the height of the letter "x" (ex), are supported in Internet Explorer 4.0 and later.

Example

The following examples use the font-size attribute and the fontSize property to change font characteristics.

This example sets the font size on several paragraphs using different size values.

Sample Code

<STYLE>
   BODY{font-size: 10pt }
   .P1 {font-size: 14pt }
   .P2 {font-size: 75% }
   .P3 {font-size: xx-large }
   .P4 {font-size: larger }
</STYLE>

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

This example uses inline scripting to set the font size to 14pt when an onmouseover event occurs.

<DIV STYLE="font-size:12pt" onmouseover="this.style.fontSize='14pt'">
:
</DIV>

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ADDRESS, APPLET, B, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, currentStyle, custom, DD, DFN, DIR, DIV, DL, DT, EM, FIELDSET, FORM, Hn, HTML, I, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, ISINDEX, KBD, LABEL, LEGEND, LI, LISTING, MARQUEE, MENU, OL, P, PLAINTEXT, PRE, runtimeStyle, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP

See Also

font, CSS Length Units


fontSmoothingEnabled Property

Retrieves whether the user has enabled font smoothing in the Display control panel.

Syntax

HTML | N/A
Scripting | [ bEnabled= ] screen.fontSmoothingEnabled

Possible Values

bEnabled Boolean that specifies one of the following values:
false | Font smoothing is disabled.
true | Font smoothing is enabled.

The property is read-only with a default value of false.

Remarks

Font smoothing can be enabled by checking the Smooth Edges of the Screen Fonts option in the Display control panel. In Windows® 98 and Windows 2000, this option is located on the central panel's Effects tab. In Windows NT® 4.0 and Windows 95, this option is located on the Plus! tab.

Note In Windows 95, the Plus! tab is available only if Microsoft® Plus! is installed.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
HTML | N/A
Scripting | screen


font-style Attribute | fontStyle Property

Sets or retrieves the font style of the object as italic, normal, or oblique.

Syntax

HTML | { font-style: sStyle }
Scripting | object.style.fontStyle [ = sStyle ]

Possible Values

sStyle String that specifies one of the following values:
normal | Font is normal.
italic | Font is italic.
oblique | Font is italic.

The property is read/write with a default value of normal; the cascading style sheets (CSS) attribute is inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

The oblique value is available as of Internet Explorer 4.0. Internet Explorer 4.0 renders italic and oblique identically.

Example

The following examples use the font-style attribute and the fontStyle property to change font characteristics.

This example uses H3 as a selector to set the font style to italic in H3 headings.

Sample Code

<STYLE>
    H3 { font-style:italic }
</STYLE>

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

This example uses inline scripting to set the font style to italic when an onmousedown event occurs.

<DIV onmousedown="this.style.fontStyle='italic'">

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ADDRESS, B, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, currentStyle, custom, DD, DFN, DIR, DIV, DL, DT, EM, FIELDSET, FORM, Hn, HTML, I, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, ISINDEX, KBD, LABEL, LEGEND, LI, LISTING, MARQUEE, MENU, OL, P, PLAINTEXT, PRE, runtimeStyle, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP

See Also

font


font-variant Attribute | fontVariant Property

Sets or retrieves whether the text of the object is in small capital letters.

Syntax

HTML | { font-variant: sVariant }
Scripting | object.style.fontVariant [ = sVariant ]

Possible Values

sVariant String that specifies one of the following values:
normal | Font is normal.
small-caps | Font is in small capital letters.

The property is read/write with a default value of normal; the cascading style sheets (CSS) attribute is inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

Internet Explorer 4.0 renders small-caps as uppercase letters in a smaller size.

Example

The following examples use the font-variant attribute and the fontVariant property to change the font to small capitals.

This example uses P as a selector in an embedded (global) style sheet to set the font style to small-caps in all paragraphs.

Sample Code

<P STYLE="font-variant:small-caps">

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

This example uses inline scripting to set the font style to small-caps when an onmousedown event occurs.

<DIV onmousedown="this.style.fontVariant='small-caps'">

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ADDRESS, B, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, currentStyle, custom, DD, DFN, DIR, DIV, DL, DT, EM, FIELDSET, FORM, Hn, HTML, I, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, ISINDEX, KBD, LABEL, LEGEND, LI, LISTING, MARQUEE, MENU, OL, P, PLAINTEXT, PRE, runtimeStyle, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP

See Also

font


font-weight Attribute | fontWeight Property

Sets or retrieves the weight of the font of the object.

Syntax

HTML | { font-weight: sWeight }
Scripting | object.style.fontWeight [ = sWeight ]

Possible Values

sWeight String that specifies one of the following values:
normal | Font is normal.
bold | Font is bold.
bolder | Font is heavier than regular bold.
lighter | Font is lighter than normal.
100 | Font is at least as light as the 200 weight.
200 | Font is at least as bold as the 100 weight and at least as light as the 300 weight.
300 | Font is at least as bold as the 200 weight and at least as light as the 400 weight.
400 | Font is normal.
500 | Font is at least as bold as the 400 weight and at least as light as the 600 weight.
600 | Font is at least as bold as the 500 weight and at least as light as the 700 weight.
700 | Font is bold.
800 | Font is at least as bold as the 700 weight and at least as light as the 900 weight.
900 | Font is at least as bold as the 800 weight.

The property is read/write with a default value of normal; the cascading style sheets (CSS) attribute is inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

Key words for font-weight values are mapped to specific font variations depending on the fonts that are installed on the user's computer. In many cases, the user cannot see the difference between different font-weight settings because the system chooses the closest match.

Setting the font-weight to 400 is equivalent to normal, and 700 is equivalent to bold. A font-weight of bolder or lighter is interpreted relative to the parent object's weight. A value of bolder for text whose parent is normal would set the text to bold.

Internet Explorer 4.0 supports only normal and bold.

Internet Explorer 3.0 supports the font-weight attribute through the font attribute.

Example

The following examples use the font-weight attribute and the fontWeight property to change the font weight.

This example uses LI as a selector in an embedded (global) style sheet to set the font weight to bolder.

Sample Code

<STYLE>
LI { font-weight:bolder }
</STYLE>

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

This example uses inline scripting to set the font weight to bolder when an onmouseover event occurs.

<P STYLE="font-size:14" onmouseover="this.style.fontWeight='bolder'">

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ADDRESS, B, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, currentStyle, custom, DD, DFN, DIR, DIV, DL, DT, EM, FIELDSET, FORM, Hn, HTML, I, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, ISINDEX, KBD, LABEL, LEGEND, LI, LISTING, MARQUEE, MENU, OL, P, PLAINTEXT, PRE, runtimeStyle, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP

See Also

font


form Property

Retrieves a reference to the form that the object is embedded in.

Syntax

HTML | N/A
Scripting | [ oForm = ] object.form

Possible Values

oForm Object that specifies the form.

The property is read-only with no default value.

Remarks

Null is returned if the object is not on a form.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
BUTTON, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, OBJECT, OPTION, SELECT, TEXTAREA


FRAME Attribute | frame Property

Sets or retrieves the way the border frame around the table is displayed.

Syntax

HTML | <TABLE FRAME = sFrame ... >
Scripting | table.frame [ = sFrame ]

Possible Values

sFrame String that specifies one of the following values:
void | All outside table borders are removed.
above | Border on the top side of the border frame is displayed.
below | Border on the bottom side of the table frame is displayed.
border | Borders on all sides of the table frame are displayed.
box | Borders on all sides of the table frame are displayed.
hsides | Borders on the top and bottom sides of the table frame are displayed.
lhs | Border on the left side of the table frame is displayed.
rhs | Border on the right side of the table frame is displayed.
vsides | Borders on the left and right sides of the table frame are displayed.

The property is read/write with a default value of void.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Example

This example uses the FRAME attribute to render different border frames.

Sample Code

<TABLE FRAME="above">
<TR><TD>A table with</TD><TD>the value of frame set to "above"</TD></TR>
<TR><TD>cell</TD><TD>cell</TD></TR>
</TABLE>

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

TABLE

See Also

rules


FRAMEBORDER Attribute | frameBorder Property

Sets or retrieves whether to display a border for the frame.

Syntax

HTML | <ELEMENT FRAMEBORDER = sBorder ... >
Scripting | object.frameBorder [ =sBorder ]

Possible Values

sBorder String that specifies one of the following values:
1 | Inset border is drawn.
0 | No border is drawn.
no | No border is drawn.
yes | Inset border is drawn.

The property is read/write with a default value of 1.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

Invalid settings default to displaying borders.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

FRAME, FRAMESET, IFRAME


FRAMESPACING Attribute | frameSpacing Property

Sets or retrieves the amount of additional space between the frames.

Syntax

HTML | <ELEMENT FRAMESPACING = sPixels ... >
Scripting | object.frameSpacing [ =sPixels ]

Possible Values

sPixels String that specifies the spacing, in pixels.

The property is read/write with a default value of 2 pixels.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

The amount of space defined for frameSpacing does not include the width of the frame border. Frame spacing can be set on one or more FRAMESET objects and applies to all contained FRAMESET objects, unless the contained object defines a different frame spacing.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
FRAMESET


fromElement Property

Retrieves the object the mouse pointer is exiting during the onmouseover and onmouseout events.

Syntax

HTML | N/A
Scripting | [ oObject = ] event.fromElement

Possible Values

oObject Object that specifies the previous location of the mouse pointer.

The property is read-only with no default value.

Example

In this example, the alert returns "mouse arrived" when the mouse pointer moves over the button.

Sample Code

<SCRIPT>
function testMouse(oObject) {
    if(!oObject.contains(event.fromElement)) {
        alert("mouse arrived");
    }
}
</SCRIPT>
:
<BUTTON ID=oButton onmouseover="testMouse(this)">Mouse Over This.</BUTTON>

This feature requires Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
HTML | N/A
Scripting | event


hash Property

Sets or retrieves the subsection of the href property that follows the hash (#) mark.

Syntax

HTML | N/A
Scripting | object.hash [ =sHash ]

Possible Values

sHash String that specifies the part of the URL following the hash (#) mark.

The property is read/write with no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

If there is no hash mark, this property returns an empty string.

This property is useful for moving to a bookmark within a document. Assigning an invalid value does not cause an error.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
HTML | N/A
Scripting | A, AREA, location


height Property

Retrieves the vertical resolution of the screen.

Syntax

HTML | N/A
Scripting | [ iHeight = ] screen.height

Possible Values

iHeight Integer that specifies the screen height, in pixels.

The property is read-only with no default value.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
HTML | N/A
Scripting | screen

See Also

availHeight, width


height Attribute | height Property

Sets or retrieves the height of the object.

Syntax

HTML | { height: sHeight }
Scripting | object.style.height [ = sHeight ]

Possible Values

sHeight String that specifies one of the following values:
auto | Default height.
height | Floating-point number, followed by an absolute units designator (cm, mm, in, pt, pc, or px) or a relative units designator (em or ex). For more information about the supported length units, see CSS Length Units.
percentage | Integer, followed by a %. The value is a percentage of the height of the parent object.

The property is read/write with a default value of auto; the CSS attribute is not inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

If the height property of an IMG is specified, but width property is not specified, the resulting width of the IMG is sized proportionally according to the specified height property and the actual width (in pixels) of the image in the source file.

Consider the following:

Dimensions of image in source file (pixels): 100 X 50 (W X H)
Specified image height: 2in
Specified image width: not specified
Resulting image height: 2in
Resulting image width: 4in ((100 / 50) * 2 inches)

If you specify the height property of an IMG, and both the height and width of the image in the source file are identical, the width of the image will match the height.

If you specify the height property and width property of an IMG, the resulting image dimensions will match those specified.

The height of a block object encompasses border-top, border-bottom, padding-top, padding-bottom, margin-top, margin-bottom, and height. The sum of the values of each of the attributes equals the height of the parent object's content.

Percentage values refer to the parent object's height. Negative values are not allowed.

To perform operations on the numeric value of this property, use pixelHeight or posHeight.

For more information about how to access the dimension and location of objects on the page through the document object model, see measuring element dimension and location Internet Link.

Example

The following examples use the height attribute and the height property to change the height of the object.

This example uses an inline style sheet to set the height of an image to 4 centimeters.

Sample Code

<IMG SRC="sphere.jpg" STYLE="height:4cm">

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

This example uses inline scripting to change the height of an image when an onclick event occurs.

<BUTTON onclick="height1.style.height='1cm'">Shrink sphere</BUTTON>

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
APPLET, BUTTON, currentStyle, custom, DIV, EMBED, FIELDSET, HR, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, ISINDEX, MARQUEE, OBJECT, runtimeStyle, SPAN, style, TABLE, TEXTAREA, TR


HEIGHT Attribute | height Property

Sets or retrieves the height of the object.

Syntax

HTML | <ELEMENT HEIGHT = sHeight ... >
Scripting | object.height [ =sHeight ]

Possible Values

sHeight String that specifies one of the following values:
height | Integer that specifies the height of the object, in pixels.
percentage | Integer, followed by a %. The value is a percentage of the height of the parent object.

The property is read/write with no default value.

Remarks

If the height property of an IMG is specified, but the width property is not specified, the resulting width of the IMG is sized proportionally according to the specified height property and the actual width (in pixels) of the image in the source file.

Consider the following:

Dimensions of image in source file (pixels): 100 X 50 (W X H)
Specified image height: 2in
Specified image width: not specified
Resulting image height: 2in
Resulting image width: 4in ((100 / 50) * 2 inches)

If you specify the height property of an IMG, and the height and width of the image in the source file are identical, the width of the image will match the height.

If you specify the height property and the width property of an IMG, the resulting image dimensions will match those specified.

Percentage values are based on the height of the parent object.

When scripting the height property, use either the pixelHeight or posHeight property to numerically manipulate the height value.

This property specifies the calculated height of the object, in pixels. For table rows and table cells, this property has a range of 0 to 32750 pixels.

If you set the value of the corresponding HTML attribute using a percentage, this property will specify the height, in pixels, represented by that percentage.

The scripting property is read/write for the IMG object, but read-only for other objects.

For more information about how to access the dimension and location of objects on the page through the document object model, see measuring element dimension and location Internet Link.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
EMBED, FRAME, IMG, MARQUEE, OBJECT, TABLE, TD, TH, TR

See Also

width


hidden Property

Sets or retrieves whether the embedded object is invisible.

Syntax

HTML | N/A
Scripting | embed.hidden [ =bHidden ]

Possible Values

bHidden Boolean that specifies one of the following values:
false | Object is not hidden.
true | Object is hidden.

The property is read/write with a default value of false.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
HTML | N/A
Scripting | EMBED


host Property

Sets or retrieves the hostname and port number of the location or URL.

Syntax

HTML | N/A
Scripting | object.host [ =sHost ]

Possible Values

sHost String that specifies the host name and port number.

The property is read/write with no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

The host property is the concatenation of the hostname and port properties, separated by a colon (hostname:port). When the port property is null, the host property is the same as the hostname property.

The host property may be set at any time, although it is safer to set the href property to change a location. If the specified host cannot be found, an error is returned.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
HTML | N/A
Scripting | A, AREA, location


hostname Property

Sets or retrieves the host name part of the location or URL.

Syntax

HTML | N/A
Scripting | object.hostname [ =sHostname ]

Possible Values

sHostname String that specifies the host and domain name, or the numerical IP address.

The property is read/write with no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

If no host name is available, this property returns an empty string.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
HTML | N/A
Scripting | A, AREA, location


hover Pseudo-class

Sets the style of the anchor when the user hovers the mouse over the links.

Syntax

HTML | [A]:hover { attribute1:parameter1 [; attribute2:parameter2 [; . . .]] }
Scripting | N/A

Possible Values

attribute | Any attribute applicable to text.
parameter | Any of the range of values available to the corresponding attribute.

The default value is browser-specific.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

Hover means that the user has the mouse positioned over the link and has hesitated. If the user simply passes the mouse over the link, the style does change. The hover pseudo-class is often used with specific styles for the other states of a link: active, link, and visited.

Using pseudo-classes on objects other than the A object has no effect.

The syntax in the following example uses a colon (:) to specify a pseudo-class.

Example

This example sets the style of an anchor. When the user hovers the mouse over a hyperlink to which the following style sheet has been applied, the text displays in red, converts to uppercase, and is spaced 1 centimeter apart.

Sample Code

<STYLE>
    A:hover { color:red; text-transform:uppercase; letter-spacing:1cm }
</STYLE>

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A

See Also

active, link, visited


href Property

Sets or retrieves the URL of the linked style sheet.

Syntax

HTML | N/A
Scripting | object.style.href [ =sURL ]

Possible Values

sURL String that specifies the URL.

The property is read/write with no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

The property returns the URL if the style sheet is a LINK. If the style sheet is a STYLE, the property returns null.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
HTML | N/A
Scripting | styleSheet


HREF Attribute | href Property

Sets or retrieves the destination URL or anchor point.

Syntax

HTML | <ELEMENT HREF = sURL ... >
Scripting | object.href [ =sURL ]

Possible Values

sURL String that specifies the URL or anchor point.

The property is read/write with no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

HREF attributes on anchors can be used to jump to bookmarks or any object's identification attribute.

When an anchor is specified, the link to that address is represented by the text between the opening and closing anchor tags.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

A, AREA, LINK


HREF Attribute | href Property

Sets or retrieves the baseline URL on which relative links will be based.

Syntax

HTML | <BASE HREF = sURL ... >
Scripting | base.href [ =sURL ]

Possible Values

sURL String that specifies the URL.

The property is read/write with no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

BASE


href Property

Sets or retrieves the entire URL as a string.

Syntax

HTML | N/A
Scripting | location.href [ = sURL ]

Possible Values

sURL String that specifies a URL.

The property is read/write with no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Example

This example shows a select list of URLs. The user is taken to the URL selected from the options, if the selection is different from the list's default value.

Sample Code

<SELECT onchange="window.location.href=this.options[this.selectedIndex].value">
<OPTION VALUE="http://www.microsoft.com/ie">Internet Explorer</OPTION>
<OPTION VALUE="http://www.microsoft.com">Microsoft Home</OPTION>
<OPTION VALUE="http://msdn.microsoft.com">Developer Network</OPTION>
</SELECT>

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
HTML | N/A
Scripting | location

See Also

navigate


HSPACE Attribute | hspace Property

Sets or retrieves the horizontal margin for the object.

Syntax

HTML | <ELEMENT HSPACE =iMargin ... >
Scripting | object.hspace [ =iMargin ]

Possible Values

iMargin Integer that specifies the horizontal margin, in pixels.

The property is read/write with a default value of 0.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

This property is similar to the border property, except the margins don't have color when the element is a link.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

APPLET, IFRAME, IMG, MARQUEE, OBJECT

See Also

vspace


FOR Attribute | htmlFor Property

Retrieves the object that is bound to the event script.

Syntax

HTML | <SCRIPT FOR = oObject ... >
Scripting | [ oObject = ] script.htmlFor

Possible Values

oObject Object that specifies a scripting object or an object identifier that is bound to the event script.

The property is read-only with no default value.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

SCRIPT


FOR Attribute | htmlFor Property

Sets or retrieves the object to which the given label object is assigned.

Syntax

HTML | <LABEL FOR = sID ... >
Scripting | label.htmlFor [ =sID ]

Possible Values

sID String that specifies the identifier of the element to which the label element is assigned.

The property is read/write with no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

LABEL


htmlText Property

Retrieves the HTML source as a valid HTML fragment.

Syntax

HTML | N/A
Scripting | [ sTxt = ] TextRange.htmlText

Possible Values

sTxt String that specifies the HTML source.

The property is read-only with no default value.

Remarks

This property corresponds to the fragment portion of the CF_HTML clipboard format.

This feature might not be available on non-Win32® platforms. For the latest information about Microsoft® Internet Explorer cross-platform compatibility, see article q172976 Internet Link Non-MSDN link in the Microsoft Knowledge Base.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
HTML | N/A
Scripting | TextRange


HTTP-EQUIV Attribute | httpEquiv Property

Sets or retrieves information used to bind the META tag's content to an HTTP response header.

Syntax

HTML | <META HTTP-EQUIV = sInformation ... >
Scripting | meta.httpEquiv [ = sInformation ]

Possible Values

sInformation String that specifies the information in the response header.

The property is read/write with no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

If the property is omitted, the name property should be used to identify the meta-information. The httpEquiv property is not case-sensitive.

Example

This example causes the browser to reload the document every two seconds.

Sample Code

<META HTTP-EQUIV="REFRESH" CONTENT=2>

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

META

See Also

content


ID Attribute | id Property

Retrieves the string identifying the object.

Syntax

HTML | <ELEMENT ID = sID ... >
Scripting | [ sID = ] object.id

Possible Values

sID Any alphanumeric string that begins with a letter. The underscore (_) can also be used.

In Microsoft® Internet Explorer 5 and later, the property is read/write. The property has no default value.

Remarks

In versions earlier than Internet Explorer 5, the property is read-only.

The id should be unique throughout the scope of the current document. If a document contains more than one object with the same identifier, the objects are exposed as a collection that can be referenced only in ordinal position.

Example

This example sets the ID attribute and then passes it to a function to manipulate the object that the attribute is attached to.

Sample Code

<SCRIPT>
function checkCols(oObject)
{
    var iColumns = oObject.cols;
    alert (iColumns);
}
</SCRIPT>
</HEAD>
<BODY>
<TABLE ID=oTable BORDER COLS=3 onclick="checkCols(this)">
<TR><TD>Column 1</TD><TD>Column 2</TD><TD>Column 3</TD></TR>
</TABLE>

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ACRONYM, ADDRESS, APPLET, AREA, B, BASE, BASEFONT, BDO, BGSOUND, BIG, BLOCKQUOTE, BODY, BR, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, COMMENT, custom, DD, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, HEAD, Hn, HR, HTML, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, ISINDEX, KBD, LABEL, LEGEND, LI, LINK, LISTING, MAP, MARQUEE, MENU, NEXTID, NOBR, NOFRAMES, NOSCRIPT, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, RT, RUBY, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, styleSheet, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TITLE, TR, TT, U, UL, VAR, WBR, XML, XMP


ime-mode Attribute | imeMode Property

Sets or retrieves the state of an Input Method Editor (IME).

Syntax

HTML | { ime-mode: sMode }
Scripting | object.style.imeMode [ = sMode ]

Possible Values

sMode String that specifies one of the following values:
auto | IME is not affected. This is the same as not specifying the ime-mode attribute.
active | All characters are entered through the IME. Users can still deactivate the IME.
inactive | All characters are entered without IME. Users can still activate the IME.
disabled | IME is completely disabled. Users cannot activate the IME if the control has focus.

The property is read/write with a default value of auto; the proposed cascading style sheets (CSS) extension attribute is inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

An Input Method Editor (IME) allows users to enter and edit Chinese, Japanese, and Korean characters. The IME is an essential component for writing Chinese, Japanese, and Korean scripts. These writing systems have more characters than can be encoded for a regular keyboard. The IMEs for these languages use sequences of base characters that describe an individual character or group of characters to enter a larger set of characters. Base characters can be component letters from Hangul syllables, phonetic components for Japanese Kanji characters, or various combinations for Chinese characters.

To compose text with an IME, the user generally uses dictionary lookup and contextual analysis, especially in languages where homonyms are frequent, as in Japanese. A user typically starts by entering a few component characters, optionally selecting from various choices, and a confirmation command.

Input Method Editors have two principle states:

  • Inactive mode. The keyboard acts like a regular keyboard and input is limited to a small set of characters.
  • Active mode. The IME accepts component characters or processing commands.

HTML authors can provide users with some control by specifying an IME mode for a specific text entry. For example, if Japanese users enter information in a registration form, they might be required to enter their names in Kanji and Roman characters. By default, the users would have to make sure that the IME is inactive when entering their names in the Latin alphabet. The user would activate the IME to enter Kanji letters, then deactivate the IME to complete the form in the Latin alphabet. By controlling the IME mode, the HTML author prevents the user from having to activate and deactivate the IME.

Example

This example uses the ime-mode attribute.

<INPUT TYPE = text STYLE = "ime-mode:active" >

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
INPUT_text, TEXTAREA


@import Rule

Imports an external style sheet.

Syntax

HTML | @import url(sUrl);
Scripting | N/A

Possible Values

sUrl String that specifies the URL that references a cascading style sheet.

The rule has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

The semicolon in the syntax is required; if omitted, the style sheet is not imported properly and an error message is generated.

The @import rule, like the LINK element, links an external style sheet to a document. This helps the Web author establish a consistent "look" across multiple HTML pages. Whereas the LINK element specifies the name of the style sheet to import using its HREF attribute, the @import rule specifies the style sheet definition inside a LINK or a STYLE tag. In the scripting model, this means the owningElement property of the style sheet defined through the @import rule is either a STYLE or a LINK object.

The @import rule should occur at the start of a style sheet, before any declarations. Although Internet Explorer 4.0 allows @import statements to appear anywhere within the style sheet definition, the rules contained within the @import style sheet are applied to the document before any other rules defined for the containing style sheet. This rule order affects expected rendering.

Rules in the style sheet override rules in the imported style sheet.

Example

This example uses the @import rule to import a style sheet located at http://anotherStyleSheet.css.

Sample Code

<STYLE type="css/text">
    @import url(http://anotherStyleSheet.css);
    P {color:blue}
</STYLE>

See Also

imports, link, style, styleSheet


!important Declaration

Increases the weight or importance of a particular rule.

Syntax

HTML | { sAttribute:sValue!important }
Scripting | N/A

Possible Values

sAttribute | Any cascading style sheets (CSS) attribute.
sValue | Any of the range of values available to the corresponding attribute.

The declaration has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Example

This example includes the !important declaration in the style rule. The color of the text normally would be green, because inline styles overrule the rules set in a style tag. By including the !important declaration in the style rule, the content of the paragraph is instead set to red.

Sample Code

<STYLE>
    P {color:red!important}
</STYLE>
<P STYLE="color:green">This will be red.</P>

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ADDRESS, B, BIG, BLOCKQUOTE, BODY, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, DD, DFN, DIR, DIV, DL, DT, EM, FIELDSET, FORM, Hn, HTML, I, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, KBD, LABEL, LEGEND, LI, LISTING, MARQUEE, MENU, OL, P, PLAINTEXT, PRE, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP


indeterminate Property

Sets or retrieves whether the user has changed the status of a check box.

Syntax

HTML | N/A
Scripting | checkbox.indeterminate [ =bDim ]

Possible Values

bDim Boolean that specifies one of the following values:
false | Check box is not dimmed.
true | Check box is checked and dimmed.

The property is read/write with a default value of false.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

The indeterminate property can be used to indicate whether the user has acted on the control. For example, setting the indeterminate to true causes the check box to appear checked and dimmed, indicating an indeterminate state.

The value of the indeterminate property acts independently of the values of the checked and status properties. Creating an indeterminate state is different from disabling the control. Consequently, a check box in the indeterminate state can still receive the focus. When the user clicks an indeterminate control, the indeterminate state turns off and the checked state of the check box toggles.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
INPUT type=checkbox


index Property

Sets or retrieves the ordinal position of the option in the list box.

Syntax

HTML | N/A
Scripting | option.index [ = iIndex ]

Possible Values

iIndex Integer that specifies the ordinal position.

The property is read/write with no default value.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
HTML | N/A
Scripting | OPTION


innerHTML Property

Sets or retrieves the HTML between the start and end tags of the object.

Syntax

HTML | N/A
Scripting | object.innerHTML [ = sHTML ]

Possible Values

sHTML String that specifies the content between the start and end tags.

The property is read/write with no default value (see Remarks).

Remarks

The innerHTML property is read-only on the FRAMESET, HTML, HEAD, TABLE, TBODY, TFOOT, THEAD, TITLE, and TR objects.

The innerHTML property takes a string that specifies a valid combination of text and elements.

When the innerHTML property is set, the given string completely replaces the existing content of the object. If the string contains HTML tags, the string is parsed and formatted as it is placed into the document.

This property is accessible at run time as of Microsoft® Internet Explorer 5. Removing elements at run time, before the closing tag has been parsed, could prevent other areas of the document from rendering.

When using innerHTML to insert script, you must include the DEFER attribute in the SCRIPT element.

You can change the value of the TITLE element using the document.title property.

To change the contents of the TABLE, TFOOT, THEAD, and TR elements, use the table object model. For example, use the rowIndex property or the rows collection to retrieve a reference to a specific table row. You can add or delete rows using the insertRow and deleteRow methods. To retrieve a reference to a specific cell, use the cellIndex property or the cells collection. You can add or delete rows using the insertCell and deleteCell methods. To change the content of a particular cell, use the innerHTML property.

Example

This example uses the innerHTML property to change the text of a paragraph when an onmouseover event occurs. The affected text and any tags within it are changed by the onmouseover and onmouseout events.

Sample Code

<P onmouseover="this.innerHTML='<B>Mouse out
    to change back.</B>'"
    onmouseout="this.innerHTML='<I>
    Mouse over again to change.</I>'">
    <I>Mouse over this text to change it.</I></P>

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

This example uses the innerHTML property to insert script into the page.

Sample Code

var sHTML="<input type=button onclick=" + "
    go2()" + " value='Click Me'><BR>"
var sScript='<SCRIPT DEFER>'
    sScript = sScript + 'function go2()
    { alert("Hello from inserted script.") }'
sScript = sScript + '</script' + '>';
ScriptDiv.innerHTML=sHTML + sScript;

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ACRONYM, ADDRESS, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, custom, DD, DEL, DFN, DIR, DIV, DL, DT, EM, FIELDSET, FONT, FORM, FRAMESET, HEAD, Hn, HTML, I, IFRAME, INS, KBD, LABEL, LEGEND, LI, LISTING, MAP, MARQUEE, MENU, NEXTID, NOBR, OL, OPTION, P, PRE, Q, RT, RUBY, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, STYLE, SUB, SUP, TABLE, TBODY, TD, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP

See Also

insertAdjacentHTML


innerText Property

Sets or retrieves the text between the start and end tags of the object.

Syntax

HTML | N/A
Scripting | object.innerText [ = sTxt ]

Possible Values

sTxt String that specifies the text between the start and end tags.

The property is read/write with no default value (see Remarks).

Remarks

The innerText property is read-only on the HTML, TABLE, TBODY, TFOOT, THEAD, and TR objects.

When the innerText property is set, the given string completely replaces the existing content of the object.

You can set this property only after the onload event fires on the window. When dynamically creating a tag using TextRange, innerHTML, or outerHTML, use Microsoft® JScript® (compatible with ECMA 262 language specification) to create new events to handle the newly formed tags. Microsoft® Visual Basic® Scripting Edition (VBScript) is not supported.

You can change the value of the TITLE element using the document.title property.

To change the contents of the TABLE, TFOOT, THEAD, and TR elements, use the table object model. For example, use the rowIndex property or the rows collection to retrieve a reference to a specific table row. You can add or delete rows using the insertRow and deleteRow methods. To retrieve a reference to a specific cell, use the cellIndex property or the cells collection. You can add or delete rows using the insertCell and deleteCell methods. To change the content of a particular cell, use the innerHTML property.

Example

This example uses the innerText property to replace an object's contents. The object surrounding the text is not replaced.

Sample Code

<P ID=oPara>Here's the text that will change.</P>
:
<BUTTON onclick="oPara.innerText='WOW! It changed!'">Change text</BUTTON>
<BUTTON onclick="oPara.innerText='And back again'">Reset</BUTTON>

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ACRONYM, ADDRESS, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, custom, DD, DEL, DFN, DIR, EM, FIELDSET, FONT, FORM, HEAD, Hn, HTML, I, IFRAME, INS, KBD, LABEL, LEGEND, LI, LISTING, MAP, MARQUEE, MENU, NEXTID, NOBR, OL, OPTION, P, PLAINTEXT, PRE, Q, RT, RUBY, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, STYLE, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TEXTAREA, TFOOT, TH, THEAD, TITLE, TR, TT, U, UL, VAR, XMP, XMP

See Also

insertAdjacentText


ISMAP Attribute | isMap Property

Retrieves whether the image is a server-side image map.

Syntax

HTML | <IMG ISMAP = bMap ... >
Scripting | [ bMap= ] img.isMap

Possible Values

bMap Boolean that specifies one of the following values:
false | Image is not a server-side map.
true | Image is a server-side map.

The property is read-only with a default value of false.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

IMG


isTextEdit Property

Retrieves whether a TextRange object can be created using the given object.

Syntax

HTML | N/A
Scripting | [bEdit = ] object.isTextEdit

Possible Values

bEdit Boolean that specifies one of the following values:
false | TextRange object cannot be created.
true | TextRange object can be created.

The property is read-only with no default value.

Remarks

To create a TextRange object, you can use only the BODY, BUTTON, and TEXTAREA objects and an INPUT object with one of the following types: button, hidden, password, reset, submit, or text.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ACRONYM, ADDRESS, APPLET, AREA, B, BASE, BASEFONT, BDO, BIG, BLOCKQUOTE, BODY, BR, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, COMMENT, custom, DD, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, HEAD, Hn, HR, HTML, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LABEL, LEGEND, LI, LINK, LISTING, MAP, MARQUEE, MENU, META, NEXTID, NOBR, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TITLE, TR, TT, U, UL, VAR, XMP


keyCode Property

Sets or retrieves the Unicode key code associated with the key that caused the event.

Syntax

HTML | N/A
Scripting | event.keyCode [ =sKeyCode ]

Possible Values

sKeyCode String that specifies the Unicode key code.

The property is read/write with no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

The property is used with the onkeydown, onkeyup, and onkeypress events.

The property's value is 0 if no key caused the event.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
HTML | N/A
Scripting | event


LANG Attribute | lang Property

Sets or retrieves the language to use.

Syntax

HTML | <ELEMENT LANG = sLanguage ... >
Scripting | object.lang [ =sLanguage]

Possible Values

sLanguage String that specifies an ISO standard language abbreviation.

The property is read/write with no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

The parser uses this property to determine how to display language-specific choices for quotations, numbers, and so on.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ACRONYM, ADDRESS, APPLET, AREA, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, COMMENT, custom, DD, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, HEAD, Hn, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, ISINDEX, KBD, LABEL, LEGEND, LI, LISTING, MAP, MARQUEE, MENU, NEXTID, NOBR, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, RT, RUBY, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TITLE, TR, TT, U, UL, VAR, XMP


LANGUAGE Attribute | language Property

Sets or retrieves the language in which the current script is written.

Syntax

HTML | <LANGUAGE =sLanguage ... >
Scripting | object.language [ = sLanguage]

Possible Values

sLanguage String that specifies one of the following values:
JScript | Language is JScript.
javascript | Script is JavaScript.
vbs | Language is VBScript.
vbscript | Script is VBScript.
XML | Script is XML.
language | Browser-supported language.

The property is read/write with no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

The language property can refer to any scripting language. Internet Explorer 4.0 ships with scripting engines for Microsoft® JScript® (compatible with ECMA 262 language specification) and Microsoft® Visual Basic® Scripting Edition (VBScript).

In Internet Explorer, the default scripting engine is JScript.

In Internet Explorer 5, the LANGUAGE attribute of the SCRIPT element can be set to XML (Extensible Markup Language).

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ACRONYM, ADDRESS, APPLET, AREA, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, custom, DD, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, Hn, HR, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, ISINDEX, KBD, LABEL, LEGEND, LI, LISTING, MAP, MARQUEE, NEXTID, NOBR, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, RT, RUBY, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP


lastChild Property

Retrieves a reference to the last child in the childNodes collection of an object.

Syntax

HTML | N/A
Scripting | [ oElement = ] object.lastChild

Possible Values

oElement Object that specifies the last child.

The property is read-only with no default value.

Example

This example implements the lastChild property to obtain a reference to the last child element of an object.

<SCRIPT>
var olastChild = oList.lastChild;
</SCRIPT>

<BODY>
<UL ID = oList>
<LI>List Item 1
<LI>List Item 2
<LI>List Item 3
</UL>
<BODY>

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ACRONYM, ADDRESS, APPLET, AREA, B, BASE, BASEFONT, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, COMMENT, DD, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, HEAD, Hn, HR, HTML, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LABEL, LEGEND, LI, LINK, LISTING, MAP, MARQUEE, MENU, NEXTID, OL, OPTION, P, PLAINTEXT, PRE, Q, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TITLE, TR, TT, U, UL, VAR, XMP

See Also

firstChild


lastModified Property

Retrieves the date the page was last modified, if the page supplies one.

Syntax

HTML | N/A
Scripting | [ sModified = ] document.lastModified

Possible Values

sModified String that specifies the most recent date the page was modified, in the form "MM/DD/YY hh:mm:ss".

The property is read-only with no default value.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
HTML | N/A
Scripting | document


layout-grid Attribute | layoutGrid Property

Sets or retrieves the composite document grid properties that specify the layout of text characters.

Syntax

HTML | { layout-grid: sLayout ... }
Scripting | oObject.style.layoutGrid [ = sLayout ]

Possible Values

sLayout String that specifies one or more of the following values:
mode | Any of the range of mode values available to the layoutGridMode property.
type | Any of the range of type values available to the layoutGridType property.
line | Any of the range of line values available to the layoutGridLine property.
char | Any of the range of character values available to the layoutGridChar property.
space | Any of the range of space values available to the layoutGridCharSpacing property.

The property is read/write with no default value; the proposed cascading style sheets (CSS) extension attribute is inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

Web documents in East Asian languages, such as Chinese or Japanese, usually create a page layout for characters using a one- or two-dimensional grid. You can use the layout-grid attribute to incorporate this layout into Web documents.

Example

This example uses the layout-grid attribute to specify character layout for a block of text.

<STYLE>
DIV.layout { layout-grid: char line 12px 12px .5in }
</STYLE>

<DIV CLASS = "layout">
This is a block element containing a sentence of sample text.
</DIV>

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ACRONYM, ADDRESS, APPLET, AREA, B, BASE, BASEFONT, BDO, BIG, BLOCKQUOTE, BODY, BR, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, custom, DD, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, HEAD, Hn, HR, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LABEL, LEGEND, LI, LISTING, MAP, MARQUEE, MENU, META, NEXTID, NOBR, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, RT, RUBY, runtimeStyle, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP


layout-grid-char Attribute | layoutGridChar Property

Sets or retrieves the size of the character grid used for rendering the text content of an element.

Syntax

HTML | { layout-grid-char: sCharSize }
Scripting | oObject.style.layoutGridChar [ = sCharSize ]

Possible Values

sCharSize String that specifies one of the following values:
none | No character grid is set.
auto | Largest character in the font of the element is used to set the character grid.
length | Floating-point number, followed by an absolute units designator (cm, mm, in, pt, pc, or px) or a relative units designator (em or ex). For more information about the supported length units, see CSS Length Units.
percentage | Integer, followed by a %. The value is a percentage derived from the dimensions of the parent object.

The property is read/write with a default value of none; the proposed cascading style sheets (CSS) extension attribute is inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

The visual effects of the layout-grid-char attribute are similar to the lineHeight property.

Web documents in East Asian languages, such as Chinese or Japanese, usually create a page layout for characters using a one- or two-dimensional grid. You can use the layout-grid attribute to incorporate this layout into Web documents.

The layout-grid-char attribute applies only to block-level elements.

Note For this property to have an effect, the layout-grid-mode attribute must be set to line or both.

Example

This example uses the layout-grid-char attribute to specify character layout for a block of text.

<STYLE>
DIV.layout { layout-grid-char: auto }
</STYLE>

<DIV CLASS = "layout">
This is a block element containing a sentence of sample text.
</DIV>

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
BLOCKQUOTE, BODY, CENTER, currentStyle, DD, DIR, DIV, DL, DT, FIELDSET, FORM, Hn, HR, LI, LISTING, MARQUEE, MENU, OL, P, PLAINTEXT, PRE, runtimeStyle, style, TABLE, TD, TH, TR, UL, XMP


layout-grid-char-spacing Attribute | layoutGridCharSpacing Property

Sets or retrieves the character spacing used for rendering the text content of an element with the layout-grid-type attribute set to loose.

Syntax

HTML | { layout-grid-char-spacing: sCharSpace }
Scripting | oObject.style.layoutGridCharSpacing [ = sCharSpace ]

Possible Values

sCharSpace String that specifies one of the following values:
auto | Largest character in the font of the element is used to set the character grid.
length | Floating-point number, followed by an absolute units designator (cm, mm, in, pt, pc, or px) or a relative units designator (em or ex). For more information about the supported length units, see CSS Length Units.
percentage | Integer, followed by a %. The value is a percentage derived from the dimensions of the parent object.

The property is read/write with a default value of auto; the proposed cascading style sheets (CSS) extension attribute is inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

The visual effects of the layout-grid-char-spacing attribute are similar to the lineHeight property.

Web documents in East Asian languages, such as Chinese or Japanese, usually create a page layout for characters using a one- or two-dimensional grid. You can use the layout-grid attribute to incorporate this layout into Web documents.

The layout-grid-char-spacing attribute applies only to block-level elements.

Note For this property to have an effect, the layout-grid-mode attribute must be set to char or both, and the layout-grid-type attribute must be set to loose.

Example

This example uses the layout-grid-char-spacing attribute to specify character layout for a block of text.

<STYLE>
DIV.layout { layout-grid-char-spacing: auto }
</STYLE>

<DIV CLASS = "layout">
This is a block element containing a sentence of sample text.
</DIV>

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
BLOCKQUOTE, BODY, CENTER, currentStyle, DD, DIR, DIV, DL, DT, FIELDSET, FORM, Hn, HR, LI, LISTING, MARQUEE, MENU, OL, P, PLAINTEXT, PRE, runtimeStyle, style, TABLE, TD, TH, TR, UL, XMP


layout-grid-line Attribute | layoutGridLine Property

Sets or retrieves the grid line value used for rendering the text content of an element.

Syntax

HTML | { layout-grid-line: sLineSpace }
Scripting | oObject.style.layoutGridLine [ = sLineSpace ]

Possible Values

sLineSpace String that specifies one of the following values:
none | No grid line is set.
auto | Largest character in the font of the element is used to set the character grid.
length | Floating-point number, followed by an absolute units designator (cm, mm, in, pt, pc, or px) or a relative units designator (em or ex). For more information about the supported length units, see CSS Length Units.
percentage | Integer, followed by a %. The value is a percentage derived from the dimensions of the parent object.

The property is read/write with a default value of none; the proposed cascading style sheets (CSS) extension attribute is inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

The visual effects of the layout-grid-line attribute are similar to the lineHeight property.

Web documents in East Asian languages, such as Chinese or Japanese, usually create a page layout for characters using a one- or two-dimensional grid. You can use the layout-grid attribute to incorporate this layout into Web documents.

The layout-grid-line attribute applies only to block-level elements.

Note For this property to have an effect, the layout-grid-mode attribute must be set to line or both.

Example

This example uses the layout-grid-line attribute to specify character layout for a block of text.

<STYLE>
DIV.layout { layout-grid-line: auto }
</STYLE>

<DIV CLASS = "layout">
This is a block element containing a sentence of sample text.
</DIV>

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
BLOCKQUOTE, BODY, CENTER, currentStyle, DD, DIR, DIV, DL, DT, FIELDSET, FORM, Hn, HR, LI, LISTING, MARQUEE, MENU, OL, P, PLAINTEXT, PRE, runtimeStyle, style, TABLE, TD, TH, TR, UL, XMP


layout-grid-mode Attribute | layoutGridMode Property

Sets or retrieves whether the text layout grid uses two dimensions.

Syntax

HTML | { layout-grid-mode: sMode }
Scripting | oObject.style.layoutGridMode [ = sMode ]

Possible Values

sMode String that specifies one of the following values:
both | Both the char and line grid modes are enabled. This setting is necessary to fully enable layout grid on an element.
none | No grid is used.
line | Only a line grid is used. This is recommended for use with inline elements, such as a SPAN, to disable the horizontal grid on runs of text that act as a single entity in the grid layout.
char | Only a character grid is used. This is recommended for use with block-level elements, such as a BLOCKQUOTE, where the line grid is intended to be disabled.

The property is read/write with a default value of both; the proposed cascading style sheets (CSS) extension attribute is inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

Web documents in East Asian languages, such as Chinese or Japanese, usually create a page layout for characters using a one- or two-dimensional grid. You can use the layout-grid attribute to incorporate this layout into Web documents.

Example

This example uses the layout-grid-mode attribute to specify character layout for a block of text.

<STYLE>
DIV.layout { layout-grid-mode: line }
</STYLE>

<DIV CLASS = "layout">
This is a block element containing a sentence of sample text.
</DIV>

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ACRONYM, ADDRESS, APPLET, AREA, B, BASE, BASEFONT, BDO, BIG, BLOCKQUOTE, BODY, BR, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, currentStyle, custom, DD, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, HEAD, Hn, HR, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LABEL, LEGEND, LI, LISTING, MAP, MARQUEE, MENU, META, NEXTID, NOBR, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, RT, RUBY, runtimeStyle, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP


layout-grid-type Attribute | layoutGridType Property

Sets or retrieves the type of grid used for rendering the text content of an element.

Syntax

HTML | { layout-grid-type: sType }
Scripting | oObject.style.layoutGridType [ = sType ]

Possible Values

sType String that specifies one of the following values:
loose Grid used for Chinese (Genko) and Korean characters. Only the ideographs, kanas, and wide characters are snapped to the grid. Other characters are rendered as usual, as though the layout-grid-mode attribute is set to none or line for text spans containing these characters. This mode also disables special text justification and character width adjustments normally applied to the element. Finally, if there is no line-break opportunity in a text span that exceeds the line boundary, the text is pushed to the next line and the last part of the previous line is left blank.
strict Grid used for Japanese characters. In this mode, a constant width increment is applied to characters as follows:
  • Wide characters are incremented to obtain an exact grid fit, if no other width adjustment effect is applied.
  • Narrow characters, except cursive scripts and cursive fonts, are incremented by half of the increment amount applied to wide characters.
fixed Grid used for monospaced layout. The layout rules are as follows:
  • All noncursive characters are treated as equal; every character is centered within a single grid space by default.
  • Runs of cursive characters are treated as strips the same way as in a strict grid.
  • Justification or any other character-width changing behaviors are disabled.

The property is read/write with a default value of loose; the proposed cascading style sheets (CSS) extension attribute is inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

Web documents in East Asian languages, such as Chinese or Japanese, usually create a page layout for characters using a one- or two-dimensional grid. You can use the layout-grid attribute to incorporate this layout into Web documents.

The layout-grid-type attribute applies only to block-level elements.

Example

This example uses the layout-grid-type attribute to specify character layout for a block of text.

<STYLE>
DIV.layout { layout-grid-type: strict }
</STYLE>

<DIV CLASS = "layout">
This is a block element containing a sentence of sample text.
</DIV>

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
BLOCKQUOTE, BODY, CENTER, currentStyle, DD, DIR, DIV, DL, DT, FIELDSET, FORM, Hn, HR, LI, LISTING, MARQUEE, MENU, OL, P, PLAINTEXT, PRE, runtimeStyle, style, TABLE, TD, TH, TR, UL, XMP


left Attribute | left Property

Sets or retrieves the position of the object relative to the left edge of the next positioned object in the document hierarchy.

Syntax

HTML | { left: sPosition }
Scripting | object.style.left [ = sPosition ]

Possible Values

sPosition String that specifies one of the following values:
auto | Default position, according to the regular HTML layout of the page.
length | Floating-point number, followed by an absolute units designator (cm, mm, in, pt, pc, or px) or a relative units designator (em or ex). For more information about the supported length units, see CSS Length Units.
percentage | Integer, followed by a %. The value is a percentage of the width of the parent object.

This property is read/write with a default value of auto; the cascading style sheets (CSS) attribute is not inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

You should use the left attribute only when the position attribute is set; otherwise, the value of the left attribute is ignored.

Because the value of the left property is a string, you cannot use the property in script to calculate the position of the object in the document; instead, you should use the pixelLeft property or the posLeft property.

For more information about how to access the dimension and location of objects on the page through the DHTML object model, see measuring element dimension and location Internet Link.

Example

The following examples use the left attribute and the left property to change the position of the object.

This example uses an inline style sheet to set the position of an image 100 pixels to the right of the parent object's left edge.

Sample Code

<DIV STYLE="position:absolute;left:100px">
<IMG SRC="cone.jpg"></DIV>

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

This example uses inline scripting to change the position of two images when an onclick event occurs.

<BUTTON onclick="cone.style.left='100px'; sphere.style.left='200px'">
. . .</BUTTON>

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ADDRESS, APPLET, B, BIG, BLOCKQUOTE, BUTTON, CENTER, CITE, CODE, currentStyle, custom, DD, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FORM, Hn, HR, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, ISINDEX, KBD, LABEL, LEGEND, LI, LISTING, MARQUEE, MENU, OBJECT, OL, P, PRE, runtimeStyle, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TABLE, TEXTAREA, TT, U, UL, VAR, XMP

See Also

pixelLeft, posLeft


left Property

Retrieves the left coordinate of the rectangle surrounding the object content.

Syntax

HTML | N/A
Scripting | [ iCoord = ] oTextRectangle.left

Possible Values

iCoord Integer that specifies the left coordinate of the rectangle, in pixels.

The property is read-only with no default value.

Remarks

To access the left coordinate of the second text rectangle of a TextRange object, use this syntax:

oRct = oTextRange.getClientRects();
oRct[1].left;

Note that because the collection index starts at 0, the second item index is 1.

To access the left coordinate of the bounding rectangle of an element object, use this syntax:

oBndRct = oElement.getBoundingClientRect();
oBndRct.left;

Example

This example uses the getBoundingClientRect method to retrieve the coordinates of the bounds of the text rectangles within the element.

Sample Code

<SCRIPT>
function getCoords(oObject) {
    oBndRct=oObject.getBoundingClientRect();
    alert("Bounding rectangle = \nUpperleft coordinates: "
        + oBndRct.left + " " + oBndRct.top +
        "\nLowerright coordinates: "
        + oBndRct.right + " " + oBndRct.bottom);
}
</SCRIPT>
</HEAD>
<BODY>
<P ID=oPara onclick="getCoords(this)">
This feature requires Microsoft® Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
TextRectangle

See Also

TextRectangle Collection, TextRectangle Object, bottom, right, top


LEFTMARGIN Attribute | leftMargin Property

Sets or retrieves the left margin for the entire body of the page, overriding the default margin.

Syntax

HTML | <BODY LEFTMARGIN = sMargin ... >
Scripting | body.leftMargin [ =sMargin ]

Possible Values

sMargin String that specifies the left margin, in pixels.

The property is read/write with a default value of 10.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

If the value is an empty string, the left margin is on the left edge.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

BODY

See Also

topMargin


length Property

Retrieves the number of objects in a collection.

Syntax

HTML | N/A
Scripting | [ iLength= ] object.length

Possible Values

iLength Integer that specifies the number of objects.

The property is read-only with no default value (see Remarks).

Remarks

The window.length property returns the number of frames contained in a window.

Although this property is read-only for most of the objects listed in the Applies To section, it is read/write for the areas collection (image maps), the options collection (select boxes), and the SELECT object.

In all other cases, this property has read-only permission, which means you can retrieve, but cannot change, its current value.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
all, anchors, applets, areas, attributes, behaviorUrns, bookmarks, boundElements, cells, childNodes, children, controlRange, elements, embeds, filters, forms, frames, history, images, imports, links, options, plugins, rows, rules, scripts, SELECT, styleSheets, tbodies, TextRectangle, window


length Property

Retrieves the number of characters in a TextNode object.

Syntax

HTML | N/A
Scripting | [ iLength = ] object.length

Possible Values

iLength Integer that specifies the number of characters.

The property is read-only with no default value.

Example

This example uses the length property to specify where a TextNode is split using the splitText method.

<SCRIPT>
function fnChangeValue(){
   var oListItem = document.createElement("LI");
   oList.appendChild(oListItem);
   var oNode = oList.firstChild.childNodes(0);
   var oTextNode = oList.firstChild.childNodes(0);
   var oSplit = oTextNode.splitText(oTextNode.length/2);
   oListItem.appendChild(oSplit);

}
</SCRIPT>

<UL ID = oList onclick = "fnChangeValue()">
<LI>Start Here
</UL>

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
TextNode


letter-spacing Attribute | letterSpacing Property

Sets or retrieves the amount of additional space between letters in the object.

Syntax

HTML | { letter-spacing: sSpacing }
Scripting | object.style.letterSpacing [ = sSpacing ]

Possible Values

sSpacing String that specifies one of the following values:
normal | Default spacing.
length | Floating-point number, followed by an absolute units designator (cm, mm, in, pt, pc, or px) or a relative units designator (em or ex). For more information about the supported length units, see CSS Length Units.

The property is read/write with a default value of normal; the cascading style sheets (CSS) attribute is inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

When specified as a positive length value, the letter-spacing attribute adds the specified value to the default spacing between characters within an element. A negative length value decreases the space between characters. Letter spacing can be influenced by justification.

Example

The following examples use the letter-spacing attribute and the letterSpacing property to change the space between letters.

This example uses BLOCKQUOTE as a selector to change the spacing to -0.2 millimeters for all BLOCKQUOTE objects on the page.

Sample Code

<STYLE>
    BLOCKQUOTE { letter-spacing:-0.2mm }
</STYLE>

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

This example uses inline scripting to set the spacing to 1 millimeter when an onmouseover event occurs.

<DIV STYLE="font-size:14" onmouseover="this.style.letterSpacing='1mm'">
:
</DIV>

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ADDRESS, B, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, currentStyle, custom, DD, DFN, DIR, DIV, DL, DT, EM, FIELDSET, FORM, Hn, HTML, I, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, ISINDEX, KBD, LABEL, LEGEND, LI, LISTING, MARQUEE, MENU, OL, P, PLAINTEXT, PRE, runtimeStyle, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP


line-break Attribute | lineBreak Property

Sets or retrieves line-breaking rules for Japanese text.

Syntax

HTML | { line-break : sBreak }
Scripting | object.style.lineBreak [ = sBreak ]

Possible Values

sBreak String that specifies one of the following values:
normal | Normal line-breaking mode is applied.
strict | Stricter line-breaking rules are enforced.

The property is read/write with a default value of normal; the proposed cascading style sheets (CSS) extension property is inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
ADDRESS, BLOCKQUOTE, BODY, CENTER, DD, DIR, DIV, DL, DT, FIELDSET, FORM, Hn, HR, LEGEND, LI, LISTING, MARQUEE, MENU, OL, P, PLAINTEXT, PRE, TABLE, TD, TH, TR, UL, XMP

See Also

wordBreak


line-height Attribute | lineHeight Property

Sets or retrieves the distance between lines in the object.

Syntax

HTML | { line-height: sHeight }
Scripting | object.style.lineHeight [ = sHeight ]

Possible Values

sHeight String that specifies one of the following values:
normal | Default height.
height | Floating-point number, followed by an absolute units designator (cm, mm, in, pt, pc, or px) or a relative units designator (em or ex). For more information about the supported length units, see CSS Length Units.
percentage | Integer, followed by a %. The value is a percentage of the height of the parent object.

The property is read/write with a default value of normal; the cascading style sheets (CSS) attribute is inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

Line height is the distance between the descender of the font and the top of the internal leading of the font. A negative line height is allowed to achieve various shadowing effects.

If a formatted line contains more than one object, the maximum line height applies. In this case, negative values are not allowed.

Internet Explorer 3.0 supports the line-height attribute through the font attribute.

Example

The following examples use the line-height attribute and the lineHeight property to control the height of paragraph lines.

This example uses P and BLOCKQUOTE as selectors in an embedded (global) style sheet to change the distance between the lines in all P and BLOCKQUOTE objects.

Sample Code

<STYLE>
    P { line-height:8mm}
    BLOCKQUOTE { line-height:4mm }
</STYLE>

This feature requires Microsoft® Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

This example uses inline scripting to set the distance between lines when an onmouseover event occurs.

<DIV STYLE="font-size:14" onmouseover="this.style.lineHeight='6mm'">
:
</DIV>

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ADDRESS, B, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, currentStyle, custom, DD, DFN, DIR, DIV, DL, DT, EM, FIELDSET, FORM, Hn, HTML, I, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, ISINDEX, KBD, LABEL, LEGEND, LI, LISTING, MARQUEE, MENU, OL, P, PLAINTEXT, PRE, runtimeStyle, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP


link Pseudo-class

Sets or retrieves the style of the <A> element for the default state of the link.

Syntax

HTML | [A]:link { attribute1:parameter1 [; attribute2:parameter2 [; . . .]] }
Scripting | N/A

Possible Values

attribute | Any attribute applicable to text.
parameter | Any of the range of values available to the corresponding attribute.

The pseudo-class is read/write with a browser-specific default.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

The link pseudo-class often is set with specific styles for the other states—active, visited, and hover—of a link.

Internet Explorer 3.0 applies the link pseudo-class value to the visited psuedo-class.

Example

This example uses the link pseudo-class.

Sample Code

<STYLE>
    A:link{ color: #FF0000 }        // unvisited link
    A:visited { color: #CFCFCF }    // visited links
</STYLE>

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A

See Also

hover, visited


LINK Attribute | link Property

Sets or retrieves the color of the document links for the object.

Syntax

HTML | <BODY LINK =sColor ... >
Scripting | body.link [ =sColor]

Possible Values

sColor String that specifies one of the color names or red-green-blue (RGB) values in the Color Table.

The property is read/write with no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

The link property cannot be set through the BODY object's onload event, but the linkColor property can.

Some browsers do not recognize color names, but all browsers should recognize RGB color values and display them correctly.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
BODY

See Also

aLink, vLink


linkColor Property

Sets or retrieves the color of the document links.

Syntax

HTML | N/A
Scripting | document.linkColor [ =sColor ]

Possible Values

sColor String that specifies one of the color names or values in the Color Table.

The property is read/write with a default value of #0000ff.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

The linkColor property can be set through the BODY object's onload event, but the link property cannot.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
HTML | N/A
Scripting | document

See Also

alinkColor, vlinkColor


list-style attribute | listStyle Property

Sets or retrieves up to three separate listStyle properties of the object.

Syntax

HTML | { list-style: sStyle }
Scripting | object.style.listStyle [ = sStyle ]

Possible Values

sStyle String that specifies up to three of the following values, in any order:
type | Any of the range of type values available to the listStyleType property.
position | Any of the range of position values available to the listStylePosition property.
image | Any of the range of image values available to the listStyleImage property.

The property is read/write with a default value set by the browser; the cascading style sheets (CSS) attribute is inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

The listStyle property is a composite property. When specifying both the type and image values, the image value takes precedence, unless the image value is set to none or the image pointed to by the URL cannot display.

When the left margin of a list item is set to 0 using one of the margin properties, the list item markers do not show. The margin should be set to a minimum of 30 points.

Example

The following examples use the list-style attribute and the listStyle property to set the list style.

This example uses UL and UL.compact as selectors in an embedded (global) style sheet to define the styles of two different unordered lists.

Note For the UL.compact to override the image that is set with the UL selector, you must explicitly set the list-style-image attribute to 'none'.

Sample Code

<STYLE>
    UL { list-style: outside url(dot.gif) }
    UL.compact { list-style-image:none; list-style: inside circle }
</STYLE>
</HEAD>
<BODY>
<UL>
    <LI>...
    <LI>...
</UL>
<UL CLASS=compact>
    <LI>...
    <LI>...
</UL>

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

This example uses inline scripting to change the style of the list. If the default image cannot be located, a hollow circle is used.

<UL onmouseover="this.style.listStyle='url(dot.gif) circle'">

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
LI, OL, runtimeStyle, style, UL


list-style-image Attribute | listStyleImage Property

Sets or retrieves which image to use as a list-item marker for the object.

Syntax

HTML | { list-style-image: sLocation }
Scripting | object.style.listStyleImage [ = sLocation ]

Possible Values

sLocation String that specifies one of the following values:
none | No image is specified.
url(sURL) | Location of the image, where sURL is an absolute or relative URL.

The property is read/write with a default value of none; the cascading style sheets (CSS) attribute is inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

When the image is available, it replaces the marker that is set with the listStyleType marker.

If the left margin of the list item is set to 0 using one of the margin properties, the list-item markers do not show. The margin should be set to a minimum of 30 points.

Example

The following examples use the list-style-image attribute and the listStyleImage property to set the image for markers.

This example uses UL as a selector in an embedded (global) style sheet to set the marker to the dot.gif image.

Sample Code

<STYLE>
    UL { list-style-image:url(dot.gif) }
</STYLE>

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

This example uses inline scripting to change the style of the list-item marker to an image when an onmouseover event occurs.

<UL onmouseover="this.style.listStyleImage='url(dot.gif)'">

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
currentStyle, LI, OL, runtimeStyle, style, UL


list-style-position Attribute | listStylePosition Property

Sets or retrieves how the list-item marker is drawn relative to the content of the object.

Syntax

HTML | { list-style-position: sPosition }
Scripting | object.style.listStylePosition [ = sPosition ]

Possible Values

sPosition String that specifies one of the following values:
outside | Marker is placed outside the text, and any wrapping text is not aligned under the marker.
inside | Marker is placed inside the text, and any wrapping text is aligned under the marker.

The property is read/write with a default value of outside; the cascading style sheets (CSS) attribute is inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

This property applies only to objects with a display value of list-item.

If the left margin of a list item is set to 0 using one of the margin properties, the list-item markers do not show. The margin should be set to a minimum of 30 points.

Example

The following examples use the list-style-position attribute and the listStylePosition property to set the position for markers.

This example uses UL and UL.compact as selectors in an embedded (global) style sheet to set the position of the list-item markers.

Sample Code

<STYLE>
    UL	{ list-style-position:inside }
    UL.compact { list-style-position:outside }
</STYLE>
</HEAD>
<BODY>
<UL>
    <LI>...
    <LI>...
</UL>
<UL CLASS=compact>
    <LI>...
    <LI>...
</UL>

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

This example uses inline scripting to change the marker position when an onmouseover event occurs.

<SPAN STYLE="width:3cm" onmouseover="this.style.listStylePosition='inside'"
    onmouseout="this.style.listStylePosition='outside'">

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
currentStyle, LI, OL, runtimeStyle, style, UL


list-style-type Attribute | listStyleType Property

Sets or retrieves the predefined type of the line-item marker for the object.

Syntax

HTML | { list-style-type: sType }
Scripting | object.style.listStyleType [ = sType ]

Possible Values

sType String that specifies one of the following values:
disc | Solid circles.
circle | Outlined circles.
square | Solid squares.
decimal | 1, 2, 3, 4, and so on.
lower-roman | i, ii, iii, iv, and so on.
upper-roman | I, II, III, IV, and so on.
lower-alpha | a, b, c, d, and so on.
upper-alpha | A, B, C, D, and so on.
none | No marker is shown.

The property is read/write with a default value of disc; the cascading style sheets (CSS) attribute is inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

The listStyleType property determines the appearance of the list-item marker if the value of the list-style-image attribute is set to none, or if the image pointed to by the URL cannot be displayed.

If the left margin of a line item is set to 0 using one of the margin properties, the list-item markers do not show. The margin should be set to a minimum of 30 points.

Example

The following examples use the list-style-type attribute and the listStyleType property to set the markers.

This example uses UL as a selector in an embedded (global) style sheet to change the marker type to circle.

Sample Code

<STYLE>
    UL { list-style-type:circle }
</STYLE>

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

This example uses inline scripting to change the marker type on when an onmouseover event occurs.

<UL onmouseover="this.style.listStyleType='circle'">

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
currentStyle, LI, OL, runtimeStyle, style, UL


LOOP Attribute | loop Property

Sets or retrieves the number of times a sound or video clip will loop when activated.

Syntax

HTML | <ELEMENT LOOP = iLoop ... >
Scripting | object.loop [ = iLoop ]

Possible Values

iLoop Integer that specifies one of the following values:
0, -1 | Loops infinitely.
count | Number of times to loop.

The property is read/write with a default value of 1.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

To restart a sound or video clip after changing its loop property, set the src property or dynsrc property, respectively, to itself (see Example). In Internet Explorer 4.0, when you restart a video by changing its loop property, the video opens and plays in a new window.

The following are descriptions of how the loop property works for some boundary cases.

<BGSOUND src="file:///c:\win95\system\msremind.wav"> | Loops one time
<BGSOUND src="file:///c:\win95\system\msremind.wav" LOOP> | Loops one time.
<BGSOUND src="file:///c:\win95\system\msremind.wav" LOOP=> | Loops one time.
<BGSOUND src="file:///c:\win95\system\msremind.wav" LOOP=0> | Loops one time.
<BGSOUND src="file:///c:\win95\system\msremind.wav" LOOP=-1> | Loops infinitely.

Example

This example uses the loop property and the src property to change the number of times a background sound loops.

<SCRIPT>
function loopOnce() {
    oBGSound.loop = 1;
    oBGSound.src = oBGSound.src; // reload sound
}
function loopContinuously() {
    oBGSound.loop = -1;
    oBGSound.src = oBGSound.src; // reload sound
}
</SCRIPT>
:
<BGSOUND id="oBGSound" src="sound.wav">
<BUTTON onclick="loopOnce()">Loop Sound Once</BUTTON>
<BUTTON onclick="loopContinuously()">Loop Sound Continuously</BUTTON>

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
BGSOUND, IMG


LOOP Attribute | loop Property

Sets or retrieves the number of times a MARQUEE will play.

Syntax

HTML | <ELEMENT LOOP = iLoop ... >
Scripting | object.loop [ =iLoop ]

Possible Values

iLoop Integer that specifies one of the following values:
0, -1 | Loops infinitely.
count | Number of times to loop.

The property is read/write with a default value of -1.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

In each of the following boundary cases, the MARQUEE loops infinitely.

<MARQUEE SCROLLAMOUNT=30 LOOP>This is some scrolling text.</MARQUEE> | Loops infinitely.
<MARQUEE SCROLLAMOUNT=30 LOOP=0>This is some scrolling text.</MARQUEE> | Loops infinitely.
<MARQUEE SCROLLAMOUNT=30 LOOP=>This is some scrolling text.</MARQUEE> | Loops infinitely.

If you set the loop property to null or 0 in script, a scripting error occurs.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
MARQUEE


LOWSRC Attribute | lowsrc Property

Sets or retrieves a lower resolution image to display.

Syntax

HTML | <IMG LOWSRC = sURL ... >
Scripting | object.lowsrc [ =sURL ]

Possible Values

sURL String that specifies the URL of the lower resolution image.

The property is read/write with no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

If the src property is set in code, the new URL starts loading into the image area and aborts the transfer of any image data that is already loading into the same area. If you want to alter the lowsrc property, you must do so before setting the src property. If the URL in the src property references an image that is not the same size as the image cell it is loaded into, the source image is scaled to fit.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

IMG


margin Attribute | margin Property

Sets or retrieves the width of the left, right, bottom, and top margins of the object.

Syntax

HTML | { margin: sMargin }
Scripting | object.style.margin [ = sMargin ]

Possible Values

sMargin String that specifies up to four of the following space-delimited values:
auto | Value is equal to the opposite margin.
width | Floating-point number, followed by an absolute units designator (cm, mm, in, pt, pc, or px) or a relative units designator (em or ex). For more information about the supported length units, see CSS Length Units.
percentage | Integer, followed by a %. The value is a percentage of the width of the parent object.

The property is read/write with a default value of 0; the cascading style sheets (CSS) attribute is not inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

This is a composite property that specifies up to four width values, in the following order: top, right, bottom, left. If one width value is specified, it is used for all four sides. If two width values are specified, the first is used for the top and bottom borders, and the second is used for left and right borders. If three width values are specified, they are used for the top, right/left, and bottom borders, respectively. Negative margins are supported except for top and bottom margins on inline objects.

As of Internet Explorer 4.0, you can specify length values relative to the height of the element's font (em) or the height of the letter "x" (ex).

In Internet Explorer 3.0, the specified margin value is added to the default value of the object. In Internet Explorer 4.0 and later, the margin value is absolute. The margin properties do not work with the TD and TR objects in Internet Explorer 4.0, but they do work in Internet Explorer 3.0. To set margins in the cell for Internet Explorer 4.0 and later, apply the margin to an object, such as DIV or P, within the TD.

To use this property, inline objects must have an absolute position or layout. Element layout is set by providing a value for the height property or the width property.

Margins are always transparent.

Example

The following examples use the margin attribute and the margin property to change the margin of the object.

This example uses the IMG object as a selector to set the margin of images to 1 centimeter.

Sample Code

<STYLE>
    IMG { margin:1cm }
</STYLE>

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

This example uses inline scripting to set the margin of the image to 5 millimeters when an onmouseover event occurs.

<IMG src="sphere.jpg" onmouseover="this.style.margin='5mm'">

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, currentStyle, custom, DD, DIR, DIV, DL, DT, EMBED, FIELDSET, FORM, Hn, HR, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, ISINDEX, LI, LISTING, MARQUEE, MENU, OBJECT, OL, P, PLAINTEXT, PRE, runtimeStyle, SPAN, style, TABLE, TD, TEXTAREA, TH, UL, XMP

See Also

CSS Length Units


margin-bottom Attribute | marginBottom Property

Sets or retrieves the height of the bottom margin of the object.

Syntax

HTML | { margin-bottom: sHeight }
Scripting | object.style.marginBottom [ = sHeight ]

Possible Values

sHeight String that specifies one of the following values:
auto | Bottom margin is set equal to the top margin.
height | Floating-point number, followed by an absolute units designator (cm, mm, in, pt, pc, or px) or a relative units designator (em or ex). For more information about the supported length units, see CSS Length Units.
percentage | Integer, followed by a %. The value is a percentage of the height of the parent object.

The property is read/write with a default value of 0; the cascading style sheets (CSS) attribute is not inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

As of Internet Explorer 4.0 and later, you can specify possible length values relative to the height of the element's font (em) or the height of the letter "x" (ex).

In Internet Explorer 3.0, the specified margin value is added to the default value of the object. In Internet Explorer 4.0 and later, the margin value is absolute. The margin properties do not work with the TD and TR objects in Internet Explorer 4.0, but they do work in Internet Explorer 3.0. To set margins in the cell for Internet Explorer 4.0 and later, apply the margin to an object, such as DIV or P, within the TD.

To use this property, inline objects must have an absolute position or layout. Element layout is set by providing a value for the height property or the width property.

Negative margins are supported, except for top and bottom margins on inline objects.

Example

The following examples use the margin-bottom attribute and the marginBottom property to change the margin of the object.

This example uses the IMG object as a selector to set the bottom margin on images to 2 centimeters.

Sample Code

<STYLE>
    IMG { margin-bottom:2cm }
</STYLE>

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

This example uses inline scripting to set the bottom margin of the image to 1 centimeter when an onmouseover event occurs.

<IMG src="sphere.jpg"onmouseover="this.style.marginBottom='1cm'">

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, currentStyle, custom, DD, DIR, DIV, DL, DT, EMBED, FIELDSET, FORM, Hn, HR, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, ISINDEX, LI, LISTING, MARQUEE, MENU, OBJECT, OL, P, PLAINTEXT, PRE, runtimeStyle, SPAN, style, TABLE, TD, TEXTAREA, TH, UL, XMP

See Also

CSS Length Units


MARGINHEIGHT Attribute | marginHeight Property

Sets or retrieves the top and bottom margin heights before displaying the text in a frame.

Syntax

HTML | <ELEMENT MARGINHEIGHT = iHeight ... >
Scripting | object.marginHeight [ =iHeight ]

Possible Values

iHeight Integer that specifies the height, in pixels.

The property is read/write with no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

Margins cannot be less than 1 pixel or so large that the text cannot be displayed.

If marginHeight is specified but marginWidth is not, marginWidth is set to 0.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

FRAME, IFRAME

See Also

marginWidth


margin-left Attribute | marginLeft Property

Sets or retrieves the width of the left margin of the object.

Syntax

HTML | { margin-left: sWidth }
Scripting | object.style.marginLeft [ = sWidth ]

Possible Values

sWidth String that specifies one of the following values:
auto | Left margin is set equal to the right margin.
width | Floating-point number, followed by an absolute units designator (cm, mm, in, pt, pc, or px) or a relative units designator (em or ex). For more information about the supported length units, see CSS Length Units.
percentage | Integer, followed by a %. The value is a percentage of the width of the parent object.

The property is read/write with a default value of 0; the cascading style sheets (CSS) attribute is not inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

As of Internet Explorer 4.0 and later, you can specify possible length values relative to the height of the element's font (em) or the height of the letter "x" (ex).

In Internet Explorer 3.0, the specified margin value is added to the default value of the object. In Internet Explorer 4.0 and later, the margin value is absolute. The margin properties do not work with the TD and TR objects in Internet Explorer 4.0, but they do work in Internet Explorer 3.0. To set margins in the cell for Internet Explorer 4.0 and later, apply the margin to an object, such as DIV or P, within the TD.

To use this property, inline objects must have an absolute position or layout. Element layout is set by providing a value for the height property or the width property.

Negative margins are supported, except for top and bottom margins on inline objects.

Example

The following examples use the margin-left attribute and the marginLeft property to change the margin of the object.

This example uses the IMG object as a selector to set the left margin to 2 centimeters for all images.

Sample Code

<STYLE>
    IMG { margin-left:2cm }
</STYLE>

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

This example uses inline scripting to set the left margin of the image to 1 centimeter when an onclick event occurs.

<IMG src="sphere.jpg" onclick="this.style.marginLeft='1cm'">

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, currentStyle, custom, DD, DIR, DIV, DL, DT, EMBED, FIELDSET, FORM, Hn, HR, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, ISINDEX, LI, LISTING, MARQUEE, MENU, OBJECT, OL, P, PLAINTEXT, PRE, runtimeStyle, SPAN, style, TABLE, TD, TEXTAREA, TH, UL, XMP

See Also

CSS Length Units


margin-right Attribute | marginRight Property

Sets or retrieves the width of the right margin of the object.

Syntax

HTML | { margin-right: sWidth }
Scripting | object.style.marginRight [ = sWidth ]

Possible Values

sWidth String that specifies one of the following values:
auto | Right margin is set equal to the left margin.
width | Floating-point number, followed by an absolute units designator (cm, mm, in, pt, pc, or px) or a relative units designator (em or ex). For more information about the supported length units, see CSS Length Units.
percentage | Integer, followed by a %. The value is a percentage of the width of the parent object.

The property is read/write with a default value of 0; the cascading style sheets (CSS) attribute is not inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

As of Internet Explorer 4.0 and later, you can specify possible length values relative to the height of the element's font (em) or the height of the letter "x" (ex).

In Internet Explorer 3.0, the specified margin value is added to the default value of the object. In Internet Explorer 4.0 and later, the margin value is absolute. The margin properties do not work with the TD and TR objects in Internet Explorer 4.0, but they do work in Internet Explorer 3.0. To set margins in the cell for Internet Explorer 4.0 and later, apply the margin to an object, such as DIV or P, within the TD.

To use this property, inline objects must have an absolute position or layout. Element layout is set by providing a value for the height property or the width property.

Negative margins are supported, except for top and bottom margins on inline objects.

Example

The following examples use the margin-right attribute and the marginRight property to change the margin of the object.

This example uses IMG as a selector and margin1 as a class in an embedded style sheet to set the right margin of an image when an onclick event or ondblclick event occurs.

Sample Code

<STYLE>
    IMG { margin-right:1cm }
    .margin1 { margin-right:2cm }
</STYLE>
</HEAD>
<BODY>
<IMG src="sphere.jpg" onclick="this.className='margin1'"
    ondblclick="this.className=''">

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

This example uses inline scripting to set the right margin of the image to 1 centimeter when the onclick event occurs.

<IMG src="sphere.jpeg" onclick="this.style.marginRight='1cm'">

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, currentStyle, custom, DD, DIR, DIV, DL, DT, EMBED, FIELDSET, FORM, Hn, HR, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, ISINDEX, LI, LISTING, MARQUEE, MENU, OBJECT, OL, P, PLAINTEXT, PRE, runtimeStyle, SPAN, style, TABLE, TD, TEXTAREA, TH, UL, XMP

See Also

CSS Length Units


margin-top Attribute | marginTop Property

Sets or retrieves the height of the top margin of the object.

Syntax

HTML | { margin-top: sHeight }
Scripting | object.style.marginTop [ = sHeight ]

Possible Values

sHeight String that specifies one of the following values:
auto | Top margin is set equal to the bottom margin.
height | Floating-point number, followed by an absolute units designator (cm, mm, in, pt, pc, or px) or a relative units designator (em or ex). For more information about the supported length units, see CSS Length Units.
percentage | Integer, followed by a %. The value is a percentage of the height of the parent object.

The property is read/write with a default value of 0; the cascading style sheets (CSS) attribute is not inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

As of Internet Explorer 4.0 and later, you can specify possible length values relative to the height of the element's font (em) or the height of the letter "x" (ex).

In Internet Explorer 3.0, the specified margin value is added to the default value of the object. In Internet Explorer 4.0 and later, the margin value is absolute. The margin properties do not work with the TD and TR objects in Internet Explorer 4.0, but they do work in Internet Explorer 3.0. To set margins in the cell for Internet Explorer 4.0 and later, apply the margin to an object, such as DIV or P, within the TD.

To use this property, inline objects must have an absolute position or layout. Element layout is set by providing a value for the height property or the width property.

Negative margins are supported, except for top and bottom margins on inline objects.

Example

The following examples use the margin-top attribute and the marginTop property to change the margin of the object.

This example uses HR as a selector and margin1 as a class in an embedded style sheet to set the top margin of the horizontal rule.

Sample Code

<STYLE>
    HR { margin-top:2cm }
    .margin1 { margin-top:4cm }
</STYLE>
</HEAD>
<BODY>
<HR onclick="this.className='margin1'" ondblclick="this.className=''">
</STYLE>

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

This example uses inline scripting to set and reset the margin when the onclick and ondblclick events occur, respectively.

<HR onclick="this.style.marginTop='2cm'"
ondblclick="this.style.marginTop=''">

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, currentStyle, custom, DD, DIR, DIV, DL, DT, EMBED, FIELDSET, FORM, Hn, HR, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, ISINDEX, LI, LISTING, MARQUEE, MENU, OBJECT, OL, P, PLAINTEXT, PRE, runtimeStyle, SPAN, style, TABLE, TD, TEXTAREA, TH, UL, XMP

See Also

CSS Length Units


MARGINWIDTH Attribute | marginWidth Property

Sets or retrieves the left and right margin widths before displaying the text in a frame.

Syntax

HTML | <ELEMENT MARGINWIDTH = iWidth ... >
Scripting | object.marginWidth [ =iWidth ]

Possible Values

iWidth Integer that specifies the width, in pixels.

The property is read/write with no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

Margins cannot be less than 1 pixel or so large that the text cannot be displayed.

If marginWidth is specified but marginHeight is not, marginHeight is set to 0.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

FRAME, IFRAME

See Also

marginHeight


MAXLENGTH Attribute | maxLength Property

Sets or retrieves the maximum number of characters that the user can enter into a text control.

Syntax

HTML | <INPUT TYPE="text" MAXLENGTH = iLength ... >
Scripting | object.maxLength [ =iLength ]

Possible Values

iLength Integer that specifies the maximum length of the input.

The property is read/write with a default of no limit.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

The maxLength property limits the number of characters the user can enter. The property does not limit programmatic assignments to the value property. The property's value can be larger than the size of the text box, in which case the text box scrolls, as necessary, as the user types.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
INPUT type=text, INPUT type=password

See Also

size


MEDIA Attribute | media Property

Sets or retrieves the media type.

Syntax

HTML | <ELEMENT MEDIA = sType ... >
Scripting | object.media [ =sType ]

Possible Values

sType String that specifies one of the following values:
screen | Output is intended for computer screens.
print | Output is intended for printed material and for documents on screen viewed in Print Preview mode.
all | Applies to all devices.

The property is read/write with no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
LINK, STYLE


@media Rule

Sets the media types for a set of styleSheet rules.

Syntax

HTML | @media sMediaType { sRules }
Scripting | N/A

Possible Values

sMediaType
screen | Output is intended for computer screens.
print | Output is intended for printed material and for documents on screen viewed in Print Preview mode.
all | Applies to all devices.
sRules One or more rules in a styleSheet object.

The rule has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Example

This example shows how to implement the @media rule.

Sample Code

// For computer screens, the font size is 12pt.
@media screen {
   BODY {font-size: 12pt;}
}
// When printed, the font size is 8pt.
@media print {
   BODY {font-size: 8pt;}
}

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
STYLE

See Also

media


menuArguments Property

Returns the window object where the context menu item was executed.

Syntax

HTML | N/A
Scripting | [ oWindow = ] window.external.menuArguments

Possible Values

oWindow Object that specifies where the context menu was opened.

The property is read-only with no default value.

Remarks

This property is accessible only through script specified in the registry for a new context menu entry.

The menuArguments property returns an object reference of the window where the context menu was opened. The event object is exposed through this object reference, allowing authors to query the srcElement, clientX, and clientY properties.

For more information about how to implement extensions to the DHTML Object Model, see extending the dynamic html object model Internet Link. For more information about how to add an entry into the standard context menus in Internet Explorer, see adding entries to the standard context menu Internet Link.

This property is not supported in html applications Internet Link.

Example

This example uses the menuArguments property to change selected text to uppercase, or to insert text if nothing is selected.

Sample Code

<SCRIPT LANGUAGE = "JavaScript">

// Get the window object where the context menu was opened.
var oWindow = window.external.menuArguments;

// Get the document object exposed through oWindow.
var oDocument = oWindow.document;

// Get the selection from oDocument.
// in oDocument.
var oSelect = oDocument.selection;

// Create a TextRange from oSelect.
var oSelectRange = oSelect.createRange();

// Get the text of the selection.
var sNewText = oSelectRange.text;

// If nothing was selected, insert some text.
if (sNewText.length == 0){
   oSelectRange.text = "INSERT TEXT";
}

// Otherwise, convert the selection to uppercase.
else{
   oSelectRange.text = sNewText.toUpperCase();
}
</SCRIPT>

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
external

See Also

adding entries to the standard context menu Internet Link, extending the dynamic html object model Internet Link


METHOD Attribute | method Property

Sets or retrieves how to send the form data to the server.

Syntax

HTML | <FORM METHOD = sMethod ... >
Scripting | form.method [ =sMethod ]

Possible Values

sMethod String that specifies one of the following values:
get | Append the arguments to the action URL and open it as if it were an anchor.
post | Send the data through an HTTP post transaction.

The property is read/write with no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

FORM

See Also

action


METHODS Attribute | Methods Property

Sets or returns the list of HTTP methods supported by the object.

Syntax

HTML | <A METHODS = sMethod ... >
Scripting | a.Methods [ =sMethod ]

Possible Values

sMethod String that specifies the comma-separated list of HTTP methods supported by the object for public use.

The property is read/write.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

These methods are more accurately given by the HTTP protocol when it is used. However, for reasons similar to those for the title property, it can be useful to include the information in advance in the link. The HTML user agent can choose a different rendering as a function of the methods allowed; for example, if an object has a method that supports searching, an icon denoting this can be rendered.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A


MULTIPLE Attribute | multiple Property

Sets or retrieves whether multiple items can be selected from a list.

Syntax

HTML | <SELECT MULTIPLE ... >
Scripting | select.multiple [ = bMultiple ]

Possible Values

bMultiple Boolean that specifies one of the following values:
false | Multiple items cannot be selected.
true | Multiple items can be selected.

The property is read/write with a default value of false.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Example

This example uses the MULTIPLE attribute and the multiple property to switch between allowing the user to select one item or multiple items from a list.

Sample Code

<SELECT ID=oSelect MULTIPLE>
<OPTION>Item 1</OPTION>
<OPTION>Item 2</OPTION>
<OPTION>Item 3</OPTION>
</SELECT>
:
<BUTTON onclick="oSelect.multiple=false">One</BUTTON>
<BUTTON onclick="oSelect.multiple=true">Many</BUTTON>

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

SELECT


NAME Attribute | name Property

Sets or retrieves the window or frame name.

Syntax

HTML | <ELEMENT NAME = sName ... >
Scripting | object.name [ = sName ]

Possible Values

sName String that specifies one of the following values:
_blank | Link is loaded into a new, unnamed window.
_parent | Link is loaded over the parent. If the frame has no parent, this value refers to _self.
_self | Page is replaced with the specified link.
_top | Link is loaded at the topmost level.
name | Arbitrary name used to identify the object.

The property is read/write with no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

The name property identifies which frame displays the content of a linked document.

To access a window's name property, use the window keyword.

Example

This example assigns the name property to the window object.

Sample Code

window.name="MyWindow";

This example uses scripting to set the name property of a frame.

Sample Code

parent.frames[0].name="Left";

This example shows how the NAME attribute for a window can be persisted in HTML, but only when defined in a frame within a frameset.

Sample Code

<FRAMESET>
    <FRAME NAME="Left" SRC="blank.htm">
    <FRAME NAME="Right" SRC="contents.htm">
</FRAMESET>

This example uses the window's open method to assign the name property.

Sample Code

window.open("file.htm","Frame1");

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
FRAME, IFRAME, window


NAME Attribute | name Property

Sets or retrieves the value specified in the CONTENT attribute of the META object.

Syntax

HTML | <META NAME = sName ... >
Scripting | object.name [ = sName ]

Possible Values

sName String that specifies one of the following values:
name | Arbitrary value.
Description | Associated CONTENT attribute describes the containing document. Some search engines use this to provide the user with a document summary in the result of a search.
Generator | Associated CONTENT attribute identifies the name of the application used to create the document.
Keywords | Associated CONTENT attribute consists of comma-delimited words describing the document. Some search engines use this to allow the user to perform a keyword search.
ProgID | Associated CONTENT attribute contains the programmatic identifier of the document's default editor.
Robots Associated CONTENT attribute indicates whether the containing document should be indexed by search engines that recognize the META object.
all | Search engines can index the containing document.
noindex | Search engines cannot index the containing document.
Template | Associated CONTENT attribute specifies the location of the template used to edit the document. Use this in conjunction with the ProgID META object if the editor supports document templates.

The property is read/write with no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

The NAME attribute typically is assigned one of the preceding well-defined values, but any arbitrary value can be specified. Custom tools can be developed to perform special actions on documents containing arbitrary META tags.

To enable the smart edit features in Internet Explorer 5 or later, add a META tag to the HEAD of the document. Associate ProgID with the NAME attribute, and associate the programmatic identifier of the desired editor with the CONTENT attribute. If the specified editor is not installed or properly registered on the user's system, the edit button is not displayed. Consult the documentation of your editor to determine its programmatic identifier.

Example

This example adds META tags to the HEAD of an HTML document to display a smart edit button on the toolbar as of Internet Explorer 5. Because the ProgID META tag is associated with the programmatic identifier of Microsoft® Word, the button displays the Microsoft Word icon. When you click the button, Internet Explorer loads the document into Word using the specified document template.

<META NAME="ProgID" CONTENT="word.document">
<META NAME="Template" CONTENT="C:\Program Files\Microsoft Office\Office\html.dot">

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

META


NAME Attribute | name Property

Sets or retrieves the name of the control, bookmark, or application.

Syntax

HTML | <ELEMENT NAME = sName ... >
Scripting | object.name [ = sName ]

Possible Values

sName String that specifies the name.

The property is read/write with no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

When submitting a FORM, use the name property to bind the value of the control. The name is not the value displayed for the button, reset, and submit input types. The internally stored value, not the displayed value, is the one submitted with the form.

Microsoft® JScript® (compatible with ECMA 262 language specification) allows the name to be changed at run time. This does not cause the name in the programming model to change in the collection of elements, but it does change the name used for submitting elements.

In Internet Explorer 5, the name property cannot be set at run time on anchor objects dynamically created with the createElement method. To create an anchor with a NAME attribute, include the attribute and value when using the createElement method, or use the innerHTML property.

Example

This example sets the NAME attribute on a dynamically created anchor.

var oAnchor = document.createElement("<A NAME='AnchorName'></A>");

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, APPLET, BUTTON, FORM, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, LINK, MAP, OBJECT, PARAM, RT, RUBY, SELECT, TEXTAREA


nameProp Property

Retrieves the file name specified in the href or src property of the object.

Syntax

HTML | N/A
Script | [ sFileName = ] object.nameProp

Possible Values

sFileName String that specifies the name of a file specified by the object, not including the path or protocol.

The property is read-only with no default value.

Example

This example uses the nameProp property to set the innerText property of a link to the file name specified by an A element.

Sample Code

<SCRIPT>
window.onload=fnInit;
function fnInit(){
   oLink.innerText=oLink.nameProp;
}
</SCRIPT>
<A ID="oLink"
   HREF="http://msdn.microsoft.com/workshop/author/dhtml/dhtmlrefs.asp">
</A>

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, IMG


nextSibling Property

Retrieves a reference to the next child of the parent for the specified object.

Syntax

HTML | N/A
Scripting | [ oElement = ] object.nextSibling

Possible Values

oElement Object that specifies the next sibling.

The property is read-only with no default value.

Example

This example uses the nextSibling property to obtain the next item in the list.

<SCRIPT>
// returns the list item labeled 'List Item 2'
var oSibling = oList.childNodes(0).nextSibling;
</SCRIPT>

<BODY>
<UL ID = oList>
<LI>List Item 1
<LI>List Item 2
<LI>List Item 3
</UL>
<BODY>

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ACRONYM, ADDRESS, APPLET, AREA, B, BASE, BASEFONT, BDO, BGSOUND, BIG, BLOCKQUOTE, BODY, BR, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, COMMENT, DD, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, HEAD, Hn, HR, HTML, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LABEL, LEGEND, LI, LINK, LISTING, MAP, MARQUEE, MENU, NEXTID, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TextNode, TFOOT, TH, THEAD, TITLE, TR, TT, U, UL, VAR, XMP

See Also

lastChild


nodeName Property

Retrieves the name of a particular type of node.

Syntax

HTML | N/A
Scripting | [ sName = ] object.nodeName

Possible Values

sName String that specifies one of the following values:
tagName | Name of the element, also available through the tagName property.
attrName | Name of the attribute, where the node is an Attribute object.
#text | Node is a TextNode object.

The property is read-only with no default value.

Example

This example uses the nodeName property to obtain the name of an element.

<SCRIPT>
// returns the element name 'LI' of the list item labeled 'List Item 2'
var sName = oList.childNodes(1).nodeName;
</SCRIPT>

<BODY>
<UL ID = oList>
<LI>List Item 1
<LI>List Item 2
<LI>List Item 3
</UL>
</BODY>

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ACRONYM, ADDRESS, APPLET, AREA, Attribute, B, BASE, BASEFONT, BDO, BGSOUND, BIG, BLOCKQUOTE, BODY, BR, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, COMMENT, DD, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, HEAD, Hn, HR, HTML, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LABEL, LEGEND, LI, LINK, LISTING, MAP, MARQUEE, MENU, NEXTID, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TextNode, TFOOT, TH, THEAD, TITLE, TR, TT, U, UL, VAR, XMP

See Also

nodeType


nodeType Property

Retrieves the type of the requested node.

Syntax

HTML | N/A
Scripting | [ iType = ] oNode.nodeType

Possible Values

iType Integer that specifies one of the following values:
1 | Element node.
3 | Text node.

The property is read-only with no default value.

Remarks

If the node represents an attribute retrieved from the attributes collection, the nodeType returns null.

Example

This example assigns the nodeType property of the BODY object to a variable.

var iType = document.body.nodeType;

This example assigns the nodeType property of a node created with the createElement method to a variable.

var oNode = document.createElement("B");
document.body.insertBefore(oNode);
var iType = oNode.nodeType;

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ACRONYM, ADDRESS, APPLET, AREA, Attribute, B, BASE, BASEFONT, BDO, BGSOUND, BIG, BLOCKQUOTE, BODY, BR, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, COMMENT, DD, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, HEAD, Hn, HR, HTML, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LABEL, LEGEND, LI, LINK, LISTING, MAP, MARQUEE, MENU, NEXTID, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TextNode, TFOOT, TH, THEAD, TITLE, TR, TT, U, UL, VAR, XMP


nodeValue Property

Sets or retrieves the value of a node.

Syntax

HTML | N/A
Scripting | object.nodeValue [ = sValue ]

Possible Values

sValue String that specifies the node value or null.

The property is read/write with no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

If the object is a TextNode, the nodeValue property returns a string representing the text contained by the node.

If the object is an Attribute object retrieved from the attributes collection, the nodeValue property returns the value of the attribute if it has been specified, or null otherwise.

If the object is an element, the nodeValue returns null. Use the nodeName property to determine the element name.

Example

This example alters the text of the specified list item by setting the nodeValue property of the text node contained by that list item.

<SCRIPT>
function fnChangeValue(oList, iItem, sValue){
   // only perform the operation on lists
   if (oList.nodeName != "UL" && oList.nodeName != "OL")
      return false;

   // only perform the operation if the specified index is
   // within the acceptable range of available list items
   if (iItem > oList.childNodes.length -1)
      return false;

   // get a reference to the specified list item
   var oLI = oList.childNodes(i);
   if (!oLI)
      return false;

   // get a reference to the text node contained by the list item
   var oText = oLI.childNodes(0);
   // ensure that the node is a text node
   if (oText.nodeType != 3)
      return false;

   oText.nodeValue = sValue;
   return true;
}
</SCRIPT>

<UL ID="oList" onclick="fnChangeValue(this, 0, 'New Node value')">
<LI>Old Node Value
</UL>

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ACRONYM, ADDRESS, APPLET, AREA, Attribute, B, BASE, BASEFONT, BDO, BGSOUND, BIG, BLOCKQUOTE, BODY, BR, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, COMMENT, DD, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, HEAD, Hn, HR, HTML, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LABEL, LEGEND, LI, LINK, LISTING, MAP, MARQUEE, MENU, NEXTID, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TextNode, TFOOT, TH, THEAD, TITLE, TR, TT, U, UL, VAR, XMP


NOHREF Attribute | noHref Property

Sets or retrieves whether clicks in this region cause action.

Syntax

HTML | <AREA NOHREF ... >
Scripting | area.noHref [ =bHref ]

Possible Values

bHref Boolean that specifies one of the following values:
false | Clicks cause action.
true | Clicks do not cause action.

The property is read/write with a default value of false.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

AREA


NORESIZE Attribute | noResize Property

Sets or retrieves whether the user can resize the frame.

Syntax

HTML | <ELEMENT NORESIZE ... >
Scripting | object.noResize [ =bResize ]

Possible Values

bResize Boolean that specifies one of the following values:
false | User can resize the frame.
true | User cannot resize the frame.

The property is read/write with a default value of false.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
FRAME


NOSHADE Attribute | noShade Property

Sets or retrieves whether the horizontal rule is drawn with 3-D shading.

Syntax

HTML | <HR NOSHADE ... >
Scripting | hr.noShade [ =bShade ]

Possible Values

bShade Boolean that specifies one of the following values:
false | Horizontal rule is drawn with 3-D shading.
true | Horizontal rule is drawn without 3-D shading.

The property is read/write with a default value of false.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

HR


NOWRAP Attribute | noWrap Property

Sets or retrieves whether the browser automatically performs wordwrap.

Syntax

HTML | <ELEMENT NOWRAP ... >
Scripting | object.noWrap [ =bWrap ]

Possible Values

bWrap Boolean that specifies one of the following values:
false | Browser automatically wraps the text.
true | Browser does not wrap the text.

The property is read/write with a default value of false.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

BODY, DD, DIV, DT, TD, TH


object Property

Retrieves the contained object.

Syntax

HTML | N/A
Scripting | [ oObject = ] object.object

Possible Values

oObject Object that specifies the contained object.

The property is read-only with no default value.

Remarks

If the control's object model uses a conflicting namespace, precede the control's property with object to resolve the conflict.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
HTML | N/A
Scripting | OBJECT


offscreenBuffering Property

Sets or retrieves whether objects are drawn offscreen before being made visible to the user.

Syntax

HTML | N/A
Scripting | window.offscreenBuffering [ =vBuffering ]

Possible Values

vBuffering Variant that specifies one of the following values:
auto | String that allows Internet Explorer to decide when offscreen buffering is used.
true | Boolean that enables offscreen buffering.
false | Boolean that disables offscreen buffering.

The property is read/write with a default value of auto.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

The value of the offscreenBuffering property determines how the current page is drawn. When the property is set to true, objects are added to an offscreen buffer. Once all objects are drawn, the contents of the offscreen buffer are made visible to the user. When the property is set to false, objects are rendered directly to the screen.

By default, Internet Explorer decides when to buffer objects offscreen. In addition, Internet Explorer automatically enables offscreen buffering when Microsoft® DirectX®-based components are used on the page.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
HTML | N/A
Scripting | window


offsetHeight Property

Retrieves the height of the object relative to the layout or coordinate parent, as specified by the offsetParent property.

Syntax

HTML | N/A
Scripting | [ iHeight = ] object.offsetHeight

Possible Values

iHeight Integer that specifies the height, in pixels.

The property is read-only with no default value.

Remarks

You can determine the location, width, and height of an object by using a combination of the offsetLeft, offsetTop, offsetHeight, and offsetWidth properties. These numeric properties specify the physical coordinates and dimensions of the object relative to the object's offset parent.

For more information about how to access the dimension and location of elements on the page through the document object model, see measuring element dimension and location Internet Link.

Example

This example adjusts the size of a clock's readout to fit the current width and height of the document body.

Sample Code

<HTML>
<HEAD>
<TITLE>A Simple Clock</TITLE>
<SCRIPT LANGUAGE="JScript">
function startClock()
{
    window.setInterval("Clock_Tick()", 1000);
    Clock_Tick();
}

var iRatio = 4;
function Clock_Tick()
{
    var dToday = Date();
    var sTime = s.substring(11,19);
    var iDocHeight = document.body.offsetHeight;
    var iDocWidth = document.body.offsetWidth;

    if ((iDocHeight*iRatio)>iDocWidth)
        iDocHeight = iDocWidth / iRatio;
    document.all.MyTime.innerText = sTime;
    document.all.MyTime.style.fontSize = iDocHeight;
}
</SCRIPT>
</HEAD>
<BODY onload="startClock()">
<P ID="MyTime">&nbsp;</P>
</BODY>
</HTML>

This example uses the offsetHeight property and the clientHeight property to show different ways of measuring the object size.

<DIV ID=oDiv STYLE="overflow:scroll; width:200; height:100"> . . . </DIV>
<BUTTON onclick="alert(oDiv.clientHeight)">client height</BUTTON>
<BUTTON onclick="alert(oDiv.offsetHeight)">offset height</BUTTON>

This feature requires Microsoft® Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ACRONYM, ADDRESS, APPLET, AREA, B, BDO, BIG, BLOCKQUOTE, BODY, BR, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, custom, DD, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, Hn, HR, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LABEL, LEGEND, LI, LISTING, MAP, MARQUEE, MENU, NEXTID, NOBR, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, RT, RUBY, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP


offsetLeft Property

Retrieves the calculated left position of the object relative to the layout or coordinate parent, as specified by the offsetParent property.

Syntax

HTML | N/A
Scripting | [ iCoord = ] object.offsetLeft

Possible Values

iCoord Integer that specifies the left position, in pixels.

The property is read-only with no default value.

Remarks

You can determine the location, width, and height of an object by using a combination of the offsetLeft, offsetTop, offsetHeight, and offsetWidth properties. These numeric properties specify the physical coordinates and dimensions of the object relative to the object's offset parent.

For more information about how to access the dimension and location of objects on the page through the document object model, see measuring element dimension and location Internet Link.

Example

This example uses the offsetLeft property to determine whether an object is in the user's view.

Sample Code

<SCRIPT>
function isinView(oObject)
{
    var oParent = oObject.offsetParent;
    var iOffsetLeft = oDiv.offsetLeft;
    var iClientWidth = oParent.clientWidth;
    if (iOffsetLeft > iClientWidth) {
        alert("Scroll right for the message.");
        }
}
</SCRIPT>
:
<BUTTON onclick="isinView(this)">Click here</BUTTON>
:
<DIV ID=oDiv STYLE="position:absolute; top:200; left:1200;">
:
</DIV>

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ACRONYM, ADDRESS, APPLET, AREA, B, BDO, BIG, BLOCKQUOTE, BODY, BR, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, custom, DD, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, Hn, HR, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LABEL, LEGEND, LI, LISTING, MAP, MARQUEE, MENU, NEXTID, NOBR, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, RT, RUBY, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TextRange, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP


offsetParent Property

Retrieves a reference to the container object that defines the offsetTop and offsetLeft properties of the object.

Syntax

HTML | N/A
Scripting | [ oElement = ] object.offsetParent

Possible Values

oElement Object that specifies the container object.

The property is read-only with no default value.

Remarks

Most of the time the offsetParent property returns the BODY object.

Note In Microsoft® Internet Explorer 5, the offsetParent property returns the TABLE object for the TD object; in Internet Explorer 4.0 it returns the TR object. You can use the parentElement property to retrieve the immediate container of the table cell.

Example

This example shows how to determine the position of a TD object. Although the TD object appears to the far right in the document, its position is close to the x-axis and y-axis, because its offset parent is a TABLE object rather than the document body.

Note For Internet Explorer 4.0, this same example returns a position of 0,0 because the offset parent is the table row.

Sample Code

<HTML>
<HEAD>
  <TITLE>Elements: Positions</TITLE>
  <SCRIPT LANGUAGE="JScript">

  function showPosition()
  {
    var oElement = document.all.oCell;

    alert("The TD element is at (" + oElement.offsetLeft +
          "," + oElement.offsetTop + ")\n" + "The offset parent is "
          + oElement.offsetParent.tagName );
  }
  </SCRIPT>
</HEAD>
<BODY onload="showPosition()">
<P>This document contains a right-aligned table.
<TABLE BORDER=1 ALIGN=right>
  <TR>
    <TD ID=oCell>This is a small table.</TD>
  </TR>
</TABLE>
</BODY>
</HTML>

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ACRONYM, ADDRESS, APPLET, AREA, B, BDO, BIG, BLOCKQUOTE, BODY, BR, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, COMMENT, custom, DD, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, Hn, HR, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LABEL, LEGEND, LI, LISTING, MAP, MARQUEE, MENU, NEXTID, NOBR, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, RT, RUBY, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP

See Also

measuring element dimension and location Internet Link


offsetTop Property

Retrieves the calculated top position of the object relative to the layout or coordinate parent, as specified by the offsetParent property.

Syntax

HTML | N/A
Scripting | [ iCoord = ] object.offsetTop

Possible Values

iCoord Integer that specifies the top position, in pixels.

The property is read-only with no default value.

Remarks

You can determine the location, width, and height of an object by using a combination of the offsetLeft, offsetTop, offsetHeight, and offsetWidth properties. These numeric properties specify the physical coordinates and dimensions of the object relative to the object's offset parent.

For more information about how to access the dimension and location of objects on the page through the document object model, see measuring element dimension and location Internet Link.

Example

This example uses the offsetTop property to determine whether an object is in the user's view.

Sample Code

<SCRIPT>
function isinView(oObject)
{
    var oParent = oObject.offsetParent;
    var iOffsetTop = oObject.offsetTop;
    var iClientHeight = oParent.clientHeight;
    if (iOffsetHeight > iClientHeight) {
        alert("Scroll down for the message.");
    }
}
</SCRIPT>
:
<BUTTON onclick="isinView(this)">Click here</BUTTON>
:
<DIV ID=oDiv STYLE="position:absolute; top:900; left:0;">
:
</DIV>

This feature requires Microsoft® Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ACRONYM, ADDRESS, APPLET, AREA, B, BDO, BIG, BLOCKQUOTE, BODY, BR, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, custom, DD, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, Hn, HR, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LABEL, LEGEND, LI, LISTING, MAP, MARQUEE, MENU, NEXTID, NOBR, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, RT, RUBY, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TextRange, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP


offsetWidth Property

Retrieves the width of the object relative to the layout or coordinate parent, as specified by the offsetParent property.

Syntax

HTML | N/A
Scripting | [ iWidth = ] object.offsetWidth

Possible Values

iWidth Integer that specifies the width, in pixels.

The property is read-only with no default value.

Remarks

You can determine the location, width, and height of an object by using a combination of the offsetLeft, offsetTop, offsetHeight, and offsetWidth properties. These numeric properties specify the physical coordinates and dimensions of the object relative to the object's offset parent.

For more information about how to access the dimension and location of objects on the page through the document object model, see measuring element dimension and location Internet Link.

Example

This example adjusts the size of a clock's readout to fit the current width and height of the document.

Sample Code

<HTML>
<HEAD><TITLE>A Simple Clock</TITLE>
<SCRIPT LANGUAGE="JScript">
function startClock()
{
    window.setInterval("Clock_Tick()", 1000);
    Clock_Tick();
}

var ratio = 4;
function Clock_Tick()
{
    var s = Date();
    var t = s.substring(11,19);
    var doc_height = document.body.offsetHeight;
    var doc_width = document.body.offsetWidth;

    if ((doc_height*ratio)>doc_width)
        doc_height = doc_width / ratio;
        document.all.MyTime.innerText = t;
        document.all.MyTime.style.fontSize = doc_height;
}
</SCRIPT>
<BODY onload="startClock()">
<P ID="MyTime">&nbsp;</P>
</BODY>
</HTML>

This example uses the offsetWidth property and the clientWidth property to show the different ways of measuring the object size.

<DIV ID=oDiv STYLE="overflow:scroll; width:200; height:100"> . . . </DIV>
<BUTTON onclick="alert(oDiv.clientWidth)">client width</BUTTON>
<BUTTON onclick="alert(oDiv.offsetWidth)">offset width</BUTTON>

This feature requires Microsoft® Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ACRONYM, ADDRESS, APPLET, AREA, B, BDO, BIG, BLOCKQUOTE, BODY, BR, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, custom, DD, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, Hn, HR, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LABEL, LEGEND, LI, LISTING, MAP, MARQUEE, MENU, NEXTID, NOBR, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, RT, RUBY, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP


offsetX Property

Retrieves the x-coordinate of the mouse pointer's position relative to the object firing the event.

Syntax

HTML | N/A
Scripting | [ iCoord = ] event.offsetX

Possible Values

iCoord Integer that specifies the x-coordinate, in pixels.

The property is read-only with no default value.

Remarks

The coordinates match the offsetLeft and offsetTop properties of the object. Use offsetParent to find the container object that defines this coordinate system.

Example

This example uses the offsetX property to determine the mouse position relative to the container that fired the event, and displays the mouse coordinates in the status bar at the bottom of the window.

Sample Code

<SCRIPT>
function offsetCoords()
{
    var offsetInfo = ""
    offsetInfo = "The x coordinate is: " + window.event.offsetX + "\r"
    offsetInfo += "The y coordinate is: " + window.event.offsetY + "\r"
    alert(offsetInfo);
}
</SCRIPT>
</HEAD>
<BODY onmousemove="window.status = 'X=' + window.event.offsetX +
    ' Y=' + window.event.offsetY" ondblclick="offsetCoords()">
:
<DIV onclick="offsetCoords();" . . . position:absolute; top:200;
    left:300;">
:
</DIV>

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
HTML | N/A
Scripting | event


offsetY Property

Retrieves the y-coordinate of the mouse pointer's position relative to the object firing the event.

Syntax

HTML | N/A
Scripting | [ iCoord = ] event.offsetY

Possible Values

iCoord Integer that specifies the y-coordinate, in pixels.

The property is read-only with no default value.

Remarks

The coordinates match the offsetLeft and offsetTop properties of the object. Use offsetParent to find the container object that defines this coordinate system.

Example

This example uses the offsetY property to determine the mouse position relative to the container that fired the event, and displays the mouse coordinates in the status bar at the bottom of the window.

Sample Code

<SCRIPT>
function offsetCoords()
{
    var offsetInfo = ""
    offsetInfo = "The x coordinate is: " + window.event.offsetX + "\r"
    offsetInfo += "The y coordinate is: " + window.event.offsetY + "\r"
    alert(offsetInfo);
}
</SCRIPT>
</HEAD>
<BODY onmousemove="window.status = 'X=' + window.event.offsetX +
    ' Y=' + window.event.offsetY"
    ondblclick="offsetCoords()">
:
<DIV onclick="offsetCoords();" . . . position:absolute; top:200;
    left:300;">
:
</DIV>

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
HTML | N/A
Scripting | event


onLine Property

Retrieves whether the system is in global offline mode Internet Link.

Syntax

HTML | N/A
Scripting | [ bOnLine = ] navigator.onLine

Possible Values

bOnLine Boolean that specifies one of the following values:
true | System is not in global offline mode.
false | System is in global offline mode.

The property is read-only with no default value.

Remarks

The user can modify the global offline state by selecting the Work Offline item from the Microsoft® Internet Explorer (version 4.0 and later) File menu. This property does not indicate whether the system is connected to the network.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
clientInformation, navigator


opener Property

Sets or retrieves a reference to the window that created the current window.

Syntax

HTML | N/A
Scripting | window.opener [ =sWindow ]

Possible Values

sWindow String that specifies the window reference.

The property is read/write with no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
HTML | N/A
Scripting | window


outerHTML Property

Sets or retrieves the object and its content in HTML.

Syntax

HTML | N/A
Scripting | object.outerHTML [ = sHTML ]

Possible Values

sHTML String that specifies content and HTML tags.

The property is read/write with no default value (see Remarks).

Remarks

The outerHTML property is read-only on the HTML, HEAD, BODY, FRAMESET, TBODY, TD, TFOOT, TH, THEAD, and TR objects.

The property can be any valid string containing a combination of text and tags.

When the property is set, the given string completely replaces the object, including its start and end tags. If the string contains HTML tags, the string is parsed and formatted as it is placed into the document.

This property is accessible at run time as of Microsoft® Internet Explorer 5. Removing elements at run time, before the closing tag has been parsed, can prevent other areas of the document from rendering.

You can set this property only after the onload event fires on the window. When dynamically creating a tag using TextRange, innerHTML, or outerHTML, use Microsoft® JScript® (compatible with ECMA 262 language specification) to create new events to handle the newly formed tags. Microsoft® Visual Basic® Scripting Edition (VBScript) is not supported.

You can change the value of the TITLE element using the document.title property.

To change the contents of the TFOOT, THEAD, TR, and TD elements, use the table object model. For example, use the rowIndex property or the rows collection to retrieve a reference to a specific table row. You can add or delete rows using the insertRow and deleteRow methods. To retrieve a reference to a specific cell, use the cellIndex property or the cells collection. You can add or delete rows using the insertCell and deleteCell methods. To change the content of a particular cell, use the innerHTML property.

Example

This example uses the outerHTML property to copy an object, accompanying attributes, and children to a list when a user clicks one of the objects.

Sample Code

<SCRIPT>
function fnCopyHTML(){
   var oWorkItem = event.srcElement;
   if((oWorkItem.tagName != "UL") && (oWorkItem.tagName != "LI")){
      alert("Adding " + oWorkItem.outerHTML + " to the list.");
      oScratch.innerHTML += oWorkItem.outerHTML + "<BR>";
   }
}
</SCRIPT>

<UL onclick = "fnCopyHTML()">
<LI><B>Bold text</b>
<LI><I>Italic text</I>
<LI><U>Underlined text</i>
<LI><STRIKE>Strikeout text</STRIKE>
</UL>
<P>
<DIV ID = "oScratch" >
</DIV>

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ACRONYM, ADDRESS, APPLET, AREA, B, BDO, BGSOUND, BIG, BLOCKQUOTE, BR, BUTTON, CENTER, CITE, CODE, COMMENT, custom, DD, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAMESET, HEAD, Hn, HR, HTML, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LABEL, LEGEND, LI, LISTING, MAP, MARQUEE, MENU, NEXTID, NOBR, OBJECT, OL, P, PLAINTEXT, PRE, Q, RT, RUBY, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, WBR, XMP

See Also

insertAdjacentHTML


outerText Property

Sets or retrieves the text of the object.

Syntax

HTML | N/A
Scripting | object.outerText [ = sTxt ]

Possible Values

sTxt String that specifies the text.

The property is read/write with no default value (see Remarks).

Remarks

The outerText property is read-only on the HTML, TBODY, TD, TFOOT, TH, THEAD, and TR objects.

When this property is set, the given string completely replaces the original text in the object.

You can set this property only after the onload event fires on the window. When dynamically creating a tag using TextRange, innerHTML, or outerHTML, use Microsoft® JScript® (compatible with ECMA 262 language specification) to create new events to handle the newly formed tags. Microsoft® Visual Basic® Scripting Edition (VBScript) is not supported.

You can change the value of the TITLE element using the document.title property.

To change the contents of the TFOOT, THEAD, TR, and TD elements, use the table object model. For example, use the rowIndex property or the rows collection to retrieve a reference to a specific table row. You can add or delete rows using the insertRow and deleteRow methods. To retrieve a reference to a specific cell, use the cellIndex property or the cells collection. You can add or delete rows using the insertCell and deleteCell methods. To change the content of a particular cell, use the innerHTML property.

Example

This example uses the outerText property to replace an object's content; the object itself also is replaced.

Sample Code

<DIV ID=oDiv>
<P ID=oPara>Here's the text that will change.</P>
</DIV>
:
<BUTTON onclick="oPara.outerText='WOW!
    It changed!'">Change text</BUTTON>
<BUTTON onclick="oDiv.innerHTML='<P ID=oPara>
    And back again</P>'">Reset</BUTTON>

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ACRONYM, ADDRESS, APPLET, AREA, B, BDO, BGSOUND, BIG, BLOCKQUOTE, BR, BUTTON, CENTER, CITE, CODE, COMMENT, custom, DD, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, HEAD, Hn, HR, HTML, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LABEL, LEGEND, LI, LISTING, MAP, MARQUEE, MENU, NEXTID, NOBR, OBJECT, OL, P, PLAINTEXT, PRE, Q, RT, RUBY, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, WBR, XMP

See Also

insertAdjacentText


overflow Attribute | overflow Property

Sets or retrieves how to manage the content of the object when the content exceeds the height and/or width of the object.

Syntax

HTML | { overflow: sOverflow }
Scripting | object.style.overflow [ = sOverflow ]

Possible Values

sOverflow String that specifies one of the following values:
visible | Content is not clipped, and scroll bars are not added.
scroll | Content is clipped, and scroll bars are added even if the content does not exceed the dimensions of the object.
hidden | Content that exceeds the dimensions of the object is not shown.
auto | Content is clipped, and scrolling is added only when necessary.

The property is read/write with a default value of visible; the cascading style sheets (CSS) attribute is not inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

The default value for the BODY element is auto.

For the TEXTAREA object, only the hidden value is valid. Setting the overflow property to hidden on a TEXTAREA object hides its scroll bars.

The default value for the TABLE element is hidden.

As of Internet Explorer 5, the TD element supports the overflow property, with a default value of hidden, if the tableLayout property for the parent TABLE is set to fixed. In a fixed table layout, content that exceeds the dimensions of the cell is clipped if the overflow property is set to either hidden, scroll, or auto. Otherwise, setting the value of the overflow property to visible causes the extra text to overflow into the right neighboring cell (or left if the direction property is set to rtl), continuing until the end of the row.

Setting the overflow property to visible causes the content to clip to the size of the window or frame that contains the object.

This property is available on the Macintosh® platform as of Internet Explorer 5.

Example

The following examples use the overflow attribute and the overflow property to manage content of the object.

This example uses an inline style to automatically adjust itself to overflowing content when the page is loaded.

Sample Code

<DIV ID=oDiv STYLE="width: 200px; height: 200px; overflow: auto;">
:
</DIV>

This example allows the user to dynamically change the overflow property of a DIV object by choosing one of the possible overflow values from a SELECT object.

<SCRIPT>
function SetOverflow(o, sValue)
{
    o.style.overflow = sValue;
}
</SCRIPT>

<DIV ID="div1"
    STYLE="font-size:18pt;background-color:yellow;height:50px;width:75px">
The quick brown fox jumped over the lazy dog.
</DIV>

<SELECT onchange="SetOverflow(div1,
    this.options[this.selectedIndex].text)">
<OPTION SELECTED>visible
<OPTION>scroll
<OPTION>hidden
<OPTION>auto
</SELECT>
This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ACRONYM, ADDRESS, APPLET, B, BDO, BIG, BLOCKQUOTE, BODY, CENTER, CITE, CODE, currentStyle, custom, DD, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, Hn, I, INS, KBD, LABEL, LEGEND, LI, LISTING, MENU, OL, P, PLAINTEXT, PRE, Q, RT, RUBY, runtimeStyle, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TABLE, TD, TEXTAREA, TT, U, UL, VAR, XMP

See Also

overflowX, overflowY, position


overflow-x Attribute | overflowX Property

Sets or retrieves how to manage the content of the object when the content exceeds the width of the object.

Syntax

HTML | { overflow-x:sOverflow }
Scripting | object.style.overflowX [ =sOverflow ]

Possible Values

sOverflow String that specifies one of the following values:
visible | Content is not clipped, and scroll bars are not added. Elements are clipped to the size of the containing window or frame.
scroll | Content is clipped, and scroll bars are added even if the content does not exceed the dimensions of the object.
hidden | Content that exceeds the dimensions of the object is not shown.
auto | Content is clipped, and scrolling is added only when necessary.

The property is read/write with a default value of visible; the proposed cascading style sheets (CSS) extension attribute is not inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

For the TEXTAREA object, only the hidden value is valid. Setting the property to hidden on a TEXTAREA object hides its scroll bars.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ACRONYM, ADDRESS, APPLET, B, BDO, BIG, BLOCKQUOTE, BODY, CENTER, CITE, CODE, currentStyle, custom, DD, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, Hn, I, IFRAME, INS, KBD, LABEL, LEGEND, LI, LISTING, MENU, OL, P, PLAINTEXT, PRE, Q, RT, RUBY, runtimeStyle, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TABLE, TEXTAREA, TT, U, UL, VAR, XMP

See Also

overflow, overflowY, position


overflow-y Attribute | overflowY Property

Sets or retrieves how to manage the content of the object when the content exceeds the height of the object.

Syntax

HTML | { overflow-y:sOverflow }
Scripting | object.style.overflowY [ =sOverflow ]

Possible Values

sOverflow String that specifies one of the following values:
visible | Content is not clipped, and scroll bars are not added. Elements are clipped to the size of the containing window or frame.
scroll | Content is clipped, and scroll bars are added even if the content does not exceed the dimensions of the object.
hidden | Content that exceeds the dimensions of the object is not shown.
auto | Content is clipped, and scrolling is added only when necessary.

The property is read/write with a default value of visible; the proposed cascading style sheets (CSS) extension attribute is not inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

For the TEXTAREA object, only the hidden value is valid. Setting the property to hidden on a TEXTAREA object hides its scroll bars.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ACRONYM, ADDRESS, APPLET, B, BDO, BIG, BLOCKQUOTE, BODY, CENTER, CITE, CODE, currentStyle, custom, DD, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, Hn, I, IFRAME, INS, KBD, LABEL, LEGEND, LI, LISTING, MENU, OL, P, PLAINTEXT, PRE, Q, RT, RUBY, runtimeStyle, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TABLE, TEXTAREA, TT, U, UL, VAR, XMP

See Also

overflow, overflowX, position


owningElement Property

Retrieves the next object in the HTML hierarchy.

Syntax

HTML | N/A
Scripting | [ oElement = ] styleSheet.owningElement

Possible Values

oElement Object that specifies the next element in the hierarchy.

The property is read-only with no default value.

Remarks

The owningElement property usually returns the STYLE or LINK object that defined the style sheet.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
styleSheet


padding Attribute | padding Property

Sets or retrieves the amount of space to insert between the object and its margin or, if there is a border, between the object and its border.

Syntax

HTML | { padding: sPadding }
Scripting | object.style.padding [ = sPadding ]

Possible Values

sPadding String that specifies up to four of the following space-delimited values:
length | Floating-point number, followed by an absolute units designator (cm, mm, in, pt, pc, or px) or a relative units designator (em or ex). For more information about the supported length units, see CSS Length Units.
percentage | Integer, followed by a %. The value is a percentage of the width of the parent object.

The property is read/write with a default value of 0; the cascading style sheets (CSS) attribute is not inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

This is a composite property that specifies up to four padding values, in the following order: top, right, bottom, left. If one width value is specified, it is used for all four sides. If two width values are specified, the first is used for the top and bottom borders, and the second is used for left and right borders. If three width values are specified, they are used for top, right/left, and bottom borders, respectively. Negative values are not allowed.

To use this property, inline elements must have an absolute position or layout. Element layout is set by providing a value for the height property or the width property.

Example

The following examples use the padding attribute and the padding property to change the padding of the object.

This example uses TD as a selector and padding1 as a class in an embedded style sheet to set the padding for the TD object.

Sample Code

<STYLE>
    TD { padding:3mm 8mm }
    .padding1  { padding:1cm }
</STYLE>
</HEAD>
<BODY>
<TABLE BORDER>
<TR>
    <TD onmouseover="this.className='padding1'"
    onmouseout="this.className=''" ALIGN=middle>
    <IMG src="sphere.jpg">
    </TD>
</TR>
</TABLE>

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

This example uses inline scripting to set the cell's top and bottom padding to 0.5 centimeters and its left and right padding to 0.2 centimeters when an onmouseover event occurs.

<TD onmouseover="this.style.padding='0.5cm 0.2cm'"
    onmouseout="this.style.padding=''" ALIGN=middle>
    <IMG src="sphere.jpeg">
</TD>

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ACRONYM, ADDRESS, APPLET, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, custom, DD, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, Hn, HR, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LABEL, LEGEND, LI, LISTING, MARQUEE, MENU, NEXTID, NOBR, OBJECT, OL, P, PLAINTEXT, PRE, Q, RT, RUBY, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP


padding-bottom Attribute | paddingBottom Property

Sets or retrieves the amount of space to insert between the bottom border of the object and the content.

Syntax

HTML | { padding-bottom: sPadding }
Scripting | object.style.paddingBottom [ = sPadding ]

Possible Values

sPadding String that specifies one of the following values:
length | Floating-point number, followed by an absolute units designator (cm, mm, in, pt, pc, or px) or a relative units designator (em or ex). For more information about the supported length units, see CSS Length Units.
percentage | Integer, followed by a %. The value is a percentage of the width of the parent object.

The property is read/write with a default value of 0; the cascading style sheets (CSS) attribute is not inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

To use this property, inline elements must have an absolute position or layout. Element layout is set by providing a value for the height property or the width property.

Negative values are not allowed.

Example

The following examples use the padding-bottom attribute and the paddingBottom property to change the padding of the object.

This example uses TD as a selector in an embedded style sheet to set the bottom padding for all table cells to 1 centimeter.

Sample Code

<STYLE>
    TD { padding-bottom:1cm }
</STYLE>

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

This example uses inline scripting to set the cell's bottom padding to 1 centimeter when an onmouseover event occurs.

<TD onmouseover="this.style.paddingBottom='1cm'"
    onmouseout="this.style.paddingBottom=''">
    <IMG src="sphere.jpg">
</TD>

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ACRONYM, ADDRESS, APPLET, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, custom, DD, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, Hn, HR, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LABEL, LEGEND, LI, LISTING, MARQUEE, MENU, NEXTID, NOBR, OBJECT, OL, P, PLAINTEXT, PRE, Q, RT, RUBY, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TD, TEXTAREA, TH, TT, U, UL, VAR, XMP


padding-left Attribute | paddingLeft Property

Sets or retrieves the amount of space to insert between the left border of the object and the content.

Syntax

HTML | { padding-left: sPadding }
Scripting | object.style.paddingLeft [ = sPadding ]

Possible Values

sPadding String that specifies one of the following values:
length | Floating-point number, followed by an absolute units designator (cm, mm, in, pt, pc, or px) or a relative units designator (em or ex). For more information about the supported length units, see CSS Length Units.
percentage | Integer, followed by a %. The value is a percentage of the width of the parent object.

The property is read/write with a default value of 0; the cascading style sheets (CSS) attribute is not inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

To use this property, inline elements must have an absolute position or layout. Element layout is set by providing a value for the height property or the width property.

Negative values are not allowed.

Example

The following examples use the padding-left attribute and the paddingLeft property to change the padding of the object.

This example uses TD as a selector in an embedded style sheet to set the left padding for all table cells to 1 centimeter.

Sample Code

<STYLE>
    TD { padding-left:1cm }
</STYLE>

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

This example uses inline scripting to set the cell's left padding to 1 centimeter when an onmouseover event occurs.

<TD onmouseover="this.style.paddingLeft='1cm'"
    onmouseout="this.style.paddingLeft=''">
    <IMG src="sphere.jpg">
</TD>

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ACRONYM, ADDRESS, APPLET, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, custom, DD, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, Hn, HR, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LABEL, LEGEND, LI, LISTING, MARQUEE, MENU, NEXTID, NOBR, OBJECT, OL, P, PLAINTEXT, PRE, Q, RT, RUBY, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TD, TEXTAREA, TH, TT, U, UL, VAR, XMP


padding-right Attribute | paddingRight Property

Sets or retrieves the amount of space to insert between the right border of the object and the content.

Syntax

HTML | { padding-right: sPadding }
Scripting | object.style.paddingRight [ = sPadding ]

Possible Values

sPadding String that specifies one of the following values:
length | Floating-point number, followed by an absolute units designator (cm, mm, in, pt, pc, or px) or a relative units designator (em or ex). For more information about the supported length units, see CSS Length Units.
percentage | Integer, followed by a %. The value is a percentage of the width of the parent object.

The property is read/write with a default value of 0; the cascading style sheets (CSS) attribute is not inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

To use this property, inline elements must have an absolute position or layout. Element layout is set by providing a value for the height property or the width property.

Negative values are not allowed.

Example

The following examples use the padding-right attribute and the paddingRight property to change the padding of the object.

This example uses TD as a selector in an embedded style sheet to set the right padding for all table cells to 1 centimeter.

Sample Code

<STYLE>
    TD { padding-right:1cm }
</STYLE>

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

This example uses inline scripting to set the cell's right padding to 1 centimeter when an onmouseover event occurs.

<TD onmouseover="this.style.paddingRight='1cm'"
    onmouseout="this.style.paddingRight=''">
    <IMG src="sphere.jpg">
</TD>

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ACRONYM, ADDRESS, APPLET, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, custom, DD, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, Hn, HR, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LABEL, LEGEND, LI, LISTING, MARQUEE, MENU, NEXTID, NOBR, OBJECT, OL, P, PLAINTEXT, PRE, Q, RT, RUBY, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TD, TEXTAREA, TH, TT, U, UL, VAR, XMP


padding-top Attribute | paddingTop Property

Sets or retrieves the amount of space to insert between the top border of the object and the content.

Syntax

HTML | { padding-top: sPadding }
Scripting | object.style.paddingTop [ = sPadding ]

Possible Values

sPadding String that specifies one of the following values:
length | Floating-point number, followed by an absolute units designator (cm, mm, in, pt, pc, or px) or a relative units designator (em or ex). For more information about the supported length units, see CSS Length Units.
percentage | Integer, followed by a %. The value is a percentage of the width of the parent object.

The property is read/write with a default value of 0; the cascading style sheets (CSS) attribute is not inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

To use this property, inline elements must have an absolute position or layout. Element layout is set by providing a value for the height property or the width property.

Negative values are not allowed.

Example

The following examples use the padding-top attribute and the paddingTop property to change the padding of the object.

This example uses TD as a selector in an embedded style sheet to set the top padding for all table cells to 1 centimeter.

Sample Code

<STYLE>
    TD { padding-top:1cm }
</STYLE>

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

This example uses inline scripting to set the cell's top padding to 1 centimeter when an onmouseover event occurs.

<TD onmouseover="this.style.paddingTop='1cm'"
    onmouseout="this.style.paddingTop=''">
    <IMG src="sphere.jpg">
</TD>

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ACRONYM, ADDRESS, APPLET, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, custom, DD, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, Hn, HR, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LABEL, LEGEND, LI, LISTING, MARQUEE, MENU, NEXTID, NOBR, OBJECT, OL, P, PLAINTEXT, PRE, Q, RT, RUBY, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TD, TEXTAREA, TH, TT, U, UL, VAR, XMP


page-break-after Attribute | pageBreakAfter Property

Sets or retrieves whether a page break occurs after the object.

Syntax

HTML | { page-break-after: sBreak }
Scripting | object.style.pageBreakAfter [ = sBreak ]

Possible Values

sBreak String that specifies one of the following values:
always | Always insert a page break after the object.
auto | Neither force nor forbid a page break after the object.
"" Empty string does not insert a page break.

The property is read/write with a default value of auto; the cascading style sheets (CSS) attribute is not inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

This property applies when printing the document.

If there are conflicts between this property and the pageBreakBefore value on the object previously displayed in the browser, the value that results in the largest number of page breaks is used.

Page breaks are not permitted inside positioned objects.

Example

The following examples use the page-break-after attribute and the pageBreakAfter property to start printing on a new page.

This example uses the P element as a selector in an embedded style sheet to break the page at the end of all paragraphs.

Sample Code

<STYLE>
    P { page-break-after: always }
</STYLE>
</HEAD>
<BODY>
<P>
:
</P>

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

This example uses a call to a function to turn off the page break after the object that has an id value of idParagraph.

<SCRIPT>
function offBreak()
{
    idParagraph.style.pageBreakAfter="";
}
</SCRIPT>
</HEAD>
<BODY>
<BUTTON onClick="offBreak()">Turn off break</BUTTON>

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
BLOCKQUOTE, BODY, BUTTON, CENTER, currentStyle, DD, DIR, DIV, DL, DT, FIELDSET, FORM, Hn, ISINDEX, LI, LISTING, MARQUEE, MENU, OL, P, PLAINTEXT, PRE, runtimeStyle, style, TABLE, TD, TR, UL, XMP


page-break-before Attribute | pageBreakBefore Property

Sets or retrieves whether a page break occurs before the object.

Syntax

HTML | { page-break-before: sBreak }
Scripting | object.style.pageBreakBefore [ = sBreak ]

Possible Values

sBreak String that specifies one of the following values:
always | Always insert a page break before the object.
auto | Neither force nor forbid a page break before the object.
"" Empty string does not insert a page break.

The property is read/write with a default value of auto; the cascading style sheets (CSS) attribute is not inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

This property applies when printing the document.

If there are conflicts between this property and the pageBreakAfter value object previously displayed in the browser, the value that results in the largest number of page breaks is used.

Page breaks are not permitted inside positioned objects.

Example

The following examples use the page-break-before attribute and the pageBreakBefore property to start printing on a new page.

This example uses the H3 element as a selector in an embedded style sheet to break the page before all H3 headings.

Sample Code

<STYLE>
    H3 { page-break-before: always }
</STYLE>
</HEAD>
<BODY>
<H3>Start New Section on New Page</H3>

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

This example uses a call to a function to turn off the page break before the object that has an id value of idParagraph. When the page is printed, a page break occurs before the first paragraph unless the user clicks the Turn Off Break button.

<SCRIPT>
function offBreak()
{
    idParagraph.style.pageBreakBefore="";
}
</SCRIPT>
</HEAD>
<BODY>
<BUTTON onClick="offBreak()">Turn off break</BUTTON>
<P ID="Paragraph" STYLE="page-break-before:always">
:
</P>

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
BLOCKQUOTE, BODY, BUTTON, CENTER, currentStyle, DD, DIR, DIV, DL, DT, FIELDSET, FORM, Hn, ISINDEX, LI, LISTING, MARQUEE, MENU, OL, P, PLAINTEXT, PRE, runtimeStyle, style, TABLE, TD, TR, UL, XMP


palette Property

Sets or retrieves the palette used for the embedded document.

Syntax

HTML | < EMBED PALETTE = sPalette... >
Scripting | embed.palette [ = sPalette ]

Possible Values

sPalette String that specifies the palette.

The property is read/write with no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
HTML | N/A
Scripting | EMBED


parent Property

Retrieves the parent of the window in the object hierarchy.

Syntax

HTML | N/A
Scripting | [ oElement = ] window.parent

Possible Values

oElement Object that specifies the parent.

The property is read-only with no default value.

Remarks

For a document, the parent is the containing window. For a window defined using FRAME, the parent is the window that contains the corresponding FRAMESET definition.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
window


parentElement Property

Retrieves the parent object in the object hierarchy.

Syntax

HTML | N/A
Scripting | [ oElement = ] object.parentElement

Possible Values

oElement Object that specifies parent.

The property is read-only with no default value.

Remarks

The topmost object returns null as its parent.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ACRONYM, ADDRESS, APPLET, AREA, B, BASE, BASEFONT, BDO, BGSOUND, BIG, BLOCKQUOTE, BODY, BR, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, COMMENT, custom, DD, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, HEAD, Hn, HR, HTML, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, ISINDEX, KBD, LABEL, LEGEND, LI, LINK, LISTING, MAP, MARQUEE, MENU, NEXTID, NOBR, NOFRAMES, NOSCRIPT, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, RT, RUBY, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TITLE, TR, TT, U, UL, VAR, WBR, XML, XMP


parentNode Property

Retrieves the parent object in the document hierarchy.

Syntax

HTML | N/A
Scripting | [ oElement = ] object.parentNode

Possible Values

oElement Object that specifies the parent node.

The property is read-only with no default value.

Remarks

The topmost object returns null as its parent.

Example

This example assigns the parentNode of a SPAN object to a variable.

<SCRIPT>
var oParent = oSpan.parentNode;
</SCRIPt>
:
<BODY>
<SPAN ID=oSpan>A Span</SPAN>
</BODY>

This example assigns the parentNode of a node, created with the createElement method, to a variable.

var oNode = document.createElement("B");
document.body.insertBefore(oNode);
var sType = oNode.parentNodes;

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ACRONYM, ADDRESS, APPLET, AREA, B, BASE, BASEFONT, BDO, BGSOUND, BIG, BLOCKQUOTE, BODY, BR, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, COMMENT, DD, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, HEAD, Hn, HR, HTML, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LABEL, LEGEND, LI, LINK, LISTING, MAP, MARQUEE, MENU, NEXTID, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TITLE, TR, TT, U, UL, VAR, XMP


parentStyleSheet Property

Retrieves the style sheet that was used for importing style sheets.

Syntax

HTML | N/A
Scripting | [ sStyleSheet = ] styleSheet.parentStyleSheet

Possible Values

sStyleSheet String that specifies the file name of the style sheet.

The property is read-only with no default value.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
HTML | N/A
Scripting | styleSheet


parentTextEdit Property

Retrieves the container object in the document hierarchy that can be used to create a textRange containing the original object.

Syntax

HTML | N/A
Scripting | [ oObject = ] object.parentTextEdit

Possible Values

oObject Object that specifies the supported text ranges.

The property is read-only with no default value.

Remarks

The property is an object if the parent exists; otherwise, it is null. For example, the parentTextEdit property of the BODY is null.

Example

This example retrieves the parent object, if needed, creates the text range, moves to the original object, and selects the first word in the object.

Sample Code

<SCRIPT LANGUAGE="JScript">
function selectWord()
{
    var oSource = window.event.srcElement ;
    if (!oSource.isTextEdit)
        oSource = oSource.parentTextEdit;
    if (oSource != null) {
        var oTextRange = oSource.createTextRange();
        oTextRange.moveToElementText(window.event.srcElement);
        oTextRange.collapse();
        oTextRange.expand("word");
        oTextRange.select();
    }
}
</SCRIPT>

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ACRONYM, ADDRESS, APPLET, AREA, B, BASE, BASEFONT, BDO, BGSOUND, BIG, BLOCKQUOTE, BODY, BR, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, COMMENT, custom, DD, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, HEAD, Hn, HR, HTML, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LABEL, LEGEND, LI, LINK, LISTING, MAP, MARQUEE, MENU, META, NEXTID, NOBR, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TITLE, TR, TT, U, UL, VAR, XMP


parentWindow Property

Retrieves a reference to the container object of the window.

Syntax

HTML | N/A
Scripting | [ sParent = ] document.parentWindow

Possible Values

sParent String that specifies the name of the parent window.

The property is read-only with no default value.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
HTML | N/A
Scripting | document


pathname Property

Sets or retrieves the file name or path specified by the object.

Syntax

HTML | N/A
Scripting | object.pathname [ =sName ]

Possible Values

sName String that specifies the file name or path.

The property is read/write with no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, AREA, location


pixelBottom Property

Sets or retrieves the bottom position of the object.

Syntax

HTML | N/A
Scripting | object.style.pixelBottom [ = iBottom ]

Possible Values

iBottom Integer that specifies the bottom position, in pixels.

The property is read/write with no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

The pixelBottom property reflects the value of the cascading style sheets (CSS) bottom attribute for positioned items. The property always returns 0 for nonpositioned items, because "bottom" has meaning only when the object is positioned.

Unlike the bottom property, the pixelBottom value is an integer, not a string, and is always interpreted in pixels.

For more information about how to access the dimension and location of objects on the page through the document object model, see measuring element dimension and location Internet Link.

Example

This example uses the pixelBottom property to set a positioned DIV to the bottom of the client area.

oDiv.style.pixelBottom = 0;

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ACRONYM, ADDRESS, APPLET, AREA, B, BASE, BASEFONT, BIG, BLOCKQUOTE, BODY, BR, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, COMMENT, custom, DD, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, HEAD, Hn, HR, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LABEL, LEGEND, LI, LINK, LISTING, MAP, MARQUEE, MENU, META, NEXTID, NOBR, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, RT, RUBY, runtimeStyle, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TITLE, TR, TT, U, UL, VAR, XMP

See Also

posBottom


pixelHeight Property

Sets or retrieves the height of the object.

Syntax

HTML | N/A
Scripting | object.style.pixelHeight [ = iHeight ]

Possible Values

iHeight Integer that specifies the height, in pixels.

The property is read/write with no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

Setting this property changes the value of the height without changing the units designator. Unlike the height property, this property's value is an integer, not a string, and is always interpreted in pixels.

For more information about how to access the dimension and location of objects on the page through the document object model, see measuring element dimension and location Internet Link.

Example

This example uses a timer to increment the pixelHeight property.

Sample Code

<SCRIPT>
function scaleThis()
{
    if (sphere.style.pixelWidth <900) {
        sphere.style.pixelWidth += 4;
        sphere.style.pixelHeight +=4;
        window.setTimeout("scaleThis();", 1);
    }
}
:
</SCRIPT>

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ACRONYM, ADDRESS, APPLET, AREA, B, BASE, BASEFONT, BIG, BLOCKQUOTE, BODY, BR, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, COMMENT, custom, DD, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, HEAD, Hn, HR, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LABEL, LEGEND, LI, LINK, LISTING, MAP, MARQUEE, MENU, META, NEXTID, NOBR, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, RT, RUBY, runtimeStyle, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TITLE, TR, TT, U, UL, VAR, XMP

See Also

posHeight


pixelLeft Property

Sets or retrieves the left position of the object.

Syntax

HTML | N/A
Scripting | object.style.pixelLeft [ =iLeft ]

Possible Values

iLeft Integer that specifies the left position, in pixels.

The property is read/write with no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

The pixelLeft property reflects the value of the cascading style sheets (CSS) left attribute for positioned items. The property always returns 0 for nonpositioned items, because "left" has meaning only when the object is positioned. Use the offsetLeft property to calculate actual positions within the document area.

Unlike the left property, the pixelLeft value is an integer, not a string, and is always interpreted in pixels.

For more information about how to access the dimension and location of objects on the page through the document object model, see measuring element dimension and location Internet Link.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ACRONYM, ADDRESS, APPLET, AREA, B, BASE, BASEFONT, BIG, BLOCKQUOTE, BODY, BR, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, COMMENT, custom, DD, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, HEAD, Hn, HR, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LABEL, LEGEND, LI, LINK, LISTING, MAP, MARQUEE, MENU, META, NEXTID, NOBR, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, RT, RUBY, runtimeStyle, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TITLE, TR, TT, U, UL, VAR, XMP

See Also

posLeft


pixelRight Property

Sets or retrieves the right position of the object.

Syntax

HTML | N/A
Scripting | object.style.pixelRight [ =iRight ]

Possible Values

iRight Integer that specifies the right position, in pixels.

The property is read/write with no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

The pixelRight property reflects the value of the cascading style sheets (CSS) right attribute for positioned items. The property always returns 0 for nonpositioned items, because "right" has meaning only when the object is positioned.

Unlike the right property, the pixelRight value is an integer, not a string, and is always interpreted in pixels.

For more information about how to access the dimension and location of objects on the page through the document object model, see measuring element dimension and location Internet Link.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ACRONYM, ADDRESS, APPLET, AREA, B, BASE, BASEFONT, BIG, BLOCKQUOTE, BODY, BR, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, COMMENT, custom, DD, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, HEAD, Hn, HR, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LABEL, LEGEND, LI, LINK, LISTING, MAP, MARQUEE, MENU, META, NEXTID, NOBR, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, RT, RUBY, runtimeStyle, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TITLE, TR, TT, U, UL, VAR, XMP

See Also

posRight


pixelTop Property

Sets or retrieves the top position of the object.

Syntax

HTML | N/A
Scripting | object.style.pixelTop [ =iTop ]

Possible Values

iTop Integer that specifies the top position, in pixels.

The property is read/write with no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

The pixelTop property reflects the value of the cascading style sheets (CSS) top attribute for positioned items. The property always returns 0 for nonpositioned items, because "top" has meaning only when the object is positioned. Use the offsetTop property to calculate actual positions within the document area.

Unlike the top property, the pixelTop value is an integer, not a string, and is always interpreted in pixels.

For more information about how to access the dimension and location of objects on the page through the document object model, see measuring element dimension and location Internet Link.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ACRONYM, ADDRESS, APPLET, AREA, B, BASE, BASEFONT, BIG, BLOCKQUOTE, BODY, BR, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, COMMENT, custom, DD, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, HEAD, Hn, HR, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LABEL, LEGEND, LI, LINK, LISTING, MAP, MARQUEE, MENU, META, NEXTID, NOBR, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, RT, RUBY, runtimeStyle, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TITLE, TR, TT, U, UL, VAR, XMP

See Also

posTop


pixelWidth Property

Sets or retrieves the width of the object.

Syntax

HTML | N/A
Scripting | object.style.pixelWidth [ = iWidth ]

Possible Values

iWidth Integer that specifies the width, in pixels.

The property is read/write with no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

Setting this property changes the value of the width without changing the units designator. Unlike the width property, the pixelWidth value is an integer, not a string, and is always interpreted in pixels.

For more information about how to access the dimension and location of objects on the page through the document object model, see measuring element dimension and location Internet Link.

Example

This example uses a timer to increment the pixelWidth property.

Sample Code

<SCRIPT>
function scaleThis()
{
    if (sphere.style.pixelWidth <900) {
        sphere.style.pixelWidth += 4;
        sphere.style.pixelHeight +=4;
        window.setTimeout("scaleThis();", 1);
    }
}
:
</SCRIPT>

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ACRONYM, ADDRESS, APPLET, AREA, B, BASE, BASEFONT, BIG, BLOCKQUOTE, BODY, BR, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, COMMENT, custom, DD, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, HEAD, Hn, HR, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LABEL, LEGEND, LI, LINK, LISTING, MAP, MARQUEE, MENU, META, NEXTID, NOBR, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, RT, RUBY, runtimeStyle, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TITLE, TR, TT, U, UL, VAR, XMP

See Also

posWidth


platform Property

Retrieves the name of the user's operating system.

Syntax

HTML | N/A
Scripting | [ sPlatform = ] navigator.platform

Possible Values

sPlatform String that specifies one of the following values:
HP-UX | HP Unix-based machines.
MacPPC | Macintosh PowerPC-based machines.
Mac68K | Macintosh 68K-based machines.
SunOS | Solaris-based machines.
Win32 | Windows 32-bit platform.
Win16 | Windows 16-bit platform.
WinCE | Windows CE platform.

The property is read-only with no default value.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

clientInformation, navigator

See Also

userAgent


PLUGINSPAGE Attribute | pluginspage Property

Retrieves the URL of the plug-in used to view an embedded document.

Syntax

HTML | <EMBED PLUGINSPAGE = sURL ... >
Scripting | [ sURL = ] embed.pluginspage

Possible Values

sURL String that specifies the URL of the plug-in(s).

The property is read-only with no default value.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

EMBED


port Property

Sets or retrieves the port number associated with a URL.

Syntax

HTML | N/A
Scripting | object.port [ =sPort ]

Possible Values

sPort String that specifies the port number associated with the URL.

The property is read/write with a default value of 21 for the ftp Internet Link protocol, 70 for the gopher Internet Link protocol, 80 for the http Internet Link protocol, and 443 for the https Internet Link protocol.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

Proprietary protocols that do not require a port return 0 or an empty string.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, AREA, location


posBottom Property

Sets or retrieves the bottom position of the object in the units specified by the cascading style sheets (CSS) bottom attribute.

Syntax

HTML | N/A
Scripting | object.style.posBottom [ = iBottom ]

Possible Values

iBottom Integer that specifies any floating-point number that uses the same length units as the bottom attribute.

The property is read/write with no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

This property reflects the value of the CSS bottom attribute for positioned items. This property always returns 0 for nonpositioned items, because "bottom" has meaning only when the object is positioned.

Setting this property changes the value of the bottom position, but leaves the length units designator for the property unchanged.

Unlike the bottom property, the posBottom property value is a floating-point number, not a string.

For more information about how to access the dimension and location of elements on the page through the document object model, see measuring element dimension and location Internet Link.

Example

This example uses the posBottom property to set a positioned DIV to the bottom of the client area.

oDiv.style.posBottom = 0;

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ACRONYM, ADDRESS, APPLET, AREA, B, BASE, BASEFONT, BIG, BLOCKQUOTE, BODY, BR, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, COMMENT, custom, DD, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, HEAD, Hn, HR, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LABEL, LEGEND, LI, LINK, LISTING, MAP, MARQUEE, MENU, META, NEXTID, NOBR, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, RT, RUBY, runtimeStyle, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TITLE, TR, TT, U, UL, VAR, XMP

See Also

pixelBottom


posHeight Property

Sets or retrieves the height of the object in the units specified by the cascading style sheets (CSS) height attribute.

Syntax

HTML | N/A
Scripting | object.style.posHeight [ = iHeight ]

Possible Values

iHeight Integer that specifies any valid floating-point number that uses the same length units as the height attribute.

The property is read/write with no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

Unlike the height property, the posHeight property value is a floating-point number, not a string. Setting the posHeight property changes the value of the height, but leaves the units designator for the property unchanged.

For more information about how to access the dimension and location of objects on the page through the document object model, see measuring element dimension and location Internet Link.

Example

This example uses the posHeight property to increase the height of the first IMG element by 10 units.

Sample Code

<SCRIPT LANGUAGE="JScript">
document.all.tags("IMG").item(0).style.posHeight += 10;
</SCRIPT>

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ACRONYM, ADDRESS, APPLET, AREA, B, BASE, BASEFONT, BIG, BLOCKQUOTE, BODY, BR, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, COMMENT, custom, DD, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, HEAD, Hn, HR, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LABEL, LEGEND, LI, LINK, LISTING, MAP, MARQUEE, MENU, META, NEXTID, NOBR, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, RT, RUBY, runtimeStyle, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TITLE, TR, TT, U, UL, VAR, XMP

See Also

pixelHeight


position Attribute | position Property

Retrieves the type of positioning used for the object.

Syntax

HTML | { position: sPosition }
Scripting | [ sPosition = ] object.style.position

Possible Values

sPosition String that specifies one of the following values:
static | Object has no special positioning; it follows the layout rules of HTML.
absolute | Object is positioned relative to parent element's position—or to the BODY object if its parent element is not positioned—using the top and left properties.
relative | Object is positioned according to the normal flow, and then offset by the top and left properties.

The property is read-only with a default value of static; the cascading style sheets (CSS) attribute is not inherited.

Remarks

Setting the property to absolute pulls the object out of the "flow" of the document and positions it regardless of the layout of surrounding objects. If other objects already occupy the given position, they do not affect the positioned object, nor does the positioned object affect them. Instead, all objects are drawn at the same place, causing the objects to overlap. This overlap is controlled by using the z-index attribute or property. Absolutely positioned objects do not have margins, but they do have borders and padding.

Setting the property to relative places the object in the natural HTML flow of the document, but offsets the position of the object based on the preceding content. The following syntax shows how to create superscript text by placing the text in a SPAN that is positioned relative to the remaining text in the paragraph.

<P>The superscript in this name
    <SPAN STYLE="position:relative;
    top:-3px">xyz </SPAN> is "xyz".</P>

Text and objects that follow a relatively positioned object occupy their own space and do not overlap the natural space for the positioned object. In contrast, text and objects that follow an absolutely positioned object occupy what would have been the natural space for the positioned object before it was pulled out of the flow.

The size of the content determines the size of objects with layout. For example, setting the height and position properties on a DIV object gives it layout. The content of the DIV determines the size. In this case, the content determines the size of the width.

For an overview about how to use dynamic positioning, see positioning Internet Link.

See the Applies To section for elements that can be relatively and absolutely positioned.

Example

This examples uses the position property's absolute, static, and relative values to change the position of the text.

Sample Code

<STYLE>
.pitem { position: static }
</STYLE>

<SCRIPT>
function fnAbsolute(){
   oSpan.style.position="absolute";
}
function fnRelative(){
   oSpan.style.position="relative";
}
function fnStatic(){
   oSpan.style.position="static";
}
</SCRIPT>

<P>
<SPAN ID=oSpan CLASS="pitem">
This is a SPAN in a paragraph of text.
</SPAN>

This is a paragraph of text.</P>

<INPUT onclick="fnRelative()" TYPE=button VALUE="Relative">
<INPUT onclick="fnAbsolute()" TYPE=button VALUE="Absolute">
<INPUT onclick="fnStatic()" TYPE=button VALUE="Static">
This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ADDRESS, APPLET, B, BDO, BIG, BLOCKQUOTE, BUTTON, CENTER, CITE, CODE, custom, DD, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FORM, Hn, HR, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, ISINDEX, KBD, LABEL, LEGEND, LI, LISTING, MARQUEE, MENU, OBJECT, OL, P, PRE, RUBY, runtimeStyle, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TABLE, TD, TEXTAREA, TH, TR, TT, U, UL, VAR, XMP


posLeft Property

Sets or retrieves the left position of the object in the units specified by the cascading style sheets (CSS) left attribute.

Syntax

HTML | N/A
Scripting | object.style.posLeft [ = iLeft ]

Possible Values

iLeft Integer that specifies any valid floating-point number that uses the same length units as the left attribute.

The property is read/write with no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

This property reflects the value of the CSS left attribute for positioned items. This property always returns 0 for nonpositioned items, because "left" has meaning only when the object is positioned. Use the offsetLeft property to calculate actual positions within the document area.

Setting this property changes the value of the left position, but leaves the units designator for the property unchanged.

Unlike the left property, the posLeft property value is a floating-point number, not a string.

For more information about how to access the dimension and location of elements on the page through the document object model, see measuring element dimension and location Internet Link.

Example

This example uses the posLeft property to move the first IMG object left by 10 units.

Sample Code

<SCRIPT LANGUAGE="JScript">
document.all.tags("IMG").item(0).style.posLeft -= 10;
</SCRIPT>

This example uses a timer to move the posLeft property in increments of 10.

Sample Code

<SCRIPT LANGUAGE="JScript">
function moveThis()
{
:
    if (sphere.style.posLeft<900) {
        sphere.style.posTop += 2;
        sphere.style.posLeft += 2;
        window.setTimeout("moveThis();", 1);
        }
}
:
</SCRIPT>

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ACRONYM, ADDRESS, APPLET, AREA, B, BASE, BASEFONT, BIG, BLOCKQUOTE, BODY, BR, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, COMMENT, custom, DD, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, HEAD, Hn, HR, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LABEL, LEGEND, LI, LINK, LISTING, MAP, MARQUEE, MENU, META, NEXTID, NOBR, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, RT, RUBY, runtimeStyle, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TITLE, TR, TT, U, UL, VAR, XMP

See Also

pixelLeft


posRight Property

Sets or retrieves the right position of the object in the units specified by the cascading style sheets (CSS) right attribute.

Syntax

HTML | N/A
Scripting | object.style.posRight [ = iRight ]

Possible Values

iRight Integer that specifies any valid floating-point number that uses the same length units as the right attribute.

The property is read/write with no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

This property reflects the value of the CSS right attribute for positioned items. This property always returns 0 for nonpositioned items, because "right" has meaning only when the object is positioned.

Setting this property changes the value of the right position, but leaves the units designator for the property unchanged.

Unlike the right property, the posRight property value is a floating-point number, not a string.

For more information about how to access the dimension and location of elements on the page through the document object model, see measuring element dimension and location Internet Link.

Example

This example uses the posRight property to set a positioned DIV 10 pixels from the right of the client area.

oDiv.style.posRight = 10;

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ACRONYM, ADDRESS, APPLET, AREA, B, BASE, BASEFONT, BIG, BLOCKQUOTE, BODY, BR, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, COMMENT, custom, DD, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, HEAD, Hn, HR, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LABEL, LEGEND, LI, LINK, LISTING, MAP, MARQUEE, MENU, META, NEXTID, NOBR, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, RT, RUBY, runtimeStyle, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TITLE, TR, TT, U, UL, VAR, XMP

See Also

pixelRight


posTop Property

Sets or retrieves the top position of the object in the units specified by the cascading style sheets (CSS) top attribute.

Syntax

HTML | N/A
Scripting | object.style.posTop [ = iTop ]

Possible Values

iTop Integer that specifies any valid floating-point number that uses the same length units as the top attribute.

The property is read/write with no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

This property reflects the value of the CSS top attribute for positioned items. This property always returns 0 for nonpositioned items, because "top" has meaning only when the object is positioned. Use the offsetTop property to calculate actual positions within the document area.

Setting this property changes the value of the top position, but leaves the units designator for the property unchanged.

Unlike the top property, the posTop property value is a floating-point number, not a string.

For more information about how to access the dimension and location of objects on the page through the document object model, see measuring element dimension and location Internet Link.

Example

This example uses the posTop property to move the first IMG object up by 10 units.

Sample Code

<SCRIPT LANGUAGE="JScript">
document.all.tags("IMG").item(0).style.posTop -= 10;
</SCRIPT>

This example uses a timer to move the posTop property in increments of 10.

Sample Code

<SCRIPT LANGUAGE="JScript">
function moveThis()
{
:
    if (sphere.style.posLeft<900) {
        sphere.style.posTop += 2;
        sphere.style.posLeft += 2;
        window.setTimeout("moveThis();", 1);
        }
}
:
</SCRIPT>

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ACRONYM, ADDRESS, APPLET, AREA, B, BASE, BASEFONT, BIG, BLOCKQUOTE, BODY, BR, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, COMMENT, custom, DD, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, HEAD, Hn, HR, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LABEL, LEGEND, LI, LINK, LISTING, MAP, MARQUEE, MENU, META, NEXTID, NOBR, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, RT, RUBY, runtimeStyle, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TITLE, TR, TT, U, UL, VAR, XMP

See Also

pixelTop


posWidth Property

Sets or retrieves the width of the object in the units specified by the cascading style sheets (CSS) width attribute.

Syntax

HTML | N/A
Scripting | object.style.posWidth [ = iWidth ]

Possible Values

iWidth Integer that specifies any valid floating-point number that uses the same length units as the width attribute.

The property is read/write with no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

Setting the posWidth property changes the value of the width, but leaves the units designator for the property unchanged.

Unlike the width property, the posWidth property value is a floating-point number, not a string.

For more information about how to access the dimension and location of objects on the page through the document object model, see measuring element dimension and location Internet Link.

Example

This example uses the posWidth property to increase the width of the first IMG object by 10 units.

Sample Code

<SCRIPT LANGUAGE="JScript">
document.all.tags("IMG").item(0).style.posWidth += 10;
</SCRIPT>

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ACRONYM, ADDRESS, APPLET, AREA, B, BASE, BASEFONT, BIG, BLOCKQUOTE, BODY, BR, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, COMMENT, custom, DD, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, HEAD, Hn, HR, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LABEL, LEGEND, LI, LINK, LISTING, MAP, MARQUEE, MENU, META, NEXTID, NOBR, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, RT, RUBY, runtimeStyle, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TITLE, TR, TT, U, UL, VAR, XMP

See Also

pixelWidth


previousSibling Property

Retrieves a reference to the previous child of the parent for the specified object.

Syntax

HTML | N/A
Scripting | [ oElement = ] object.previousSibling

Possible Values

oElement Object that specifies a reference to the previous sibling of an object.

The property is read-only with no default value.

Example

This example uses the previousSibling property to obtain the previous sibling of a list item.

<SCRIPT>
// returns the list item labeled 'List Item 1'
var oSibling = oList.childNodes(1).previousSibling;
</SCRIPT>
:
<BODY>
<UL ID = oList>
<LI>List Item 1
<LI>List Item 2
<LI>List Item 3
</UL>
</BODY>

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ACRONYM, ADDRESS, APPLET, AREA, B, BASE, BASEFONT, BDO, BGSOUND, BIG, BLOCKQUOTE, BODY, BR, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, COMMENT, DD, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, HEAD, Hn, HR, HTML, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LABEL, LEGEND, LI, LINK, LISTING, MAP, MARQUEE, MENU, NEXTID, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TextNode, TFOOT, TH, THEAD, TITLE, TR, TT, U, UL, VAR, XMP

See Also

lastChild


propertyName Property

Retrieves the name of the property that has changed on the object.

Syntax

HTML | N/A
Scripting | [ sProperty = ] event.propertyName

Possible Values

sProperty String that specifies the name of the property whose value changed during the event.

The property is read-only with no default value.

Remarks

You can alter the value of propertyName by using it with the onpropertychange event.

Example

This example uses the onpropertychange event to change the value of the propertyName property.

Sample Code

<HEAD>
<SCRIPT>
function changeProp()
{
    btnProp.value = "This is the new VALUE";
}

function changeCSSProp()
{
    btnStyleProp.style.backgroundColor = "aqua";
}
</SCRIPT>
</HEAD>
<BODY>
<P>The event object property propertyName is
    used here to return which property has been
    altered.</P>

<INPUT TYPE=button ID=btnProp onclick="changeProp()"
       VALUE="Click to change the VALUE property
       of this button"
       onpropertychange='alert(event.propertyName + "
       property has changed value")'>
<INPUT TYPE=button ID=btnStyleProp
       onclick="changeCSSProp()"
       VALUE="Click to change the CSS backgroundColor
       property of this button"
       onpropertychange='alert(event.propertyName + "
       property has changed value")'>
</BODY>
This feature requires Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
HTML | N/A
Scripting | event

See Also

onpropertychange


protocol Property

Sets or retrieves the protocol portion of a URL.

Syntax

HTML | N/A
Scripting | object.protocol [ =sProtocol ]

Possible Values

sProtocol String that specifies the protocol used to transfer information.

The property is read/write with no default value.

Remarks

The protocol property specifies how to transfer information from the host to the client. Microsoft® Internet Explorer supports several predefined protocols Internet Link, including http Internet Link and ftp Internet Link.

The protocol property returns the initial substring of a URL, including the first colon (for example, http:). However, the document and location objects expose the protocol property as read-only. The property returns the expanded text of the protocol acronym. For example, it returns the HTTP protocol as Hypertext Transfer Protocol.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, AREA, document, IMG, location


qualifier Property

Retrieves the name of the data member provided by a data source object.

Syntax

HTML | N/A
Scripting | [ sQualifier = ] event.qualifier

Possible Values

sQualifier String that specifies the default data member either by the name of the data member or an empty string.

The property is read-only with no default value.

Remarks

Check the qualifier property in the event handlers of a data source object (DSO) if:

  1. The DSO supports multiple, named data members.
  2. You have specified a qualifier in association with the DATASRC attribute of an element bound to that DSO.

Valid qualifiers are specific to the DSO implementation. Check the documentation of the DSO to determine if it supports named data members and to determine the valid names for those data members.

Example

This example uses the qualifier property to show how to handle an ondatasetcomplete event when it is fired by a DSO that supports named data members. The hypothetical spreadsheet control defines the name of its data members to match the ranges that can be specified within a typical spreadsheet environment such as Microsoft® Excel. In the example, the named data member is restricted to the first seven cells of the first column.

Sample Code

<SCRIPT>
// Fired when all the data is available
function handle_dscomplete()
{
    var oEvent = window.event;
    // ignore the notification for the default data member
    if (oEvent.qualifier != "")
    {
        // get a recordset corresponding to the named data member
        // as indicated by the qualifier property
        var oNamedRS = oEvent.srcElement.namedRecordset(oEvent.qualifier);

        // now walk the recordset
        oNamedRS.MoveFirst();
        for (int i = 0; i < oNamedRS.RecordCount; i++)
        {
             var vValue = oNamedRS.Fields(0).value;
             oNamedRS.MoveNext();
        }
    }
}
</SCRIPT>

<!-- The CLASSID below does not correspond to a valid object -->
<OBJECT CLASSID="clsid:00000000-0000-0000-0000-000000000000" ID="dsoSpreadSheet"
   ondatasetcomplete="handle_dscomplete()">

<!-- Bind the TABLE to the named recordset "A1:A7" provided by
the spreadsheet control -->
<TABLE DATASRC="#dsoSpreadsheet.A1:A7">
   <TR><TD><SPAN DATAFLD="A"></SPAN></TD></TR>
</TABLE>

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
event

See Also

namedRecordset, using a data source object that exposes multiple data members Internet Link


readOnly Property

Retrieves whether the rule or style sheet is defined on the page or is imported.

Syntax

HTML | N/A
Scripting | [ bReadOnly = ] object.readOnly

Possible Values

bReadOnly Boolean that specifies one of the following values:
false | Rule or style sheet is obtained through a LINK object or the @import rule.
true | Rule or style sheet is defined on the page.

The property is read-only with a default value of false.

Remarks

You cannot modify style sheets obtained through a LINK object or the @import rule while the designMode property is enabled. For more information, see mshtml editing Internet Link.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
styleSheet, rule


READONLY Attribute | readOnly Property

Sets or retrieves whether the content of the object is read-only.

Syntax

HTML | <ELEMENT READONLY ... >
Scripting | object.readOnly [ = bRead ]

Possible Values

bRead Boolean that specifies one of the following values:
false | Property is not set on the object.
true | Object is set to read-only.

The property is read/write with a default value of false.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

If the value of the readOnly property is set to true, the user cannot enter or edit text in the control. When set to true, the property still allows the object to receive the focus, whereas the disabled property does not.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

INPUT type=text, INPUT type=password, TEXTAREA


readyState Property

Retrieves the current state of the object being downloaded.

Syntax

HTML | N/A
Scripting | [ sState = ] object.readyState

Possible Values

sState String that specifies one of the following values:
uninitialized | Object is not initialized with data.
loading | Object is loading its data.
loaded | Object has finished loading its data.
interactive | User can interact with the object even though it is not fully loaded.
complete | Object is completely initialized.

The property is read-only with no default value.

Remarks

Each object determines which of the five states it exposes.

All objects, except OBJECT, that expose the readyState property return the value as a string. The OBJECT tag returns an integer in the range of 0 (uninitialized) through 4 (complete).

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ACRONYM, ADDRESS, APPLET, AREA, B, BASE, BASEFONT, BDO, BGSOUND, BIG, BLOCKQUOTE, BODY, BR, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, COMMENT, custom, DD, DEL, DFN, DIR, DIV, DL, document, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, HEAD, Hn, HR, HTML, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, ISINDEX, KBD, LABEL, LEGEND, LI, LINK, LISTING, MAP, MARQUEE, MENU, NEXTID, NOBR, NOFRAMES, NOSCRIPT, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, RT, RUBY, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TITLE, TR, TT, U, UL, VAR, XML, XMP

See Also

onreadystatechange


reason Property

Retrieves the result of the data transfer for a data source object.

Syntax

HTML | N/A
Scripting | [ iReason = ] event.reason

Possible Values

iReason Integer that specifies one of the following values:
0 | Data transmitted successfully.
1 | Data transfer aborted.
2 | Data transferred in error.

The property is read-only with no default value.

Remarks

The reason property specifies the state of completion of the data transfer.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
HTML | N/A
Scripting | event


recordNumber Property

Retrieves the ordinal record from the data set that generated the object.

Syntax

HTML | N/A
Scripting | [ iNumber = ] object.recordNumber

Possible Values

iNumber Integer that specifies the record number.

The property is read-only with no default value.

Remarks

This property applies to elements contained within a bound, repeated table.

You can use this property with the ado Internet Link recordset, which is available from every data source object through the object's recordset property.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ACRONYM, ADDRESS, APPLET, AREA, B, BIG, BLOCKQUOTE, BR, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, COMMENT, custom, DD, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, Hn, HR, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LABEL, LI, LISTING, MAP, MARQUEE, MENU, NEXTID, NOBR, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, RUBY, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP

See Also

data binding Internet Link


recordset Property

Retrieves from a data source object a reference to the default record set.

Syntax

HTML | N/A
Scripting | [ oRecordset = ] object.recordset

Possible Values

oRecordset Object that specifies the record set.

The property is read-only with no default value.

Remarks

To retrieve a named record set from a data source object, use the namedRecordset method.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
event, OBJECT, XML

See Also

data binding Internet Link


referrer Property

Retrieves the URL of the location that referred the user to the current page.

Syntax

HTML | N/A
Scripting | [ sUrl= ] document.referrer

Possible Values

sUrl String that specifies the URL of the referring page.

The property is read-only with no default value.

Remarks

This property returns a value only when the user reaches the current page through a link from the previous page. Otherwise, document.referrer returns an empty string; it also returns an empty string when the link is from a secure site.

For example, if PageA.htm includes a link to PageB.htm, and the user clicks that link, the document.referrer on PageB.htm returns "PageA.htm". However, if the user is on PageA.htm and types PageB.htm into the address line or uses Open in the File menu to get to PageB.htm, the document.referrer returns an empty string.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
HTML | N/A
Scripting | document


REL Attribute | rel Property

Sets or retrieves the relationship(s) between the object and the destination of the link.

Syntax

HTML | <ELEMENT REL = sRelation ... >
Scripting | object.rel [ =sRelation ]

Possible Values

sRelation String that specifies one or more of the following comma-delimited values, in any order:
Alternate | Substitute version of the file that contains the link.
Appendix | Page that is an appendix for the set of pages.
Bookmark | Bookmark.
Chapter | Page is a chapter for a set of pages.
Contents | Table of contents document.
Copyright | Copyright notice for the current page.
Glossary | Glossary for the current page.
Help | Help document.
Index | Index document for the current page.
Next | Next document in a sequence.
Offline | href containing a path to the CDF file to be used for an offline favorite.
Prev | Previous document in a sequence.
Section | Page is a section for a set of pages.
Shortcut Icon | href containing a path to an icon file to be used for the favorite or link.
Start | First document of a set.
Stylesheet | Style sheet.
Subsection | Page is a subsection for a set of pages.

The property is read/write with no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

If no values are indicated, the rel property's default relationship is an empty string. This property is used only when the href property is applied.

The Shortcut Icon and Offline values apply only to the LINK object.

The Offline value is available in Internet Explorer 5 and later. For more information about CDF files and offline favorites, see enhancing offline favorites Internet Link.

The rel property is similar to the rev property, but the semantics of these two properties' link types are in the reverse direction. For example, a link from A to B with REL="X" expresses the same relationship as a link from B to A with REV="X". An anchor can have both rel and rev properties.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, LINK


repeat Property

Retrieves whether the onkeydown event is being repeated.

Syntax

HTML | N/A
Scripting | [ bRepeat = ] event.repeat

Possible Values

bRepeat Boolean that specifies one of the following values:
true | Event fires two or more times.
false | Event fires once.

The property is read-only with no default value.

Remarks

The repeat property returns true while a user holds down a key.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
event


returnValue Property

Sets or retrieves the return value from the modal dialog window.

Syntax

HTML | N/A
Scripting | window.returnValue [ =vValue ]

Possible Values

vValue Variant that specifies the return value from the window.

The property is read/write with no default value.

Remarks

This property applies only to windows created using the showModalDialog method.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
s
HTML | N/A
Scripting | window


returnValue Property

Sets or retrieves the return value from the event.

Syntax

HTML | N/A
Scripting | event.returnValue [ =bValue ]

Possible Values

bValue Boolean that specifies one of the following values:
true | Value from the event is returned.
false | Default action of the event on the source object is canceled.

The property is read/write with a default value of true.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

The value of this property takes precedence over values returned by the function, such as through a Microsoft® JScript® (compatible with ECMA 262 language specification) return statement.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
HTML | N/A
Scripting | event


REV Attribute | rev Property

Sets or retrieves the relationship(s) between the object and the destination of the link.

Syntax

HTML | <ELEMENT REV = sRelation ... >
Scripting | object.rev [ =sRelation ]

Possible Values

sRelation String that specifies one or more of the following space-delimited values, in any order:
Alternate | Substitute version of the file containing the link.
Appendix | Page that is an appendix for the set of pages.
Bookmark | Bookmark.
Chapter | Page is a chapter for a set of pages.
Contents | Table of contents document.
Copyright | Copyright notice for the current page.
Glossary | Glossary for the current page.
Help | Help document.
Index | Index document for the current page.
Next | Next document in a sequence.
Prev | Previous document in a sequence.
Section | Page is a section for a set of pages.
Start | First document of a set.
Stylesheet | Style sheet.
Subsection | Page is a subsection for a set of pages.

The property is read/write with no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

The rev property is similar to the rel property, but the semantics of these two properties' link types are in the reverse direction. For example, a link from A to B with REL="X" expresses the same relationship as a link from B to A with REV="X". An anchor can have both rel and rev properties.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

A, LINK


right Property

Retrieves the right coordinate of the rectangle surrounding the object content.

Syntax

HTML | N/A
Scripting | [ iCoord = ] oTextRectangle.right

Possible Values

iCoord Integer that specifies the right coordinate of the rectangle, in pixels.

The property is read-only with no default value.

Remarks

To access the right coordinate of the second text rectangle of a TextRange object, use this syntax:

oRct = oTextRange.getClientRects();
oRct[1].right;

Note that the collection index starts at 0, so the second item index is 1.

To access the right coordinate of the bounding rectangle of an element object, use this syntax:

oBndRct = oElement.getBoundingClientRect();
oBndRct.right;

Example

This example uses the getBoundingClientRect method to retrieve the coordinates of the bounds of the text rectangles within the element.

Sample Code

<SCRIPT>
function getCoords(oObject) {
    oBndRct=oObject.getBoundingClientRect();
    alert("Bounding rectangle = \nUpper left coordinates: "
        + oBndRct.left + " " + oBndRct.top +
        "\nLower right coordinates: "
        + oBndRct.right + " " + oBndRct.bottom);
}
</SCRIPT>
</HEAD>
<BODY>
<P ID=oPara onclick="getCoords(this)">
This feature requires Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
TextRectangle

See Also

TextRectangle Collection, TextRectangle Object, bottom, left, top


right Attribute | right Property

Sets or retrieves the position of the object relative to the right edge of the next positioned object in the document hierarchy.

Syntax

HTML | { right: sPosition }
Scripting | object.style.right [ = sPosition ]

Possible Values

sPosition String that specifies one of the following values:
auto | Default position according to the regular HTML layout of the page.
length | Floating-point number, followed by an absolute units designator (cm, mm, in, pt, pc, or px) or a relative units designator (em or ex). For more information about the supported length units, see CSS Length Units.
percentage | Integer, followed by a %. The value is a percentage of the width of the parent object.

The property is read/write with a default value of auto; the cascading style sheets (CSS) attribute is not inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

Only use the right attribute when the position attribute is set; otherwise, the value of the right attribute is ignored.

You cannot use the right property in script to calculate the position of the object in the document, because the value of the right property is a string. Instead, use the pixelRight property or the posRight property.

For more information about how to access the dimension and location of objects on the page through the document object model, see measuring element dimension and location Internet Link.

Example

This example uses the right attribute to set a DIV object 50 pixels from the right of the client area.

<DIV STYLE = "position:absolute; right:50px">
. . .
</DIV>

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ADDRESS, APPLET, B, BIG, BLOCKQUOTE, BUTTON, CENTER, CITE, CODE, currentStyle, DD, DFN, DIR, DIV, DL, FIELDSET, FORM, Hn, HR, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, ISINDEX, KBD, LABEL, LEGEND, LI, LISTING, MARQUEE, MENU, OBJECT, OL, P, PRE, runtimeStyle, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TABLE, TEXTAREA, TT, U, UL, VAR, XMP


RIGHTMARGIN Attribute | rightMargin Property

Sets or retrieves the right margin for the entire body of the page.

Syntax

HTML | <BODY RIGHTMARGIN = sMargin ... >
Scripting | object.rightMargin [ =sMargin ]

Possible Values

sMargin String that specifies the right margin, in pixels.

The property is read/write with a default value of 10.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

If the value is an empty string, the right margin is on the right edge.

The value set on the property overrides the default margin.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

BODY


rowIndex Property

Retrieves the position of the object in the rows collection for the TABLE.

Syntax

HTML | N/A
Scripting | [ iIndex = ] oTR.rowIndex

Possible Values

iIndex Integer that specifies the index number.

The property is read-only with no default value.

Remarks

This property is different from sectionRowIndex, which indicates the object's position in the TBODY, THEAD, or TFOOT rows collection. These sections are mutually exclusive, so the TR is always contained in one of these sections and in the TABLE. You can determine the rowIndex property of an object by the order in which the object appears in the HTML source.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
HTML | N/A
Scripting | TR

See Also

cellIndex, sourceIndex


ROWS Attribute | rows Property

Sets or retrieves the number of horizontal rows contained in the object.

Syntax

HTML | <ELEMENT ROWS = iRows ... >
Scripting | object.rows [ =iRows ]

Possible Values

iRows Integer that specifies the number of rows.

The property is read/write with a default value of 2.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

TEXTAREA


ROWS Attribute | rows Property

Sets or retrieves the frame heights of the object.

Syntax

HTML | <FRAMESET ROWS = sHeight ... >
Scripting | object.rows [ = sHeight ... ]

Possible Values

sHeight String that specifies one or more of the following comma-delimited values:
height | Integer that specifies the frame height, in pixels.
percentage | Integer, followed by a %. The value is a percentage of total available height.
height* | Integer that specifies the frame height as a relative value. After allocating pixel or percentage values, the remaining space is divided among all relative-sized frames.

The property is read/write with no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

The number of comma-separated items is equal to the number of frames contained within the FRAMESET, while the value of each item determines the frame height.

Example

This example defines a two-row frame, with the first occupying 40 percent of the available height and the second occupying the remaining 60 percent.

Sample Code

<FRAMESET ROWS="40%, 60%">

This example defines a four-row frame. The first is 50 pixels high and the fourth is 80 pixels high. The second occupies two-thirds of the remaining height, while the third occupies the final one-third of the remaining height.

<FRAMESET ROWS="50, 2*, *, 80">

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

FRAMESET

See Also

cols


ROWSPAN Attribute | rowSpan Property

Sets or retrieves how many rows in a TABLE the cell should span.

Syntax

HTML | <ELEMENT ROWSPAN = iRows ... >
Scripting | object.rowSpan [ =iRows ]

Possible Values

iRows Integer that specifies the number of spanned rows.

The property is read/write with no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

This property can be changed only after the page has been loaded.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

TD, TH


ruby-align Attribute | rubyAlign Property

Sets or retrieves the position of the ruby text specified by the RT object.

Syntax

HTML | { ruby-align: sRubyAlign }
Scripting | object.style.rubyAlign [ = sRubyAlign ]

Possible Values

sRubyAlign String that specifies one of the following values:
auto | Browser determines how the ruby text is aligned. The recommended behavior for an ideographic (East Asian Character) ruby is to be aligned in the distribute-space mode. The recommended behavior for a Latin character ruby is to be aligned in the center mode.
left | Ruby text is left-aligned with the base.
center | Ruby text is centered within the width of the base. If the length of the base is smaller than the length of the ruby text, the base is centered within the width of the ruby text.
right | Ruby text is right-aligned with the base.
distribute-letter | Ruby text is evenly distributed across the width of the base if the width of the ruby text is smaller than the width of the base. If the width of the ruby text is at least the width of the base, the ruby text is center-aligned.
distribute-space | Ruby text is evenly distributed across the width of the base if the width of the ruby text is smaller than the width of the base. White space precedes the first and follows the last character in the ruby text, equal to half the kerning of the ruby text. If the width of the ruby text is at least the width of the base, the ruby text is centered.
line-edge | Ruby text is centered if it is not adjacent to a line edge. If it is adjacent to a line edge, the side of the ruby lines up with the side of the base text.

The property is read/write with a default value of auto; the proposed cascading style sheets (CSS) extension attribute is not inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

The rubyAlign property specifies the alignment of the ruby text defined by the RT object, and is set on the RUBY object.

Example

This example uses the ruby-align attribute and the rubyAlign property to set the alignment of the ruby text. It uses an inline style sheet to set the ruby-align attribute to right.

Sample Code

<RUBY ID=oRuby STYLE = "ruby-align: right">
Ruby base.
<RT>Ruby text.
</RUBY>
<INPUT
TYPE=button VALUE="Center"
onclick="oRuby.style.rubyAlign='center';"
>
This feature requires Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
RUBY

See Also

rubyPosition, rubyOverhang


ruby-overhang Attribute | ruby-overhang Property

Click to return to the DHTML, HTML & CSS home page

ruby-overhang Attribute | rubyOverhang Property

Sets or retrieves the position of the ruby text specified by the RT object.

Syntax

HTML | { ruby-overhang: sRubyOverhang }
Scripting | object.style.rubyOverhang [ = sRubyOverhang ]

Possible Values

sRubyOverhang String that specifies one of the following values:
auto | Ruby text overhangs any other text adjacent to the base text.
whitespace | Ruby text overhangs only white-space characters.
none | Ruby text overhangs only text adjacent to its base.

The property is read/write with a default value of auto; the proposed cascading style sheets (CSS) extension attribute is not inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

The rubyOverhang property specifies the overhang of the ruby text defined by the RT object, and is set on the RUBY object.

Example

This example uses the ruby-overhang attribute and the rubyOverhang property to set the overhang of the ruby text. It uses an inline style sheet to set the ruby-overhang attribute to none.

Sample Code

<RUBY ID=oRuby STYLE = "ruby-overhang: none">
Ruby base.
<RT>Ruby text.
</RUBY>
<INPUT
TYPE=button VALUE="Whitespace"
onclick="oRuby.style.rubyOverhang='whitespace';"
>

This feature requires Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
RUBY

See Also

rubyAlign, rubyPosition


ruby-position Attribute | rubyPosition Property

Sets or retrieves the position of the ruby text specified by the RT object.

Syntax

HTML | { ruby-position: sRubyPlacement }
Scripting | object.style.rubyPosition [ = sRubyPlacement ]

Possible Values

sRubyPlacement String that specifies one of the following values:
above | Ruby text is positioned above the base text.
inline | Ruby text is positioned inline with the base text.

The property is read/write with a default value of above; the proposed cascading style sheets (CSS) extension attribute is not inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

The rubyPosition property specifies the position of the ruby text defined by the RT object, and is set on the RUBY object.

Example

This example uses the ruby-position attribute and the rubyPosition property to set the position of the ruby text. It uses an inline style sheet to set the ruby-position attribute to inline.

Sample Code

<RUBY ID=oRuby STYLE = "ruby-position: inline">
Ruby base.
<RT>Ruby text.
</RUBY>
<P>
<INPUT
TYPE=button VALUE="Above"
onclick="oRuby.style.rubyPosition='above';"
>

This feature requires Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
RUBY

See Also

rubyAlign, rubyOverhang


RULES Attribute | rules Property

Sets or retrieves which dividing lines (inner borders) are displayed.

Syntax

HTML | <TABLE RULES = sRule ... >
Scripting | table.rules [ = sRule ]

Possible Values

sRule String that specifies one of the following values:
all | Borders are displayed on all rows and columns.
cols | Borders are displayed between all table columns.
groups | Horizontal borders are displayed between all THEAD, TBODY, and TFOOT objects; vertical borders are displayed between all COLGROUP objects.
none | All interior table borders are removed.
rows | Horizontal borders are displayed between all table rows.

The property is read/write with no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

The value none turns off only the interior borders. To turn off the table borders, set the rules property to '', or omit the RULES attribute from the TABLE object.

Example

This example initially sets the RULES attribute on the table, and then uses the rules property to dynamically change the table borders.

Sample Code

<TABLE ID=oTable RULES="cols">
<TR>
<TD>EST</TD><TD>1am</TD><TD>8pm</TD>
</TR>
<TR>
<TD>CST</TD><TD>2am</TD><TD>9pm</TD>
</TR>
<TR>
<TD>MST</TD><TD>3am</TD><TD>10pm</TD>
</TR>
</TABLE>
:
<BUTTON onclick="oTable.rules=''">No borders</BUTTON>
<BUTTON onclick="oTable.rules='all'">All borders</BUTTON>

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

TABLE

See Also

frame


scopeName Property

Retrieves the namespace Internet Link defined for the element.

Syntax

HTML | N/A
Scripting | [ sName = ] object.scopeName

Possible Values

sName String that specifies one of the following values:
HTML | All standard HTML tags.
scope | Namespace prefix used with the custom tags. This namespace is declared in the document using the XMLNS attribute of the HTML element.

The property is read-only with a default value of HTML.

Example

This example shows the values returned by the scopeName and tagUrn properties when used with a simple HelloWorld custom tag. The browser's status bar displays the property values.

<HTML XMLNS:InetSDK='http://msdn.microsoft.com/workshop'>

<STYLE>
@media all {
   InetSDK\:HelloWorld { behavior:url (simple.htc) }
}
</STYLE>
<SCRIPT>
   function window.onload()
   {
      window.status = 'scopeName = ' + hello.scopeName +
                      '; tagUrn = '  + hello.tagUrn;
   }
</SCRIPT>
<BODY>
   <InetSDK:HelloWorld ID='hello'></InetSDK:HelloWorld>

</BODY>
</HTML>
This feature requires Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ACRONYM, ADDRESS, APPLET, AREA, B, BASE, BASEFONT, BDO, BGSOUND, BIG, BLOCKQUOTE, BODY, BR, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, COMMENT, custom, DD, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, HEAD, Hn, HR, HTML, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, ISINDEX, KBD, LABEL, LEGEND, LI, LINK, LISTING, MAP, MARQUEE, MENU, NEXTID, NOBR, NOFRAMES, NOSCRIPT, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, RT, RUBY, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TITLE, TR, TT, U, UL, VAR, WBR, XML, XMP

See Also

using custom tags in internet explorer Internet Link


screenLeft Property

Retrieves the x-coordinate of the upper left-hand corner of the browser's client area, relative to the upper left-hand corner of the screen.

Syntax

HTML | N/A
Scripting | [ iPos= ] object.screenLeft

Possible Values

iPos Integer that specifies the x-coordinate, in pixels.

The property is read-only with no default value.

Remarks

The client area consists of the browser window, exclusive of the caption bar, the window-sizing border, the menu bar, the toolbars, the scroll bars, and the status bars.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
window

See Also

screenTop


screenTop Property

Retrieves the y-coordinate of the top corner of the browser's client area, relative to the top corner of the screen.

Syntax

HTML | N/A
Scripting | [ iPos= ] object.screenTop

Possible Values

iPos Integer that specifies the y-coordinate, in pixels.

The property is read-only with no default value.

Remarks

The client area consists of the browser window, exclusive of the caption bar, the window-sizing border, the menu bar, the toolbars, the scroll bars, and the status bars.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
window

See Also

screenLeft


screenX Property

Retrieves the x-coordinate of the mouse pointer's position relative to the user's screen.

Syntax

HTML | N/A
Scripting | [ iSize = ] event.screenX

Possible Values

iSize Integer that specifies the x-coordinate, in pixels.

The property is read-only, with no default value.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
HTML | N/A
Scripting | event


screenY Property

Retrieves the y-coordinate of the mouse pointer's position relative to the user's screen.

Syntax

HTML | N/A
Scripting | [ iSize = ] event.screenY

Possible Values

iSize Integer that specifies the y-coordinate, in pixels.

The property is read-only, with no default value.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
HTML | N/A
Scripting | event


SCROLL Attribute | scroll Property

Sets or retrieves whether the scroll bars are turned on or off.

Syntax

HTML | <BODY SCROLL = sScroll ... >
Scripting | body.scroll [ =sScroll ]

Possible Values

sScroll String that specifies one of the following values:
yes | Scroll bars are turned on.
no | Scroll bars are turned off.

The property is read/write with a default value of yes.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

BODY


SCROLLAMOUNT Attribute | scrollAmount Property

Sets or retrieves the number of pixels the text scrolls between each subsequent drawing of the MARQUEE.

Syntax

HTML | <MARQUEE SCROLLAMOUNT = iAmount ... >
Scripting | marquee.scrollAmount [ =iAmount ]

Possible Values

iAmount Integer that specifies the number of pixels.

The property is read/write with a default value of 6.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

MARQUEE


SCROLLDELAY Attribute | scrollDelay Property

Sets or retrieves the speed of the MARQUEE scroll.

Syntax

HTML | <MARQUEE SCROLLDELAY = iDelay ... >
Scripting | marquee.scrollDelay [ =iDelay ]

Possible Values

iDelay Integer that specifies the delay, in milliseconds.

The property is read/write with a default value of 85.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

MARQUEE


scrollHeight Property

Retrieves the scrolling height of the object.

Syntax

HTML | N/A
Scripting | [ iHeight = ] object.scrollHeight

Possible Values

iHeight Non-negative integer that specifies the height, in pixels.

The property is read-only with no default value.

Remarks

The height is the distance between the top and bottom edges of the object's content.

For more information about how to access the dimension and location of objects on the page through the document object model, see measuring element dimension and location Internet Link.

Example

This example uses the scrollHeight property to retrieve the height of the viewable content.

Sample Code

<SCRIPT>
function fnCheckScroll(){
    var iNewHeight = oDiv.scrollHeight;
    alert("The value of the scrollHeight property is: "
        + iNewHeight);
}
</SCRIPT>
:
<DIV ID=oDiv STYLE="overflow:scroll; height=100;
    width=250; text-align:left">
:
</DIV>
<INPUT TYPE=button VALUE="Check scrollHeight"
    onclick="fnCheckScroll()">

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ADDRESS, APPLET, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, custom, DD, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FORM, HEAD, Hn, HTML, I, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, ISINDEX, KBD, LABEL, LEGEND, LI, LISTING, MARQUEE, MENU, META, NOBR, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP

See Also

scrollLeft, scrollTop, scrollWidth


SCROLLING Attribute | scrolling Property

Sets or retrieves whether the frame can be scrolled.

Syntax

HTML | <ELEMENT SCROLLING = sScrolling ... >
Scripting | object.scrolling [ =sScrolling ]

Possible Values

sScrolling String that specifies one of the following values:
auto | Browser determines whether scroll bars are necessary.
no | Frame cannot be scrolled.
yes | Frame can be scrolled.

The property is read/write with a default value of auto.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

FRAME, IFRAME


scrollLeft Property

Sets or retrieves the distance between the left edge of the object and the leftmost portion of the content currently visible in the window.

Syntax

HTML | N/A
Scripting | object.scrollLeft [ = iDistance ]

Possible Values

iDistance Integer that specifies the distance, in pixels.

The property is read/write with a default value of 0.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

The scrollLeft property's value is equal to the horizontal distance scrolled by the content of the object. Although the value can be set to any positive or negative value, if the assigned value is less than 0, the property is set to 0. If the assigned value is greater than the maximum possible, the property is set to the maximum possible.

You can set this property inline, but the results might be inconsistent while the page loads.

This property is always 0 for objects that do not have scroll bars. For these objects, setting the property has no effect.

When a MARQUEE object scrolls vertically, its scrollLeft property is set to 0, overriding any script setting.

For more information about how to access the dimension and location of elements on the page through the document object model, see measuring element dimension and location Internet Link.

Example

This example uses the scrollLeft property to determine the amount scrolled by the object.

Sample Code

<DIV ID=oDiv STYLE="position:absolute; width:200px;
    height:100px; overflow:scroll"
    onclick=alert(this.scrollLeft)>
<SPAN STYLE="width:250px"> . . . </SPAN></DIV>

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ADDRESS, APPLET, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, custom, DD, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FORM, HEAD, Hn, HTML, I, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, ISINDEX, KBD, LABEL, LEGEND, LI, LISTING, MARQUEE, MENU, META, NOBR, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP

See Also

scrollHeight, scrollTop, scrollWidth


scrollTop Property

Sets or retrieves the distance between the top of the object and the topmost portion of the content currently visible in the window.

Syntax

HTML | N/A
Scripting | object.scrollTop [ = iDistance ]

Possible Values

iDistance Integer that specifies the distance, in pixels.

The property is read/write with a default value of 0.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

The property's value is equal to the vertical distance scrolled by the content of the object. Although the value can be set to any positive or negative value, if the assigned value is less than 0, the property is set to o. If the assigned value is greater than the maximum possible, the property is set to the maximum possible.

You can set this property inline, but the results might be inconsistent while the page is loading.

This property is always 0 for objects that do not have scroll bars. For these objects, setting the property has no effect.

When a MARQUEE object scrolls horizontally, its scrollTop property is set to 0, overriding any script setting.

For more information about how to access the dimension and location of elements on the page through the document object model, see measuring element dimension and location Internet Link.

Example

This example uses the scrollTop property to determine the amount scrolled by the object.

Sample Code

<DIV ID=oDiv STYLE="position:absolute; width:200px;
    height:100px; overflow:scroll"
    onclick=alert(this.scrollTop)>
<SPAN STYLE="width:250px"> . . . </SPAN></DIV>

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ADDRESS, APPLET, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, custom, DD, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FORM, HEAD, Hn, HTML, I, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, ISINDEX, KBD, LABEL, LEGEND, LI, LISTING, MARQUEE, MENU, META, NOBR, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP

See Also

scrollHeight, scrollLeft, scrollWidth


scrollWidth Property

Retrieves the scrolling width of the object.

Syntax

HTML | N/A
Scripting | [ iWidth = ] object.scrollWidth

Possible Values

iWidth Non-negative integer that specifies the width, in pixels.

The property is read-only with no default value.

Remarks

The width is the distance between the left and right edges of the object's visible content.

For more information about how to access the dimension and location of objects on the page through the document object model, see measuring element dimension and location Internet Link.

Example

This example uses the scrollWidth property to compare the rendered width of a DIV element with the width of the content. The width of the element, as rendered on the page, is exposed through the offsetWidth property.

When the overflow property is set to auto, the content can exceed the dimensions of an element, and scroll bars appear. You can use the scrollWidth property to retrieve the width of the content within the element.

Sample Code

<SCRIPT>
function fnCheckScroll(){
   var iScrollWidth = oDiv.scrollWidth;
   var iOffsetWidth = oDiv.offsetWidth;
   var iDifference = iScrollWidth - iOffsetWidth;
   alert("Width: " + iOffsetWidth
      + "\nContent Width: " + iScrollWidth
      + "\nDifference: " + iDifference);
}
</SCRIPT>
:
<DIV ID=oDiv STYLE="overflow:scroll; height=200; width=250;
   text-align:left">
:
</DIV>
<INPUT TYPE=button VALUE="Check scrollWidth"
   onclick="fnCheckScroll()">

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ADDRESS, APPLET, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, custom, DD, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FORM, HEAD, Hn, HTML, I, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, ISINDEX, KBD, LABEL, LEGEND, LI, LISTING, MENU, META, NOBR, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP

See Also

scrollHeight, scrollLeft, scrollTop, width


search Property

Sets or retrieves the substring of the href property that follows the question mark.

Syntax

HTML | N/A
Scripting | object.search [ =sSearch ]

Possible Values

sSearch String that specifies the substring of the href property.

The property is read/write with no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

The substring that follows the question mark is the query string or form data.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, AREA, location


sectionRowIndex Property

Retrieves the position of the object in the TBODY, THEAD, TFOOT, or rows collection.

Syntax

HTML | N/A
Scripting | [ iIndex = ] oTR.sectionRowIndex

Possible Values

iIndex Integer that specifies the index position of the object.

The property is read-only with no default value.

Remarks

The TBODY, THEAD, and TFOOT sections are mutually exclusive, so a TR is always contained in one of these sections and in the TABLE. The rowIndex property indicates the position of the object in the rows collection for the TABLE. Collection indexes are in source order of the HTML document.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
HTML | N/A
Scripting | TR

See Also

cellIndex, sourceIndex


SELECTED Attribute | selected Property

Sets or retrieves whether the option in the list box is the default item.

Syntax

HTML | <OPTION SELECTED ... >
Scripting | select.options[iIndex].selected [ =bSelected ]

Possible Values

bSelected Boolean that specifies one of the following values:
false | Item is not selected as the default.
true | Item is selected as the default.

The property is read/write with a default value of false.

Remarks

If the property is not set, the first item is selected by default.

The property determines whether a value is submitted with the form. If the value of the control matches the default value, the control's value is not submitted. The value is submitted only when the control's value does not match the default value.

To select an item in HTML, it is not necessary to set the value of the SELECTED attribute to true. The mere presence of the SELECTED attribute set its value to true.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

OPTION

See Also

defaultSelected


selectedIndex Property

Sets or retrieves the index of the selected option in a SELECT object.

Syntax

HTML | N/A
Scripting | select.selectedIndex [ = iIndex ]

Possible Values

iIndex Integer that specifies the index.

The property is read/write with no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

Options in a SELECT object are indexed in the order in which they are defined, starting with an index of 0. When you set the selectedIndex property, the display of the SELECT object updates immediately.

The selectedIndex property returns -1 if a SELECT object does not contain any selected items. Setting the selectedIndex property clears any existing selected items.

The selectedIndex property is most useful when used with SELECT objects that support selecting only one item at a time—that is, those in which the MULTIPLE attribute is not specified. If the MULTIPLE attribute is specified for a SELECT object, the selectedIndex property returns only the index of the first selected item, if any.

The selected property is most useful when used with SELECT objects that support selecting more than one item at a time—that is, those in which the MULTIPLE attribute is specified. You can use the selected property to determine whether an individual item in a SELECT object is selected. In addition, selected items are not cleared when the selected property is set. This allows multiple items in the list to be selected at the same time.

Example

This example uses the selectedIndex property to retrieve individual values from a SELECT object. When a site is selected from the list, the browser displays the associated page.

Sample Code

<SELECT onchange="window.location.href=this.options
    [this.selectedIndex].value">
<OPTION VALUE="http://www.microsoft.com/ie">
    Internet Explorer</OPTION>
<OPTION VALUE="http://www.microsoft.com">
    Microsoft Home</OPTION>
<OPTION VALUE="http://msdn.microsoft.com">
    Developer Network</OPTION>
</SELECT>

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
HTML | N/A
Scripting | SELECT


selectorText Property

Retrieves a string that identifies which elements the corresponding rule applies to.

Syntax

HTML | N/A
Scripting | [ sSelectorText= ] rule.selectorText

Possible Values

sSelectorText String that specifies the element.

The property is read-only.

Remarks

A selector can be either a simple selector (such as 'H1'), or a contextual selector (such as 'H1 B') that consists of several simple selectors.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
rule

See Also

rules


self Property

Retrieves a reference to the current window or frame.

Syntax

HTML | N/A
Scripting | [ oSelf = ] object.self

Possible Values

oSelf Object that specifies the current window or frame.

The property is read-only with no default value.

Remarks

You can use the property to explicitly refer to the current window or frame. To improve scripting efficiency, you also can use it to make implicit window references explicit.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
FRAME, window


SHAPE Attribute | shape Property

Sets or retrieves the shape of a hyperlink AREA in an image MAP.

Syntax

HTML | <AREA SHAPE = sShape ... >
Scripting | area.shape [ = sShape ]

Possible Values

sShape String that specifies one of the following values:
circ | Circle.
circle | Circle.
poly | Polygon.
polygon | Polygon.
rect | Rectangle.
rectangle | Rectangle.

The property is read/write with no default value.

The value of the SHAPE attribute determines the format of the COORDS attribute.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Example

This example provides the full code for an image map of the solar system. When you click on the sun or any planet, you will link to the image associated with the x,y coordinate. You can click the Back button from the image to return to the solar system image map.

Sample Code

<P><IMG SRC="solarsys.gif" WIDTH=504 HEIGHT=126
    BORDER=0 ALT="Solar System" USEMAP="#SystemMap">

<MAP NAME="SystemMap">
    <AREA SHAPE="rect" COORDS="0,0,82,126"
        HREF="/workshop/graphics/sun.gif">
    <AREA SHAPE="circle" COORDS="90,58,3"
        HREF="/workshop/graphics/merglobe.gif">
    <AREA SHAPE="circle" COORDS="124,58,8"
        HREF="/workshop/graphics/venglobe.gif">
    <AREA SHAPE="circle" COORDS="162,58,10"
        HREF="/workshop/graphics/earglobe.gif">
    <AREA SHAPE="circle" COORDS="203,58,8"
        HREF="/workshop/graphics/marglobe.gif">
    <AREA SHAPE="poly" COORDS="221,34,238,37,257,32,278,
        44,284,60,281,75,288,91,267,87,253,89,237,81,229,
        64,228,54" HREF="/workshop/graphics/jupglobe.gif">
    <AREA SHAPE="poly" COORDS="288,19,316,39,330,37,348,
        47,351,66,349,74,367,105,337,85,324,85,307,77,303,
        60,307,50" HREF="/workshop/graphics/satglobe.gif">
    <AREA SHAPE="poly" COORDS="405,39,408,50,411,57,410,
        71,404,78,393,80,383,86,381,75,376,69,376,56,380,
        48,393,44" HREF="/workshop/graphics/uraglobe.gif">
    <AREA SHAPE="poly" COORDS="445,38,434,49,431,53,427,62,
        430,72,435,77,445,92,456,77,463,72,463,62,462,53,
        455,47" HREF="/workshop/graphics/nepglobe.gif">
    <AREA SHAPE="circle" COORDS="479,66,3"
        HREF="/workshop/graphics/pluglobe.gif">
</MAP>

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

AREA


shiftKey Property

Retrieves the state of the SHIFT key.

Syntax

HTML | N/A
Scripting | [ bKey = ] event.shiftKey

Possible Values

bKey Boolean that specifies one of the following values:
false | SHIFT key is not pressed.
true | SHIFT key is pressed.

The property is read-only with no default value.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
HTML | N/A
Scripting | event


SIZE Attribute | size Property

Sets or retrieves the font size of the object.

Syntax

HTML | <ELEMENT SIZE = iSize ... >
Scripting | object.size [ =iSize ]

Possible Values

iSize Integer that specifies the font size within a range of 1 through 7, with 7 representing the largest font.

The property is read/write with no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

BASEFONT, FONT


SIZE Attribute | size Property

Sets or retrieves the height of the HR object.

Syntax

HTML | <HR SIZE = iSize ... >
Scripting | hr.size [ =iSize ]

Possible Values

iSize Integer that specifies the height, in pixels.

The property is read/write with no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
HR


SIZE Attribute | size Property

Sets or retrieves the size of the control.

Syntax

HTML | <ELEMENT SIZE = iSize ... >
Scripting | object.size [ =iSize ]

Possible Values

iSize Integer that specifies the size.

The property is read/write with no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

Although this property is read/write, no change is visible when you set the size of the INPUT type=reset, INPUT type=submit, and INPUT type=image objects. However, you can detect a change to the size property for these objects in code.

For the INPUT type=text object, the size is in characters and represents the width of the text box. When the size is specified, the SELECT object represents a list box with the specified number of rows.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, SELECT

See Also

maxLength


sourceIndex Property

Retrieves the ordinal position of the object, in source order, as the object appears in the all collection.

Syntax

HTML | N/A
Scripting | [ iIndex = ] object.sourceIndex

Possible Values

iIndex Object that specifies the ordinal position.

The property is read-only with no default value.

Example

Sample Code

This example uses the sourceIndex property to identify the previous and next elements in the all collection.

<SCRIPT>
function fnHandler(){
   // Retrieve the element that fired the event.
   var oElement=event.srcElement;
   var iIndex=oElement.sourceIndex;
   var sTagName=oElement.tagName;
   if(sTagName=="!"){
      sTagName="COMMENT";
   }
   oVal1.innerHTML=iIndex;
   oVal2.innerHTML=sTagName;
   if(iIndex-1>0){
      sTagName=document.all[iIndex-1].tagName;
      if(sTagName=="!"){
         sTagName="COMMENT";
      }
      oVal3.innerHTML=sTagName;
   }
   else{
      oVal3.innerHTML="Cannot read.";
   }
   if(iIndex+1<document.all.length){
      sTagName=document.all[iIndex+1].tagName;
      if(sTagName=="!"){
         sTagName="COMMENT";
      }
      oVal4.innerHTML=sTagName;
   }
   else{
      oVal4.innerHTML="Cannot read.";
   }
}
</SCRIPT>

<BODY onmousemove="fnHandler()">
<TABLE>
<TR><TD>Source Index:</TD><TD ID=oVal1></TD></TR>
<TR><TD>Object Name:</TD><TD ID=oVal2></TD></TR>
<TR><TD>Previous Object:</TD><TD ID=oVal3></TD></TR>
<TR><TD>Next Object:</TD><TD ID=oVal4></TD></TR>
</TABLE>
</BODY>
This feature requires Internet Explorer 4 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ACRONYM, ADDRESS, APPLET, AREA, B, BASE, BASEFONT, BDO, BGSOUND, BIG, BLOCKQUOTE, BODY, BR, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, COMMENT, custom, DD, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, HEAD, Hn, HR, HTML, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LABEL, LI, LINK, LISTING, MAP, MARQUEE, MENU, META, NEXTID, NOBR, OBJECT, OL, P, PLAINTEXT, PRE, Q, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TITLE, TR, TT, U, UL, VAR, XMP


SPAN Attribute | span Property

Sets or retrieves the number of columns in the group.

Syntax

HTML | <ELEMENT SPAN = iSpan ... >
Scripting | object.span [ = iSpan ]

Possible Values

iSpan Integer that specifies the number of spanned columns.

The property is read/write with a default value of 1.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

The span property is ignored when set on the COLGROUP element and COLGROUP contains one or more COL elements. The span property provides a more convenient way of grouping columns without having to specify COL objects.

Example

This example uses the SPAN attribute to set the COL object to SPAN=2, which causes the COL to span two columns. The text is right-aligned in these two columns.

Sample Code

<TABLE BORDER>
<COLGROUP>
<COL SPAN=2 ALIGN=RIGHT>
<COL ALIGN=LEFT>
<TBODY>
<TR>
<TD>This is the first column in the group, and it is
    right-aligned.</TD>
<TD>This is the second column in the group, and it is
    right-aligned.</TD>
<TD>This is the third column in the group, and it is
    left-aligned.</TD>
</TR>
</TABLE>

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

COL, COLGROUP


specified Property

Retrieves whether an attribute has been specified.

Syntax

HTML | N/A
Scripting | [ bSpecified = ] object.specified

Possible Values

bSpecified Boolean that specifies one of the following values:
true | Attribute is specified.
false | Attribute is not specified.

The property is read-only with no default value.

Remarks

An attribute is specified if it is set through HTML or script.

Example

This example uses the specified property to determine the attributes set for an object. The function checks each attribute, and lists all of the attributes of the object and the value of each attribute. In addition, each attribute that is set is displayed.

<SCRIPT>
function fnFindSpecified(){
   var oAttributes=oList.attributes;
   alert(oAttributes(0).nodeName);
   for(var i=0;i<oAttributes.length;i++){
      var oNode=document.createElement("LI");
      var oNodeValue=document.createTextNode(i + " "
                     + oAttributes(i).nodeName + " = "
                     + oAttributes(i).nodeValue);
      oList.appendChild(oNode);
      oNode.appendChild(oNodeValue);
      if(oAttributes(i).nodeValue!=null){
         alert(oAttributes(i).nodeName
         + " specified: " + oAttributes(i).specified);
      }
   }
}
</SCRIPT>

<UL ID = oList onclick = "fnFindSpecified()">
<LI>Click to Find Specified Attributes
</UL>

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
Attribute


SRC Attribute | src Property

Retrieves the URL of a sound to be played.

Syntax

HTML | <BGSOUND SRC = sURL ... >
Scripting | [ sURL = ] object.src

Possible Values

sURL String that specifies the URL of the sound.

The property is read-only with no default value.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

BGSOUND


SRC Attribute | src Property

Retrieves the URL to an external file that contains the source code or data.

Syntax

HTML | <SCRIPT SRC = sURL ... >
Scripting | [sURL = ] oScript.src

Possible Values

sURL String that specifies the URL of the source code or data.

The property is read-only with no default value.

Remarks

The SRC attribute first was available in Internet Explorer 3.02. The src property is exposed through the object model as of Internet Explorer 4.0.

In Internet Explorer 5, the SRC attribute of the SCRIPT element can refer to an XML data set if the LANGUAGE attribute is set to XML.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

SCRIPT


SRC Attribute | src Property

Sets or retrieves a URL to be loaded by the object.

Syntax

HTML | <ELEMENT SRC = sURL ... >
Scripting | object.src [ = sURL ]

Possible Values

sURL String that specifies the URL.

The property is read/write with no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Example

This example uses the src property to change the image's SRC attribute.

Sample Code

<BODY onmousedown="oImage.src='sphere.jpg'"
    onmouseup="oImage.src='cone.jpg'">
:
<IMG ID=oImage SRC="cone.jpeg">

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
APPLET, EMBED, FRAME, IFRAME, IMG, INPUT type=image, XML


srcElement Property

Retrieves the object that fired the event.

Syntax

HTML | N/A
Scripting | [ oObject = ] event.srcElement

Possible Values

oObject Object that specifies the event that fired.

The property is read-only with no default value.

Example

This example uses the srcElement property to retrieve the parent object, if needed, create the text range, move to the original object, and select the first word in the object.

Sample Code

<SCRIPT LANGUAGE="JScript">
function selectWord() {
    var oSource = window.event.srcElement ;
    if (!oSource.isTextEdit)
        oSource = window.event.srcElement.parentTextEdit;
    if (oSource != null) {
        var oTextRange = oSource.createTextRange();
        oTextRange.moveToElementText(window.event.srcElement);
        oTextRange.collapse();
        oTextRange.expand("word");
        oTextRange.select();
    }
}
</SCRIPT>

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
HTML | N/A
Scripting | event


srcFilter Property

Retrieves the filter object that caused the onfilterchange event to fire.

Syntax

HTML | N/A
Scripting | [ sSrcFilter = ] event.srcFilter

Possible Values

sSrcFilter String that specifies the filter object.

The property is read-only with no default value.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
HTML | N/A
Scripting | event


srcUrn Property

Retrieves the Uniform Resource Name (URN) of the behavior Internet Link that fired the event.

Syntax

HTML | N/A
Scripting | [sUrn = ] event.srcUrn

Possible Values

sUrn String that specifies the URN identifier.

The property is read-only with a default value of null.

Remarks

This property is set to null unless both of the following conditions are true:

  • A behavior currently is attached to the element on which the event is fired.
  • The behavior defined in the preceding bullet has specified a URN identifier and fired the event.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
event

See Also

behaviorUrns, urns


START Attribute | start Property

Sets or retrieves the starting number for an ordered list.

Syntax

HTML | <OL START =iStart ... >
Scripting | object.start [ =iStart ]

Possible Values

iStart Integer that specifies the starting number.

The property is read/write with a default value of 1.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
HTML | N/A
Scripting | OL


start Property

Sets or retrieves when a video clip file should begin playing.

Syntax

HTML | <IMG START =sStart ... >
Scripting | img.start [ =sStart ]

Possible Values

sStart String that specifies one of the following values:
fileopen | Video begins as soon as it finishes loading.
mouseover | Video begins when the user moves the mouse over the animation.

The property is read/write with a default value of fileopen.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

The start property applies only to IMG objects with the DYNSRC attribute specified.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
HTML | N/A
Scripting | IMG


status Property

Sets or retrieves the message in the status bar at the bottom of the window.

Syntax

HTML | N/A
Scripting | window.status [ =sStatus ]

Possible Values

sStatus String that specifies the message.

The property is read/write with no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

Do not confuse the status property with the defaultStatus property. The defaultStatus property specifies the default message displayed in the status bar.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
HTML | N/A
Scripting | window


status Property

Sets or retrieves whether the check box or radio button is selected.

Syntax

HTML | N/A
Scripting | object.status [ = bStatus ]

Possible Values

bStatus Boolean that specifies one of the following values:
false | Control is not selected.
true | Control is selected.

The property is read/write with a default value of false.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Example

This example uses the status property to control a check box that is disabled by default.

Sample Code

<INPUT ID=oCheckbox TYPE=checkbox CHECKED DISABLED>
:
<SPAN onclick="oCheckbox.status=false"
    STYLE="font-weight:bold">I disagree</SPAN>.
<SPAN onclick="oCheckbox.status=true"
    STYLE="font-weight:bold">I agree</SPAN>.

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
INPUT TYPE=checkbox, INPUT TYPE=radio


STYLE Attribute

Sets an inline style for the element.

Syntax

HTML <ELEMENT STYLE =sStyle ... >

Possible Values

sStyle String that specifies the inline style.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

This attribute is not accessible through scripting. To access styles through scripting, use the style object.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ACRONYM, ADDRESS, APPLET, AREA, B, BIG, BLOCKQUOTE, BODY, BR, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, custom, DD, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, Hn, HR, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, ISINDEX, KBD, LABEL, LEGEND, LI, LISTING, MAP, MARQUEE, MENU, OBJECT, OL, P, PLAINTEXT, PRE, Q, RT, RUBY, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TR, TT, U, UL, VAR, XMP


systemLanguage Property

Retrieves the default language used by the system.

Syntax

HTML | N/A
Scripting | [ sLanguage = ] navigator.systemLanguage

Possible Values

sLanguage String that specifies any of the values described in Language Codes.

The property is read-only with a system-specific default.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
HTML | N/A
Scripting | clientInformation, navigator


TABINDEX Attribute | tabIndex Property

Sets or retrieves the index within the tab selection order of the object.

Syntax

HTML | <ELEMENT TABINDEX = iIndex ... >
Scripting | object.tabIndex [ = iIndex ]

Possible Values

iIndex Non-negative integer that specifies the tab index. To remove the object from the tab selection order, use -1.

The property is read/write with no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

The tabIndex value determines tab selection order as follows:

  1. All objects with a tabIndex greater than 0 are selected in increasing tab index order, or all objects with duplicate tabIndex values are selected in source order.
  2. All objects with a tabIndex equal to 0, or without tabIndex set, are selected next, in source order.
  3. Elements with a negative tabIndex are omitted from the tabbing order.

The valid range of values for the tabIndex property is -32767 to 32767.

The following elements can have focus and are tab stops by default: A, BODY, BUTTON, EMBED, FRAME, IFRAME, IMG, INPUT, ISINDEX, OBJECT, SELECT, TEXTAREA.

The following elements can have focus by default but are not tab stops; however, they can be set as tab stops: APPLET, DIV, FRAMESET, SPAN, TABLE, TD.

You can set the THEAD and TFOOT elements to participate in the tabbing sequence, but they do not highlight when receiving focus.

As of Internet Explorer 5, scoped elements support the tabIndex property and can have focus. These elements are not tab stops and do not have focus by default. Setting the tabIndex property to a valid positive integer makes the element a tab stop. The element can have focus if the tabIndex property is set to any valid negative or positive integer.

Elements that receive focus can fire the onblur and onfocus events as of Internet Explorer 4.0, and the onkeydown, onkeypress, and onkeyup events as of Internet Explorer 5.

Example

Sample Code

This example uses the tabIndex property to specify the tab order for three text fields, and removes the Submit button from the tab order by specifying a negative value.

<INPUT TYPE="text" TABINDEX="1">
<INPUT TYPE="text" TABINDEX="3">
<INPUT TYPE="text" TABINDEX="2">
<INPUT TYPE="submit" TABINDEX="-1">
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

This example uses the tabIndex property to assign a tab order to an unordered list. To cycle through the list's tab order, the user presses the TAB key. Since the list items can have focus, the focus rectangle surrounds each each item the user selects.

<UL>
  <LI TABINDEX="1">Item 1
  <LI TABINDEX="2">Item 2
  <LI TABINDEX="3">Item 3
  <LI TABINDEX="4">Item 4
  <LI TABINDEX="5">Item 5
</UL>
This feature requires Microsoft® Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ACRONYM, ADDRESS, APPLET, AREA, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, custom, DD, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, Hn, HR, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, ISINDEX, KBD, LABEL, LEGEND, LI, LISTING, MARQUEE, MARQUEE, MENU, OBJECT, OL, P, PLAINTEXT, PRE, Q, RT, RUBY, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP


table-layout Attribute | tableLayout Property

Sets or retrieves whether the table layout is fixed.

Syntax

HTML | { table-layout : sLayout }
Scripting | table.style.tableLayout[ = sLayout ]

Possible Values

sLayout String that specifies one of the following values:
auto | Column width is set by the widest unbreakable content in the column cells.
fixed | Table and column widths are set either by the sum of the widths on the COL objects or, if these are not specified, by the width of the first row of cells.

The property is read/write with a default value of auto; the cascading style sheets (CSS) attribute is not inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

You can optimize table rendering performance by specifying the tableLayout property. This property causes Internet Explorer to render the table one row at a time, providing users with information at a faster pace. The tableLayout property determines column widths for a table in the following order:

  1. By using information in the width property for the COL or COLGROUP element.
  2. By using information in the width property for the TD elements in the first row.
  3. By dividing the table columns equally, regardless of the size of the content.

If the content of a cell exceeds the fixed width of the column, the content is wrapped or, if wrapping is not possible, it is clipped. If the tableLayout property is set to fixed, the overflow property can be used to handle content that exceeds the width of a TD element. If the row height is specified, wrapped text is clipped when it exceeds the set height.

Setting the property to fixed significantly improves table rendering speed, particularly for longer tables.

Setting row height further improves rendering speed, again enabling the browser's parser to begin rendering the row without having to examine the content of each cell in the row to determine row height.

Example

This example uses the CSS attribute to set the table layout to fixed.

Sample Code

<TABLE STYLE="table-layout:fixed" WIDTH=600>
<COL WIDTH=100><COL WIDTH=300><COL WIDTH=200>
<TR HEIGHT=20>
<TD>...</TD><TD>...</TD><TD>...</TD>
</TR>
:
</TABLE>
This feature requires Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
currentStyle, runtimeStyle, style, TABLE

See Also

enhancing table presentation Internet Link, width


tagName Property

Retrieves the tag name of the object.

Syntax

HTML | N/A
Scripting | [ sName = ] object.tagName

Possible Values

sName String that specifies the tag name.

The property is read-only with no default value.

Example

This example retrieves the tag name of an object that has the identifier specified in the prompt window.

Sample Code

<SCRIPT>
var idValue = window.prompt("Get the tag with this ID:;
if (idValue != null) {
    alert(document.all[idValue].tagName)
}
</SCRIPT>

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ACRONYM, ADDRESS, APPLET, AREA, B, BASE, BASEFONT, BDO, BGSOUND, BIG, BLOCKQUOTE, BODY, BR, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, COMMENT, custom, DD, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, HEAD, Hn, HR, HTML, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LABEL, LEGEND, LI, LINK, LISTING, MAP, MARQUEE, MENU, META, NEXTID, NOBR, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, RT, RUBY, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TITLE, TR, TT, U, UL, VAR, XMP


tagUrn Property

Retrieves the Uniform Resource Name (URN) specified in the namespace declaration.

Syntax

HTML | N/A
Scripting | [ sUrn = ] object.tagUrn

Possible Values

sUrn String that specifies the URN in the namespace declaration, or the following value:
null Returned for standard HTML tags, or for custom tags that omit the namespace declaration.

The property is read-only with a default value of null.

Remarks

To declare the namespace in the document, use the XMLNS attribute of the HTML element.

Example

This example uses the values returned by the scopeName and tagUrn properties to create a simple HelloWorld custom tag. The browser's status bar displays the property values.

<HTML XMLNS:InetSDK='http://msdn.microsoft.com/workshop'>

<STYLE>
@media all {
   InetSDK\:HelloWorld { behavior:url (simple.htc) }
}
</STYLE>
<SCRIPT>
   function window.onload()
   {
      window.status = 'scopeName = ' + hello.scopeName +
                      '; tagUrn = '  + hello.tagUrn;
   }
</SCRIPT>
<BODY>
   <InetSDK:HelloWorld ID='hello'></InetSDK:HelloWorld>

</BODY>
</HTML>
This feature requires Microsoft® Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ACRONYM, ADDRESS, APPLET, AREA, B, BASE, BASEFONT, BDO, BGSOUND, BIG, BLOCKQUOTE, BODY, BR, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, COMMENT, custom, DD, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, HEAD, Hn, HR, HTML, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, ISINDEX, KBD, LABEL, LEGEND, LI, LINK, LISTING, MAP, MARQUEE, MENU, NEXTID, NOBR, NOFRAMES, NOSCRIPT, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, RT, RUBY, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TITLE, TR, TT, U, UL, VAR, WBR, XML, XMP

See Also

using custom tags in internet explorer Internet Link


TARGET Attribute | target Property

Sets or retrieves the window or frame at which to target the contents.

Syntax

HTML | <ELEMENT TARGET = sTarget ... >
Scripting | object.target [ = sTarget ]

Possible Values

sTarget String that specifies one of the following values:
_blank | Load the linked document into a new blank window. This window is not named.
_parent | Load the linked document into the immediate parent of the document the link is in.
_search | Load the linked document into the browser's search pane. Available in Internet Explorer 5 or later.
_self | Load the linked document into the same window the link was clicked in (the active window).
_top | Load the linked document into the topmost window.

The property is read/write with no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

If there is no frame or window that matches the specified target, a new window is opened for the link.

The default value for target depends on the URL and site. If the user does not leave the site, the default is _self, but if the user exits to a new site, the default is _top.

Example

This example uses the TARGET attribute to specify a link that loads the page into the topmost frame of the current frameset.

Sample Code

<A HREF="newpage.htm" TARGET="_top">Go to New Page.</A>

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

A, AREA, BASE, FORM


text Property

Sets or retrieves the text contained within the range.

Syntax

HTML | N/A
Scripting | TextRange.text [ =sTxt ]

Possible Values

sTxt String that specifies the contained text.

The property is read/write with no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

The text formats within the current context of the document. You cannot set this property while the document is loading. Wait for the onload event before attempting to set this property.

This feature might not be available on non-Win32® platforms. For the latest information about Microsoft® Internet Explorer cross-platform compatibility, see article q172976 Internet Link Non-MSDN link in the Microsoft Knowledge Base.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
HTML | N/A
Scripting | TextRange


TEXT Attribute | text Property

Sets or retrieves the text (foreground) color for the document body.

Syntax

HTML | <BODY TEXT = sColor ... >
Scripting | body.text [ = sColor ]

Possible Values

sColor String that specifies any of the color names or values in the Color Table.

The property is read/write with no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

Some browsers do not recognize color names, but all browsers should recognize RGB color values and display them correctly.

Example

This example uses the text property to change the text color of the body.

Sample Code

<BODY ID="oBody">
:
<BUTTON onmouseover="oBody.text='green'">GREEN</BUTTON>
<BUTTON onmouseover="oBody.text='red'">RED</BUTTON>
<BUTTON onmouseover="oBody.text='blue'">BLUE</BUTTON>

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

BODY


text Property

Retrieves the text of the block object as a string.

Syntax

HTML | N/A
Scripting | [ sTxt=]object.text

Possible Values

sTxt String that specifies the text.

The property is read-only with no default value.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
HTML | N/A
Scripting | SCRIPT, TITLE


text Property

Sets or retrieves the text string specified by the OPTION tag.

Syntax

HTML | N/A
Scripting | object.text [ = sTxt ]

Possible Values

sTxt String that specifies the text.

The property is read/write with no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

The text and value properties are distinct from one another. Changing the text property does not alter an existing value, which is set within the option.

Example

This example uses the text property to change the text string of each OPTION each time the user selects an option.

Sample Code

<SCRIPT>
function fnShow(){
    for(var i=0;i<oSel.options.length;i++){
        oSel.options[i].text+=" (slugs)";
}
}
function fnFlash(){
    var sQuery="";
    for(var i=0;i<oSel.options.length;i++){
        sQuery+=i + " - Value=" + oSel.options[i].value +
        " - Text=" + oSel.options[i].text + "\n";
    }
    alert(sQuery);
}
</SCRIPT>

<SELECT ID=oSel onchange="fnFlash()">
   <OPTION VALUE="US">Seattle
   <OPTION VALUE="FRANCE">Paris
   <OPTION VALUE="MEXICO">Cabo San Lucas
</SELECT>
<INPUT TYPE=button VALUE="Show Attractions" onclick="fnShow()">
This feature requires Microsoft® Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
HTML | N/A
Scripting | OPTION


text-align Attribute | textAlign Property

Sets or retrieves whether the text in the object is left-aligned, right-aligned, centered, or justified.

Syntax

HTML | { text-align: sAlign }
Scripting | object.style.textAlign [ = sAlign ]

Possible Values

sAlign String that specifies one of the following values:
left | Text is aligned to the left.
right | Text is aligned to the right.
center | Text is centered.
justify | Text is justified.

The property is read/write with a default value of left; the cascading style sheets (CSS) attribute is inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

The justify possible value is available as of Internet Explorer 4.0.

Because this property is inherited, all block-level objects inside a DIV object having textAlign=center are centered.

Example

This examples uses the text-align attribute and the textAlign property to align text within the object.

This example uses P as a selector and two classes to call an embedded style sheet that aligns the text according to the respective rule.

Sample Code

<STYLE>
    P { text-align:center }
    .align1 { text-align:right }
    .align2 { text-align:justify }
</STYLE>
</HEAD>
<BODY>
<P onclick= "this.className='align1'"
    ondblclick="this.className='align2'">
. . . </P>

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

This example uses inline scripting to change the alignment of the text when an onmouseover event occurs.

<P STYLE="font-size:14"
    onmouseover="this.style.textAlign='center'">
. . . </P>

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
BLOCKQUOTE, BODY, CENTER, currentStyle, DD, DIR, DIV, DL, DT, FIELDSET, FORM, Hn, HR, INPUT type=password, INPUT type=text, LI, LISTING, MARQUEE, MENU, OL, P, PLAINTEXT, PRE, runtimeStyle, style, TABLE, TD, TEXTAREA, TH, TR, UL, XMP


text-autospace Attribute | textAutospace Property

Sets or retrieves the autospacing and narrow space width adjustment of text.

Syntax

HTML | { text-autospace : sIdeograph }
Scripting | object.textAutospace [ = sIdeograph ]

Possible Values

sIdeograph String that specifies one of the following values:
none | No effect takes place—that is, no extra space is added.
ideograph-alpha | Creates extra spacing between runs of ideographic and non-ideographic text, such as Latin-based, Cyrillic, Greek, Arabic, or Hebrew text.
ideograph-numeric | Creates extra spacing between runs of ideographic text and numeric characters.
ideograph-parenthesis | Creates extra spacing between a normal (non-wide) parenthesis and an ideograph.
ideograph-space | Extends the width of the space character when it is adjacent to ideographs.

The property is read/write with a default value of none; the cascading style sheets (CSS) attribute is inherited.

Remarks

An ideograph is a character in the East Asian writing system that represents a concept or an idea, but not a particular word or phrase.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ACRONYM, ADDRESS, APPLET, AREA, B, BASE, BASEFONT, BDO, BGSOUND, BIG, BLOCKQUOTE, BODY, BR, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, COMMENT, custom, DD, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, HEAD, Hn, HR, HTML, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, ISINDEX, KBD, LABEL, LEGEND, LI, LINK, LISTING, MAP, MARQUEE, MENU, NEXTID, NOBR, NOFRAMES, NOSCRIPT, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, RT, RUBY, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, styleSheet, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TITLE, TR, TT, U, UL, VAR, WBR, XML, XMP


text-decoration Attribute | textDecoration Property

Sets or retrieves whether the text in the object has blink, line-through, overline, or underline decorations.

Syntax

HTML | { text-decoration: sDecoration }
Scripting | object.style.textDecoration [ = sDecoration ]

Possible Values

sDecoration String that specifies one or more of the following values:
none | Text has no decoration.
underline | Text is underlined.
overline | Text has a line over it.
line-through | Text has a line drawn through it.
blink | Not implemented.

The property is read/write with a default value of none (see the Remarks section); the cascading style sheets (CSS) attribute is not inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

The default value is different for the following tags:

  • Default value is underline for A when used with href, U, and INS.
  • Default value is line-through for STRIKE, S, and DEL.

If the value none is placed at the end of the values, all values are cleared. For example, setting {text-decoration: underline overline blink none} causes none of the decorations to render.

If the object has no text (for example, the IMG object in HTML) or is an empty object (for example, "<EM> </EM>"), this property has no effect.

If you set the text-decoration attribute to none on the BODY object, the A objects are still underlined. To remove the underline from the A objects, either set the style inline or use A as a selector in the global style sheet.

Specifying the textDecoration property for block elements affects all inline children. If it is specified for, or affects, an inline element, it affects all boxes generated by the element.

The overline and blink possible values are available as of Internet Explorer 4.0. Although blink is exposed, it is not rendered.

Example

The following examples use the text-decoration attribute and the textDecoration property to decorate text within the object.

This example uses an inline style sheet to draw a line through the text within the object.

Sample Code

<DIV STYLE="text-decoration:line-through">
:
</DIV>

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

This example uses inline scripting to underline the text within the SPAN object when the user moves the mouse over the SPAN.

<SPAN STYLE="font-size:14"
onmouseover=this.style.textDecoration="underline"
:
</SPAN>

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ADDRESS, B, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, currentStyle, custom, DD, DFN, DIR, DIV, DL, DT, EM, FIELDSET, FORM, Hn, HTML, I, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, ISINDEX, KBD, LABEL, LEGEND, LI, LISTING, MARQUEE, MENU, OL, P, PLAINTEXT, PRE, runtimeStyle, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP

See Also

textDecorationLineThrough, textDecorationNone, textDecorationOverline, textDecorationUnderline


textDecorationBlink Property

Property not implemented.

See Also

textDecoration


textDecorationLineThrough Property

Sets or retrieves whether the text in the object has a line drawn through it.

Syntax

HTML | N/A
Scripting | object.style.textDecorationLineThrough [ = bLineThrough ]

Possible Values

bLineThrough Boolean that specifies one of the following values:
true | Apply the line-through.
false | Prevent the line-through.

The property is read/write with no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Example

This example uses the textDecorationLineThrough property to draw a line through the text when the user clicks it with the mouse.

Sample Code

<P onclick="this.style.textDecorationLineThrough=true;">
Click this if you think it's unimportant.
</P>

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ADDRESS, B, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, custom, DD, DFN, DIR, DIV, DL, DT, EM, FIELDSET, FORM, Hn, HTML, I, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, ISINDEX, KBD, LABEL, LEGEND, LI, LISTING, MARQUEE, MENU, OL, P, PLAINTEXT, PRE, runtimeStyle, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP

See Also

textDecoration


textDecorationNone Property

Sets or retrieves whether the textDecoration property for the object has been set to none.

Syntax

HTML | N/A
Scripting | object.style.textDecorationNone [ =bDecoration ]

Possible Values

bDecoration Boolean that specifies one of the following values:
true | Property is set to none.
false | Property is not set to none.

The property is read/write with no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ADDRESS, B, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, custom, DD, DFN, DIR, DIV, DL, DT, EM, FIELDSET, FORM, Hn, HTML, I, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, ISINDEX, KBD, LABEL, LEGEND, LI, LISTING, MARQUEE, MENU, OL, P, PLAINTEXT, PRE, runtimeStyle, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP

See Also

textDecoration


textDecorationOverline Property

Sets or retrieves whether the text in the object has a line drawn over it.

Syntax

HTML | N/A
Scripting | object.style.textDecorationOverline [ = bOverline ]

Possible Values

bOverline Boolean that specifies one of the following values:
true | A line is drawn over the text.
false | A line is not drawn over the text.

The property is read/write with no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Example

This example uses the textDecorationOverline property to draw a line over the text when the user moves the mouse over the text.

Sample Code

<P onmouseover="this.style.textDecorationOverline=true;">
Mouse over this text for an overline.
</P>

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ADDRESS, B, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, custom, DD, DFN, DIR, DIV, DL, DT, EM, FIELDSET, FORM, Hn, HTML, I, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, ISINDEX, KBD, LABEL, LEGEND, LI, LISTING, MARQUEE, MENU, OL, P, PLAINTEXT, PRE, runtimeStyle, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP

See Also

textDecoration


textDecorationUnderline Property

Sets or retrieves whether the text in the object is underlined.

Syntax

HTML | N/A
Scripting | object.style.textDecorationUnderline [ = bUnderline ]

Possible Values

bUnderline Boolean that specifies one of the following values:
true | Apply the underline.
false | Prevent the underline.

The property is read/write with no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Example

This example uses the textDecorationUnderline property to underline the text when the user clicks the text with the mouse.

Sample Code

<P onclick="this.style.textDecorationUnderline=true;">
Click this if you think it's important.
</P>

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ADDRESS, B, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, custom, DD, DFN, DIR, DIV, DL, DT, EM, FIELDSET, FORM, Hn, HTML, I, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, ISINDEX, KBD, LABEL, LEGEND, LI, LISTING, MARQUEE, MENU, OL, P, PLAINTEXT, PRE, runtimeStyle, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP

See Also

textDecoration


text-indent Attribute | textIndent Property

Sets or retrieves the indentation of the text in the object.

Syntax

HTML | { text-indent: sIndent }
Scripting | object.style.textIndent [ = sIndent ]

Possible Values

sIndent String that specifies one of the following values:
length | Floating-point number, followed by an absolute units designator (cm, mm, in, pt, pc, or px) or a relative units designator (em or ex). For more information about the supported length units, see CSS Length Units.
percentage | Integer, followed by a %. This value is a percentage of the width of the parent object.

The property is read/write with a default value of 0; the cascading style sheets (CSS) attribute is inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

The property can be negative. An indent is not inserted in the middle of an object that was broken by another object (such as BR in HTML).

Example

The following examples use the text-indent attribute and the textIndent property to indent the object's text.

This example uses calls to an embedded style sheet to change the indent on the text when an onclick event occurs. The text was originally indented 2 centimeters using DIV as a selector in the style sheet.

Sample Code

<STYLE>
    DIV { text-indent:2cm }
    .click1 { text-indent:50% }
    .click2 { text-indent: }
</STYLE>
</HEAD>
<BODY>
<DIV onclick="this.className='click1'"
    ondblclick="this.className='click2'">
. . . </DIV>

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

This example uses inline scripting to indent the text within the DIV when an onmouseover event occurs.

<DIV onmouseover=this.style.textIndent="2cm"
:
</DIV>

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
BLOCKQUOTE, BODY, BUTTON, CENTER, currentStyle, DD, DFN, DIR, DIV, DL, DT, FIELDSET, FORM, Hn, HR, ISINDEX, LI, LISTING, MARQUEE, MENU, OL, P, PLAINTEXT, PRE, runtimeStyle, style, TABLE, TD, TH, TR, UL, XMP


text-justify Attribute | textJustify Property

Sets or retrieves the type of alignment used to justify text in the object.

Syntax

HTML | { text-justify: sAlign }
Scripting | object.style.textJustify [ = sAlign ]

Possible Values

sAlign String that specifies one of the following values:
inter-word | Aligns text by increasing spacing between words. This value's spacing behavior is the fastest way to make all lines of text equal in length. Its justification behavior does not affect the last line of the paragraph.
newspaper | Increases or decreases spacing between letters and between words. It is the most sophisticated form of justification for Latin alphabets.
distribute | Handles spacing much like the newspaper value. This form of justification is optimized for East Asian documents, particularly Thai.
distribute-all-lines | Justifies lines in the same way as the distribute value, except that it also justifies the last line of the paragraph. This form of justification is intended for ideographic text.
inter-ideograph | Provides full justification for ideographic text. It increases or decreases both inter-ideograph and inter-word spacing.
auto | Allows the browser user agent to determine which justification algorithm to apply.

The property is read/write with a default value of auto; the proposed cascading style sheets (CSS) extension attribute is not inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

For this property to affect text layout, the text-align property must be set to justify.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
ADDRESS, BLOCKQUOTE, BODY, CENTER, DD, DIR, DIV, DL, DT, FIELDSET, FORM, Hn, HR, LEGEND, LI, LISTING, MARQUEE, MENU, OL, P, PLAINTEXT, PRE, TABLE, TD, TH, TR, UL, XMP


text-transform Attribute | textTransform Property

Sets or retrieves the rendering of the text in the object.

Syntax

HTML | { text-transform: sTransform }
Scripting | object.style.textTransform [ = sTransform ]

Possible Values

sTransform String that specifies one of the following values:
none | Text is not transformed.
capitalize | Transforms the first character of each word to uppercase.
uppercase | Transforms all the characters to uppercase.
lowercase | Transforms all the characters to lowercase.

The property is read/write with a default value of none; the cascading style sheets (CSS) attribute is inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Example

The following examples use the text-transform attribute and the textTransform property to transform a block of text from lower case to upper case when the user moves the mouse over the text. The text transforms back to lower case when the user clicks the text.

This example uses three calls to an embedded (global) style sheet to transform the text.

Sample Code

<STYLE>
    .transform1 { text-transform:uppercase }
    .transform2 { text-transform:lowercase }
    .transform3 { text-transform:none }
</STYLE>
</HEAD>
<BODY>
<DIV STYLE="font-size:14"
    onmouseover="this.className='transform1'"
    onclick= "this.className='transform2'"
    ondblclick="this.className='transform3'">
:
</DIV>

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

This example uses inline scripting to transform the text when different mouse events occur.

<DIV STYLE="font-size:14"
    onmouseover="this.style.textTransform='uppercase'"
    onmouseout="this.style.textTransform='lowercase'"
    onclick="this.style.textTransform='none'">
:
</DIV>

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ADDRESS, B, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, currentStyle, custom, DD, DFN, DIR, DIV, DL, DT, EM, FIELDSET, FORM, Hn, HTML, I, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, ISINDEX, KBD, LABEL, LEGEND, LI, LISTING, MARQUEE, MENU, OL, P, PLAINTEXT, PRE, runtimeStyle, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP


tFoot Property

Retrieves the TFOOT object of the TABLE.

Syntax

HTML | N/A
Scripting | [ oTFoot = ] table.tFoot

Possible Values

oTFoot Object that specifies the TFOOT object.

The property is read-only with no default value.

Remarks

If no TFOOT exists, the value of the property is null.

Example

This example sets the color of the TFOOT object to blue.

Sample Code

document.all.myTable.tFoot.style.color = "blue"

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
HTML | N/A
Scripting | TABLE


tHead Property

Retrieves the THEAD object of the TABLE.

Syntax

HTML | N/A
Scripting | [ oTHead = ] table.tHead

Possible Values

oTHead Object that specifies the THEAD object.

The property is read-only with no default value.

Remarks

If no THEAD exists, the value for the property is null.

Example

This example sets the color of the THEAD object to blue.

Sample Code

document.all.myTable.tHead.style.color = "blue"

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
HTML | N/A
Scripting | TABLE


TITLE Attribute | title Property

Sets or retrieves the title of the style sheet.

Syntax

HTML | <LINK TITLE = sTitle ... >
Scripting | link.title [ =sTitle ]

Possible Values

sTitle String that specifies the title.

The property is read/write with no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

The title is a string used to identify a style sheet.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

LINK


TITLE Attribute | title Property

Sets or retrieves advisory information (a ToolTip) for the object.

Syntax

HTML | <ELEMENT TITLE = sTitle ... >
Scripting | object.title [ = sTitle ]

Possible Values

sTitle String that specifies the advisory text.

The property is read/write with no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

Internet Explorer renders the title as a ToolTip when the user hovers the mouse over the object.

Windows CE

In Microsoft® Windows® CE, ToolTips do not appear when a user hovers the mouse pointer over objects.

Example

This example uses the title property to display advisory text when the user hovers the mouse pointer over the text.

Sample Code

<SCRIPT>
function boldAdvise(src) {
    src.title="this is bold text";
    return;
    }
</SCRIPT>
:
<SPAN onmouseover="boldAdvise(this)">bold section</SPAN>

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ACRONYM, ADDRESS, APPLET, AREA, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CITE, CODE, COLGROUP, custom, DD, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FORM, FRAME, FRAMESET, Hn, HR, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LABEL, LEGEND, LI, LISTING, MAP, MARQUEE, MENU, OBJECT, OL, P, PLAINTEXT, PRE, Q, RT, RUBY, S, SAMP, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP

See Also

TITLE


toElement Property

Retrieves a reference to the object to which the user is moving the mouse pointer.

Syntax

HTML | N/A
Scripting | [ oObject = ] event.toElement

Possible Values

oObject Object that specifies the object being moved to by the mouse.

The property is read-only with no default value.

Example

This example uses the toElement property to display the tagName of the object to which the user moves the mouse pointer.

Sample Code

<SCRIPT>
function fnGetTo(){
   spanTo.innerHTML=window.event.toElement.tagName;
}

</SCRIPT>
:
<SPAN onmouseout="fnGetTo()">
   <P>Mouse Over This</P>
   <P>toElement: <SPAN ID="spanTo"></SPAN></P>
</SPAN>

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
HTML | N/A
Scripting | event


top Attribute | top Property

Sets or retrieves the position of the object relative to the top of the next positioned object in the document hierarchy.

Syntax

HTML | { top: sTop }
Scripting | object.style.top [ = sTop ]

Possible Values

sTop String that specifies one of the following values:
auto | Default position according to the regular HTML layout of the page.
length | Floating-point number, followed by an absolute units designator (cm, mm, in, pt, pc, or px) or a relative units designator (em or ex). For more information about the supported length units, see CSS Length Units.
percentage | Integer, followed by a %. This value is a percentage of the height of the parent object.

The property is read/write with a default value of auto; the CSS attribute is not inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

The top attribute should be used only when the position attribute is set; otherwise, the value of the top attribute is ignored.

Because the value of the top property is a string, you cannot use the property in script to calculate the position of the object in the document; instead, use the pixelTop or the posTop property.

For more information about how to access the dimension and location of objects on the page through the document object model, see measuring element dimension and location Internet Link.

Example

The following examples use the top attribute and the top property to change the position of the object.

This example uses an inline style to set the position of a DIV object.

Sample Code

<DIV STYLE="position:absolute;top:100px">
. . . </DIV>

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

This example uses inline script to change the position of the image set by an inline style. The change occurs during onmouseover and onmouseout events.

<IMG SRC="cone.jpg" STYLE="position:absolute;
    top:80px;" onmouseover="this.style.top='100px''"
    onmouseout="this.style.top='80px'" >

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ADDRESS, APPLET, B, BIG, BLOCKQUOTE, BUTTON, CENTER, CITE, CODE, currentStyle, custom, DD, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FORM, Hn, HR, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, ISINDEX, KBD, LABEL, LEGEND, LI, LISTING, MARQUEE, MENU, OBJECT, OL, P, PRE, runtimeStyle, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TABLE, TEXTAREA, TT, U, UL, VAR, XMP

See Also

pixelTop, posTop


top Property

Retrieves the topmost ancestor window, which is its own parent.

Syntax

HTML | N/A
Scripting | [ oTop = ] window.top

Possible Values

oTop String that specifies the topmost parent window.

The property is read-only with no default value.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
HTML | N/A
Scripting | window


top Property

Retrieves the top coordinate of the rectangle surrounding the object content.

Syntax

HTML | N/A
Scripting | [ iCoord = ] oTextRectangle.top

Possible Values

iCoord Integer that specifies the top coordinate of the rectangle, in pixels.

The property is read-only with no default value.

Remarks

Use this syntax to access the top coordinate of the second text rectangle of a TextRange object:

oRct = oTextRange.getClientRects();
oRct[1].top;

Note that the collection index starts at 0, so the second item index is 1.

To access the top coordinate of the bounding rectangle of an object, use this syntax:

oBndRct = oElement.getBoundingClientRect();
oBndRct.top;

Example

This example uses the getBoundingClientRect method to retrieve the coordinates of the bounds of the text rectangles within the element.

Sample Code

<SCRIPT>
function getCoords(oObject) {
    oBndRct=oObject.getBoundingClientRect();
    alert("Bounding rectangle = \nUpper left coordinates: "
        + oBndRct.left + " " + oBndRct.top +
        "\nLower right coordinates: "
        + oBndRct.right + " " + oBndRct.bottom);
}
</SCRIPT>
</HEAD>
<BODY>
<P ID=oPara onclick="getCoords(this)">

This feature requires Microsoft® Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
TextRectangle

See Also

TextRectangle Collection, TextRectangle Object, bottom, left, right


TOPMARGIN Attribute | topMargin Property

Sets or retrieves the margin for the top of the page.

Syntax

HTML | <BODY TOPMARGIN = iMargin ... >
Scripting | body.topMargin [ =iMargin ]

Possible Values

iMargin Integer that specifies the top margin of the body, in pixels.

The property is read/write with a default value of 15.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

If the value is set to "0" or "", the top margin is on the top edge of the window or frame.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

BODY

See Also

leftMargin


TRUESPEED Attribute | trueSpeed Property

Sets or retrieves whether the position of the marquee is calculated using the scrollDelay and scrollAmount properties and the actual time elapsed from the last clock tick.

Syntax

HTML | <MARQUEE TRUESPEED ... >
Scripting | marquee.trueSpeed [ =bSpeed ]

Possible Values

bSpeed Boolean that specifies one of the following values:
false | Marquee computes movement based on 60-millisecond ticks of the clock. This means every scrollDelay value under 60 is ignored, and the marquee advances the amount of scrollAmount each 60 milliseconds. For example, if scrollDelay is 6 and scrollAmount is 10, the marquee advances 10 pixels every 60 milliseconds.
true | Marquee advances the pixel value of scrollAmount by the number of milliseconds set for scrollDelay. For example, the marquee would advance 10 pixels for every 6 milliseconds if scrollDelay is 6, scrollAmount is 10, and the value of trueSpeed is true.

The property is read/write with a default value of false.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

The trueSpeed property indicates that the exact scrollDelay value specified is used to move the marquee text. If trueSpeed is false, all scrollDelay values of 59 or less are rounded up to 60 milliseconds.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

MARQUEE


TYPE Attribute | type Property

Sets or retrieves the style of the list.

Syntax

HTML | <ELEMENT TYPE = sType ... >
Scripting | object.type [ = sType ]

Possible Values

sType String that specifies one of the following values:
1 | Associate numbers with each item in an ordered list.
a | Associate lowercase letters with each item in an ordered list.
A | Associate uppercase letters with each item in an ordered list.
i | Associate Roman numerals with each item in an ordered list.
I | Associate Roman numerals with each item in an ordered list.
disc | Associate a solid disc with each item in an unordered list.
circle | Associate a hollow circle with each item in an unordered list.
square | Associate a solid square with each item in an unordered list.

The property is read/write with a default value of 1 for an ordered list and a default value of disc for an unordered list.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Example

This example uses the TYPE attribute to set the line item markers to lowercase Roman numerals.

Sample Code

<OL TYPE="i">
<LI>First Item
<LI>Second Item
<LI>Third Item
</OL>

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

LI, OL, UL


type Property

Retrieves the type of selection.

Syntax

HTML | N/A
Scripting | [ sType = ] selection.type

Possible Values

sType String that specifies one of the following values:
none | No selection/insertion point.
text | Text selection.
control | Control selection.

The property is read-only with no default value.

Remarks

The selection object is off the document object.

Example

This example uses the type property to create an alert that indicates the type of object selected by the user. If the user drags the mouse pointer over the text "Some text", the alert reads "Text". If the user drags the mouse pointer over the space to the right of the text, the alert reads "None".

Sample Code

<BODY onclick="alert(document.selection.type)">
Some text.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
HTML | N/A
Scripting | selection


TYPE Attribute | type Property

Retrieves the cascading style sheets (CSS) language in which the style sheet is written.

Syntax

HTML | <STYLE TYPE =sType ... >
Scripting | [ sType = ] object.type

Possible Values

sType String that specifies the CSS language of the style sheet.

The property is read-only with no default value.

Remarks

The property can be any string, including an empty string. Valid style sheets for Microsoft® Internet Explorer 4.0 are set to "text/css".

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

STYLE


TYPE Attribute | type Property

Retrieves the classification and default behavior of the button.

Syntax

HTML | <BUTTON TYPE =sType ... >
Scripting | [ sType = ] button.type

Possible Values

sType String that specifies one of the following values:
button | Creates a Command button.
reset | Creates a Reset button. If it's in a form, this button resets the fields in the form to their initial values.
submit | Creates a Submit button. If it's in a form, this button submits the form.

The property is read-only with a default value of button.

Remarks

A Submit button has the same default behavior as a button created using the submit type with the INPUT object. If a user presses the ENTER key while viewing a form that contains a Submit button, the form is submitted. This default behavior of a Submit button is indicated by a border surrounding the button. The border appears when any control within the form receives the focus, other than another button. If the Submit button has a name property, the button contributes a name/value pair to the submitted data.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

BUTTON


type Property

Retrieves the event name from the event object.

Syntax

HTML | N/A
Scripting | [ sType = ] event.type

Possible Values

sType String that specifies the event name.

The property is read-only with no default value.

Remarks

Events are returned without the "on" prefix. For example, the onclick event is returned as "click".

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
HTML | N/A
Scripting | event


TYPE Attribute | type Property

Sets or retrieves the MIME type of the object.

Syntax

HTML | <OBJECT TYPE =sType ... >
Scripting | object.type [ =sType ]

Possible Values

sType String that specifies the MIME type of the object.

The property is read/write with no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

MIME is an abbreviation for Multipurpose Internet Mail Extension, and is a set of enhancements used with Simple Mail Transfer Protocol (SMTP). Used together, MIME and SMTP allow Internet messages to include a mixture of audio, images, video, and text components, and accommodate a variety of international character sets.

When no CLASSID= attribute is specified for an object, the type property is used to retrieve the class identifier for the object.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

OBJECT

See Also

data


type Property

Retrieves the cascading style sheets (CSS) language in which the style sheet is written.

Syntax

HTML | N/A
Scripting | [ sType = ] styleSheet.type

Possible Values

sType String that specifies the CSS language of the style sheet.

The property is read-only with no default value.

Remarks

This property can be any string, including an empty string. Style sheets having any type other than "text/css" are not supported for Microsoft® Internet Explorer 4.0.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
HTML | N/A
Scripting | styleSheet


TYPE Attribute | type Property

Retrieves the type of intrinsic control represented by the object.

Syntax

HTML | <ELEMENT TYPE =sType ... >
Scripting | [ sType = ] object.type

Possible Values

sType String that specifies one of the following values:
INPUT | button | Creates a button control.
checkbox | Creates a checkbox for simple Boolean attributes or for attributes that can take multiple values at the same time. The input consists of a number of check box controls, each of which has the same name. Each selected check box generates a separate name/value pair in the submitted data, even if this results in duplicate names. The default value is on.
file | Creates a file upload object.
hidden | Creates a control hidden from the user, but the value of the value property is sent with the submitted form.
image | Creates an image control that can be clicked, causing the form to be immediately submitted. The coordinates of the selected point are measured in pixels from the upper-left corner of the image and are submitted with the form as two name/value pairs. The x-coordinate is submitted under the name of the control with .x appended, and the y-coordinate is submitted under the name of the control with .y appended. Any value property is ignored. The image is specified by the src property, exactly as for the IMG object.
password | Creates a control similar to the text control, except that text is not displayed as the user enters it.
radio | Creates radio buttons used for mutually exclusive sets of values. Each radio button control in the group should be given the same name. Only the selected radio button in the group generates a name/value pair in the submitted data. Radio buttons require an explicit value property.
reset | Creates a button that resets the form's controls to their specified initial values. You can specify the label to display on this button just as you can for the Submit button.
submit | Creates a button that submits the form. Use the value attribute to specify a label that cannot be edited and is displayed on the button. The default label is application-specific. If the user clicks the Submit button to submit the form, and that button has a name attribute specified, that button contributes a name/value pair to the submitted data.
text | Creates a single-line text-entry control. Use the value in conjunction with the size and maxLength properties.
SELECT | select-multiple | Creates a list box from which the user can select multiple items.
select-one | Creates a list box from which the user can select one item.
TEXTAREA | textarea | Creates multiple-line text-entry controls. Use this value with the size and maxLength properties.

The property is read-only with a default value of text for the INPUT element, select-one for the SELECT element, and textarea for the TEXTAREA element.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

As of Microsoft® Internet Explorer 5, the type property is read/write-once, but only before an INPUT element created with the createElement method is added to the document.

The SELECT element exposes only the type property.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, SELECT, TEXTAREA


TYPE Attribute | type Property

Retrieves the MIME type for the associated scripting engine.

Syntax

HTML | <SCRIPT TYPE =sType ... >
Scripting | [ sType = ] script.type

Possible Values

sType String that specifies one of the following values:
text/ecmascript | ECMAScript.
text/Jscript | JScript (compatible with ECMA 262 language specification).
text/javascript | JScript.
text/vbs | VBScript.
text/vbscript | VBScript (same as text/vbs).
text/xml | XML.

The property is read-only with no default value.

Remarks

The property can refer to any browser-supported scripting language specified in the Possible Values section.

To avoid conflict, match the type with the language type specified in the language property.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

SCRIPT


unicode-bidi Attribute | unicodeBidi Property

Sets or retrieves the level of embedding with respect to the bidirectional algorithm.

Syntax

HTML | { unicode-bidi:sEmbedLevel }
Scripting | object.unicodeBidi [ = sEmbedLevel ]

Possible Values

sEmbedLevel String that specifies one of the following values:
normal | Element does not open an additional level of embedding. For inline elements, implicit reordering works across element boundaries.
embed | Element opens an additional level of embedding. The value of the direction property specifies the embedding level. Reordering is implicit inside the element.
bidi-override | Same as the embed value, except that, inside the element, reordering is strictly in sequence according to the direction property. This value overrides the implicit bidirectional algorithm.

The property is read/write with a default value of normal; the cascading style sheets (CSS) attribute is inherited.

Remarks

The unicodeBidi property is used with the direction property.

The Unicode bidirectional algorithm automatically reverses embedded character sequences according to their inherent direction. For example, the base direction of an English document is left-to-right. If portions of a paragraph within the document contain a language with a right-to-left reading order, the direction of that language displays correctly right-to-left. The user agent applying the bidirectional algorithm correctly reverses the language direction.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ACRONYM, ADDRESS, AREA, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, currentStyle, custom, DD, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, Hn, I, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LABEL, LEGEND, LI, LISTING, MAP, MARQUEE, MENU, NOBR, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, RT, RUBY, runtimeStyle, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP


uniqueID Property

Retrieves an auto-generated, unique identifier for the object.

Syntax

HTML | N/A
Scripting | [ sID = ] object.uniqueID

Possible Values

sID String that specifies the unique identifier.

The property is read-only with no default value.

Remarks

When you apply this property to the document object, the browser automatically generates a new identifier that you can assign to an element's ID property.

A new ID is generated and assigned to the element the first time the property is retrieved. Every subsequent access to the property on the same element returns the same ID.

Note The unique identifier generated is not guaranteed to be the same every time the page is loaded.

Example

The following examples use the uniqueID property within an HTML Component (HTC) to assign a unique identifier to an element.

This example assigns a uniqueID to an element from within a behavior. Every time the setTimeout method is invoked, the behavior-defined tick() function is called. The uniqueID attaches the element to the tick() function defined in the behavior's namespace.

Sample Code

<PUBLIC:METHOD NAME="tick" />
<PUBLIC:METHOD NAME="startFly" />
<PUBLIC:PROPERTY NAME="from" />
<PUBLIC:PROPERTY NAME="fromX" />
<PUBLIC:PROPERTY NAME="fromY" />
<PUBLIC:PROPERTY NAME="delay" />
:
<SCRIPT LANGUAGE="jscript">
var currCount;
var flyCount;
var flying;
var msecs;
var oTop, oLeft;

msecs = 50;
flyCount = 20;
flying = false;

runtimeStyle.position = "relative";
runtimeStyle.visibility = "hidden";

window.attachEvent("onload", onload);

function onload()
{
  // delay commences from the window.onLoad event
  if (delay != "none")
  {
     window.setTimeout(uniqueID+".tick()", delay);
  }
}

function tick()
{
   if (flying == false)
   {
      startFly();
   }
   else
   {
      doFly();
   }
}
:
</SCRIPT>
This feature requires Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

This example uses the uniqueID property to show how the browser can auto-generate a unique ID for an element inserted into the page by a behavior.

<PUBLIC:ATTACH EVENT="onload" FOR="window" ONEVENT="init()" />
<SCRIPT LANGUAGE="JScript">

function init()
{
   // Specifying an ID=document.uniqueID ensures that a unique identifier
   // will be assigned to the element being inserted into the page by
   // the behavior.
   newTextAreaID = element.document.uniqueID;
   element.document.body.insertAdjacentHTML ("beforeEnd",
   "<P><TEXTAREA STYLE='height: 200 ;
     width: 350' ID= " + newTextAreaID + "></TEXTAREA></P>");
}
</SCRIPT>

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ACRONYM, ADDRESS, APPLET, AREA, B, BASE, BASEFONT, BGSOUND, BIG, BLOCKQUOTE, BODY, BR, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, COMMENT, DD, DEL, DFN, DIR, DIV, DL, document, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, HEAD, Hn, HR, HTML, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LABEL, LEGEND, LI, LINK, LISTING, MAP, MARQUEE, MENU, NOBR, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TITLE, TR, TT, U, UL, VAR, XMP

See Also

dhtml behaviors Internet Link, implementing behaviors in script Internet Link


UNITS Attribute | units Property

Sets or retrieves the height and width units of the EMBED object.

Syntax

HTML | <EMBED UNITS = sUnits ... >
Scripting | embed.units [ =sUnits ]

Possible Values

sUnits String that specifies one of the following values:
px | Height and width are in pixels. For more information about the supported length units, see CSS Length Units.
em | Height and width are relative to the height and width of the element's font. For more information about the supported length units, see CSS Length Units.

The property is read/write with no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

EMBED


updateInterval Property

Sets or retrieves the update interval for the screen.

Syntax

HTML | N/A
Scripting | screen.updateInterval [ =iInterval ]

Possible Values

iInterval Integer that specifies the update interval, in milliseconds.

The property is read/write with a default value of 0.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

The updateInterval property can be set to an integer value specifying the number of milliseconds between updates to the screen. A value of 0 disables the update interval.

The interval causes screen updates to be buffered and then drawn in the specified millisecond intervals. This limits excessive invalidations that reduce the overall painting performance, which can happen when too many flipbook-style animations occur at once.

Use this property judiciously; a value too small or too large adversely affects the page rendering response.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
HTML | N/A
Scripting | screen


URL Property

Sets or retrieves the URL for the current document.

Syntax

HTML | N/A
Scripting | document.URL [ =sURL ]

Possible Values

sURL String that specifies the URL.

The property is read/write with no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

The URL property is case-sensitive.

This property is an alias for the location. href property on the window.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
HTML | N/A
Scripting | document


URN Attribute | urn Property

Sets or retrieves a Uniform Resource Name (URN) for a target document.

Syntax

HTML | <A URN = sURN ... >
Scripting | a.urn [ =sURN ]

Possible Values

sURN String that specifies the URN.

The property is read/write with no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

URNs are an adjunct to Uniform Resource Locators (URL). URLs, the addresses used on the World Wide Web, usually specify a particular file on a particular machine, whereas URNs specify the identity of a resource, rather than its location.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

A

See Also

URL


USEMAP Attribute | useMap Property

Sets or retrieves the URL, often with a bookmark extension (#name), to use as a client-side image map.

Syntax

HTML | <IMG USEMAP = sURL ... >
Scripting | img.useMap [ = sURL ]

Possible Values

sURL String that specifies the URL of the image map.

The property is read/write with no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

The useMap property identifies the image as a client-side image map by associating a MAP object with the image. This MAP object contains AREA objects that define regions within the image. The user can click these regions to navigate to a designated URL.

You can dynamically assign the maps to the image through the useMap property.

Example

This example specifies map1 as the image map underlying image.gif. The map can be changed to another map, map2, by clicking the button.

Sample Code

<MAP NAME="map1">
<AREA NAME="area1" COORDS="0,0,40,40" HREF="doc1.htm"
    TARGET="frame1">
<AREA NAME="area2" COORDS="40,0,80,40" HREF="doc2.htm"
    TARGET="frame1">
<AREA NAME="area3" COORDS="10,40,40,80" HREF="doc3.htm"
    TARGET="frame1">
<AREA NAME="area4" COORDS="40,40,80,80" HREF="doc4.htm"
    TARGET="frame1">
</MAP>
:
<IMG USEMAP="#map1" ID=idImg SRC="image.gif">
:
<BUTTON onclick="idImg.useMap='#map2'">
    Change Maps</BUTTON>

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

IMG


userAgent Property

Retrieves a string equivalent to the HTTP user-agent request header.

Syntax

HTML | N/A
Scripting | [ sUserAgent = ] navigator.userAgent

Possible Values

sUserAgent String that specifies a valid HTTP user agent.

The property is read-only with a browser-specific default value.

Remarks

The HTTP user-agent request header contains information about compatibility, the browser, and the platform name. For more information about the browser, see the appName property. For more information about the platform, see the appVersion property.

The userAgent property returns a different value depending on the browser and platform versions. For example, Microsoft® Internet Explorer 4.01 returns the following string for Microsoft ® Windows® 95.

Mozilla/4.0 (compatible; MSIE 4.01; Windows 95)

Example

This example uses the userAgent property to specify a required platform before additional script is executed. For example, if Windows 95 is a requirement for the document, you can use a variable to determine whether the user is running the necessary operating system. The "bIs95" variable is set to true if Windows 95 is found in the userAgent value and the additional script is processed.

Sample Code

<SCRIPT>
var bIs95=false;
window.onload=fnInit;
function fnInit(){
   if(navigator.userAgent.indexOf("Windows 95")>-1){
      bIs95=true;
   }
   if(bIs95==true){
      // Process additional script.
   }
}
</SCRIPT>

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
clientInformation, navigator


userLanguage Property

Retrieves the current user language.

Syntax

HTML | N/A
Scripting | [ sLanguage = ] navigator.userLanguage

Possible Values

sLanguage String that specifies any of the possible return values listed in the Language Codes.

The property is read-only with a browser-specific default value.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
clientInformation, navigator


VALIGN Attribute | vAlign Property

Sets or retrieves whether the caption appears at the top or bottom of the TABLE.

Syntax

HTML | <CAPTION VALIGN =sAlign ... >
Scripting | caption.vAlign [ =sAlign ]

Possible Values

sAlign String that specifies one of the following values:
top | Places the caption at the top of the table.
bottom | Places the caption at the bottom of the table.

The property is read/write with a default value of top.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

CAPTION


VALIGN Attribute | vAlign Property

Sets or retrieves how text and other content are vertically aligned within the object that contains them.

Syntax

HTML | <ELEMENT VALIGN =sAlign ... >
Scripting | object.vAlign [ =sAlign ]

Possible Values

sAlign String that specifies one of the following values:
middle | Aligns the text in the middle of the object.
center | Aligns the text in the middle of the object.
baseline | Aligns the base line of the first line of text with the base lines in adjacent objects.
bottom | Aligns the text at the bottom of the object.
top | Aligns the text at the top of the object.

The property is read/write with a default value of middle.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

COL, COLGROUP, TBODY, TD, TFOOT, TH, THEAD, TR

See Also

verticalAlign


value Property

Sets or retrieves the value of the object.

Syntax

HTML | N/A
Scripting | object.value [ = sValue ]

Possible Values

sValue String that specifies the value of the object.

The property is read/write with no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Example

In this example, when the user clicks the text area, the alert displays the value "This is the value of a TEXTAREA".

Sample Code

<TEXTAREA onclick="alert(this.value)">
This is the value of a TEXTAREA.
</TEXTAREA>

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
TEXTAREA


VALUE Attribute | value Property

Sets or retrieves the value of the object.

Syntax

HTML | <ELEMENT VALUE = sValue ... >
Scripting | object.value [ = sValue ]

Possible Values

sValue String that specifies the value of an object or a FORM control. The purpose of the string depends on the type of control, as follows:
checkbox | The selected value. The control submits this value only if the user has selected the control. Otherwise, the control submits no value.
file | The value, a file name, typed by the user into the control. Unlike other controls, this value is read-only.
hidden | The control submits this value when the form is submitted.
OPTION | The selected value. The containing list box control submits this value only if the user has selected the option.
password | The default value. The control displays this value when it is first created and when the user clicks the reset button.
radio | The button label. If not set, the label defaults to "Reset".
reset | The selected value. The control submits this value only if the user has selected the control. Otherwise, the control submits no value.
submit | The button label. If not set, the label defaults to "Submit Query."
text | The default value. The control displays this value when it is first created and when the user clicks the reset button.

This property is read/write with a default value of on for the checkbox and radio objects, Submit Query for the submit object, and Reset for the reset object. All other objects have no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

The VALUE attribute of the PARAM object specifies a value passed to an APPLET, EMBED, or OBJECT object.

Example

This example sets the value for each option to an integer string (for example, a part number).

Sample Code

<SELECT>
<OPTION VALUE="123">Item One
<OPTION VALUE="456">Item Two
<OPTION VALUE="789">Item Three
</SELECT>

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
BUTTON, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, OPTION, PARAM


VALUE Attribute | value Property

Sets or retrieves the count of ordered lists as they progress.

Syntax

HTML | <LI VALUE = sValue ... >
Scripting | li.value [ = sValue ]

Possible Values

sValue String that specifies the count.

The property is read/write with no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Example

This example sets each line item's value to an integer string.

Sample Code

<OL>
<LI VALUE="1">One
<LI VALUE="2">Two
<LI VALUE="3">Three
</OL>

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

LI


VCARD_NAME Attribute | vcard_name Property

Sets or retrieves the vCard value of the object to use for the AutoComplete box.

Syntax

HTML | <ELEMENT VCARD_NAME = sVCard... >
Scripting | object.vcard_name [ = sVCard ]

Possible Values

sVCard String that specifies one or more of the following values:
vCard.Business.City | Business city mapped to the vCard.Business.City schema.
vCard.Business.Country | Business country mapped to the vCard.Business.Country schema.
vCard.Business.Fax | Business fax number mapped to the vCard.Business.Fax schema.
vCard.Business.Phone | Business telephone number mapped to the vCard.Business.Phone schema.
vCard.Business.State | Business state, province, or territory mapped to the vCard.Business.State schema.
vCard.Business.StreetAddress | Business street address mapped to the vCard.Business.StreetAddress schema.
vCard.Business.URL | Business Web site address mapped to the vCard.Business.URL schema.
vCard.Business.Zipcode | Business postal code number mapped to the vCard.Business.Zipcode schema.
vCard.Cellular | Cellular phone number mapped to the vCard.Cellular schema.
vCard.Company | Company name mapped to the vCard.Company schema.
vCard.Department | Company or agency department name mapped to the vCard.Department schema.
vCard.DisplayName | User-selected display name mapped to the vCard.DisplayName schema.
vCard.Email | E-mail address mapped to the vCard.Email schema.
vCard.FirstName | First name mapped to the vCard.FirstName schema.
vCard.Gender | Gender mapped to the vCard.Gender schema.
vCard.Home.City | Home city mapped to the vCard.Home.City schema.
vCard.Home.Country | Home country mapped to the vCard.Home.Country schema.
vCard.Home.Fax | Home fax number to the vCard.Home.FAX schema.
vCard.Home.Phone | Home telephone number to the vCard.Home.Phone schema.
vCard.Home.State | Home state, province, or territory mapped to the vCard.Home.State schema.
vCard.Home.StreetAddress | Home street address mapped to the vCard.Home.StreetAddress schema.
vCard.Home.Zipcode | Home postal code number mapped to the vCard.Home.Zipcode schema.
vCard.Homepage | Web page address mapped to the vCard.Homepage schema.
vCard.JobTitle | Company or agency job title mapped to the vCard.JobTitle schema.
vCard.LastName | Last name mapped to the vCard.LastName schema.
vCard.MiddleName | Middle name mapped to the vCard.MiddleName schema.
vCard.Notes | Additional notes mapped to the vCard.Notes schema.
vCard.Office | Office location mapped to the vCard.Office schema.
vCard.Pager | Pager number mapped to the vCard.Pager schema.

The property is read/write with no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

A vCard is a standards-based way to refer to common personal information about a user.

When a VCARD_NAME attribute is specified, the AutoComplete box is populated with mapped values from the Profile Assistant and any other submitted values stored for that domain. For example, if a user enters an e-mail address into a text field that exposes a VCARD_NAME attribute set to vCard.Email, AutoComplete suggests any e-mail information provided in the Profile Assistant. If the user submits a different e-mail address, the new information becomes available on that domain for other text fields with the same VCARD_NAME value.

If the VCARD_NAME attribute is not specified, the name of the text field is used to map the submitted information. However, information from the Profile Assistant is not used.

You can disable the AutoComplete feature by specifying no to the AUTOCOMPLETE attribute.

Even though you can map PASSWORD values for AutoComplete, the browser can disable the ability to store this information. When this occurs, the browser prompts the user for a confirmation before storing the value.

The object model and a Web page do not have access to information provided by the AutoComplete feature until the user selects one of the suggestions for the text field.

This property is not supported in html applications Internet Link.

Example

This example uses the VCARD_NAME attribute to map the value of the text field to the e-mail address specified by the Profile Assistant.

<INPUT
TYPE = text NAME= "CustomerEmail"
VCARD_NAME = "vCard.Email"
>

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
INPUT_password, INPUT_text

See Also

autocomplete in html forms Internet Link


vertical-align Attribute | verticalAlign Property

Sets or retrieves the vertical positioning of the object.

Syntax

HTML | { vertical-align: sAlign }
Scripting | object.style.verticalAlign [ = sAlign ]

Possible Values

sAlign String that specifies one of the following values:
baseline | Aligns the contents of an object supporting VALIGN to the base line.
sub | Vertically aligns the text to subscript.
super | Vertically aligns the text to superscript.
top | Vertically aligns the contents of an object supporting VALIGN to the top of the object.
middle | Vertically aligns the contents of an object supporting VALIGN to the middle of the object.
bottom | Vertically aligns the contents of an object supporting VALIGN to the bottom of the object.
text-top | Vertically aligns the text of an object supporting VALIGN to the top of the object.
text-bottom | Vertically aligns the text of an object supporting VALIGN to the bottom of the object.

The property is read/write with a default value of baseline; the cascading style sheets (CSS) attribute is not inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

The values sub and super are supported on text. The other values are supported for objects that support VALIGN.

Example

This example uses of the verticalAlign property to align text within a table cell.

Sample Code

 <TABLE BORDER width=100>
<TR>
    <TD onmouseover="this.style.verticalAlign='bottom'"
    onmouseout="this.style.verticalAlign=''">
    text to align</TD>
</TR>
</TABLE>

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
COL, currentStyle, custom, IMG, runtimeStyle, SPAN, style, TBODY, TD, TFOOT, TH, THEAD, TR


visibility Attribute | visibility Property

Sets or retrieves whether the content of the object is displayed.

Syntax

HTML | { visibility: sVisibility }
Scripting | object.style.visibility [ = sVisibility ]

Possible Values

sVisibility String that specifies one of the following values:
inherit | Object inherits the visibility of the next parent object.
visible | Object is visible.
hidden | Object is hidden.

The property is read/write with a default value of inherit; the cascading style sheets (CSS) attribute is not inherited unless the value is set to inherit.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

Unlike display:none, objects that are not visible still reserve the same physical space in the content layout as they would if they were visible. You can change the visibility through scripting to show and hide overlapping content based on user interaction. For a child object to be visible, the parent object also must be visible. For document style scripting information, see dynamic styles Internet Link.

Example

The following examples use the visibility attribute and the visibility property to determine whether the object is visible.

This example uses two calls to an embedded (global) style sheet to hide and then show the image when the user moves the mouse over and off the text.

Sample Code

<STYLE>
    .vis1 { visibility:visible }
    .vis2 { visibility:hidden }
</STYLE>
</HEAD>
<BODY>
<IMG ID="oSphere" SRC="sphere.jpg">
<P onmouseover="oSphere.className='vis2'"
   onmouseout="oSphere.className='vis1'">
   Move the mouse over this text to make the sphere
   disappear.</P>

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

This example uses a call to a function to hide the image.

<SCRIPT>
function disappear()
{
    oSphere.style.visibility="hidden";
    }
function reappear()
{
    oSphere.style.visibility="visible";
    }
</SCRIPT>
</HEAD>
<BODY>
<IMG SRC="sphere.jpeg" ID="oSphere">
Move the mouse over <SPAN ID="oTxt" onmouseover="disappear()"
    onmouseout="reappear()"> this text</SPAN>
    to see the sphere disappear.

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ADDRESS, APPLET, B, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, currentStyle, custom, DD, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FORM, Hn, HR, HTML, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, ISINDEX, KBD, LABEL, LEGEND, LI, LISTING, MARQUEE, MENU, OBJECT, OL, P, PRE, runtimeStyle, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP


visited Pseudo-class

Sets the style of the anchor for previously visited links.

Syntax

HTML | [A]:visited { attribute1:parameter1 [; attribute2:parameter2 [; . . .]] }
Scripting | N/A

Possible Values

attribute | Any attribute applicable to text.
parameter | Any of the range of values available to the corresponding attribute.

The default value is browser-specific.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

The visited pseudo-class often is used with the active, link, and hover pseudo-elements to define the various states of a link.

Using pseudo-classes on elements other than the A element has no effect.

Example

This example sets unvisited links to red and visited links to blue, and uses a colon (:) to specify a pseudo-class.

Sample Code

:link   { color: red }           // unvisited link
:visited  { color: blue }       // visited links

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
HTML | A
Scripting | N/A

See Also

active, hover, link


VLINK ATTRIBUTE | vLink Property

Sets or retrieves the color of links in the object that have already been visited.

Syntax

HTML | <BODY VLINK =sColor ... >
Scripting | body.vlink [ =sColor ]

Possible Values

sColor String that specifies one of the color names or values in the Color Table.

The property is read/write with no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

Some browsers do not recognize color names, but all browsers should recognize red-green-blue (RGB) color values and display them correctly.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

BODY

See Also

aLink, link, hover


vlinkColor Property

Sets or retrieves the color of the links that the user has visited.

Syntax

HTML | N/A
Scripting | document.vlinkColor [ =sColor ]

Possible Values

sColor String that specifies one of the color names or values in the Color Table.

The property is read/write with a default value of #800080.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

Some browsers do not recognize color names, but all browsers should recognize red-green-blue (RGB) color values and display them correctly.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
HTML | N/A
Scripting | document

See Also

alinkColor, linkColor


VOLUME Attribute | volume Property

Retrieves the volume setting for the sound.

Syntax

HTML | <BGSOUND VOLUME = iVolume ... >
Scripting | [ iVolume = ] bgsound.volume

Possible Values

iVolume Integer that specifies the volume setting. Valid values range from -10,000 to 0, with 0 being full Wave Output volume.

The property is read-only with no default value.

Remarks

The higher the setting, the louder the sound.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

BGSOUND


VSPACE Attribute | vspace Property

Sets or retrieves the vertical margin for the object.

Syntax

HTML | <ELEMENT VSPACE =iMargin ... >
Scripting | object.vspace [ =iMargin ]

Possible Values

iMargin Integer that specifies the vertical margin, in pixels.

The property is read/write with no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

This property is similar to border, except the margins don't have color when the object is a link.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.

APPLET, IFRAME, IMG, MARQUEE, OBJECT

See Also

hspace


WHITESPACE Attribute | whiteSpace Property

Property not implemented.

See Also

CSS Attributes


width Property

Retrieves the horizontal resolution of the screen.

Syntax

HTML | N/A
Scripting | [ iWidth = ] screen.width

Possible Values

iWidth Integer that specifies the width, in pixels.

The property is read-only with no default value.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
HTML | N/A
Scripting | screen

See Also

availWidth, height


WIDTH Attribute | width Property

Sets or retrieves the calculated width of the object.

Syntax

HTML | <ELEMENT WIDTH = sWidth ... >
Scripting | object.width [ = sWidth ]

Possible Values

sWidth String that specifies one of the following values:
width | Integer that specifies the width of the object, in pixels.
percentage | Integer, followed by a %. The value is a percentage of the width of the parent object.

This property is read/write for the IMG object and read-only for other objects. There is no default value.

Remarks

If you specify the width property of an IMG, but not the height property, the resulting height of the IMG is sized proportionally to the specified width property and the actual height, in pixels, of the source image file. Consider the following example:

Dimensions of image in source file (pixels): 100 X 50 (W X H)
Specified image width: 2in
Specified image height: not specified
Resulting image width: 2in
Resulting image height: 1in ((50/100) * 2 inches)

If you specify the width property of an IMG, and the height and width of the image in the source file are identical, the height of the image matches the width.

If you specify the height property and the width property of an IMG, the resulting image dimensions match the height and width specified.

Although you can specify the width as a percentage, this property always retrieves the width in pixels.

Example

This example sets the width of the image to 20 pixels regardless of the original size of the image.

Sample Code

<IMG SRC="large.gif" WIDTH="20">

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
COL, COLGROUP, EMBED, FRAME, HR, IMG, MARQUEE, OBJECT, TABLE, TD, TH, TR


width Attribute | width Property

Sets or retrieves the width of the object.

Syntax

HTML | { width: sWidth }
Scripting | object.style.width [ = sWidth ]

Possible Values

sWidth String that specifies one of the following values:
auto | Default width of the object.
width | Floating-point number, followed by an absolute units designator (cm, mm, in, pt, pc, or px) or a relative units designator (em or ex). For more information about the supported length units, see CSS Length Units.
percentage | Integer, followed by a %. The value is a percentage of the width of the parent object.

The property is read/write with a default value of auto; the cascading style sheets (CSS) attribute is not inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

If you specify the width property of an IMG, but not the height property, the resulting height of the IMG is sized proportionally to the specified width property and the actual height, in pixels, of the source image file. Consider the following example:

Dimensions of image in source file (pixels): 100 X 50 (W X H)
Specified image width: 2in
Specified image height: not specified
Resulting image width: 2in
Resulting image height: 1in ((50/100) * 2 inches)

If you specify the width property of an IMG, and the height and width of the image in the source file are identical, the height of the image matches the width.

If you specify the height property and the width property of an IMG, the resulting image dimensions match the height and width specified.

The width of a block object encompasses borderLeft, borderRight, paddingLeft, paddingRight, marginLeft, marginRight, and width—the sum of which equals the width of the parent's content.

Percentage values refer to the parent object's width. Negative values are not allowed.

To perform operations on the numeric value of this property, use pixelWidth or posWidth.

For more information about how to access the dimension and location of elements on the page through the document object model, see measuring element dimension and location Internet Link.

Example

The following examples use the width attribute and the width property to change the width of the object.

This example uses an inline style sheet to set the width of an image.

Sample Code

<DIV STYLE="position:absolute;top:10px;left:10px;width=1in">
. . . </DIV>

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

This example uses inline scripting to set the width of an image when an onclick event occurs.

<IMG SRC="sphere.jpg" onclick="this.style.width='1cm'"
    ondblclick="this.style.width=''">

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ACRONYM, ADDRESS, APPLET, AREA, B, BASE, BASEFONT, BIG, BLOCKQUOTE, BODY, BR, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, COMMENT, currentStyle, custom, DD, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, HEAD, Hn, HR, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LABEL, LEGEND, LI, LINK, MAP, MARQUEE, MENU, META, NEXTID, NOBR, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, RT, RUBY, runtimeStyle, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TITLE, TR, TT, U, UL, VAR


word-break Attribute | wordBreak Property

Sets or retrieves line-breaking behavior within words, particularly where multiple languages appear in the object.

Syntax

HTML | { word-break:sBreak }
Scripting | object.style.wordBreak [ = sBreak ]

Possible Values

sBreak String that specifies one of the following values:
normal | Allows line breaking within words.
break-all | Behaves the same as normal for Asian text, yet allows the line to break arbitrarily for non-Asian text. This value is suited to Asian text that contains some excerpts of non-Asian text.
keep-all | Does not allow word breaking for Chinese, Japanese, and Korean. Functions the same way as normal for all non-Asian languages. This value is optimized for text that includes small amounts of Chinese, Japanese, or Korean.

The property is read/write with a default value of normal; the proposed cascading style sheets (CSS) extension attribute is inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
ADDRESS, BLOCKQUOTE, BODY, CENTER, DD, DIR, DIV, DL, DT, FIELDSET, FORM, Hn, HR, LEGEND, LI, LISTING, MARQUEE, MENU, OL, P, PLAINTEXT, PRE, TABLE, TD, TH, TR, UL, XMP

See Also

lineBreak


word-spacing Attribute | wordSpacing Property

Sets or retrieves the amount of additional space between words in the object.

Syntax

HTML | { word-spacing: sSpacing }
Scripting | object.style.wordSpacing [ = sSpacing ]

Possible Values

sSpacing String that specifies one of the following values:
normal | Default spacing.
length | Floating-point number, followed by an absolute units designator (cm, mm, in, pt, pc, or px) or a relative units designator (em or ex). For more information about the supported length units, see CSS Length Units.

The property is read/write with a default value of normal; the cascading style sheets (CSS) attribute is inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

The word-spacing attribute is available only on the Macintosh, beginning with Internet Explorer 4.01.

The attribute adds the specified spacing after each word. Justification can influence word spacing.

The length value indicates an addition to the default space between words. Negative values are permitted.

Example

This example uses the word-spacing attribute and the wordSpacing property to increase the amount of space between words in a SPAN.

Sample Code

<STYLE>
   SPAN.spacing{word-spacing: 10;}
</STYLE>

<SCRIPT>
function fnChangeSpace(){
    oSpan.style.wordSpacing =
       oSelSpace.options[oSelSpace.selectedIndex].text;
}
</SCRIPT>

<SELECT ID = "oSelSpace" onchange = "fnChangeSpace()">
   <OPTION>10
   <OPTION>15
   <OPTION>20
</SELECT>
<SPAN ID = "oSpan" CLASS = "spacing">
The quick brown fox jumped over the lazy dog.
</SPAN>

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ADDRESS, B, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, custom, DD, DFN, DIR, DIV, DL, DT, EM, FIELDSET, FORM, Hn, HTML, I, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, ISINDEX, KBD, LABEL, LEGEND, LI, LISTING, MARQUEE, MENU, OL, P, PLAINTEXT, PRE, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP


WRAP Attribute | wrap Property

Sets or retrieves how to handle wordwrapping in the object.

Syntax

HTML | <TEXTAREA WRAP = sWrap ... >
Scripting | object.wrap [ = sWrap ]

Possible Values

sWrap String that specifies one of the following values:
soft | Text is displayed with wordwrapping and submitted without carriage returns and line feeds.
hard | Text is displayed with wordwrapping and submitted with soft returns and line feeds.
off | Wordwrapping is disabled. The lines appear exactly as the user types them.

The property is read/write with a default value of soft.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

To detect the difference between soft and hard you must submit the content within the TEXTAREA to an HTTP server.

Example

This example dynamically sets the wrap property of a TEXTAREA to the value selected by the user.

<SCRIPT>
function ChangeWrap(oSelect, oTA)
{
    cValue = oSelect.options(oSelect.selectedIndex).value;
    oTA.wrap = cValue;
}
</SCRIPT>
...
<SELECT ID=cboWrap onchange="ChangeWrap(this, txt1)">
<OPTION VALUE=soft>soft
<OPTION VALUE=hard>hard
<OPTION VALUE=off>off
</SELECT>
<P>
<TEXTAREA ID=txt1 STYLE="height:200;width:200"></TEXTAREA>

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
TEXTAREA


x Property

Retrieves the x-coordinate of the mouse pointer's position relative to the parent element.

Syntax

HTML | N/A
Scripting | [ iX = ] event.x

Possible Values

iX Integer that specifies the x-coordinate, in pixels.

The property is read-only with no default value.

Remarks

In browser versions earlier than Microsoft® Internet Explorer 5, the x property retrieves a coordinate relative to the client.

If the mouse is outside the window when the event is called, this property returns -1. If an element is absolutely positioned and fires a mouse event, or is not the child of an absolutely positioned element, the x property returns a coordinate relative to the BODY element.

Example

This example displays the current mouse position in the browser's status window.

Sample Code

<BODY onmousemove="window.status = 'X=' + window.event.x +
    ' Y=' + window.event.y">

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
event


XMLDocument Property

Retrieves a reference to the XML Document Object Model (DOM) exposed by the object.

Syntax

HTML | N/A
Scripting | [ oXMLObject = ] object.XMLDocument

Possible Values

oXMLObject Object that specifies a reference to the XML DOM exposed by the object.

The property is read-only with no default value.

Remarks

For a complete description of the XML DOM exposed by the XMLDocument property, see the xml dom reference Internet Link.

Example

This example uses the XMLDocument property to access the object model of an XML data island.

Sample Code

<SCRIPT>
function fnCheck(){
   var oNode = oMetaData.XMLDocument.selectSingleNode
       ("METADATA/ABSTRACT");
   alert(oNode.text);
}
</SCRIPT>

<XML ID="oMetaData">
  <METADATA>
     <AUTHOR>John Smith</AUTHOR>
     <GENERATOR>Visual Notepad</GENERATOR>
     <PAGETYPE>Reference</PAGETYPE>
     <ABSTRACT>Specifies a data island</ABSTRACT>
  </METADATA>
</XML>

<INPUT TYPE=button VALUE="Test" onclick="fnCheck()">

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
XML

See Also

persistence Internet Link


XMLNS Attribute

Declares a namespace for custom tags in an HTML document.

Syntax

HTML | <HTML XMLNS:sNamespace ... >
Script | N/A

Possible Values

sNamespace String that specifies the namespace used as a prefix to custom tags, or the following value:
urn Uniform Resource Name (URN) that uniquely identifies the namespace.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

The syntax for XMLNS is based on the W3C xml namespace spec Internet Link Non-MS link. Although the W3C draft allows you to declare namespaces on all tags, Internet Explorer supports namespace declaration only on the HTML tag.

You can declare multiple namespaces on the HTML tag, as the syntax below shows:

<HTML XMLNS:Prefix1 XMLNS:Prefix2="www.microsoft.com">

Example

This example shows how to declare a namespace when one of the default behaviors in Internet Explorer, clientCaps, is used as a custom tag in an HTML document. Note how you must add the declared namespace (in this case, MSIE) to the custom tag when it is defined.

This example also shows how the clientCaps behavior can be used to install the Internet Explorer Data Binding component, if the component does not already exist in the user's system.

Sample Code

<HTML XMLNS:MSIE>
<HEAD>
<STYLE>
@media all {
   MSIE\:clientCaps {behavior:url(#default#clientcaps);}
}
</STYLE>

<SCRIPT>
function window.onload()
{
   var bDataBindingAvailable  = false;
   var sDataBindingVersion = '';
   var sDataBindingID =
       "{333C7BC4-460F-11D0-BC04-0080C7055A83}";
   bDataBindingAvailable =
       oClientCaps.isComponentInstalled(sDataBindingID,"clsid");

   // if data binding is unavailable, install it
   if (!bDataBindingAvailable)
   {
      oClientCaps.addComponentRequest (sDataBindingID,
          "componentid");
      bDataBindingAvailable = oClientCaps.doComponentRequest();
   }
   :
}
</SCRIPT>
</HEAD>

<BODY BGCOLOR="#FFFFFF">
   :
   <MSIE:CLIENTCAPS ID="oClientCaps" />

   :
</BODY>
This feature requires Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
HTML

See Also

xml namespaces spec Internet Link Non-MS link


y Property

Retrieves the y-coordinate of the mouse pointer's position relative to the parent element.

Syntax

HTML | N/A
Scripting | [ iY = ] event.y

Possible Values

iY Integer that specifies the y-coordinate, in pixels.

The property is read-only with no default value.

Remarks

In browser versions earlier than Microsoft® Internet Explorer 5, the y property retrieves a coordinate relative to the client.

If the mouse is outside the window at the time the event fires, this property returns -1. If an element is absolutely positioned and fires a mouse event, or is not the child of an absolutely positioned element, the y property returns a coordinate relative to the BODY element.

Example

This example displays the current mouse position in the browser's status window.

Sample Code

<BODY onmousemove="window.status = 'X=' + window.event.x +
    ' Y=' + window.event.y">

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
event


z-index Attribute | zIndex Property

Sets or retrieves the stacking order of positioned objects.

Syntax

HTML | { z-index: vOrder }
Scripting | object.style.zIndex [ = vOrder ]

Possible Values

vOrder Variant that specifies one of the following values:
auto | String that specifies the stacking order of the positioned objects based on the order in which the objects appear in the HTML source.
order | Integer that specifies the position of the object in the stacking order.

The property is read/write with a default value of auto; the cascading style sheets (CSS) attribute is not inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see dynamic properties Internet Link.

Remarks

Positive z-index values are positioned above a negative (or lesser value) z-index. Two objects with the same z-index are stacked according to source order.

Example

The following examples use the z-index attribute and the zIndex property to change the stacking order of objects.

This example uses an inline style sheet to set the stacking order.

Sample Code

<IMG SRC="cone.jpg" STYLE="position:absolute;
    top:100; left:100; z-index:4">
<DIV STYLE="position:absolute; top:100; left:100;
    color:red; background-color:beige; font-weight:bold;
    z-index:1">
. . . </DIV>

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

This example uses inline scripting to set the stacking order.

<IMG ID="cone" SRC="cone.jpeg"
    STYLE="position:absolute;top:10px;left:10px;"
    onclick="cone.style.zIndex=1; sphere.style.zIndex=2">
<IMG ID="sphere" SRC="sphere.jpg"
    STYLE="position:absolute;top:1px;left:1px;"
    onclick="cone.style.zIndex=2; sphere.style.zIndex=1">

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
A, ADDRESS, APPLET, B, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, currentStyle, custom, DD, DFN, DIR, DIV, DL, DT, EM, FIELDSET, FORM, I, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, ISINDEX, KBD, LABEL, LEGEND, LI, LISTING, MARQUEE, MENU, OL, P, PLAINTEXT, PRE, runtimeStyle, S, SAMP, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP


Tips and Tricks

As with any type of programming, writing bug-free, efficient scripts that meet your expectations takes a bit of work. The following sections provide some tips and hints to make that work take less time and go more smoothly.

  • Checking the Internet Explorer Version Number
  • Canceling a Button Click
  • Preventing a Document From Being Cached
  • Using Objects
  • Replacing Custom Controls with Dynamic HTML

Checking the Internet Explorer Version Number

Your scripts should always check the version of the client browser so your content will degrade gracefully if the browser does not support the new features of Microsoft® Internet Explorer version 4 or later. The easiest way to identify whether the browser is Internet Explorer and determine its version number is to use the following JScript® (compatible with ECMA 262 language specification) function:

function msieversion()
// Return Microsoft Internet Explorer (major) version number, or 0 for others.
// This function works by finding the "MSIE " string and extracting the version number
// following the space, up to the decimal point for the minor version, which is ignored.
{
    var ua = window.navigator.userAgent
    var msie = ua.indexOf ( "MSIE " )
    if ( msie > 0 )        // is Microsoft Internet Explorer; return version number
        return parseInt ( ua.substring ( msie+5, ua.indexOf ( ".", msie ) ) )
    else
        return 0    // is other browser
}

This function runs on most browsers and returns either the major version number for any Microsoft Internet Explorer browser or zero for all other browsers. Use of this function ensures that the script will be compatible with future versions of Internet Explorer.

Scripts should always check version numbers greater than or equal to a target version so as to be compatible with future versions. Existing scripts that check for userAgent equal to "MSIE 3" should be changed to check the version correctly so that these scripts will recognize Internet Explorer 4.0, which supports all of the functionality of the previous version.

The following example shows how to correctly check the client browser version.

if ( msieversion() >= 4 )
    document.alert( "This is IE4 or later - safe to use all IE4 features" )
else if ( msieversion() >= 3 )
    document.alert( "This is IE3 - safe to use ActiveX" )
else
    document.alert( "This is not IE" )

Canceling a Button Click

The following HTML example shows a common scripting mistake related to event handling and canceling the default action.

<HTML>
<HEAD><TITLE>Canceling the Default Action</TITLE>
<SCRIPT LANGUAGE=
"JScript"> function askConfirm()
    { return window.confirm ("Choose OK to follow hyperlink, Cancel to
not.")
}

</SCRIPT> <BODYonload="b3.onclick=askConfirm">
<!-- Try links with different hookups - should be canceled by "Cancel" to confirm dialog. -->

<BR><A NAME=b1 HREF="http://www.microsoft.com" onclick="askConfirm()">1 Without return (won't work)</A>

<BR><A NAME=b2 HREF="http://www.microsoft.com" onclick="return askConfirm()">2 With return (works)</A>

<BR><A NAME=b3 HREF="http://www.microsoft.com">3 Function pointer (works)</A>

</BODY>
</HTML>

The first A element in this example does not work properly. Without the return in the onclick JScript expression, the browser interprets the function expression, throws away the resulting value, and leaves the default action unaffected.

The other A elements correctly bind the return value to the event, hence the default action can be canceled when false is returned.

Preventing a Document From Being Cached

You can prevent a document from being cached by adding the following META tag to the document.

<META HTTP-EQUIV="Expires" CONTENT="0">

Preventing the document from being cached ensures that a fresh copy of the document will always be retrieved from the site, even during the user's current session, regardless of how the user has set the browser's caching options. This is useful if the content of the document changes frequently.

Using Objects

Objects are ActiveX® Controls or other similar components that provide custom capabilities and services for HTML documents. You can add a control to your document by using the OBJECT element, and you can gain access to the capabilities and services of the control by using its properties and methods from script.

When using objects, be aware that Dynamic HTML extends every object by providing these additional properties:
align | classid | code
codeBase | codeType
data | form
height | name
object | recordset
type | width

If a control has properties with these same names, you will not be able to access the properties unless you preface the name with the object property. For example, assume that an ActiveX control is added to the document by using the following:

<OBJECT ID="MyControl" HEIGHT=100 WIDTH=200 CLASSID="clsid: ... ">
</PARAM NAME="width" VALUE="400">
</OBJECT>

In this example, there are two widths: an extended property set within the OBJECT element, and a property belonging to the control that is set using the PARAM element. To access these from script, you use the following code:

alert(MyControl.width);   // this is Dynamic HTML's property; displays "200"
alert(MyControl.object.width);  // this is the object's property; displays "400"

Replacing Custom Controls with Dynamic HTML

Dynamic HTML provides everything you need to generate animated effects without resorting to custom controls. For example, consider the following script, which is a replacement for the Path control.

var tickDuration;
tickDuration = 50;

var activeObjectCount;
var activeObjects;
var itemDeactivated;

var tickGeneration;

activeObjects = new Array();
activeObjectCount = 0;
timerRefcount = 0;
itemDeactivated = false;

tickGeneration = 0;

function initializePath(e) {
 e.waypointX = new Array();
 e.waypointY = new Array();
 e.duration = new Array();

}

function addWaypoint(e, number, x, y, duration) {
 e.waypointX[number] = x;
 e.waypointY[number] = y;
 e.duration[number] = duration;
}

function compact() {
  var i, n, c;

  n = new Array();
  c = 0;
  itemDeactivated = false;
  for (i=0; i<activeObjectCount; i++)  {
     if (activeObjects[i].active == true) {
        n[c] = activeObjects[i];
        c++;
     }
  }

  activeObjects = n;
  activeObjectCount = c;
}

function tick(generation) {

  if (generation < tickGeneration) {
    // alert("Error "+generation);
     return;
  }

  //alert("tick: "+generation);

  if (itemDeactivated)
     compact();

  if (activeObjectCount == 0) {
     return;
  }
  else {
    for (i=0; i<activeObjectCount; i++) {
      moveElement(activeObjects[i]);
    }

    window.setTimeout("tick("+generation+");", tickDuration);
  }
}

function start(e) {
  if (itemDeactivated)
     compact();

  activeObjects[activeObjectCount] = e;
  activeObjectCount++;

  if (activeObjectCount == 1) {
    tickGeneration++;
    tick(tickGeneration);
  }
}

function runWaypoint(e, startPoint, endPoint) {

  var startX, startY, endX, endY, duration;

  if (e.waypointX == null)
    return;

  startX = e.waypointX[startPoint];
  startY = e.waypointY[startPoint];
  endX = e.waypointX[endPoint];
  endY = e.waypointY[endPoint];

  duration = e.duration[endPoint];
  e.ticks = duration / tickDuration;

  e.endPoint = endPoint;
  e.active = true;
  e.currTick = 0;

  e.dx = (endX - startX) / e.ticks;
  e.dy = (endY - startY) / e.ticks;

  e.style.posLeft = startX;
  e.style.posTop = startY;

  start(e);
}

function moveElement(e) {
  e.style.posLeft += e.dx;
  e.style.posTop += e.dy;

  e.currTick++;

  if (e.currTick > e.ticks) {
    e.active = false;
    itemDeactivated = true;
    if (e.onpathcomplete != null) {
       window.pathElement = e;
       e.onpathcomplete()
    }
  }
}

To use this script in your document, do the following:

  1. Load the script by using the src attribute of the SCRIPT element.
  2. Initialize the paths by using the initializePath function.
  3. Set the way points by using the addWaypoint function.
  4. Set the path-complete handlers using the runWaypoint function.

The following sample document show how this works.

<html>

<body>

<div id=Item1 style="position: absolute; left: 0; top: 0;">Item1</div>
<div id=Item2 style="position: absolute; left: 0; top: 0;">Item2</div>
<div id=Item3 style="position: absolute; left: 0; top: 0;">Item3</div>
<div id=Item4 style="position: absolute; left: 0; top: 0;">Item4</div>
<div id=Item5 style="position: absolute; left: 0; top: 0;">Item5</div>
<div id=Item6 style="position: absolute; left: 0; top: 0;">Item6</div>

<input type=button value="Start" onclick="runWaypoint(Item1, 0, 1); runWaypoint(Item2, 0, 1);">
<div id=Debug>Generation</div>

<script src="htmlpath.js">
</script>

<script>

// need to call initializePath on all objects that will be moved with this mechanism
initializePath(Item1);
initializePath(Item2);
initializePath(Item3);
initializePath(Item4);
initializePath(Item5);
initializePath(Item6);

// the 0th waypoint is the intial position for waypoint #1
// syntax is item, waypoint, endx, endy, duration in msecs
addWaypoint(Item1, 0, 0, 0, 0);
addWaypoint(Item1, 1, 200, 200, 2000);

addWaypoint(Item2, 0, 100, 100, 0);
addWaypoint(Item2, 1, 400, 100, 4000);

addWaypoint(Item3, 0, 400, 400, 0);
addWaypoint(Item3, 1, 200, 100, 1000);

addWaypoint(Item4, 0, 0, 0, 0);
addWaypoint(Item4, 1, 200, 200, 2000);

addWaypoint(Item5, 0, 100, 100, 0);
addWaypoint(Item5, 1, 400, 100, 4000);

addWaypoint(Item6, 0, 400, 400, 0);
addWaypoint(Item6, 1, 200, 100, 1000);

function endfunction() {
  // syntax for runWaypoint is Item, start point, end point
  runWaypoint(Item3, 0, 1);
  runWaypoint(Item4, 0, 1);
  runWaypoint(Item5, 0, 1);
  runWaypoint(Item6, 0, 1);

}

function endfunction2() {
  runWaypoint(Item1, 0, 1);
}

Item1.onpathcomplete = endfunction;
Item6.onpathcomplete = endfunction2;

</script>
</body>
</html>

This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer


alpha Filter Members

Sets the level of opacity for the visual object.

Properties

enabled , finishOpacity , finishX , finishY , opacity , startX , startY , style


blendTrans Filter Members

Fades the visual object into or out of view.

Properties

duration , enabled , status

Methods

apply , play , stop


blur Filter Members

Causes the object to appear to be in motion.

Properties

add , direction , enabled , strength


chroma Filter Members

Selectively renders a specific color as transparent for the selected visual object.

Properties

color , enabled


dropShadow Filter Members

Paints a solid silhouette of the selected visual object, offset in the specified direction, thus creating the illusion that the visual object is floating above the page and is casting a shadow onto the page.

Properties

color , enabled , offX , offY , positive


flipH Filter Members

Renders the visual object as a mirror image of itself along the horizontal plane.

Properties

enabled


flipV Filter Members

Renders the visual object as a mirror image of itself along the vertical plane.

Properties

enabled


glow Filter Members

Adds radiance around the outside edges of the object, giving it the appearance of a glow.

Properties

color , enabled , strength


gray Filter Members

Drops the color information from the visual object's color palette, rendering the object in grayscale.

Properties

enabled


invert Filter Members

Reverses the hue, saturation, and brightness values of the visual object.

Properties

enabled


light Filter Members

Simulates the projection of a light source onto the selected visual object.

Properties

enabled

Methods

addAmbient , addCone , addPoint , changeColor , changeStrength , clear , moveLight


mask Filter Members

Takes the selected visual object, paints the transparent pixels a specific color, and makes a transparent mask from its nontransparent pixels.

Properties

color , enabled


redirect Filter Members

Converts the object into a DAImage object?that is, an image that can be manipulated using Microsoft® DirectAnimation®.

Properties

enabled

Methods

elementImage


revealTrans Filter Members

Shows or hides visual objects using one of 23 predefined transition effects.

Properties

duration , enabled , status , transition

Methods

apply , play , stop


shadow Filter Members

Paints a solid silhouette of the selected visual object along one of its edges, in the specified direction, creating the illusion of a shadow around the visual object.

Properties

color , direction , enabled


wave Filter Members

Performs a sine wave distortion of the visual display of the object along the vertical axis.

Properties

add , enabled , freq , lightStrength , phase , strength


xray Filter Members

Changes the color depth of the visual object, and renders the object in black and white, making the visual display look like a black-and-white x-ray.

Properties

enabled


alpha Filter

Sets the level of opacity for the visual object.

Syntax

HTML | <ELEMENT STYLE = "filter: alpha(sProperties)" ... >
Scripting | object.style.filter = "alpha(sProperties)"

Possible Values

sProperties String that specifies one or more properties exposed by the filter.

Remarks

You can set the opacity as uniform or graded, in a linear or radial fashion.

Members

alpha Members

Example

This example uses the alpha filter and the opacity property to change the appearance of a button.

Sample Code

<STYLE>
   INPUT.aFilter {filter: alpha(opacity=50);}
</STYLE>

<INPUT TYPE=button VALUE="Button" CLASS="aFilter">

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
BODY, BUTTON, DIV, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, MARQUEE, runtimeStyle, SPAN, style, TABLE, TD, TEXTAREA, TH


blendTrans Filter

Fades the visual object into or out of view.

Syntax

HTML | <ELEMENT STYLE = "filter: blendTrans(sProperties)" ... >
Scripting | object.style.filter = "blendTrans(sProperties)"

Possible Values

sProperties String that specifies one or more properties exposed by the filter.

Remarks

This attribute is not inherited.

Members

blendTrans Members

Example

This example uses the blendTrans filter to fade a DIV into and out of view.

Sample Code

<HEAD>
<SCRIPT>
function fadeOut() {
    oDiv.style.filter="blendTrans(duration=2)";
    // make sure filter is not already playing
    if (oDiv.filters.blendTrans.status != 2) {
        oDiv.filters.blendTrans.apply();
        oDiv.style.visibility="hidden";
        oDiv.filters.blendTrans.play();
    }
}
function fadeIn() {
    oDiv.style.filter="blendTrans(duration=2)";
    // make sure filter is not already playing
    if (oDiv.filters.blendTrans.status != 2) {
        oDiv.filters.blendTrans.apply();
        oDiv.style.visibility="visible";
        oDiv.filters.blendTrans.play();
    }
}
</SCRIPT>
</HEAD>

<BODY>
<!-- DIV must be assigned a width to give it layout -->
<DIV ID="oDiv" STYLE="width: 200">
This text can be faded in and out.
</DIV>
<P>
<BUTTON onclick="fadeOut()">Fade Text Out</BUTTON>
<BUTTON onclick="fadeIn()">Fade Text In</BUTTON>
</P>
</BODY>
This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
BODY, BUTTON, DIV, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, MARQUEE, runtimeStyle, SPAN, style, TABLE, TD, TEXTAREA, TH


blur Filter

Causes the object to appear to be in motion.

Syntax

HTML | <ELEMENT STYLE = "filter: blur(sProperties)" ... >
Scripting | object.style.filter = "blur(sProperties)"

Possible Values

sProperties String that specifies one or more properties exposed by the filter.

Members

blur Members

Example

This example uses the blur filter to make the text appear out of focus, as if it were moving.

Sample Code

<STYLE>
   DIV.aFilter {filter: blur(Strength=5,Direction=90);}
</STYLE>

<DIV CLASS="aFilter" STYLE="width:200">
Blurred Text
</DIV>

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
BODY, BUTTON, DIV, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, MARQUEE, runtimeStyle, SPAN, style, TABLE, TD, TEXTAREA, TH


chroma Filter

Selectively renders a specific color as transparent for the selected visual object.

Syntax

HTML | <ELEMENTSTYLE = "filter: chroma(sProperties)" ... >
Scripting | object.style.filter = "chroma(sProperties)"

Possible Values

sProperties String that specifies one or more properties exposed by the filter.

Remarks

This effect is not recommended for use with files that have been dithered from 24 bits to 8 bits. In particular, JPEG files, which are dithered and compressed, do not produce an entirely solid chromakey color, resulting in uneven effects.

Chromakey does not work well on antialiased sources, in which sharp lines are smoothed by blending the colors of surrounding pixels.

Certain chromakey color cause some transparent colors to become opaque.

Members

chroma Members

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
BODY, BUTTON, DIV, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, MARQUEE, runtimeStyle, SPAN, style, TABLE, TD, TEXTAREA, TH


dropShadow Filter

Paints a solid silhouette of the selected visual object, offset in the specified direction, thus creating the illusion that the visual object is floating above the page and is casting a shadow onto the page.

Syntax

HTML | <ELEMENTSTYLE = "filter: dropShadow(sProperties)" ... >
Scripting | object.style.filter = "dropShadow(sProperties)"

Possible Values

sProperties String that specifies one or more properties exposed by the filter.

Remarks

To retain the usual shadow effect on a transparent object, set the positive property to 0. This causes the drop shadow to appear outside the transparent region, rather than inside.

Members

dropShadow Members

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
DIV, MARQUEE, runtimeStyle, SPAN, style, TABLE, TD, TH


flipH Filter

Renders the visual object as a mirror image of itself along the horizontal plane.

Syntax

HTML | <ELEMENTSTYLE = "filter: flipH" ... >
Scripting | object.style.filter = "flipH"

Members

flipH Members

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
BODY, BUTTON, DIV, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, MARQUEE, runtimeStyle, SPAN, style, TABLE, TD, TEXTAREA, TH


flipV Filter

Renders the visual object as a mirror image of itself along the vertical plane.

Syntax

HTML | <ELEMENTSTYLE = "filter: flipV" ... >
Scripting | object.style.filter = "flipV"

Members

flipV Members

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
BODY, BUTTON, DIV, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, MARQUEE, runtimeStyle, SPAN, style, TABLE, TD, TEXTAREA, TH


glow Filter

Adds radiance around the outside edges of the object, giving it the appearance of a glow.

Syntax

HTML | <ELEMENT STYLE = "filter: glow(sProperties)" ...>
Scripting | object.style.filter = "glow(sProperties)"

Possible Values

sProperties String that specifies one or more properties exposed by the filter.

Members

glow Members

Example

This example uses the glow filter to add a blue-colored glow to text within a DIV element.

Sample Code

<STYLE>
   DIV.aFilter {filter: glow(Color=blue,Strength=5); width: 150;}
</STYLE>

<DIV CLASS="aFilter">
Glowing Text
</DIV>

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
BODY, BUTTON, DIV, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, MARQUEE, runtimeStyle, SPAN, style, TABLE, TD, TEXTAREA, TH


gray Filter

Drops the color information from the visual object's color palette, rendering the object in grayscale.

Syntax

HTML | <ELEMENTSTYLE = "filter: gray" ... >
Scripting | object.style.filter = "gray"

Members

glow Members

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
BODY, BUTTON, DIV, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, MARQUEE, runtimeStyle, SPAN, style, TABLE, TD, TEXTAREA, TH


invert Filter

Reverses the hue, saturation, and brightness values of the visual object.

Syntax

HTML | <ELEMENTSTYLE = "filter: invert" ... >
Scripting | object.style.filter = "invert"

Members

glow Members

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
BODY, BUTTON, DIV, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, MARQUEE, runtimeStyle, SPAN, style, TABLE, TD, TEXTAREA, TH


light Filter

Simulates the projection of a light source onto the selected visual object.

Syntax

HTML | <ELEMENT STYLE = "filter: light(sProperties)" ... >
Scripting | object.style.filter = "light(sProperties)"

Possible Values

sProperties String that specifies one or more properties exposed by the filter.

Remarks

By setting or changing the properties of the light filter, you can control the virtual position of the light source. You also can control the x and y coordinates of the light's focus, as well as the light's type (point or cone), color, and intensity. The maximum number of lights available to each visual filter control is 10. To add more than 10 lights to your page, you must use multiple visual filter controls.

When a light effect is created, it has a default ambient light associated with it. The first light you add to the object replaces this default ambient light.

You can associate only one object per light effect. To light several different objects (for example, a text phrase and a bitmap image), you must use a separate instance of the light filter effect for each object. However, if you combine several objects into a single object by using a DIV element, you can use one light object to light the combined object.

Members

light Members

Example

This example uses the light filter and the addCone method to apply a red cone filter to a DIV element.

Sample Code

<STYLE>
   .aFilter {background-color: #FFFFFF; filter: light();
             color: #000000;
             width: 150;}
</STYLE>
<SCRIPT>
window.onload=fnInit;
function fnInit(){
   var iX2=oDiv.offsetWidth/2;
   var iY2=oDiv.offsetHeight;
   oDiv.filters[0].addCone(0,0,1,iX2,iY2,255,0,0,20,60);
}
</SCRIPT>
<DIV CLASS="aFilter" ID="oDiv">
This text is highlighted by a red cone light.
</DIV>

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
BODY, BUTTON, DIV, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, MARQUEE, runtimeStyle, SPAN, style, TABLE, TD, TEXTAREA, TH


mask Filter

Takes the selected visual object, paints the transparent pixels a specific color, and makes a transparent mask from its nontransparent pixels.

Syntax

HTML | <ELEMENT STYLE = "filter: mask(sProperties)" ... >
Scripting | object.style.filter = "mask(sProperties)"

Possible Values

sProperties String that specifies one or more properties exposed by the filter.

Members

mask Members

Example

This example uses the mask filter and the color property to make a magenta mask of the DIV—that is, all transparent pixels are colored magenta and all nontransparent pixels are made transparent.

Sample Code

<STYLE>
   DIV.aFilter {filter: mask(color=#FF00FF); width: 150;}
</STYLE>

<DIV CLASS="aFilter">
This text is masked.
</DIV>

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
BODY, BUTTON, DIV, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, MARQUEE, runtimeStyle, SPAN, style, TABLE, TD, TEXTAREA, TH


redirect Filter

Converts the object into a DAImage object—that is, an image that can be manipulated using Microsoft® DirectAnimation®.

Syntax

HTML | <ELEMENT STYLE = "filter: redirect(sProperties)" ... >
Scripting | object.style.filter = "redirect(sProperties)"

Possible Values

sProperties String that specifies one or more properties exposed by the filter.

Remarks

Any changes made to the specified object are reflected in the DirectAnimation version as well.

Members

redirect Members

Example

Note This example requires the DirectAnimation browser component.

This example uses the redirect filter and a 2-D transformation to convert a DIV object, which contains text and an image, into a DirectAnimation image that rotates continuously.

Sample Code

<BODY>
<OBJECT ID="DAControl"
    STYLE="position:absolute; left:200; top:125; width:350; height:300;
        z-index: -1"
    CLASSID="CLSID:B6FFC24C-7E13-11D0-9B47-00C04FC2F51D">
</OBJECT>

<DIV ID="oDiv" STYLE="WIDTH:250; FILTER:redirect">
    <H2>This is the DIV after being converted into an image.</H2>
    <P><IMG SRC="sphere.jpg"></P>
</DIV>

<SCRIPT LANGUAGE="JScript">

    // The DirectAnimation library
    oLib = DAControl.MeterLibrary;

    // get the filter
    oFilter = oDiv.filters[0];

    // grab the image converted by the filter
    oImage = oFilter.elementImage();

    // perform the image transformation
    DAControl.Image = oImage.Transform(oLib.Rotate2RateDegrees(30)) ;
    DAControl.Start();

</SCRIPT>
</BODY>
This feature requires Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
BODY, BUTTON, DIV, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, MARQUEE, runtimeStyle, SPAN, style, TABLE, TD, TEXTAREA, TH

See Also

microsoft directanimation sdk Internet Link Non-MSDN link


revealTrans Filter

Shows or hides visual objects using one of 23 predefined transition effects.

Syntax

HTML | <ELEMENT STYLE = "filter: revealTrans(sProperties)" ... >
Scripting | object.style.filter = "revealTrans(sProperties)"

Possible Values

sProperties String that specifies one or more properties exposed by the filter.

Remarks

For a list of the 23 predefined transitions that can be used with the revealTrans filter, see the transition property.

Members

revealTrans Members

Example

This example uses the revealTrans filter to reveal and conceal objects using two different types of transitions.

Sample Code

<SCRIPT>
function go() {
    C1.filters[0].Apply();

if (C1.style.visibility == "visible") {
        C1.style.visibility = "hidden";
    C1.filters.revealTrans.transition=2;
    }
    else {
        C1.style.visibility = "visible";
    C1.filters[0].transition=3;
    }
    C1.filters[0].Play();
}
</SCRIPT>
<INPUT TYPE=BUTTON VALUE="Play Transistion" onClick="go();"></INPUT>
<SPAN ID=C1 Style="position:absolute;Visibility:visible;Filter:revealTrans
    (duration=2, transition=3);width:300;height:300;
    background-color: lightgreen">
<CENTER>
<DIV style="background-color=red;height=100;width:100;position:relative;
    top:100">
</DIV>
</CENTER>
</SPAN>

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
BODY, BUTTON, DIV, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, MARQUEE, runtimeStyle, SPAN, style, TABLE, TD, TEXTAREA, TH


shadow Filter

Paints a solid silhouette of the selected visual object along one of its edges, in the specified direction, creating the illusion of a shadow around the visual object.

Syntax

HTML | <ELEMENT STYLE = "filter: shadow(sProperties)" ... >
Scripting | object.style.filter = "shadow(sProperties)"

Possible Values

sProperties String that specifies one or more properties exposed by the filter.

Members

shadow Members

Example

This example uses the shadow filter to add a shadow effect to the text.

Sample Code

<STYLE>
   DIV.aFilter {filter: shadow(color=#0000FF,direction=45); width: 150; color: FF0000;}
</STYLE>

<DIV CLASS="aFilter">
This red text is displayed with a 45-degree blue shadow.
</DIV>

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
BODY, BUTTON, DIV, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, MARQUEE, runtimeStyle, SPAN, style, TABLE, TD, TEXTAREA, TH


wave Filter

Performs a sine wave distortion of the visual display of the object along the vertical axis.

Syntax

HTML | <ELEMENT STYLE = "filter: wave(sProperties)" ... >
Scripting | object.style.filter = "wave(sProperties)"

Possible Values

sProperties String that specifies one or more properties exposed by the filter.

Members

wave Members

Example

This example uses the wave filter to render text along a sine wave.

Sample Code

<STYLE>
   DIV.aFilter {filter: wave(
     strength=8,
     freq=3,
     lightstrength=20,
     add=0,
     phase=90);
     width: 150; color: #FF0000;}
</STYLE>

<DIV CLASS="aFilter">
This red text is displayed along a sine wave.
</DIV>

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
BODY, BUTTON, DIV, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, MARQUEE, runtimeStyle, SPAN, style, TABLE, TD, TEXTAREA, TH


xray Filter

Changes the color depth of the visual object, and renders the object in black and white, making the visual display look like a black-and-white x-ray.

Syntax

HTML | <ELEMENT STYLE = "filter: xray" ... >
Scripting | object.style.filter = "xray"

Members

mask Members

Example

This example uses the xray filter to render colored text in grayscale.

Sample Code

<STYLE>
   DIV.aFilter {filter: xray; width: 150; color: #FF0000;}
</STYLE>

<DIV CLASS="aFilter">
This red text is displayed in grayscale.
</DIV>

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
BODY, BUTTON, DIV, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, MARQUEE, runtimeStyle, SPAN, style, TABLE, TD, TEXTAREA, TH


addAmbient Method

Adds an ambient light to the light filter effect object.

Syntax

object.filters.light.addAmbient(iRed, iGreen, iBlue, iStrength)

Parameters

iRed | Required. Integer that specifies the red value, ranging from 0 (lowest saturation) to 255 (highest saturation).
iGreen | Required. Integer that specifies the green value, ranging from 0 (lowest saturation) to 255 (highest saturation).
iBlue | Required. Integer that specifies the blue value, ranging from 0 (lowest saturation) to 255 (highest saturation).
iStrength | Required. Integer that specifies the intensity of the light filter, with values ranging from 0 (lowest intensity) to 100 (highest intensity). The intensity specified pertains to the target coordinates.

Return Value

No return value.

Remarks

Ambient light is nondirectional and sheds parallel beams perpendicular to the surface of the page. Ambient light has color and strength values that add more color to the object; it is often used with other lights.

This example uses the addAmbient method to create a blue ambient light with a low intensity.

<STYLE>
   .aFilter {background-color: #FFFFFF; filter: light();
             color: #000000;
             width: 150;}
</STYLE>
<SCRIPT>
function init()
{
   :
   oDiv.filters.light.addAmbient(0,0,255,10);
   :
}
</SCRIPT>
<DIV CLASS="aFilter" ID="oDiv" onload="init()">
  This text is applied with a low-intensity light filter.
</DIV>

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
light


addCone Method

Adds a cone light to the light filter effect object to cast a directional light on the page.

Syntax

object.filters.light.addCone(iX1, iY1, iZ1, iX2, iY2, iRed, iGreen, iBlue,
    iStrength, iSpread)

Parameters

iX1 | Required. Integer that specifies the left coordinate of the light source.
iY1 | Required. Integer that specifies the top coordinate of the light source.
iZ1 | Required. Integer that specifies the z-axis level of the light source.
iX2 | Required. Integer that specifies the left coordinate of the target light focus.
iY2 | Required. Integer that specifies the top coordinate of the target light focus.
iRed | Required. Integer that specifies the red value, ranging from 0 (lowest saturation) to 255 (highest saturation).
iGreen | Required. Integer that specifies the green value, ranging from 0 (lowest saturation) to 255 (highest saturation).
iBlue | Required. Integer that specifies the blue value, ranging from 0 (lowest saturation) to 255 (highest saturation).
iStrength | Required. Integer that specifies the intensity of the light filter, with values ranging from 0 (lowest intensity) to 100 (highest intensity).
iSpread | Required. Integer that specifies the angle, or spread, between the vertical position of the light source and the surface of the visual object. The spread can be from 0 to 90 degrees. Smaller spread values produce a smaller-shaped cone of light; larger spread values produce an oblique oval or circle of light.

Return Value

No return value.

Remarks

The cone light fades with distance from the target x,y position. The light displays a hard edge at the near edge of its focus and fades gradually as it reaches its distance threshold.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
light


addPoint Method

Adds a light source that originates from a single point and radiates in all directions.

Syntax

object.filters.light.addPoint(iX, iY, iZ, iRed, iGreen, iBlue, iStrength)

Parameters

iX | Required. Integer that specifies the left coordinate of the light source.
iY | Required. Integer that specifies the top coordinate of the light source.
iZ | Required. Integer that specifies the z-axis level of the light source.
iRed | Required. Integer that specifies the red value, ranging from 0 (lowest saturation) to 255 (highest saturation).
iGreen | Required. Integer that specifies the green value, ranging from 0 (lowest saturation) to 255 (highest saturation).
iBlue | Required. Integer that specifies the blue value, ranging from 0 (lowest saturation) to 255 (highest saturation).
iStrength | Required. Integer that specifies the intensity of the light filter, with values ranging from 0 (lowest intensity) to 100 (highest intensity). The intensity specified pertains to the target coordinates.

Return Value

No return value.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
light


apply Method

Applies a transition to the designated object.

Syntax

object.filters.filterName.apply()

Return Value

No return value.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
blendTrans, revealTrans


changeColor Method

Changes the light color for any light on the page.

Syntax

object.filters.light.changeColor(iLightNumber, iRed, iGreen, iBlue, iAbsolute)

Parameters

iLightNumber | Required. Integer that specifies the identifying number for the light, for use in scripting.
iRed | Required. Integer that specifies the red value, ranging from 0 (lowest saturation) to 255 (highest saturation).
iGreen | Required. Integer that specifies the green value, ranging from 0 (lowest saturation) to 255 (highest saturation).
iBlue | Required. Integer that specifies the blue value, ranging from 0 (lowest saturation) to 255 (highest saturation).
iAbsolute | Required. Integer that specifies whether the color values for iRed, iGreen, and iBlue are absolute values that replace the current values, or are relative values that are added to the current values. A nonzero value indicates the color values are absolute; a value of 0 indicates the color values are relative.

Return Value

No return value.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
light


changeStrength Method

Changes the intensity of the light applied with the light filter.

Syntax

object.filters.light.changeStrength(iLightNumber, iStrength, iAbsolute)

Parameters

iLightNumber | Required. Integer that specifies the identifying number for the light, for use in scripting.
iStrength | Required. Integer that specifies the intensity of the light filter, with values ranging from 0 (lowest intensity) to 100 (highest intensity).
iAbsolute | Required. Integer that specifies whether the intensity value of iStrength is an absolute value that replaces the current value, or is a relative value that is added to the current value. A nonzero value indicates the intensity value is absolute; a value of 0 indicates the intensity value is relative. The intensity specified pertains to the target coordinates.

Return Value

No return value.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
light


clear Method

Deletes all lights associated with the specified light filter.

Syntax

object.filters.light.clear()

Return Value

No return value.

Remarks

This method clears all light sources on the object.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
light


elementImage Method

Returns a Microsoft® DirectAnimation® image (daimage Internet Link Non-MSDN link) object.

Syntax

oImage = object.filters.redirect.elementImage()

Return Value

Returns a DAImage object.

Example

Note This example requires the DirectAnimation browser component.

This example uses the elementImage method and a 2-D transformation to convert a DIV object containing text and an image into a DirectAnimation image that rotates continuously.

Sample Code

<BODY>
<OBJECT ID="DAControl"
    STYLE="position:absolute; left:200; top:125; width:350; height:300;
        z-index: -1"
    CLASSID="CLSID:B6FFC24C-7E13-11D0-9B47-00C04FC2F51D">
</OBJECT>

<DIV ID="oDiv" STYLE="WIDTH:250; FILTER:Redirect">
    <H2>This is the DIV after being converted into an image.</H2>
    <P><IMG SRC="sphere.jpg"></P>
</DIV>

<SCRIPT LANGUAGE="JScript">

    // The DirectAnimation library
    oLib = DAControl.MeterLibrary;

    // get the filter
    oFilter = oDiv.filters[0];

    // grab the image converted by the filter
    oImage = oFilter.elementImage();

    // perform the image transformation
    DAControl.Image = oImage.Transform(oLib.Rotate2RateDegrees(30)) ;
    DAControl.Start();

</SCRIPT>
</BODY>
This feature requires Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
redirect

See Also

microsoft directanimation sdk Internet Link Non-MSDN link


moveLight Method

Moves the light effect on the page.

Syntax

object.filters.light.moveLight(iLightNumber, iX, iY, iZ, bAbsolute)

Parameters

iLightNumber | Required. Integer that specifies the identifying number for the light, for use in scripting.
iX | Required. Integer that specifies the left coordinate of the light source.
iY | Required. Integer that specifies the top coordinate of the light source.
iZ | Required. Integer that specifies the z-axis level of the light source.
bAbsolute | Required. Boolean that specifies whether the move is absolute or relative.

Return Value

No return value.

Remarks

For cone lights, this method changes the target x,y values to move the light's focus. For point lights, this method changes the source x,y,z values to move the source location. This method has no effect on ambient lights.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
light


play Method

Plays the transition.

Syntax

object.filters.filterName.play([ iDuration ])

Parameters

iDuration Optional. Integer that specifies a floating point number that indicates the amount of time the filter should play. Valid values are 0.0-N.n units.

Return Value

No return value.

Remarks

If a playback duration is explicitly specified as a parameter, this duration overrides the duration property assigned to the transition for that instance of the playback.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
blendTrans, revealTrans


stop Method

Stops transition playback.

Syntax

object.filters.filterName.stop()

Return Value

No return value.

Remarks

This method fires the onfilterchange event.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
blendTrans, revealTrans


ADD Attribute | add Property

Sets or retrieves a value indicating whether to add an image to the image to the image applied with the filter.

Syntax

HTML | { filter:filterName (ADD = bAddImage ...) }
Scripting | object.filters.filterName.add [ = bAddImage ]

Possible Values

bAddImage Boolean that specifies one of the following values:
true | Image is added.
false | Image is not added.

The property is read/write with a default value of true.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
blur, wave


COLOR Attribute | color Property

Sets or retrieves the value of the color applied with the filter.

Syntax

HTML | { filter:filterName (COLOR = sColor ...) }
Scripting | object.filters.filterName.color [ = sColor ]

Possible Values

sColor String that specifies the color value.

The property is read/write with no default value.

Remarks

Color is expressed in #RRGGBB format, where RR is the red hexadecimal value, GG is the green hexadecimal value, and BB is the blue hexadecimal value. For more information about the range of color values supported by Microsoft® Internet Explorer 4.0 and later, see the Color Table.

The following table describes the effect of the color property when applied to different filters.

chroma filter | Specifies the color applied to the chromakey transparency.
dropShadow filter | Specifies the color of the drop shadow effect.
glow filter | Specifies the color of the radiance applied to the object.
mask filter | Specifies the color that the transparent regions are painted.
shadow filter | Specifies the color of the shadow effect.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
chroma, dropShadow, glow, mask, shadow


DIRECTION Attribute | direction Property

Sets or retrieves the directional offset of the filter, expressed in 45-degree increments, clockwise from the vertical orientation of the object.

Syntax

HTML | { filter:filterName (DIRECTION = iOffset ...) }
Scripting | object.filters.filterName.direction [ = iOffset ]

Possible Values

iOffset Integer that specifies one of the following values, in degrees:
0 | Top
45 | Top right
90 | Bottom
135 | Bottom right
180 | Bottom
225 | Bottom left
270 | Left
315 | Top left

The property is read/write with a default value of 270.

Remarks

Values less than 0 or greater than 360 automatically convert to values between 0 and 360. For example, a value of -45 degrees is equivalent to a value of 315 degrees.

Example

This example sets the direction and strength properties of a blur filter, with an initial strength of 1, on an image. When the page loads, the onfilterchange event of the image fires. The onfilterchange event fires each time the strength and direction properties change, until strength reaches a value of 100.

<SCRIPT>
function HandleChange()
{
   with (window.event.srcElement.filters[0])
   {
      if (strength < 100)
      {
         strength += 1;
         direction += 45;
      }
   }
}</SCRIPT>
<IMG ID="img1" SRC="joker2.jpg" onfilterchange="HandleChange()"
   STYLE="filter:blur (STRENGTH=1 DIRECTION=0)" />
This feature requires Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
blur, shadow


DURATION Attribute | duration Property

Sets or retrieves the length of time the transition takes to complete.

Syntax

HTML | { filter:filterName (DURATION = fDuration ...) }
Scripting | object.filters.filterName.duration [ = fDuration ]

Possible Values

fDuration Floating-point value that specifies the length of time to complete the transition. The value is specified in seconds.milliseconds format (0.0000).

The property is read/write with no default value. However, once the transition is applied, or starts playing, the property becomes read-only.

Remarks

You can set a transition's playback duration as a parameter of the play method.

Example

This example uses the DURATION attribute and the revealTrans filter to cause two colored shapes to fade in or out during a two-second interval.

Sample Code

<SCRIPT>
function go() {
    C1.filters[0].Apply();

if (C1.style.visibility == "visible") {
        C1.style.visibility = "hidden";
    C1.filters.revealTrans.transition=2;
    }
    else {
        C1.style.visibility = "visible";
    C1.filters[0].transition=3;
    }
    C1.filters[0].Play();
}
</SCRIPT>
<INPUT TYPE=BUTTON VALUE="Play Transition" onClick="go();"></INPUT>
<SPAN ID=C1 STYLE="position:absolute;visibility:visible;
   filter:revealTrans(DURATION=2, TRANSITION=3);
   width:300; height:300; background-color: lightgreen">
<CENTER>
   <DIV STYLE="background-color=red;height=100;width:100;
      position:relative;top:100"></DIV>
</CENTER>
</SPAN>
This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
blendTrans, revealTrans


enabled Property

Sets or retrieves whether the filter is currently enabled.

Syntax

HTML | { filter:filterName (ENABLED = bEnabled ...) }
Scripting | object.filters.filterName.enabled [ = bEnabled ]

Possible Values

bEnabled Boolean that specifies one of the following values:
true | Filter is enabled.
false | Filter is disabled.

The property is read/write with a default value of true.

Example

This example uses the enabled property to change the orientation of an image when the user moves the mouse pointer across one of the image's borders.

<IMG ID="image1" SRC="sample.jpg"
   onmouseover="image1.filters.flipv.enabled = false;"
   onmouseout ="image1.filters.flipv.enabled = true;"
   STYLE="filter:blur(STRENGTH=50) flipv()">

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
alpha, blur, blendTrans, chroma, dropShadow, flipH, flipV, glow, gray, invert, light, mask, redirect, revealTrans, shadow, wave, xray


FINISHOPACITY Attribute | finishOpacity Property

Sets or retrieves the opacity level at the end of the gradient applied with the alpha filter.

Syntax

HTML | { filter:alpha (FINISHOPACITY = iOpacity ...) }
Scripting | object.filters.alpha.finishOpacity [ = iOpacity ]

Possible Values

iOpacity Integer that specifies the opacity level, using values that range from 0 (fully transparent) to 100 (fully opaque).

The property is read/write with a default value of 0.

Remarks

This property applies only to objects that have an opacity gradient specified—that is, the style property is set to 1, 2, or 3.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
alpha


FINISHX Attribute | finishX Property

Sets or retrieves the horizontal position at which the opacity gradient ends.

Syntax

HTML | { filter:alpha (FINISHX = iPercent ...) }
Scripting | object.filters.alpha.finishX [ = iPercent ]

Possible Values

iPercent Integer that specifies the horizontal position as a percentage of the width of the object.

The property is read/write with no default value.

Remarks

This property applies only to objects that have an opacity gradient specified—that is, the style property is set to 1, 2, or 3.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
alpha

See Also

finishY


FINISHY Attribute | finishY Property

Sets or retrieves the vertical position at which the opacity gradient ends.

Syntax

HTML | { filter:alpha (FINISHY = iPercent ...) }
Scripting | object.filters.alpha.finishY [ = iPercent ]

Possible Values

iPercent Integer that specifies the vertical position as a percentage of the height of the object.

The property is read/write with no default value.

Remarks

This property applies only to objects that have an opacity gradient specified—that is, the style property is set to 1, 2, or 3.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
alpha

See Also

finishX


FREQ Attribute | freq Property

Sets or retrieves the number of waves to appear in the visual distortion.

Syntax

HTML | { filter:wave (FREQ = iWaveCount ...) }
Scripting | object.filters.wave.freq [ = iWaveCount ]

Possible Values

iWaveCount Integer that specifies the number of waves.

The property is read/write with no default value.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
wave


LIGHTSTRENGTH Attribute | lightStrength Property

Sets or retrieves the intensity of light applied by the filter.

Syntax

HTML | { filter:wave (LIGHTSTRENGTH = iPercentage ...) }
Scripting | object.filters.wave.lightStrength [ = iPercentage ]

Possible Values

iPercentage Integer that specifies the intensity of light as a percentage, ranging from 0 (lowest intensity) to 100 (highest intensity).

The property is read/write with no default value.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
wave


OFFX Attribute | offX Property

Sets or retrieves the offset of the drop shadow from the visual object, along the x-axis.

Syntax

HTML | { filter:dropShadow (OFFX = iOffsetX ...) }
Scripting | object.filters.dropShadow.offX [ = iOffsetX ]

Possible Values

iOffsetX Integer that specifies the offset value, in pixels. Positive values move the drop shadow to the right, and negative values move it to the left.

The property is read/write with no default value.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
dropShadow

See Also

offY


OFFY Attribute | offY Property

Sets or retrieves the offset of the drop shadow from the visual object, along the y-axis.

Syntax

HTML | { filter:dropShadow (OFFY = iOffsetY ...) }
Scripting | object.filters.dropShadow.offY [ = iOffsetY ]

Possible Values

iOffsetY Integer that specifies the offset value, in pixels. Positive values move the drop shadow down, and negative values move it up.

The property is read/write with no default value.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
dropShadow

See Also

offX


OPACITY Attribute | opacity Property

Sets or retrieves the opacity level at the beginning of the gradient applied with the alpha filter.

Syntax

HTML | { filter:alpha (OPACITY = iOpacity ...) }
Scripting | object.filters.alpha.opacity [ = iOpacity ]

Possible Values

iOpacity Integer that specifies the opacity level, using values that range from 0 (fully transparent) to 100 (fully opaque).

The property is read/write with a default value of 100.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
alpha


PHASE Attribute | phase Property

Sets or retrieves the phase offset at which the sine wave starts.

Syntax

HTML | { filter:wave (PHASE = iPercentage ...) }
Scripting | object.filters.wave.phase [ = iPercentage ]

Possible Values

iPercentage Integer that specifies the offset as a percentage, using values that range from 0 to 100. A value of 25 starts the sine wave effect at 90 degrees. A value of 360 is the equivalent of 0 degrees.

The property is read/write with a default value of 0.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
wave


POSITIVE Attribute | positive Property

Sets or retrieves whether the filter creates a drop shadow from the nontransparent pixels of the object.

Syntax

HTML | { filter:dropShadow (POSITIVE = bPositive ...) }
Scripting | object.filters.dropShadow.positive [ = bPositive ]

Possible Values

bPositive Boolean that specifies one of the following values:
true | Drop shadow is created from the nontransparent pixels of the object.
false | Drop shadow is created from the transparent pixels of the object.

The property is read/write with a default value of true.

Remarks

If you have a transparent object but still want the usual drop shadow effect, set the positive property to false. This causes the transparent object to have a drop shadow outside the transparent region, rather than a drop shadow inside the transparent region.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
dropShadow


STARTX Attribute | startX Property

Sets or retrieves the horizontal position at which the opacity gradient starts.

Syntax

HTML | { filter:alpha (STARTX = iPercent ...) }
Scripting | object.filters.alpha.startX [ = iPercent ]

Possible Values

iPercent Integer that specifies the horizontal position as a percentage of the width of the object.

The property is read/write with no default value.

Remarks

This property applies only to objects that have an opacity gradient specified—that is, the style property is set to 1, 2, or 3.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
alpha

See Also

startY


STARTY Attribute | startY Property

Sets or retrieves the vertical position at which the opacity gradient starts.

Syntax

HTML | { filter:alpha (STARTY = iPercent ...) }
Scripting | object.filters.alpha.startY [ = iPercent ]

Possible Values

iPercent Integer that specifies the vertical position as a percentage of the height of the object.

The property is read/write with no default value.

Remarks

This property applies only to objects that have an opacity gradient specified—that is, the style property is set to 1, 2, or 3.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
alpha

See Also

startX


status Property

Retrieves the current state of the transition.

Syntax

HTML | N/A
Scripting | [ iStatus ] =object.filters.filterName.status

Possible Values

iStatus Integer that specifies one of the following values:
0 | Transition has stopped.
1 | Transition has been applied.
2 | Transition is playing.

The property is read-only with no default value.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
blendTrans, revealTrans

See Also

play, stop


STRENGTH Attribute | lightStrength Property

Click to return to the DHTML, HTML & CSS home page

STRENGTH Attribute | strength Property

Sets or retrieves the intensity of the filter.

Syntax

HTML | { filter:filterName (STRENGTH = iIntensity ...) }
Scripting | object.filters.filterName.strength [ = iIntensity ]

Possible Values

iIntensity Integer that specifies the intensity of the filter, using values that range from 1 (lowest intensity) to 100 (highest intensity).

The property is read/write with no default value.

Example

This example sets the strength and direction properties of a blur filter, with an initial strength of 1, on an image. When the page loads, the onfilterchange event of the image fires. The strength and direction properties cause the onfilterchange event to fire repeatedly until the strength reaches 100.

<SCRIPT>
function HandleChange()
{
   with (window.event.srcElement.filters[0])
   {
      if (strength < 100)
      {
         strength += 1;
         direction += 45;
      }
   }
}</SCRIPT>
<IMG ID="img1" SRC="joker2.jpg" onfilterchange="HandleChange()"
   STYLE="filter:blur (STRENGTH=1 DIRECTION=0)" />
This feature requires Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
blur, glow, wave


STYLE Attribute | style Property

Sets or retrieves the shape characteristics of the opacity gradient.

Syntax

HTML | { filter:alpha (STYLE = iStyle ...) }
Scripting | object.filters.alpha.style [ = iStyle ]

Possible Values

iStyle Integer that specifies one of the following values:
0 | Uniform opacity gradient.
1 | Linear opacity gradient.
2 | Radial opacity gradient.
3 | Rectangular opacity gradient.

The property is read/write with a default value of 0.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
alpha


TRANSITION Attribute | transition Property

Sets or retrieves the type of transition.

Syntax

HTML | { filter:revealTrans (TRANSITION = iTransitionType ...) }
Scripting | object.filters.revealTrans.transition [ = iTransitionType ]

Possible Values

iTransitionType Integer that specifies one of the following values:
0 | Box in.
1 | Box out.
2 | Circle in.
3 | Circle out.
4 | Wipe up.
5 | Wipe down.
6 | Wipe right.
7 | Wipe left.
8 | Vertical blinds.
9 | Horizontal blinds.
10 | Checkerboard across.
11 | Checkerboard down.
12 | Random dissolve.
13 | Split vertical in.
14 | Split vertical out.
15 | Split horizontal in.
16 | Split horizontal out.
17 | Strips left down.
18 | Strips left up.
19 | Strips right down.
20 | Strips right up.
21 | Random bars horizontal.
22 | Random bars vertical.
23 | Random.

The property is read/write with no default value.

Remarks

Transitions appear properly only on systems that have the color palette set to display 256 colors or more.

Example

This example uses the transition property to specify "circle in" and "circle out" transitions for the revealTrans filter.

Sample Code

<SCRIPT>
function go() {
    C1.filters[0].Apply();

if (C1.style.visibility == "visible") {
        C1.style.visibility = "hidden";
    C1.filters.revealTrans.transition=2;
    }
    else {
        C1.style.visibility = "visible";
    C1.filters[0].transition=3;
    }
    C1.filters[0].Play();
}
</SCRIPT>
<INPUT TYPE=BUTTON VALUE="Play Transition" onClick="go();"></INPUT>
<SPAN ID=C1 STYLE="position:absolute;visibility:visible;
   filter:revealTrans(DURATION=2, TRANSITION=3);
   width:300; height:300; background-color: lightgreen">
<CENTER>
   <DIV STYLE="background-color=red;height=100;width:100;
      position:relative;top:100"></DIV>
</CENTER>
</SPAN>
This feature requires Internet Explorer 4.0 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
revealTrans


HTA:APPLICATION Element | HTA:APPLICATION Object

Enables an extended object model for building HTML Applications (HTA).

XML Syntax

<HTA:APPLICATION
    APPLICATIONNAME=value
    BORDER=thick | dialog | none  | thin
    BORDERSTYLE=normal | complex | raised  | static  | sunken
    CAPTION=YES | NO
    ICON=value
    ID=value
    MAXIMIZEBUTTON=YES | NO
    MINIMIZEBUTTON=YES | NO
    SHOWINTASKBAR=YES | NO
    SINGLEINSTANCE=YES | NO
    SYSMENU=YES | NO
    VERSION=value
    WINDOWSTATE=normal | maximize | minimize
>

Members

HTA Members

Remarks

You can create an HTA by saving an HTML page with an .hta file extension. However, to take advantage of the applications-oriented functionality discussed in this reference, you must include the HTA:APPLICATION tag and position it within the paired HEAD tag to take effect.

You can turn off the scroll bars for the application window by including SCROLL="no" in the BODY tag.

Example

This example retrieves all the properties exposed by HTA:APPLICATION.

Sample Code

<HTML>
<HEAD>
  <TITLE>HTA Demo</TITLE>
    <HTA:APPLICATION ID="oHTA"
     APPLICATIONNAME="myApp"
     BORDER="thin"
     BORDERSTYLE="normal"
     CAPTION="yes"
     ICON=""
     MAXIMIZEBUTTON="yes"
     MINIMIZEBUTTON="yes"
     SHOWINTASKBAR="no"
     SINGLEINSTANCE="no"
     SYSMENU="yes"
     VERSION="1.0"
     WINDOWSTATE="maximize"
    >

  <SCRIPT>

  /* This function also retrieves the value of the commandLine property,
     which cannot be set as an attribute  */

  function window.onload()
  {
     sTempStr = "applicationName  = " + oHTA.applicationName + "\n" +
                "border           = " + oHTA.border          + "\n" +
                "borderStyle      = " + oHTA.borderStyle     + "\n" +
                "caption          = " + oHTA.caption         + "\n" +
                "commandLine      = " + oHTA.commandLine     + "\n" +
                "icon             = " + oHTA.icon            + "\n" +
                "maximizeButton   = " + oHTA.maximizeButton  + "\n" +
                "minimizeButton   = " + oHTA.minimizeButton  + "\n" +
                "showInTaskBar    = " + oHTA.showInTaskbar   + "\n" +
                "singleInstance   = " + oHTA.singleInstance  + "\n" +
                "sysMenu          = " + oHTA.sysMenu         + "\n" +
                "version          = " + oHTA.version         + "\n" +
                "windowState      = " + oHTA.windowState     + "\n" ;

     oPre.innerText = sTempStr;
  }
  </SCRIPT>
</HEAD>
<BODY SCROLL="no">
  <PRE ID=oPre>  </PRE>
</BODY>
</HTML>
This feature requires Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

See Also

html applications overview Internet Link


APPLICATION Attribute

Indicates whether the content of the FRAME or IFRAME object is an HTML Application (HTA) and, therefore, exempt from the browser security model.

Syntax

HTML | <ELEMENT APPLICATION=bApplication ... >
Scripting | N/A

Possible Values

bApplication Boolean that specifies one of the following values:
yes | Treats all content of the FRAME or IFRAME as an HTA, in which case the content is trusted.
no | Treats all content of the FRAME or IFRAME as part of an HTML document by applying the browser security rules for unsafe content.

The attribute has a default value of no.

Remarks

The APPLICATION attribute can be used only in HTAs.

You can use the APPLICATION attribute to control the content of your Web pages. For example, you can use the attribute to create an HTA that has one FRAME that accesses unsafe content, such as Internet URLs, and another FRAME that accesses safe content. You can also use the attribute for cross-domain scripting between HTA-enabled frames.

A nested FRAME or IFRAME requires each container FRAME to be HTA-enabled (for example, APPLICATION="yes") for the innermost FRAME or IFRAME to accept the value of APPLICATION="yes". Take, for instance, an IFRAME that contains a frameset. Each FRAME within the frameset qualifies as being nested. For the innermost FRAME to be considered safe, it and each each parent FRAME must be declared as APPLICATION="yes".

HTAs are designed to prevent each untrusted HTML FRAME and IFRAME from having script access to the HTA that contains them. In the case of a non-HTA-enabled FRAME, the highest level frame comprises the top window for each FRAME that it contains. The window.top and window.self are the same for that FRAME. In addition, an unsafe FRAME or IFRAME receives neither a referrer nor an opener URL from the parent HTA. This means FRAME or IFRAME are not affected by the the parent window of the containing HTA.

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
FRAME, IFRAME

See Also

html applications overview Internet Link, HTML Applications References


APPLICATIONNAME Attribute | applicationName Property

Retrieves the name of the HTML Application (HTA).

Syntax

HTML | <HTA:APPLICATION APPLICATIONNAME=sAppName>
Scripting | [ sAppName = ] oHTA.applicationName

Possible Values

sAppName String that specifies the application name.

The property is read-only with no default value.

Remarks

When set to true, the singleInstance property checks the applicationName value before launching an instance of the application. For this check to be valid, the applicationName property must have a unique value assigned to it. You can use the applicationName property to identify a single application, regardless of the URL used to access it.

Example

This example shows how to retrieve the applicationName property.

Sample Code

<HTML>
<HEAD>
   <HTA:APPLICATION ID="oHTA"
    APPLICATIONNAME="myApp"
   >
   <SCRIPT>
      alert("applicationName    = " + oHTA.applicationName);
   </SCRIPT>
</HEAD>
<BODY SCROLL="no">

</BODY>
</HTML>
This feature requires Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
HTA:APPLICATION

See Also

html applications overview Internet Link


BORDER Attribute | border Property

Retrieves the type of window border for the HTML Application (HTA).

Syntax

HTML | <HTA:APPLICATION BORDER=sType>
Scripting | [ sType = ] oHTA.border

Possible Values

sType String that specifies one of the following values:
thick | Thick window border, plus a size grip and sizing border for resizing the window.
dialog | Dialog window border.
none | No window border.
thin | Thin window border with a caption.

The property is read-only with a default value of thick.

Remarks

The border property affects the window border and is valid only for HTA windows that contain a title bar or caption. Setting border to none eliminates the title bar, program icon, and Minimize/Maximize buttons. This property can be used with the borderStyle property, which controls the content border within the window.

Example

This example uses the border property to apply a thin border to the window.

Sample Code

<HTML>
<HEAD>
   <TITLE>Hello, World!</TITLE>
   <HTA:APPLICATION ID="oHTA"
    APPLICATIONAME="myApp"
    BORDER="thin"
   >
   <SCRIPT>
      alert("border    = " + oHTA.border);
   </SCRIPT>
</HEAD>
<BODY SCROLL="no">

</BODY>
</HTML>
This feature requires Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
HTA:APPLICATION

See Also

html applications overview Internet Link


BORDERSTYLE Attribute | borderStyle Property

Retrieves the style set for the content border within the HTML Application (HTA) window.

Syntax

HTML | <HTA:APPLICATION BORDERSTYLE=sStyle>
Scripting | [ sStyle = ] oHTA.borderStyle

Possible Values

sStyle String that specifies one of the following values:
normal | Normal border.
complex | Raised and sunken border.
raised | Raised 3-D border.
static | 3-D border typically used for windows that do not accept user input.
sunken | Sunken 3-D border.

The property is read-only with a default value of normal.

Remarks

All HTAs have two adjacent borders: one for the content of a window, and one for the application window. The borderStyle property sets the style for the content border, while the border property controls the application window border.

Example

This example uses the borderStyle property to apply a normal border around the content of a window.

Sample Code

<HTML>
<HEAD>
   <TITLE>Hello, World!</TITLE>
   <HTA:APPLICATION ID="oHTA"
    APPLICATIONNAME="sampleApp"
    CAPTION="yes"
    BORDER="thin"
    BORDERSTYLE="normal"
   >
   <SCRIPT>
      alert("borderStyle    = " + oHTA.borderStyle);
   </SCRIPT>
</HEAD>
<BODY SCROLL="no">

</BODY>
</HTML>
This feature requires Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
HTA:APPLICATION

See Also

html applications overview Internet Link


CAPTION Attribute | caption Property

Retrieves whether the window is set to display a title bar, or caption, for the HTML Application (HTA).

Syntax

HTML | <HTA:APPLICATION CAPTION=bTitleBar>
Scripting | [ bTitleBar = ] oHTA.caption

Possible Values

bTitleBar Boolean that specifies one of the following values:
yes | Title bar is displayed.
no | Title bar is not displayed.

The property is read-only with a default value of yes.

Remarks

The application title appears only when the caption property is set to yes. Turning off the caption also disables the program icon and the Minimize and Maximize buttons. In this case, you must provide an alternate way for the user to quit the HTA, such as a button that invokes the close method of the window object.

Example

This example shows how to retrieve the caption property.

Sample Code

<HTML>
<HEAD>
   <HTA:APPLICATION ID="oHTA"
    CAPTION="yes"
   >
   <SCRIPT>
      alert ("caption    = " + oHTA.caption);
   </SCRIPT>
</HEAD>
<BODY SCROLL="no">

</BODY>
</HTML>
This feature requires Internet Explorer 5 or later. Click the icon below to install the latest caption. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
HTA:APPLICATION

See Also

html applications overview Internet Link


commandLine Property

Retrieves the argument used to launch the HTML Application (HTA).

Syntax

HTML | N/A
Scripting | [ sPath = ] oHTA.commandLine

Possible Values

sPath String that specifies the path and arguments used to launch the HTA.

The property is read-only with no default value.

Remarks

The commandLine property returns an empty string when the HTA is launched over the http protocol Internet Link.

Example

This example shows how to retrieve the commandLine property value.

Sample Code

<HTML>
<HEAD>
   <HTA:APPLICATION ID="oHTA"
    APPLICATIONNAME="myApp"
   >
   <SCRIPT>
      alert("commandLine    = " + oHTA.commandLine);
   </SCRIPT>
</HEAD>
<BODY SCROLL="no">

</BODY>
</HTML>
This feature requires Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
HTA:APPLICATION

See Also

html applications overview Internet Link


ICON Attribute | icon Property

Retrieves the name and location of the icon specified in the HTML Application (HTA).

Syntax

HTML | <HTA:APPLICATION ICON=sIcon>
Scripting | [ sIcon = ] oHTA.icon

Possible Values

sIcon String that specifies an icon for the application.

The property is read-only with a default value of the system application icon.

Remarks

The icon attribute recognizes the standard 32x32 pixel Microsoft® Windows® format for .ico image files.

Example

This example shows how to retrieve the icon property.

Sample Code

<HTML>
<HEAD>
   <HTA:APPLICATION ID="oHTA"
    APPLICATIONNAME="myApp"
    ICON="graphics/face01.ico"
   >
   <SCRIPT>
      alert ("icon    = " + oHTA.icon);
   </SCRIPT>
</HEAD>
<BODY SCROLL="no">

</BODY>
</HTML>
This feature requires Microsoft® Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
HTA:APPLICATION

See Also

html applications overview Internet Link


MAXIMIZEBUTTON Attribute | maximizeButtonProperty

Click to return to the DHTML, HTML & CSS home page

MAXIMIZEBUTTON Attribute | maximizeButton Property

Retrieves whether a Maximize button is displayed in the title bar of the HTML Application (HTA) window.

Syntax

HTML | <HTA:APPLICATION MAXIMIZEBUTTON=bShowButton>
Scripting | [ bShowButton = ] oHTA.maximizeButton

Possible Values

bShowButton Boolean that specifies one of the following values:
yes | Maximize button is displayed.
no | Maximize button is not displayed.

The property is read-only with a default value of yes.

Remarks

The window must have a title bar, or caption, for the Minimize and Maximize buttons to display.

Example

This example shows how to retrieve the maximizeButton property.

Sample Code

<HTML>
<HEAD>
   <TITLE>Hello, World!</TITLE>
   <HTA:APPLICATION ID="oHTA"
    APPLICATIONNAME="myApp"
    CAPTION="yes"
    MAXIMIZEBUTTON="yes"
   >
   <SCRIPT>
      alert("maximizeButton    = " + oHTA.maximizeButton);
   </SCRIPT>
</HEAD>
<BODY SCROLL="no">

</BODY>
</HTML>
This feature requires Microsoft® Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
HTA:APPLICATION

See Also

html applications overview Internet Link


MINIMIZEBUTTON Attribute | minimizeButton Property

Retrieves whether a Minimize button is displayed in the title bar of the HTML Application (HTA) window.

Syntax

HTML | <HTA:APPLICATION MINIMIZEBUTTON=bShowButton>
Scripting | [ bShowButton = ] oHTA.minimizeButton

Possible Values

bShowButton Boolean that specifies one of the following values:
yes | Minimize button is displayed.
no | Minimize button is not displayed.

The property is read-only with a default value of yes.

Remarks

The window must have a title bar, or caption, for the Minimize and Maximize buttons to display.

Example

This example shows how to retrieve the minimizeButton property.

Sample Code

<HTML>
<HEAD>
   <TITLE>Hello, World!</TITLE>
   <HTA:APPLICATION ID="oHTA"
    APPLICATIONNAME="myApp"
    CAPTION="yes"
    MINIMIZEBUTTON="yes"
   >
   <SCRIPT>
      alert ("minimizeButton    = " + oHTA.minimizeButton);
   </SCRIPT>
</HEAD>
<BODY SCROLL="no">

</BODY>
</HTML>
This feature requires Microsoft® Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
HTA:APPLICATION

See Also

html applications overview Internet Link


SHOWINTASKBAR Attribute | showInTaskBar Property

Retrieves whether the HTML Application (HTA) is displayed in the Microsoft® Windows® taskbar.

Syntax

HTML | <HTA:APPLICATION SHOWINTASKBAR=bShow>
Scripting | [ bShow = ] oHTA.showInTaskBar

Possible Values

bShow Boolean that specifies one of the following values:
yes | Application is displayed in the Windows taskbar.
no | Application is not displayed in the Windows taskbar.

The property is read-only with a default value of yes.

Remarks

The showInTaskBar property does not affect whether the application appears in the list of applications displayed when the user presses ALT+TAB.

Example

This example shows how to retrieve the showInTaskBar property.

Sample Code

<HTML>
<HEAD>
   <HTA:APPLICATION ID="oHTA"
    APPLICATIONNAME="myApp"
    SHOWINTASKBAR="no"
   >
   <SCRIPT>
      alert ("showInTaskBar    = " + oHTA.showInTaskBar);
   </SCRIPT>
</HEAD>
<BODY SCROLL="no">

</BODY>
</HTML>
This feature requires Microsoft® Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
HTA:APPLICATION

See Also

html applications overview Internet Link


SINGLEINSTANCE Attribute | singleInstance Property

Retrieves whether only one instance of the specified HTML Application (HTA) can run at a time.

Syntax

HTML | <HTA:APPLICATION SINGLEINSTANCE=bOpen>
Scripting | [ bOpen = ] oHTA.singleInstance

Possible Values

bOpen Boolean that specifies one of the following values:
yes | Only one instance of the specified application can run at a time.
no | Multiple instances of the specified application can run at the same time.

The property is read-only with a default value of no.

Remarks

When set to true, the singleInstance property checks the value of the applicationName property before launching an instance of the application. For this check to be valid, the applicationName property must have a unique value assigned to it. You can use the applicationName property to identify a single application, regardless of the URL used to access it.

Example

This example shows how to retrieve the singleInstance property.

Sample Code

<HTML>
<HEAD>
   <HTA:APPLICATION ID="oHTA"
    APPLICATIONNAME="myApp"
    SINGLEINSTANCE="yes"
   >
   <SCRIPT>
      alert("singleInstance    = " + oHTA.singleInstance);
   </SCRIPT>
</HEAD>
<BODY SCROLL="no">

</BODY>
</HTML>
This feature requires Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
HTA:APPLICATION

See Also

html applications overview Internet Link


SYSMENU Attribute | sysMenu Property

Retrieves whether a system menu is displayed in the HTML Application (HTA).

Syntax

HTML | <HTA:APPLICATION SYSMENU=bMenu>
Scripting | [ bMenu = ] oHTA.sysMenu

Possible Values

bMenu Boolean that specifies one of the following values:
yes | System menu is displayed in the title bar.
no | System menu is not displayed in the title bar.

The property is read-only with a default value of yes.

Remarks

The HTA system menu is denoted by the program icon on the far left corner of the title bar. When clicked, the HTA system menu displays all the commands included in the standard Microsoft® Windows® system menu, including restore, move, size, minimize, maximize, and close.

Many of the properties that affect the user interface of the window are interdependent. For example, setting sysMenu to no disables the program icon and the Minimize and Maximize buttons. Similarly, setting the border property to none disables the program icon, title bar, and Minimize and Maximize buttons.

Example

This example shows how to retrieve the sysMenu property.

Sample Code

<HTML>
<HEAD>
   <HTA:APPLICATION ID="oHTA"
    APPLICATIONNAME="myApp"
    SYSMENU="yes"
   >
   <SCRIPT>
      alert("sysMenu    = " + oHTA.sysMenu);
   </SCRIPT>
</HEAD>
<BODY SCROLL="no">

</BODY>
</HTML>
This feature requires Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
HTA:APPLICATION

See Also

html applications overview Internet Link


VERSION Attribute | version Property

Retrieves the version number of the HTML Application (HTA).

Syntax

HTML | <HTA:APPLICATION VERSION=sVersion>
Scripting | [ sVersion = ] oHTA.version

Possible Values

sVersion String that specifies the version number of the application.

The property is read-only with a default value of an empty string.

Example

This example shows how to retrieve the version property.

Sample Code

<HTML>
<HEAD>
   <HTA:APPLICATION ID="oHTA"
    VERSION="1.0"
   >
   <SCRIPT>
      alert("version    = " + oHTA.version);
   </SCRIPT>
</HEAD>
<BODY SCROLL="no">

</BODY>
</HTML>
This feature requires Microsoft® Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
HTA:APPLICATION

See Also

html applications overview Internet Link


WINDOWSTATE Attribute | windowState Property

Sets or retrieves the initial size of the HTML Application (HTA) window.

Syntax

HTML | <HTA:APPLICATION WINDOWSTATE=sWindowSize>
Scripting | oHTA.windowState[ = sWindowSize ]

Possible Values

sWindowSize String that specifies one of the following values:
normal | Window is the default size for Microsoft Internet Explorer.
minimize | Window does not display on launch. Instead, the title of the minimized application appears in the taskbar.
maximize | Window is sized to fill the screen.

The property is read/write with a default value of normal.

Example

This example shows how to retrieve the windowState property.

Sample Code

<HTML>
<HEAD>
   <HTA:APPLICATION ID="oHTA"
    APPLICATIONNAME="myApp"
    WINDOWSTATE="maximize"
   >
   <SCRIPT>
      alert("windowState    = " + oHTA.windowState);
   </SCRIPT>
</HEAD>
<BODY SCROLL="no">

</BODY>
</HTML>
This feature requires Microsoft® Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

Applies To

[ Object Name ]
Platform Version
Win16:
Win32:
Mac:
Unix:
WinCE:
Version data is listed when the mouse hovers over a link, or the link has focus.
HTA:APPLICATION

See Also

html applications overview Internet Link


Web Workshop - Component Development Home

Click to return to the Component Development home page

Component Development

For navigation tips, please see using this site Internet Link.

This section contains information you'll need to create components for your Web pages, using either ActiveX™ or Dynamic HTML scriptlet technology.

ActiveX

We recommend reading the ActiveX controls introduction Internet Link and overview Internet Link for starters. For a sampling of the technology's versatility, read using activex with asp Internet Link, creating activex components in c++ Internet Link, and the abcs of mfc activex controls Internet Link.

HTML Components

Get acquainted with the DHTML Scriptlets Introduction and Overview before diving into the Container Object Reference and the Object Model Extensions.

Component Object Model (COM)

The section also provides related information about the component object model (com) Internet Link, the //msdn.microsoft.com/workshop/components/dtctrl/doc/overview.asp">design-time control sdk Internet Link, the HTML Components (HTC) Reference, downloading code on the Web, and offline browsing Internet Link.


Web Workshop - Downloading Code on the Web

Click to return to the Component Development home page

Downloading Code on the Web

Michael Edwards

Developer Technology Engineer
Microsoft Corporation

April 16, 1998

Contents
Introduction
Creating Download Packages
The "No-Brainer" Download Package
Cabinet (CAB) Files
Where Do You Get the Cabinet Stuff?
What About OSD for Internet Explorer 4.x-only Downloads?
Active Setup
File Transfer Protocol (FTP)
Other Packaging Tools
Security
Digital Code-Signing
Where Do You Get the Code-Signing Tools?
How Did the Code-Signing Tools Change for Internet Explorer 4.x?
What About Netscape?
Marking ActiveX Controls as Safe
Internet Explorer Security Settings
Did Security Settings Change for Internet Explorer 4.x?
Tips and Troubleshooting
Summary

Introduction

Believe it or not, there's already a lot of online information available to help you figure out how to have your code downloaded over the Web. You just have to know where to look. Fortunately for you, they pay me to surf the Web (go figure), so I learned where to look, and where not to look. I got pretty confused from time to time figuring out how it all works together. So I wrote this article to help sort it all out. I hope you find it helpful, too.

I tried to write this article for all audiences, but some reviewers told me I was crazy. So I went back through and included explanatory material to make it more accessible. Nevertheless, I suspect that if you're just getting started with this stuff, you may have some head-scratching ahead of you (reading this short history of code download may help a little).

For the veterans who just want to get some things straight, I've tried to use descriptive headings (none gratuitously cute) so you can skim for the information you seek.

Top Back to top

Creating Download Packages

On the Internet, a download package is a collection of files that can be copied from a Web server to an end-user's machine. Web pages that offer services that need functionality not already provided by built-in browser objects must create (and make available for download) their own objects. A download package can also contain the files necessary to install an entire application. In the simplest case, a Microsoft® Word document could be considered a download package. Typically, however, download packages contain executable program code.

The "No-Brainer" Download Package

Probably the simplest way to distribute a single-file download package is to add an <A> tag onto your page with an HREF= attribute referencing the file on your HTTP server:

<A HREF=myDocument.DOC> Download my Microsoft Word document</A>

This method works on both Netscape and Internet Explorer. It causes the file indicated by the HREF= attribute to be copied to a temporary location on the end-user's computer, and launched within the application associated with the filename extension. For example, if the HREF= attribute references a file with a .DOC extension, Microsoft Word will open it. File extension association is covered in more detail below.

To have a file with an .EXE extension downloaded, users choose whether to execute it directly from a temporary location, or save it to a location they specify. Of course, there are important security caveats that apply to the download process, otherwise HREF=DeleteMyComputer.exe would be possible (we'll cover the security aspects of downloading code more fully later). This method won't work if the .EXE file requires any files not already installed on the computer it's being downloaded to. If you directly reference the filename, you won't be able to use compression techniques to reduce its size (and download time). And you won't be able to enter it in the Windows® Start menu, or register it to be able to be uninstalled later. For any of those capabilities, you need to point the HREF= attribute at a .CAB file.

Top Back to top

Cabinet (CAB) Files

Microsoft introduced the Cabinet (CAB) SDK when Internet Explorer 3.0 was released. The Cabinet SDK is a collection of tools and documentation explaining how to create a download package consisting of a single file (called a "cabinet") that contains all the separate files that need to be downloaded. A CAB file usually contains ActiveX® controls or Java packages that are used by a Web page. They can also contain all the files needed to install a stand-alone application. If you are familiar with pkzip file compression technology Non-MS link, CABs are similar.

A special configuration file (typically named setup.inf) is included in the cabinet that tells the computer how to install the cabinet's contents. Through the configuration file, you indicate where downloaded files should be copied, any registry settings to make (add to the Start menu, register an ActiveX control), software dependencies to check, as well as processor- and architecture-specific CAB locations. .INF configuration files were originally devised for general application setup before being extended to support Internet component download. As a result, there's a specific subset of .INF sections that pertain to making code downloadable, and a bunch of other sections related to installing code from floppy disks. (To avoid getting confused, stick to the docs I specifically refer to below rather than pulling down every shred of information about Cabinet and .INF files you can get your hands on.)

CAB files work on with Internet Explorer 3.x and 4.x. Netscape has its own way of doing things (or we do, depending upon your perspective). CAB files are downloaded via a piece of Internet Explorer called Microsoft Internet Component Download. Internet Component Download is typically invoked by targeting a CAB file in the HREF= attribute of an <A> tag (to install an application), or <APPLET> and <OBJECT> tags (to install custom components used by a Web page). A self-extracting executable file is an executable CAB file with a piece of code (included with the Cabinet SDK download) inserted at the beginning of a file, and serves as the target of an HREF attribute.

Top Back to top

Where Do You Get the Cabinet Stuff?

There is more than one place to go to get cabinet documentation and tools. And although choice can be good, it can also be confusing. Before Internet Explorer 3.0, we had some tools and documentation for creating CABs based upon the work we did for Windows 95 (which was delivered via CABs). While we were trying to get Internet Explorer 3.0 out the door, we revamped the tools and docs to ease the process of making code downloadable over the Web, and thus gave birth to the Cabinet SDK.

The activex sdk Internet Link includes a pre-Cabinet SDK tool called Diamond.exe (which was renamed to Makecab.exe when the Cabinet SDK came along a few months later). The Diamond.exe tool and docs were obtained via a self-extracting executable located in the C:\ActiveX SDK\Bin folder. A second self-extracting executable is used to distribute a library that can be used by third-party vendors to create their own CAB tools. Although you can still get the ActiveX SDK on MSDN Library Online, don't bother. It has been completely replaced by the products below. (So why am I even telling you about it, you ask? For the benefit of those people who might have stumbled across the ActiveX cabinet stuff, and haven't yet figured out they don't need it.)

The cabinet sdk Internet Link was released for Internet Explorer 3.0, and is available in the MSDN Online Web Workshop (this page Internet Link includes introductory and overview information about CABs, links to sites demonstrating how to use CABs, CAB newsgroups and, of course, the Cabinet SDK download itself). You'll notice there are two tools in the Cabinet SDK that can produce cabinet files. MakeCab.EXE is intended for packaging really big, or fairly complicated, stuff (such as CABs that span multiple floppies), and operates based upon an input script. Cabarc.EXE provides a simpler, command-line-based utility for creating CAB files.

You can download the Cabinet SDK from the MSDN Online web workshop Internet Link. You'll find these are the exact same tools from the original Cabinet SDK (right down to the date and time stamps), but they also include the code-signing tools that were updated for Internet Explorer 4.0 that I talk about in the Security section below. This download includes the original Cabinet SDK docs (Cabarc.doc, Cabfmt.doc, Lzxfmt.doc, Mszipfmt.doc and Makecab.doc). Additionally, you should check out the internet component download Internet Link Workshop topic.

The Microsoft sdk for java Non-MSDN Online link, includes the original Cabinet SDK and code-signing tools. (If you look closely, though, you'll notice that the tools in the SDK for Java are more recent than those in the Internet Client SDK; this will make more sense when I discuss what changed with Internet Explorer 4.0.) Unlike the Internet Client SDK, the SDK for Java does not ship any of the original Cabinet SDK docs. Instead, since there are important differences in the way Java code is installed compared with ActiveX controls, you'll find all new documentation for the Cabarc utility in creating and using cabinet files for java applets and libraries Internet Link . As you would expect, it discusses using cabinets to contain Java applets, and includes libraries to enable downloading for users of Internet Explorer 3.x or Internet Explorer 4.x. You can also get information about using Cabarc in the SDK for Java's tools quick reference Internet Link .

Note that the platform sdk Internet Link , available from MSDN Online, also contains the Microsoft SDK for Java, yet another way to get the same stuff.

Top Back to top

How CABs Changed with Internet Explorer 4.0

The major change for users of Internet Explorer 4.x is the ability to use the Open Software Description (OSD) XML format, which I talk about below. The original cabinet sdk Internet Link, which you can still download from the MSDN Online Web Workshop, hasn't changed, so you can rest assured that if you use the original Cabinet SDK tools, your cabinets will download whether a user has Internet Explorer 3.x or 4.x.

The Internet Client SDK also ships the original Cabinet SDK. Its files have the same dates and times, and even include the original docs. The problem with the Internet Client SDK (besides scattering topics all over the place) is that it mixed Internet Explorer 4.x-only information in with general cabinet information. This is aggravating, because many of you would appreciate that article, but you might wonder if the .INF information applies only to Internet Explorer 4.x (it doesn't). One more thing: Don't get confused by the references to Diamond.exe in the MICD article. They're typos. Simply replace all references to Diamond.exe with Cabarc.exe, and you'll be fine.

The Microsoft SDK for Java 2.01 ships updated cabinet tools. The Cabarc.exe and Extract.exe utilities now support LZX data compression if you use the -m option (if you do, your CAB will not work for Internet Explorer 3.x users). Cabarc.exe also supports the OSD format, and can use a new package manager technology for Java packages downloaded using Internet Explorer 4.x. The SDK does not ship with the MakeCab.exe utility, and, as I said before, any of the original Cabinet SDK docs.

Top Back to top

For more information

First read the references I pointed to above. If they don't answer all your questions, then … have at these Knowledge Base articles:

A frequently asked questions for cab files Internet Link .

q165075 Internet Link and q167158 Internet Link discuss how to use HOOK sections in .INF files for file dependencies.

dynamically adding a java package to the classpath Internet Link explains how to use the Java virtual machine to dynamically add a Java package (either ZIP or CAB files) to the classpath before executing applets on a Web page. This method uses an install cab that is compatible with both Internet Explorer 3.x and Internet Explorer 4.x (which means it uses an .INF file and doesn't use LZX compression).

support for multiple cabs or jars in the same applet tag Internet Link is an INFO article that explains how to support multiple CABs and JARs in the same <APPLET> tag. (This is an Internet Explorer 4.x-only feature.)

Lots of people are running into the same wall trying to use the new Java permissions (even though they are correctly signing their CABs) because they are not asserting their permissions to the security manager at runtime. securityexceptionex exception running a java applet Internet Link sheds some light on this situation.

If you need to track down install problems that may be related to what Java VM is running, you might check out historical list of shipping vehicles for java vm Internet Link .

howto: deploying java in internet explorer 4.x and netscape 4.0 Internet Link has information about how to use the <APPLET> and <OBJECT> tags for downloading Java packages.

searching for vj++ & java articles by keyword Internet Link offers help on how to search the Knowledge Base for Java-related stuff yourself.

Top Back to top

What About OSD Stuff for Internet Explorer 4.x-only Downloads?

Internet Explorer 4.x and our new VM for Java (2.0 and 2.01) introduced new methods to describe code packages for Web download. These methods are based on a new XML vocabulary, Open Software Description (OSD). OSD provides another option for specifying the configuration information in a CAB, essentially replacing the .INF format. To be clear, this new option doesn't change the fact that you still package your download in a CAB, and you can still use .INF files. In fact, you can use both formats in one package. Internet Explorer 4.x will use the OSD file, and Internet Explorer 3.x will use the .INF file.

At this point, you may be asking yourself, "Why change?" Read on, MacDuff.

Top Back to top

OSD is easier and designed for Internet download

The .INF syntax is more complicated than OSD because INF was extended to support code download beyond its original purpose: plain ol' Windows application and driver setup. For example, the Internet Code Download service is invoked to process the Internet code download .INF syntax, yet you can also invoke the standard Win95 setup engine (via the "hook" mechanism) to process .INF files using the original, non-Internet, Win95 .INF syntax.

Anyway, the new OSD syntax is simpler to read, and ought to do better at describing the components needed for a download package because that's what it was designed to do. And since OSD is based on XML, it is more flexible than .INF files (XML syntax provides easy extensibility and can describe the hierarchical relationships common among code components). I think that, ultimately, the OSD initiative will improve a developer's ability to manage Internet code download more effectively.

OSD enables Software Delivery Channels

When used in conjunction with another new XML vocabulary, Channel Definition Format (CDF), OSD adds the ability to associate a downloadable component with a software delivery channel. Software Delivery Channels can automatically inform users about updates to your software (see my section on Software Delivery Channels).

OSD and ActiveX

At first I didn't think OSD provided anything new for downloading ActiveX controls or .EXE and .DLL files. Now I understand that OSD is a more powerful way to describe the hierarchical relationships inherent in components that depend on each other. This is important, because unless you can describe those dependencies accurately, you can't expect the operating system to be clever about how it treats your component's installation. For example, what do you think the operating system should do when somebody tries to uninstall a component that your component depends on? With .INF, this is a real mess, because it can't describe dependency relationships well. OSD can. Also, the Internet Component Download service offers better control of component dependencies when they are described with OSD because you can a dependency tree (in which the leaf nodes of the tree are installed first) to specify the order in which dependent components are installed.

OSD and Java

The new Microsoft Virtual Machine for Java, included with Internet Explorer 4.x and the Microsoft SDK for Java 2.01 (and 2.0), includes several new features that can only be accessed if you use OSD to install your download package.

I think the most important new feature of the new virtual machine for Java is its Java Package Manager (JPM). By managing the process of downloading, the JPM solves the Java namespace problem. If you are familiar with the CLASSPATH method of locating installed Java packages, you are probably also familiar with the mess that occurs when the name of a new Java class collides with the name of an already-installed class. JPM manages a private namespace for each Java download package to make sure that no Java class names in a given package get confused with identical class names that exist in other packages. Users also don't have to reboot after installing a Java package. Plus, the JPM solves the update and uninstall problem. The Java docs do a fine job of explaining why and how to use OSD and the new JPM. Just follow the links I provide below.

Microsoft's Java team also created a new cabinet creation tool, DUBUILD (where the DU comes from Distribution Unit), to distribute Java applets and libraries with an OSD configuration file. This tool will create a CAB and OSD file for your Java applet or library. Further, it can automatically register ActiveX controls as JavaBeans, although you'll still have to package them for download.

For more information

The DUBUILD utility is explained in detail in the using dubuild Internet Link article in the Tools section of the Microsoft SDK for Java 2.01, and briefly in the tools quick reference Non-MSDN Online link.

The popular topics for java Internet Link page is a good place to visit frequently, as the Java product support folks frequently update this page with important new KB articles.

The Internet Client SDK has several articles about OSD, including an overview and reference on the osd markup syntax Internet Link (with samples).x.

Another Knowledge Base article, howto: automatically update the microsoft vm for java Internet Link , is great if your Java package needs a certain version of the VM for Java to run correctly.

Top Back to top

Active Setup

Active Setup is an Internet Explorer 4.x-only vehicle for downloading code on the Web. It is based on the CAB format, and is useful for really large downloads that would benefit from being broken up into multiple CABs. Active Setup is also capable of restarting from where it left off when an Internet connection gets toasted in the middle of a download. Internet Explorer 4.x and the Internet Client SDK both use Active Setup for their downloads. I found this description of the active setup log.txt file Internet Link in the Knowledge Base.

Top Back to top

File Transfer Protocol (FTP)

FTP has been around "forever". It is a protocol for transferring files from one computer to another over the Internet. If you can put your file on an FTP server (Microsoft includes an FTP server facility in windows nt server Internet Link , and there are lots of public-domain FTP servers), folks can download it just by pointing their browser at the FTP URL.

For example, the microsoft software library Internet Link (look at the URL for this link and you'll notice it starts with ftp:// instead of http://) is a storehouse for files that are referenced by the Microsoft Knowledge Base (see knowledge is power: inside the microsoft kb Internet Link). The files in this library are located on a server that can "talk FTP" with Internet Explorer (or any other client program that can use FTP).

If you want to use FTP, the Internet Client SDK article target="_top">ftp sessions Internet Link shows how Win32® Internet (WinInet) functions can be used to navigate and manipulate directories and files on an FTP server. And here's an internet client sdk reference Internet Link piece about the WinInet functions themselves. If you're more of a VB person, there's some sample code in the Knowledge Base article implementing ftp using wininet api from vb Internet Link .

Top Back to top

Other Packaging Tools

Many companies offer their own tools for packaging code. SoftSeek has a listing of file compression and zipping utilities Non-MS link that includes the well-known winzip products Non-MS link. Yahoo has a similar category, and I'm sure other search services compile information as well. There is also the package for the web Non-MS link product (you'll recognize it from the familiar blue-wash background).

Top Back to top

Security

On the Internet, good security means:

  • While surfing the Web, my computer and its contents are safe from prying eyes or attacks.
  • Information about me is only divulged with my full knowledge and express permission.
  • I have the means to make informed security decisions.

In this context, good security is a joint venture between your Web site and Microsoft. Microsoft's role is providing a useful security model, and the information and tools you need to make adequate use of that model, to provide a secure experience for your customer. Your role is to take security very seriously, to understand the security implications of your site's architecture and implementation, and to take the proper steps to ensure the best possible experience for your customers without compromising good security.

Microsoft has worked hard to make sure that Web pages delivered using standard HTML cannot ever compromise your security. But many of the more interesting things you can offer on Web pages cannot be achieved with HTML - they need to use plug-in components (ActiveX controls or Java applets) that can directly access local resources on your computer. We make sure that any Microsoft-provided components (whether they are pre-installed on your computer, or are downloaded later) can never be used by a rogue Web page to compromise your security. In order to provide this security guarantee for our components, we have to implement them according to well-documented programming guidelines. However, while we can be sure that our components are implemented "correctly", we can't force everybody to use secure programming practices (even though we provide lots of docs and samples that show how). Since we can't police the implementation of every plug-in component on the Web, an important part of Microsoft's security model allows users to establish exactly who is responsible for producing the components Web pages request to download. Knowing who produced a component allows users to make informed decisions regarding whom they will trust.

Top Back to top

Digital Code-Signing

On the Internet, you can't hold a shrink-wrapped box of software in your hand to verify its legitimacy. Hacker pages can exploit this by falsely representing a software download package as having been published by a reputable publisher. So even if a trustworthy publisher legitimately produced the package, how can you determine whether it's been tampered with?

Digital code-signing addresses this problem by providing the Internet equivalent of shrink-wrapped packaging and tamper-proof seals. Digital code-signing uses encryption technology to encode a download package with a digital certificate that indicates the publisher's name and a digital ID to verify a package's contents. The encryption technology used to produce this digital "signature" makes it essentially impossible for a hacker to alter a digitally-signed download package without leaving a trace.

Code-signing is surprisingly simple (really!). A short time ago, every time I thought I understood it, I would go off and try to explain it to somebody, get partway through the explanation, and my voice would sort of trail off …. "Now, let's see, how did that work again?" But then I saw Michael Howard's really good talk at Web Tech Ed. Michael really did make this stuff simple -- and you can see his talk reproduced in our training area Internet Link!

Authenticode™, the formal name for the encryption technology Microsoft uses for digital code signing, is based upon an encryption algorithm called "public key technology". Authenticode 1.0 was first introduced for Microsoft Internet Explorer 3.0. In the summer of 1997 Microsoft introduced Authenticode 2.0, and provided the update through a separate download for Internet Explorer 3.0 and 3.01 (it was directly incorporated into the version 3.02 download on June 16, 1997). Internet Explorer 4.x also uses Authenticode 2.0. Authenticode 2.0 provided two important new features: timestamping and the ability to revoke a publisher's digital certificate.

Top Back to top

Where to Get Code-Signing Tools

Microsoft provides a set of tools that create a digital certificate (a publisher's digital credentials) and encode it inside a CAB file. Certificates can also be placed directly into the resource fork (which can hold bitmaps, icons, and related stuff) of an executable file.

The activex sdk Internet Link provides tools to digitally sign a download package or executable file (creating a download package was discussed above). They were originally created for Authenticode 1.0, but were updated for Authenticode 2.0 last summer (if you have downloaded the ActiveX SDK since then, you've got the latest version). The SBN site contains lots of information about the authenticode 2.0 update Internet Link, including the means for Web sites to detect whether a browser should be updated to Authenticode 2.0. The ActiveX SDK code-signing tools cover all versions of Internet Explorer 3.x and Internet Explorer 4.x.

The Developer tools topic in the tools area Internet Link includes MS Authenticode sub-topics where you can download the code-signing tools.

The Microsoft sdk for java Non-MSDN Online link, like the Internet Client SDK, includes code-signing tools (updated for Internet Explorer 4.0) that are installed in the C:\SDK-Java.20\Bin\PackSign folder. You might notice the versions of these tools are newer than those in the Internet Client SDK, but I have been assured there are no significant differences between them. The updated tools for Internet Explorer 4.x can come from either source; just don't mix and match them. (I'd decide which tool set to use based on whether I was creating a Java or native-code download.)

msdn library online Internet Link picks up all Microsoft SDK documentation, so don't get confused by what is actually just another place to get the above SDK documentation.

Top Back to top

How Did the Code-Signing Tools Change for Internet Explorer 4.x?

Two changes took place after the Internet Explorer 3.02 update to the ActiveX SDK code-signing tools. Most people will only care about the updates that were made to support the new Java Package Manager (JPM). But some of you may want to use the new cryptographic features added for CrpytoAPI 2.0. If so, you might also like to know about the changes that were made to streamline the command-line options.

But do you really need to upgrade to the code-signing tools for Internet Explorer 4.x? Put another way, "if it ain't broke, why fix it?" If you don't care about Java, and you're just using standard digital certificates, then you might as well stick with what you have (your ActiveX SDK tools will produce signed CABs that work just fine on both Internet Explorer 4.x and Internet Explorer 3.x).

The changes for native code downloads support new cryptographic features in the July 1997 release of CryptoAPI 2.0 in (between the Internet Explorer 3.02 update and the final version of Internet Explorer 4.0). You can use these new features without losing Internet Explorer 3.x compatibility. I won't go into the details here, instead refer to the Internet Client SDK overview of code signing in the component development/signing and checking code with authenticode Internet Link topic. The article includes a detailed description of each tool, and the command-line flag changes between these tools and those offered in the ActiveX SDK. To be honest, I'm not too knowledgeable on the details to the cryptographic changes, and the Internet Client SDK docs are sketchy on what exactly all these new flags do (in fact, they refer you to the CryptoAPI 2.0 docs for additional background). If you want to reach the docs the SDK refers to (they were broken with the January release of MSDN Library), go here Internet Link instead.

The changes to the tools for Java reflect the new trust-based security model. You now have the ability to specify fine-grained permissions into your Java packages. The security model for Internet Explorer 3.x was all-or-nothing (you could either do anything you please with local resources, or you were confined to the sandbox). Note that using this new feature doesn't preclude your Java code from running on both Internet Explorer 3.x (with the new authenticode patch Internet Link ) and 4.x. A Java package signed with specific permissions viewed with Internet Explorer 3.x will look just like a "normal" signed Java package that asks for full permissions. Of course, you'll have to use a compatible download package (don't use the new LZX compression option with Internet Explorer 3.x!), and you'll have to handle exceptions in the Internet Explorer 3.x Java VM if you reference the new security classes. The trust-based security model is explained in the new Java docs (start with the trust-based security for java Internet Link article that is included in the "About Tools" topic in the microsoft sdk for java 2.01 documentation Internet Link ).

Top Back to top

What About Netscape?

The good news is that you don't have to do two completely different things to support secure controls on both Internet Explorer and Netscape Navigator. The bad news is that there are still some significant differences.

First, the Authenticode-compatible digital certificates you use with Internet Explorer won't work with Netscape's browser. Although Microsoft and Netscape digital certificates are each based on the X.509 industry standard, they use incompatible extensions and treat each other's certificates as invalid. Does that mean you are screwed? No! But you will have to get two certificates, one for Microsoft and another one for Netscape.

Second, Netscape uses a different model for developing and loading controls on Web pages that is incompatible with ActiveX controls.

I don't know much more than that, but feel free to poke around a bit on the netscape developer pages Non-MS link.

For more information

MSDN Online's Web Workshop has comprehensive material on security & cryptography Internet Link, and additional details on obtaining a digital certificate on its digital certificate for authenticode Internet Link page.

If you still have an ache to learn about security, check out these internet security articles Internet Link from MSDN Library Online. (Note that there is some overlap between these articles and the MSDN Online Web Workshop pages.)

Mike Pietraszak wrote an article for the January issue of MIND magazine, using j/direct to call the win32 api from java Internet Link , that includes an example of how to use DUBUILD.EXE and SIGNCODE.EXE to create signed Java packages for Internet Explorer 4.x.0X. (You'll have to get a hard copy of the magazine for the full article.)

Paul Johns' signing and marking activex controls Internet Link in the MSDN Library Online is a must.

You can find several articles in the knowledge base Internet Link , such as such as this article about digitally signing your visual basic® 5.0 application Internet Link , by searching for variations on "digital" and "signing".

Top Back to top

Marking ActiveX Controls as "Safe"

A digital signature guarantees secure delivery to the client computer, but by itself doesn't say anything about whether it's safe to run an ActiveX control. The problem is that, once a signed control is downloaded to an end-user's computer, it can be re-used by any other page that knows about it, without the end-user's knowledge. So you could write a control that used local resources in a benign fashion, but somebody else could figure out how to use it maliciously. The extent to which a hacker could damage an end-user's machine by making unauthorized and unintended use of your control depends upon whether there are features in your control that can be accessed via script on a Web page that directly or indirectly access or modify system resources. For example, if you had a method on your control that deleted some local files, and the filename to be deleted was passed via script, you've offered an open invitation to hackers everywhere. You can prevent an attack of this sort. For example, make sure your control can only be loaded from your domain (so that only you can use it).

This form of cyber-attack is referred to as "repurposing", and there are other forms as well. Fortunately, there is lots of documentation that explains how to safeguard your controls from all known methods of attack (see below).

For more information

To learn more about how to safeguard your controls from being misused, start with the Internet Client SDK article safe initialization and scripting for activex controls Internet Link.

If you are using ATL to create ActiveX controls, check out signing and marking activex controls with atl Internet Link .

If you are using Visual Basic to create ActiveX controls, these articles are useful: deploying activex controls on the web Internet Link and microsoft visual basic, control creation edition, version 5.0, control hosting hints Internet Link .

The Microsoft Knowledge Base has several articles, including implementing iobjectsafety in an activex control Internet Link . If you've never used Microsoft's Support Online site, check out Jason Strayer's knowledge is power: inside the microsoft kb Internet Link. You'll be glad you did.

Paul Johns' signing and marking activex controls Internet Link, as mentioned above, is in the MSDN Library Online.

The Microsoft SDK for Java 2.01 has several articles about securing your java code library Internet Link.

Top Back to top

Internet Explorer Security Settings

So far we've talked about the part of making code downloadable that affects developers. Now let's talk about controlling whether components are allowed to download and whether Web pages are allowed to script them. This is the part of the security model that is in the hands of the end-user.

Did Security Settings Change for Internet Explorer 4.x?

There are some fairly significant changes to the way users affect the security settings for Internet Explorer 4.x. The ones most Web authors will care about concern the changes to the High, Medium and Low security defaults, and the new security zone model, where Web sites are classified into different zones, each with their own security setting.

In Internet Explorer 3.02, users control whether "active content" (ActiveX or Java stuff) will download and run using radio button settings in the Security tab in the Options… dialog accessed from the View menu.

Internet Explorer 3.02 security dialog

Figure 1. Internet Explorer 3.02 security options

Unfortunately, it isn't super-clear to most users what those settings mean or do. The Safety Level… option button opens a dialog that makes things simpler by offering a simple choice between High, Medium and Low security levels, but the dialog is a level deeper, and most users don't even find it. Plus, just try to figure out how the High, Medium and Low settings affect the toggle switches on the Security tab. Eventually, with a bit of trial-and-error, I was able to figure out that the four Active content checkbox settings act to further restrict the High, Medium and Low settings in the Safety Level… dialog. But they cannot be used to lift restrictions that may be already imposed. For example, you can uncheck Allow downloading of active content in order to prevent ActiveX controls from being downloaded in the Low safely level, but leaving the same setting checked will not allow unsigned controls to download in the High safety level.

For Internet Explorer 4.x, the High, Medium, and Low security level options are shown on the main Security tab of the Internet Options… dialog in the View menu. This time, the fine-grained toggle settings are obscured in a deeper dialog. So most users will never mess with the new Security Settings dialog and the multiple security options available by selecting the new Custom (for expert users) option:

Internet Explorer 4.0 security dialog

Figure 2. Internet Explorer 4.0 custom security settings dialog

The Security Settings dialog options allow you to fine-tune the settings for the current security zone (the one selected in the Security tab of the Internet Options… dialog). Notice the Reset custom settings label. It lets you reset the option buttons back to the defaults for High, Medium, or Low security. This is also useful in figuring out exactly what the different default settings are to begin with.

If you are already familiar with the default settings for Internet Explorer 3.x, note the following important changes in Internet Explorer 4.x:

  • In Internet Explorer 4.x, the Medium-security setting does not allow the download of unsigned ActiveX controls; in Internet Explorer 3.x, the user is queried.
  • In Internet Explorer 4.x, the High-security setting does not allow the download of signed ActiveX controls; in Internet Explorer 3.x, the user is queried.
  • In Internet Explorer 4.x, the High-security setting does not allow any ActiveX control to be activated; in Internet Explorer 3.x, controls can activate if they've already been downloaded. (As far as I can tell, <OBJECT> tags just plain don't render in High-security mode for Internet Explorer 4.x.)

These user-interface changes are part of an ongoing effort to make security decisions easier for users. For example, a cool thing with the new security-zones deal (from a user standpoint) is that you can lump the sites you trust into the "Trusted Sites" zone (where security presumably isn't an issue). Maybe this is obvious, but I think the implication is that users won't take such a binary view towards downloading ("never download anything" vs. "always download everything"). Good security will then become more important for all sites to do well (because users will better understand and expect it).

For more information

The Internet Explorer 4.x product pages include a high-level overview of new security features in internet explorer 4.x Internet Link.

The Web Workshop has a security zones overview Internet Link.

Note: If you are looking for more granular security settings for controlling Java execution on Internet Explorer 4.x, check the "Custom" radio button in the Java Permissions area of the Security Settings dialog. A Java Custom Settings… button will become visible on the lower left corner of the dialog. Clicking that button whisks you off to a vast sea of fine-grained Java security settings.

Top Back to top

Some Stuff Related to Code Download

Software Delivery Channels

Software delivery channels combine two new XML vocabularies to automatically advertise and update software over the Internet.

creating software update channels Internet Link was originally published in the Internet Client SDK for the September 1997 release of Internet Explorer 4.x. There were a few enhancements for the Internet Explorer 4.01 release that were discussed in an article by Ray Sun, software update channels in internet explorer 4.01 Internet Link, on the MSDN Online Web Workshop. A detailed list of the changes in OSD appear in this open software description (osd) overview article Internet Link in the Internet Client SDK refresh of December 19th, 1997.

MIND magazine's December 1997 issue included an article on software delivery channels Internet Link by John Grieb (only a portion of it is accessible online, however).

For information on XML in general, pay a visit to the xml Internet Link section of the MSDN Online Web Workshop.

Media Type (MIME) and Filename Extension Associations

The Windows registry keeps track of which programs own various filename extensions and media types (MIME), and is how Windows knows what to do when users open a file in the Windows Explorer, on their desktop, or as an HREF= attribute of the <A> tag. This process is explained more fully in associating a file type with an application Internet Link from the MSDN Online Library.

Teri Schiele's definitive windows setup article Internet Link talks about known filename extensions (in case you are thinking of creating a new one), and how to register an "open" action with your own filename extension in the setup.inf file.

There's also registering an activex object as the player for a media type Internet Link, about registering ActiveX objects with a MIME type or a filename extension. (Internet Explorer first looks to see if somebody has registered for the MIME type before checking for a filename extension association.)

Pluggable Protocols

If you think associating your application with a Media type is a cool idea, you might be interested in creating a new protocol handler. In Internet Explorer, protocol handlers are to URLs what MIME-type handlers are to HREFs. In other words, you can register a URL protocol with an associated application so that all attempts to navigate to a URL using that protocol launch the application. That is how the mailto: and news: URLs work. Or you may have noticed the mk: protocol that MSDN and Visual Studio™ are now using.

The Internet Client SDK has articles on pluggable protocols Internet Link as well as predefined protocols Internet Link.

Top Back to top

Tips and Troubleshooting

Debugging problems with code download can be real frustrating because there simply aren't a lot of tools or information available. If you have any tips you'd like to pass on, please send them my way.

Software dependency is a problem just about everybody runs into once. The problem occurs when your downloaded application fails to load because you dynamically linked to a component that is not already installed or up-to-date. For example, if you built an MFC application for download, you are supposed to include a section in the setup.inf stating that you depend on the MFC library. Then Internet Component Download can check to be sure the library is installed, and, if not, can install it from the instructions in your setup.inf (a Knowledge Base article, howto: packaging mfc controls for use over the internet Internet Link , describes this in more detail). Active Template Library (ATL) developers may have run into this, because the ATL registrar code is located in a separate DLL (as explained in yet another Knowledge Base article, doc: instructions for statically linking to registrar code Internet Link ). You can figure out what DLLs you are inadvertently linking to by using the -dump option of the link utility (look at the "export" section). Or, even easier, just use QuickView (on the context menu for executable files) to see all the imports.

Deleting test certificates is another one that bit me. I kept clicking through user interface dialogs, looking for a way to delete all the old test certificates I had installed over the last several months. It turns out you can't do it in the user interface, but you can using the certmgr.exe code-signing utility (see the signing and checking code with authenticode Internet Link page in the Internet Client SDK).

You might also check out the howto: debugging code download activity in ie: knowledge base Internet Link article. This article includes information about utilities that can provide sort of an accounting trail of the download process (to find out what went wrong with a download).

There is also some help in the "Component Packaging" and "Control Development" sections of the Knowledge Base article info: faq on developing with the internet client sdk Internet Link .

And don't forget about uninstall. As important as uninstall support is for applications, you would think it would be better-supported for Internet components. When components are downloaded via Microsoft Internet Component Download (CABs and Java classes that are referenced by <OBJECT> or <APPLET> tags), they are installed in the Windows\occache folder (unless the default install location is overridden by a CAB's setup configuration file). Components installed in the occache are registered using a new "Module Usage" section of the registry.

There is no publicly-documented or supported way to programmatically uninstall downloaded Internet components. However, you can do it manually. There is a Windows shell extension associated with the Windows\occache folder called Downloaded Program Files located in the Windows folder. It presents another way to view the files there, and offers additional property information not normally available for files in a folder. For example, you can uninstall downloaded components by right-clicking in the Program File column in the Windows\Downloaded Program Files folder and selecting Remove Program File.

Downloaded Property Files shell extension

Figure 3. Downloaded Program Files shell extension

Top Back to top

Summary

I went over a lot of stuff in this article. I talked about the technologies available to build a download package, and there are many. I discussed Microsoft's approach to security, and how you can empower customers to verify whether a download package was actually published by your company (and therefore "trustworthy"). I talked about how security works in different versions of Internet Explorer, so users can protect themselves from rogue Web sites. I explained how to find Microsoft documents and tools for Internet Component Download, and what changed (and didn't) when Internet Explorer 3.x became Internet Explorer 4.x.

All the same, if you happen to think the process of making your code available over the Internet is harder than it should be, you are probably right. But you might also take solace in the fact that tools are improving to make it easier. For example, Visual Studio® 6.0 includes new packaging and deployment features that I wrote about in "installing windows applications via the web with visual studio 6.0" Internet Link. And I expect more work in this area will be accomplished in future versions of the Visual Studio product.

Good luck, and happy downloading.

Back to top Back to top

Did you find this material useful? Gripes? Compliments? Suggestions for other articles? write us! Internet Link


Web Workshop - A Short History of Code Download for Personal Computers

Click to return to the Component Development home page

A Short History of Code Download

Michael Edwards

Developer Technology Engineer
Microsoft Corporation

April 16, 1998

Editor's note: This is a short companion piece to another Michael Edwards article, Downloading Code on the Web.

People were installing code long before the Internet came along. And, since I firmly believe that a little bit of perspective helps make sense of change (humor can't hurt, either), I wanted to share this summary of the evolution of PC code installation.

Code Download Before the Internet (Before Windows, Even!)

When I bought my first personal computer, a Commodore 64, games shipped on a single 160K floppy. You didn't have to "install" them, since there wasn't anything to install them to. As an added bonus, there wasn't anything they could do to your computer that rebooting wouldn't fix.

Then personal computers started getting hard disks, and developers could make their programs bigger (with bigger, multi-disk data files) because they could copy everything onto a single platform. Even so, things were still pretty simple. Most of the time developers wrote small batch files to transfer all the files on their floppies to a directory on the hard disk. At worst, you had to be able to create a boot disk if your application needed special device drivers or something. But you never worried about installing a new application and watching it run amuck, screwing up other programs in the process. Rebooting remained the answer for any problem, and since you only used one program at a time, the most you would ever lose was your high score.

But then along came Windows®. Now if you wanted things to work, you had to copy certain files to certain places, modify certain settings, and more. In short, applications had to coexist with other stuff on a user's machine. So, in the early days of Windows 3.0, you started seeing setup utilities. Setup had reached a critical mass in complexity, enough to warrant being a separate application. However, knowing what bits to twiddle where was rocket science, and most people were screwing it up.

Along Came Windows 95

Finally, in May 1995, just before Windows 95 shipped, Teri Schiele wrote the definitive setup article for MSDN, windows 95 application setup guidelines for independent software vendors Internet Link. This article, combined with the InstallSHIELD SDK included with Visual C++® 4.0, demystified the process of implementing a decent Windows setup application. For a while, people were a little happier.

To ship Windows 95, Microsoft needed to put lots of stuff on as few disks as possible (can you say "cost of goods" or "ease of installation"?). That's when Cabinet technology first surfaced. With Cabinet technology, you could compress multiple files inside a single cabinet (CAB) file. For big jobs, your cabinet could span multiple disks and increase compression by lumping all files together (instead of compressing each file separately). Windows 95 Setup also greatly expanded the INF file format used for storing setup configuration information and driving the setup process. The INF file format had been around since the very beginning (that would be Windows 1.0), and was used by the InstallSHIELD SDK, so it made sense to enhance it instead of coming up with something completely different. So the INF file format was extended to describe the contents of a cabinet file and how they should be installed. While this new cabinet stuff was only available for Windows 95 setup, more and more software publishers were looking for something like cabinets to make installing their own products easier. But nothing changed until Microsoft decided to embrace the Internet. Hold on to your seat, because now the pace of change really speeds up.

Microsoft "Embraces" the Internet

The early versions of Internet Explorer were mostly about Web browsing. It wasn't until Microsoft starting building and marketing ActiveX® technology that it became really important (and strategic) to improve users' ability to install code over the Web. If we wanted Web page developers to embrace ActiveX, we needed to make it easier for them to install ActiveX controls. So when Microsoft released Internet Explorer 3.0 in the summer of '96, the CAB technology originally developed for Windows 95 Setup was (finally) made available to third-party developers (see reducing download times with cabinet files: the problem and a solution Internet Link on MSDN Library Online). Soon thereafter, the CAB SDK was born, which provided tools to distribute compressed, executable, and data files over the Internet using Internet Explorer 3.0.

About that time, it was also becoming apparent that security was a bit of a problem on the Web. Pirates (and others with few scruples) were figuring out that trashing other people's computers was a great way to build a reputation as a hacker. So, with Internet Explorer 3.0, Microsoft also introduced Authenticode™ 1.0. Authenticode identifies code publishers and assures end users that software has not been modified by anyone else before or during the download process. With Authenticode, third-party developers digitally sign their downloads, and users decide whether to download them based on their perception of the publisher (i.e., do I really trust that this code from Joe's Software Garage is on the up-and-up?).

Also at that time, Java was well on its way to fame and fortune. Internet Explorer 3.0 was designed to address the security issues Java raised, which mostly occurred if you wanted your Java applets to be able to access local resources.

And then Came Internet Explorer 4.0

The Internet is becoming increasingly important as a software distribution channel, even though it is vulnerable to hackers with malicious intent. To help with this, Internet Explorer 4.0 added features to make it easier for users to have a secure experience when a Web page wants to download something. Internet Explorer 4.0 also expanded on the features for packaging and conducting downloads expanded. But it accomplished these things by adding new options not supported by previous versions (which Downloading Code on the Web discusses in great detail).

Which brings us to where we are now. A lot of people are still using Internet Explorer 3.x and other browsers, and many of you need and want to support them. So, in the accompanying article, Downloading Code on the Web, I'll focus on explaining the code download features that are available for both Internet Explorer 3.x and Internet Explorer 4.x, as well as introduce the new features that are only available on Internet Explorer 4.x.

Back to top Back to top

Did you find this material useful? Gripes? Compliments? Suggestions for other articles? write us! Internet Link


ATTACH Element

Binds a function to an event, so that the function is called whenever the event fires on the specified object.

Syntax

<PUBLIC:ATTACH
    EVENT = sEvent
    FOR = document | element | window
    ONEVENT = sEventHandler
    ID = sID
/>

Attributes

EVENT
Required. String that specifies the name of a Dynamic HTML (DHTML) event, or any of the events specific to the HTML Component (HTC) that are listed in the HTC Reference.
FOR
Optional. String that specifies one of the following values to identify the source of the event.
document | Refers to the document object.
element | Default. Refers to the element to which the behavior is attached.
window | Refers to the window object.
ONEVENT
Required. String that specifies an inline script or a direct invocation of the event handler function.
ID
Optional. String that uniquely identifies the ATTACH element within the component. This attribute is analogous to the ID attribute in DHTML.

Element Information

Number of occurrences | Any number
Parent elements | COMPONENT
Child elements | None
Requires closing tag | No

Remarks

The ATTACH element is a declarative form of the attachEvent method.

When the specified event fires on the element to which the behavior is attached, the element's event handler is called first, before the behavior's. If multiple behaviors are attached to an element and multiple event handlers are defined for the same event on the same element, the functions are called in random order, immediately after the element's event handler is called.

Example

This example uses an HTC to implement a table of contents that expands and collapses. The HTC attaches to the element's onclick event, and then expands or collapses the list each time the onclick event is received.

Sample Code

<PUBLIC:PROPERTY NAME="child" />
<PUBLIC:ATTACH EVENT="onclick" ONEVENT="ExpandCollapse()" />

<SCRIPT LANGUAGE="JScript">
function ExpandCollapse()
{
   var i;
   var sDisplay;

   // Determine current state of the list (expanded or collapsed)
   // based on the current display property of the child.
   bCollapsed = (element.document.all(child).style.display == "none");

   if (bCollapsed)
   {
      style.listStyleImage = "url('/workshop/graphics/blueminus.gif')";
      element.document.all(child).style.display = "";
   }
   else
   {
      style.listStyleImage = "url('/workshop/graphics/blueplus.gif')";
      element.document.all(child).style.display = "none";
   }
}
</SCRIPT>
This feature requires Microsoft® Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

See Also

dhtml behaviors Internet Link, implementing dhtml behaviors in script Internet Link


COMPONENT Element

Identifies the content of the file as an HTML Component (HTC).

Syntax

<PUBLIC:COMPONENT
    NAME = sName
    URN = sURN
    ID = sID
/>

Attributes

NAME
Optional. String that specifies the name by which the behavior is referred to in the containing document. This is especially useful when multiple behaviors are attached to an element, as it allows you to invoke the properties or methods of the desired behavior from the containing document.

If multiple behaviors are attached to a <SPAN ID="mySpan"> element in a document, you can use the following syntax to set the delay property of the behavior named behaviorABC.

   mySpan.behaviorABC.delay = 1000;
URN
Required. String, in Uniform Resource Name (URN) format, that uniquely identifies the component. This allows events to be uniquely identified when multiple behaviors may be firing events of the same name. When the event is fired, the event object's srcURN property is set to the URN of the behavior that fired the event.
ID
Optional. String that uniquely identifies the COMPONENT element within the component. This attribute is analogous to the ID attribute in Dynamic HTML (DHTML).

Element Information

Number of occurrences | None or one
Parent elements | None
Child elements | ATTACH, EVENT, METHOD, PROPERTY
Requires closing tag | Yes

See Also

dhtml behaviors Internet Link, implementing dhtml behaviors in script Internet Link


EVENT Element

Defines an event of the HTML Component (HTC) to be exposed to the containing document.

Syntax

<PUBLIC:EVENT
    NAME = sName
    ID = sEventID
/>

Attributes

NAME
Required. String that specifies the name of the event exposed to the containing document.
ID
Optional. String that uniquely identifies the EVENT element within the component. This attribute is analogous to the ID attribute in Dynamic HTML (DHTML).

Methods

eventID.fire([oEvent])
Fires the event to the containing document. This method has an optional oEvent parameter that specifies the event object containing context information.

Element Information

Number of occurrences | Any number
Parent elements | COMPONENT
Child elements | None
Requires closing tag | No

Remarks

By specifying a NAME attribute similar to a standard event already defined for the element, a behavior can override the element's default behavior.

Events defined for a behavior do not bubble; they only fire on the element to which the behavior is attached.

Example

This example is derived from a calculator behavior sample. Whenever the result changes, the HTC fires a custom onResultChange event back to the page, passing the result as a custom property of the event object.

Sample Code

<PUBLIC:EVENT NAME="onResultChange" ID="rcID" />

<SCRIPT LANGUAGE="JScript">
function doCalc()
{
   :
   oEvent = createEventObject();
   oEvent.result = sResult;
   rcID.fire (oEvent);
}
<SCRIPT>

This example shows what the containing page looks like.

<HTML XMLNS:InetSDK>
<HEAD>
<STYLE>
@media all {
   InetSDK\:CALC    {behavior:url(engine.htc)}
}
</STYLE>
</HEAD>

<InetSDK:CALC id="myCalc" onResultChange="resultWindow.innerText=
    window.event.result">
<TABLE>
<TR><DIV ID="resultWindow" STYLE="border: '.025cm solid gray'"
    ALIGN=RIGHT>0.</DIV></TR>
<TR><TD><INPUT TYPE=BUTTON VALUE=" 7 "></TD>
    <TD><INPUT TYPE=BUTTON VALUE=" 8 "></TD>
    <TD><INPUT TYPE=BUTTON VALUE=" 9 "></TD>
    <TD><INPUT TYPE=BUTTON VALUE=" / "></TD>
    <TD><INPUT TYPE=BUTTON VALUE=" C "></TD>
</TR>
<TR><TD><INPUT TYPE=BUTTON VALUE=" 4 "></TD>
    <TD><INPUT TYPE=BUTTON VALUE=" 5 "></TD>
    <TD><INPUT TYPE=BUTTON VALUE=" 6 "></TD>
    <TD><INPUT TYPE=BUTTON VALUE=" * "></TD>
    <TD><INPUT TYPE=BUTTON VALUE=" % " DISABLED></TD>
</TR>
<TR><TD><INPUT TYPE=BUTTON VALUE=" 1 "></TD>
    <TD><INPUT TYPE=BUTTON VALUE=" 2 "></TD>
    <TD><INPUT TYPE=BUTTON VALUE=" 3 "></TD>
    <TD><INPUT TYPE=BUTTON VALUE=" - "></TD>
    <TD><INPUT TYPE=BUTTON VALUE="1/x" DISABLED></TD>
</TR>
<TR><TD><INPUT TYPE=BUTTON VALUE=" 0 "></TD>
    <TD><INPUT TYPE=BUTTON VALUE="+/-"></TD>
    <TD><INPUT TYPE=BUTTON VALUE=" . "></TD>
    <TD><INPUT TYPE=BUTTON VALUE=" + "></TD>
    <TD><INPUT TYPE=BUTTON VALUE=" = "></TD>
</TR>

</TABLE>
</InetSDK:CALC>
</HTML>
This feature requires Microsoft® Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

See Also

dhtml behaviors Internet Link, implementing dhtml behaviors in script Internet Link, METHOD, PROPERTY


METHOD Element

Defines a method of the HTML Component (HTC) to be exposed to the containing document.

Syntax

<PUBLIC:METHOD
    NAME = sName
    INTERNALNAME = sInternalName
    ID = sID
/>

Attributes

NAME
Required. String that specifies the name by which the method is referred to in the containing document. By default, the NAME specified is also used to refer to the method within the component, unless an INTERNALNAME attribute is specified.
INTERNALNAME
Optional. String that specifies the name by which the method is referred to within the component. If no value is specified, the NAME attribute is used by default.
ID
Optional. String that uniquely identifies the METHOD element within the component. This attribute is analogous to the ID attribute in Dynamic HTML (DHTML).

Element Information

Number of occurrences | Any number
Parent elements | COMPONENT
Child elements | None
Requires closing tag | No

Remarks

By specifying a NAME attribute similar to a standard method name already defined for the element, a behavior can override the element's default behavior.

Example

This example uses the METHOD tag to expose the startFlying() method from the HTC to the containing document.

<PUBLIC:METHOD NAME="startFlying" />

<SCRIPT LANGUAGE="JScript" >
function startFlying()
{
   // insert flying code here
}
</SCRIPT>

See Also

dhtml behaviors Internet Link, implementing dhtml behaviors in script Internet Link, EVENT, PROPERTY


PROPERTY Element

Defines a property of the HTML Component (HTC) to be exposed to the containing document.

Syntax

<PUBLIC:PROPERTY
    NAME = sName
    ID = sPropertyID
    INTERNALNAME = sInternalName
    GET = sGetFunction
    PUT = sPutFunction
    PERSIST = bPersist
    VALUE = vValue
/>

Attributes

NAME
Required. String that specifies the name of the property exposed to the containing document. By default, the NAME specified is also used to refer to the property within the component, unless an INTERNALNAME attribute is specified.
ID
Optional. String that uniquely identifies the PROPERTY element within the component. This attribute is analogous to the ID attribute in Dynamic HTML (DHTML).
INTERNALNAME
Optional. String that specifies the name by which the property is referred to within the component. This internal name must be declared globally before it can be referenced anywhere in the component; otherwise, a scripting error occurs, indicating that the name is undefined. If no internal name is specified, the NAME attribute is used by default.
GET
Optional. String that specifies the function to be called whenever the value of the property is retrieved. A PROPERTY element that specifies a GET attribute without specifying a PUT attribute is a read-only property.
PUT
Optional. String that specifies the function to be called when the value of the property is set.

Note The function specified in this attribute must notify the element in the containing document about the property change by calling the PROPERTY element's fireChange method. Invoking this method causes the onpropertychange event to fire on the element in the containing page, with the event object's propertyName set to the name of the property. A PROPERTY element that specifies the GET and PUT attributes is a read/write property. Failure to specify a GET function, when a PUT function is specified, causes the property to be write-only, which often might not be desired.

PERSIST
Optional. Boolean that specifies whether to persist the property as part of the page.
VALUE
Optional. Variant that specifies the default value for the property.

Methods

propertyID.fireChange()
Notifies the containing document that the value of the property has changed by firing the onpropertychange event on the element. If no PUT attribute is specified on the property, the onpropertychange is automatically fired when the property is set in the containing document.

Element Information

Number of occurrences | Any number
Parent elements | COMPONENT
Child elements | None
Requires closing tag | No

Remarks

By specifying a NAME attribute similar to a standard property already defined for the element, a behavior can override the element's default behavior.

If either the PUT or GET attribute is specified, the INTERNALNAME attribute is ignored. Setting and/or retrieving the value of the property through the function(s) specified in the PUT and GET attributes takes precedence over setting and/or retrieving the value of the property through the INTERNALNAME.

Example

This example uses an HTC to create a table of contents that expands and collapses when the user clicks it. The HTC exposes a child property to the containing document to indicate which element needs to toggle its display property to achieve the desired expanding/collapsing effect.

Sample Code

<PUBLIC:PROPERTY NAME="child" />
<PUBLIC:ATTACH EVENT="onclick" ONEVENT="ExpandCollapse()" />

<SCRIPT LANGUAGE="JScript">

function ExpandCollapse()
{
   var i;
   var sDisplay;

   // Determine current state of the list (expanded or collapsed)
   // based on the current display property of the child.
   bCollapsed = (element.document.all(child).runtimeStyle.display == "none");

   if (bCollapsed)
   {
      runtimeStyle.listStyleImage = "url('/workshop/graphics/blueminus.gif')";
      element.document.all(child).runtimeStyle.display = "";
   }
   else
   {
      runtimeStyle.listStyleImage = "url('/workshop/graphics/blueplus.gif')";
      element.document.all(child).runtimeStyle.display = "none";
   }
}
</SCRIPT>
This feature requires Microsoft® Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

This example uses the PUT and GET attributes to specify which functions to invoke when the property is set or retrieved.

<PUBLIC:PROPERTY ID="propID" NAME="child"
   PUT="saveChild" GET="returnChild"/>
:
<SCRIPT LANGUAGE="JScript">
var myChild=null;

function saveChild (vValue)
{
   myChild = vValue;
   propID.fireChange();
}

function returnChild()
{
   return myChild;
}
</SCRIPT>

See Also

dhtml behaviors Internet Link, implementing dhtml behaviors in script Internet Link, EVENT, METHOD


oncontentready Event

Fires when the content of the element, to which the behavior is attached, has been completely parsed.

Syntax

<PUBLIC:ATTACH
    EVENT = oncontentready
    ONEVENT = sEventHandler
    FOR = element
    ID = sID
/>

Attributes

EVENT
Required. String that specifies the name of a Dynamic HTML (DHTML) event, or any of the events specific to the HTML Component (HTC) that are listed in the HTC Reference.
FOR
Optional. String that specifies one of the following values to identify the source of the event.
document | Refers to the document object.
element | Default. Refers to the element to which the behavior is attached.
window | Refers to the window object.
ONEVENT
Required. String that specifies an inline script or a direct invocation of the event handler function.
ID
Optional. String that uniquely identifies the ATTACH element within the component. This attribute is analogous to the ID attribute in DHTML.

Remarks

The innerHTML property of the element might not return the correct value until this event fires.

Example

This example uses the oncontentready event on a page to display the value of the element's innerHTML property.

<PUBLIC:ATTACH EVENT="oncontentready" ONEVENT="show_innerHTML()" />

<SCRIPT LANGUAGE="JScript">
function show_innerHTML()
{
   window.alert ('innerHTML = ' + element.innerHTML);
}
</SCRIPT>

See Also

dhtml behaviors Internet Link, implementing dhtml behaviors in script Internet Link


ondetach Event

Fires before the behavior is detached from the element.

Syntax

<PUBLIC:ATTACH
    EVENT = ondetach
    ONEVENT = sEventHandler
    FOR = element
    ID = sID
/>

Attributes

EVENT
Required. String that specifies the name of a Dynamic HTML (DHTML) event, or any of the events specific to the HTML Component (HTC) that are listed in the HTC Reference.
FOR
Optional. String that specifies one of the following values to identify the source of the event.
document | Refers to the document object.
element | Default. Refers to the element to which the behavior is attached.
window | Refers to the window object.
ONEVENT
Required. String that specifies an inline script or a direct invocation of the event handler function.
ID
Optional. String that uniquely identifies the ATTACH element within the component. This attribute is analogous to the ID attribute in DHTML.

Remarks

A behavior can detach from an element if one of the following occurs:

  • The containing page is closed.
  • The behavior is removed from the page using the removeBehavior method.
  • The behavior property of the element is set to null, or reset to point to another behavior.
  • The className property of the element is set to null, or reset to some other class other than the one defined for the behavior.

The ondetach event allows the behavior to perform some cleanup just before it completely detaches from the element.

Note In cases where a behavior attaches to events on the containing page using the attachEvent method, this event gives the behavior the opportunity to call the detachEvent method to stop receiving notifications from the page. A behavior that attaches to events on the page using the ATTACH element automatically stops receiving notifications when the behavior detaches from the element, and does not need to call the detachEvent method when the ondetach event fires.

Example

This example uses the ondetach event to turn off the highlighting effect on a list of items initially attached to a highlighting behavior.

Sample Code

<PUBLIC:ATTACH EVENT="ondetach" ONEVENT="cleanup()" />

<SCRIPT LANGUAGE="JScript">
attachEvent ('onmouseover', Hilite);
attachEvent ('onmouseout', Restore);

function cleanup()
{
   detachEvent ('onmouseover', Hilite);
   detachEvent ('onmouseout', Restore);
}

function Hilite()
{
   if (event.srcElement == element)
   {
     normalColor = style.color;
     runtimeStyle.color  = "red";
     runtimeStyle.cursor = "hand";
   }
}

function Restore()
{
   if (event.srcElement == element)
   {
      runtimeStyle.color  = normalColor;
      runtimeStyle.cursor = "";
   }
}
</SCRIPT>
This feature requires Microsoft® Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

See Also

dhtml behaviors Internet Link, implementing dhtml behaviors in script Internet Link


ondocumentready Event

Fires when the behavior's containing document has been completely parsed.

Syntax

<PUBLIC:ATTACH
    EVENT = ondocumentready
    ONEVENT = sEventHandler
    FOR = element
    ID = sID
/>

Attributes

EVENT
Required. String that specifies the name of a Dynamic HTML (DHTML) event, or any of the events specific to the HTML Component (HTC) that are listed in the HTC Reference.
FOR
Optional. String that specifies one of the following values to identify the source of the event.
document | Refers to the document object.
element | Default. Refers to the element to which the behavior is attached.
window | Refers to the window object.
ONEVENT
Required. String that specifies an inline script or a direct invocation of the event handler function.
ID
Optional. String that uniquely identifies the ATTACH element within the component. This attribute is analogous to the ID attribute in DHTML.

Remarks

The ondocumentready event fires after all scripts, images, Microsoft® ActiveX® controls, and all other elements on the page are completely downloaded.

A behavior attached to an element receives both the ondocumentready and oncontentready notifications, but only after the window.onload event fires.

See Also

dhtml behaviors Internet Link, implementing dhtml behaviors in script Internet Link


createEventObject Method

Creates an event object that can be used when passing event context information to the EVENT element's fire method.

Syntax

oEvent = createEventObject()

Return Value

Returns an event object.

Remarks

The same event object cannot be reused in multiple calls to the fire method.

Note All properties of the event object created using createEventObject are read/write, including those that would be read-only in Dynamic HTML. This allows you to set properties on the event object from the HTML Component (HTC), before firing the event.

Example

This example is derived from a calculator behavior sample. When the result changes, the behavior fires a custom onResultChange event back to the page, passing the result as a custom property of the event object.

Sample Code

<PUBLIC:EVENT NAME="onResultChange" ID="rcID"  />

<SCRIPT LANGUAGE="JScript">

:
function doCalc()
{
   :
   oEvent = createEventObject();
   oEvent.result = sResult;
   rcID.fire (oEvent);
}
</SCRIPT >

This example shows what the containing page looks like.

<HTML XMLNS:InetSDK>
<HEAD>
<STYLE>
@media all {
   InetSDK\:CALC    {behavior:url(engine.htc)}
}
</STYLE>
</HEAD>

<InetSDK:CALC id="myCalc"
    onResultChange="resultWindow.innerText=window.event.result">
<TABLE>
<TR><DIV ID="resultWindow" STYLE="border:'.025cm solid gray'"
         ALIGN=RIGHT>0.</DIV></TR>
<TR><TD><INPUT TYPE=BUTTON VALUE=" 7 "></TD>
    <TD><INPUT TYPE=BUTTON VALUE=" 8 "></TD>
    <TD><INPUT TYPE=BUTTON VALUE=" 9 "></TD>
    <TD><INPUT TYPE=BUTTON VALUE=" / "></TD>
    <TD><INPUT TYPE=BUTTON VALUE=" C "></TD>
</TR>
    :
</TABLE>
</InetSDK:CALC>
</HTML>
This feature requires Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

See Also

dhtml behaviors Internet Link, implementing dhtml behaviors in script Internet Link


element Object

Returns the element to which the behavior Internet Link is attached.

Remarks

All properties, methods, and events of the element are accessible to an HTML Component (HTC) using this object, or by using the property, method, or event name directly and not prefixing the name with the element keyword.

Example

This example uses a behavior to implement a table of contents that expands and collapses when the user clicks it. The HTC attaches to the element's onmouseover event and sets the color property of the element to red. The color of the element can be toggled through the style property of the element directly, instead of referring to it as element.style.

The HTC also sets the cursor property to "hand" to signal the user that the element can be clicked to toggle visibility of its children.

<PUBLIC:ATTACH EVENT="onmouseover" ONEVENT="Hilite" />

<SCRIPT LANGUAGE="JScript">
var prevColor;

function Hilite()
{
   prevColor = style.color;
   element.style.color  = "red";
   element.style.cursor = "hand";
}
</SCRIPT>
This feature requires Microsoft® Internet Explorer 5 or later. Click the icon below to install the latest version. Then reload this page to view the sample.
Microsoft Internet Explorer

See Also

dhtml behaviors Internet Link, implementing dhtml behaviors in script Internet Link


Welcome to Scriptlet Technology

Dynamic HTML (DHTML) scriptlets provide you with an easy but powerful way to create controls from Web pages (.htm files) that use Dynamic HTML. You can use scriptlets as ordinary controls in applications such as Microsoft® Visual Basic®, Microsoft® Internet Explorer version 4.0 and later, and Microsoft® Visual InterDev™.

To | See
Understand scriptlets and how they work | Scriptlets Overview
Create scriptlets and add them to your applications | Designing and Using Scriptlets
Find descriptions of the properties, methods, and events that you can use when including a scriptlet in your application | Scriptlet Container Object Reference
Find descriptions of the properties, methods, and events that you can use when creating a scriptlet | Scriptlet Model Extensions


Adding Scriptlets to Your Application

You can use scriptlets as you would any control.

To add a scriptlet to a Web page:

  1. Define the scriptlet using an OBJECT tag, setting its TYPE attribute to "text/x-scriptlet".
  2. Specify the scriptlet's URL by setting the DATA attribute in the OBJECT tag, as in the following example:
    <OBJECT ID="Scriptlet1"
            TYPE="text/x-scriptlet"
            DATA="http://myserver/sample.htm">

    Or, specify a URL using the object's PARAM tag, as in the following example:

    <OBJECT ID="Scriptlet1" TYPE="text/x-scriptlet" WIDTH=300 HEIGHT=200>
   <PARAM NAME="url" VALUE="http://myserver/sample.htm"
</OBJECT>

    Note If you insert a scriptlet into a Web page using a visual tool such as a toolbox or control insertion dialog box, the resulting object definition might include a CLASSID attribute instead of the TYPE attribute.

To add a scriptlet to a host application:

  1. Create a scriptlet container object in your application and set its name property.
  2. Set the scriptlet container object's url property to the URL of the scriptlet you want to use.

Important If you are adding the scriptlet to a Web page, do not set the url property to the URL of the current page. Doing so causes a recursive call to the page and will cause the browser to stop functioning.

You can add scroll bars if the scriptlet is too small to be displayed within the container object. For details, see scrollbar.

You can also resize the container object from within the scriptlet by using a script to set the DHTML script object's pixelHeight and pixelWidth properties. The following example shows how you can resize the scriptlet container when the scriptlet is first loaded.

<HTML ID="MyPage">
<HEAD>
<SCRIPT LANGUAGE="VBScript">
Sub window_onload()
   MyPage.style.pixelHeight = 300
   MyPage.style.pixelWidth = 400
End Sub
</SCRIPT>
</HEAD>

If you change the .htm file after creating the control, the display in the control is not updated until the next time the page is read. This occurs when the application is run or if you change the url property of the control again.

Note After the scriptlet has been initialized, the F5 key, used to refresh a page in Internet Explorer, is not active in the scriptlet container object.

After creating an instance of the scriptlet, you can write scripts for it as you would for any other control. The object you are using to work with properties and methods is the scriptlet container object; the exact properties and methods you can use are defined by the scriptlet identified in the container's url property.

Note If you are working in an environment that can display an object's properties and methods, such as Visual Basic®, you will not see the properties, because these are not exposed to the development environment.

For example, the following code in a Visual Basic form sets a property and calls a method in the page referenced by the ScriptContainer1 control.

Sub cmdColor_Click()
   ScriptContainer1.BackgroundColor="red"
   ScriptContainer1.UpdateText (Text1.Text)
End Sub

Note In Visual Basic, you must pass a parameter to a scriptlet method even if the method does not require one or errors can occur. For example, the following statement passes a placeholder parameter of zero to a scriptlet method that does not require parameters:

ScriptContainer1.ToggleColor (0)

Before getting a scriptlet's properties or calling its methods, be sure that the scriptlet has been fully loaded. For details, see the container object's onreadystatechange event and readyState property, and the scriptlet's frozen property.

Handling events that occur in the scriptlet is slightly different than it is for events in other objects. For details, see Defining Event Handlers.

See Also

Scriptlets Overview

Designing a Scriptlet


Defining Custom Events

You can use custom events to:

  • Send more detail about a standard event—for example, which of the buttons in the scriptlet was clicked.
  • Notify the host application about DHTML events that are not among the standard events handled by the bubbleEvent method.
  • Notify the host application about nonstandard changes in the scriptlet, such as when the value of a property changes.

As with standard events, you must send the event from the scriptlet and capture the event in the host application.

To send a custom event in the scriptlet:

  • Call the scriptlet's raiseEvent method.

    Note Before passing events to the container object, you can check the scriptlet's frozen property to be sure that the container object is ready to handle events.

For example, the following shows how you can send a custom event called oncolorchange whenever the scriptlet's backgroundColor property is reset.

<SCRIPT LANGUAGE="JavaScript">
function public_put_backgroundColor(value)
{
   window.document.bgColor = value;
   window.external.raiseEvent("event_onbgcolorchange",window.document);
}
</SCRIPT>

To handle a custom event in the host application:

  • Create an event handler for the onscriptletevent event.

The following is an example in Microsoft® Visual Basic® that shows how you can determine which control triggered an event.

Sub ScriptletContainer1_onscriptletevent( ByVal txtTitle As String, _
      ByVal eventData As Variant)
   objName = eventData.srcElement.ID
   MsgBox "The event " & txtTitle & " occurred in " & objName
End Sub

If your host application is Microsoft Internet Explorer, use a script such as the following to capture the scriptlet event.

<SCRIPT   LANGUAGE="JavaScript"
         FOR=ScriptletControl1
         EVENT= onscriptletevent (name, eventData)>
   alert("The event that occurred in the scriptlet was " + name);
</SCRIPT>

You can use a Select Case structure in the onscriptletevent event to take different actions based on different events.

See Also

Handling Standard Events


Using Default Scriptlets

Click to return to the Component Development home page

Using Default Interface Descriptions

If there is no public_description object defined in the scriptlet, the scriptlet container object exposes properties and methods using variables and functions in the scriptlet that follow certain naming conventions. To expose scriptlet properties and methods, use these conventions:

  • Use the prefix public_ to indicate that a variable or function should be exposed by the scriptlet.
  • To create a read/write property, declare a variable scoped at the page level (that is, not defined inside a function) and give it a public_ prefix.
  • To create a method, define a function with the prefix public_.
  • To create a readable property as a function, define a function with the prefix public_get_.
  • To create a writable property as a function, define a function with the prefix public_put_.

Note When a property or method is exposed, its name in the host application does not have the public_ prefix. For example, if you define a property called public_MyTitle in the scriplet, its name in the host application is MyTitle.

The following table shows examples of variables and functions in a scriptlet and the resulting interface that they expose in the host application.

Example Exposed As Used in container
var public_Color = "red"
Property
vColor = SC1.Color SC1.Color = "blue"
function public_look(param)
Method
SC1.look(param)
function public_get_C()
Property (read)
x = SC1.C
function public_put_C(param)
Property (write)
SC1.C = "test"
function look()
Not available
(no public_ prefix)
function get_C()
Not available
(no public_ prefix)
var Color = red;
Not available
(no public_ prefix)
var get_Color = red;
Not available
(no public_ prefix)

The following example shows a portion of a page containing a paragraph named "P1". The script block following the paragraph exposes a property called P1Text and a method called SetText.

<P ID=P1>This is a paragraph of text.</P>

<SCRIPT LANGUAGE="JavaScript">
<!--
public_P1Text = P1.innerText
function public_SetText(newText){
   P1.innerText = newText;
}
// -->
</SCRIPT>

The scriptlet reserves the function name prefixes public_get_ and public_put_ to define properties. For example, if the scriptlet contains a function named public_get_MyText, it will be treated as a property called MyText. If you attempt to call the function public_get_MyText as a method using the syntax SC1.get_MyText(), an error will result, because the function itself is exposed only as if it were a property named MyText.

See Also

Creating a public_description Object

Handling Standard Events

Defining Custom Events

Adding Scriptlets to Your Application


Designing a Scriptlet

A scriptlet is simply a DHTML page that uses certain conventions to define its properties, methods, and events.

To define the page as a scriptlet:

  • Create a JScript® (compatible with ECMA 262 language specification) public_description object to manage properties and methods. With this convention, you explicitly define which properties and methods the scriptlet will make available. Any behavior that is not explicitly declared using the public_description object is not available. For more information, see Creating a public_description Object.

  • Or, use a default interface description. You do not explicitly declare properties or methods. Instead, any variables and functions that follow certain naming conventions become available as properties and methods. You can use this method if you want to create scriptlet properties and methods in an active scripting language other than JScript. For more information, see Using Default Interface Descriptions.

Using a public_description object has several advantages. You can use any names for variables and functions that you want to expose as properties and methods because you assign them public names in the public_description object. In addition, using the public_description object provides you with a convenient way to summarize and document the properties and methods that the scriptlet exposes.

In contrast, if you use the default interface descriptions, you must use the public_ prefix on any name that you want to expose. If a scriptlet already happens to have a variable or function with the public_ prefix, it will always be exposed, whether you want it to be or not.

When you create the properties, methods, and events for the scriptlet, you can make full use of the DHTML Object Model to display text, animate HTML elements, change colors, or define any other behavior that you want the control to have.

You can also use extensions to the DHTML Object Model that are available as part of the window.external object, which is unique to scriptlets. For a summary of the extensions, see Scriptlet Model Extensions.

Note You can determine from within the .htm file whether it is being used as a scriptlet or simply as a standalone Web page. For details, see the version property.


Defining Event Handlers

When you use a scriptlet in your host application, the application can be notified about events that occur in the scriptlet. The scriptlet can expose two types of events:

  • Standard DHTML events such as the onclick event and the onkeypress event. These events are triggered for the scriptlet container object as a whole—using a standard event, you cannot distinguish which control within the scriptlet triggered the event. For more information, see Handling Standard Events.
  • Custom events (events that you define or DHTML events not provided as standard events). You can also use custom events to pinpoint which control in the scriptlet triggered the event. For more information, see Defining Custom Events.


Creating a public_description Object

A public_description object is a JScript® (compatible with ECMA 262 language specification) object that provides run time access to the properties and methods defined by the object's constructor function. A skeleton public_description object with its constructor function looks like this:

<SCRIPT LANGUAGE="JavaScript">
   var public_description = new CreateScriplet();

   Function CreateScriptlet(){
      // statements here to define properties and methods
   }
</SCRIPT>

Note You do not use the constructor function to define events. For more information, see Defining Event Handlers.

When you create the public_description object, the constructor function that you assign to it can have any name, as long as the corresponding function appears somewhere in the scriptlet. Within the constructor function, you declare the properties and methods that you want to expose within the scriptlet in the following ways:

Constructor syntax | Creates
This.PropertyName = expression; | Creates a read/write property.
This.get_PropertyName = function;
This.put_PropertyName = function; 		Creates a property using a function, which allows you to set a property value based on a condition or trigger an event when the property is set. The function called by the property definition can be in any active scripting language. To make a property read-only, do not provide the put_ function declaration; to make it write-only, do not provide the get_ function declaration.
This.method = methodFunction; | Creates a method defined by the function methodFunction.

For example, the following public_description object defines two properties and a method. The first property, DefaultTitle, is created as an expression. The second property, CalculatedTitle, is created as a set of functions. The method toggleColor is defined using the function TColor.

<SCRIPT LANGUAGE="JavaScript">
// public_description object used to declare scriplet
var public_description = new ScriptletObject();

// general object description
function ScriptletObject()
{
   this.DefaultTitle = window.document.title;   //property
   this.get_CalculatedTitle = readCTitle;      //property (read)
   this.put_CalculatedTitle = writeCtitle;      //property (write)
   this.ToggleColor = TColor;                     //method
}

// read function for CalculatedTitle property
function readCTitle(){
   return (window.document.title == "" ? "This document has no title" : window.document.title);
}

// write function for CalculatedTitle property
function writeCTitle(passedValue){
   if (passedValue != "")
   {
      window.document.title = passedValue;
   }
}

// function for ToggleColor method
function TColor(){
   if (window.document.bgColor == "#ff0000"){
      // doc is red, make it blue
      window.document.bgColor = "#0000ff";}
   else{
      // doc is not red, make it red
      window.document.bgColor = "#ff0000";}
}
</SCRIPT>

See Also

Using Default Interface Descriptions

Handling Standard Events

Defining Custom Events


Handling Standard Events

The scriptlet can expose these standard DHTML events:

onclick | onkeypress | onmousemove
ondblclick | onkeyup | onmouseup
onkeydown | onmousedown

Tip You can define a context menu that is displayed when the user right-clicks the scriptlet at run time. For more information, see the setContextMenu method.

To work with standard events in the host application, you must write handlers in two places: one in the scriptlet to send the event, and another in the host application to capture the event.

To pass an event from the scriptlet to the host application:

  1. Attach an event handler script to the event that you want to pass.
  2. Within the event handler script, call the bubbleEvent method to send the event to the host application.

    Note Before passing events to the container object, you can check the scriptlet's frozen property to be sure that the container object is ready to handle events.

If the scriptlet does not include an event handler for a specific event, that event will not be passed to the host application. Similarly, if the scriptlet includes a handler for the event but does not call the bubbleEvent method, the event will not be visible to the host application.

Note The scriptlet container object exposes all standard events at design time, even if the scriptlet does not contain a script that passes the standard event to the application. For example, in Microsoft Visual Basic®, the code window for the scriptlet container lists all standard events, even if not all are available in a specific scriptlet.

The following scriptlet script shows how you can pass a text box's onkeyup event to the host application.

<INPUT TYPE=text ONKEYUP="passKeyUp()" NAME="t1" VALUE="">

<SCRIPT LANGUAGE="JavaScript">
function passKeyUp() {
   // script statements here if required
    window.external.bubbleEvent();
   // further script statements here if required
}
</SCRIPT>

In the host application, the corresponding event is triggered for the scriptlet container object. Additional information about the event, such as the location of the mouse pointer or the state of keys at the time the event was triggered, is available in the script container object's event property. For example, the following Visual Basic subroutine shows how you would capture the scriptlet's onkeypress event and display the key code of a character typed in a scriptlet text box.

Sub ScriptContainer1_onkeyup()
   MsgBox "The character typed was " & ScriptContainer1.event.keyCode
   MsgBox "The shift state was " & ScriptContainer1.event.shiftKey
End Sub

In Microsoft Internet Explorer, the following script does the same thing:

<SCRIPT LANGUAGE=JavaScript FOR=document EVENT=onkeyup>
   alert("Key code = " + window.event.keyCode)
   alert("Shift status  = " + window.event.shiftKey)
</SCRIPT>

See Also

Defining Custom Events


onclick Event

Sent when the scriptlet forwards an onclick event.

Visual Basic Syntax

ScriptContainer_onclick()

JavaScript Syntax

< SCRIPT LANGUAGE="JavaScript"
FOR=ScriptContainer
EVENT= onclick>

Remarks

The scriptlet container object receives this event if both of these conditions are true:

  • The scriptlet contains a handler for the onclick event.
  • The scriptlet's handler calls the bubbleEvent method to pass the event to the host application.

You can get information about the state of the event by querying the scriptlet object container's event property.

Applies To

Scriptlet container object


ondblclick Event

Sent when the scriptlet forwards an ondblclick event.

Visual Basic Syntax

ScriptContainer_ondblClick()

JavaScript Syntax

< SCRIPT LANGUAGE="JavaScript"
FOR=ScriptContainer
EVENT= ondblClick>

Remarks

The scriptlet container object receives this event if both of these conditions are true:

  • The scriptlet contains a handler for the ondblclick event.
  • The scriptlet's handler calls the bubbleEvent method to pass the event to the host application.

You can get information about the state of the event by querying the scriptlet object container's event property.

Applies To

Scriptlet container object


onkeydown Event

Sent when the scriptlet forwards an onkeydown event.

Visual Basic Syntax

ScriptContainer_onkeydown()

JavaScript Syntax

< SCRIPT LANGUAGE="JavaScript"
FOR=ScriptContainer
EVENT= onkeydown()>

Remarks

The scriptlet container object receives this event if both of these conditions are true:

  • The scriptlet contains a handler for the onkeydown event.
  • The scriptlet's handler calls the bubbleEvent method to pass the event to the host application.

You can get information about the state of the event by querying the scriptlet object container's event property.

Applies To

Scriptlet container object


onkeypress Event

Sent when the scriptlet forwards an onkeypress event.

Applies To

Scriptlet container object

Visual Basic Syntax

ScriptContainer_onkeypress()

JavaScript Syntax

< SCRIPT LANGUAGE="JavaScript"
FOR=ScriptContainer
EVENT= onkeypress()>

Remarks

The scriptlet container object receives this event if both of these conditions are true:

  • The scriptlet contains a handler for the onkeypress event.

  • The scriptlet's handler calls the bubbleEvent method to pass the event to the host application.

You can get information about the state of the event by querying the scriptlet object container's event property.


onkeyup Event

Sent when the scriptlet forwards an onkeyup event.

Applies To

Scriptlet container object

Visual Basic Syntax

ScriptContainer_onkeyup()

JavaScript Syntax

< SCRIPT LANGUAGE="JavaScript"
FOR=ScriptContainer
EVENT= onkeyup()>

Remarks

The scriptlet container object receives this event if both of these conditions are true:

  • The scriptlet contains a handler for the onkeyup event.

  • The scriptlet's handler calls the bubbleEvent method to pass the event to the host application.

You can get information about the state of the event by querying the scriptlet object container's event property.


onmousedown Event

Click to return to the Component Development home page

onmousedown, onmouseup Events

Sent when the scriptlet forwards an onmousedown or onmouseup event.

Applies To

Scriptlet container object

Visual Basic Syntax

ScriptContainer_onmousedown()

ScriptContainer_onmouseup()

JavaScript Syntax

< SCRIPT LANGUAGE="JavaScript"
FOR=ScriptContainer
EVENT= onmousedown()>

< SCRIPT LANGUAGE="JavaScript"
FOR=ScriptContainer
EVENT= onmouseup()>

Remarks

The scriptlet container object receives this event if both of these conditions are true:

  • The scriptlet contains a handler for the onmousedown or onmouseup event.

  • The scriptlet's handler calls the bubbleEvent method to pass the event to the host application.

You can get information about the state of the event by querying the scriptlet object container's event property.


onmousemove Event

Sent when the scriptlet forwards an onmousemove event.

Applies To

Scriptlet container object

Visual Basic Syntax

ScriptContainer_onmousemove()

JavaScript Syntax

< SCRIPT LANGUAGE="JavaScript"
FOR=ScriptContainer
EVENT= onmousemove()>

Remarks

The scriptlet container object receives this event if both of these conditions are true:

  • The scriptlet contains a handler for the onmousemove event.

  • The scriptlet's handler calls the bubbleEvent method to pass the event to the host application.

You can get information about the state of the event by querying the scriptlet object container's event property.


onreadystatechange Event

Sent to indicate whether the scriptlet has completed loading.

Applies To

Scriptlet container object

Visual Basic Syntax

ScriptContainer_onreadystatechange ()

JavaScript Syntax

< SCRIPT LANGUAGE="JavaScript"
FOR=ScriptContainer
EVENT= onreadystatechange>

Remarks

This event is fired multiple times while the scriptlet is loading. The final time, it indicates that the scriptlet's .htm page is fully loaded and its scripts can be called. To test the current state, you can get the value of the scriptlet container object's readystate property.


onscriptletevent Event

Notifies the scriptlet container object that a custom event has occurred in the scriptlet.

Applies To

Scriptlet container object

Syntax

ScriptContainer_onscriptletevent( eventName, eventObject )

Parameters

eventName

A string that typically identifies the event that is being passed.

eventObject

A variant type that typically is a reference to an object on the scriptlet.

Note The exact content of both parameters depends on what information was passed in the scriptlet's corresponding raiseEvent method.

Remarks

This event is the complement of the scriptlet's raiseEvent method. For more information, see Defining Custom Events. For information about notifying the host application about standard events, see Handling Standard Events.


bubbleEvent Method

Sends event notification for a standard event to the host application.

Applies To

Scriptlet

Syntax

window.external.bubbleEvent()

Remarks

Use this method to pass a standard DHTML event (such as onbuttonclick, onmousemove, or onkeypress) from the scriptlet to the host application. For more details, see Handling Standard Events.


raiseEvent Method

Passes a custom event notification from the scriptlet to the host application.

Applies To

Scriptlet

Syntax

window.external.raiseEvent( eventName, eventObject )

Parameters

eventName

A string that typically identifies the event that is being passed.

eventObject

A variant type that typically includes a reference to the object on the scriptlet that triggered the event.

Remarks

This method is the complement of the scriptlet container object's onscriptletevent event. Use this method to notify the host application about a non-standard event. For more information, see Defining Custom Events. For information about notifying the host application about standard events, see Handling Standard Events.


setContextMenu Method

Constructs a context menu that is displayed when a user right-clicks a scriptlet in the scriptlet container object.

Applies To

Scriptlet

Syntax

window.external.setContextMenu( menuDefinition )

Parameters

menuDefinition
Defines the command text and commands contained in the context menu. A one-dimensional array in which the menu items are defined using sequences of two elements, n and n+1.

Element n | The command text. Shortcut keys are defined by preceding a letter with "&".
Element n+1 | The method to be called when the command is chosen. You cannot pass parameters to the method.

Note Context menus can only be defined in scripts written in VBScript or JavaScript, because only those languages can create arrays usable by the setContextMenu method.

For example, the following script defines a context menu with three commands:

<SCRIPT LANGUAGE="VBScript" FOR="Menu" EVENT="onClick">
   ' Define array
   dim menuItems(6)     ' 3 commands

   ' First menu item
   menuItems(0) = "Display the &time"     ' Command text
   menuItems(1) = "SetTime"

   ' Second menu item
   menuItems(2) = "Display the &date"     ' Command text
   menuItems(3) = "SetDate"

   ' Third menu item
   menuItems(4) = "Display the document t&itle"     ' Command text
   menuItems(5) = "SetTitle"

   ' Assigns the menu to the scriplet
   ' window.external.setContextMenu(menuItems)

</SCRIPT>


event Property

Provides state information about a standard DHTML event passed from the scriptlet.

Applies To

Scriptlet object container

Syntax

value = ScriptContainer.event.member

Remarks

This property is read-only. The event property provides a way to get state information about any of the standard events passed from the scriptlet: onclick, ondblclick, onkeydown, onkeypress, onkeyup, onmousedown, onmousemove, onmouseup. This property corresponds to the DHTML event object.

To get state information, you can query the values of the event property's members, which include altKey, ctrlKey, keyCode, offsetX, offsetY, shiftKey, srcElement, type, and others. The following example script illustrates how you can use the event property to get more information about a standard event:

Sub ScriptContainer1_onkeyup()
   MsgBox "The character typed was " & ScriptContainer1.event.keyCode
   MsgBox "The Alt key state was " & ScriptContainer1.event.altKey
   MsgBox "The Ctrl key state was " & ScriptContainer1.event.ctrlKey
   MsgBox "The Shift key state was " & ScriptContainer1.event.shiftKey
   MsgBox "The mouse was at " & offsetX & ", " & offsetY
   MsgBox "The affected control was " & ScriptContainer1.event.srcElement
   MsgBox "The event was " & ScriptContainer1.event.type
End Sub

For more information about using the event property, refer to the event object in the DHTML documentation.


frozen Property

Indicates whether the scriptlet container object is ready to handle events.

Applies To

Scriptlet

Syntax

boolean = window.external.frozen

Remarks

This property is read-only. When it is True, events will not be received by the scriptlet container object because the container is not yet ready. When it is False, the container will receive event notification.


readyState Property

Returns information about the load state of the scriptlet hosted in the container object.

Applies To

Scriptlet container object

Syntax

ScriptContainer.readyState = integer

Remarks

This property is read-only. It is available only at runtime.

The readyState property returns an integer value between 1 and 4 indicating the load state of the scriptlet, with the following values:

Value | Definition
1 or 2 | Undefined
3 | Scriptlet text has been loaded, but controls on the scriptlet's .htm page might not yet be functional.
4 | Scriptlet is completely loaded

In general, you should not attempt to access the scriptlet's functionality before the readyState property is set to 4. You can check the value of this property in a handler for the onreadystatechange event.


scrollbar Property

Specifies whether the scriptlet container object displays a scrollbar.

Applies To

Scriptlet container object

Syntax

ScriptContainer.scrollbar = boolean

Remarks

This property can be set at design time and at runtime. By default, the value of this property is false. If you set this property to true:

  • A vertical scrollbar always appears in the scriptlet container object. If the scriptlet's height is less than the height of the scriptlet container object's window, the vertical scrollbar is disabled.

  • A horizontal scrollbar appears if the scriptlet's width is greater than the width of the scriptlet container object's window

You can also set this property from within a scriptlet. For details, see the scrollbar property. To set the size of the scriptlet container object window from within the scriptlet, see Adding Scriptlets to Your Application.


scrollbar Property

Specifies whether the scriptlet container object displays a scrollbar.

Applies To

scriptlet

Syntax

window.external.scrollbar = boolean

Remarks

This property provides a way to set the scriptlet container object's scrollbar property from within the scriptlet.

By default, the value of this property is false. If you set this property to true:

  • A vertical scrollbar always appears in the scriptlet container object. If the scriptlet's height is less than the height of the scriptlet container object's window, the vertical scrollbar is disabled.

  • A horizontal scrollbar appears if the scriptlet's width is greater than the width of the scriptlet container object's window

To set the size of the scriptlet container object window from within the scriptlet, see Adding Scriptlets to Your Application.


selectableContent Property

Specifies whether the user can select the contents of the scriptlet.

Applies To

Scriptlet

Syntax

window.external.selectableContent = boolean

Remarks

By default, the value of this property is false. If this property is true, users can select text or objects in the scriptlet while it is shown in the scriptlet container object, and then copy or drag them. If this property is false, users can click objects in the scriptlet, but cannot select them.


url Property

Specifies the Universal Resource Locator (URL) of the scriptlet's .htm file to be displayed in the scriptlet container object.

Applies To

Scriptlet container object

Syntax

ScriptContainer.url = URLString

Remarks

You can specify the URL of any .htm file, either local or on a Web server. This property can be set at design time only.

Important If you are adding the scriptlet to a Web page, do not set this property to the URL of the current page. Doing so causes a recursive call to the page and will cause the browser stop functioning.

If you are using the scriptlet in a host application that has a Web context (such as Internet Explorer), you can specify an absolute path (for example, http://myserver/start.htm) or a relative path that does not include the protocol, or domain, or path (for example, page2.htm). If you specify a relative URL, the path is relative to the page in which the scriptlet appears.

If you specify a URL that is not valid, no error message is displayed, but the scriptlet container object remains blank.


version Property

Returns the version and platform of the scriptlet container object DLL.

Applies To

Scriptlet

Syntax

version = window.external.version

Remarks

This property is read-only. Version is returned in the format N.nnnn platform where N is an integer representing the major version number, nnnn is any number of characters (except a space) representing the minor version number, and platform is the platform (win32, mac, alpha, and so on). The following is an example version number:

1.0a win32

You can use the version property to determine whether the page is being used as a scriptlet or as a standalone Web page. Use a statement such as the following:

controlMode = ( typeof( window.external.version) == "string" )

If the value of controlMode is true after this statement has executed, the page is being used as a scriptlet. Otherwise the page is being used as a standalone page.